/* 
This file contains the smallTreeIntersect and the largeTreeIntersect tables
These tables relate each internal node to all of the terminal nodes which are its ancestors. 
This is used to get buildings from the buildings table, since buildings are only associated 
with a specific terminal node.
*/

create table smallTreeIntersect
( internalNodeId INTEGER,
  terminalNodeId INTEGER);

/* example select using this table
This query selects all the buildings used to create the data in internal node 2.

SELECT id FROM buildings, smallTreeIntersect 
WHERE
smallTreeIntersect.internalNodeId=2 AND
buildings.small_tree_node = (smallTreeIntersect.terminalNodeId)
ORDER BY buildings.id ASC
*/


INSERT INTO smallTreeIntersect VALUES ('1','1');
INSERT INTO smallTreeIntersect VALUES ('1','2');
INSERT INTO smallTreeIntersect VALUES ('1','3');
INSERT INTO smallTreeIntersect VALUES ('1','4');
INSERT INTO smallTreeIntersect VALUES ('1','5');
INSERT INTO smallTreeIntersect VALUES ('1','6');
INSERT INTO smallTreeIntersect VALUES ('1','7');
INSERT INTO smallTreeIntersect VALUES ('1','8');
INSERT INTO smallTreeIntersect VALUES ('1','9');
INSERT INTO smallTreeIntersect VALUES ('1','10');
INSERT INTO smallTreeIntersect VALUES ('1','11');
INSERT INTO smallTreeIntersect VALUES ('1','12');
INSERT INTO smallTreeIntersect VALUES ('1','13');
INSERT INTO smallTreeIntersect VALUES ('1','14');
INSERT INTO smallTreeIntersect VALUES ('1','15');
INSERT INTO smallTreeIntersect VALUES ('1','16');
INSERT INTO smallTreeIntersect VALUES ('1','17');
INSERT INTO smallTreeIntersect VALUES ('1','18');
INSERT INTO smallTreeIntersect VALUES ('1','19');
INSERT INTO smallTreeIntersect VALUES ('1','20');
INSERT INTO smallTreeIntersect VALUES ('2','1');
INSERT INTO smallTreeIntersect VALUES ('2','2');
INSERT INTO smallTreeIntersect VALUES ('2','3');
INSERT INTO smallTreeIntersect VALUES ('3','2');
INSERT INTO smallTreeIntersect VALUES ('3','3');
INSERT INTO smallTreeIntersect VALUES ('4','4');
INSERT INTO smallTreeIntersect VALUES ('4','5');
INSERT INTO smallTreeIntersect VALUES ('4','6');
INSERT INTO smallTreeIntersect VALUES ('4','7');
INSERT INTO smallTreeIntersect VALUES ('4','8');
INSERT INTO smallTreeIntersect VALUES ('4','9');
INSERT INTO smallTreeIntersect VALUES ('4','10');
INSERT INTO smallTreeIntersect VALUES ('4','11');
INSERT INTO smallTreeIntersect VALUES ('4','12');
INSERT INTO smallTreeIntersect VALUES ('4','13');
INSERT INTO smallTreeIntersect VALUES ('4','14');
INSERT INTO smallTreeIntersect VALUES ('4','15');
INSERT INTO smallTreeIntersect VALUES ('4','16');
INSERT INTO smallTreeIntersect VALUES ('4','17');
INSERT INTO smallTreeIntersect VALUES ('4','18');
INSERT INTO smallTreeIntersect VALUES ('4','19');
INSERT INTO smallTreeIntersect VALUES ('4','20');
INSERT INTO smallTreeIntersect VALUES ('5','4');
INSERT INTO smallTreeIntersect VALUES ('5','5');
INSERT INTO smallTreeIntersect VALUES ('5','6');
INSERT INTO smallTreeIntersect VALUES ('5','7');
INSERT INTO smallTreeIntersect VALUES ('5','8');
INSERT INTO smallTreeIntersect VALUES ('5','9');
INSERT INTO smallTreeIntersect VALUES ('5','10');
INSERT INTO smallTreeIntersect VALUES ('5','11');
INSERT INTO smallTreeIntersect VALUES ('5','12');
INSERT INTO smallTreeIntersect VALUES ('5','13');
INSERT INTO smallTreeIntersect VALUES ('6','4');
INSERT INTO smallTreeIntersect VALUES ('6','5');
INSERT INTO smallTreeIntersect VALUES ('6','6');
INSERT INTO smallTreeIntersect VALUES ('6','7');
INSERT INTO smallTreeIntersect VALUES ('6','8');
INSERT INTO smallTreeIntersect VALUES ('6','9');
INSERT INTO smallTreeIntersect VALUES ('6','10');
INSERT INTO smallTreeIntersect VALUES ('6','11');
INSERT INTO smallTreeIntersect VALUES ('6','12');
INSERT INTO smallTreeIntersect VALUES ('7','4');
INSERT INTO smallTreeIntersect VALUES ('7','5');
INSERT INTO smallTreeIntersect VALUES ('7','6');
INSERT INTO smallTreeIntersect VALUES ('7','7');
INSERT INTO smallTreeIntersect VALUES ('7','8');
INSERT INTO smallTreeIntersect VALUES ('7','9');
INSERT INTO smallTreeIntersect VALUES ('7','10');
INSERT INTO smallTreeIntersect VALUES ('7','11');
INSERT INTO smallTreeIntersect VALUES ('8','4');
INSERT INTO smallTreeIntersect VALUES ('8','5');
INSERT INTO smallTreeIntersect VALUES ('8','6');
INSERT INTO smallTreeIntersect VALUES ('8','7');
INSERT INTO smallTreeIntersect VALUES ('8','8');
INSERT INTO smallTreeIntersect VALUES ('8','9');
INSERT INTO smallTreeIntersect VALUES ('8','10');
INSERT INTO smallTreeIntersect VALUES ('9','5');
INSERT INTO smallTreeIntersect VALUES ('9','6');
INSERT INTO smallTreeIntersect VALUES ('9','7');
INSERT INTO smallTreeIntersect VALUES ('9','8');
INSERT INTO smallTreeIntersect VALUES ('9','9');
INSERT INTO smallTreeIntersect VALUES ('9','10');
INSERT INTO smallTreeIntersect VALUES ('10','5');
INSERT INTO smallTreeIntersect VALUES ('10','6');
INSERT INTO smallTreeIntersect VALUES ('10','7');
INSERT INTO smallTreeIntersect VALUES ('10','8');
INSERT INTO smallTreeIntersect VALUES ('10','9');
INSERT INTO smallTreeIntersect VALUES ('11','5');
INSERT INTO smallTreeIntersect VALUES ('11','6');
INSERT INTO smallTreeIntersect VALUES ('11','7');
INSERT INTO smallTreeIntersect VALUES ('11','8');
INSERT INTO smallTreeIntersect VALUES ('12','5');
INSERT INTO smallTreeIntersect VALUES ('12','6');
INSERT INTO smallTreeIntersect VALUES ('12','7');
INSERT INTO smallTreeIntersect VALUES ('13','5');
INSERT INTO smallTreeIntersect VALUES ('13','6');
INSERT INTO smallTreeIntersect VALUES ('14','14');
INSERT INTO smallTreeIntersect VALUES ('14','15');
INSERT INTO smallTreeIntersect VALUES ('14','16');
INSERT INTO smallTreeIntersect VALUES ('14','17');
INSERT INTO smallTreeIntersect VALUES ('14','18');
INSERT INTO smallTreeIntersect VALUES ('14','19');
INSERT INTO smallTreeIntersect VALUES ('14','20');
INSERT INTO smallTreeIntersect VALUES ('15','14');
INSERT INTO smallTreeIntersect VALUES ('15','15');
INSERT INTO smallTreeIntersect VALUES ('16','16');
INSERT INTO smallTreeIntersect VALUES ('16','17');
INSERT INTO smallTreeIntersect VALUES ('16','18');
INSERT INTO smallTreeIntersect VALUES ('16','19');
INSERT INTO smallTreeIntersect VALUES ('16','20');
INSERT INTO smallTreeIntersect VALUES ('17','16');
INSERT INTO smallTreeIntersect VALUES ('17','17');
INSERT INTO smallTreeIntersect VALUES ('17','18');
INSERT INTO smallTreeIntersect VALUES ('17','19');
INSERT INTO smallTreeIntersect VALUES ('18','16');
INSERT INTO smallTreeIntersect VALUES ('18','17');
INSERT INTO smallTreeIntersect VALUES ('18','18');
INSERT INTO smallTreeIntersect VALUES ('19','17');
INSERT INTO smallTreeIntersect VALUES ('19','18');

/*******************************************/

create table largeTreeIntersect
( internalNodeId INTEGER,
  terminalNodeId INTEGER);

/* example select using this table
SELECT * FROM buildings, largeTreeIntersect 
WHERE
largeTreeIntersect.internalNodeId=2 AND
buildings.small_tree_node = (largeTreeIntersect.terminalNodeId)
ORDER BY buildings.id ASC
*/

INSERT INTO largeTreeIntersect VALUES ('1','1');
INSERT INTO largeTreeIntersect VALUES ('1','2');
INSERT INTO largeTreeIntersect VALUES ('1','3');
INSERT INTO largeTreeIntersect VALUES ('1','4');
INSERT INTO largeTreeIntersect VALUES ('1','5');
INSERT INTO largeTreeIntersect VALUES ('1','6');
INSERT INTO largeTreeIntersect VALUES ('1','7');
INSERT INTO largeTreeIntersect VALUES ('1','8');
INSERT INTO largeTreeIntersect VALUES ('1','9');
INSERT INTO largeTreeIntersect VALUES ('1','10');
INSERT INTO largeTreeIntersect VALUES ('1','11');
INSERT INTO largeTreeIntersect VALUES ('1','12');
INSERT INTO largeTreeIntersect VALUES ('1','13');
INSERT INTO largeTreeIntersect VALUES ('1','14');
INSERT INTO largeTreeIntersect VALUES ('1','15');
INSERT INTO largeTreeIntersect VALUES ('1','16');
INSERT INTO largeTreeIntersect VALUES ('1','17');
INSERT INTO largeTreeIntersect VALUES ('1','18');
INSERT INTO largeTreeIntersect VALUES ('1','19');
INSERT INTO largeTreeIntersect VALUES ('1','20');
INSERT INTO largeTreeIntersect VALUES ('1','21');
INSERT INTO largeTreeIntersect VALUES ('1','22');
INSERT INTO largeTreeIntersect VALUES ('1','23');
INSERT INTO largeTreeIntersect VALUES ('1','24');
INSERT INTO largeTreeIntersect VALUES ('1','25');
INSERT INTO largeTreeIntersect VALUES ('1','26');
INSERT INTO largeTreeIntersect VALUES ('1','27');
INSERT INTO largeTreeIntersect VALUES ('1','28');
INSERT INTO largeTreeIntersect VALUES ('1','29');
INSERT INTO largeTreeIntersect VALUES ('1','30');
INSERT INTO largeTreeIntersect VALUES ('1','31');
INSERT INTO largeTreeIntersect VALUES ('1','32');
INSERT INTO largeTreeIntersect VALUES ('1','33');
INSERT INTO largeTreeIntersect VALUES ('1','34');
INSERT INTO largeTreeIntersect VALUES ('1','35');
INSERT INTO largeTreeIntersect VALUES ('1','36');
INSERT INTO largeTreeIntersect VALUES ('1','37');
INSERT INTO largeTreeIntersect VALUES ('1','38');
INSERT INTO largeTreeIntersect VALUES ('1','39');
INSERT INTO largeTreeIntersect VALUES ('1','40');
INSERT INTO largeTreeIntersect VALUES ('1','41');
INSERT INTO largeTreeIntersect VALUES ('1','42');
INSERT INTO largeTreeIntersect VALUES ('1','43');
INSERT INTO largeTreeIntersect VALUES ('1','44');
INSERT INTO largeTreeIntersect VALUES ('1','45');
INSERT INTO largeTreeIntersect VALUES ('1','46');
INSERT INTO largeTreeIntersect VALUES ('1','47');
INSERT INTO largeTreeIntersect VALUES ('1','48');
INSERT INTO largeTreeIntersect VALUES ('1','49');
INSERT INTO largeTreeIntersect VALUES ('1','50');
INSERT INTO largeTreeIntersect VALUES ('1','51');
INSERT INTO largeTreeIntersect VALUES ('1','52');
INSERT INTO largeTreeIntersect VALUES ('1','53');
INSERT INTO largeTreeIntersect VALUES ('1','54');
INSERT INTO largeTreeIntersect VALUES ('1','55');
INSERT INTO largeTreeIntersect VALUES ('1','56');
INSERT INTO largeTreeIntersect VALUES ('2','1');
INSERT INTO largeTreeIntersect VALUES ('2','2');
INSERT INTO largeTreeIntersect VALUES ('2','3');
INSERT INTO largeTreeIntersect VALUES ('2','4');
INSERT INTO largeTreeIntersect VALUES ('2','5');
INSERT INTO largeTreeIntersect VALUES ('2','6');
INSERT INTO largeTreeIntersect VALUES ('2','7');
INSERT INTO largeTreeIntersect VALUES ('2','8');
INSERT INTO largeTreeIntersect VALUES ('2','9');
INSERT INTO largeTreeIntersect VALUES ('2','10');
INSERT INTO largeTreeIntersect VALUES ('3','1');
INSERT INTO largeTreeIntersect VALUES ('3','2');
INSERT INTO largeTreeIntersect VALUES ('3','3');
INSERT INTO largeTreeIntersect VALUES ('3','4');
INSERT INTO largeTreeIntersect VALUES ('3','5');
INSERT INTO largeTreeIntersect VALUES ('3','6');
INSERT INTO largeTreeIntersect VALUES ('3','7');
INSERT INTO largeTreeIntersect VALUES ('3','8');
INSERT INTO largeTreeIntersect VALUES ('4','1');
INSERT INTO largeTreeIntersect VALUES ('4','2');
INSERT INTO largeTreeIntersect VALUES ('4','3');
INSERT INTO largeTreeIntersect VALUES ('4','4');
INSERT INTO largeTreeIntersect VALUES ('4','5');
INSERT INTO largeTreeIntersect VALUES ('4','6');
INSERT INTO largeTreeIntersect VALUES ('4','7');
INSERT INTO largeTreeIntersect VALUES ('5','1');
INSERT INTO largeTreeIntersect VALUES ('5','2');
INSERT INTO largeTreeIntersect VALUES ('5','3');
INSERT INTO largeTreeIntersect VALUES ('5','4');
INSERT INTO largeTreeIntersect VALUES ('5','5');
INSERT INTO largeTreeIntersect VALUES ('5','6');
INSERT INTO largeTreeIntersect VALUES ('6','1');
INSERT INTO largeTreeIntersect VALUES ('6','2');
INSERT INTO largeTreeIntersect VALUES ('6','3');
INSERT INTO largeTreeIntersect VALUES ('6','4');
INSERT INTO largeTreeIntersect VALUES ('6','5');
INSERT INTO largeTreeIntersect VALUES ('7','1');
INSERT INTO largeTreeIntersect VALUES ('7','2');
INSERT INTO largeTreeIntersect VALUES ('7','3');
INSERT INTO largeTreeIntersect VALUES ('7','4');
INSERT INTO largeTreeIntersect VALUES ('8','1');
INSERT INTO largeTreeIntersect VALUES ('8','2');
INSERT INTO largeTreeIntersect VALUES ('9','3');
INSERT INTO largeTreeIntersect VALUES ('9','4');
INSERT INTO largeTreeIntersect VALUES ('10','9');
INSERT INTO largeTreeIntersect VALUES ('10','10');
INSERT INTO largeTreeIntersect VALUES ('11','11');
INSERT INTO largeTreeIntersect VALUES ('11','12');
INSERT INTO largeTreeIntersect VALUES ('11','13');
INSERT INTO largeTreeIntersect VALUES ('11','14');
INSERT INTO largeTreeIntersect VALUES ('11','15');
INSERT INTO largeTreeIntersect VALUES ('11','16');
INSERT INTO largeTreeIntersect VALUES ('11','17');
INSERT INTO largeTreeIntersect VALUES ('11','18');
INSERT INTO largeTreeIntersect VALUES ('11','19');
INSERT INTO largeTreeIntersect VALUES ('11','20');
INSERT INTO largeTreeIntersect VALUES ('11','21');
INSERT INTO largeTreeIntersect VALUES ('11','22');
INSERT INTO largeTreeIntersect VALUES ('11','23');
INSERT INTO largeTreeIntersect VALUES ('11','24');
INSERT INTO largeTreeIntersect VALUES ('11','25');
INSERT INTO largeTreeIntersect VALUES ('11','26');
INSERT INTO largeTreeIntersect VALUES ('11','27');
INSERT INTO largeTreeIntersect VALUES ('11','28');
INSERT INTO largeTreeIntersect VALUES ('11','29');
INSERT INTO largeTreeIntersect VALUES ('11','30');
INSERT INTO largeTreeIntersect VALUES ('11','31');
INSERT INTO largeTreeIntersect VALUES ('11','32');
INSERT INTO largeTreeIntersect VALUES ('11','33');
INSERT INTO largeTreeIntersect VALUES ('11','34');
INSERT INTO largeTreeIntersect VALUES ('11','35');
INSERT INTO largeTreeIntersect VALUES ('11','36');
INSERT INTO largeTreeIntersect VALUES ('11','37');
INSERT INTO largeTreeIntersect VALUES ('11','38');
INSERT INTO largeTreeIntersect VALUES ('11','39');
INSERT INTO largeTreeIntersect VALUES ('11','40');
INSERT INTO largeTreeIntersect VALUES ('11','41');
INSERT INTO largeTreeIntersect VALUES ('11','42');
INSERT INTO largeTreeIntersect VALUES ('11','43');
INSERT INTO largeTreeIntersect VALUES ('11','44');
INSERT INTO largeTreeIntersect VALUES ('11','45');
INSERT INTO largeTreeIntersect VALUES ('11','46');
INSERT INTO largeTreeIntersect VALUES ('11','47');
INSERT INTO largeTreeIntersect VALUES ('11','48');
INSERT INTO largeTreeIntersect VALUES ('11','49');
INSERT INTO largeTreeIntersect VALUES ('11','50');
INSERT INTO largeTreeIntersect VALUES ('11','51');
INSERT INTO largeTreeIntersect VALUES ('11','52');
INSERT INTO largeTreeIntersect VALUES ('11','53');
INSERT INTO largeTreeIntersect VALUES ('11','54');
INSERT INTO largeTreeIntersect VALUES ('11','55');
INSERT INTO largeTreeIntersect VALUES ('11','56');
INSERT INTO largeTreeIntersect VALUES ('12','11');
INSERT INTO largeTreeIntersect VALUES ('12','12');
INSERT INTO largeTreeIntersect VALUES ('12','13');
INSERT INTO largeTreeIntersect VALUES ('12','14');
INSERT INTO largeTreeIntersect VALUES ('12','15');
INSERT INTO largeTreeIntersect VALUES ('12','16');
INSERT INTO largeTreeIntersect VALUES ('12','17');
INSERT INTO largeTreeIntersect VALUES ('12','18');
INSERT INTO largeTreeIntersect VALUES ('12','19');
INSERT INTO largeTreeIntersect VALUES ('12','20');
INSERT INTO largeTreeIntersect VALUES ('12','21');
INSERT INTO largeTreeIntersect VALUES ('12','22');
INSERT INTO largeTreeIntersect VALUES ('12','23');
INSERT INTO largeTreeIntersect VALUES ('12','24');
INSERT INTO largeTreeIntersect VALUES ('12','25');
INSERT INTO largeTreeIntersect VALUES ('12','26');
INSERT INTO largeTreeIntersect VALUES ('12','27');
INSERT INTO largeTreeIntersect VALUES ('12','28');
INSERT INTO largeTreeIntersect VALUES ('12','29');
INSERT INTO largeTreeIntersect VALUES ('12','30');
INSERT INTO largeTreeIntersect VALUES ('12','31');
INSERT INTO largeTreeIntersect VALUES ('12','32');
INSERT INTO largeTreeIntersect VALUES ('12','33');
INSERT INTO largeTreeIntersect VALUES ('12','34');
INSERT INTO largeTreeIntersect VALUES ('12','35');
INSERT INTO largeTreeIntersect VALUES ('12','36');
INSERT INTO largeTreeIntersect VALUES ('12','37');
INSERT INTO largeTreeIntersect VALUES ('12','38');
INSERT INTO largeTreeIntersect VALUES ('12','39');
INSERT INTO largeTreeIntersect VALUES ('12','40');
INSERT INTO largeTreeIntersect VALUES ('12','41');
INSERT INTO largeTreeIntersect VALUES ('13','11');
INSERT INTO largeTreeIntersect VALUES ('13','12');
INSERT INTO largeTreeIntersect VALUES ('13','13');
INSERT INTO largeTreeIntersect VALUES ('13','14');
INSERT INTO largeTreeIntersect VALUES ('13','15');
INSERT INTO largeTreeIntersect VALUES ('13','16');
INSERT INTO largeTreeIntersect VALUES ('13','17');
INSERT INTO largeTreeIntersect VALUES ('13','18');
INSERT INTO largeTreeIntersect VALUES ('13','19');
INSERT INTO largeTreeIntersect VALUES ('13','20');
INSERT INTO largeTreeIntersect VALUES ('13','21');
INSERT INTO largeTreeIntersect VALUES ('13','22');
INSERT INTO largeTreeIntersect VALUES ('13','23');
INSERT INTO largeTreeIntersect VALUES ('13','24');
INSERT INTO largeTreeIntersect VALUES ('13','25');
INSERT INTO largeTreeIntersect VALUES ('13','26');
INSERT INTO largeTreeIntersect VALUES ('13','27');
INSERT INTO largeTreeIntersect VALUES ('13','28');
INSERT INTO largeTreeIntersect VALUES ('13','29');
INSERT INTO largeTreeIntersect VALUES ('13','30');
INSERT INTO largeTreeIntersect VALUES ('13','31');
INSERT INTO largeTreeIntersect VALUES ('13','32');
INSERT INTO largeTreeIntersect VALUES ('13','33');
INSERT INTO largeTreeIntersect VALUES ('13','34');
INSERT INTO largeTreeIntersect VALUES ('14','11');
INSERT INTO largeTreeIntersect VALUES ('14','12');
INSERT INTO largeTreeIntersect VALUES ('14','13');
INSERT INTO largeTreeIntersect VALUES ('14','14');
INSERT INTO largeTreeIntersect VALUES ('14','15');
INSERT INTO largeTreeIntersect VALUES ('14','16');
INSERT INTO largeTreeIntersect VALUES ('14','17');
INSERT INTO largeTreeIntersect VALUES ('14','18');
INSERT INTO largeTreeIntersect VALUES ('14','19');
INSERT INTO largeTreeIntersect VALUES ('14','20');
INSERT INTO largeTreeIntersect VALUES ('14','21');
INSERT INTO largeTreeIntersect VALUES ('14','22');
INSERT INTO largeTreeIntersect VALUES ('14','23');
INSERT INTO largeTreeIntersect VALUES ('14','24');
INSERT INTO largeTreeIntersect VALUES ('14','25');
INSERT INTO largeTreeIntersect VALUES ('14','26');
INSERT INTO largeTreeIntersect VALUES ('14','27');
INSERT INTO largeTreeIntersect VALUES ('14','28');
INSERT INTO largeTreeIntersect VALUES ('14','29');
INSERT INTO largeTreeIntersect VALUES ('15','11');
INSERT INTO largeTreeIntersect VALUES ('15','12');
INSERT INTO largeTreeIntersect VALUES ('15','13');
INSERT INTO largeTreeIntersect VALUES ('15','14');
INSERT INTO largeTreeIntersect VALUES ('15','15');
INSERT INTO largeTreeIntersect VALUES ('15','16');
INSERT INTO largeTreeIntersect VALUES ('15','17');
INSERT INTO largeTreeIntersect VALUES ('15','18');
INSERT INTO largeTreeIntersect VALUES ('15','19');
INSERT INTO largeTreeIntersect VALUES ('15','20');
INSERT INTO largeTreeIntersect VALUES ('15','21');
INSERT INTO largeTreeIntersect VALUES ('16','11');
INSERT INTO largeTreeIntersect VALUES ('16','12');
INSERT INTO largeTreeIntersect VALUES ('16','13');
INSERT INTO largeTreeIntersect VALUES ('16','14');
INSERT INTO largeTreeIntersect VALUES ('16','15');
INSERT INTO largeTreeIntersect VALUES ('16','16');
INSERT INTO largeTreeIntersect VALUES ('17','11');
INSERT INTO largeTreeIntersect VALUES ('17','12');
INSERT INTO largeTreeIntersect VALUES ('18','13');
INSERT INTO largeTreeIntersect VALUES ('18','14');
INSERT INTO largeTreeIntersect VALUES ('18','15');
INSERT INTO largeTreeIntersect VALUES ('18','16');
INSERT INTO largeTreeIntersect VALUES ('19','13');
INSERT INTO largeTreeIntersect VALUES ('19','14');
INSERT INTO largeTreeIntersect VALUES ('19','15');
INSERT INTO largeTreeIntersect VALUES ('20','13');
INSERT INTO largeTreeIntersect VALUES ('20','14');
INSERT INTO largeTreeIntersect VALUES ('21','17');
INSERT INTO largeTreeIntersect VALUES ('21','18');
INSERT INTO largeTreeIntersect VALUES ('21','19');
INSERT INTO largeTreeIntersect VALUES ('21','20');
INSERT INTO largeTreeIntersect VALUES ('21','21');
INSERT INTO largeTreeIntersect VALUES ('22','18');
INSERT INTO largeTreeIntersect VALUES ('22','19');
INSERT INTO largeTreeIntersect VALUES ('22','20');
INSERT INTO largeTreeIntersect VALUES ('22','21');
INSERT INTO largeTreeIntersect VALUES ('23','19');
INSERT INTO largeTreeIntersect VALUES ('23','20');
INSERT INTO largeTreeIntersect VALUES ('23','21');
INSERT INTO largeTreeIntersect VALUES ('24','19');
INSERT INTO largeTreeIntersect VALUES ('24','20');
INSERT INTO largeTreeIntersect VALUES ('25','22');
INSERT INTO largeTreeIntersect VALUES ('25','23');
INSERT INTO largeTreeIntersect VALUES ('25','24');
INSERT INTO largeTreeIntersect VALUES ('25','25');
INSERT INTO largeTreeIntersect VALUES ('25','26');
INSERT INTO largeTreeIntersect VALUES ('25','27');
INSERT INTO largeTreeIntersect VALUES ('25','28');
INSERT INTO largeTreeIntersect VALUES ('25','29');
INSERT INTO largeTreeIntersect VALUES ('26','22');
INSERT INTO largeTreeIntersect VALUES ('26','23');
INSERT INTO largeTreeIntersect VALUES ('26','24');
INSERT INTO largeTreeIntersect VALUES ('26','25');
INSERT INTO largeTreeIntersect VALUES ('26','26');
INSERT INTO largeTreeIntersect VALUES ('27','22');
INSERT INTO largeTreeIntersect VALUES ('27','23');
INSERT INTO largeTreeIntersect VALUES ('27','24');
INSERT INTO largeTreeIntersect VALUES ('28','22');
INSERT INTO largeTreeIntersect VALUES ('28','23');
INSERT INTO largeTreeIntersect VALUES ('29','24');
INSERT INTO largeTreeIntersect VALUES ('29','25');
INSERT INTO largeTreeIntersect VALUES ('29','26');
INSERT INTO largeTreeIntersect VALUES ('30','27');
INSERT INTO largeTreeIntersect VALUES ('30','28');
INSERT INTO largeTreeIntersect VALUES ('30','29');
INSERT INTO largeTreeIntersect VALUES ('31','27');
INSERT INTO largeTreeIntersect VALUES ('31','28');
INSERT INTO largeTreeIntersect VALUES ('32','30');
INSERT INTO largeTreeIntersect VALUES ('32','31');
INSERT INTO largeTreeIntersect VALUES ('32','32');
INSERT INTO largeTreeIntersect VALUES ('32','33');
INSERT INTO largeTreeIntersect VALUES ('32','34');
INSERT INTO largeTreeIntersect VALUES ('33','30');
INSERT INTO largeTreeIntersect VALUES ('33','31');
INSERT INTO largeTreeIntersect VALUES ('33','32');
INSERT INTO largeTreeIntersect VALUES ('33','33');
INSERT INTO largeTreeIntersect VALUES ('34','30');
INSERT INTO largeTreeIntersect VALUES ('34','31');
INSERT INTO largeTreeIntersect VALUES ('34','32');
INSERT INTO largeTreeIntersect VALUES ('35','30');
INSERT INTO largeTreeIntersect VALUES ('35','31');
INSERT INTO largeTreeIntersect VALUES ('36','35');
INSERT INTO largeTreeIntersect VALUES ('36','36');
INSERT INTO largeTreeIntersect VALUES ('36','37');
INSERT INTO largeTreeIntersect VALUES ('36','38');
INSERT INTO largeTreeIntersect VALUES ('36','39');
INSERT INTO largeTreeIntersect VALUES ('36','40');
INSERT INTO largeTreeIntersect VALUES ('36','41');
INSERT INTO largeTreeIntersect VALUES ('37','36');
INSERT INTO largeTreeIntersect VALUES ('37','37');
INSERT INTO largeTreeIntersect VALUES ('37','38');
INSERT INTO largeTreeIntersect VALUES ('37','39');
INSERT INTO largeTreeIntersect VALUES ('37','40');
INSERT INTO largeTreeIntersect VALUES ('37','41');
INSERT INTO largeTreeIntersect VALUES ('38','36');
INSERT INTO largeTreeIntersect VALUES ('38','37');
INSERT INTO largeTreeIntersect VALUES ('38','38');
INSERT INTO largeTreeIntersect VALUES ('38','39');
INSERT INTO largeTreeIntersect VALUES ('38','40');
INSERT INTO largeTreeIntersect VALUES ('39','36');
INSERT INTO largeTreeIntersect VALUES ('39','37');
INSERT INTO largeTreeIntersect VALUES ('39','38');
INSERT INTO largeTreeIntersect VALUES ('39','39');
INSERT INTO largeTreeIntersect VALUES ('40','37');
INSERT INTO largeTreeIntersect VALUES ('40','38');
INSERT INTO largeTreeIntersect VALUES ('40','39');
INSERT INTO largeTreeIntersect VALUES ('41','38');
INSERT INTO largeTreeIntersect VALUES ('41','39');
INSERT INTO largeTreeIntersect VALUES ('42','42');
INSERT INTO largeTreeIntersect VALUES ('42','43');
INSERT INTO largeTreeIntersect VALUES ('42','44');
INSERT INTO largeTreeIntersect VALUES ('42','45');
INSERT INTO largeTreeIntersect VALUES ('42','46');
INSERT INTO largeTreeIntersect VALUES ('42','47');
INSERT INTO largeTreeIntersect VALUES ('42','48');
INSERT INTO largeTreeIntersect VALUES ('42','49');
INSERT INTO largeTreeIntersect VALUES ('42','50');
INSERT INTO largeTreeIntersect VALUES ('42','51');
INSERT INTO largeTreeIntersect VALUES ('42','52');
INSERT INTO largeTreeIntersect VALUES ('42','53');
INSERT INTO largeTreeIntersect VALUES ('42','54');
INSERT INTO largeTreeIntersect VALUES ('42','55');
INSERT INTO largeTreeIntersect VALUES ('42','56');
INSERT INTO largeTreeIntersect VALUES ('43','42');
INSERT INTO largeTreeIntersect VALUES ('43','43');
INSERT INTO largeTreeIntersect VALUES ('44','44');
INSERT INTO largeTreeIntersect VALUES ('44','45');
INSERT INTO largeTreeIntersect VALUES ('44','46');
INSERT INTO largeTreeIntersect VALUES ('44','47');
INSERT INTO largeTreeIntersect VALUES ('44','48');
INSERT INTO largeTreeIntersect VALUES ('44','49');
INSERT INTO largeTreeIntersect VALUES ('44','50');
INSERT INTO largeTreeIntersect VALUES ('44','51');
INSERT INTO largeTreeIntersect VALUES ('44','52');
INSERT INTO largeTreeIntersect VALUES ('44','53');
INSERT INTO largeTreeIntersect VALUES ('44','54');
INSERT INTO largeTreeIntersect VALUES ('44','55');
INSERT INTO largeTreeIntersect VALUES ('44','56');
INSERT INTO largeTreeIntersect VALUES ('45','44');
INSERT INTO largeTreeIntersect VALUES ('45','45');
INSERT INTO largeTreeIntersect VALUES ('45','46');
INSERT INTO largeTreeIntersect VALUES ('45','47');
INSERT INTO largeTreeIntersect VALUES ('45','48');
INSERT INTO largeTreeIntersect VALUES ('45','49');
INSERT INTO largeTreeIntersect VALUES ('45','50');
INSERT INTO largeTreeIntersect VALUES ('45','51');
INSERT INTO largeTreeIntersect VALUES ('45','52');
INSERT INTO largeTreeIntersect VALUES ('45','53');
INSERT INTO largeTreeIntersect VALUES ('45','54');
INSERT INTO largeTreeIntersect VALUES ('45','55');
INSERT INTO largeTreeIntersect VALUES ('46','44');
INSERT INTO largeTreeIntersect VALUES ('46','45');
INSERT INTO largeTreeIntersect VALUES ('46','46');
INSERT INTO largeTreeIntersect VALUES ('46','47');
INSERT INTO largeTreeIntersect VALUES ('46','48');
INSERT INTO largeTreeIntersect VALUES ('46','49');
INSERT INTO largeTreeIntersect VALUES ('46','50');
INSERT INTO largeTreeIntersect VALUES ('46','51');
INSERT INTO largeTreeIntersect VALUES ('46','52');
INSERT INTO largeTreeIntersect VALUES ('46','53');
INSERT INTO largeTreeIntersect VALUES ('47','44');
INSERT INTO largeTreeIntersect VALUES ('47','45');
INSERT INTO largeTreeIntersect VALUES ('47','46');
INSERT INTO largeTreeIntersect VALUES ('47','47');
INSERT INTO largeTreeIntersect VALUES ('47','48');
INSERT INTO largeTreeIntersect VALUES ('47','49');
INSERT INTO largeTreeIntersect VALUES ('47','50');
INSERT INTO largeTreeIntersect VALUES ('47','51');
INSERT INTO largeTreeIntersect VALUES ('47','52');
INSERT INTO largeTreeIntersect VALUES ('48','44');
INSERT INTO largeTreeIntersect VALUES ('48','45');
INSERT INTO largeTreeIntersect VALUES ('48','46');
INSERT INTO largeTreeIntersect VALUES ('48','47');
INSERT INTO largeTreeIntersect VALUES ('48','48');
INSERT INTO largeTreeIntersect VALUES ('48','49');
INSERT INTO largeTreeIntersect VALUES ('48','50');
INSERT INTO largeTreeIntersect VALUES ('48','51');
INSERT INTO largeTreeIntersect VALUES ('49','44');
INSERT INTO largeTreeIntersect VALUES ('49','45');
INSERT INTO largeTreeIntersect VALUES ('49','46');
INSERT INTO largeTreeIntersect VALUES ('49','47');
INSERT INTO largeTreeIntersect VALUES ('49','48');
INSERT INTO largeTreeIntersect VALUES ('50','44');
INSERT INTO largeTreeIntersect VALUES ('50','45');
INSERT INTO largeTreeIntersect VALUES ('51','46');
INSERT INTO largeTreeIntersect VALUES ('51','47');
INSERT INTO largeTreeIntersect VALUES ('51','48');
INSERT INTO largeTreeIntersect VALUES ('52','46');
INSERT INTO largeTreeIntersect VALUES ('52','47');
INSERT INTO largeTreeIntersect VALUES ('53','49');
INSERT INTO largeTreeIntersect VALUES ('53','50');
INSERT INTO largeTreeIntersect VALUES ('53','51');
INSERT INTO largeTreeIntersect VALUES ('54','49');
INSERT INTO largeTreeIntersect VALUES ('54','50');
INSERT INTO largeTreeIntersect VALUES ('55','54');
INSERT INTO largeTreeIntersect VALUES ('55','55');
