/*
This table contains all the possible multiple choice answers for expert mode trees
	id - unique identifier for this answer
	questionId - the question this is an answer for
	text - the text of the answer
*/
create table multiChoiceAnswer
(id		INTEGER PRIMARY KEY,
questionId	INTEGER,
text		CHAR(120)
);

/* Build Year */
insert into multiChoiceAnswer VALUES (1, 1, 'before 1917');
insert into multiChoiceAnswer VALUES (2, 1, '1917 - 1968');
insert into multiChoiceAnswer VALUES (3, 1, '1969');
insert into multiChoiceAnswer VALUES (4, 1, 'after 1969');

/* Large Tree Build Year */
insert into multiChoiceAnswer VALUES (5, 1, 'before 1917');
insert into multiChoiceAnswer VALUES (6, 1, '1917 - 1936');
insert into multiChoiceAnswer VALUES (7, 1, '1937 - 1959');
insert into multiChoiceAnswer VALUES (8, 1, '1960 - 1965');
insert into multiChoiceAnswer VALUES (9, 1, '1966');
insert into multiChoiceAnswer VALUES (10, 1, 'after 1966');

/* Primary Objective */
insert into multiChoiceAnswer VALUES (11, 2, 'Risk Reduction');
insert into multiChoiceAnswer VALUES (12, 2, 'Life Safety');
insert into multiChoiceAnswer VALUES (13, 2, 'Damage Control');
insert into multiChoiceAnswer VALUES (14, 2, 'Immediate Occupancy');

/* Seismic */
insert into multiChoiceAnswer VALUES (15, 3, 'Low');
insert into multiChoiceAnswer VALUES (16, 3, 'Medium');
insert into multiChoiceAnswer VALUES (17, 3, 'High');
insert into multiChoiceAnswer VALUES (18, 3, 'Very High');
				
/* Building Model */
insert into multiChoiceAnswer VALUES (19, 4, 'wood light frame');
insert into multiChoiceAnswer VALUES (20, 4, 'wood (commercial or industrial)');
insert into multiChoiceAnswer VALUES (21, 4, 'steel moment frame');
insert into multiChoiceAnswer VALUES (22, 4, 'steel braced frame');
insert into multiChoiceAnswer VALUES (23, 4, 'steel light frame');
insert into multiChoiceAnswer VALUES (24, 4, 'steel frame w/ concrete shear walls');
insert into multiChoiceAnswer VALUES (25, 4, 'steel frame w/ infill shear walls');
insert into multiChoiceAnswer VALUES (26, 4, 'concrete moment frame');
insert into multiChoiceAnswer VALUES (27, 4, 'concrete shear walls');
insert into multiChoiceAnswer VALUES (28, 4, 'concrete frame w/ infill shear walls');
insert into multiChoiceAnswer VALUES (29, 4, 'precast concrete tilt-up walls');
insert into multiChoiceAnswer VALUES (30, 4, 'precast concrete frame w/ concrete shear walls');
insert into multiChoiceAnswer VALUES (31, 4, 'reinforced masonry w/ metal or wood diaphragm');
insert into multiChoiceAnswer VALUES (32, 4, 'reinforced masonry w/ precast concrete diaphragm');
insert into multiChoiceAnswer VALUES (33, 4, 'unreinforced masonry');
insert into multiChoiceAnswer VALUES (34, 4, 'other');

/* Small Tree Area */		
insert into multiChoiceAnswer VALUES (35, 5, '0 to 1170 sqft');
insert into multiChoiceAnswer VALUES (36, 5, '1171 to 5002 sqft');
insert into multiChoiceAnswer VALUES (37, 5, 'more than 5002 sqft');

/* Large Tree Area */
insert into multiChoiceAnswer VALUES (38, 5, 'less than or equal to 528 sqft');
insert into multiChoiceAnswer VALUES (39, 5, '529 - 3809 sqft');
insert into multiChoiceAnswer VALUES (40, 5, '3810 - 4950 sqft');
insert into multiChoiceAnswer VALUES (41, 5, '4951 - 5002 sqft');
insert into multiChoiceAnswer VALUES (42, 5, '5003 - 6391 sqft');
insert into multiChoiceAnswer VALUES (43, 5, '6392 - 9250 sqft');
insert into multiChoiceAnswer VALUES (44, 5, '9251 - 37400 sqft');
insert into multiChoiceAnswer VALUES (45, 5, '37401 - 39846 sqft');
insert into multiChoiceAnswer VALUES (46, 5, '39847 - 46882 sqft');
insert into multiChoiceAnswer VALUES (47, 5, '46883 - 61258 sqft');
insert into multiChoiceAnswer VALUES (48, 5, '61259 - 108500 sqft');
insert into multiChoiceAnswer VALUES (49, 5, 'greater than 108500');

/* Scope of additional work */		
insert into multiChoiceAnswer VALUES (50, 6, 'No additional work');
insert into multiChoiceAnswer VALUES (51, 6, 'Additional work, but not major renovation');
insert into multiChoiceAnswer VALUES (52, 6, 'Major renovation');

/* Soil Type */		
insert into multiChoiceAnswer VALUES (53, 7, 'S1');
insert into multiChoiceAnswer VALUES (54, 7, 'S2');
insert into multiChoiceAnswer VALUES (55, 7, 'S3');
insert into multiChoiceAnswer VALUES (56, 7, 'S4');

/* Occupancy */		
insert into multiChoiceAnswer VALUES (57, 8, 'Occupants in place');
insert into multiChoiceAnswer VALUES (58, 8, 'Occupants temporarily removed');
insert into multiChoiceAnswer VALUES (59, 8, 'Vacant');

/* Below Ground multiChoiceAnswer */
insert into multiChoiceAnswer VALUES (60, 9, '0');
insert into multiChoiceAnswer VALUES (61, 9, '1 or more');

/* Above Ground */
insert into multiChoiceAnswer VALUES (62, 10, '0 - 3');
insert into multiChoiceAnswer VALUES (63, 10, '4 - 6');
insert into multiChoiceAnswer VALUES (64, 10, '7 or more');

/* Occupancy Class */
insert into multiChoiceAnswer VALUES (65, 11, 'assembly');
insert into multiChoiceAnswer VALUES (66, 11, 'factory/industrial/warehouse');
insert into multiChoiceAnswer VALUES (67, 11, 'institutional/educational');
insert into multiChoiceAnswer VALUES (68, 11, 'residential');
insert into multiChoiceAnswer VALUES (69, 11, 'commercial/office');
insert into multiChoiceAnswer VALUES (70, 11, 'parking');
insert into multiChoiceAnswer VALUES (71, 11, 'retail/mall');
insert into multiChoiceAnswer VALUES (72, 11, 'other');
		
/* System Improvements */
insert into multiChoiceAnswer VALUES (73, 12, 'Yes, system improvements are planned.');
insert into multiChoiceAnswer VALUES (74, 12, 'No, system improvements are not planned.');
		
/* Diaphragm */
insert into multiChoiceAnswer VALUES (75, 13, 'wood (sheathing or plywood)');
insert into multiChoiceAnswer VALUES (76, 13, 'metal deck w/ concrete fill');
insert into multiChoiceAnswer VALUES (77, 13, 'metal deck w/o concrete fill');
insert into multiChoiceAnswer VALUES (78, 13, 'cast-in-place concrete');
insert into multiChoiceAnswer VALUES (79, 13, 'precast concrete');
insert into multiChoiceAnswer VALUES (80, 13, 'steel truss');
insert into multiChoiceAnswer VALUES (81, 13, 'other');
	
/* Story Height */
insert into multiChoiceAnswer VALUES (82, 14, 'less than or equal to 11.25 ft');
insert into multiChoiceAnswer VALUES (83, 14, 'between 11.25 and 12.25 ft');
insert into multiChoiceAnswer VALUES (84, 14, 'greater than 12.25 ft');
	
/* Floor Plan */
insert into multiChoiceAnswer VALUES (85, 15, 'Rectangular shaped');
insert into multiChoiceAnswer VALUES (86, 15, 'C-shaped');
insert into multiChoiceAnswer VALUES (87, 15, 'O-shaped');
insert into multiChoiceAnswer VALUES (88, 15, 'L-shaped');
insert into multiChoiceAnswer VALUES (89, 15, 'Other (irregular)');

/* Rehab Method */
insert into multiChoiceAnswer VALUES (90, 16, 'include adding parapet bracing, adding URM or tilt-up wall ties, and/or strengthening soft-story');
insert into multiChoiceAnswer VALUES (91, 16, 'include modifying existing frames, adding damping, strengthening damping, and/or strengthening foundations');
insert into multiChoiceAnswer VALUES (92, 16, 'include adding shear walls, adding braced frames, adding moment frames, and/or modifying existing walls');
	
/* Historic */
insert into multiChoiceAnswer VALUES (93, 17, 'Yes, historically significant');
insert into multiChoiceAnswer VALUES (94, 17, 'No, not historically significant');

/* Foundation */
insert into multiChoiceAnswer VALUES (95, 18, 'spread footings');
insert into multiChoiceAnswer VALUES (96, 18, 'concrete mat');
insert into multiChoiceAnswer VALUES (97, 18, 'piles/caissons');
insert into multiChoiceAnswer VALUES (98, 18, 'other');

/* Cladding */
insert into multiChoiceAnswer VALUES (99, 19, 'none');
insert into multiChoiceAnswer VALUES (100, 19, 'curtain wall');
insert into multiChoiceAnswer VALUES (101, 19, 'precast');
insert into multiChoiceAnswer VALUES (102, 19, 'masonry');
insert into multiChoiceAnswer VALUES (103, 19, 'other');
	
/* Bearing Wall */
insert into multiChoiceAnswer VALUES (104, 20, 'timber');
insert into multiChoiceAnswer VALUES (105, 20, 'concrete');
insert into multiChoiceAnswer VALUES (106, 20, 'steel');
insert into multiChoiceAnswer VALUES (107, 20, 'precast concrete');
insert into multiChoiceAnswer VALUES (108, 20, 'reinforced masonry');
insert into multiChoiceAnswer VALUES (109, 20, 'unreinforced masonry');
/* remove this - but I don't want to shift the rest - 
 insert into multiChoiceAnswer VALUES (110, 20, 'unreinforced masonry'); 
*/
insert into multiChoiceAnswer VALUES (111, 20, 'other / none');

/* Column - duplicate of above */
insert into multiChoiceAnswer VALUES (112, 21, 'timber');
insert into multiChoiceAnswer VALUES (113, 21, 'concrete');
insert into multiChoiceAnswer VALUES (114, 21, 'steel');
insert into multiChoiceAnswer VALUES (115, 21, 'precast concrete');
insert into multiChoiceAnswer VALUES (116, 21, 'reinforced masonry');
insert into multiChoiceAnswer VALUES (117, 21, 'unreinforced masonry');
/* remove this - but I don't want to shift the rest - 
 insert into multiChoiceAnswer VALUES (118, 21, 'unreinforced masonry');
*/
insert into multiChoiceAnswer VALUES (119, 21, 'other');
