/*
nodeMultiChoiceAnswerIntersect pairts multiple choice answers in the mutiChoiceANswer table
with a specific node in an form entry (or expert) tree.

   nodeId    - id of the node this answer will appear in  - should these be key fields?
   methodId  - which tree this node belongs to. 
   answerId  - id of the answer in the answer table 
   sortOrder     - order of appearance in list of answers  - not sure this is necc.
   yesAnswer - is this a yes (1) or no (0) answer? 
 */

create table nodeMultiChoiceAnswerIntersect
( nodeId INTEGER,	
  methodId INTEGER,	
  answerId INTEGER,     
  sortOrder INTEGER,	
  yesAnswer NUMBER(1) );  


/* Small Tree Nodes */

/* Node 1 BUILD_YEAR */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (1, 1, 1, 1, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (1, 1, 2, 2, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (1, 1, 3, 3, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (1, 1, 4, 4, 1);

/* Node 2 PRIMARY_OBJECTIVE */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (2, 1, 11, 1, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (2, 1, 12, 2, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (2, 1, 13, 3, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (2, 1, 14, 4, 1);

/* Node 3 SEISMIC */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (3, 1, 15, 1, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (3, 1, 16, 2, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (3, 1, 17, 3, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (3, 1, 18, 4, 1);

/* Node 4 PRIMARY_OBJECTIVE */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (4, 1, 11, 1, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (4, 1, 12, 2, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (4, 1, 13, 3, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (4, 1, 14, 4, 1);

/* Node 5 PRIMARY_OBJECTIVE */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (5, 1, 11, 1, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (5, 1, 12, 2, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (5, 1, 13, 3, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (5, 1, 14, 4, 0);

/* Node 6 BUILDING_MODEL */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (6, 1, 19, 1, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (6, 1, 20, 2, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (6, 1, 21, 3, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (6, 1, 22, 4, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (6, 1, 23, 5, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (6, 1, 24, 6, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (6, 1, 25, 7, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (6, 1, 26, 8, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (6, 1, 27, 9, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (6, 1, 28, 10, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (6, 1, 29, 11, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (6, 1, 30, 12, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (6, 1, 31, 13, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (6, 1, 32, 14, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (6, 1, 33, 15, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (6, 1, 34, 16, 0);

/* Node 7 BUILDING MODEL */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (7, 1, 19, 1, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (7, 1, 20, 2, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (7, 1, 21, 3, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (7, 1, 22, 4, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (7, 1, 23, 5, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (7, 1, 24, 6, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (7, 1, 25, 7, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (7, 1, 26, 8, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (7, 1, 27, 9, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (7, 1, 28, 10, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (7, 1, 29, 11, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (7, 1, 30, 12, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (7, 1, 31, 13, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (7, 1, 32, 14, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (7, 1, 33, 15, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (7, 1, 34, 16, 0);

/* Node 8 AREA */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (8, 1, 35, 1, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (8, 1, 36, 2, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (8, 1, 37, 3, 1);

/* Node 9 BUILD YEAR */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (9, 1, 1, 1, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (9, 1, 2, 2, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (9, 1, 3, 3, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (9, 1, 4, 4, 1);

/* Node 10 PRIMARY_OBJECTIVE */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (10, 1, 11, 1, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (10, 1, 12, 2, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (10, 1, 13, 3, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (10, 1, 14, 4, 0);

/* Node 11 BUILDING_MODEL */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (11, 1, 19, 1, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (11, 1, 20, 2, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (11, 1, 21, 3, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (11, 1, 22, 4, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (11, 1, 23, 5, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (11, 1, 24, 6, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (11, 1, 25, 7, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (11, 1, 26, 8, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (11, 1, 27, 9, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (11, 1, 28, 10, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (11, 1, 29, 11, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (11, 1, 30, 12, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (11, 1, 31, 13, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (11, 1, 32, 14, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (11, 1, 33, 15, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (11, 1, 34, 16, 0);

/* Node 12 SEISMIC */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (12, 1, 15, 1, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (12, 1, 16, 2, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (12, 1, 17, 3, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (12, 1, 18, 4, 1);

/* Node 13 BUILDING_MODEL */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (13, 1, 19, 1, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (13, 1, 20, 2, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (13, 1, 21, 3, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (13, 1, 22, 4, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (13, 1, 23, 5, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (13, 1, 24, 6, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (13, 1, 25, 7, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (13, 1, 26, 8, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (13, 1, 27, 9, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (13, 1, 28, 10, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (13, 1, 29, 11, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (13, 1, 30, 12, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (13, 1, 31, 13, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (13, 1, 32, 14, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (13, 1, 33, 15, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (13, 1, 34, 16, 0);

/* Node 14 AREA */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (14, 1, 35, 1, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (14, 1, 36, 2, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (14, 1, 37, 3, 1);

/* Node 15 BUILD YEAR */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (15, 1, 1, 1, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (15, 1, 2, 2, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (15, 1, 3, 3, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (15, 1, 4, 4, 1);

/* Node 16 BUILDING_MODEL */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (16, 1, 19, 1, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (16, 1, 20, 2, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (16, 1, 21, 3, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (16, 1, 22, 4, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (16, 1, 23, 5, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (16, 1, 24, 6, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (16, 1, 25, 7, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (16, 1, 26, 8, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (16, 1, 27, 9, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (16, 1, 28, 10, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (16, 1, 29, 11, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (16, 1, 30, 12, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (16, 1, 31, 13, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (16, 1, 32, 14, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (16, 1, 33, 15, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (16, 1, 34, 16, 0);

/* Node 17 BUILDING MODEL */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (17, 1, 19, 1, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (17, 1, 20, 2, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (17, 1, 21, 3, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (17, 1, 22, 4, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (17, 1, 23, 5, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (17, 1, 24, 6, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (17, 1, 25, 7, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (17, 1, 26, 8, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (17, 1, 27, 9, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (17, 1, 28, 10, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (17, 1, 29, 11, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (17, 1, 30, 12, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (17, 1, 31, 13, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (17, 1, 32, 14, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (17, 1, 33, 15, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (17, 1, 34, 16, 0);

/* Node 18 SEISMIC */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (18, 1, 15, 1, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (18, 1, 16, 2, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (18, 1, 17, 3, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (18, 1, 18, 4, 1);

/* Node 19 BUILDING_MODEL */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (19, 1, 19, 1, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (19, 1, 20, 2, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (19, 1, 21, 3, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (19, 1, 22, 4, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (19, 1, 23, 5, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (19, 1, 24, 6, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (19, 1, 25, 7, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (19, 1, 26, 8, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (19, 1, 27, 9, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (19, 1, 28, 10, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (19, 1, 29, 11, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (19, 1, 30, 12, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (19, 1, 31, 13, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (19, 1, 32, 14, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (19, 1, 33, 15, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (19, 1, 34, 16, 0);

/* Large Tree Nodes */

/* Node 1 - BUILD_YEAR */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (1, 2, 5, 1, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (1, 2, 6, 2, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (1, 2, 7, 3, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (1, 2, 8, 4, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (1, 2, 9, 5, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (1, 2, 10, 6, 1);

/* Node 2 - SCOPE_ADD */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (2, 2, 50, 1, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (2, 2, 51, 2, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (2, 2, 52, 3, 0);

/* Node 3 - PRIMARY_OBJECTIVE */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (3, 2, 11, 1, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (3, 2, 12, 2, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (3, 2, 13, 3, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (3, 2, 14, 4, 1);

/* Node 4 - AREA */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (4, 2, 38, 1, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (4, 2, 39, 2, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (4, 2, 40, 3, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (4, 2, 41, 4, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (4, 2, 42, 5, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (4, 2, 43, 6, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (4, 2, 44, 7, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (4, 2, 45, 8, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (4, 2, 46, 9, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (4, 2, 47, 10, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (4, 2, 48, 11, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (4, 2, 49, 12, 1);

/* Node 5 - SOIL_TYPE */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (5, 2, 53, 1, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (5, 2, 54, 2, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (5, 2, 55, 3, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (5, 2, 56, 4, 0);

/* Node 6 - OCCUPANCY */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (6, 2, 57, 1, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (6, 2, 58, 2, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (6, 2, 59, 3, 0);

/* Node 7 - SEISMIC */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (7, 2, 15, 1, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (7, 2, 16, 2, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (7, 2, 17, 3, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (7, 2, 18, 4, 1);

/* Node 8 - AREA */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (8, 2, 38, 1, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (8, 2, 39, 2, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (8, 2, 40, 3, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (8, 2, 41, 4, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (8, 2, 42, 5, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (8, 2, 43, 6, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (8, 2, 44, 7, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (8, 2, 45, 8, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (8, 2, 46, 9, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (8, 2, 47, 10, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (8, 2, 48, 11, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (8, 2, 49, 12, 1);

/* Node 9 - BELOW_STREET */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (9, 2, 60, 1, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (9, 2, 61, 2, 1);

/* Node 10 - ABOVE_STREET */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (10, 2, 62, 1, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (10, 2, 63, 2, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (10, 2, 64, 3, 1);

/* Node 11 - PRIMARY_OBJECTIVE */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (11, 2, 11, 1, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (11, 2, 12, 2, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (11, 2, 13, 3, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (11, 2, 14, 4, 1);

/* Node 12 - OCCUPANCY */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (12, 2, 57, 1, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (12, 2, 58, 2, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (12, 2, 59, 3, 0);

/* Node 13 BUILDING MODEL */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (13, 2, 19, 1, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (13, 2, 20, 2, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (13, 2, 21, 3, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (13, 2, 22, 4, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (13, 2, 23, 5, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (13, 2, 24, 6, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (13, 2, 25, 7, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (13, 2, 26, 8, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (13, 2, 27, 9, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (13, 2, 28, 10, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (13, 2, 29, 11, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (13, 2, 30, 12, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (13, 2, 31, 13, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (13, 2, 32, 14, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (13, 2, 33, 15, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (13, 2, 34, 16, 0);

/* Node 14 - OCCUPANCY CLASS */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (14, 2, 65, 1, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (14, 2, 66, 2, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (14, 2, 67, 3, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (14, 2, 68, 4, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (14, 2, 69, 5, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (14, 2, 70, 6, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (14, 2, 71, 7, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (14, 2, 72, 8, 0);

/* Node 15 - SYSTEM_IMPROVEMENTS */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (15, 2, 73, 1, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (15, 2, 74, 2, 0);

/* Node 16 - DIAPHRAGM */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (16, 2, 75, 1, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (16, 2, 76, 2, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (16, 2, 77, 3, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (16, 2, 78, 4, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (16, 2, 79, 5, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (16, 2, 80, 6, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (16, 2, 81, 7, 0);

/* Node 17 - AREA */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (17, 2, 38, 1, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (17, 2, 39, 2, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (17, 2, 40, 3, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (17, 2, 41, 4, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (17, 2, 42, 5, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (17, 2, 43, 6, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (17, 2, 44, 7, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (17, 2, 45, 8, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (17, 2, 46, 9, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (17, 2, 47, 10, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (17, 2, 48, 11, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (17, 2, 49, 12, 1);

/* Node 18 - ABOVE_STREET */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (18, 2, 62, 1, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (18, 2, 63, 2, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (18, 2, 64, 3, 1);

/* Node 19 BUILDING MODEL */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (19, 2, 19, 1, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (19, 2, 20, 2, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (19, 2, 21, 3, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (19, 2, 22, 4, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (19, 2, 23, 5, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (19, 2, 24, 6, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (19, 2, 25, 7, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (19, 2, 26, 8, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (19, 2, 27, 9, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (19, 2, 28, 10, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (19, 2, 29, 11, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (19, 2, 30, 12, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (19, 2, 31, 13, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (19, 2, 32, 14, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (19, 2, 33, 15, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (19, 2, 34, 16, 0);

/* Node 20 - STORY_HEIGHT */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (20, 2, 82, 1, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (20, 2, 83, 2, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (20, 2, 84, 3, 1);

/* Node 21 - SEISMIC */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (21, 2, 15, 1, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (21, 2, 16, 2, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (21, 2, 17, 3, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (21, 2, 18, 4, 1);

/* Node 22 - AREA */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (22, 2, 38, 1, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (22, 2, 39, 2, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (22, 2, 40, 3, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (22, 2, 41, 4, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (22, 2, 42, 5, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (22, 2, 43, 6, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (22, 2, 44, 7, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (22, 2, 45, 8, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (22, 2, 46, 9, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (22, 2, 47, 10, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (22, 2, 48, 11, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (22, 2, 49, 12, 1);

/* Node 23 - BUILD_YEAR */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (23, 2, 5, 1, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (23, 2, 6, 2, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (23, 2, 7, 3, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (23, 2, 8, 4, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (23, 2, 9, 5, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (23, 2, 10, 6, 1);

/* Node 24 - FLOOR_PLAN */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (24, 2, 85, 1, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (24, 2, 86, 2, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (24, 2, 87, 3, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (24, 2, 88, 4, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (24, 2, 89, 5, 1);

/* Node 25 BUILDING MODEL */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (25, 2, 19, 1, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (25, 2, 20, 2, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (25, 2, 21, 3, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (25, 2, 22, 4, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (25, 2, 23, 5, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (25, 2, 24, 6, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (25, 2, 25, 7, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (25, 2, 26, 8, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (25, 2, 27, 9, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (25, 2, 28, 10, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (25, 2, 29, 11, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (25, 2, 30, 12, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (25, 2, 31, 13, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (25, 2, 32, 14, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (25, 2, 33, 15, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (25, 2, 34, 16, 0);

/* Node 26 BUILDING MODEL */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (26, 2, 19, 1, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (26, 2, 20, 2, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (26, 2, 21, 3, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (26, 2, 22, 4, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (26, 2, 23, 5, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (26, 2, 24, 6, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (26, 2, 25, 7, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (26, 2, 26, 8, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (26, 2, 27, 9, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (26, 2, 28, 10, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (26, 2, 29, 11, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (26, 2, 30, 12, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (26, 2, 31, 13, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (26, 2, 32, 14, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (26, 2, 33, 15, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (26, 2, 34, 16, 0);

/* Node 27 - DIAPHRAGM */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (27, 2, 75, 1, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (27, 2, 76, 2, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (27, 2, 77, 3, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (27, 2, 78, 4, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (27, 2, 79, 5, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (27, 2, 80, 6, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (27, 2, 81, 7, 0);

/* Node 28 - REHAB_METHOD */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (28, 2, 90, 1, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (28, 2, 91, 2, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (28, 2, 92, 3, 1);

/* Node 29 - BUILD_YEAR */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (29, 2, 5, 1, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (29, 2, 6, 2, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (29, 2, 7, 3, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (29, 2, 8, 4, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (29, 2, 9, 5, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (29, 2, 10, 6, 1);

/* Node 30 - REHAB_METHOD */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (30, 2, 90, 1, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (30, 2, 91, 2, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (30, 2, 92, 3, 0);

/* Node 31 - AREA */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (31, 2, 38, 1, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (31, 2, 39, 2, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (31, 2, 40, 3, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (31, 2, 41, 4, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (31, 2, 42, 5, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (31, 2, 43, 6, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (31, 2, 44, 7, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (31, 2, 45, 8, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (31, 2, 46, 9, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (31, 2, 47, 10, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (31, 2, 48, 11, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (31, 2, 49, 12, 1);

/* Node 32 - HISTORIC */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (32, 2, 93, 1, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (32, 2, 94, 2, 0);

/* Node 33 - AREA */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (33, 2, 38, 1, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (33, 2, 39, 2, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (33, 2, 40, 3, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (33, 2, 41, 4, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (33, 2, 42, 5, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (33, 2, 43, 6, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (33, 2, 44, 7, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (33, 2, 45, 8, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (33, 2, 46, 9, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (33, 2, 47, 10, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (33, 2, 48, 11, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (33, 2, 49, 12, 1);

/* Node 34 - OCCUPANCY CLASS */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (34, 2, 65, 1, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (34, 2, 66, 2, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (34, 2, 67, 3, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (34, 2, 68, 4, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (34, 2, 69, 5, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (34, 2, 70, 6, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (34, 2, 71, 7, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (34, 2, 72, 8, 0);

/* Node 35 - BUILD_YEAR */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (35, 2, 5, 1, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (35, 2, 6, 2, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (35, 2, 7, 3, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (35, 2, 8, 4, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (35, 2, 9, 5, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (35, 2, 10, 6, 1);

/* Node 36 - AREA */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (36, 2, 38, 1, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (36, 2, 39, 2, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (36, 2, 40, 3, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (36, 2, 41, 4, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (36, 2, 42, 5, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (36, 2, 43, 6, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (36, 2, 44, 7, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (36, 2, 45, 8, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (36, 2, 46, 9, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (36, 2, 47, 10, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (36, 2, 48, 11, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (36, 2, 49, 12, 1);

/* Node 37 - PRIMARY_OBJECTIVE */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (37, 2, 11, 1, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (37, 2, 12, 2, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (37, 2, 13, 3, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (37, 2, 14, 4, 0);

/* Node 38 - SYSTEM_IMPROVEMENTS */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (38, 2, 73, 1, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (38, 2, 74, 2, 0);

/* Node 39 - AREA */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (39, 2, 38, 1, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (39, 2, 39, 2, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (39, 2, 40, 3, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (39, 2, 41, 4, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (39, 2, 42, 5, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (39, 2, 43, 6, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (39, 2, 44, 7, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (39, 2, 45, 8, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (39, 2, 46, 9, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (39, 2, 47, 10, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (39, 2, 48, 11, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (39, 2, 49, 12, 1);

/* Node 40 - FOUNDATION */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (40, 2, 95, 1, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (40, 2, 96, 2, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (40, 2, 97, 3, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (40, 2, 98, 4, 0);

/* Node 41 - CLADDING */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (41, 2, 99, 1, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (41, 2, 100, 2, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (41, 2, 101, 3, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (41, 2, 102, 4, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (41, 2, 103, 5, 0);

/* Node 42 - AREA */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (42, 2, 38, 1, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (42, 2, 39, 2, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (42, 2, 40, 3, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (42, 2, 41, 4, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (42, 2, 42, 5, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (42, 2, 43, 6, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (42, 2, 44, 7, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (42, 2, 45, 8, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (42, 2, 46, 9, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (42, 2, 47, 10, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (42, 2, 48, 11, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (42, 2, 49, 12, 1);

/* Node 43 - REHAB_METHOD */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (43, 2, 90, 1, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (43, 2, 91, 2, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (43, 2, 92, 3, 1);

/* Node 44 - BEARING WALLS */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (44, 2, 104, 1, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (44, 2, 105, 2, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (44, 2, 106, 3, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (44, 2, 107, 4, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (44, 2, 108, 5, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (44, 2, 109, 6, 0);
 /* INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (44, 2, 110, 7, 0); */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (44, 2, 111, 0, 0);

/* Node 45 - SCOPE_ADD */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (45, 2, 50, 1, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (45, 2, 51, 2, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (45, 2, 52, 3, 0);

/* Node 46 BUILDING MODEL */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (46, 2, 19, 1, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (46, 2, 20, 2, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (46, 2, 21, 3, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (46, 2, 22, 4, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (46, 2, 23, 5, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (46, 2, 24, 6, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (46, 2, 25, 7, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (46, 2, 26, 8, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (46, 2, 27, 9, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (46, 2, 28, 10, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (46, 2, 29, 11, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (46, 2, 30, 12, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (46, 2, 31, 13, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (46, 2, 32, 14, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (46, 2, 33, 15, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (46, 2, 34, 16, 0);

/* Node 47 - OCCUPANCY CLASS */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (47, 2, 65, 1, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (47, 2, 66, 2, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (47, 2, 67, 3, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (47, 2, 68, 4, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (47, 2, 69, 5, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (47, 2, 70, 6, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (47, 2, 71, 7, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (47, 2, 72, 8, 0);

/* Node 48 - STORY_HEIGHT */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (48, 2, 82, 1, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (48, 2, 83, 2, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (48, 2, 84, 3, 1);

/* Node 49 - SOIL_TYPE */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (49, 2, 53, 1, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (49, 2, 54, 2, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (49, 2, 55, 3, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (49, 2, 56, 4, 0);

/* Node 50 - CLADDING */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (50, 2, 99, 1, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (50, 2, 100, 2, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (50, 2, 101, 3, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (50, 2, 102, 4, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (50, 2, 103, 5, 0);

/* Node 51 - AREA (no alien jokes please) */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (51, 2, 38, 1, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (51, 2, 39, 2, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (51, 2, 40, 3, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (51, 2, 41, 4, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (51, 2, 42, 5, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (51, 2, 43, 6, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (51, 2, 44, 7, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (51, 2, 45, 8, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (51, 2, 46, 9, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (51, 2, 47, 10, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (51, 2, 48, 11, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (51, 2, 49, 12, 1);

/* Node 52 BUILDING MODEL */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (52, 2, 19, 1, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (52, 2, 20, 2, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (52, 2, 21, 3, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (52, 2, 22, 4, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (52, 2, 23, 5, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (52, 2, 24, 6, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (52, 2, 25, 7, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (52, 2, 26, 8, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (52, 2, 27, 9, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (52, 2, 28, 10, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (52, 2, 29, 11, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (52, 2, 30, 12, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (52, 2, 31, 13, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (52, 2, 32, 14, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (52, 2, 33, 15, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (52, 2, 34, 16, 0);

/* Node 53 - COLUMN (Uses same VALUESs as BEARING_WALL) */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (53, 2, 112, 1, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (53, 2, 113, 2, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (53, 2, 114, 3, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (53, 2, 115, 4, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (53, 2, 116, 5, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (53, 2, 117, 6, 0);
/* INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (53, 2, 118, 7, 0); */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (53, 2, 119, 0, 0);

/* Node 54 - BUILD_YEAR */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (54, 2, 5, 1, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (54, 2, 6, 2, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (54, 2, 7, 3, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (54, 2, 8, 4, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (54, 2, 9, 5, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (54, 2, 10, 6, 1);

/* Node 55 - AREA */
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (55, 2, 38, 1, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (55, 2, 39, 2, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (55, 2, 40, 3, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (55, 2, 41, 4, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (55, 2, 42, 5, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (55, 2, 43, 6, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (55, 2, 44, 7, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (55, 2, 45, 8, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (55, 2, 46, 9, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (55, 2, 47, 10, 0);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (55, 2, 48, 11, 1);
INSERT INTO nodeMultiChoiceAnswerIntersect VALUES (55, 2, 49, 12, 1);