/* this table holds the yes/no answers for the Interactive, non-expert mode tree 
	nodeId - tree node associated with this pair of answers 
	methodId - simplified or detailed
	yesAnswer - answer which will go down the 'yes' branch 
	noAnswer - answer which will go down the 'no' branch
*/
create table standardModeAnswer
( nodeId INTEGER,	
  methodId INTEGER, 
  yesAnswer VARCHAR(200),		
  noAnswer VARCHAR(200) );		

/* Small tree (Method 1) */
INSERT INTO standardModeAnswer VALUES (1, 1, 'After 1916', 'Before or during 1916');
INSERT INTO standardModeAnswer VALUES (2, 1, 'Immediate Occupancy', 'NOT Immediate Occupancy');
INSERT INTO standardModeAnswer VALUES (3, 1, 'Very High', 'Low, Medium, or High');
INSERT INTO standardModeAnswer VALUES (4, 1, 'Immediate Occupancy', 'NOT Immediate Occupancy');
INSERT INTO standardModeAnswer VALUES (5, 1, 'Risk Reduction', 'NOT Risk Reduction');
INSERT INTO standardModeAnswer VALUES (6, 1, 'Concrete frame w/ infill walls', 'NOT concrete frame w/ infill walls');
INSERT INTO standardModeAnswer VALUES (7, 1, 'Steel frame w/ infill walls', 'NOT steel frame w/ infill walls');
INSERT INTO standardModeAnswer VALUES (8, 1, 'Greater than 1170.0', 'Less than or equal to 1170.0');
INSERT INTO standardModeAnswer VALUES (9, 1, 'After 1969', 'Before or during 1969');
INSERT INTO standardModeAnswer VALUES (10, 1, 'Damage Control', 'NOT Damage Control');
INSERT INTO standardModeAnswer VALUES (11, 1, 'Concrete moment frame', 'NOT concrete moment frame');
INSERT INTO standardModeAnswer VALUES (12, 1, 'Very High', 'Low, Medium, or High');
INSERT INTO standardModeAnswer VALUES (13, 1, 'Unreinforced Masonry', 'NOT unreinforced masonry');
INSERT INTO standardModeAnswer VALUES (14, 1, 'Greater than 5002', 'Less than or equal to 5002');
INSERT INTO standardModeAnswer VALUES (15, 1, 'After 1968', 'Before or during 1968');
INSERT INTO standardModeAnswer VALUES (16, 1, 'Wood light frame', 'NOT wood light frame');
INSERT INTO standardModeAnswer VALUES (17, 1, 'Steel frame w/ infill walls', 'NOT steel frame w/ infill walls');
INSERT INTO standardModeAnswer VALUES (18, 1, 'Very High', 'Low, Medium, or High');
INSERT INTO standardModeAnswer VALUES (19, 1, 'Concrete frame w/ infill walls', 'NOT concrete frame w/ infill walls');
INSERT INTO standardModeAnswer VALUES (20, 1, 'After 1916', 'Before or during 1916');

/* Large Tree (Method 2) */
INSERT INTO standardModeAnswer VALUES (1, 2, 'After 1916', 'Before or during 1916');
INSERT INTO standardModeAnswer VALUES (2, 2, 'Additional work, but not major renovation', 'No additional work / Major renovation');
INSERT INTO standardModeAnswer VALUES (3, 2, 'Immediate Occupancy', 'NOT Immediate Occupancy');
INSERT INTO standardModeAnswer VALUES (4, 2, 'Greater than 108500 sq ft', 'Less than or equal to 108500 sq ft');
INSERT INTO standardModeAnswer VALUES (5, 2, 'S3', 'Not S3');
INSERT INTO standardModeAnswer VALUES (6, 2, 'Occupants in place', 'Not occupants in place');
INSERT INTO standardModeAnswer VALUES (7, 2, 'Very High', 'Low, Medium, or High');
INSERT INTO standardModeAnswer VALUES (8, 2, 'Greater than 9250 sq ft', 'Less than or equal to 9250 sq ft');
INSERT INTO standardModeAnswer VALUES (9, 2, '1 or more floors below ground', 'No floors below ground');
INSERT INTO standardModeAnswer VALUES (10, 2, '4 or more floors above ground', 'Fewer than 4 floors above ground');
INSERT INTO standardModeAnswer VALUES (11, 2, 'Immediate Occupancy', 'NOT Immediate Occupancy');
INSERT INTO standardModeAnswer VALUES (12, 2, 'Occupants in place', 'Not occupants in place');
INSERT INTO standardModeAnswer VALUES (13, 2, 'Concrete frame with infill shear walls', 'not concrete frame with infill shear walls');
INSERT INTO standardModeAnswer VALUES (14, 2, 'Institutional or educational', 'Neither institutional nor educational');
INSERT INTO standardModeAnswer VALUES (15, 2, 'System improvements ARE planned', 'System improvements ARE NOT planned');
INSERT INTO standardModeAnswer VALUES (16, 2, 'Cast-in-place concrete', 'NOT cast-in-place concrete');
INSERT INTO standardModeAnswer VALUES (17, 2, 'Greater than 6391 sq ft', 'Less than or equal to 6391 sq ft');
INSERT INTO standardModeAnswer VALUES (18, 2, '7 or more floors above ground', 'Fewer than 7 floors above ground');
INSERT INTO standardModeAnswer VALUES (19, 2, 'Steel moment frame', 'NOT steel moment frame');
INSERT INTO standardModeAnswer VALUES (20, 2, 'Greater than 11.25 ft', 'Less than or equal to 11.25 ft');
INSERT INTO standardModeAnswer VALUES (21, 2, 'Medium, High, or Very High', 'Low');
INSERT INTO standardModeAnswer VALUES (22, 2, 'Greater than 39846 sq ft', 'Less than or equal to 39846 sq ft');
INSERT INTO standardModeAnswer VALUES (23, 2, 'After 1966', 'Before or during 1966');
INSERT INTO standardModeAnswer VALUES (24, 2, 'Other (irregular)', 'Rectangular, C-, O-, or L-shaped');
INSERT INTO standardModeAnswer VALUES (25, 2, 'Unreinforced masonry', 'NOT Unreinforced masonry');
INSERT INTO standardModeAnswer VALUES (26, 2, 'Steel frame with infill shear walls', 'NOT steel frame with infill shear walls');
INSERT INTO standardModeAnswer VALUES (27, 2, 'Metal deck with concrete fill', 'NOT metal deck with concrete fill');
INSERT INTO standardModeAnswer VALUES (28, 2, 'Includes one or more of: adding shear walls; adding braced frames; adding moment frames; modifying existing walls;  and/or isolation.', 'DOES NOT include any of the above methods.');
INSERT INTO standardModeAnswer VALUES (29, 2, 'After 1936', 'Before or during 1936');
INSERT INTO standardModeAnswer VALUES (30, 2, 'Includes one or more of: modifying exististing frames; adding damping; strengthening damping; and/or strengthening foundations', 'DOES NOT include any of the above methods.');
INSERT INTO standardModeAnswer VALUES (31, 2, 'Greater than 3809 sq ft', 'Less than or equal to 3809 sq ft');
INSERT INTO standardModeAnswer VALUES (32, 2, 'Yes, historically significant', 'No, not historically significant');
INSERT INTO standardModeAnswer VALUES (33, 2, 'Greater than 37400 sq ft', 'Less than or equal to 37400 sq ft');
INSERT INTO standardModeAnswer VALUES (34, 2, 'Institutional or educational', 'Neither institutional nor educational');
INSERT INTO standardModeAnswer VALUES (35, 2, 'After 1965', 'Before or during 1965');
INSERT INTO standardModeAnswer VALUES (36, 2, 'Greater than 528 sq ft', 'Less than or equal to 528 sq ft');
INSERT INTO standardModeAnswer VALUES (37, 2, 'Risk Reduction', 'NOT Risk Reduction');
INSERT INTO standardModeAnswer VALUES (38, 2, 'System improvements ARE planned', 'System improvements ARE NOT planned');
INSERT INTO standardModeAnswer VALUES (39, 2, 'Greater than 4950 sq ft', 'Less than or equal to 4950 sq ft');
INSERT INTO standardModeAnswer VALUES (40, 2, 'Piles or caissons', 'Neither piles nor caissons');
INSERT INTO standardModeAnswer VALUES (41, 2, 'Curtain wall', 'Not curtain wall');
INSERT INTO standardModeAnswer VALUES (42, 2, 'Greater than 5002 sq ft', 'Less than or equal to 5002 sq ft');
INSERT INTO standardModeAnswer VALUES (43, 2, 'Includes one or more of: adding shear walls; adding braced frames; adding moment frames; modifying existing walls;  and/or isolation.', 'DOES NOT include any of the above methods.');
INSERT INTO standardModeAnswer VALUES (44, 2, 'Timber', 'NOT timber');
INSERT INTO standardModeAnswer VALUES (45, 2, 'Additional work, but not major renovation', 'No additional work / Major renovation');
INSERT INTO standardModeAnswer VALUES (46, 2, 'Steel frame with infill shear walls', 'NOT steel frame with infill shear walls');
INSERT INTO standardModeAnswer VALUES (47, 2, 'Factory, industrial, or warehouse', 'Neither factory, industrial, nor warehouse');
INSERT INTO standardModeAnswer VALUES (48, 2, 'Greater than 12.25 ft', 'Less than or equal to 12.25 ft');
INSERT INTO standardModeAnswer VALUES (49, 2, 'S1', 'Not S1');
INSERT INTO standardModeAnswer VALUES (50, 2, 'No cladding', 'Curtain wall, precast, masonry, or other');
INSERT INTO standardModeAnswer VALUES (51, 2, 'Greater than 46882 sq ft', 'Less than or equal to 46882 sq ft');
INSERT INTO standardModeAnswer VALUES (52, 2, 'Concrete frame with infill shear walls', 'Not concrete frame with infill shear walls');
INSERT INTO standardModeAnswer VALUES (53, 2, 'Steel', 'Not steel');
INSERT INTO standardModeAnswer VALUES (54, 2, 'After 1959', 'Before or during 1959');
INSERT INTO standardModeAnswer VALUES (55, 2, 'Greater than 61258 sq ft', 'Less than or equal to 61258 sq ft');