/*
 * Created on Sep 25, 2005
 *
 */
package gov.fema.web.srce;

import gov.fema.web.srce.PoolManager;

import javax.naming.Context;
import javax.naming.InitialContext;
import javax.servlet.ServletConfig;
import javax.servlet.ServletException;

import org.apache.log4j.Logger;

import com.eyestreet.velocity.servlet.VelocityInitServlet;

/**
 * This class initializes the application prior to the rest of the classes
 * 
 * @author Neil
 *
 */ 
public class InitServlet extends VelocityInitServlet {
	
	static final long serialVersionUID = 1L;
	
	/**
	 *  
	 * Initialize the logger and database pool
	 * 
	 */
	 public void init(ServletConfig config) throws ServletException {
	 	super.init(config);

	 	//initialize the logger
	 	Logger logger = Logger.getLogger(InitServlet.class);
	 	
	 	//initialize the connection pool
	 	logger.warn("STARTUP: Initializing the connection pool");
	 	try {
	 		Context initCtx = new InitialContext();
	 		Context envCtx = (Context) initCtx.lookup("java:comp/env");
	 		String poolConfig = (String)envCtx.lookup("poolConfig");
	 		
            logger.warn("STARTUP: Pool Config:    " + poolConfig);
            PoolManager.init(poolConfig);
            logger.warn("STARTUP: Connection pool initialized");
	 	}
	 	catch (Exception ex) {
	 		logger.error("STARTUP: Connection pool initialization failed", ex);
	 	}
	 }
	 
	 /**
	  * Shuts down 
	  *
	  */
	 public void destroy(){
	 	
	 }
}
