/*
 * Created on Jun 5, 2005
 *
 * TODO To change the template for this generated file go to
 * Window - Preferences - Java - Code Style - Code Templates
 */
package gov.fema.web.srce.junit;

import java.util.TreeMap;

import gov.fema.web.srce.objects.Answer;
import gov.fema.web.srce.objects.DecisionNode;
import gov.fema.web.srce.objects.PreviousAnswers;
import gov.fema.web.srce.objects.Question;
import junit.framework.TestCase;

/**
 * @author Neil
 *
 * TODO To change the template for this generated type comment go to
 * Window - Preferences - Java - Code Style - Code Templates
 */
public class TestPreviousAnswers extends TestCase {

	DecisionNode node1;
	DecisionNode node2;
	DecisionNode node3;
	DecisionNode node4;
	
	/*
	 * @see TestCase#setUp()
	 */
	protected void setUp() throws Exception {
		super.setUp();
		
		node1 = new DecisionNode(	1, 
									new Question("firstQ", "Are you there, Dave?", "q1.hlp"),
									"yes",
									"no",
									0,
									2.00);
		
		
		node2 = new DecisionNode(	2, 
									new Question("secondQ", "Dave?", "q2.hlp"),
									"yes",
									"no",
									0,
									2.00);
		
		node3 = new DecisionNode(	3, 
									new Question("thirdQ", "Are you angry, Dave?", "q3.hlp"),
									"yes",
									"no",
									0,
									2.00);
		
		// this a node with the same question as node 2
		node4 = new DecisionNode(	4, 
									new Question("secondQ", "Dave?", "q2.hlp"),
									"yes",
									"no",
									0,
									2.00);
	}
	
	
	public void testSimpleAdd()
	{
		PreviousAnswers pa = new PreviousAnswers();
		Answer ans = new Answer("yes"); 
		
		pa.add(node1, ans);
		assertNotNull(pa.getPrevAnswers());
		
		Answer retrievedAnswer = (Answer) pa.getPrevAnswers().get(node1); 
		assertEquals(retrievedAnswer.getText(), ans.getText());
	}
	
	public void testComplexAdd()
	{
		PreviousAnswers pa = new PreviousAnswers();
		Answer ans1 = new Answer("yes"); 
		Answer ans2 = new Answer("no");
		
		pa.add(node1, ans1);
		pa.add(node2, ans1);
		pa.add(node3, ans1); 
		
		assertEquals(3, pa.getPrevAnswers().size());
		Answer retrievedAnswer = (Answer) pa.getPrevAnswers().get(node2); 
		assertEquals(retrievedAnswer.getText(), ans1.getText());
		
		pa.add(node2, ans2); // this should replace node 2 with a different answer and remove node3
				
		assertEquals(2, pa.getPrevAnswers().size());
		
		retrievedAnswer = (Answer) pa.getPrevAnswers().get(node2); 
		assertEquals(retrievedAnswer.getText(), ans2.getText());
	}
	
	public void testGetUniqueQuestionAnswerPairs()
	{
		PreviousAnswers pa = new PreviousAnswers();
		Answer ans1 = new Answer("yes1"); 
		Answer ans2 = new Answer("no"); 
		
		pa.add(node1, ans1);
		pa.add(node2, ans1);
		pa.add(node3, ans1); 
		pa.add(node4, ans2);
		
		TreeMap questionAnswers = pa.getUniqueQuestionAnswerPairs();
		
		assertNotNull(questionAnswers);
		assertEquals(questionAnswers.size(), 3);
		
		assertFalse(questionAnswers.containsKey(node2));
		
		Answer retrievedAnswer = (Answer) pa.getPrevAnswers().get(node4); 
		assertEquals(retrievedAnswer.getText(), ans2.getText());
	}
}
