/*
 * Created on Jul 29, 2003
 *
 * To change the template for this generated file go to
 * Window&gt;Preferences&gt;Java&gt;Code Generation&gt;Code and Comments
 */
package gov.fema.web.srce.struts.actions;


import java.util.HashMap;
import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.log4j.Logger;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import gov.fema.web.srce.objects.Answer;
import gov.fema.web.srce.objects.DecisionTree;
import gov.fema.web.srce.objects.ExpertDecisionTree;
import gov.fema.web.srce.objects.Question;
import gov.fema.web.srce.objects.TreeNode;
import gov.fema.web.srce.struts.forms.ExpertForm;

/**
 * @author N-Chilson
 *
 * To change the template for this generated type comment go to
 * Window&gt;Preferences&gt;Java&gt;Code Generation&gt;Code and Comments
 */

/**
 * @author n-chilson
 *
 */
public class ExpertAction extends AbstractActionBase {

	protected static final Logger logger = org.apache.log4j.Logger.getLogger(ExpertAction.class);
	
	/**
	 * Default constructor
	 */
	public ExpertAction() {
		super();
	}

	
	/**
	 * @see org.apache.struts.action.Action#execute(org.apache.struts.action.ActionMapping, org.apache.struts.action.ActionForm, javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)
	 */
	public ActionForward execute( 	ActionMapping mapping,
									ActionForm form,
									HttpServletRequest request,
									HttpServletResponse response)
									throws Exception {

		
				
		ExpertForm expertForm = (ExpertForm)form;
		ActionForward actionForward = null;
		ActionMessages errors = new ActionMessages();
		logger.debug("Before query:");
		logger.debug("Action is" + expertForm.getAction());
		
		ValidateSessionAttributes(request, errors);
		if(!errors.isEmpty())
		{
			saveErrors(request, errors);
			return mapping.findForward(ERROR);
		}
		
		if (expertForm.isSubmit()) {
			logger.debug("In Answer:");
			actionForward = doSubmit(mapping, expertForm, request, response, errors);	
		}
		else if (expertForm.isBegin())
		{
			logger.debug("In begin");
			actionForward = doBegin(mapping, expertForm, request, response, errors);
		}
		else if (expertForm.isBackup())
		{
			logger.debug("In Backup");
			actionForward = doBackup(mapping, expertForm, request, response, errors);
		}
		else
		{
			// unknown action
			logger.error("ERROR - Unknown action");
			errors.add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage("error.generic", "Unknown action" + expertForm.getAction()));
		}
		
		if(!errors.isEmpty())
		{
			saveErrors(request, errors);
			actionForward = mapping.findForward(ERROR);
		}
		logger.debug("ActionForward" + actionForward.getName());
		logger.debug(" AF path = " + actionForward.getPath());
		
		return (actionForward);
	}


	/**
	 * Initialize objects for this action.
	 * 
	 * @param mapping
	 * @param expertForm
	 * @param request
	 * @param response
	 * @param errors
	 * @return
	 */
	private ActionForward doBegin(ActionMapping mapping, ExpertForm expertForm, HttpServletRequest request, HttpServletResponse response, ActionMessages errors) 
	{
		// place an object which can provide the different questions to the JSP	
		storeQuestionTemplates(request);
		storeAnswerTemplates(request);
		
		// do this just to make sure this object exists; 
		// TODO: real solution is to wrap this properly in a bean.
		// NOTE: don't need this any more
		// getPreviousAnswers(request);
		// setPreviousNodes(new Vector(), request);

		return mapping.findForward(EXPERT);
	}

	/**
	 * Set a session scope variable that contains all the questions
	 * to display to the user.
	 * 
	 * @param request
	 */
	private void storeQuestionTemplates(HttpServletRequest request) 
	{
		ExpertDecisionTree edt = (ExpertDecisionTree)getDecisionTree(request);
		request.getSession(true).setAttribute("questions", edt.getQuestions());
	}

	/**
	 * Set a session scope variable that contains all the answers
	 * to display as choices to the user.
	 * 
	 * @param request
	 */
	private void storeAnswerTemplates(HttpServletRequest request) 
	{
		ExpertDecisionTree edt = (ExpertDecisionTree)getDecisionTree(request);
System.out.println("2   tree is null " + (edt == null));
System.out.println("2   answers is null " + (edt.getAnswers() == null));
System.out.println("2   answers size " + edt.getAnswers().size());
		request.getSession(true).setAttribute("answers", edt.getAnswers());
	}

	/**
	 * Handles the submission of the expert page.
	 * 
	 * @param mapping
	 * @param expertForm
	 * @param request
	 * @param response
	 * @param errors
	 * @return
	 */
	private ActionForward doSubmit(ActionMapping mapping, 
									 ExpertForm expertForm, 
									 HttpServletRequest request, 
									 HttpServletResponse response, 
									 ActionMessages errors) {

		ExpertDecisionTree decisionTree = (ExpertDecisionTree) getDecisionTree(request);
		if (decisionTree == null)
		{
			// TODO: need to forward to a page that says they've timed out.
			errors.add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage("error.timeout"));
			return mapping.findForward(ERROR);
		}

		//scrape form into a map of questions and answers
		Map answers = new HashMap();
		
		if (decisionTree.getTreeMethod() == DecisionTree.METHOD_1)
		{
			scrapeFormMethod1(expertForm, answers);
		}
		else
		{
			scrapeFormMethod2(expertForm, answers);
		}
		
		// find new node using given answers. PLURAL.
		TreeNode newNode = decisionTree.answerQuestions(answers);
		setCurrentNode(newNode, request);
		
		//update history objects
		//NOTE: don't need to do this any more, since expert mode doesn't use previous answers at all.
		//getPreviousAnswers(request).putAll(answers);
		//setPreviousNodes(decisionTree.collectParentNodes(newNode.getId()), request);

		// figure out which view is appropriate
		if (newNode.isTerminalNode())
		{
			return mapping.findForward(TERMINAL);
		}
		else
		{
			// need to replace current node with same node from tree.
			setCurrentNode(decisionTree.getNode(newNode.getId()), request);
			ActionMessages am = new ActionMessages();
			
			logger.debug(" About to add new message.");
			
//			Show a messages that tells users why they didn't reach a terminal node.
			am.add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage("message.expert.notenoughinfo"));
			saveMessages(request, am);

			logger.debug("Added message: message.expert.notenoughinfo");
			
			return mapping.findForward(ANSWER);	
		}
	}
	
	
	/**
	 * Scrapes method 1 answers from the expertForm.
	 * 
	 * @param expertForm
	 * @param answers - fills this map with the answers from the form.
	 */
	private void scrapeFormMethod1(ExpertForm expertForm, Map answers) 
	{
		answers.put(Question.createBuildYearQ(), new Answer(expertForm.getYearConstructed()));
		answers.put(Question.createBuildingModelQ(), new Answer(expertForm.getBuildingModel()));
		answers.put(Question.createPrimaryObjectiveQ(), new Answer(expertForm.getPerformanceObjective()));
		answers.put(Question.createAreaQ(), new Answer(expertForm.getArea()));
		answers.put(Question.createSeismicQ(), new Answer(expertForm.getSeismicZone()));
	
		logger.debug("scrapeFormMethod1() answers = " + answers.toString());
	}

	/**
	 * Scrapes method 2 answers from the expertForm.
	 * 
	 * @param expertForm
	 * @param answers
	 */
	private void scrapeFormMethod2(ExpertForm expertForm, Map answers) 
	{
		answers.put(Question.createBuildYearQ(), new Answer(expertForm.getYearConstructed()));
		answers.put(Question.createBuildingModelQ(), new Answer(expertForm.getBuildingModel()));
		answers.put(Question.createPrimaryObjectiveQ(), new Answer(expertForm.getPerformanceObjective()));
		answers.put(Question.createAreaQ(), new Answer(expertForm.getArea()));
		answers.put(Question.createSeismicQ(), new Answer(expertForm.getSeismicZone()));
		
		answers.put(Question.createScopeAddQ(), new Answer(expertForm.getScopeAdd()));
		answers.put(Question.createSoilTypeQ(), new Answer(expertForm.getSoilType()));	
		answers.put(Question.createOccupancyQ(), new Answer(expertForm.getOccupancy()));
		answers.put(Question.createBelowStreetQ(), new Answer(expertForm.getBelowStreet()));
		answers.put(Question.createAboveStreetQ(), new Answer(expertForm.getAboveStreet()));
		answers.put(Question.createOccupancyClassQ(), new Answer(expertForm.getOccupancyClass()));
		answers.put(Question.createSysImpQ(), new Answer(expertForm.getSysImp()));
		answers.put(Question.createDiaphragmQ(), new Answer(expertForm.getDiaphragm()));
		answers.put(Question.createStoryHeightQ(), new Answer(expertForm.getStoryHeight()));
		answers.put(Question.createFloorPlanQ(), new Answer(expertForm.getFloorPlan()));
		answers.put(Question.createRehabMethodQ(), new Answer(expertForm.getRehabMethod()));
		answers.put(Question.createHistoricQ(), new Answer(expertForm.getHistoric()));
		answers.put(Question.createFoundationQ(), new Answer(expertForm.getFoundation()));
		answers.put(Question.createCladdingQ(), new Answer(expertForm.getCladding()));
		answers.put(Question.createBearingWallQ(), new Answer(expertForm.getBearingWall()));
		answers.put(Question.createColumnQ(), new Answer(expertForm.getColumn()));
		
		logger.debug("scrapeFormMethod2() answers = " + answers.toString());
	}
	
	/**
	 * Edit form for this action.
	 * 
	 * @param mapping
	 * @param expertForm
	 * @param request
	 * @param response
	 * @param errors
	 * @return
	 */
	private ActionForward doBackup(ActionMapping mapping, ExpertForm expertForm, HttpServletRequest request, HttpServletResponse response, ActionMessages errors) 
	{
		//TODO: don't know if this is going to reset the form or not
		return mapping.findForward(EXPERT);
	}

}
