/*
 * Created on Aug 14, 2003
 *
 * To change the template for this generated file go to
 * Window&gt;Preferences&gt;Java&gt;Code Generation&gt;Code and Comments
 */
package gov.fema.web.srce.struts.actions;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.log4j.Logger;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import gov.fema.web.srce.SRCEConstants;
import gov.fema.web.srce.objects.DecisionTree;
import gov.fema.web.srce.struts.forms.InitializeForm;

/**
 * @author n-chilson
 *
 */
public class InitializeAction extends AbstractActionBase {

	protected static final Logger logger = org.apache.log4j.Logger.getLogger(InitializeAction.class);
	
	/**
	 * Default constructor.
	 */
	public InitializeAction() {
		super();
	}
	
	public ActionForward execute( 	ActionMapping mapping,
									ActionForm form,
									HttpServletRequest request,
									HttpServletResponse response)
									throws Exception 
	{
		InitializeForm initForm = (InitializeForm)form;
		ActionForward actionForward = null;
		ActionMessages errors = new ActionMessages();

		if (initForm.isInitializeMethod()) 
		{
			actionForward = mapping.findForward(INITIALIZE_MODE);
		}
		else if (initForm.isInitializeMode())
		{
			actionForward = doSetTree(mapping, initForm, request, response, errors);	
		}
		else
		{
			// unknown action
			logger.error("ERROR - Unknown action");
			errors.add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage("error.generic", "Unknown action " + initForm.getAction()));
		}

		if(!errors.isEmpty())
		{
			saveErrors(request, errors);
			actionForward = mapping.findForward(ERROR);
		}

		logger.debug("ActionForward" + actionForward.getName());
		return (actionForward);
	}

	/**
	 * Creates the decision tree based on method and mode.
	 * 
	 * @param mapping
	 * @param initForm
	 * @param request
	 * @param response
	 * @param errors
	 * @return
	 */
	private ActionForward doSetTree(ActionMapping mapping, 
									InitializeForm initForm, 
									HttpServletRequest request, 
									HttpServletResponse response, 
									ActionMessages errors) 
	{
		ActionForward actionForward = null;
		
		logger.debug("Mode isExpertMode= " + String.valueOf(initForm.isExpertMode()));
		
		//DecisionTree dt = DecisionTree.createDecisionTree(initForm.getMethod(), initForm.isExpertMode());
System.out.println("1");
		DecisionTree dt = SRCEConstants.getDecisionTree(initForm.getMethod(), initForm.isExpertMode());
System.out.println("1   tree is null " + (dt == null));
		
		if (dt != null)
		{
			System.out.println("1a");
			request.getSession(true).setAttribute("decisionTree", dt);
			actionForward = mapping.findForward(LOCATION);
		}
		else
		{
			System.out.println("1b");
			errors.add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage("error.generic", "Couldn't create Decision Tree." ));
			actionForward = mapping.findForward(ERROR);	
		}
		
		return actionForward;
	}
}
