/*
 * Created on Aug 11, 2003
 *
 * To change the template for this generated file go to
 * Window&gt;Preferences&gt;Java&gt;Code Generation&gt;Code and Comments
 */
package gov.fema.web.srce.struts.actions;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.log4j.Logger;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import gov.fema.web.srce.objects.DecisionTree;
import gov.fema.web.srce.struts.forms.LocationForm;

/**
 * @author n-chilson
 *
 */
public class LocationAction extends AbstractActionBase {

	protected static final Logger logger = org.apache.log4j.Logger.getLogger(LocationAction.class);
	
	/**
	 * Defaul Constructor 
	 */
	public LocationAction() {
		super();
	}

	/* (non-Javadoc)
	 * @see org.apache.struts.action.Action#execute(org.apache.struts.action.ActionMapping, org.apache.struts.action.ActionForm, javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)
	 */
	/**
	 * @see org.apache.struts.action.Action#execute(org.apache.struts.action.ActionMapping, org.apache.struts.action.ActionForm, javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)
	 */
	public ActionForward execute( 	ActionMapping mapping,
									ActionForm form,
									HttpServletRequest request,
									HttpServletResponse response)
									throws Exception {

		LocationForm locationForm = (LocationForm)form;
		ActionForward actionForward = null;
		ActionMessages errors = new ActionMessages();

		if (locationForm.isContinue()) 
		{
			actionForward = doSetLocation(mapping, locationForm, request, response, errors);	
		}
		else
		{
			// unknown action
			logger.error("ERROR - Unknown action");
			errors.add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage("error.generic", "Unknown action " + locationForm.getAction()));
		}

		if(!errors.isEmpty())
		{
			saveErrors(request, errors);
			actionForward = mapping.getInputForward();
		}
		
		logger.debug("ActionForward" + actionForward.getName());		
		return (actionForward);
	}

	/**
	 * Sets the location from the data provided in the form.
	 * 
	 * @param mapping
	 * @param locationForm
	 * @param request
	 * @param response
	 * @param errors
	 * @return
	 * @throws Exception
	 */
	private ActionForward doSetLocation(	ActionMapping mapping,
											LocationForm locationForm,
											HttpServletRequest request,
											HttpServletResponse response,
											ActionMessages errors)
											throws Exception
	{	
		// scrape form
		String locationType = locationForm.getLocationType();
		
		if (locationType.equals("state"))
		{
			String state = locationForm.getState();
			setLocation(state, request);
		}
		else if (locationType.equals("city"))
		{
			String city = locationForm.getCity();
			setLocation(city, request);
		}
		else // unknown locationType - shouldn't be able to get here if we are validating form correctly.
		{
			 logger.error("ERROR - Unknown location type");
		 	 errors.add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage("error.generic", "Unknown location Type" + locationType));
		}
		
		
		// We are going straight to the ANSWER or EXPERT page
		request.setAttribute("action", "Begin");
		
		DecisionTree dt = getDecisionTree(request);
		if (dt == null)
		{
			// TODO: need to forward to a page that says they've logged out.
			return mapping.findForward(ERROR);
		}
				
		if( dt.isStandardMode() )
			return mapping.findForward(ANSWER);
		else
			return mapping.findForward(EXPERT);
	}
	
	/**
	 * Set session level attribute "location". Used throughout the JSPs
	 * to determine the price multipliers.
	 * 
	 * @param location
	 * @param request
	 */
	protected void setLocation(String location, HttpServletRequest request) 
	{
		logger.debug("setLocation() - setting location to " + location);
		
		request.getSession().setAttribute("location", location);
	}

}
