/**
 * Title:        OGE Travel
 * Description:
 * Copyright:    Copyright (c) 2003
 * Company:      Federal Emergency Management Agency
 * 
 * @version 1.0
 * 
 * $Id: AbstractFormBase.java 9735 2007-07-12 16:10:30Z asharkova $
 * 
 */


package gov.fema.web.srce.struts.forms;


import org.apache.struts.action.ActionForm;
import java.text.SimpleDateFormat;


public class AbstractFormBase extends ActionForm {

	protected static final String BEGIN_ACTION 			= "Begin";
	protected static final String ANSWER_ACTION			= "Answer";	
	protected static final String BACKUP_ACTION			= "Backup";		
	protected static final String VIEW_BUILDINGS_ACTION	= "ViewBuildings";
	protected static final String VIEW_BUILDING_DETAILS_ACTION = "ViewBuildingDetails";
	protected static final String SUBMIT_ACTION			= "Submit";
	protected static final String CONTINUE_ACTION		= "Continue";
	protected static final String INITIALIZE_MODE_ACTION		= "InitializeMode";
	protected static final String INITIALIZE_METHOD_ACTION		= "InitializeMethod";
	
    protected SimpleDateFormat format = new java.text.SimpleDateFormat("dd/mm/yyyy");
    protected String action = "";

	/**
	 * Set action.
     *
	 * @param 	action
	 */
	public void setAction(String action) {
		this.action = action;
	}

	/**
	 * Get action.
	 *
     * @return 	String
	 */
	public String getAction() {
		return action;
	}

	/**
	 * Method isBegin
	 * 
	 * @return boolean
	 */
	public boolean isBegin() {
		return (BEGIN_ACTION.equals(action));
	}

	/**
	 * Method isAnswer.
     *
	 * @return boolean
	 */
	public boolean isAnswer() {
		return (ANSWER_ACTION.equals(action));
	}
	
	/**
	 * Method isSubmit.
	 *
	 * @return boolean
	 */
	public boolean isSubmit() {
		return (SUBMIT_ACTION.equals(action));
	}
	
	/**
	 * Method isContinue.
	 *
	 * @return boolean
	 */
	public boolean isContinue() {
		return (CONTINUE_ACTION.equals(action));
	}
	
	
	/**
	 * Method isViewBuildings.
     *
	 * @return boolean
	 */
	public boolean isViewBuildings() {
		return (VIEW_BUILDINGS_ACTION.equals(action));
	}
	
	/**
	 * Method isViewBuildingDetails.
	 *
	 * @return boolean
	 */
	public boolean isViewBuildingDetails() {
		return (VIEW_BUILDING_DETAILS_ACTION.equals(action));
	}
	
	/**
	 * Method isBackup.
	 *
	 * @return boolean
	 */
	public boolean isBackup() {
		return (BACKUP_ACTION.equals(action));
	}
	
	/**
	 * Method isInitializeMethod.
	 *
	 * @return boolean
	 */
	public boolean isInitializeMethod() {
		return (INITIALIZE_METHOD_ACTION.equals(action));
	}
	
	/**
	 * Method isInitializeMode.
	 *
	 * @return boolean
	 */
	public boolean isInitializeMode() {
		return (INITIALIZE_MODE_ACTION.equals(action));
	}

	

	/**
	 * Parse date.
     *
	 * @param dateStr
	 * @return Date
	 * @throws ParseException
	 */
	java.util.Date parseDate(	String dateStr) 
    							throws java.text.ParseException {
		return format.parse(dateStr);
	}

}