/*
 * Created on Jul 29, 2003
 *
 * To change the template for this generated file go to
 * Window&gt;Preferences&gt;Java&gt;Code Generation&gt;Code and Comments
 */
package gov.fema.web.srce.struts.forms;

import javax.servlet.ServletRequest;
import javax.servlet.http.HttpServletRequest;

import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;

import gov.fema.util.ValidateUtil;

/**
 * @author n-chilson
 *
 */
public class ExpertForm extends AbstractFormBase {
	
	// small tree fields
	private String yearConstructed = null;
	private String performanceObjective = null;
	private String seismicZone = null;
	private String buildingModel = null;
	private String area = null;
    
    // large tree fields
    private String scopeAdd = null;
	private String soilType = null;
	private String occupancy = null;
	private String belowStreet = null;
	private String aboveStreet = null;
	private String occupancyClass = null;
	private String sysImp = null;
	private String diaphragm = null;
	private String storyHeight = null;
	private String floorPlan = null;
	private String rehabMethod = null;
	private String historic = null;
	private String foundation = null;
	private String cladding = null;
	private String bearingWall = null;
	private String column = null;
    
	/**
	 * Default constructor.
	 */
	public ExpertForm() {
		// Reset the values to the defaults
		this.reset(null, null);
	}

	/**
	 * @see org.apache.struts.action.ActionForm#reset(ActionMapping, HttpServletRequest)
	 */
	public void reset(ActionMapping mapping, HttpServletRequest request) {
		// yearConstructed = null;
		// performanceObjective = null;
		// seismicZone = null;
		// buildingModel = null;
		// area = null;
	}

	/**
	 * @see org.apache.struts.action.ActionForm#validate(ActionMapping, HttpServletRequest)
	 */
	public ActionErrors validate(ActionMapping mapping, HttpServletRequest request) {
		ActionErrors ae = new ActionErrors();
		
		//TODO: obviously nothing here yet.
		
		return ae;
	}

	// Small tree fields
	/**
	 * 
	 * Get year constructed.
	 * 
	 * @return String
	 */
	public String getYearConstructed() {
		return yearConstructed;
	}

	/**
	 * Get area.
	 * 
	 * @return String
	 */
	public String getArea() {
		return area;
	}

	/**
	 * Get building model.
	 * 
	 * @return String
	 */
	public String getBuildingModel() {
		return buildingModel;
	}

	/**
	 * Get performance objective.
	 * 
	 * @return String
	 */
	public String getPerformanceObjective() {
		return performanceObjective;
	}

	/**
	 * Get seismic zone.
	 * 
	 * @return String
	 */
	public String getSeismicZone() {
		return seismicZone;
	}

	/**
	 * Set year constructed.
	 * 
	 * @param yearConstructed
	 */
	public void setYearConstructed(String yearConstructed) {
		this.yearConstructed = yearConstructed;
	}

	/**
	 * Set area.
	 * 
	 * @param area
	 */
	public void setArea(String area) {
		this.area = area;
	}

	/**
	 * Set building model.
	 * 
	 * @param buildingModel
	 */
	public void setBuildingModel(String buildingModel) {
		this.buildingModel = buildingModel;
	}

	/**
	 * Set performance objective.
	 * 
	 * @param performanceObjective
	 */
	public void setPerformanceObjective(String performanceObjective) {
		this.performanceObjective = performanceObjective;
	}

	/**
	 * Set seismic zone.
	 * 
	 * @param seismicZone
	 */
	public void setSeismicZone(String seismicZone) {
		this.seismicZone = seismicZone;
	}


	/**
	 * @see org.apache.struts.action.ActionForm#validate(org.apache.struts.action.ActionMapping, javax.servlet.ServletRequest)
	 */
	public ActionErrors validate(ActionMapping mapping, ServletRequest request) {
		ActionErrors ae = new ActionErrors();
	
		String error = ValidateUtil.validateNumber(yearConstructed, "Construction Date", true);
		if (error.length() > 0) 
			ae.add("Construction Date", new ActionMessage("error.answer.age.error", error));
		
		error = ValidateUtil.validateNumber(area, "Area", true);
		if (error.length() > 0) 
			ae.add("Area", new ActionMessage("error.answer.area.error", error));		
	
		error = validateBuildingModel(buildingModel, "Building Model", true);
		if (error.length() > 0) 
			ae.add("Building Model", new ActionMessage("error.answer.buildingModel.error", error));

		error = validatePerformanceObjective(performanceObjective, "Performance Objective", true);
		if (error.length() > 0) 
			ae.add("Performance Objective", new ActionMessage("error.answer.performanceObjective.error", error));
		
		error = ValidateUtil.validateNumber(area, "Area", true);
		if (error.length() > 0) 
			ae.add("Area", new ActionMessage("error.answer.area.error", error));
		
		return ae;
	}

	/**
	 * Verifies that the submitted building model is a valid type.
	 * 
	 * @param value
	 * @param columnName
	 * @param canBeEmpty
	 * @return String - an error string. Empty if no error.
	 */
	public static String validateBuildingModel(String value, String columnName, boolean canBeEmpty) {
		if (!canBeEmpty && (value == null || value.length() == 0)) {  
			return "ERROR: " + columnName + " value is empty.";
		}   
                                 
		if (!(canBeEmpty && (value == null || value.length() == 0))) {

			// TODO: actually check if it's valid here

			return "ERROR: " + columnName + " value is invalid.";
		}
		return "";
	}


	/**
	 * Verify that the performance objective submitted is valid.
	 * 
	 * @param value
	 * @param columnName
	 * @param canBeEmpty
	 * @return String - an error string. Empty if no error.
	 */
	public static String validatePerformanceObjective(String value, String columnName, boolean canBeEmpty) {
		if (!canBeEmpty && (value == null || value.length() == 0)) {  
			return "ERROR: " + columnName + " value is empty.";
		}   
                             
		if (!(canBeEmpty && (value == null || value.length() == 0))) {

			// TODO: actually check if it's valid here

			return "ERROR: " + columnName + " value is invalid.";
		}
		return "";

	}

	/**
	 * Get number of stories above street.
	 * 
	 * @return String
	 */
	public String getAboveStreet() {
		return aboveStreet;
	}

	/**
	 * Get bearing wall type.
	 * 
	 * @return String
	 */
	public String getBearingWall() {
		return bearingWall;
	}

	/**
	 * Get number of stories below street.
	 * 
	 * @return String
	 */
	public String getBelowStreet() {
		return belowStreet;
	}

	/**
	 * Get type of cladding.
	 * 
	 * @return String
	 */
	public String getCladding() {
		return cladding;
	}

	/**
	 * Get column type.
	 * 
	 * @return String
	 */
	public String getColumn() {
		return column;
	}

	/**
	 * Get diaphragm type.
	 * 
	 * @return String
	 */
	public String getDiaphragm() {
		return diaphragm;
	}

	/**
	 * Get floor plan shape.
	 * 
	 * @return String
	 */
	public String getFloorPlan() {
		return floorPlan;
	}

	/**
	 * Get foundation type.
	 * 
	 * @return String
	 */
	public String getFoundation() {
		return foundation;
	}

	/**
	 * Get historic (indicates if this building is historically valuable or not).
	 * 
	 * @return String
	 */
	public String getHistoric() {
		return historic;
	}

	/**
	 * Get occupancy state during refurbishing.
	 * 
	 * @return String
	 */
	public String getOccupancy() {
		return occupancy;
	}

	/**
	 * Get occupancy classification of building (residential, administrative, etc.)
	 * 
	 * @return String
	 */
	public String getOccupancyClass() {
		return occupancyClass;
	}

	/**
	 * Get primary rehabilitation method.
	 * 
	 * @return String
	 */
	public String getRehabMethod() {
		return rehabMethod;
	}

	/**
	 * Get scope of additional work.
	 * 
	 * @return String
	 */
	public String getScopeAdd() {
		return scopeAdd;
	}

	/**
	 * Get soil type.
	 * 
	 * @return String
	 */
	public String getSoilType() {
		return soilType;
	}

	/**
	 * Get height of a single story.
	 * 
	 * @return String
	 */
	public String getStoryHeight() {
		return storyHeight;
	}

	/**
	 * Get system improvements (yes/no).
	 * 
	 * @return String
	 */
	public String getSysImp() {
		return sysImp;
	}

	/**
	 * Set number of stories above street.
	 * 
	 * @param aboveStreet
	 */
	public void setAboveStreet(String aboveStreet) {
		this.aboveStreet = aboveStreet;
	}

	/**
	 * Set bearing wall type.
	 * 
	 * @param bearingWall
	 */
	public void setBearingWall(String bearingWall) {
		this.bearingWall = bearingWall;
	}

	/**
	 * Set number of stories below street.
	 * 
	 * @param belowStreet
	 */
	public void setBelowStreet(String belowStreet) {
		this.belowStreet = belowStreet;
	}

	/**
	 * Set cladding type.
	 * 
	 * @param cladding
	 */
	public void setCladding(String cladding) {
		this.cladding = cladding;
	}

	/**
	 * Set column type.
	 * 
	 * @param column
	 */
	public void setColumn(String column) {
		this.column = column;
	}

	/**
	 * Set diaphragm type.
	 * 
	 * @param diaphragm
	 */
	public void setDiaphragm(String diaphragm) {
		this.diaphragm = diaphragm;
	}

	/**
	 * Set floor plan shape.
	 * 
	 * @param floorPlan
	 */
	public void setFloorPlan(String floorPlan) {
		this.floorPlan = floorPlan;
	}

	/**
	 * Set foundation type.
	 * 
	 * @param foundation
	 */
	public void setFoundation(String foundation) {
		this.foundation = foundation;
	}

	/**
	 * Set historic (indicates if this building is historically valuable or not).
	 * 
	 * @param historic
	 */
	public void setHistoric(String historic) {
		this.historic = historic;
	}

	/**
	 * Set state of occupancy during rehabilitation
	 * 
	 * @param occupancy
	 */
	public void setOccupancy(String occupancy) {
		this.occupancy = occupancy;
	}

	/**
	 * Set occupancy classification.
	 * 
	 * @param occupancyClass
	 */
	public void setOccupancyClass(String occupancyClass) {
		this.occupancyClass = occupancyClass;
	}

	/**
	 * Set rehabilitation method.
	 * 
	 * @param rehabMethod
	 */
	public void setRehabMethod(String rehabMethod) {
		this.rehabMethod = rehabMethod;
	}

	/**
	 * Set scope of additional work.
	 * 
	 * @param scopeAdd
	 */
	public void setScopeAdd(String scopeAdd) {
		this.scopeAdd = scopeAdd;
	}

	/**
	 * Set soil type.
	 * 
	 * @param soilType
	 */
	public void setSoilType(String soilType) {
		this.soilType = soilType;
	}

	/**
	 * Set height of a single story.
	 * 
	 * @param storyHeight
	 */
	public void setStoryHeight(String storyHeight) {
		this.storyHeight = storyHeight;
	}

	/**
	 * Set system improvements (indicates yes or no)
	 * 
	 * @param sysImp
	 */
	public void setSysImp(String sysImp) {
		this.sysImp = sysImp;
	}

}
