/*
 * Created on Aug 14, 2003
 *
 * To change the template for this generated file go to
 * Window&gt;Preferences&gt;Java&gt;Code Generation&gt;Code and Comments
 */
package gov.fema.web.srce.struts.forms;

import gov.fema.web.srce.objects.DecisionTree;

import javax.servlet.http.HttpServletRequest;

import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

/**
 * @author n-chilson
 *
 */
public class InitializeForm extends AbstractFormBase 
{
	public static int MODE_STEP = 1;
	public static int METHOD_STEP = 2;
	 
	private boolean expertMode;
	private String  method;
	private int initializationStep = 1;
	
	public InitializeForm() {
		// Reset the values to the defaults
		this.reset(null, null);
	}

	/**
	 * @see org.apache.struts.action.ActionForm#reset(ActionMapping, HttpServletRequest)
	 */
	public void reset(ActionMapping mapping, HttpServletRequest request) 
	{
		expertMode = false;
		//	method = DecisionTree.METHOD_1;
	}
 	  
	/**
	 * @see org.apache.struts.action.ActionForm#validate(ActionMapping, HttpServletRequest)
	 */
	public ActionErrors validate(ActionMapping mapping, HttpServletRequest request) {
		ActionErrors ae = new ActionErrors();
		
		if ( !method.equals(DecisionTree.METHOD_1) &&
		     !method.equals(DecisionTree.METHOD_2) )
		{
			ae.add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage("error.generic", "Unknown method: " + method));
		}
		
		return ae;
	}  
 	  
	/**
	 * Method isExpertMode
	 * 
	 * @return boolean
	 */
	public boolean isExpertMode() {
		return expertMode;
	}

	/**
	 * Get method - ie, which tree.
	 * 
	 * @return String
	 */
	public String getMethod() {
		return method;
	}
	
	/**
	 * Get which initialization step 
	 * 
	 * @return int
	 */
	public int getIntializationStep()
	{
		return initializationStep;
	}

	/**
	 * Set expert mode to true or false.
	 * 
	 * @param expertMode
	 */
	public void setExpertMode(boolean expertMode) {
		this.expertMode = expertMode;
	}

	/**
	 * Set decision tree method.
	 * 
	 * @param method
	 */
	public void setMethod(String method) {
		this.method = method;
	}
	
	/**
	 * Set initialization step.
	 * 
	 * @param step
	 */
	public void setInitializationStep(int step)
	{
		this.initializationStep = step;
	}

}
