/*
 * Created on Aug 11, 2003
 *
 * To change the template for this generated file go to
 * Window&gt;Preferences&gt;Java&gt;Code Generation&gt;Code and Comments
 */
package gov.fema.web.srce.struts.forms;

import gov.fema.web.srce.SRCEConstants;

import javax.servlet.http.HttpServletRequest;

import org.apache.log4j.Logger;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;
/**
 * @author n-chilson
 *
 * Provide the fields to set the location of the building being 
 * evaluated. Location will determine the multipliers by which to
 * adjust estimated costs. 
 * 
 * Location can be either the fifty states and territories, or one
 * of a list of the most populous cities in the US.
 * 
 */
public class LocationForm extends AbstractFormBase 
{
	
	static final long serialVersionUID = 1L;
	
	protected static final String DEFAULT_LOCATION_TYPE = "state";
	protected static final String DEFAULT_STATE = "Missouri";
	protected static final String DEFAULT_CITY = "";
	
	protected static final Logger logger = org.apache.log4j.Logger.getLogger(LocationForm.class);
	
	private String state;
	private String city;
	
	private String locationType;
	
	public LocationForm()
	{
		super();
		// set the default location
		reset(null, null);
	}
	
	/**
	 * @see org.apache.struts.action.ActionForm#reset(ActionMapping, HttpServletRequest)
	 */
	public void reset(ActionMapping mapping, HttpServletRequest request) {
		locationType = DEFAULT_LOCATION_TYPE;
		state = DEFAULT_STATE;
		city = DEFAULT_CITY;
	}

	/**
	 * @see org.apache.struts.action.ActionForm#validate(ActionMapping, HttpServletRequest)
	 */
	public ActionErrors validate(ActionMapping mapping, HttpServletRequest request) {
		ActionErrors ae = new ActionErrors();
		
		logger.debug( "locationType = " + locationType);
		logger.debug( "state = " + state);
		logger.debug( "city = " + city);
		
		if (locationType.equals("state"))
		{
			if( ! SRCEConstants.states.containsKey(state) )
			{
				ae.add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage("error.generic", "Unknown location: " + state));
			}
		}
		else if (locationType.equals("city"))
		{
			if( ! SRCEConstants.cities.containsKey(city) )
			{
				ae.add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage("error.generic", "Unknown location: " + city));
			}
		}
		else
		{
			ae.add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage("error.generic", "Bad location type: " + locationType));
		}
		
		return ae;
	}
	
	/**
	 * Get city
	 * 
	 * @return String
	 */
	public String getCity() {
		return city;
	}

	/**
	 * Get location type
	 * 
	 * @return String
	 */
	public String getLocationType() {
		return locationType;
	}

	/**
	 * Get state
	 * 
	 * @return String
	 */
	public String getState() {
		return state;
	}

	/**
	 * Set city
	 * 
	 * @param city
	 */
	public void setCity(String city) {
		this.city = city;
	}

	/**
	 * Set location type
	 * 
	 * @param locationType
	 */
	public void setLocationType(String locationType) {
		this.locationType = locationType;
	}

	/**
	 * Set state
	 * 
	 * @param state
	 */
	public void setState(String state) {
		this.state = state;
	}

}
