<%
/////////////////////////////////////////////////////////////////////
// FEMA Seismic Rehabilitation Cost Estimator
//
// file:	answer.jsp
// author: 	Neil Chilson
// created: 7-11-2003
// description: Displays a question and the answer choices, along with 
//              past questions and current estimate so far.
// revised: 
// notes:
/////////////////////////////////////////////////////////////////////
%>
<%@ include file="/WEB-INF/taglib.jsp" %>
<%@ page errorPage="exception.jsp" 
         import="java.util.Vector, java.util.TreeMap, java.net.URLEncoder, gov.fema.util.*, gov.fema.web.srce.*, gov.fema.web.srce.objects.*, java.util.Iterator" 
%>
<jsp:useBean id="currentNode" type="gov.fema.web.srce.objects.TreeNode" scope="request" />
<jsp:useBean id="location" class="java.lang.String" scope="session" />
<jsp:useBean id="decisionTree" type="gov.fema.web.srce.objects.DecisionTree" scope="session" />
<%@ include file="header.jsp" %>

<h1>Seismic Rehabilitation Cost Estimator</h1>
<p class="subtitle"><bean:write name="decisionTree" property="treeMethodDescription"/> estimation method, <bean:write name="decisionTree" property="treeMode"/> mode</p>

<logic:messagesPresent message="true">
			<p class="error">
			<h3>Warning:</h3>
			<html:messages id="msg" message="true" >
				<bean:write name="msg"/><br>
			</html:messages>
			</p>
		</logic:messagesPresent>
<bean:define    id="question" 
	                    name="currentNode" 
	                    property="question" 
	                    type="gov.fema.web.srce.objects.Question" 
	                    scope="request" 
	                    toScope="page"/>
		
		<%// if we are in standard mode (non-form) then we want to show the next question %>
		<logic:equal name="decisionTree" property="treeMode" value='<%=DecisionTree.STANDARD_MODE%>'>
			<p class="error">Please answer the following question to refine the cost estimate further:</p>

<table border="0" cellspacing="0" cellpadding="5" width="100%">
<tr>
	<td valign="top" width="50%">
			<p class="normal">
	            <strong><bean:write name="question" property="text"/></strong>
	            <ul>
	            <logic:iterate id="answer" name="currentNode" property="possibleAnswers" type="gov.fema.web.srce.objects.Answer">
	                <li><a href="answer.do?action=Answer&nodeID=<%= currentNode.getId() %>&answerText=<%=answer.getText()%>"><bean:write name="answer" property="text"/></a></li>
	            </logic:iterate>
</ul>
			</p>
        </logic:equal>
        
        <%// if we are in expert mode (aka, form mode) then provide a link back to the form.%>
        <logic:equal	name="decisionTree" 
						property="treeMode" 
						value='<%=DecisionTree.EXPERT_MODE%>'>
        	<p class="error">
				To get a more accurate estimate, you need to answer the following question: <strong><bean:write name="question" property="text"/></strong>
			</p>
        	<a href="expert.do?action=Backup">Click here to return to the form and answer the question.</a>
        </logic:equal>
	</td>
	<td valign="top" width="50%">
		<table cellspacing="0" cellpadding="9">
		<tr><td bgcolor="#cccccc">
			<strong>Current Node:</strong> <bean:write name="currentNode" property="id"/><br>
			<strong>Current Incomplete Estimate for location <bean:write name="location"/> in 2002 dollars:</strong><br/>
            <h2><%=currentNode.getLocationAdjustedFormattedMedian(location)%>  / sqft </h2>
			<strong>Number of buildings used to calculate this estimate: </strong><bean:write name="currentNode" property="numBuildings"/><br>
			<a href="view.do?action=ViewBuildings&nodeId=<%=currentNode.getId()%>">View buildings</a>
		</td></tr>
		</table>
	</td>
</tr>
</table>

<%// Show previous Qs and As if in non-form mode %>
		<logic:equal 	name="decisionTree" 
						property="treeMode" 
						value='<%=DecisionTree.STANDARD_MODE%>'>
			<%// - Previous Questions 	%>
			<logic:present name="prevNodes">
				<logic:present name="prevAnswers">
					<bean:define id="prevNodes" name="prevNodes" type="java.util.Vector" />
					<bean:define id="prevAs" name="prevAnswers" type="gov.fema.web.srce.objects.PreviousAnswers"/>
					<%
					
					TreeMap prevAnsMap = prevAs.getPrevAnswers();
					
					if (prevAnsMap.keySet().size() > 0 )
					{
					%>
						<b>Previous Questions (Click to modify your response):</b>
						<ul><% 
							Iterator i = prevAs.getUniqueQuestionAnswerPairs().keySet().iterator();
							while (i.hasNext())
							{
								DecisionNode prevNode = (DecisionNode)(i.next());
								Question prevQ = prevNode.getQuestion();
								int nodeId = prevNode.getId();
								Answer prevAnswer = (Answer) prevAnsMap.get(prevNode);
								
								%>
								<li><a href="answer.do?action=Backup&nodeID=<%=nodeId%>"><%=prevQ.getText()%></a> - <%if(prevAnswer != null){out.println(prevAnswer.toString());}%></li> 
								<%
							}
							%>
						</ul><%
					}
					%>
				</logic:present>
			</logic:present>
		</logic:equal>

<hr>
			<p><strong>Additional Information:</strong>
	        <jsp:include page='<%= SRCEConstants.helpDir + "/" + question.getHelpFilename()%>' flush="true" /></p>

<%@ include file="footer.jsp" %>