<%
/////////////////////////////////////////////////////////////////////
// FEMA Seismic Rehabilitation Cost Estimator
//
// file:	terminal.jsp
// author: 	Neil Chilson
// created: 7-11-2003
// notes:
/////////////////////////////////////////////////////////////////////
%>
<%@ include file="/WEB-INF/taglib.jsp" %>

<%@ page errorPage="exception.jsp" %>
<%@ page import="java.util.Vector, java.util.TreeMap, java.util.Iterator" %>
<%@ page import="java.net.URLEncoder" %>
<%@ page import="gov.fema.util.*" %>
<%@ page import="gov.fema.web.srce.*, gov.fema.web.srce.objects.*" %>

<jsp:useBean id="decisionTree" type="gov.fema.web.srce.objects.DecisionTree" scope="session" />
<jsp:useBean id="currentNode" type="gov.fema.web.srce.objects.TerminalNode" scope="request" />
<jsp:useBean id="location" class="java.lang.String" scope="session" />

<%@ include file="header.jsp" %>

<h1>Seismic Rehabilitation Cost Estimator</h1>
<p class="subtitle"><bean:write name="decisionTree" property="treeMethodDescription"/> estimation method, <bean:write name="decisionTree" property="treeMode"/> mode</p>
	<p>
	<strong> Terminal node <%= currentNode.getTerminalNodeId() %></strong>
	<br>
	<a href="index.jsp">Restart</a>
	</p>

	<table border="0">
	<tr><td>
	FEMA recommends using both cost estimation methods to validate results. This estimate used the <bean:write name="decisionTree" property="treeMethodDescription"/> estimation method. Click <a href="index.jsp">here</a> to restart.
	</td></tr>
	</table>

	<table cellspacing="0" cellpadding="9">
		<tr><td bgcolor="#cccccc">
			<strong>Final Estimate</strong> for location <%= location %> in <strong>2002 dollars</strong>:
			<h1><%= currentNode.getLocationAdjustedFormattedMedian(location) %> / sqft</h1>
			<strong>50% of buildings in this node have a cost between <%= currentNode.getLocationAdjustedFormattedQ1(location) %> and <%= currentNode.getLocationAdjustedFormattedQ3(location) %></strong><br><br>
			<strong>Q1:</strong> <%= currentNode.getLocationAdjustedFormattedQ1(location) %><br>
			<strong>Q3:</strong> <%= currentNode.getLocationAdjustedFormattedQ3(location) %><br>
			<strong>QR:</strong> <%= currentNode.getLocationAdjustedFormattedQr(location) %><br><br>
			<strong>Number of building used in this estimate:</strong> <%= currentNode.getNumBuildings() %><br>
			<a href="view.do?action=ViewBuildings&nodeId=<%= currentNode.getId() %>">View buildings</a><br>
            <logic:equal name="decisionTree" property="treeMethod" value='<%=DecisionTree.METHOD_1%>'>
                <a href="PDFs/smallTN_<%= currentNode.getTerminalNodeId() %>.pdf">Comprehensive datasheet for this node</a>(PDF)
            </logic:equal>
            <logic:equal name="decisionTree" property="treeMethod" value='<%=DecisionTree.METHOD_2%>'>
                <a href="PDFs/largeTN_<%= currentNode.getTerminalNodeId() %>.pdf">Comprehensive datasheet for this node</a>(PDF)
            </logic:equal>
		</td></tr>
	</table>
	<br>
	<logic:equal name="decisionTree" property="treeMode" value='<%=DecisionTree.EXPERT_MODE%>'>
		<%// -- Previous Questions 	%>
		<logic:present name="prevNodes">
			<logic:present name="prevAnswers">
				<bean:define id="prevNodes" name="prevNodes" type="java.util.Vector" />
				<bean:define id="prevAs" name="prevAnswers" type="gov.fema.web.srce.objects.PreviousAnswers"/>
				<%
				
				TreeMap prevAnsMap = prevAs.getPrevAnswers();
				
				if (prevAnsMap.keySet().size() > 0 )
				{
				%>
					<strong>Previous Questions (Click to modify your response):</strong>
					<ul><% 
						Iterator i = prevAs.getUniqueQuestionAnswerPairs().keySet().iterator();
						while (i.hasNext())
						{
							DecisionNode prevNode = (DecisionNode)(i.next());
							Question prevQ = prevNode.getQuestion();
							int nodeId = prevNode.getId();
							Answer prevAnswer = (Answer) prevAnsMap.get(prevNode);
							
							%>
							<li><a href="answer.do?action=Backup&nodeID=<%=nodeId%>"><%=prevQ.getText()%></a> - <%if(prevAnswer != null){out.println(prevAnswer.toString());}%></li> 
							<%
						}
						%>
					</ul><%
				}
				%>
			</logic:present>
		</logic:present>
	</logic:equal>
<%@ include file="footer.jsp" %>