<%
/////////////////////////////////////////////////////////////////////
// FEMA Seismic Rehabilitation Cost Estimator
//
// file:	viewBuilding.jsp
// author: 	Neil Chilson
// created: 7-11-2003
// revised: 
// notes:	Displays all the information about a single building
/////////////////////////////////////////////////////////////////////
%>
<%@ include file="/WEB-INF/taglib.jsp" %>
<%@ page errorPage="exception.jsp" %>
<%@ page import="java.util.Vector" %>
<%@ page import="java.net.URLEncoder" %>
<%@ page import="gov.fema.util.*" %>
<%@ page import="gov.fema.web.srce.*, gov.fema.web.srce.objects.*" %>
<jsp:useBean id="buildingManager" scope="request" type="gov.fema.web.srce.BuildingManager" />

<%@ include file="header.jsp" %>
	<h1>Seismic Rehabilitation Cost Estimator</h1>
	<p>
	<strong>Data for building <%=buildingManager.getBuilding().getId()%></strong>
	<br>
	<a href="javascript:history.back(1)">Back</a> | <a href="index.jsp">Restart</a>
	</p>
	<%// -- Previous Questions 
	%>
	<logic:present name="buildingManager">
		<bean:define id="building" name="buildingManager" property="building" scope="request" toScope="page"/>
	<table width="75%" summary="Details of building <%=buildingManager.getBuilding().getId()%>.">
		<tr width="300">
			<th width="200" align="left"><h2>Field</h2></th><th align="left"><h2>Value</h2></th>
		</tr>
		<tr width="300">
			<td><strong>ID</strong></td><td><bean:write name="building" property="id" filter="true"/></td>
		</tr>
		<%
		/*
		<tr width="300">
			<td><strong>Contributor</strong></td><td><bean:write name="building" property="contrib" filter="true"/></td>
		</tr>
		<tr width="300">
			<td><strong>Submission Date</strong></td><td><bean:write name="building" property="sub_date" filter="true"/></td>
		</tr>
		*/
		%>
		<tr width="300">
			<td><strong>County</strong></td><td><bean:write name="building" property="county" filter="true"/></td>
		</tr>
		<tr width="300">
			<td><strong>State</strong></td><td><bean:write name="building" property="state" filter="true"/></td>
		</tr>
		<tr width="300">
			<td><strong>Zone</strong></td><td><bean:write name="building" property="zone" filter="true"/></td>
		</tr>
		<tr width="300">
			<td><strong>NEHRP/UBC Soil Type</strong></td><td><bean:write name="building" property="soil" filter="true"/></td>
		</tr>
		<tr width="300">
			<td><strong>Num stories above grade</strong></td><td><bean:write name="building" property="above_stories" filter="true"/></td>
		</tr>
		<tr width="300">
			<td><strong>Num stories below grade</strong></td><td><bean:write name="building" property="below_stories" filter="true"/></td>
		</tr>
		<tr width="300">
			<td><strong>Total Area (sq. ft.)</strong></td><td><bean:write name="building" property="area" filter="true"/></td>
		</tr>
		<tr width="300">
			<td><strong>Approx. Year of Original Construction</strong></td><td><bean:write name="building" property="age" filter="true"/></td>
		</tr>
		<tr width="300">
			<td><strong>Model Building Type (before rehab)</strong></td><td><bean:write name="building" property="model" filter="true"/></td>
		</tr>
		<tr width="300">
			<td><strong>Historic building controls?</strong></td><td><bean:write name="building" property="historic" filter="true"/></td>
		</tr>
		<tr width="300">
			<td><strong>Base Year for Costs</strong></td><td><bean:write name="building" property="base_year" filter="true"/></td>
		</tr>
		<tr width="300">
			<td><strong>TOTAL CONSTRUCTION COSTS (1999 dollars)</strong></td><td><bean:write name="building" property="formattedC_total" filter="true"/></td>
		</tr>
		<tr width="300">
			<td><strong>TOTAL CONSTRUCTION COSTS (2002 dollars)</strong></td><td><bean:write name="building" property="formatted2002C_total" filter="true"/></td>
		</tr>
		<tr width="300">
			<td><strong>Source of cost</strong></td><td><bean:write name="building" property="source" filter="true"/></td>
		</tr>
		<tr width="300">
			<td><strong>Overall scope of non-seismic work</strong></td><td><bean:write name="building" property="scope" filter="true"/></td>
		</tr>
		<tr width="300">
			<td><strong>Added space (sq. ft.)</strong></td><td><bean:write name="building" property="add_space" filter="true"/></td>
		</tr>
		<tr width="300">
			<td><strong>Performance Objective</strong></td><td><bean:write name="building" property="p_obj" filter="true"/></td>
		</tr>
		<tr width="300">
			<td><strong>Rehabilitation Method 1</strong></td><td><bean:write name="building" property="rehab1" filter="true"/></td>
		</tr>
		<tr width="300">
			<td><strong>Rehabilitation Method 2</strong></td><td><bean:write name="building" property="rehab2" filter="true"/></td>
		</tr>
		<tr width="300">
			<td><strong>Rehabilitation Method 3</strong></td><td><bean:write name="building" property="rehab3" filter="true"/></td>
		</tr>
		<tr width="300">
			<td><strong>Rehabilitation Method 4</strong></td><td><bean:write name="building" property="rehab4" filter="true"/></td>
		</tr>
		<tr width="300">
			<td><strong>Rehabilitation Method 5</strong></td><td><bean:write name="building" property="rehab5" filter="true"/></td>
		</tr>
		<tr width="300">
			<td><strong>Rehabilitation Method 6</strong></td><td><bean:write name="building" property="rehab6" filter="true"/></td>
		</tr>
		<tr width="300">
			<td bgcolor="#DDDDDD" colspan=2><strong>Non-seismic work included in construction cost:</strong></td>
		</tr>
		<tr width="300">
			<td>&nbsp&nbsp<strong>asbestos/hazardous material removal</strong></td><td><bean:write name="building" property="asbestos" filter="true"/></td>
		</tr>
		<tr width="300">
			<td>&nbsp&nbsp<strong>disabled access</strong></td><td><bean:write name="building" property="disabled" filter="true"/></td>
		</tr>
		<tr width="300">
			<td>&nbsp&nbsp<strong>system improvements (arch., MEP)</strong></td><td><bean:write name="building" property="sys_imp" filter="true"/></td>
		</tr>
		<tr width="300">
			<td>&nbsp&nbsp<strong>repair of damage/deterioration</strong></td><td><bean:write name="building" property="repair" filter="true"/></td>
		</tr>
		<tr width="300"><td colspan=2>&nbsp</td></tr>
		<tr width="300">
			<td><strong>Condition of occupancy</strong></td><td><bean:write name="building" property="occup_cond" filter="true"/></td>
		</tr>
		<tr width="300">
			<td bgcolor="#DDDDDD" colspan=2><strong>Scope of seismic rehabilitation</strong></td>
		</tr>
		<tr width="300">
			<td>&nbsp&nbsp<strong>1 Structure</strong></td><td><bean:write name="building" property="structure" filter="true"/></td>
		</tr>
		<tr width="300">
			<td>&nbsp&nbsp<strong>2 Exterior falling hazards</strong></td><td><bean:write name="building" property="ext_falling" filter="true"/></td>
		</tr>
		<tr width="300">
			<td>&nbsp&nbsp<strong>3 Selected interior nonstructural</strong></td><td><bean:write name="building" property="selected_ints" filter="true"/></td>
		</tr>
		<tr width="300">
			<td>&nbsp&nbsp<strong>4 All interior nonstructural</strong></td><td><bean:write name="building" property="all_ints" filter="true"/></td>
		</tr>
		<tr width="300">
			<td>&nbsp&nbsp<strong>STRUCTURAL COSTS (total of 1 & 2 including contractors overhead and profit)</strong></td><td><bean:write name="building" property="c_struct" filter="true"/></td>
		</tr>
		<tr width="300"><td colspan=2>&nbsp</td></tr>
		<tr width="300">
			<td bgcolor="#DDDDDD" colspan=2><strong>Estimate of uncertainty in data provided:</strong></td>
		</tr>
		<tr width="300">
			<td>&nbsp&nbsp<strong>Area</strong></td><td><bean:write name="building" property="uncert_areas" filter="true"/></td>
		</tr>
		<tr width="300">
			<td>&nbsp&nbsp<strong>Total Construction Cost</strong></td><td><bean:write name="building" property="uncert_total" filter="true"/></td>
		</tr>
		<tr width="300">
			<td>&nbsp&nbsp<strong>Structural Cost</strong></td><td><bean:write name="building" property="uncert_struct" filter="true"/></td>
		</tr>
		<tr width="300"><td colspan=2>&nbsp</td></tr>
		<tr width="300">
			<td bgcolor="#DDDDDD" colspan=2><strong>Non-Construction Project Costs:</strong></td>
		</tr>
		<tr width="300">
			<td>&nbsp&nbsp<strong>occupant relocation</strong></td><td>$<bean:write name="building" property="c_relocation" filter="true"/></td>
		</tr>
		<tr width="300">

			<td>&nbsp&nbsp<strong>A & E fees, testing, permits</strong></td><td>$<bean:write name="building" property="c_a_e_fees" filter="true"/></td>
		</tr>
		<tr width="300">
			<td>&nbsp&nbsp<strong>project management</strong></td><td>$<bean:write name="building" property="c_proj_mgr" filter="true"/></td>
		</tr>
		<tr width="300"><td colspan=2>&nbsp</td></tr>
		<tr width="300">
			<td><strong>Duration of construction (months)</strong></td><td><bean:write name="building" property="duration" filter="true"/></td>
		</tr>
		<tr width="300">
			<td bgcolor="#DDDDDD" colspan=2><strong>Construction Costs:</strong></td>
		</tr>
		<tr width="300">
			<td>&nbsp&nbsp<strong>repair of damage or deterioration</strong></td><td>$<bean:write name="building" property="c_repair" filter="true"/></td>
		</tr>
		<tr width="300">
			<td>&nbsp&nbsp<strong>hazardous material removal</strong></td><td>$<bean:write name="building" property="c_asbestos" filter="true"/></td>
		</tr>
		<tr width="300">
			<td>&nbsp&nbsp<strong>disabled access</strong></td><td>$<bean:write name="building" property="c_disabled" filter="true"/></td>
		</tr>
		<tr width="300">
			<td>&nbsp&nbsp<strong>system improvements</strong></td><td>$<bean:write name="building" property="c_sys_imp" filter="true"/></td>
		</tr>
		<tr width="300">
			<td>&nbsp&nbsp<strong>nonstructural mitigation</strong></td><td>$<bean:write name="building" property="c_nonstruct" filter="true"/></td>
		</tr>
		<tr width="300"><td colspan=2>&nbsp</td></tr>
		<tr width="300">
			<td><strong>Plan shape</strong></td><td><bean:write name="building" property="plan" filter="true"/></td>
		</tr>
		<tr width="300">
			<td><strong>Base Dimensions</strong></td><td><bean:write name="building" property="base_x" filter="true"/> by <bean:write name="building" property="base_y" filter="true"/></td>
		</tr>
		<tr width="300">
			<td><strong>Typical Floor Plan Dimensions</strong></td><td><bean:write name="building" property="floor_x" filter="true"/> by <bean:write name="building" property="floor_y" filter="true"/></td>
		</tr>
		<tr width="300">
			<td><strong>Story Height</strong></td><td><bean:write name="building" property="story_h" filter="true"/></td>
		</tr>
		<tr width="300">
			<td><strong>Total Height</strong></td><td><bean:write name="building" property="total_h" filter="true"/></td>
		</tr>
		<tr width="300">
			<td><strong>Roof Framing (2nd Floor+)</strong></td><td><bean:write name="building" property="roofframe" filter="true"/></td>
		</tr>
		<tr width="300">
			<td><strong>Floor Framing (2nd Floor+)</strong></td><td><bean:write name="building" property="floorframe" filter="true"/></td>
		</tr>
		<tr width="300">
			<td><strong>Diaphragms</strong></td><td><bean:write name="building" property="diaphragm" filter="true"/></td>
		</tr>
		<tr width="300">
			<td><strong>Exterior Non-Load Bearing Cladding</strong></td><td><bean:write name="building" property="cladding" filter="true"/></td>
		</tr>
		<tr width="300">
			<td><strong>Evidence of Settling?</strong></td><td><bean:write name="building" property="settling" filter="true"/></td>
		</tr>
		<tr width="300">
			<td><strong>Condition of Building?</strong></td><td><bean:write name="building" property="condition" filter="true"/></td>
		</tr>
		<tr width="300">
			<td><strong>Column Type</strong></td><td><bean:write name="building" property="column_type" filter="true"/></td>
		</tr>
		<tr width="300">
			<td><strong>Bearing Walls Type</strong></td><td><bean:write name="building" property="bearing_walls" filter="true"/></td>
		</tr>
		<tr width="300">
			<td><strong>Foundations</strong></td><td><bean:write name="building" property="foundations" filter="true"/></td>
		</tr>
		<tr width="300">
			<td><strong>Longitudinal Lateral System</strong></td><td><bean:write name="building" property="long_lateral" filter="true"/></td>
		</tr>
		<tr width="300">
			<td><strong>Tranverse Lateral System</strong></td><td><bean:write name="building" property="tran_lateral" filter="true"/></td>
		</tr>
		<tr width="300">
			<td><strong>Code or Design Guideline Used for Rehabilitation</strong></td><td><bean:write name="building" property="code_used" filter="true"/></td>
		</tr>
		<tr width="300">
			<td><strong>Special features (irregularities, interior partitions, etc)</strong></td><td><bean:write name="building" property="special" filter="true"/></td>
		</tr>
		<tr width="300">
			<td valign="top"><strong>Rehabilitation Work Completed</strong></td><td width="150"><bean:write name="building" property="rehab" filter="true"/></td>
		</tr>
	</table>
	</logic:present>
<%@ include file="footer.jsp" %>