<%
/////////////////////////////////////////////////////////////////////
// FEMA Seismic Rehabilitation Cost Estimator
//
// file:	viewBuildings.jsp
// author: 	Neil Chilson
// created: 7-11-2003
// revised: 
// notes:   Displays a list of buildings associated with a certain node
/////////////////////////////////////////////////////////////////////
%>
<%@ include file="/WEB-INF/taglib.jsp" %>
<%@ page errorPage="exception.jsp" %>
<%@ page import="java.util.Vector" %>
<%@ page import="java.net.URLEncoder" %>
<%@ page import="gov.fema.util.*" %>
<%@ page import="gov.fema.web.srce.*, gov.fema.web.srce.objects.*" %>
<jsp:useBean id="buildingManager" scope="request" type="gov.fema.web.srce.BuildingManager" />
<jsp:useBean id="currentNode" type="gov.fema.web.srce.objects.TreeNode" scope="request" />

<%@ include file="header.jsp" %>
	<h1>Seismic Rehabilitation Cost Estimator</h1>
	<P>
	<strong>There are <%=buildingManager.getBuildings().size()%> Buildings associated with node <bean:write name="currentNode" property="displayId"/></strong>
	<br>
	<a href="answer.do?action=Backup&nodeID=<%=currentNode.getId()%>">Back</a> | <a href="index.jsp">Restart</a>
	</P>
    <html:errors/>
	Click an building ID to see the full details of the associated building.
	<logic:present name="buildingManager">
	<table summary="A list of all the buildings associted with node<%=currentNode.getDisplayId()%>. Click a building id to view the details of that building" class="datatable" cellspacing="0" cellpadding="0">
		<tr><th scope="col">ID</th><th scope="col">Total Cost (2002 dollars)</th><th scope="col">Build Year</th><th>Perfomance Objective</th><th  scope="col">Seismic Zone</th><th  scope="col">Building Model</th><th  scope="col">Area (sq ft)</th></tr>
		<logic:iterate name="buildingManager" property="buildings" id="building" type="gov.fema.web.srce.objects.Building">
			<tr>
			<td>
				<a href="view.do?action=ViewBuildingDetails&buildingId=<%= building.getId() %>"><bean:write name="building" property="id" filter="true"/></a>
			</td>
			<td>
				<bean:write name="building" property="formatted2002C_total" filter="true"/>
			</td>
			<td>
				<bean:write name="building" property="age" filter="true"/>
			</td>
			<td>
				<bean:write name="building" property="p_obj" filter="true"/>
			</td>
			<td>
				<bean:write name="building" property="zone" filter="true"/>
			</td>
			<td>
				<bean:write name="building" property="model" filter="true"/>
			</td>
			<td>
				<bean:write name="building" property="area" filter="true"/>
			</td>
			</tr>
        </logic:iterate>
	</table>
	</logic:present>
<%@ include file="footer.jsp" %>