create table buildings 
(id		INTEGER PRIMARY KEY,
small_tree_node INTEGER,
large_tree_node INTEGER,
contrib		CHAR(25),  
sub_date	DATE,
county		CHAR(25),
state		CHAR(2),
zone		INTEGER,
soil		CHAR(2),
above_stories	INTEGER,
below_stories	INTEGER,
area		FLOAT,
age		CHAR(4),
model		CHAR(3),
historic	CHAR(1),
base_year	CHAR(4),
c_total		FLOAT,
source		CHAR(2),
scope		CHAR(3),
add_space	FLOAT,
p_obj		CHAR(2),
rehab1		CHAR(2),
rehab2		CHAR(2),
rehab3		CHAR(2),
rehab4		CHAR(2),
rehab5		CHAR(2),
rehab6		CHAR(2),
asbestos	CHAR(1),
disabled	CHAR(1),
sys_imp		CHAR(1),
repair		CHAR(1),
occup_cond	CHAR(2),
structure	CHAR(2),
ext_falling	CHAR(2),
selected_ints	CHAR(2),
all_ints	CHAR(2),
c_struct	FLOAT,
uncert_areas	CHAR(1),
uncert_total	CHAR(1),
uncert_struct	CHAR(1),
c_relocation	FLOAT,
c_a_e_fees	FLOAT,
c_proj_mgr	FLOAT,
duration	INTEGER,
c_repair	FLOAT,
c_asbestos	FLOAT,
c_disabled	FLOAT,
c_sys_imp	FLOAT,
c_nonstruct	FLOAT,	
plan		CHAR(2),
base_x		FLOAT,
base_y		FLOAT,
floor_x		FLOAT,
floor_y		FLOAT,
story_h		FLOAT,
total_h		FLOAT,
roofframe	CHAR(2),
floorframe	CHAR(2),
diaphragm	CHAR(3),
cladding	CHAR(2),
settling	CHAR(1),
condition	CHAR(1),
column_type	CHAR(3),
bearing_walls	CHAR(3),
foundations	CHAR(2),
long_lateral	CHAR(2),
tran_lateral	CHAR(2),
cost_per_sf	FLOAT,
timefactor	FLOAT,
statefactor	FLOAT,
totalfactor	FLOAT,
f_c_total	FLOAT,
f_c_struct	FLOAT,
f_c_relocation	FLOAT,
f_c_a_e_fees	FLOAT,
f_c_proj_mgr	FLOAT,
f_c_repair	FLOAT,
f_c_asbestos	FLOAT,
f_c_disabled	FLOAT,
f_c_sys_imp	FLOAT,
f_c_nonstruct	FLOAT,
qualityfactor	FLOAT,
code_used	VARCHAR2(200),
special		VARCHAR2(200),
rehab		VARCHAR2(400));

INSERT INTO buildings VALUES ('1', '9', '19', 'PVUJOVICH', TO_DATE('03/31/93','MM/DD/YY'), 'SACRAMENTO', 'CA', '5', 'S2', '2', '0', '205000', '', 'C1', 'N', '1993', '14000000', 'S', 'COM', '', 'DC', 'SW', '', '', '', '', '', 'Y', 'Y', 'Y', 'N', 'V', 'I', 'OK', 'NE', 'I', '5000000', 'G', 'P', 'P', '', '', '', '', '', '4000000', '', '8000000', '600000', 'R', '320', '320', '320', '320', '13.5', '13.5', '', 'WS', 'C', 'PC', 'N', 'G', 'C', '', 'SF', 'MF', 'MF', '24.39', '1', '1', '1', '14000000', '5000000', '0', '0', '0', '0', '4000000', '0', '8000000', '600000', '7', '1988 UBC I=1 0', '', 'ADDED CONCRETE SHEAR WALL AND FOUNDATIONS');
INSERT INTO buildings VALUES ('2', '9', '23', 'PVUJOVICH', TO_DATE('03/31/93','MM/DD/YY'), 'STANISLAUS', 'CA', '7', 'S2', '2', '0', '36240', '1960', 'C2', 'N', '1992', '1600000', 'AC', 'COM', '', 'DC', 'SW', '', '', '', '', '', 'Y', 'N', 'Y', 'N', 'V', 'I', 'OK', 'OK', 'OK', '304000', 'G', 'G', 'G', '', '', '', '12', '', '50000', '', '1246000', '', 'C', '238', '30', '238', '30', '13.5', '28', '', 'C', 'C', '', 'N', 'G', 'C', 'C', 'SF', 'SW', 'SW', '8.39', '1.0286', '1', '1.02858', '1645730.375', '312688.78125', '0', '0', '0', '0', '51429.07421875', '0', '1281612.5', '0', '10', '1991 TITLE 24 CODE', '', 'ADDED LONGITUDI L AND TRANSVERSE SHEAR WALLSNEW 9 INCH THICK GUNITE SHEARWALLS');
INSERT INTO buildings VALUES ('3', '16', '48', 'JAMESRCAGLEY', TO_DATE('04/09/93','MM/DD/YY'), 'RICHMOND', 'GA', '3', 'S1', '3', '0', '62644', '1945', 'C1', 'N', '1975', '142655', 'S', 'MIN', '', 'IO', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'I', '120000', 'G', 'G', 'F', '', '', '', '', '0', '0', '0', '0', '20000', 'OT', '200', '166', '200', '166', '12', '36', '', 'C', 'C', 'M', 'N', 'G', 'C', '', 'SF', 'MF', 'MF', '1.92', '2.232', '1.32616', '2.96001', '422259.9375', '355200.96875', '0', '0', '0', '0', '0', '0', '0', '59200.16015625', '6', 'VA H-08-8 ', '', 'SHEAR WALLS WERE CREATED IN BOTH DIRECTIONS THESE WERE EITHER GUNITE APPLIED TO EXISTING MASONRY OR NEW GUNITE WALLS.');
INSERT INTO buildings VALUES ('4', '1', '9', 'DEGENKOLB', TO_DATE('07/21/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '1', '1', '80000', '1915', 'S5', 'N', '1982', '8489000', 'S', 'ADD', '', 'RR', 'SW', 'BF', 'EW', 'SD', 'PB', '', 'N', 'Y', 'Y', 'Y', 'TR', 'I', 'I', 'I', 'I', '3378000', 'G', 'P', 'P', '', '', '', '', '251000', '', '146000', '4714000', '', 'R', '400', '200', '400', '200', '', '83.5', 'S', '', 'C', 'N', 'Y', 'G', 'S', '', 'P', 'SW', 'SW', '42.23', '1.3048', '1', '1.30483', '11076739', '4407730.5', '0', '0', '0', '327513.4375', '0', '190505.8125', '6150989', '0', '6', '', '', '');
INSERT INTO buildings VALUES ('5', '1', '10', 'FEMA(BOBMULLER)', TO_DATE('07/21/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', '', '5', '1', '121000', '1906', 'URM', 'N', '1993', '5726940', 'S', 'ADD', '', 'LS', 'BF', 'EW', 'SD', 'SF', 'WT', '', 'Y', 'Y', 'Y', 'Y', '', 'I', 'NE', 'I', 'NE', '3562240', 'F', 'P', 'P', '', '', '', '', '449170', '271520', '593710', '850300', '', 'R', '186.5', '104', '164.5', '131', '12', '70', 'TT', 'TT', 'W', 'M', '', '', 'S', 'URM', 'SF', 'SW', 'SW', '29.44', '1', '1', '1', '5726940', '3562240', '0', '0', '0', '449170', '271520', '593710', '850300', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('6', '7', '19', 'DEGENKOLB', TO_DATE('08/03/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', '', '26', '1', '297835', '1925', 'S1', 'N', '1977', '16544000', 'S', 'COM', '', 'LS', 'SW', 'EW', 'EF', 'PB', '', '', 'N', 'Y', 'Y', 'N', '', 'I', 'I', 'NE', 'I', '2848200', 'G', 'P', 'P', '', '', '', '', '', '', '69500', '13626300', '', 'L', '154', '142', '154', '142', '13', '221', 'S', 'S', 'C', 'M', 'N', 'F', 'S', '', '', 'MF', 'MF', '9.56', '1.8867', '1', '1.88673', '31214084', '5373788.5', '0', '0', '0', '0', '0', '131127.828125', '25709168', '0', '6', 'SF BUILDING CODE', '', '');
INSERT INTO buildings VALUES ('7', '1', '7', 'SIMPSONGUMPERTZandH', TO_DATE('04/12/93','MM/DD/YY'), 'SUFFOLK', 'MA', '3', 'S3', '7', '1', '196000', '1900', 'URM', 'N', '1983', '2250000', 'S', 'COM', '', 'RR', 'EW', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'I', 'NE', 'NE', '325000', 'G', 'F', 'F', '', '', '', '', '', '', '', '', '', 'R', '187', '131', '187', '131', '12.3299999237061', '93', '', 'S', 'C', 'M', 'N', 'G', 'S', 'URM', 'P', 'SW', 'SW', '1.66', '1.2227', '1.0137', '1.23948', '2788840.5', '402832.5', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'MASSACHUSETTS CODE', '', 'INFILLED WALLS OPENINGS - TIED DIAPHRAGM TO WALLS BRACED PARAPETS INSTALLED NEW ROOF DIAPHRAGM.');
INSERT INTO buildings VALUES ('8', '5', '23', 'SIMPSONGUMPERTZandH', TO_DATE('04/06/93','MM/DD/YY'), 'SUFFOLK', 'MA', '3', 'S4', '8', '1', '151200', '1937', 'S1', 'N', '1992', '6000000', 'AC', 'ADD', '16800', 'LS', 'MF', 'SF', 'EF', '', '', '', 'Y', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '1200000', 'G', 'P', 'G', '', '', '', '12', '', '', '', '', '', 'R', '140', '60', '140', '60', '12.5', '105', '', 'S', 'C', 'M', 'N', 'G', 'S', '', 'SF', 'MF', 'BF', '7.94', '1.0286', '1.0137', '1.04267', '6256029.5', '1251205.875', '0', '0', '0', '0', '0', '0', '0', '0', '9', 'MASSACHUSETTS CODE', '', '');
INSERT INTO buildings VALUES ('9', '13', '41', 'MIKEMEHRAIN', TO_DATE('04/08/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '1', '0', '20000', '1960', 'PC1', 'N', '1990', '20000', 'AC', 'MIN', '', 'RR', 'WT', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'NE', 'NE', '20000', 'F', 'F', 'F', '', '', '', '2', '', '', '', '', '', 'OT', '', '', '', '', '', '', 'W', '', 'W', 'PC', 'N', 'G', 'W', 'PC', 'SF', 'SW', 'SW', '1', '1.0788', '1', '1.07883', '21576.609375', '21576.609375', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UBC ', 'WALL ANCHORAGE USED UNDERCUT ANHCORS WHICH IS MORE EXPENSIVE THAN OTHER ANCHORS.', 'WALL ANCHORAGE AND ROOF TIES CONSTITUTED ABOUT 95% OF THE CONSTRUCTION COST');
INSERT INTO buildings VALUES ('10', '12', '37', 'MIKEMEHRAIN', TO_DATE('04/08/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '10', '4', '313000', '1971', 'C3', 'N', '1991', '1800000', 'AC', 'MIN', '', 'LS', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'NE', 'NE', '1400000', 'G', 'G', 'F', '', '', '', '5', '', '36000', '', '', '', 'R', '180', '95', '180', '95', '14', '145', '', 'C', 'C', 'CW', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '4.47', '1.0596', '1', '1.05961', '1907306.375', '1483460.5', '0', '0', '0', '0', '38146.12890625', '0', '0', '0', '8', 'UBC 1988 I=1 0 ', 'SYSTEM IS A DUAL SYSTEM WITH NON-DUCTILE CONCRETE FRAMES AND ELEVATOR CORE WALLS ONLY IETORSION PROBLEM.', 'ADDED SHEAR WALLS EXTENDING FROM FOUNDATION INTO FOUR LEVELS OF BASEMENT UP TO THE ROOF LEVELS EXISTING WALLS WERE THICKENED IN ONE DIRECTION NO FOUNDATION WORK.');
INSERT INTO buildings VALUES ('11', '1', '2', 'TODDPERBIX', TO_DATE('04/07/93','MM/DD/YY'), 'KING', 'WA', '5', 'S2', '3', '1', '32300', '1916', 'S5', 'Y', '1991', '3140000', 'S', 'COM', '20700', 'LS', 'SW', 'SF', 'PB', '', '', '', 'Y', 'Y', 'Y', 'N', 'V', 'I', 'I', 'NE', 'NE', '682200', 'G', 'F', 'F', '', '', '', '', '123600', '', '', '', '', 'R', '108', '120', '108', '120', '20', '60', '', 'S', 'C', 'M', 'N', 'F', 'S', '', 'SF', 'SW', 'SW', '21.12', '1.0596', '1.10228', '1.168', '3667508.25', '796807.0625', '0', '0', '0', '144364.328125', '0', '0', '0', '0', '8', 'ATC-22', 'ADDITION OF 2 NEW FLOORS WITHIN OLD THEATRE.', 'SHOTCRETE SW & FOUNDATION STRONGBACK, PARAPET BRACING AND NEW FLOORS');
INSERT INTO buildings VALUES ('12', '13', '33', 'TODDPERBIX', TO_DATE('04/07/93','MM/DD/YY'), 'KING', 'WA', '5', 'S2', '10', '1', '63400', '1928', 'C3', 'N', '1991', '2800000', 'AC', 'COM', '', 'RR', 'SW', 'PB', '', '', '', '', 'N', 'Y', 'Y', 'Y', 'V', 'I', 'I', 'NE', 'NE', '330000', 'G', 'F', 'G', '', '', '', '8', '', '', '', '', '', 'R', '55', '108', '55', '108', '10', '', '', 'C', 'C', 'M', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '5.21', '1.0596', '1.10228', '1.168', '3270389.5', '385438.75', '0', '0', '0', '0', '0', '0', '0', '0', '10', 'ATC-22 PARTIAL', '', 'CONCRETE SW & FOUNDATION, MASONRY REPAIR, STRONGBACKING');
INSERT INTO buildings VALUES ('13', '1', '2', 'TODDPERBIX', TO_DATE('04/07/93','MM/DD/YY'), 'KING', 'WA', '5', 'S2', '3', '1', '85700', '1895', 'S5', 'Y', '1990', '2370000', 'S', 'COM', '', 'DC', 'SW', 'PB', 'WT', '', '', '', 'N', 'N', 'N', 'Y', 'V', 'I', 'I', 'NE', 'NE', '764000', 'G', 'F', 'F', '', '', '', '', '671000', '', '', '', '', 'OT', '', '', '', '', '12', '40', '', 'S', 'C', 'M', 'N', 'F', 'S', '', 'SF', 'SW', 'SW', '8.91', '1.0788', '1.10228', '1.18918', '2818350.75', '908531.625', '0', '0', '0', '797938.125', '0', '0', '0', '0', '8', 'UBC 1988 I=1 0 ', '', 'CONCRETE SW & FOUNDATION.');
INSERT INTO buildings VALUES ('14', '6', '28', 'TODDPERBIX', TO_DATE('04/07/93','MM/DD/YY'), 'KING', 'WA', '5', 'S2', '3', '1', '27000', '1925', 'URM', 'Y', '1988', '807300', 'AC', 'COM', '', 'LS', 'SW', 'SD', 'SF', 'PB', 'WT', '', 'Y', 'Y', 'Y', 'N', 'TR', 'I', 'I', 'NE', 'NE', '161700', 'G', 'G', 'G', '', '', '', '9', '48300', '', '', '296800', '', 'R', '45', '150', '45', '150', '12', '40', '', 'W', 'W', 'M', 'N', 'G', 'W', 'URM', 'SF', 'SW', 'SW', '5.99', '1.122', '1.10228', '1.23678', '998453.5', '199987.53125', '0', '0', '0', '59736.53515625', '0', '0', '367076.65625', '0', '10', 'ATC-22', '', 'ANCHORAGE, SHOTCRETE SW & FOUNDATIONS, DIAPHRAGM STRENGTHENING, SOME STRONGBACKING.');
INSERT INTO buildings VALUES ('15', '17', '50', 'EQEINC', TO_DATE('04/09/93','MM/DD/YY'), 'ORANGE', 'CA', '7', 'S3', '2', '0', '156000', '1962', 'PC1', 'N', '1991', '4000000', 'S', 'MIN', '', 'IO', 'SW', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'NE', 'NE', 'NE', '4000000', 'G', 'F', 'F', '', '', '', '', '', '', '', '', '', 'R', '270', '318', '270', '318', '16', '33', '', 'WS', 'C', 'PC', 'N', 'F', 'C', 'PC', 'SF', 'SW', 'SW', '25.64', '1.0596', '1', '1.05961', '4238458.5', '4238458.5', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UBC 1991', '', '');
INSERT INTO buildings VALUES ('16', '9', '39', 'EQEINC', TO_DATE('04/09/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '8', '1', '40000', '1961', 'C1', 'N', '1990', '2000000', 'AC', 'MIN', '', 'DC', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'NE', 'NE', 'NE', '2000000', 'G', 'G', 'G', '', '', '', '', '', '', '', '', '', 'R', '100', '43', '100', '43', '12.75', '110', '', 'FS', 'C', 'CW', 'N', 'F', 'C', '', 'P', 'MF', 'MF', '50', '1.0788', '1', '1.07883', '2157661', '2157661', '0', '0', '0', '0', '0', '0', '0', '0', '10', 'UBC 1988 I=1 0 ', '', '');
INSERT INTO buildings VALUES ('17', '17', '51', 'EQEINC', TO_DATE('04/09/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '12', '0', '155000', '1946', 'S4', 'N', '1988', '1600000', 'S', 'MIN', '', 'IO', 'EW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'NE', 'NE', 'NE', '1600000', 'G', 'F', 'F', '', '', '', '', '', '', '', '', '', 'R', '100', '137', '', '', '16', '197', 'S', 'S', 'C', '', 'N', 'F', 'S', '', 'M', 'SW', 'SW', '10.32', '1.122', '1', '1.12202', '1795227', '1795227', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UBC 1988 I=1 5 ', '', '');
INSERT INTO buildings VALUES ('19', '9', '37', 'THEISSENGINEERSINC', TO_DATE('04/19/93','MM/DD/YY'), 'VANDERBURGH', 'IN', '3', 'S1', '2', '1', '29650', '1947', 'C1', 'N', '1991', '172400', 'AC', 'ADD', '', 'DC', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'I', 'I', '172400', 'G', 'G', 'G', '', '36000', '', '3', '', '', '', '', '', 'R', '122', '81', '122', '81', '14', '32', '', 'FS', 'C', 'M', 'N', 'G', 'C', '', 'M', 'MF', 'MF', '5.81', '1.0596', '1.15385', '1.22263', '210781.8125', '210781.8125', '0', '44014.76171875', '0', '0', '0', '0', '0', '0', '10', 'UBC 1991 I=1 0 ', 'ORIGI L ONE-STORY BLDG CONSTRUCTED 1947, ONE-STORY ADDN AT REAR CONST1959, SECOND STORY CONST1965, ONE SHEAR WALLS REMAIN TO BE CONST', 'INSTALLED NEW SHEAR WALLS, INSTALLED BRACING ON PIPING, INSTALLED BRACING ON ROOF TOP UNITS');
INSERT INTO buildings VALUES ('20', '9', '40', 'THEISSENGINEERSINC', TO_DATE('04/19/93','MM/DD/YY'), 'VANDERBURGH', 'IN', '3', 'S1', '1', '0', '4600', '1953', 'URM', 'N', '1992', '179860', 'AC', 'MIN', '', 'DC', 'SD', '', '', '', '', '', 'N', 'N', 'Y', 'N', 'IP', 'I', 'OK', 'OK', 'OK', '71000', 'G', 'G', 'G', '', '14000', '', '4', '', '', '', '108860', '', 'R', '81', '54', '81', '54', '14', '14', 'W', '', 'W', 'M', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '15.43', '1.0286', '1.15385', '1.18682', '213462.3125', '84264.5625', '0', '16615.546875', '0', '0', '0', '0', '129197.75', '0', '10', 'NEHRP (1988)', '', 'INSTALLED NEW PLYWOOD DIAPHRAGM, TIED ROOF TO WALLS');
INSERT INTO buildings VALUES ('21', '17', '44', 'EQEINC', TO_DATE('04/08/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '2', '0', '43700', '1976', 'C1', 'N', '1990', '440000', 'AC', 'MIN', '', 'IO', 'MF', 'EF', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'OK', 'NE', '440000', 'G', 'G', 'G', '', '60000', '6000', '4', '', '', '', '', '', 'OT', '132', '252', '132', '252', '12', '24', '', 'PP', 'C', 'CW', 'N', 'G', 'C', '', 'P', 'MF', 'MF', '10.07', '1.0788', '1', '1.07883', '474685.40625', '474685.40625', '0', '64729.828125', '6472.98291015625', '0', '0', '0', '0', '0', '10', 'UBC 1988 I=1 25', 'POST-TENSIONED FLAB SLAB STRUCTURE, NO DROP BEAMS OR CAPITALS.', 'ADDED DUCTILE CONCRETE BEAMS EACH STORY, USING EXISTING NON-DUCTILE CONCRETE COLUMNS.');
INSERT INTO buildings VALUES ('22', '7', '20', 'EQEINC', TO_DATE('04/08/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', 'S2', '7', '1', '520000', '1928', 'URM', 'N', '1990', '14000000', 'AC', 'ADD', '', 'LS', 'SW', 'EW', 'SD', 'WT', '', '', 'N', 'N', 'Y', 'Y', 'TR', 'I', 'NE', 'I', 'NE', '5000000', 'G', 'G', 'G', '', '250000', '25000', '10', '1400000', '', '', '2380000', '1400000', 'OT', '254', '308', '254', '308', '', '', '', 'S', 'C', 'M', 'Y', 'P', 'S', 'URM', 'SF', 'SW', 'SW', '9.62', '1.0788', '1', '1.07883', '15103627', '5394152.5', '0', '269707.625', '26970.76171875', '1510362.625', '0', '0', '2567616.5', '1510362.625', '10', 'UCBC', '', 'CONTAINMENT OF INTERIOR HOLLOW CLAY TILE WALLSSTABILIZATION OF URM INFILL WALLS AT EXTERIOR SHOTCRETE (CONCRETE) SHEAR WALLS ADDED AT EXTERIOR OF BUILDING.');
INSERT INTO buildings VALUES ('23', '9', '23', 'PVUJOVICH', TO_DATE('03/31/93','MM/DD/YY'), 'SANJOAQUIN', 'CA', '6', 'S2', '1', '0', '67400', '1968', 'PC1', 'N', '1992', '543000', 'AC', 'COM', '', 'DC', 'BF', 'SD', '', '', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'OK', 'OK', 'OK', '85000', 'G', 'G', 'G', '', '', '', '8', '', '', '', '458000', '', 'R', '250', '250', '250', '250', '18', '18', 'S', '', 'MD', '', 'N', 'G', 'S', 'PC', 'SF', 'SW', 'SW', '1.26', '1.0286', '1', '1.02858', '558519.75', '87429.4296875', '0', '0', '0', '0', '0', '0', '471090.3125', '0', '10', 'UBC 1991 I=1 0 ', '', 'STRENGTHENED ROOF DIAPHRAGM AND ADDED TWO NEW BRACED FRAMES AND FOUNDATIONS');
INSERT INTO buildings VALUES ('24', '9', '15', 'DAZIGANT', TO_DATE('04/05/93','MM/DD/YY'), 'SOLANO', 'CA', '7', 'S3', '1', '0', '36040', '1917', 'S1', 'N', '1983', '271000', 'S', 'MIN', '', 'DC', 'BF', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '271000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '340', '106', '340', '106', '78', '83', '', '', 'C', '', 'N', 'G', 'S', '', 'P', 'BF', 'MF', '7.52', '1.2227', '1', '1.22273', '331361.15625', '331361.15625', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'DOD TRI-SERVICE ', '', 'NONE.');
INSERT INTO buildings VALUES ('25', '9', '13', 'DAZIGANT', TO_DATE('04/07/93','MM/DD/YY'), 'SANDIEGO', 'CA', '7', 'S4', '2', '0', '31006', '1920', 'C2', 'N', '1992', '880000', 'S', 'MIN', '', 'DC', 'SW', 'BF', 'EW', 'EF', 'SD', '', 'N', 'N', 'N', 'N', 'V', 'I', 'NE', 'NE', 'NE', '880000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'C', '318', '120', '318', '35', '10', '20', '', 'FS', 'C', '', 'N', 'P', 'C', '', 'P', 'SW', 'SW', '28.38', '1.0286', '1', '1.02858', '905151.75', '905151.75', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'DOD TRI-SERVICE ', '', '');
INSERT INTO buildings VALUES ('26', '9', '14', 'DAZIGANT', TO_DATE('04/05/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', 'S4', '3', '0', '270000', '1940', 'C2', 'N', '1982', '2015000', 'S', 'MIN', '', 'DC', 'SW', 'EW', 'SD', 'SF', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '2015000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '180', '500', '180', '500', '12', '40', '', 'FS', 'C', '', 'N', 'G', 'C', '', 'P', 'SW', 'SW', '7.46', '1.3048', '1', '1.30483', '2629241.25', '2629241.25', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'DOD TRISERVICE', '', '');
INSERT INTO buildings VALUES ('27', '9', '12', 'DAZIGANT', TO_DATE('04/05/93','MM/DD/YY'), 'SOLANO', 'CA', '7', 'S3', '1', '0', '208800', '1922', 'S1', 'N', '1983', '446000', 'S', 'MIN', '', 'DC', 'BF', 'EF', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '446000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '300', '696', '300', '696', '', '', '', '', 'W', '', 'N', 'G', 'S', '', 'P', 'BF', 'MF', '2.14', '1.2227', '1', '1.22273', '545339.75', '545339.75', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'DOD TRI-SERVICE ', '', '');
INSERT INTO buildings VALUES ('28', '9', '17', 'KPFF', TO_DATE('04/14/93','MM/DD/YY'), 'YAMHILL', 'OR', '2', 'S3', '3', '0', '12000', '1950', 'RM1', 'N', '1992', '425000', 'AC', 'COM', '2400', 'DC', 'SW', 'EW', '', '', '', '', 'N', 'Y', 'Y', 'N', 'TR', 'I', 'OK', 'OK', 'OK', '62000', 'G', 'G', 'F', '', '44000', '', '6', '', '', '', '', '', 'R', '60', '120', '60', '40', '10', '30', '', 'S', 'W', 'M', 'N', 'F', '', 'RM', 'SF', 'SW', 'SW', '5.17', '1.0286', '1.1269', '1.15911', '492622.65625', '71864.953125', '0', '51000.93359375', '0', '0', '0', '0', '0', '0', '8', 'UBC 1988 I=1 0 ', '', 'INCREASED HEIGHT OF AUDITORIUM AND EXTERIOR WALLS ADDED NEW THIRD FLOOR AT FRONT OF BUILDING NEW ROOF STRUCTURE');
INSERT INTO buildings VALUES ('29', '9', '17', 'KPFF', TO_DATE('04/13/93','MM/DD/YY'), 'MULTNOMAH', 'OR', '2', 'S3', '2', '2', '197960', '1929', 'C2', 'N', '1992', '9400000', 'AC', 'COM', '', 'DC', 'SW', '', '', '', '', '', 'Y', 'Y', 'Y', 'Y', 'V', 'I', 'I', 'I', 'OK', '260000', 'G', 'G', 'F', '', '', '', '', '', '', '', '', '', 'R', '150', '385', '150', '385', '15', '56', '', 'FS', 'C', 'CW', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '1.31', '1.0286', '1.1269', '1.15911', '10895654', '301369.15625', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UBC 1988 I=1 0 ', 'SITE SLOPES SO ONE BASEMENT LEVEL DAY LIGHTS LOTS OF EXISTING WALLS IN BASEMENTS', 'ADDED NEW SHEAR WALLS EXISTING COLLUMNS WERE ADEQUATE AS BOUNDARY ELEMENTS ENTIRE NEW EXTERIOR, INTERIOR, STAIRS, ELEVATORS, MECHANICAL, ELECTRICAL AND PLUMBING SYSTEMS.');
INSERT INTO buildings VALUES ('30', '11', '19', 'KPFF', TO_DATE('04/13/93','MM/DD/YY'), 'KING', 'WA', '5', 'S3', '9', '2', '300000', '1932', 'S5', 'Y', '1990', '17000000', 'AC', 'COM', '', 'DC', 'SW', 'WT', '', '', '', '', 'Y', 'N', 'Y', 'Y', 'V', 'I', 'I', 'I', 'I', '2100000', 'G', 'F', 'F', '', '', '', '', '', '', '', '', '', 'C', '220', '230', '220', '230', '11', '111', '', 'CJ', 'C', 'M', 'N', 'G', 'S', '', 'P', 'SW', 'SW', '7', '1.0788', '1.10228', '1.18918', '20216018', '2497272.75', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'GSA SEIS/88UBC I=1 0', '', 'COMPLETE REMODEL OF INTERIOR SPACES WITH MAIN HALLWAYS STAYING HISTORICALFULL HEIGHT CONCRETE SHEAR WALLS WERE ADDEDTHE HISTORICAL EXTERIOR HAD ONLY RISK REDUCTION, WITH ANCHORS AND STRAPS ADDED TO REDUCE FALLING HAZARDSENTIREL');
INSERT INTO buildings VALUES ('31', '12', '34', 'KPFF', TO_DATE('04/12/93','MM/DD/YY'), 'MARION', 'OR', '2', 'S3', '6', '1', '170000', '1948', 'C3', 'Y', '1992', '600000', 'AC', 'MIN', '', 'DC', 'SW', 'SF', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '600000', 'G', 'G', 'G', '', '', '', '12', '', '', '', '', '', 'R', '150', '223', '150', '223', '13', '77', '', 'C', 'C', 'MB', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '3.53', '1.0286', '1.1269', '1.15911', '695467.25', '695467.25', '0', '0', '0', '0', '0', '0', '0', '0', '9', 'UBC 1988 I=1 0 ', '', 'EIGHT NEW FULL HEIGHT SHEAR WALLS ADDED STEEL CROSS-BRACING AT MECHANICAL PENTHOUSE');
INSERT INTO buildings VALUES ('32', '1', '7', 'KPFF', TO_DATE('04/12/93','MM/DD/YY'), 'MULTNOMAH', 'OR', '2', 'S2', '9', '2', '320000', '1910', 'C3', 'Y', '1992', '15000000', 'S', 'COM', '', 'DC', 'SW', '', '', '', '', '', 'N', 'Y', 'Y', 'Y', 'V', 'I', 'OK', 'OK', 'NE', '1100000', 'G', 'F', 'F', '', '', '', '', '', '', '', '', '', 'OT', '200', '200', '200', '200', '10', '100', '', 'C', 'C', 'M', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '3.44', '1.0286', '1.1269', '1.15911', '17386682', '1275023.375', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'UBC 1988 I=1 0 ', 'MAJOR INTERIOR TRANSFER TRUSSES AT THIRD FLOOR NO APPARENT LATERAL SYSTEM IN N-S DIRECTION', 'NOT STARTED - PERMIT HAS BEEN ISSUED WILL ADD INTERIOR CONCRETE SHEAR WALLS FULL HEIGHT, BOTH DIRECTIONS.');
INSERT INTO buildings VALUES ('33', '9', '28', 'BRANDOWandJOHNSTON', TO_DATE('04/23/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '3', '0', '74000', '1919', 'URM', 'Y', '1991', '8200000', 'AC', 'ADD', '', 'DC', 'SW', '', '', '', '', '', 'N', 'N', 'Y', 'Y', 'TR', 'I', 'I', 'I', 'I', '2700000', 'G', 'P', 'F', '', '', '', '18', '', '', '', '', '', 'C', '', '', '', '', '12', '40', '', 'C', 'C', 'M', 'N', 'F', 'C', 'URM', 'SF', 'SW', 'SW', '36.49', '1.0596', '1', '1.05961', '8688840', '2860959.5', '0', '0', '0', '0', '0', '0', '0', '0', '9', 'APPUBC 88 I=1 0', '', 'REMOVED WYTHES OF BRICK AND INSTALLED REINFORCED CONCRETE (SHOTCRETE) TYPTHROUGHOUT');
INSERT INTO buildings VALUES ('34', '12', '40', 'BRANDOWandJOHNSTON', TO_DATE('04/23/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '4', '0', '72000', '1929', 'C3', 'Y', '1992', '16000000', 'S', 'COM', '', 'DC', 'IS', '', '', '', '', '', 'N', 'Y', 'Y', 'N', 'IP', 'I', 'OK', 'I', 'I', '5800000', 'G', 'P', 'P', '', '', '', '18', '', '', '', '', '', 'O', '170', '200', '', '', '12', '50', '', 'C', 'C', 'M', 'Y', 'G', 'C', '', 'SF', 'SW', 'SW', '80.56', '1.0286', '1', '1.02858', '16457304', '5965772.5', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'UBC 1991 I=1 0 ', '', 'ISOLATORS INSTALLED BELOW FIRST FLOOR (CREATING NEW CRAWL SPACE).');
INSERT INTO buildings VALUES ('35', '9', '27', 'BRANDOWandJOHNSTON', TO_DATE('04/23/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '1', '0', '3719', '1929', 'URM', 'Y', '1988', '850000', 'S', 'COM', '', 'DC', 'SW', 'SD', '', '', '', '', 'N', 'Y', 'Y', 'Y', 'V', 'I', 'OK', 'I', 'I', '282575', 'G', 'F', 'P', '', '148750', '', '24', '25500', '', '38250', '21250', '212500', 'O', '60', '60', '60', '60', '10', '20', 'W', '', 'W', 'M', 'N', 'F', 'W', 'URM', 'SF', 'SW', 'SW', '75.98', '1.122', '1', '1.12202', '953714.375', '317053.9375', '0', '166900.015625', '0', '28611.431640625', '0', '42917.1484375', '23842.859375', '238428.59375', '7', '1985 UBC', '8''x8''x45'' HIGH HOSE TOWER, LARGE ARCHED URM DOORWAY AND VAULTED CEILING/ROOF AT THE APPARATUS ROOM', '1 WYTHE OF BRICK REMOVED FROM (E) URM BEARING SHEAR WALLSGUNITE PLACED ON INTERIOR FACE OF PERIMETER WALLSROOF DIAPH REMOVED & REPLACEDAPPARATUS RM ROOF DIAPH REINF BY MEANS OF ROD STRUT(E) APPARATUS RM SHEARWALLS UPGRADED W');
INSERT INTO buildings VALUES ('36', '9', '39', 'BRANDOWandJOHNSTON', TO_DATE('04/23/93','MM/DD/YY'), 'RIVERSIDE', 'CA', '7', 'S2', '5', '0', '70000', '1962', 'C2', 'N', '1991', '3700000', 'AC', 'MIN', '', 'DC', 'SW', 'EF', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'NE', 'NE', '3700000', 'G', 'G', 'G', '', '', '', '20', '', '', '', '', '', 'R', '185', '75', '185', '75', '13', '75', '', 'C', 'C', 'CW', 'N', 'G', 'C', '', 'P', 'SW', 'SW', '52.86', '1.0596', '1', '1.05961', '3920574.25', '3920574.25', '0', '0', '0', '0', '0', '0', '0', '0', '10', 'SITE SPECIFIC RESPONSE', '', 'ENHANCED PERIMETER FRAMES (LONGITUDINAL) AND ADDED SHEAR WALLS (TRANSVERSE)');
INSERT INTO buildings VALUES ('37', '8', '40', 'BRANDOWandJOHNSTON', TO_DATE('04/23/93','MM/DD/YY'), 'SANDIEGO', 'CA', '7', 'S2', '11', '1', '450000', '1961', 'C1', 'N', '1989', '33700000', 'AC', 'ADD', '', 'LS', 'BF', 'EW', '', '', '', '', 'N', 'Y', 'Y', 'N', 'IP', 'I', 'OK', 'I', 'I', '2500000', 'G', 'G', 'F', '', '', '', '15', '', '', '', '', '', 'R', '240', '350', '88', '220', '12', '144', 'W', '', 'C', 'CW', 'N', 'G', 'C', '', 'SF', 'MF', 'MF', '5.56', '1.1067', '1', '1.10668', '37295176', '2766704.5', '0', '0', '0', '0', '0', '0', '0', '0', '9', 'UC SEISMIC CRITERIA ', 'ORIG BLDG DESIGNED FOR FUTURE TOWER ADDN W/ WAS NOT BUILTTOWER PORTION ABOVE BASE STRENGTHENED AT PERIMETER WITH OVETURNING LOADS TO TOWER CORNERS', 'STRUCTURAL STEEL BRACED FRAME ON EXTERIOR OF TOWER THIRD FLOOR TO ROOFSHOTCRETE STRENGTHENING OF END SHEAR WALLS,.3RD TO 10TH FLOORS FOUR CORNER COLUMNS OF TOWER STRENGTHENED FULL HEIGHT BUILDING FOR OVERTURNING');
INSERT INTO buildings VALUES ('38', '12', '40', 'JAHILL', TO_DATE('04/12/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', 'S2', '9', '1', '45100', '', 'C3', 'Y', '1992', '552000', 'AC', 'ADD', '', 'DC', 'SW', '', '', '', '', '', 'Y', 'N', 'Y', 'Y', 'IP', 'I', 'I', 'I', 'NE', '358800', 'G', 'G', 'G', '', '113000', '', '12', '110400', '27600', '', '27600', '27600', 'L', '70', '107', '60', '107', '10.5', '110', '', 'C', 'C', 'M', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '7.96', '1.0286', '1', '1.02858', '567777', '369055.03125', '0', '116229.7109375', '0', '113555.3984375', '28388.849609375', '0', '28388.849609375', '28388.849609375', '10', 'SITE SPECIFIC RESPONSE', '', 'SHEAR WALL BASEMENT TO SECOND IN LONGITUDI L DIRECTION SHEAR WALL BASEMENT TO SEVENTH FLOOR TRANSVERSE');
INSERT INTO buildings VALUES ('39', '10', '21', 'SUNILGUPTA', TO_DATE('04/21/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', 'S3', '5', '0', '690000', '1970', 'C1', 'N', '1993', '1600000', 'S', 'MIN', '', 'LS', 'SW', 'SD', 'SF', '', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'I', 'NE', 'NE', '1400000', 'G', 'G', 'G', '', '240000', '160000', '4', '', '', '', '160000', '', 'R', '250', '450', '250', '450', '10', '53.5', '', 'PT', 'PT', 'CW', 'N', 'G', 'C', '', 'P', 'MF', 'BF', '2.03', '1', '1', '1', '1600000', '1400000', '0', '240000', '160000', '0', '0', '0', '160000', '0', '7', '1991 UBC', '', '');
INSERT INTO buildings VALUES ('40', '9', '37', 'JAHILL', TO_DATE('04/12/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '1', '1', '12000', '1925', 'S4', 'Y', '1992', '54000', 'AC', 'MIN', '', 'DC', 'SW', 'BF', 'EW', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'NE', 'NE', '54000', 'G', 'G', 'G', '', '45000', '', '3', '', '', '', '1080', '', 'R', '60', '100', '60', '100', '23', '46', '', 'W', 'W', 'M', 'N', 'G', 'S', '', 'SF', 'SW', 'SW', '4.5', '1.0286', '1', '1.02858', '55543.40234375', '55543.40234375', '0', '46286.16796875', '0', '0', '0', '0', '1110.86804199219', '0', '10', 'SITE SPECIFIC RESPONSE', '', 'ANCHORAGE - STEEL FRAME WINDOW CLOSURE (MINOR)');
INSERT INTO buildings VALUES ('41', '1', '2', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'LEWIS&CLARK', 'MT', '3', 'S2', '2', '0', '11000', '1895', 'URM', 'N', '1977', '30000', 'S', 'MIN', '', 'DC', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '30000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', 'W', 'W', 'N', '', 'G', '', 'URM', 'SF', 'SW', 'SW', '2.73', '1.8867', '1.24022', '2.33997', '70199.0546875', '70199.0546875', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('44', '10', '37', 'SUNILGUPTA', TO_DATE('04/25/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', 'S2', '3', '0', '30000', '1970', 'W1', 'N', '1993', '160000', 'AC', 'MIN', '', 'LS', 'MF', 'SF', 'SS', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'NE', 'NE', 'NE', '160000', 'G', 'G', 'G', '', '', '', '4', '', '', '', '', '', 'C', '520', '28', '520', '28', '9', '27', '', 'W', 'W', 'N', 'N', 'F', 'W', 'W', 'SF', 'SW', 'SW', '5.33', '1', '1', '1', '160000', '160000', '0', '0', '0', '0', '0', '0', '0', '0', '9', '1991 UBC', 'TIMBER POLES CANTILEVERING ABOVE GROUND CREATED SOFT STORY STEEL MOMENT FRAMES WERE ADDED TO PROVIDE LATERAL BRACING IN BOTH DIRECTIONS.', '');
INSERT INTO buildings VALUES ('45', '7', '37', 'SUNILGUPTA', TO_DATE('04/25/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '3', '0', '80000', '1968', 'C2', 'N', '1992', '120000', 'AC', 'MIN', '', 'LS', 'SW', 'SF', '', '', '', '', 'Y', 'N', 'N', 'N', 'IP', 'I', 'OK', 'NE', 'NE', '114000', 'G', 'G', 'G', '', '36000', '', '4', '', '6000', '', '', '', 'R', '220', '130', '220', '130', '12', '36', 'S', 'C', 'C', 'N', 'N', 'F', 'C', '', 'SF', 'SW', 'SW', '1.43', '1.0286', '1', '1.02858', '123429.78125', '117258.2890625', '0', '37028.93359375', '0', '0', '6171.48876953125', '0', '0', '0', '9', '1991 UBC', 'BUILDING SUSTAINED SIGNIFICANT DAMAGE DURING 1990 SIERRA MADRE EARTHQUAKE AND WAS RED TAGGED', 'ADDED TWO FULL LIGHT CONCRETE SHEAR WALLS ABOUT 24''-0" WALL AND 12" THICK NEW CONCRETE FOOTINGS METAL WITH FILL AT ROOF');
INSERT INTO buildings VALUES ('47', '9', '23', 'FRANKEMCCLURE', TO_DATE('04/20/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S1', '2', '1', '91032', '1964', 'S4', 'N', '1993', '16216400', 'S', 'ADD', '', 'DC', 'SW', 'IS', '', '', '', '', 'Y', 'N', 'Y', 'N', 'TR', 'I', 'I', 'I', 'NE', '8716400', 'G', 'F', 'F', '1000000', '', '', '16', '', '1000000', '', '6500000', '', 'C', '172', '200', '172', '200', '18', '36', 'C', '', 'C', 'N', 'N', 'G', 'S', '', 'SF', 'SW', 'SW', '95.75', '1', '1', '1', '16216400', '8716400', '1000000', '0', '0', '0', '1000000', '0', '6500000', '0', '8', 'SPEC PERF TO PROTECT ASIAN ART', 'ADJACENCY PROBLEMPLASTER AND GYPSUM BOARD METAL STUD PARTITIONS.', 'BASE ISOLATIONCONCRETE SHEAR WALL (NEW) ABOVE ISOLATORS');
INSERT INTO buildings VALUES ('48', '1', '4', 'GORDONBEVERIDGE', TO_DATE('4/1/1993','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S1', '1', '1', '5700', '1916', 'S5', 'N', '1992', '800000', 'S', 'MIN', '', 'LS', 'SW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '757500', 'G', 'P', 'P', '', '167000', '32000', '', '', '', '', '', '42500', 'OT', '95', '60', '95', '60', '20', '42', 'W', '', 'C', 'M', 'N', 'G', 'S', '', 'SF', 'SW', 'SW', '132.89', '1.0286', '1', '1.02858', '822865.1875', '779150.5', '0', '171773.109375', '32914.609375', '0', '0', '0', '0', '43714.71484375', '4', 'BSSC NEHRP HANDBOOK ', 'FRAME WITH INFILL SHEAR WALL', '');
INSERT INTO buildings VALUES ('49', '7', '28', 'DandMBOBTRIVISON', TO_DATE('04/16/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S1', '2', '0', '6800', '', 'URM', 'Y', '1993', '150000', 'S', 'ADD', '', 'LS', 'SW', 'SD', 'WT', '', '', '', 'N', 'Y', 'N', 'Y', 'TR', 'I', 'I', 'NE', 'NE', '140000', 'G', 'F', 'P', '', '', '', '', '7500', '', '15000', '', '', 'R', '40', '80', '40', '80', '10', '20', '', 'W', 'W', 'M', 'N', 'F', 'W', 'URM', 'P', 'SW', 'SW', '20.59', '1', '1', '1', '150000', '140000', '0', '0', '0', '7500', '0', '15000', '0', '0', '7', 'LA DIV 88 ', '', 'STANDARD URMUPGRADE WITH HISTORIC CONSIDERATION FOR DETAILING');
INSERT INTO buildings VALUES ('50', '7', '37', 'DandMGARYSAVULIAN', TO_DATE('04/12/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '2', '0', '96000', '1960', 'S2', 'N', '1991', '205000', 'AC', 'MIN', '', 'LS', 'BF', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'NE', 'NE', '190000', 'G', 'G', 'G', '', '', '', '2', '', '', '', '', '', 'OT', '346', '200', '346', '200', '13', '26', 'S', 'S', 'MDF', 'CW', 'N', 'G', 'S', '', 'SF', 'BF', 'BF', '1.98', '1.0596', '1', '1.05961', '217221', '201326.78125', '0', '0', '0', '0', '0', '0', '0', '0', '10', 'UBC 1988', '', 'ADDED BRACED UPGRADE CONNECTIONS STRENGTHENED COLUMNS');
INSERT INTO buildings VALUES ('51', '7', '37', 'DandMJACKTKASAR', TO_DATE('04/12/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '1', '0', '400000', '1930', 'S1', 'N', '1992', '3600000', 'AC', 'MIN', '', 'LS', 'BF', 'EF', 'SD', 'SF', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'NE', 'NE', 'NE', '3600000', 'G', 'G', 'G', '', '', '', '', '', '', '', '', '', 'R', '960', '300', '960', '300', '35', '47', 'S', '', 'MD', 'CW', 'N', 'F', 'S', '', 'SF', 'BF', 'MF', '9', '1.0286', '1', '1.02858', '3702893.5', '3702893.5', '0', '0', '0', '0', '0', '0', '0', '0', '10', '1988 UBC', 'THE BUILDING STRENGTHENED IS COMPOSED OF SEVEN INDEPENDENT CONSTRUCTION UNITS.', 'ADD STEEL BRACED FRAMESSTRENGTHEN MOMENT FRAMESSTRENGTHEN ROOF DIAPHRAGM DRAG STRUTS AND CHORDSSTRENGTHEN FOUNDATIONS');
INSERT INTO buildings VALUES ('52', '10', '12', 'DEGENKOLB', TO_DATE('05/19/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', 'S3', '1', '0', '140000', '1973', 'C1', 'N', '1991', '1015000', 'S', 'MIN', '', 'LS', 'SW', 'SF', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '1015000', 'G', 'P', 'P', '', '', '', '12', '', '', '', '', '', 'L', '323', '260', '323', '260', '12', '12', 'PT', '', 'PT', 'PC', 'N', 'F', 'C', '', 'P', 'MF', 'MF', '7.25', '1.0596', '1', '1.05961', '1075508.875', '1075508.875', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('53', '10', '12', 'DEGENKOLB', TO_DATE('05/19/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', 'S3', '1', '0', '140000', '1973', 'C1', 'N', '1991', '1025000', 'S', 'MIN', '', 'DC', 'SW', 'SF', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '1025000', 'G', 'P', 'P', '', '', '', '12', '', '', '', '', '', 'L', '323', '260', '323', '260', '12', '12', 'PT', '', 'PT', 'PC', 'N', 'F', 'C', '', 'P', 'MF', 'MF', '7.32', '1.0596', '1', '1.05961', '1086105', '1086105', '0', '0', '0', '0', '0', '0', '0', '0', '7', '1988 UBC I=1 0', '', '');
INSERT INTO buildings VALUES ('54', '7', '12', 'DEGENKOLB', TO_DATE('05/17/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', 'S3', '1', '0', '97000', '1966', 'PC1', 'N', '1991', '358033', 'S', 'MIN', '', 'LS', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '358033', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '436', '252', '435', '252', '27', '27', 'W', '', 'W', 'N', 'N', 'G', '', 'PC', 'SF', 'SW', 'SW', '3.69', '1.0596', '1', '1.05961', '379377', '379377', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('55', '9', '12', 'DEGENKOLB', TO_DATE('05/17/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', 'S3', '1', '0', '97000', '1966', 'PC1', 'N', '1991', '408611', 'S', 'MIN', '', 'DC', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '408611', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '436', '252', '436', '252', '27', '27', 'W', '', 'W', 'N', 'N', 'G', '', 'PC', 'SF', 'SW', 'SW', '4.21', '1.0596', '1', '1.05961', '432970.21875', '432970.21875', '0', '0', '0', '0', '0', '0', '0', '0', '7', '1988 UBC I=1 0', '', '');
INSERT INTO buildings VALUES ('56', '17', '51', 'DEGENKOLB', TO_DATE('05/17/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', 'S3', '2', '0', '13327', '1976', 'S1', 'N', '1991', '546268', 'S', 'MIN', '', 'IO', 'EF', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '546268', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '125', '124', '125', '124', '15', '30', 'S', 'S', 'MDF', 'CW', 'N', 'G', 'S', '', 'P', 'MF', 'MF', '40.99', '1.0596', '1', '1.05961', '578833.5625', '578833.5625', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'TITLE 24', '', '');
INSERT INTO buildings VALUES ('57', '8', '40', 'DEGENKOLB', TO_DATE('05/10/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', 'S1', '9', '1', '100000', '1957', 'C1', 'N', '1990', '4500000', 'AC', 'MIN', '', 'LS', 'BF', '', '', '', '', '', 'Y', 'N', 'Y', 'N', 'IP', 'I', 'NE', 'I', 'NE', '2000000', 'G', 'G', 'G', '', '', '', '18', '', '', '', '', '', 'R', '220', '175', '220', '68', '12.5', '100', 'FS', 'FS', 'C', 'CW', 'N', 'G', 'C', '', 'SF', 'MF', 'MF', '20', '1.0788', '1', '1.07883', '4854737', '2157661', '0', '0', '0', '0', '0', '0', '0', '0', '10', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('58', '18', '48', 'DEGENKOLB', TO_DATE('05/21/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', 'S1', '5', '1', '88600', '1938', 'C3', 'N', '1992', '14410500', 'S', 'MIN', '', 'IO', 'SW', 'EW', 'EF', 'SD', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'I', 'NE', '6066900', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'C', '172', '111', '172', '111', '12', '66', 'C', 'C', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '68.48', '1.0286', '1', '1.02858', '14822374', '6240301', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'TITLE 24', '', '');
INSERT INTO buildings VALUES ('59', '18', '49', 'DEGENKOLB', TO_DATE('05/21/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', 'S1', '4', '0', '45950', '1938', 'C3', 'N', '1992', '4874457', 'S', 'MIN', '', 'IO', 'SW', 'EW', 'SD', '', '', '', 'N', 'Y', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '3874457', 'G', 'P', 'P', '', '', '', '', '', '', '300000', '', '', 'L', '178.5', '98.1999969482422', '178.5', '98.1999969482422', '14', '42', 'C', 'C', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '84.32', '1.0286', '1', '1.02858', '5013776.5', '3985194.75', '0', '0', '0', '0', '0', '308574.4375', '0', '0', '7', 'TITLE 24', '', '');
INSERT INTO buildings VALUES ('60', '19', '53', 'DEGENKOLB', TO_DATE('05/19/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '2', '0', '7500', '1955', 'S5', 'N', '1992', '200975', 'S', 'MIN', '', 'IO', 'BF', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '200975', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '83', '51', '83', '51', '12', '24', 'S', 'S', 'C', 'N', 'N', 'G', 'S', '', 'SF', 'SW', 'SW', '26.8', '1.0286', '1', '1.02858', '206719.171875', '206719.171875', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'TITLE 24', '', '');
INSERT INTO buildings VALUES ('61', '17', '50', 'DEGENKOLB', TO_DATE('05/19/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', 'S3', '1', '0', '6820', '1965', 'RM1', 'N', '1992', '52379', 'S', 'MIN', '', 'IO', 'SD', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '52379', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '60.4000015258789', '56', '60.4000015258789', '56', '19', '19', 'W', '', 'W', 'N', 'N', 'G', '', 'RM', 'SF', 'SW', 'SW', '7.68', '1.0286', '1', '1.02858', '53876.0703125', '53876.0703125', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'TITLE 24', '', '');
INSERT INTO buildings VALUES ('62', '17', '50', 'DEGENKOLB', TO_DATE('05/24/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '1', '0', '12345', '1964', 'RM1', 'N', '1992', '500535', 'S', 'MIN', '', 'IO', 'SW', 'EW', 'SD', '', '', '', 'N', 'Y', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '450535', 'G', 'P', 'P', '', '', '', '', '', '', '50000', '', '', 'R', '88.4000015258789', '84', '88.4000015258789', '84', '20', '20', 'W', '', 'W', 'M', 'N', 'G', 'C', 'RM', 'SF', 'SW', 'SW', '36.5', '1.0286', '1', '1.02858', '514841.03125', '463411.96875', '0', '0', '0', '0', '0', '51429.07421875', '0', '0', '7', 'TITLE 24', '', '');
INSERT INTO buildings VALUES ('63', '17', '50', 'DEGENKOLB', TO_DATE('05/24/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '1', '0', '5740', '1961', 'RM1', 'N', '1992', '127805', 'S', 'MIN', '', 'IO', 'EF', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '127805', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '71.4000015258789', '54.7999992370605', '71.4000015258789', '54.7999992370605', '16.25', '16.25', 'W', '', 'W', 'M', 'N', 'G', '', 'RM', 'SF', 'SW', 'SW', '22.27', '1.0286', '1', '1.02858', '131457.859375', '131457.859375', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'TITLE 24', '', '');
INSERT INTO buildings VALUES ('64', '18', '56', 'DEGENKOLB', TO_DATE('05/24/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '1', '0', '7354', '1959', 'C3', 'N', '1992', '70809', 'S', 'MIN', '', 'IO', 'SW', 'EW', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '70809', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '', '', '', '', '18', '18', 'C', '', 'W', 'N', 'N', 'G', 'C', 'W', 'SF', 'SW', 'SW', '9.63', '1.0286', '1', '1.02858', '72832.828125', '72832.828125', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'TITLE 24', '', '');
INSERT INTO buildings VALUES ('65', '17', '50', 'DEGENKOLB', TO_DATE('05/24/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '1', '0', '8730', '1962', 'RM1', 'N', '1992', '250449', 'S', 'MIN', '', 'IO', 'SW', 'EW', 'SD', 'WT', '', '', 'N', 'Y', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '230449', 'G', 'P', 'P', '', '', '', '', '', '', '20000', '', '', 'R', '112.400001525879', '74', '112.400001525879', '74', '20', '20', 'W', '', 'W', 'N', 'N', 'G', '', 'RM', 'SF', 'SW', 'SW', '26.4', '1.0286', '1', '1.02858', '257607.203125', '237035.578125', '0', '0', '0', '0', '0', '20571.630859375', '0', '0', '7', 'TITLE 24', '', '');
INSERT INTO buildings VALUES ('66', '17', '56', 'DEGENKOLB', TO_DATE('05/24/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '1', '0', '5700', '1935', 'W2', 'N', '1992', '46361', 'S', 'MIN', '', 'IO', 'EW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '46361', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'L', '68.5999984741211', '61', '68.5999984741211', '61', '14', '14', 'W', '', 'W', 'N', 'N', 'G', '', 'W', 'SF', 'SW', 'SW', '8.13', '1.0286', '1', '1.02858', '47686.06640625', '47686.06640625', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'TITLE 24', '', '');
INSERT INTO buildings VALUES ('67', '14', '43', 'DEGENKOLB', TO_DATE('05/24/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '1', '0', '2565', '1947', 'W2', 'N', '1992', '56309', 'S', 'MIN', '', 'IO', 'BF', 'EW', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '56309', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '71.5999984741211', '33.5999984741211', '71.5999984741211', '33.5999984741211', '10', '10', 'W', '', 'W', 'N', 'N', 'G', '', 'W', 'SF', 'SW', 'SW', '21.95', '1.0286', '1', '1.02858', '57918.39453125', '57918.39453125', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'TITLE 24', '', '');
INSERT INTO buildings VALUES ('68', '17', '49', 'DEGENKOLB', TO_DATE('05/18/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', 'S2', '1', '0', '16000', '', 'URM', 'N', '1992', '515222', 'S', 'MIN', '', 'IO', 'SW', 'EW', 'SD', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '515222', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'L', '222', '120', '222', '120', '13.3000001907349', '13.3000001907349', 'W', '', 'W', 'N', 'N', 'G', 'W', 'URM', 'SF', 'SW', 'SW', '32.2', '1.0286', '1', '1.02858', '529947.8125', '529947.8125', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'TITLE 24', '', '');
INSERT INTO buildings VALUES ('69', '7', '12', 'DEGENKOLB', TO_DATE('05/18/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S3', '2', '1', '100000', '', 'URM', 'N', '1993', '2500000', 'S', 'MIN', '', 'LS', 'BF', 'SF', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '2500000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '265', '120', '275', '120', '14', '42.5', 'TT', 'W', 'W', 'M', 'N', 'G', 'W', 'URM', 'SF', 'SW', 'SW', '25', '1', '1', '1', '2500000', '2500000', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'SF URM ORDI NCE', '', '');
INSERT INTO buildings VALUES ('70', '17', '52', 'DEGENKOLB', TO_DATE('05/18/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '1', '0', '12000', '', 'S3', 'N', '1992', '288464', 'S', 'MIN', '', 'IO', 'SW', 'BF', 'SD', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '288464', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '178', '60', '178', '60', '20', '20', 'S', '', 'W', 'N', 'N', 'G', 'S', '', 'SF', 'MF', 'MF', '24.04', '1.0286', '1', '1.02858', '296708.71875', '296708.71875', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'TITLE 24', '', '');
INSERT INTO buildings VALUES ('71', '17', '56', 'DEGENKOLB', TO_DATE('05/20/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '1', '0', '7000', '', 'W2', 'N', '1992', '51207', 'S', 'MIN', '', 'IO', 'WT', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'NE', 'NE', '51207', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '', '', '', '', '10', '10', 'W', '', 'W', 'M', 'N', 'G', '', 'W', 'SF', 'SW', 'SW', '7.32', '1.0286', '1', '1.02858', '52670.57421875', '52670.57421875', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'TITLE 24', '', '');
INSERT INTO buildings VALUES ('74', '7', '19', 'DEGENKOLB', TO_DATE('05/24/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '4', '0', '140000', '1957', 'C2', 'N', '1992', '945047', 'S', 'MIN', '', 'LS', 'EW', '', '', '', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'I', 'I', 'NE', '865047', 'G', 'P', 'P', '', '', '', '', '', '', '', '80000', '', 'R', '259', '134', '259', '134', '9', '39.5', 'C', 'C', 'C', 'M', 'N', 'G', 'C', 'C', 'P', 'SW', 'SW', '6.18', '1.0286', '1', '1.02858', '972057.875', '889771.3125', '0', '0', '0', '0', '0', '0', '82286.5234375', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('75', '9', '37', 'DEGENKOLB', TO_DATE('05/14/93','MM/DD/YY'), 'CONTRACOSTA', 'CA', '7', 'S3', '2', '0', '11900', '1965', 'W2', 'N', '1991', '233961', 'S', 'MIN', '', 'DC', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'NE', 'NE', '233961', 'G', 'P', 'P', '', '', '', '4', '', '', '', '', '', 'R', '85', '70', '85', '70', '11.5', '23', 'S', 'S', 'W', 'N', 'N', 'G', 'S', 'W', 'SF', 'SW', 'SW', '19.66', '1.0596', '1', '1.05961', '247908.5', '247908.5', '0', '0', '0', '0', '0', '0', '0', '0', '7', '1991 UBC I=1 0', '', '');
INSERT INTO buildings VALUES ('76', '7', '37', 'DEGENKOLB', TO_DATE('05/13/93','MM/DD/YY'), 'CONTRACOSTA', 'CA', '7', 'S3', '2', '0', '11900', '1965', 'W2', 'N', '1991', '197400', 'S', 'MIN', '', 'LS', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'NE', 'NE', '197400', 'G', 'P', 'P', '', '', '', '4', '', '', '', '', '', 'R', '85', '70', '85', '70', '11.5', '23', 'S', 'S', 'W', 'N', 'N', 'G', 'S', 'W', 'SF', 'SW', 'SW', '16.59', '1.0596', '1', '1.05961', '209167.9375', '209167.9375', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('77', '12', '33', 'DEGENKOLB', TO_DATE('05/07/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', 'S2', '4', '1', '51000', '1925', 'C3', 'N', '1990', '1180000', 'S', 'MIN', '', 'LS', 'SW', 'BF', 'SD', 'SF', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '1180000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '146', '90', '146', '90', '10.5', '53.5', 'TT', 'C', 'C', 'M', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '23.14', '1.0788', '1', '1.07883', '1273020', '1273020', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('78', '12', '33', 'DEGENKOLB', TO_DATE('05/07/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', 'S2', '4', '1', '51000', '1925', 'C3', 'N', '1990', '1220000', 'S', 'MIN', '', 'DC', 'SW', 'BF', 'SD', 'SF', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '1220000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '146', '90', '146', '90', '10.5', '53.5', 'TT', 'C', 'C', 'M', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '23.92', '1.0788', '1', '1.07883', '1316173.125', '1316173.125', '0', '0', '0', '0', '0', '0', '0', '0', '7', '1988 UBC', '', '');
INSERT INTO buildings VALUES ('79', '7', '23', 'DEGENKOLB', TO_DATE('05/21/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '1', '0', '49000', '1963', 'PC1', 'N', '1990', '170187', 'S', 'MIN', '', 'LS', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '170187', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '233', '210', '233', '210', '20', '20', 'W', '', 'W', 'N', 'N', 'G', '', 'PC', 'SF', 'SW', 'SW', '3.47', '1.0788', '1', '1.07883', '183602.921875', '183602.921875', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('80', '17', '50', 'DEGENKOLB', TO_DATE('05/21/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '1', '0', '49000', '1963', 'PC1', 'N', '1990', '466062', 'S', 'MIN', '', 'IO', 'SW', 'EW', 'SD', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '466062', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '233', '210', '233', '210', '20', '20', 'W', '', 'W', 'N', 'N', 'G', '', 'PC', 'SF', 'SW', 'SW', '9.51', '1.0788', '1', '1.07883', '502801.90625', '502801.90625', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'TITLE 24', '', '');
INSERT INTO buildings VALUES ('81', '17', '48', 'DEGENKOLB', TO_DATE('05/20/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S1', '5', '2', '80000', '1968', 'S1', 'N', '1992', '1000200', 'S', 'MIN', '', 'IO', 'SW', 'BF', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '1000200', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '210', '54', '184', '54', '11.5', '66', 'S', 'S', 'MDF', 'CW', 'N', 'G', 'S', 'C', 'SF', 'SW', 'MF', '12.5', '1.0286', '1', '1.02858', '1028787.1875', '1028787.1875', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'TITLE 24', '', '');
INSERT INTO buildings VALUES ('82', '17', '48', 'DEGENKOLB', TO_DATE('05/20/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S1', '4', '1', '116800', '1960', 'C2', 'N', '1990', '6428000', 'S', 'MIN', '', 'IO', 'SW', 'EF', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '6428000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '230', '205', '230', '115', '11.5', '48.5', 'C', 'C', 'C', 'N', 'N', 'G', 'C', 'C', 'SF', 'SW', 'SW', '55.03', '1.0788', '1', '1.07883', '6934722.5', '6934722.5', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'TITLE 24', '', '');
INSERT INTO buildings VALUES ('83', '7', '23', 'DEGENKOLB', TO_DATE('05/20/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S1', '4', '1', '116800', '1960', 'C2', 'N', '1990', '2829000', 'S', 'MIN', '', 'LS', 'SW', 'EW', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '2829000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '230', '205', '230', '115', '11.5', '48.5', 'C', 'C', 'C', 'N', 'N', 'G', 'C', 'C', 'SF', 'SW', 'SW', '24.22', '1.0788', '1', '1.07883', '3052011.5', '3052011.5', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('84', '18', '50', 'DEGENKOLB', TO_DATE('05/19/93','MM/DD/YY'), 'MARIN', 'CA', '7', 'S1', '5', '0', '66000', '1973', 'C3', 'N', '1992', '2614000', 'S', 'MIN', '', 'IO', 'EW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '2614000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '198', '71', '198', '71', '13.5', '67.5', 'C', 'C', 'C', 'PC', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '39.61', '1.0286', '1', '1.02858', '2688712', '2688712', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'TITLE 24', '', '');
INSERT INTO buildings VALUES ('85', '7', '12', 'DEGENKOLB', TO_DATE('05/21/93','MM/DD/YY'), 'CONTRACOSTA', 'CA', '7', 'S3', '1', '0', '17970', '1962', 'RM1', 'N', '1991', '328661', 'S', 'MIN', '', 'LS', 'SD', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '328661', 'G', 'P', 'P', '', '', '', '4', '', '', '', '', '', 'R', '132', '75', '132', '75', '10', '10', 'W', '', 'W', 'N', 'N', 'G', 'S', 'RM', 'SF', 'SW', 'SW', '18.29', '1.0596', '1', '1.05961', '348254', '348254', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('86', '9', '12', 'DEGENKOLB', TO_DATE('05/20/93','MM/DD/YY'), 'CONTRACOSTA', 'CA', '7', 'S3', '1', '0', '10500', '1962', 'RM1', 'N', '1991', '332067', 'S', 'MIN', '', 'DC', 'SD', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '332067', 'G', 'P', 'P', '', '', '', '4', '', '', '', '', '', 'R', '132', '75', '132', '75', '10', '10', 'W', '', 'W', 'N', 'N', 'G', 'S', 'RM', 'SF', 'SW', 'SW', '31.63', '1.0596', '1', '1.05961', '351863.0625', '351863.0625', '0', '0', '0', '0', '0', '0', '0', '0', '7', '1988 UBC', '', '');
INSERT INTO buildings VALUES ('87', '17', '51', 'DEGENKOLB', TO_DATE('05/19/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', 'S2', '7', '0', '230000', '1971', 'S4', 'N', '1993', '1746000', 'S', 'MIN', '', 'IO', 'EW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '1746000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '268', '253', '268', '253', '13', '106', 'S', 'S', 'MDF', 'PC', 'N', 'G', 'S', '', 'P', 'SW', 'SW', '7.59', '1', '1', '1', '1746000', '1746000', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'TITLE 24', '', '');
INSERT INTO buildings VALUES ('88', '7', '14', 'DEGENKOLB', TO_DATE('05/17/93','MM/DD/YY'), 'CONTRACOSTA', 'CA', '7', 'S3', '4', '1', '54100', '1966', 'C2', 'N', '1993', '1048000', 'S', 'MIN', '', 'LS', 'SW', 'EW', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'NE', 'NE', '1048000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '135', '120', '121', '91', '11.5', '46', 'C', 'C', 'C', 'CW', 'N', 'G', 'C', 'C', 'P', 'SW', 'SW', '19.37', '1', '1', '1', '1048000', '1048000', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('89', '9', '14', 'DEGENKOLB', TO_DATE('05/18/93','MM/DD/YY'), 'CONTRACOSTA', 'CA', '7', 'S3', '4', '1', '54100', '1966', 'C2', 'N', '1993', '1589000', 'S', 'MIN', '', 'DC', 'SW', 'EW', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'NE', 'NE', '1589000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '135', '120', '121', '91', '11.5', '46', 'C', 'C', 'C', 'CW', 'N', 'G', 'C', 'C', 'P', 'SW', 'SW', '29.37', '1', '1', '1', '1589000', '1589000', '0', '0', '0', '0', '0', '0', '0', '0', '7', '1991 UBC I=1 0', '', '');
INSERT INTO buildings VALUES ('90', '7', '12', 'DEGENKOLB', TO_DATE('05/06/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', 'S2', '6', '1', '37900', '', 'W2', 'N', '1990', '1970000', 'S', 'MIN', '', 'LS', 'SW', 'BF', 'EW', 'SD', 'SF', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '1970000', 'G', 'P', 'P', '', '', '', '12', '', '', '', '', '', 'R', '150', '40', '150', '40', '10', '70', 'W', 'W', 'W', 'CW', 'N', 'G', 'S', '', 'SF', 'BF', 'BF', '51.98', '1.0788', '1', '1.07883', '2125296', '2125296', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('91', '9', '12', 'DEGENKOLB', TO_DATE('05/06/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', 'S2', '6', '1', '37900', '', 'W2', 'N', '1990', '5190000', 'S', 'MIN', '', 'DC', 'SW', 'BF', 'EW', 'SD', 'SF', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '5190000', 'G', 'P', 'P', '', '', '', '18', '', '', '', '', '', 'R', '150', '40', '150', '40', '10', '70', 'W', 'W', 'W', 'CW', 'N', 'G', 'S', '', 'SF', 'BF', 'BF', '136.94', '1.0788', '1', '1.07883', '5599130', '5599130', '0', '0', '0', '0', '0', '0', '0', '0', '7', '1988 UBC', '', '');
INSERT INTO buildings VALUES ('92', '9', '12', 'DEGENKOLB', TO_DATE('05/07/93','MM/DD/YY'), 'SACRAMENTO', 'CA', '5', 'S3', '1', '0', '46170', '1960', 'PC1', 'N', '1991', '453000', 'S', 'MIN', '', 'DC', 'SD', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '353000', 'G', 'P', 'P', '100000', '', '', '3', '', '', '', '', '', 'R', '330', '140', '330', '140', '13', '13', 'W', '', 'W', 'N', 'N', 'G', '', 'PC', 'SF', 'SW', 'SW', '7.65', '1.0596', '1', '1.05961', '480005.4375', '374043.96875', '105961.46875', '0', '0', '0', '0', '0', '0', '0', '7', '1988 UBC I=1 0 ', '', '');
INSERT INTO buildings VALUES ('93', '5', '12', 'DEGENKOLB', TO_DATE('05/06/93','MM/DD/YY'), 'SACRAMENTO', 'CA', '5', 'S3', '1', '0', '46170', '1960', 'PC1', 'N', '1991', '188000', 'S', 'MIN', '', 'LS', 'WT', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '138000', 'G', 'P', 'P', '50000', '', '', '2', '', '', '', '', '', 'R', '330', '140', '330', '140', '13', '13', 'W', '', 'W', 'N', 'N', 'G', '', 'PC', 'SF', 'SW', 'SW', '2.99', '1.0596', '1', '1.05961', '199207.5625', '146226.828125', '52980.734375', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('94', '9', '12', 'DEGENKOLB', TO_DATE('05/07/93','MM/DD/YY'), 'SACRAMENTO', 'CA', '5', 'S3', '1', '0', '74633', '1960', 'PC1', 'N', '1991', '257283', 'S', 'MIN', '', 'DC', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '257283', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '370', '200', '370', '200', '13', '13', 'W', '', 'W', 'N', 'N', 'G', '', 'PC', 'SF', 'SW', 'SW', '3.45', '1.0596', '1', '1.05961', '272620.84375', '272620.84375', '0', '0', '0', '0', '0', '0', '0', '0', '7', '1988 UBC I=1 0 ', 'THE BUILDING CONTAINS 4 MEZZANINES WITH AN ELEVATED ROOF ABOVE AT THESE LOCATIONS THE MAJORITY OF THE BUILDING THOUGH IS THE STANDARD ONE-STORY.', '');
INSERT INTO buildings VALUES ('95', '5', '12', 'DEGENKOLB', TO_DATE('05/06/93','MM/DD/YY'), 'SACRAMENTO', 'CA', '5', 'S3', '1', '0', '74633', '1960', 'PC1', 'N', '1991', '117083', 'S', 'MIN', '', 'LS', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '117083', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '370', '200', '370', '200', '13', '13', 'W', '', 'W', 'N', 'N', 'G', '', 'PC', 'SF', 'SW', 'SW', '1.57', '1.0596', '1', '1.05961', '124062.859375', '124062.859375', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', 'THE BUILDING CONTAINS 4 MEZZANINES WITH AN ELEVATED ROOF ABOVE AT THESE LOCATIONS THE MAJORITY OF THE BUILDING THOUGH IS THE STANDARD ONE-STORY.', '');
INSERT INTO buildings VALUES ('96', '5', '23', 'DEGENKOLB', TO_DATE('05/06/93','MM/DD/YY'), 'SACRAMENTO', 'CA', '5', 'S2', '1', '0', '45430', '1961', 'RM1', 'N', '1990', '190000', 'S', 'MIN', '', 'LS', 'EW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '190000', 'G', 'P', 'P', '', '', '', '3', '', '', '', '', '', 'OT', '', '', '', '', '15', '15', 'W', '', 'W', 'N', 'N', 'G', '', 'RM', 'SF', 'SW', 'SW', '4.18', '1.0788', '1', '1.07883', '204977.796875', '204977.796875', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('97', '7', '22', 'DEGENKOLB', TO_DATE('05/07/93','MM/DD/YY'), '.PA', 'CA', '7', 'S3', '1', '0', '18200', '1958', 'RM1', 'N', '1991', '50000', 'S', 'MIN', '', 'LS', 'WT', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '50000', 'G', 'P', 'P', '', '', '', '1', '', '', '', '', '', 'R', '140', '130', '140', '130', '11', '11', 'W', '', 'W', 'N', 'N', 'G', '', 'RM', 'SF', 'SW', 'SW', '2.75', '1.0596', '1', '1.05961', '52980.734375', '52980.734375', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('99', '7', '24', 'DEGENKOLB', TO_DATE('05/10/93','MM/DD/YY'), 'CONTRACOSTA', 'CA', '7', 'S3', '2', '0', '10300', '1962', 'S1', 'N', '1991', '396000', 'S', 'MIN', '', 'LS', 'BF', 'SF', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '396000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '168', '32', '120', '32', '11.5', '23', 'S', 'S', 'MDF', 'N', 'N', 'G', 'S', '', 'SF', 'MF', 'MF', '38.45', '1.0596', '1', '1.05961', '419607.40625', '419607.40625', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('100', '9', '24', 'DEGENKOLB', TO_DATE('05/10/93','MM/DD/YY'), 'CONTRACOSTA', 'CA', '7', 'S3', '2', '0', '10300', '1962', 'S1', 'N', '1991', '456000', 'S', 'MIN', '', 'DC', 'BF', 'SF', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '456000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '168', '32', '120', '32', '11.5', '23', 'S', 'S', 'MDF', 'N', 'N', 'G', 'S', '', 'SF', 'MF', 'MF', '44.27', '1.0596', '1', '1.05961', '483184.28125', '483184.28125', '0', '0', '0', '0', '0', '0', '0', '0', '7', '1988 UBC', '', '');
INSERT INTO buildings VALUES ('101', '7', '12', 'DEGENKOLB', TO_DATE('05/17/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S2', '8', '1', '96000', '1962', 'C2', 'N', '1989', '1640000', 'S', 'MIN', '', 'LS', 'SW', 'EF', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '1640000', 'F', 'P', 'P', '', '', '', '10', '', '', '', '', '', 'R', '96.5', '110.5', '96.5', '110.5', '11', '90', 'FS', 'FS', 'PT', 'N', 'N', 'G', 'C', 'C', 'P', 'SW', 'SW', '17.08', '1.1067', '1', '1.10668', '1814958.25', '1814958.25', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('102', '9', '11', 'DEGENKOLB', TO_DATE('05/17/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S3', '2', '0', '5400', '1963', 'W2', 'N', '1991', '83000', 'S', 'MIN', '', 'DC', 'SW', 'EW', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '83000', 'G', 'P', 'P', '', '', '', '4', '', '', '', '', '', 'R', '99', '27', '99', '27', '11', '22', 'TT', 'TT', 'W', 'N', 'N', 'G', '', 'W', 'SF', 'SW', 'SW', '15.37', '1.0596', '1', '1.05961', '87948.015625', '87948.015625', '0', '0', '0', '0', '0', '0', '0', '0', '7', '1988 UBC I=1 0 ', '', '');
INSERT INTO buildings VALUES ('103', '7', '11', 'DEGENKOLB', TO_DATE('05/17/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S3', '2', '0', '5400', '1963', 'W2', 'N', '1991', '20000', 'S', 'MIN', '', 'LS', 'SW', 'EW', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '20000', 'G', 'P', 'P', '', '', '', '2', '', '', '', '', '', 'R', '99', '27', '99', '27', '11', '22', 'TT', 'TT', 'W', 'N', 'N', 'G', '', 'W', 'SF', 'SW', 'SW', '3.7', '1.0596', '1', '1.05961', '21192.29296875', '21192.29296875', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('104', '17', '49', 'DEGENKOLB', TO_DATE('05/10/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', 'S2', '4', '1', '95000', '1957', 'C2', 'N', '1990', '9000000', 'AC', 'MIN', '', 'IO', 'SW', 'EW', 'EF', 'SD', '', '', 'N', 'N', 'Y', 'Y', 'V', 'I', 'OK', 'NE', 'NE', '9000000', 'G', 'G', 'G', '', '', '', '15', '', '', '', '', '', 'OT', '354', '111.599998474121', '354', '111.599998474121', '12.5', '41', 'C', 'C', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '94.74', '1.0788', '1', '1.07883', '9709474', '9709474', '0', '0', '0', '0', '0', '0', '0', '0', '10', 'H-08-8 (VA) HOSPITALS ', '', '');
INSERT INTO buildings VALUES ('105', '9', '19', 'DEGENKOLB', TO_DATE('05/10/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S1', '7', '1', '960000', '1960', 'C2', 'N', '1993', '14000000', 'AC', 'ADD', '241000', 'DC', 'SW', '', '', '', '', '', 'Y', 'N', 'Y', 'N', 'TR', 'I', 'I', 'I', 'NE', '8000000', 'G', 'F', 'F', '', '', '', '', '', '', '', '', '', 'R', '804', '150', '804', '150', '9', '54.5', 'FS', 'FS', 'C', 'CW', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '8.33', '1', '1', '1', '14000000', '8000000', '0', '0', '0', '0', '0', '0', '0', '0', '9', '1991 UBC I=1 0 ', '', '');
INSERT INTO buildings VALUES ('106', '1', '9', 'DEGENKOLB', TO_DATE('05/10/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', 'S2', '1', '0', '16000', '1899', 'C2', 'Y', '1990', '8500000', 'AC', 'ADD', '', 'DC', 'BF', 'EW', '', '', '', '', 'Y', 'N', 'Y', 'Y', 'V', 'I', 'I', 'I', 'I', '6000000', 'G', 'G', 'G', '', '', '', '', '', '', '', '', '', 'OT', '192', '158', '192', '158', '', '92', 'TT', '', 'W', 'ST', 'N', 'G', '', 'C', 'SF', 'SW', 'SW', '375', '1.0788', '1', '1.07883', '9170059', '6472983', '0', '0', '0', '0', '0', '0', '0', '0', '10', 'TITLE 24 SC REG SF URM ORD', '', '');
INSERT INTO buildings VALUES ('107', '11', '25', 'DEGENKOLB', TO_DATE('05/07/93','MM/DD/YY'), 'SANJOAQUIN', 'CA', '6', 'S2', '2', '1', '67000', '1931', 'S5', 'Y', '1992', '3683000', 'S', 'MIN', '', 'LS', 'SW', 'EF', 'SD', 'SF', 'PB', 'WT', 'N', 'N', 'Y', 'N', 'TR', 'I', 'I', 'I', 'I', '3483000', 'G', 'P', 'P', '', '', '', '', '', '', '', '50000', '150000', 'R', '191.600006103516', '143', '191.600006103516', '143', '18', '42', 'S', 'S', 'C', 'M', 'N', 'G', 'S', '', 'SF', 'SW', 'SW', '51.99', '1.0286', '1', '1.02858', '3788265.75', '3582549.25', '0', '0', '0', '0', '0', '0', '51429.07421875', '154287.21875', '7', 'GSA HANDBOOK PBS-PQ100 ', '', '');
INSERT INTO buildings VALUES ('108', '1', '10', 'DEGENKOLB', TO_DATE('05/24/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S1', '4', '0', '14948', '1911', 'RM2', 'Y', '1993', '3757000', 'S', 'ADD', '', 'LS', 'SW', 'SD', 'SF', '', '', '', 'N', 'Y', 'Y', 'Y', 'V', 'I', 'I', 'I', 'NE', '1483200', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '102', '36.5', '102', '36.5', '13', '56', 'C', 'C', 'C', 'ST', 'N', 'F', 'C', 'RM', 'SF', 'SW', 'SW', '99.22', '1', '1', '1', '3757000', '1483200', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'SF BLDG CODE FOR (E) BLDGS', '', '');
INSERT INTO buildings VALUES ('109', '8', '23', 'DEGENKOLB', TO_DATE('06/02/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '3', '2', '134000', '1968', 'C1', 'N', '1984', '1610000', 'S', 'MIN', '', 'LS', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'OK', 'NE', 'NE', '1610000', 'G', 'P', 'P', '', '', '', '16', '', '', '', '', '', 'R', '264', '145', '165', '129', '14', '70', 'C', 'C', 'C', 'PC', 'N', 'G', 'C', 'C', 'P', 'MF', 'MF', '12.01', '1.206', '1', '1.20604', '1941725.25', '1941725.25', '0', '0', '0', '0', '0', '0', '0', '0', '6', '1979 UBC', '', '');
INSERT INTO buildings VALUES ('110', '8', '13', 'DEGENKOLB', TO_DATE('06/03/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '1', '0', '83663', '1959', 'C1', 'N', '1981', '170000', 'S', 'MIN', '', 'LS', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'OK', 'NE', 'NE', '170000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '253', '179', '234', '164', '10', '10', 'C', '', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'MF', 'MF', '2.03', '1.3901', '1', '1.39008', '236313.78125', '236313.78125', '0', '0', '0', '0', '0', '0', '0', '0', '6', '1979 UBC', '', '');
INSERT INTO buildings VALUES ('111', '8', '13', 'DEGENKOLB', TO_DATE('06/03/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '1', '1', '256020', '1960', 'C1', 'N', '1981', '460000', 'S', 'MIN', '', 'LS', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'OK', 'NE', 'NE', '460000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '340', '251', '340', '251', '10', '20', 'PT', '', 'C', 'N', 'N', 'G', 'C', '', 'P', 'SW', 'MF', '1.8', '1.3901', '1', '1.39008', '639437.3125', '639437.3125', '0', '0', '0', '0', '0', '0', '0', '0', '6', '1979 UBC', 'STRUCTURE SEPARATED BY EXPANSION JOINT SUCH THAT EACH HALF HAS ITS OWN LATERAL FORCE RESISTING SYSTEMEAST = EASTERLY HALF, WEST = WESTERLY HALF.', '');
INSERT INTO buildings VALUES ('112', '8', '14', 'DEGENKOLB', TO_DATE('06/03/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '1', '1', '35000', '1961', 'C1', 'N', '1981', '225000', 'S', 'MIN', '', 'LS', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'OK', 'I', 'NE', '200000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '175', '100', '175', '100', '20', '41', 'S', '', 'C', 'PC', 'N', 'G', 'C', '', 'P', 'MF', 'MF', '5.71', '1.3901', '1', '1.39008', '312768.25', '278016.21875', '0', '0', '0', '0', '0', '0', '0', '0', '6', '1979 UBC', '', '');
INSERT INTO buildings VALUES ('113', '9', '19', 'DEGENKOLB', TO_DATE('06/02/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '6', '2', '57228', '1928', 'C2', 'Y', '1985', '6250000', 'S', 'COM', '', 'DC', 'SW', 'SF', '', '', '', '', 'N', 'Y', 'Y', 'N', 'V', 'NE', 'I', 'NE', 'I', '622706', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '625000', 'C', '213', '173', '213', '173', '10', '90', 'W', 'C', 'C', 'M', 'Y', 'F', 'C', 'C', 'SF', 'SW', 'SW', '10.88', '1.2006', '1', '1.20058', '7503604', '747606.3125', '0', '0', '0', '0', '0', '0', '0', '750360.4375', '6', 'TITLE 24 - SCHOOLS', '', '1977:SEISMICALLY UPGRADED TO BE IN COMPLIANCE WITH THE PROVISIONS OF 1976 UBCTHIS INCLUDED THE ADDITION OF CONCRETE SHEAR WALLSNO COST DATA IS AVAILABLE NOTE: ONLY SEISMIC WORK COMPLETED FOR THIS PROJECT WAS THE REPLACEMENT OF T');
INSERT INTO buildings VALUES ('114', '1', '4', 'DEGENKOLB', TO_DATE('06/02/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '3', '1', '29000', '1873', 'URM', 'Y', '1982', '2331000', 'S', 'MIN', '', 'LS', 'EW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'OK', 'NE', '2331000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '699300', 'R', '148', '56', '148', '56', '17', '68.5', 'W', 'W', 'W', 'N', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '80.38', '1.3048', '1', '1.30483', '3041569', '3041569', '0', '0', '0', '0', '0', '0', '0', '912470.6875', '6', '1973 UBC', 'INCLUDED IN THE FEDERAL REGISTRY OF HISTORIC BUILDINGS', 'ROOF TILES WERE ALSO REPLACED FOR LIFE-SAFETY');
INSERT INTO buildings VALUES ('115', '10', '12', 'DEGENKOLB', TO_DATE('06/07/93','MM/DD/YY'), 'SANMATEO', 'CA', '7', '', '2', '0', '65000', '1976', 'PC1', 'N', '1991', '130000', 'S', 'MIN', '', 'LS', 'SD', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'OK', 'NE', 'NE', '130000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'O', '204', '184', '204', '184', '13.5', '27', 'W', 'W', 'W', 'PC', 'N', 'G', 'S', 'PC', 'SF', 'SW', 'SW', '2', '1.0596', '1', '1.05961', '137749.90625', '137749.90625', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '47'' x 87'' INTERIOR ATRIUM.', '');
INSERT INTO buildings VALUES ('116', '7', '14', 'DEGENKOLB', TO_DATE('05/26/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '1', '0', '14000', '1927', 'C2', 'N', '1992', '472768', 'S', 'MIN', '', 'LS', 'SW', 'SD', 'SF', 'WT', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'NE', 'NE', '472768', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '146', '91', '146', '91', '60', '60', 'C', '', 'C', 'N', 'N', 'G', 'C', 'C', 'SF', 'SW', 'SW', '33.77', '1.0286', '1', '1.02858', '486280.40625', '486280.40625', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('117', '7', '23', 'DEGENKOLB', TO_DATE('05/26/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '2', '1', '28400', '1947', 'C2', 'N', '1992', '95774', 'S', 'MIN', '', 'LS', 'SW', 'EW', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '95774', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'L', '200', '100', '200', '100', '12', '32', 'C', 'C', 'C', 'N', 'N', 'G', 'C', 'C', 'SF', 'SW', 'SW', '3.37', '1.0286', '1', '1.02858', '98511.3671875', '98511.3671875', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('118', '9', '23', 'DEGENKOLB', TO_DATE('05/26/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '2', '1', '28400', '1947', 'C2', 'N', '1992', '161025', 'S', 'MIN', '', 'DC', 'SW', 'EW', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '161025', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'L', '200', '100', '200', '100', '12', '36', 'C', 'C', 'C', 'N', 'N', 'G', 'C', 'C', 'SF', 'SW', 'SW', '5.67', '1.0286', '1', '1.02858', '165627.34375', '165627.34375', '0', '0', '0', '0', '0', '0', '0', '0', '7', '1991 UBC I=1 0', '', '');
INSERT INTO buildings VALUES ('119', '7', '11', 'DEGENKOLB', TO_DATE('05/26/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '1', '0', '4600', '1947', 'W2', 'N', '1992', '8280', 'S', 'MIN', '', 'LS', 'EW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '8280', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '90', '55', '90', '55', '24', '30', 'W', '', 'W', 'N', 'N', 'G', 'W', 'W', 'SF', 'SW', 'SW', '1.8', '1.0286', '1', '1.02858', '8516.6552734375', '8516.6552734375', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('120', '9', '37', 'DEGENKOLB', TO_DATE('05/26/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '1', '0', '8800', '1963', 'RM1', 'N', '1992', '8800', 'S', 'MIN', '', 'DC', 'EW', 'EF', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'NE', 'NE', '8800', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '110', '80', '110', '80', '25', '30', 'W', '', 'W', 'N', 'N', 'G', '', 'RM', 'SF', 'SW', 'SW', '1', '1.0286', '1', '1.02858', '9051.517578125', '9051.517578125', '0', '0', '0', '0', '0', '0', '0', '0', '7', '1991 UBC I=1 0', '', '');
INSERT INTO buildings VALUES ('122', '8', '14', 'DEGENKOLB', TO_DATE('06/03/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '2', '0', '24700', '1924', 'C1', 'N', '1989', '477000', 'S', 'MIN', '', 'LS', 'SW', 'EF', 'SD', 'PB', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '466000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '286000', 'R', '205', '135', '205', '135', '16', '35', 'TT', 'FS', 'C', 'M', 'Y', 'F', 'C', '', 'SF', 'MF', 'MF', '18.87', '1.1067', '1', '1.10668', '527887.25', '515713.71875', '0', '0', '0', '0', '0', '0', '0', '316511', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('123', '1', '6', 'DEGENKOLB', TO_DATE('06/03/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '1', '0', '17300', '1913', 'W2', 'N', '1989', '63000', 'S', 'MIN', '', 'LS', 'SW', 'EW', 'EF', 'SD', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '63000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '160', '120', '160', '120', '15', '15', 'W', '', 'W', 'W', 'N', 'G', 'W', 'W', 'M', 'SW', 'SW', '3.64', '1.1067', '1', '1.10668', '69720.953125', '69720.953125', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('125', '9', '12', 'DEGENKOLB', TO_DATE('06/07/93','MM/DD/YY'), 'CONTRACOSTA', 'CA', '7', '', '1', '1', '13537', '1962', 'W2', 'N', '1991', '54673', 'S', 'MIN', '', 'DC', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '54673', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '189', '113', '189', '113', '12', '22', 'W', '', 'W', 'N', 'N', 'G', '', 'W', 'SF', 'SW', 'SW', '4.04', '1.0596', '1', '1.05961', '57932.3125', '57932.3125', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'UBC 1988', '', '1978: EXTENSION ADDED');
INSERT INTO buildings VALUES ('126', '7', '12', 'DEGENKOLB', TO_DATE('06/07/93','MM/DD/YY'), 'CONTRACOSTA', 'CA', '7', '', '1', '1', '13537', '1962', 'W2', 'N', '1991', '13990', 'S', 'MIN', '', 'LS', 'SW', 'EW', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'OK', 'NE', 'NE', '13990', 'G', 'P', 'P', '', '', '', '1', '', '', '', '', '', 'OT', '189', '113', '189', '113', '12', '22', 'W', '', 'W', 'N', 'N', 'G', '', 'W', 'SF', 'SW', 'SW', '1.03', '1.0596', '1', '1.05961', '14824.008789063', '14824.008789063', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '1978: EXTENSION ADDED');
INSERT INTO buildings VALUES ('127', '7', '37', 'DEGENKOLB', TO_DATE('06/07/93','MM/DD/YY'), 'SANMATEO', 'CA', '7', '', '1', '0', '14200', '1964', 'RM1', 'N', '1991', '7500', 'S', 'MIN', '', 'LS', 'SD', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'NE', 'NE', '7500', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '150', '95', '150', '95', '14', '14', 'S', '', 'W', 'M', 'N', 'G', 'S', 'RM', 'SF', 'SW', 'SW', '0.53', '1.0596', '1', '1.05961', '7947.1098632813', '7947.1098632813', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '1982: T I & SEISMIC STRENGTHENING, WHICH CONSISTED OF WALL ANCHORS, SOLIC BLOCKING FOR STABILITY');
INSERT INTO buildings VALUES ('128', '1', '7', 'DEGENKOLB', TO_DATE('06/03/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', '', '18', '0', '356400', '1895', 'C2', 'Y', '1990', '2232000', 'S', 'MIN', '', 'LS', 'SW', 'WT', '', '', '', '', 'N', 'N', 'N', 'Y', 'V', 'I', 'OK', 'I', 'NE', '531000', 'G', 'P', 'P', '', '', '', '', '1674000', '', '', '', '', 'R', '660', '180', '660', '180', '16', '180', 'S', 'S', 'C', 'M', 'N', 'F', '', 'C', 'P', 'SW', 'SW', '1.49', '1.0788', '1', '1.07883', '2407949.75', '572859', '0', '0', '0', '1805962.25', '0', '0', '0', '0', '7', '', 'BUILDING CONSISTS OF A NORTH & SOUTH WINGS WITH DIFF LATERAL FORCE RES SYSTHERE IS 30''x30''x180'' TOWER RISING ABOVE 3-STORY 660x180 BASE.', '1950S: SHEAR WALLS ADDED TO THE NORTH END OF THE BUILDING 1960S: LIMITED NUMBER OF SHEAR WALLS ADDED TO SOUTH END.');
INSERT INTO buildings VALUES ('129', '9', '23', 'DEGENKOLB', TO_DATE('06/03/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', '', '6', '0', '85000', '1968', 'C2', 'N', '1992', '1796000', 'S', 'MIN', '', 'DC', 'SW', 'EW', 'EF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '1796000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '220', '67', '220', '67', '12', '72', 'FS', 'FS', 'C', 'PC', 'N', 'G', 'C', 'C', 'P', 'SW', 'SW', '21.13', '1.0286', '1', '1.02858', '1847332.375', '1847332.375', '0', '0', '0', '0', '0', '0', '0', '0', '7', '1991 UBC', 'SUB-BASEMENT LOCATED BELOW ELEVATOR SHAFTS2 PENTHOUSES', '');
INSERT INTO buildings VALUES ('130', '7', '23', 'DEGENKOLB', TO_DATE('06/07/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', '', '2', '1', '13936', '1926', 'W1', 'N', '1992', '20000', 'S', 'MIN', '', 'LS', 'EW', 'SF', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'OK', 'NE', 'NE', '20000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '104', '67', '104', '67', '12', '33', 'W', 'W', 'W', 'S', 'N', 'G', 'W', 'W', 'SF', 'SW', 'SW', '1.44', '1.0286', '1', '1.02858', '20571.630859375', '20571.630859375', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', 'NO ANCHOR BOLTS AT WALL/FOUNDATION JOINT WOOD POSTS ARE NOT ANCHORED TO THE FOUNDATION', '1987: ONLY DRAWING AVAILABLE WERE DEVELOPED FOR REMODEL');
INSERT INTO buildings VALUES ('131', '9', '12', 'DEGENKOLB', TO_DATE('06/07/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '1', '0', '93552', '1966', 'PC1', 'N', '1991', '408600', 'S', 'MIN', '', 'DC', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'NE', 'NE', '408600', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '436', '252', '463', '252', '27', '27', 'W', '', 'W', 'M', 'N', 'G', 'W', 'PC', 'SF', 'SW', 'SW', '4.37', '1.0596', '1', '1.05961', '432958.5625', '432958.5625', '0', '0', '0', '0', '0', '0', '0', '0', '7', '1988 UBC', '', '');
INSERT INTO buildings VALUES ('132', '7', '12', 'DEGENKOLB', TO_DATE('06/07/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '1', '0', '93552', '1966', 'PC1', 'N', '1991', '358000', 'S', 'MIN', '', 'LS', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'NE', 'NE', '358000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '436', '252', '436', '252', '27', '27', 'W', '', 'W', 'M', 'N', 'G', 'W', 'PC', 'SF', 'SW', 'SW', '3.83', '1.0596', '1', '1.05961', '379342.0625', '379342.0625', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('133', '8', '16', 'DEGENKOLB', TO_DATE('06/03/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', '', '8', '1', '192780', '1920', 'C1', 'N', '1990', '4211000', 'S', 'MIN', '', 'LS', 'SW', 'EW', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'OK', 'I', 'NE', '3006000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '160', '142', '160', '142', '11', '109', 'C', 'C', 'C', 'PC', 'N', 'F', 'C', 'C', 'SF', 'MF', 'MF', '15.59', '1.0788', '1', '1.07883', '4542955', '3242964.5', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', 'ELEVATOR CORE IS MADE OF AN UNREINFORCED, HOLLOW CLAY TILE MATERIALAS PART OF PROPOSED STRENGTHSCHEME, THESE WALLS ARE TO BE DEMOLISHED & REPLACED', '');
INSERT INTO buildings VALUES ('134', '17', '50', 'DEGENKOLB', TO_DATE('06/08/93','MM/DD/YY'), 'CONTRACOSTA', 'CA', '7', '', '2', '0', '69300', '1977', 'PC1', 'N', '1992', '809000', 'S', 'MIN', '', 'IO', 'BF', 'EW', 'SD', 'WT', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'OK', 'NE', 'NE', '809000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '224', '200', '224', '200', '13', '27', 'W', 'PT', 'PT', 'N', 'N', 'G', 'C', 'PC', 'SF', 'SW', 'SW', '11.67', '1.0286', '1', '1.02858', '832122.4375', '832122.4375', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'TITLE 24 - HOSPITALS', '', '1990: BROUGHT INTO COMPLIANCE WITH 1985 UBCSTEEL BRACED FRAME WERE ADDEDB UT NO COST INFORMATION IS AVAILABLE.');
INSERT INTO buildings VALUES ('135', '7', '20', 'DEGENKOLB', TO_DATE('06/08/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '12', '1', '100000', '1924', 'C2', 'N', '1986', '5343000', 'S', 'COM', '5400', 'LS', 'SW', '', '', '', '', '', 'N', 'N', 'Y', 'Y', 'V', 'I', 'OK', 'NE', 'I', '2709000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '112', '93', '112', '932', '11', '133', 'C', 'C', 'C', 'M', 'N', 'F', 'C', 'C', 'SF', 'SW', 'SW', '27.09', '1.174', '1', '1.17398', '6272591.5', '3180320.25', '0', '0', '0', '0', '0', '0', '0', '0', '6', '1985 UBC', '', '1945: STEEL FRAMED PENTHOUSE ADDED.');
INSERT INTO buildings VALUES ('136', '17', '44', 'DEGENKOLB', TO_DATE('06/08/93','MM/DD/YY'), 'SANMATEO', 'CA', '7', 'S2', '8', '1', '150000', '1966', 'C2', 'N', '1989', '6399000', 'S', 'MIN', '', 'IO', 'SW', 'EF', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'I', 'NE', '5853000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '200', '176', '200', '176', '12', '100', 'FS', 'FS', 'PT', 'CW', 'N', 'G', 'C', 'C', 'P', 'SW', 'SW', '39.02', '1.1067', '1', '1.10668', '7081657', '6477408.5', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'TITLE 24 - HOSPITALS', '2 EXTERIOR STAIR TOWERS.', 'RETROFIT SCHEME IS FOR EXTER L BUTTRESSES IN LIEU OF INTER L SHEAR WALLS THE BUTTRESSES ALLOW FOR CONTINUOUS OCCUPANCY OF THE BUILDING.');
INSERT INTO buildings VALUES ('137', '7', '23', 'DEGENKOLB', TO_DATE('06/08/93','MM/DD/YY'), 'SANMATEO', 'CA', '7', 'S2', '8', '1', '150000', '1966', 'C2', 'N', '1989', '2610000', 'S', 'MIN', '', 'LS', 'SW', 'EF', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'I', 'NE', '2145000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '200', '176', '200', '176', '12', '100', 'FS', 'FS', 'PT', 'CW', 'N', 'G', 'C', 'C', 'P', 'SW', 'SW', '14.3', '1.1067', '1', '1.10668', '2888439.5', '2373832.5', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '2 EXTERIOR STAIR TOWERS.', '');
INSERT INTO buildings VALUES ('138', '16', '51', 'DEGENKOLB', TO_DATE('06/08/93','MM/DD/YY'), 'SACRAMENTO', 'CA', '5', 'S2', '5', '1', '247000', '1968', 'S1', 'N', '1991', '3834000', 'S', 'MIN', '', 'IO', 'BF', 'EF', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'NE', 'NE', '3834000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '399', '255', '399', '255', '14', '81', 'S', 'S', 'C', 'PC', 'N', 'G', 'S', '', 'SF', 'MF', 'MF', '15.52', '1.0596', '1', '1.05961', '4062562.5', '4062562.5', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'TITLE 24 - HOSPITALS', 'NORTH WING:.3-STORY TOWER (204x65) OVER A 2-STORY BASETWO EXTERIOR STAIR SHAFTSSOUTH WING: L-SHAPED, 2-STORY BLDG OF SIMILAR CONSTRUCTION, 'ALSO INCLUDED IN THE COST IS THE ISOLATION OF THE EXTERIOR CLADDING');
INSERT INTO buildings VALUES ('139', '5', '22', 'DEGENKOLB', TO_DATE('06/08/93','MM/DD/YY'), 'SACRAMENTO', 'CA', '5', 'S2', '5', '1', '247000', '1968', 'S1', 'N', '1991', '967000', 'S', 'MIN', '', 'LS', 'EF', '', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'NE', 'NE', '967000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '399', '255', '399', '255', '14', '81', 'S', 'S', 'C', 'PC', 'N', 'G', 'S', '', 'SF', 'MF', 'MF', '3.91', '1.0596', '1', '1.05961', '1024647.375', '1024647.375', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', 'NORTH WING:.3-STORY TOWER (204x65) OVER 2-STORY BASE (VERTICAL IRREGULARITY)2 EXTERIOR STAIR SHAFTSSOUTH WING: L-SHAPED,.2-STORY BLDG OF SIM CONST', 'MOST OF THE WORK PROPOSED FOR LIFE SAFETY IS INTENDED TO PREVENT FALLING HAZARDSWORK INCLUDES: ISOLATE EXTERIOR PRE-CASE PANELS');
INSERT INTO buildings VALUES ('140', '8', '12', 'DEGENKOLB', TO_DATE('06/08/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', 'S3', '1', '0', '122500', '1967', 'C1', 'N', '1990', '487730', 'S', 'MIN', '', 'LS', 'BF', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '487730', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '366', '349', '366', '349', '23', '23', 'W', '', 'W', 'N', 'N', 'G', 'C', 'RM', 'P', 'MF', 'MF', '3.98', '1.0788', '1', '1.07883', '526178', '526178', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('141', '9', '12', 'DEGENKOLB', TO_DATE('06/08/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', 'S3', '1', '0', '122500', '1967', 'C1', 'N', '1990', '749015', 'S', 'MIN', '', 'DC', 'BF', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '749015', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '366', '349', '366', '349', '23', '23', 'W', '', 'W', 'N', 'N', 'G', 'C', 'RM', 'P', 'MF', 'MF', '6.11', '1.0788', '1', '1.07883', '808060.1875', '808060.1875', '0', '0', '0', '0', '0', '0', '0', '0', '7', '', '', '');
INSERT INTO buildings VALUES ('142', '7', '12', 'DEGENKOLB', TO_DATE('06/08/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', 'S3', '1', '0', '68750', '1966', 'PC1', 'N', '1991', '213200', 'S', 'MIN', '', 'LS', 'EF', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '213200', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '275', '240', '275', '240', '17', '17', 'W', '', 'W', 'N', 'N', 'G', 'C', 'PC', 'SF', 'SW', 'SW', '3.1', '1.0596', '1', '1.05961', '225909.84375', '225909.84375', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('143', '10', '12', 'DEGENKOLB', TO_DATE('06/08/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', 'S3', '1', '0', '56350', '1972', 'PC1', 'N', '1991', '121700', 'S', 'MIN', '', 'LS', 'SD', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '121700', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '300', '191', '300', '191', '18', '18', 'W', '', 'W', 'N', 'N', 'G', 'C', 'PC', 'SF', 'SW', 'SW', '2.16', '1.0596', '1', '1.05961', '128955.1015625', '128955.1015625', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('144', '7', '12', 'DEGENKOLB', TO_DATE('06/08/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', 'S3', '1', '0', '68750', '1965', 'PC1', 'N', '1991', '160600', 'S', 'MIN', '', 'LS', 'SD', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '160600', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '275', '240', '275', '240', '17', '17', 'W', '', 'W', 'N', 'N', 'G', 'C', 'PC', 'SF', 'SW', 'SW', '2.34', '1.0596', '1', '1.05961', '170174.109375', '170174.109375', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('145', '7', '12', 'DEGENKOLB', TO_DATE('06/08/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', 'S3', '1', '0', '12000', '', 'S3', 'N', '1990', '36603', 'S', 'MIN', '', 'LS', 'EW', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '36603', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '188', '64', '188', '64', '15', '15', 'S', '', 'MD', 'M', 'N', 'G', 'S', '', 'SF', 'MF', 'MF', '3.05', '1.0788', '1', '1.07883', '39488.43359375', '39488.43359375', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('146', '7', '12', 'DEGENKOLB', TO_DATE('06/08/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', 'S3', '1', '0', '16200', '', 'S3', 'N', '1990', '10067', 'S', 'MIN', '', 'LS', 'EW', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '10067', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '199', '81.3000030517578', '199', '81.3000030517578', '13.5', '13.5', 'S', '', 'MD', 'M', 'N', 'G', 'S', '', 'SF', 'MF', 'MF', '0.62', '1.0788', '1', '1.07883', '10860.586914063', '10860.586914063', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('147', '9', '23', 'DEGENKOLB', TO_DATE('05/10/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', 'S2', '5', '0', '400000', '1928', 'C2', 'N', '1987', '53000000', 'AC', 'COM', '', 'DC', 'SW', '', '', '', '', '', 'Y', 'Y', 'Y', 'Y', 'V', 'I', 'I', 'I', 'I', '4000000', 'G', 'F', 'F', '', '', '', '30', '', '', '', '', '', 'R', '468', '240', '468', '240', '14', '76.5', 'C', 'C', 'C', 'N', 'N', 'F', 'C', 'C', 'SF', 'SW', 'SW', '10', '1.1472', '1', '1.14719', '60800868', '4588744.5', '0', '0', '0', '0', '0', '0', '0', '0', '9', 'TITLE 24', '', '');
INSERT INTO buildings VALUES ('148', '8', '19', 'DEGENKOLB', TO_DATE('05/07/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S1', '7', '1', '300000', '1959', 'C1', 'N', '1992', '7000000', 'AC', 'ADD', '94000', 'LS', 'SW', 'BF', '', '', '', '', 'N', 'Y', 'Y', 'N', 'TR', 'I', 'I', 'I', 'I', '4000000', 'F', 'F', 'F', '', '', '', '11', '', '', '', '', '', 'R', '275', '135', '275', '135', '9.5', '82', 'C', 'C', 'C', 'CW', 'N', 'G', 'C', 'C', 'SF', 'MF', 'SW', '13.33', '1.0286', '1', '1.02858', '7200070.5', '4114326', '0', '0', '0', '0', '0', '0', '0', '0', '9', 'SF 104f ', '', '');
INSERT INTO buildings VALUES ('149', '10', '16', 'DEGENKOLB', TO_DATE('06/01/93','MM/DD/YY'), 'ORANGE', 'CA', '7', 'S2', '9', '1', '349400', '1972', 'C1', 'N', '1993', '4303000', 'S', 'MIN', '', 'LS', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'OK', 'I', 'NE', '3756000', 'G', 'P', 'P', '', '', '', '14', '', '', '', '', '547000', 'R', '338', '265', '192', '117', '14', '144', 'C', 'C', 'C', 'PC', 'N', 'G', 'C', 'C', 'P', 'MF', 'MF', '10.75', '1', '1', '1', '4303000', '3756000', '0', '0', '0', '0', '0', '0', '0', '547000', '7', 'GSA HANDBOOK - CHAPTER 12 ', 'LIGHTWEIGHT CONCRETE USED ABOVE FIRST FLOOR.', '');
INSERT INTO buildings VALUES ('150', '17', '51', 'DEGENKOLB', TO_DATE('06/07/93','MM/DD/YY'), 'CONTRACOSTA', 'CA', '7', 'S1', '7', '0', '129000', '1970', 'S1', 'N', '1992', '3726000', 'S', 'MIN', '', 'IO', 'SW', 'BF', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'I', 'NE', '2820000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '255', '194', '255', '87', '12.5', '94.5', 'S', 'S', 'C', 'PC', 'N', 'G', 'S', 'C', 'SF', 'MF', 'SW', '21.86', '1.0286', '1', '1.02858', '3832494.75', '2900599.75', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'TITLE 24 - HOSPITALS', 'ABOVE THE 3RD STORYB LDG CONSISTS OF 2 TOWERSNORTH TOWER IS 1-STORY &.255x88SOUTH TOWER 5 STORIES AND 255x87 VERTICALLY IRREGULAR.', '');
INSERT INTO buildings VALUES ('152', '10', '38', 'DEGENKOLB', TO_DATE('05/13/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', 'S2', '21', '1', '455000', '1971', 'S1', 'N', '1991', '1349000', 'S', 'ADD', '', 'DC', 'IS', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'I', 'NE', '1304000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '45000', 'R', '135', '132', '135', '132', '13', '273', 'S', 'S', 'MDF', 'PC', 'N', 'G', 'S', '', 'P', 'MF', 'MF', '2.87', '1.0596', '1', '1.05961', '1429420.125', '1381737.5', '0', '0', '0', '0', '0', '0', '0', '47682.66015625', '7', '1988 UBC', 'STRUCTURE COMPOSED OF 2 BUILDINGS.', '');
INSERT INTO buildings VALUES ('153', '1', '4', 'DEGENKOLB', TO_DATE('06/01/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', 'S2', '2', '1', '40500', '1875', 'URM', 'Y', '1990', '1607000', 'S', 'MIN', '', 'LS', 'SW', 'EW', 'SF', 'WT', 'BF', '', 'N', 'N', 'N', 'Y', 'V', 'I', 'I', 'I', 'NE', '1272000', 'G', 'P', 'P', '', '', '', '', '257000', '', '', '', '78000', 'R', '114', '82', '114', '82', '17', '46', 'W', 'S', 'SN', 'N', 'Y', 'P', 'S', 'URM', 'SF', 'SW', 'SW', '31.41', '1.0788', '1', '1.07883', '1733680.625', '1372272.375', '0', '0', '0', '277259.4375', '0', '0', '0', '84148.78125', '7', 'ATC-14', 'MANY SMALL RE-ENTRANT CORNERS20''x20'' CLOCK TOWER', '');
INSERT INTO buildings VALUES ('154', '9', '23', 'PVUYOVICH', TO_DATE('05/26/93','MM/DD/YY'), 'PLACER', 'CA', '5', 'S2', '1', '0', '10080', '1962', 'W2', 'N', '1993', '650000', 'S', 'ADD', '', 'DC', 'SW', '', '', '', '', '', 'N', 'N', 'Y', 'N', 'V', 'I', 'OK', 'OK', 'OK', '30000', 'G', 'P', 'P', '', '', '', '', '', '', '', '617500', '', 'R', '105', '96', '105', '96', '12', '12', 'W', '', 'W', '', 'N', 'G', 'W', 'W', 'SF', 'SW', 'SW', '2.98', '1', '1', '1', '650000', '30000', '0', '0', '0', '0', '0', '0', '617500', '0', '7', '1991 UBC', '', 'ADDED NEW PLYWOOD TO EXISTING WALLS AND ADDED HOLDDOWNS AND SILLBOLTS');
INSERT INTO buildings VALUES ('155', '16', '56', 'PVUYOVICH', TO_DATE('05/26/93','MM/DD/YY'), 'SACRAMENTO', 'CA', '5', 'S2', '1', '0', '33000', '1968', 'W2', 'N', '1993', '2480000', 'S', 'COM', '2200', 'IO', 'SW', 'EW', 'SD', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'OK', 'OK', 'OK', '180000', 'G', 'F', 'F', '', '', '', '12', '', '', '', '2281600', '', 'R', '226', '146', '226', '146', '12', '12', 'W', '', 'W', 'M', '', '', 'W', 'W', 'SF', 'SW', 'SW', '5.45', '1', '1', '1', '2480000', '180000', '0', '0', '0', '0', '0', '0', '2281600', '0', '8', '1991 CBC TITLE 24 ', '', 'ADDED NEW PLYWOOD TO EXISTING EXTERIOR WALLS AND ADDED NEW TRANSVERSE AND LONGITUDI L PLYWOOD SHEAR WALLS WITH NEW HOLDDOWNS AND FOOTINGS.');
INSERT INTO buildings VALUES ('156', '9', '23', 'PVUYOVICH', TO_DATE('05/25/93','MM/DD/YY'), 'SISKIYOU', 'CA', '3', 'S2', '1', '0', '14600', '1950', 'W2', 'N', '1992', '273000', 'AC', 'ADD', '', 'DC', 'SW', 'SD', 'SF', '', '', '', 'N', 'N', 'Y', 'N', 'V', 'I', 'OK', 'OK', 'OK', '58000', 'G', 'G', 'P', '', '', '', '', '', '', '', '212940', '', 'R', '192', '76', '192', '76', '11.5', '11.5', 'W', '', 'W', 'M', 'N', 'G', 'W', 'W', 'SF', 'SW', 'SW', '3.97', '1.0286', '1', '1.02858', '280802.75', '59657.7265625', '0', '0', '0', '0', '0', '0', '219026.140625', '0', '8', 'CBC 1991 (TITLE 24) ', '', 'ADDED NEW INTERIOR TRANSVERSE SHEAR WALLS ADDED NEW SILL BOLTS AND FOUNDATIONS AT NEW SHEAR WALLS ADDED NEW COLLECTION AND CHORD TIES');
INSERT INTO buildings VALUES ('157', '9', '23', 'PVUYOVICH', TO_DATE('05/25/93','MM/DD/YY'), 'STANISLAUS', 'CA', '7', 'S2', '1', '0', '7040', '1958', 'W2', 'N', '1992', '180000', 'AC', 'COM', '', 'DC', 'SW', 'SD', '', '', '', '', 'N', 'N', 'Y', 'N', 'V', 'I', 'OK', 'OK', 'OK', '45000', 'G', 'G', 'G', '', '', '', '8', '', '', '', '135000', '', 'R', '88', '80', '88', '80', '14', '14', 'W', '', 'W', 'S', '', 'G', 'S', 'W', 'SF', 'SW', 'SW', '6.39', '1.0286', '1', '1.02858', '185144.671875', '46286.16796875', '0', '0', '0', '0', '0', '0', '138858.5', '0', '10', 'CBC 1991 (TITLE 24) ', '', 'ADDED NEW INTERIOR PLYWOOD SHEAR WALLS ADDED NEW SILL BOLTS AND HOLDDOWN ANCHORS ADDED NEW COLLECTION AND CHORD TIES AT EXISTING ROOF DIAPHRAGM');
INSERT INTO buildings VALUES ('158', '12', '32', 'PVUYOVICH', TO_DATE('05/26/93','MM/DD/YY'), 'SOLANO', 'CA', '7', 'S2', '3', '0', '35000', '1955', 'C3', 'N', '1989', '2930000', 'AC', 'COM', '6000', 'DC', 'SW', 'SF', '', '', '', '', 'Y', 'N', 'Y', 'N', 'V', 'I', 'OK', 'OK', 'OK', '160000', 'G', 'G', 'F', '', '', '', '20', '', '87900', '', '2666300', '', 'R', '220', '53', '220', '53', '10', '30', 'C', 'C', 'C', 'M', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '4.57', '1.1067', '1', '1.10668', '3242577.75', '177069.09375', '0', '0', '0', '0', '97277.3359375', '0', '2950745.75', '0', '9', '1985 UBC', '', 'ADDED NEW 6 INCH THICK CONCRETE SHEAR WALLS IN LONGITUDI L AND TRANSVERSE DIRECTION ADDED NEW FOUNDATIONS UNDER NEW SHEAR WALLS.');
INSERT INTO buildings VALUES ('159', '12', '34', 'PVUYOVICH', TO_DATE('05/26/93','MM/DD/YY'), 'SACRAMENTO', 'CA', '5', 'S3', '2', '1', '118000', '1925', 'C3', 'Y', '1991', '24500000', 'S', 'COM', '', 'DC', 'SW', 'BF', 'MF', 'SF', '', '', 'Y', 'Y', 'Y', 'Y', 'V', 'I', 'I', 'I', 'I', '3000000', 'G', 'G', 'F', '', '', '', '18', '245000', '245000', '980000', '17150000', '735000', 'O', '236', '168', '236', '168', '20', '54', 'S', 'S', 'C', 'N', 'N', 'G', 'C', '', 'P', 'SW', 'SW', '25.42', '1.0596', '1', '1.05961', '25960560', '3178844', '0', '0', '0', '259605.59375', '259605.59375', '1038422.375', '18172392', '778816.75', '8', '1988 UBC', '', 'NEW STEEL MOMENT FRAMESB RACED FRAMES AND GUNITE SHEAR WALLLS WITH ADDITIO L CONCRETE DRIVEN PILES TO STRENGTHEN EXISTING CONCRETE FRAME AUDITORIUM');
INSERT INTO buildings VALUES ('160', '5', '40', 'PVUJOVICH', TO_DATE('05/25/93','MM/DD/YY'), 'SACRAMENTO', 'CA', '5', 'S2', '2', '0', '178500', '1965', 'RM2', 'N', '1992', '3000000', 'S', 'ADD', '', 'LS', 'SW', 'SF', '', '', '', '', 'N', 'N', 'Y', 'N', 'IP', 'I', 'OK', 'OK', 'OK', '175000', 'G', 'P', 'P', '', '', '', '9', '', '', '', '2820000', '', 'R', '333', '268', '333', '268', '19', '38', 'FS', 'FS', 'C', 'PC', 'N', 'G', 'C', 'RM', 'SF', 'SW', 'SW', '0.98', '1.0286', '1', '1.02858', '3085744.5', '180001.765625', '0', '0', '0', '0', '0', '0', '2900599.75', '0', '7', '1988 UBC', '', 'ADDED NEW CONCRETE SHEAR WALLS AND FOUNDATIONS IN TRANSVERSE DIRECTION.');
INSERT INTO buildings VALUES ('161', '1', '5', 'JOHNHOOVER', TO_DATE('05/27/93','MM/DD/YY'), 'KING', 'WA', '5', 'S2', '4', '1', '35000', '1901', 'URM', 'N', '1992', '550000', 'S', 'MIN', '', 'LS', 'BF', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'OK', 'OK', '325000', 'F', 'F', 'F', '', '', '', '', '', '', '', '', '', 'OT', '', '', '', '', '15', '60', 'W', 'W', 'W', 'N', 'N', 'F', 'W', 'URM', 'SF', 'SW', 'SW', '9.29', '1.0286', '1.10228', '1.13379', '623583.875', '368481.375', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-22', '', '');
INSERT INTO buildings VALUES ('162', '5', '22', 'TODDPERBIX', TO_DATE('05/21/93','MM/DD/YY'), 'KING', 'WA', '5', 'S2', '4', '1', '160000', '1937', 'C2', 'N', '1992', '10600000', 'S', 'ADD', '', 'LS', 'SD', '', '', '', '', '', 'Y', 'Y', 'Y', 'N', 'TR', 'I', 'OK', 'I', 'OK', '200000', 'G', 'F', 'F', '', '1200000', '265000', '', '0', '470000', '0', '3275000', '', 'OT', '234', '184', '234', '184', '15', '59', 'S', 'C', 'C', 'M', 'N', 'G', 'C', 'C', 'SF', 'SW', 'SW', '1.25', '1.0286', '1.10228', '1.13379', '12018162', '226757.78125', '0', '1360546.625', '300454.0625', '0', '532880.75', '0', '3713158.5', '0', '8', 'ATC-22', 'VERY LITTLE REMEDIATION REQUIRED', 'COMPLETE INTEGRATION OF CONCRETE DIAPHRAGMS');
INSERT INTO buildings VALUES ('163', '1', '2', 'TODDPERBIX', TO_DATE('05/21/93','MM/DD/YY'), 'KING', 'WA', '5', 'S2', '8', '1', '107000', '1904', 'C1', 'N', '1992', '3950000', 'S', 'COM', '', 'LS', 'SW', 'EW', 'SF', 'PB', '', '', 'N', 'Y', 'Y', 'N', 'V', 'I', 'I', 'NE', 'NE', '2650000', 'G', 'F', 'F', '', '300000', '', '', '0', '0', '0', '2650000', '0', 'OT', '120', '117', '120', '117', '10', '85', 'C', 'C', 'C', 'M', 'N', 'P', 'C', '', 'SF', 'MF', 'MF', '24.77', '1.0286', '1.10228', '1.13379', '4478466', '3004540.5', '0', '340136.65625', '0', '0', '0', '0', '3004540.5', '0', '8', 'ATC-22', 'VERY POOR DESIGN AND CONSTRUCTION.', 'INSTALLATION OF SHOTCRETE WALL CLAY TILE WALL STRONGBACKING PARAPET BRACES AND VARIOUS DRAG STRUTS AND CHORDS');
INSERT INTO buildings VALUES ('166', '10', '23', 'DEGENKOLB', TO_DATE('06/07/93','MM/DD/YY'), 'CONTRACOSTA', 'CA', '7', '', '1', '0', '85000', '1972', 'W2', 'N', '1992', '11497000', 'S', 'ADD', '', 'LS', 'SW', 'EF', 'SD', '', '', '', 'Y', 'Y', 'Y', 'N', 'TR', 'I', 'OK', 'I', 'NE', '4534000', 'F', 'P', 'P', '1730000', '2645000', '', '', '', '620000', '766000', '2103000', '', 'R', '450', '190', '450', '190', '13', '13', 'W', '', 'W', 'S', 'N', 'F', '', 'W', 'SF', 'SW', 'SW', '53.34', '1.0286', '1', '1.02858', '11825602', '4663588.5', '1779446', '2720598', '0', '0', '637720.5', '787893.4375', '2163107', '0', '7', 'ATC-14', 'FIVE INTERIOR COURTYARDSC ONSTRUCTION QUALITY COMPARABLE TO RAPID BUILT TRACK HOUSING', '');
INSERT INTO buildings VALUES ('167', '8', '14', 'DEGENKOLB', TO_DATE('06/08/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', '', '4', '0', '250000', '1950', 'C1', 'N', '1990', '3331000', 'S', 'MIN', '', 'LS', 'SW', 'MF', 'PB', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'NE', 'NE', '3331000', 'F', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '418', '178', '418', '178', '15', '80', 'C', 'C', 'C', 'PC', 'N', 'G', 'C', 'C', 'SF', 'SW', 'MF', '13.32', '1.0788', '1', '1.07883', '3593584.25', '3593584.25', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('168', '9', '14', 'DEGENKOLB', TO_DATE('06/08/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', '', '4', '0', '250000', '1950', 'C1', 'N', '1990', '3740000', 'S', 'MIN', '', 'DC', 'SW', 'MF', 'PB', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'NE', 'NE', '3740000', 'F', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '418', '178', '418', '78', '15', '80', 'C', 'C', 'C', 'PC', 'N', 'G', 'C', 'C', 'SF', 'SW', 'MF', '14.96', '1.0788', '1', '1.07883', '4034826', '4034826', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'UBC 1988', '', '');
INSERT INTO buildings VALUES ('169', '10', '12', 'GARYSAVULIAN', TO_DATE('06/09/93','MM/DD/YY'), 'SANDIEGO', 'CA', '7', 'S2', '5', '0', '500000', '1974', 'C1', 'N', '1992', '2500000', 'S', 'MIN', '', 'LS', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'OK', 'OK', '2500000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '547', '180', '547', '180', '10', '51', 'C', 'C', 'PC', 'N', 'N', 'G', 'PC', '', 'SF', 'MF', 'MF', '5', '1.0286', '1', '1.02858', '2571453.75', '2571453.75', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'PARTIAL UBC ', '', 'ADDED CONCRETE SHEAR WALLS IN BOTH DIRECTIONS');
INSERT INTO buildings VALUES ('170', '10', '14', 'GARYSAVULIAN', TO_DATE('06/09/93','MM/DD/YY'), 'ORANGE', 'CA', '7', 'S2', '1', '0', '12500', '1970', 'C1', 'N', '1992', '210000', 'AC', 'MIN', '', 'LS', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '210000', 'G', 'G', 'G', '', '', '', '', '', '', '', '', '', 'R', '110', '110', '110', '110', '20', '20', 'C', '', 'C', 'CW', 'N', 'G', 'PC', '', 'SF', 'MF', 'MF', '16.8', '1.0286', '1', '1.02858', '216002.109375', '216002.109375', '0', '0', '0', '0', '0', '0', '0', '0', '9', 'PARTIAL UBC ', '', 'ADDED CONCRETE SHEAR WALLS IN BOTH DIRECTIONS');
INSERT INTO buildings VALUES ('171', '7', '37', 'GARYSAVULIAN', TO_DATE('06/09/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '1', '0', '54000', '1960', 'S3', 'N', '1991', '16000', 'AC', 'MIN', '', 'LS', 'BF', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'OK', 'OK', '16000', 'G', 'G', 'G', '', '', '', '', '', '', '', '', '', 'OT', '300', '210', '300', '210', '18', '18', 'S', '', 'MD', 'CW', 'N', 'F', 'S', '', 'SF', 'BF', 'MF', '0.3', '1.0596', '1', '1.05961', '16953.833984375', '16953.833984375', '0', '0', '0', '0', '0', '0', '0', '0', '9', 'PARTIAL UBC ', '', 'ADDED ROD X-BRACES.');
INSERT INTO buildings VALUES ('172', '7', '38', 'GARYSAVULIAN', TO_DATE('06/10/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S1', '2', '0', '157000', '1963', 'PC1', 'N', '1991', '1400000', 'AC', 'ADD', '', 'LS', 'BF', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'Y', 'IP', 'I', 'OK', 'NE', 'I', '830000', 'G', 'G', 'G', '', '350000', '90000', '', '350000', '', '', '250000', '', 'R', '270', '270', '270', '270', '15', '30', 'S', 'FS', 'C', 'N', 'N', 'F', 'S', 'PC', 'P', 'SW', 'SW', '5.29', '1.0596', '1', '1.05961', '1483460.5', '879480.1875', '0', '370865.125', '95365.3203125', '370865.125', '0', '0', '264903.65625', '0', '9', '1988 UBC/SITE SPECIFIC RESPONS', 'REENTRANCE CORNERS', '');
INSERT INTO buildings VALUES ('173', '7', '38', 'TOMCHIU', TO_DATE('06/10/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '9', '1', '534500', '1958', 'RM1', 'N', '1993', '3500000', 'S', 'MIN', '', 'LS', 'SW', 'SF', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'NE', 'NE', '3500000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'L', '308', '288', '', '', '13', '120', 'S', 'S', 'MDF', 'M', '', '', 'S', 'RM', 'P', 'SW', 'SW', '6.55', '1', '1', '1', '3500000', '3500000', '0', '0', '0', '0', '0', '0', '0', '0', '5', '1991 UBC (75%)', '', 'ADD SHEAR WALLSFILL IN SOME WINDOWS');
INSERT INTO buildings VALUES ('174', '10', '37', 'TOMCHIU', TO_DATE('06/10/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '1', '0', '30000', '1988', 'PC1', 'N', '1991', '110000', 'AC', 'MIN', '', 'LS', 'MF', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'NE', 'OK', 'NE', '110000', 'G', 'G', 'G', '0', '20000', '', '1', '0', '0', '0', '0', '0', 'R', '216', '139', '216', '139', '24', '24', 'W', '', 'W', 'N', 'N', 'G', 'S', 'PC', 'SF', 'SW', 'SW', '3.67', '1.0596', '1', '1.05961', '116557.609375', '116557.609375', '0', '21192.29296875', '0', '0', '0', '0', '0', '0', '8', '1991 UBC', 'MEZZANINE.', 'WALL + CONFINEMENT TIESADD STEEL MOMENT FRAMEJACKET CONCRETE PIERS.');
INSERT INTO buildings VALUES ('175', '7', '28', 'DEGENKOLB', TO_DATE('06/15/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '1', '0', '13000', '', 'URM', 'N', '1992', '352000', 'S', 'MIN', '', 'LS', 'BF', 'EW', 'SD', 'PB', 'WT', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '352000', 'G', 'P', 'P', '', '', '', '5', '', '', '', '', '', 'R', '100', '100', '100', '100', '20', '20', 'W', '', 'W', 'N', 'N', 'G', '', 'URM', '', 'SW', 'SW', '27.08', '1.0286', '1', '1.02858', '362060.6875', '362060.6875', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'UCBC', '', '');
INSERT INTO buildings VALUES ('176', '1', '4', 'DEGENKOLB', TO_DATE('06/15/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', '', '4', '1', '37000', '1909', 'S5', 'Y', '1989', '1140000', 'S', 'MIN', '', 'LS', 'SW', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'NE', 'NE', '1140000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '165', '45', '165', '45', '14', '71', 'S', 'S', 'C', 'M', 'N', 'G', 'S', '', 'SF', 'SW', 'SW', '30.81', '1.1067', '1', '1.10668', '1261617.25', '1261617.25', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('177', '1', '4', 'DEGENKOLB', TO_DATE('06/15/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', '', '2', '1', '18800', '1900', 'URM', 'N', '1990', '385000', 'S', 'MIN', '', 'LS', 'EW', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'NE', 'NE', '385000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '175', '100', '175', '100', '14', '40', 'W', 'W', 'W', 'N', 'N', 'F', 'W', 'URM', 'SF', 'SW', 'SW', '20.48', '1.0788', '1', '1.07883', '415349.75', '415349.75', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'SJ URM ORDI NCE', 'THERE DOES NOT APPEAR TO BE ANY ISOLATION JOINTS BETWEEN WING OF THE BUILDING.', '');
INSERT INTO buildings VALUES ('178', '1', '4', 'DEGENKOLB', TO_DATE('06/15/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', '', '4', '1', '9550', '1910', 'URM', 'N', '1990', '375000', 'S', 'MIN', '', 'LS', 'SW', 'BF', 'SD', 'PB', 'WT', '', 'N', 'N', 'N', 'Y', 'V', 'I', 'I', 'NE', 'NE', '375000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '75', '25', '75', '25', '12', '60', 'W', 'W', 'W', 'N', 'N', 'G', '', 'URM', '', 'SW', 'SW', '39.27', '1.0788', '1', '1.07883', '404561.4375', '404561.4375', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'SEAOC/CALBO RECFOR SF URM OR', '', '');
INSERT INTO buildings VALUES ('179', '17', '49', 'DEGENKOLB', TO_DATE('06/15/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', '', '2', '1', '119800', '1926', 'C2', 'N', '1992', '2465000', 'S', 'MIN', '', 'IO', 'BF', 'EW', 'EF', 'SF', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'NE', 'NE', '2465000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '276', '275', '276', '275', '13', '41', 'C', 'C', 'C', 'N', 'N', 'G', 'C', 'C', 'P', 'SW', 'SW', '20.58', '1.0286', '1', '1.02858', '2535453.5', '2535453.5', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'TITLE 24 - ESSENTIAL FACILITY ', '', '');
INSERT INTO buildings VALUES ('180', '7', '14', 'DEGENKOLB', TO_DATE('06/15/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', '', '2', '1', '119800', '1926', 'C2', 'N', '1992', '1366000', 'S', 'MIN', '', 'LS', 'BF', 'EW', 'EF', 'SF', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'OK', 'NE', 'NE', '1366000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '276', '275', '276', '275', '13', '41', 'C', 'C', 'C', 'N', 'N', 'G', 'C', 'C', 'P', 'SW', 'SW', '11.4', '1.0286', '1', '1.02858', '1405042.375', '1405042.375', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('181', '7', '12', 'DEGENKOLB', TO_DATE('06/15/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', '', '4', '0', '7800', '', 'W1', 'N', '1990', '25280', 'AC', 'MIN', '', 'LS', 'BF', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'OK', 'NE', 'NE', '25280', 'G', 'G', 'G', '', '8000', '', '3', '', '', '', '', '', 'OT', '89', '25', '89', '25', '10', '40', 'W', 'W', 'W', 'N', 'N', 'F', '', 'W', 'SF', 'SW', 'SW', '3.24', '1.0788', '1', '1.07883', '27272.833984375', '27272.833984375', '0', '8630.6435546875', '0', '0', '0', '0', '0', '0', '10', 'SF ORDI NCE #403-89', '', '');
INSERT INTO buildings VALUES ('182', '13', '41', 'DEGENKOLB', TO_DATE('06/15/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', '', '8', '1', '59000', '1924', 'S5', 'N', '1992', '30000', 'AC', 'R', '', 'RR', 'PB', '', '', '', '', '', 'N', 'N', 'Y', 'N', 'IP', 'NE', 'I', 'I', 'NE', '10000', 'G', 'G', 'P', '', '', '', '', '', '', '', '', '', 'R', '126', '52', '126', '52', '11', '90', 'S', 'S', 'C', 'M', 'N', 'G', 'S', '', 'SF', 'SW', 'SW', '0.17', '1.0286', '1', '1.02858', '30857.4453125', '10285.815429688', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'SF PARAPET BRACING ORDI NCE', '', '');
INSERT INTO buildings VALUES ('183', '7', '14', 'DEGENKOLB', TO_DATE('06/15/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', '', '6', '1', '243000', '1932', 'S4', 'Y', '1988', '11504000', 'S', 'MIN', '', 'LS', 'SW', 'EF', 'SD', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'NE', 'NE', '11504000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '282', '180', '282', '180', '20', '140', 'S', 'S', 'C', 'ST', 'N', 'G', 'S', '', 'SF', 'SW', 'SW', '47.34', '1.122', '1', '1.12202', '12907682', '12907682', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', 'NOOF STORIES IS SOMEWHAT MEANINGLESS GIVEN THE BUILDING CONFIGURATION.', 'RETROFIT ALSO INCLUDES THE REPLACEMENT OF HOLLOW CLAY TILE WALLS THROUGHOUT THE BUILDING.');
INSERT INTO buildings VALUES ('184', '7', '20', 'DEGENKOLB', TO_DATE('06/14/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', '', '4', '1', '227500', '1933', 'S4', 'Y', '1988', '12137000', 'S', 'ADD', '', 'LS', 'SW', 'EW', 'SD', '', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'I', 'I', 'NE', '4679000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '282', '180', '282', '180', '18', '108', 'S', 'S', 'C', 'TC', 'N', 'G', 'S', '', 'SF', 'SW', 'SW', '20.57', '1.122', '1', '1.12202', '13617919', '5249917', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('185', '1', '5', 'DEGENKOLB', TO_DATE('06/14/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S1', '5', '1', '25100', '1915', 'URM', 'N', '1991', '535000', 'S', 'MIN', '', 'LS', 'PB', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'NE', 'NE', '535000', 'G', 'P', 'P', '', '', '', '6', '', '', '', '', '', 'R', '88', '57', '88', '57', '11', '58', 'W', 'W', 'W', 'N', 'N', 'G', 'W', 'URM', 'SF', 'SW', 'SW', '21.31', '1.0596', '1', '1.05961', '566893.8125', '566893.8125', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'SF URM ORDI NCE', '', '');
INSERT INTO buildings VALUES ('186', '1', '5', 'DEGENKOLB', TO_DATE('06/14/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', '', '5', '1', '25100', '1915', 'URM', 'N', '1991', '1234000', 'S', 'MIN', '', 'DC', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'NE', 'NE', '1234000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '88', '57', '88', '57', '11', '58', 'W', 'W', 'W', 'N', 'N', 'G', 'W', 'URM', 'SF', 'SW', 'SW', '49.16', '1.0596', '1', '1.05961', '1307564.5', '1307564.5', '0', '0', '0', '0', '0', '0', '0', '0', '7', '', '', '');
INSERT INTO buildings VALUES ('191', '7', '23', 'DEGENKOLB', TO_DATE('06/14/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '2', '1', '13000', '', 'W1', 'N', '1991', '86000', 'S', 'MIN', '', 'LS', 'BF', 'PB', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'NE', 'NE', '86000', 'F', 'P', 'P', '', '', '', '', '', '', '', '', '', 'L', '91', '71', '91', '71', '', '', 'W', 'S', 'W', 'M', 'N', 'G', 'W', 'W', 'SF', 'SW', 'SW', '6.62', '1.0596', '1', '1.05961', '91126.859375', '91126.859375', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('192', '7', '14', 'DEGENKOLB', TO_DATE('06/14/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '2', '1', '8500', '1929', 'URM', 'N', '1991', '264000', 'S', 'MIN', '', 'LS', 'SW', 'SD', 'PB', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'NE', 'NE', '264000', 'G', 'P', 'P', '', '', '', '6', '', '', '', '', '', 'R', '96', '34', '96', '34', '12', '40', 'W', 'C', 'C', 'N', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '31.06', '1.0596', '1', '1.05961', '279738.28125', '279738.28125', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('193', '9', '16', 'DEGENKOLB', TO_DATE('06/14/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', 'S2', '10', '1', '208200', '1962', 'C2', 'N', '1991', '9135000', 'S', 'MIN', '', 'DC', 'BF', 'EW', 'EF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '9135000', 'P', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '355', '84', '355', '84', '10', '133', 'C', 'C', 'C', 'CW', 'N', 'G', 'C', 'C', '', 'SW', 'SW', '43.88', '1.0596', '1', '1.05961', '9679580', '9679580', '0', '0', '0', '0', '0', '0', '0', '0', '7', '1988 UBC', '', '');
INSERT INTO buildings VALUES ('194', '7', '16', 'DEGENKOLB', TO_DATE('06/14/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', 'S2', '10', '1', '208200', '1962', 'C2', 'N', '1991', '7107000', 'S', 'MIN', '', 'LS', 'BF', 'EW', 'EF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '7107000', 'P', 'P', 'P', '', '', '', '12', '', '', '', '', '', 'OT', '355', '84', '355', '84', '10', '133', 'C', 'C', 'C', 'CW', 'N', 'G', 'C', 'C', '', 'SW', 'SW', '34.14', '1.0596', '1', '1.05961', '7530681.5', '7530681.5', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('195', '1', '4', 'DEGENKOLB', TO_DATE('06/14/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', 'S2', '3', '1', '32900', '1866', 'URM', 'Y', '1990', '9695000', 'S', 'COM', '', 'LS', 'SW', 'EW', 'EF', 'SD', 'SF', '', 'Y', 'Y', 'Y', 'Y', 'V', 'I', 'I', 'I', 'NE', '4414000', 'G', 'P', 'P', '', '1989000', '882000', '36', '', '562500', '300000', '', '', 'R', '112', '102', '112', '102', '14', '65', 'S', 'S', 'C', 'N', 'N', 'P', 'S', 'URM', 'SF', 'SW', 'SW', '134.16', '1.0788', '1', '1.07883', '10459262', '4761957.5', '0', '2145793.75', '951528.5', '0', '606842.125', '323649.15625', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('196', '3', '8', 'DEGENKOLB', TO_DATE('06/14/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', 'S2', '3', '1', '32900', '1866', 'URM', 'Y', '1990', '12715000', 'S', 'COM', '', 'IO', 'SW', 'EW', 'EF', 'IS', 'SD', '', 'Y', 'Y', 'Y', 'Y', 'V', 'I', 'I', 'I', 'NE', '5569000', 'G', 'P', 'P', '', '2618000', '1163000', '48', '', '562500', '300000', '', '', 'R', '112', '102', '112', '102', '14', '65', 'S', 'S', 'C', 'N', 'N', 'P', 'S', 'URM', 'SF', 'SW', 'SW', '169.27', '1.0788', '1', '1.07883', '13717330', '6008007', '0', '2824378.25', '1254679.875', '0', '606842.125', '323649.15625', '0', '0', '7', '1988 UBC', '', '1931: INTERIOR REMODEL FOLLOWING MAJOR STRUCTURE FIRE');
INSERT INTO buildings VALUES ('197', '1', '10', 'DEGENKOLB', TO_DATE('06/11/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', '', '5', '1', '40000', '1910', 'URM', 'N', '1991', '2186000', 'S', 'ADD', '', 'DC', 'BF', 'EW', 'SD', 'SF', 'WT', '', 'N', 'N', 'Y', 'N', 'V', 'I', 'OK', 'I', 'NE', '1670000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '124', '50', '124', '50', '14', '90', 'TT', 'S', 'W', 'N', 'N', 'G', 'S', 'URM', 'SF', 'SW', 'SW', '41.75', '1.0596', '1', '1.05961', '2316317.75', '1769556.5', '0', '0', '0', '0', '0', '0', '0', '0', '7', '1988 UBC', '', '');
INSERT INTO buildings VALUES ('198', '1', '10', 'DEGENKOLB', TO_DATE('06/11/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', '', '12', '1', '312000', '1904', 'S5', 'Y', '1988', '727645', 'AC', 'ADD', '', 'RR', 'PB', 'WT', '', '', '', '', 'N', 'N', 'Y', 'N', 'V', 'I', 'I', 'I', 'NE', '597000', 'P', 'G', 'F', '', '', '', '5', '', '', '', '', '', 'OT', '', '', '', '', '', '', 'S', 'S', 'URM', 'ST', 'N', 'G', 'S', '', '', 'SW', 'SW', '1.91', '1.122', '1', '1.12202', '816430', '669844.0625', '0', '0', '0', '0', '0', '0', '0', '0', '9', '', '', '');
INSERT INTO buildings VALUES ('199', '13', '12', 'DEGENKOLB', TO_DATE('06/11/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', '', '2', '0', '7000', '', 'C2', 'N', '1991', '30000', 'S', 'MIN', '', 'RR', 'PB', '', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'NE', 'I', 'NE', 'NE', '30000', 'G', 'F', 'F', '', '', '', '', '', '', '', '', '', 'R', '100', '35', '100', '35', '13', '34', 'W', 'W', 'W', 'N', 'N', 'G', '', 'C', '', 'SW', 'SW', '4.29', '1.0596', '1', '1.05961', '31788.439453125', '31788.439453125', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'SF PARAPET BRACING ORDI NCE', '', '');
INSERT INTO buildings VALUES ('200', '13', '19', 'DEGENKOLB', TO_DATE('06/11/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', '', '6', '0', '53800', '', 'C2', 'N', '1992', '162855', 'AC', 'MIN', '', 'RR', 'PB', '', '', '', '', '', 'N', 'N', 'Y', 'N', 'V', 'NE', 'I', 'I', 'NE', '97937', 'G', 'G', 'G', '', '', '', '1', '', '', '', '', '', 'R', '120', '84', '120', '84', '13', '78', 'W', 'C', 'C', 'N', 'N', 'G', 'C', 'C', 'N', 'SW', 'SW', '1.82', '1.0286', '1', '1.02858', '167509.640625', '100736.1875', '0', '0', '0', '0', '0', '0', '0', '0', '10', 'SF PARAPET BRACING ORDI NCE', '', '');
INSERT INTO buildings VALUES ('201', '13', '11', 'DEGENKOLB', TO_DATE('06/11/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', '', '1', '0', '2000', '1925', 'C2', 'N', '1992', '11416', 'AC', 'MIN', '', 'RR', 'PB', '', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'NE', 'I', 'NE', 'NE', '11416', 'G', 'G', 'G', '', '1500', '', '', '', '', '', '', '', 'R', '80', '25', '80', '25', '20', '30', 'W', '', 'W', 'N', 'N', 'F', '', 'C', '', 'SW', 'SW', '5.71', '1.0286', '1', '1.02858', '11742.286132813', '11742.286132813', '0', '1542.8721923828', '0', '0', '0', '0', '0', '0', '10', 'SF PARAPET ORDI NCE', '', '');
INSERT INTO buildings VALUES ('202', '9', '15', 'DEGENKOLB', TO_DATE('06/11/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '4', '1', '85000', '1964', 'S1', 'N', '1993', '960000', 'S', 'MIN', '', 'DC', 'BF', 'EF', '', '', '', '', 'Y', 'N', 'N', 'N', 'V', 'I', 'OK', 'I', 'NE', '884000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '120', '120', '120', '120', '13', '72', 'S', 'S', 'C', 'PC', 'N', 'G', 'S', 'C', 'P', 'MF', 'MF', '10.4', '1', '1', '1', '960000', '884000', '0', '0', '0', '0', '0', '0', '0', '0', '7', '1991 UBC (ASSUMED)', '', '');
INSERT INTO buildings VALUES ('203', '7', '23', 'DEGENKOLB', TO_DATE('06/11/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', '', '10', '0', '115000', '', 'C2', 'N', '1993', '603000', 'S', 'MIN', '', 'LS', 'BF', 'EF', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'OK', 'NE', 'NE', '603000', 'P', 'P', 'P', '', '', '', '', '', '', '', '', '', 'L', '240', '130', '133', '75', '12', '120', 'S', 'C', 'C', 'PC', 'N', 'G', 'C', 'C', 'P', 'SW', 'SW', '5.24', '1', '1', '1', '603000', '603000', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('204', '1', '9', 'DEGENKOLB', TO_DATE('06/11/93','MM/DD/YY'), 'SANTACRUZ', 'CA', '7', '', '2', '1', '10170', '1885', 'URM', 'Y', '1992', '599000', 'S', 'ADD', '', 'LS', 'SW', 'EW', 'SD', 'PB', 'WT', '', 'N', 'N', 'Y', 'Y', 'V', 'I', 'I', 'I', 'NE', '383000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '86', '41', '86', '41', '15', '30', 'W', 'W', 'W', 'S', 'N', 'P', 'W', 'URM', 'SF', 'SW', 'SW', '37.66', '1.0286', '1', '1.02858', '616120.3125', '393946.71875', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'UCBC', '', '');
INSERT INTO buildings VALUES ('205', '1', '7', 'DEGENKOLB', TO_DATE('06/02/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '3', '1', '116764', '1915', 'C2', 'N', '1982', '904093', 'S', 'MIN', '', 'LS', 'BF', 'EF', 'SD', 'PB', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'NE', '904093', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'O', '204', '178', '204', '178', '15', '62', 'S', 'S', 'C', 'ST', 'N', 'G', 'S', 'C', 'SF', 'SW', 'SW', '7.74', '1.3048', '1', '1.30483', '1179691.625', '1179691.625', '0', '0', '0', '0', '0', '0', '0', '0', '6', '1979 UBC', '', '');
INSERT INTO buildings VALUES ('206', '1', '4', 'DEGENKOLB', TO_DATE('06/02/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '2', '1', '42000', '1905', 'URM', 'N', '1982', '1414000', 'S', 'MIN', '', 'LS', 'BF', 'EW', 'SD', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'OK', 'NE', '1414000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '200', '70', '200', '70', '16', '55', 'S', 'S', 'C', 'ST', 'N', 'G', 'S', 'URM', 'SF', 'SW', 'SW', '33.67', '1.3048', '1', '1.30483', '1845035.75', '1845035.75', '0', '0', '0', '0', '0', '0', '0', '0', '6', '1973 UBC', '', '');
INSERT INTO buildings VALUES ('207', '11', '14', 'DEGENKOLB', TO_DATE('06/03/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', '', '6', '1', '21720', '1924', 'S5', 'N', '1985', '1495000', 'S', 'MIN', '', 'LS', 'SW', 'EW', 'EF', 'SF', 'WT', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'NE', 'NE', '1375000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '175', '138', '175', '138', '16', '136', 'S', 'S', 'C', 'M', 'N', 'G', 'S', '', 'SF', 'SW', 'SW', '63.31', '1.2006', '1', '1.20058', '1794862.125', '1650792.875', '0', '0', '0', '0', '0', '0', '0', '0', '6', '1982 UBC', '', '');
INSERT INTO buildings VALUES ('208', '7', '23', 'DEGENKOLB', TO_DATE('06/03/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '5', '1', '84000', '1952', 'C2', 'N', '1988', '14096000', 'S', 'COM', '', 'LS', 'BF', 'EW', 'EF', 'SF', '', '', 'Y', 'Y', 'Y', 'N', 'TR', 'I', 'OK', 'NE', 'I', '1212000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '215', '79', '215', '79', '12', '72', 'C', 'C', 'C', 'M', 'N', 'G', 'C', 'C', 'P', 'SW', 'SW', '14.43', '1.122', '1', '1.12202', '15815950', '1359884.5', '0', '0', '0', '0', '0', '0', '0', '0', '7', '', '', '');
INSERT INTO buildings VALUES ('209', '7', '23', 'DEGENKOLB', TO_DATE('06/04/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '6', '1', '94100', '1963', 'C2', 'N', '1988', '15207000', 'S', 'COM', '', 'LS', 'BF', 'EW', 'EF', 'SF', '', '', 'Y', 'Y', 'Y', 'N', 'TR', 'I', 'OK', 'NE', 'I', '775000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '196', '67', '196', '67', '12', '84', 'C', 'C', 'C', 'M', 'N', 'G', 'C', 'C', 'P', 'SW', 'SW', '8.24', '1.122', '1', '1.12202', '17062512', '869563.125', '0', '0', '0', '0', '0', '0', '0', '0', '7', '', '', '');
INSERT INTO buildings VALUES ('210', '7', '16', 'DEGENKOLB', TO_DATE('06/03/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S1', '18', '1', '820000', '1938', 'S1', 'Y', '1992', '10351000', 'S', 'MIN', '', 'LS', 'EF', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '9243443', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '1107557', 'R', '472', '183', '329', '79', '12', '236', 'S', 'S', 'C', 'CW', 'N', 'G', 'S', '', 'P', 'MF', 'MF', '11.27', '1.0286', '1', '1.02858', '10646847', '9507634', '0', '0', '0', '0', '0', '0', '0', '1139212.625', '7', 'GSA HANDBOOK', '', '');
INSERT INTO buildings VALUES ('211', '6', '12', 'DEGENKOLB', TO_DATE('06/10/93','MM/DD/YY'), 'ADA', 'ID', '2', '', '1', '0', '94200', '1965', 'URM', 'N', '1993', '350000', 'S', 'MIN', '', 'LS', 'SW', 'MF', 'EW', 'SD', 'WT', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '350000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '460', '220', '460', '220', '20', '20', 'S', '', 'OT', 'N', 'Y', 'F', 'S', 'URM', 'SF', 'SW', 'SW', '3.72', '1', '1.22517', '1.22517', '428807.96875', '428807.96875', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('212', '10', '12', 'DEGENKOLB', TO_DATE('08/04/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', '', '2', '0', '192000', '1976', 'PC2', 'N', '1985', '3350000', 'S', 'MIN', '', 'DC', 'SW', 'BF', 'SD', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '3350300', 'F', 'P', 'P', '', '', '', '', '', '', '', '', '', 'L', '400', '314', '400', '314', '17', '34', 'W', 'C', 'W', 'N', '', '', 'S', '', 'SF', 'SW', 'SW', '17.45', '1.2006', '1', '1.20058', '4021931.75', '4022292', '0', '0', '0', '0', '0', '0', '0', '0', '6', '1985 UBC', '', '');
INSERT INTO buildings VALUES ('213', '10', '12', 'DEGENKOLB', TO_DATE('08/04/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '4', '0', '280000', '', 'S2', 'N', '1981', '320000', 'S', 'MIN', '', 'LS', 'EF', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'NE', 'NE', 'NE', '320000', 'P', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '600', '200', '600', '200', '25', '53', 'S', 'S', 'MDF', 'MS', 'Y', '', 'S', '', '', 'BF', 'BF', '1.14', '1.3901', '1', '1.39008', '444825.9375', '444825.9375', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-3 ', '', '');
INSERT INTO buildings VALUES ('214', '8', '14', 'DEGENKOLB', TO_DATE('08/04/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '5', '0', '120000', '', 'C1', 'N', '1981', '1612000', 'S', 'MIN', '', 'LS', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'NE', 'NE', 'NE', '1612000', 'F', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '600', '200', '600', '200', '', '', 'FS', 'FS', 'C', 'N', 'N', '', 'C', '', '', 'MF', 'MF', '13.43', '1.3901', '1', '1.39008', '2240810.75', '2240810.75', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-3 ', '', '');
INSERT INTO buildings VALUES ('215', '10', '12', 'DEGENKOLB', TO_DATE('08/04/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '162000', '', 'S2', 'N', '1981', '163000', 'S', 'MIN', '', 'LS', 'BF', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'NE', 'NE', 'NE', '163000', 'F', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '730', '216', '730', '216', '', '', 'S', '', 'MDF', 'MS', 'N', 'G', 'S', '', '', 'BF', 'BF', '1.01', '1.3901', '1', '1.39008', '226583.203125', '226583.203125', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-3 ', '', '');
INSERT INTO buildings VALUES ('216', '1', '7', 'DEGENKOLB', TO_DATE('08/04/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S1', '2', '0', '169500', '1912', 'C2', 'N', '1988', '1280000', 'S', 'MIN', '', 'LS', 'SW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'I', 'NE', '1280000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '343', '275', '343', '275', '', '39', 'C', 'C', 'C', 'N', 'N', 'F', 'C', 'C', 'SF', 'SW', 'SW', '7.55', '1.122', '1', '1.12202', '1436181.625', '1436181.625', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('217', '7', '29', 'DEGENKOLB', TO_DATE('08/05/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', '', '1', '1', '6330', '1918', 'URM', 'N', '1988', '53000', 'S', 'MIN', '', 'LS', 'SD', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'I', 'NE', '47060', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '5940', '', '103', '43', '103', '43', '24', '30', 'TT', '', 'W', 'N', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '7.43', '1.122', '1', '1.12202', '59466.89453125', '52802.1171875', '0', '0', '0', '0', '0', '0', '0', '6664.7802734375', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('218', '1', '7', 'DEGENKOLB', TO_DATE('08/05/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S3', '1', '0', '125000', '1915', 'S3', 'N', '1988', '173000', 'S', 'MIN', '', 'LS', 'BF', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'OK', 'NE', '173000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'O', '1080', '134.5', '1080', '134.5', '37', '55', 'TT', '', 'MDF', 'S', 'N', 'G', 'S', '', 'P', 'MF', 'MF', '1.38', '1.122', '1', '1.12202', '194108.921875', '194108.921875', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('219', '7', '23', 'DEGENKOLB', TO_DATE('08/05/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S1', '1', '1', '34791', '1923', 'C2', 'N', '1988', '572104', 'S', 'MIN', '', 'LS', 'EW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'OK', 'NE', '572104', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '168', '112', '168', '112', '', '49', 'C', '', 'C', 'N', 'N', 'G', 'C', 'C', 'SF', 'SW', 'SW', '16.44', '1.122', '1', '1.12202', '641910.375', '641910.375', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('220', '7', '22', 'DEGENKOLB', TO_DATE('06/10/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '2', '1', '39000', '1926', 'C2', 'N', '1992', '82933', 'AC', 'ADD', '', 'LS', 'SD', '', '', '', '', '', 'N', 'N', 'Y', 'N', 'V', 'I', 'I', 'I', 'NE', '57596', 'G', 'G', 'G', '', '', '', '', '', '', '', '', '', 'C', '172', '87', '172', '87', '11', '32', 'W', 'C', 'W', 'N', 'N', 'G', 'C', 'C', 'SF', 'SW', 'SW', '1.48', '1.0286', '1', '1.02858', '85303.3515625', '59242.1796875', '0', '0', '0', '0', '0', '0', '0', '0', '10', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('221', '7', '22', 'DEGENKOLB', TO_DATE('06/10/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '1', '1', '16100', '1924', 'C2', 'N', '1992', '130000', 'S', 'MIN', '', 'LS', 'SD', '', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'OK', 'NE', 'NE', '130000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '115', '70', '115', '70', '20', '40', 'W', '', 'W', 'N', 'N', 'G', 'W', 'C', 'SF', 'SW', 'SW', '8.07', '1.0286', '1', '1.02858', '133715.59375', '133715.59375', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('222', '9', '23', 'DEGENKOLB', TO_DATE('06/10/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '1', '1', '16100', '1924', 'C2', 'N', '1992', '141000', 'S', 'MIN', '', 'DC', 'EW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'OK', 'NE', 'NE', '141000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '115', '70', '115', '70', '20', '40', 'W', '', 'W', 'N', 'N', 'G', 'W', 'C', 'SF', 'SW', 'SW', '8.76', '1.0286', '1', '1.02858', '145029.984375', '145029.984375', '0', '0', '0', '0', '0', '0', '0', '0', '7', '1988 UBC', '', '');
INSERT INTO buildings VALUES ('223', '7', '23', 'DEGENKOLB', TO_DATE('06/10/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '2', '0', '17000', '1926', 'C2', 'N', '1992', '275000', 'S', 'MIN', '', 'LS', 'SW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'OK', 'NE', 'NE', '275000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '236', '36', '236', '36', '15', '30', 'W', 'C', 'W', 'N', 'N', 'G', 'C', 'C', 'SF', 'SW', 'SW', '16.18', '1.0286', '1', '1.02858', '282859.90625', '282859.90625', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('224', '9', '23', 'DEGENKOLB', TO_DATE('06/10/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '2', '0', '17000', '1926', 'C2', 'N', '1992', '298000', 'S', 'MIN', '', 'DC', 'SW', 'EW', 'SD', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'OK', 'NE', 'NE', '298000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '236', '36', '236', '36', '15', '30', 'W', 'C', 'W', 'N', 'N', 'G', 'C', 'C', 'SF', 'SW', 'SW', '17.53', '1.0286', '1', '1.02858', '306517.28125', '306517.28125', '0', '0', '0', '0', '0', '0', '0', '0', '7', '1988 UBC', '', '');
INSERT INTO buildings VALUES ('225', '9', '21', 'DEGENKOLB', TO_DATE('06/10/93','MM/DD/YY'), 'SONOMA', 'CA', '7', '', '2', '0', '40800', '', 'PC1', 'N', '1991', '756000', 'S', 'ADD', '', 'DC', 'SW', 'EW', 'SD', 'WT', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'I', 'I', 'NE', '510000', 'G', 'P', 'P', '', '', '', '7', '', '', '', '', '', 'R', '150', '135', '150', '135', '11', '22', 'W', 'W', 'W', 'PC', 'N', 'G', 'W', 'PC', 'SF', 'SW', 'SW', '12.5', '1.0596', '1', '1.05961', '801068.6875', '540403.5', '0', '0', '0', '0', '0', '0', '0', '0', '7', '1988 UBC', '', '');
INSERT INTO buildings VALUES ('226', '7', '24', 'DEGENKOLB', TO_DATE('06/10/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S2', '9', '0', '201483', '', 'C2', 'N', '1993', '1957000', 'S', 'MIN', '', 'LS', 'BF', '', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'NE', 'NE', '1957000', 'G', 'P', 'P', '', '', '', '9', '', '', '', '', '', 'R', '327', '73', '327', '73', '13.5', '114', 'S', 'S', 'MDF', 'PC', 'N', 'G', 'S', 'C', 'SF', 'SW', 'SW', '9.71', '1', '1', '1', '1957000', '1957000', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('227', '7', '23', 'DEGENKOLB', TO_DATE('06/10/93','MM/DD/YY'), '.PA', 'CA', '7', '', '3', '1', '48100', '1957', 'PC2', 'N', '1992', '2017000', 'S', 'MIN', '', 'LS', 'SW', 'BF', 'EF', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'I', 'NE', '1782000', 'G', 'P', 'P', '', '', '', '22', '', '', '', '', '', 'OT', '247', '124', '247', '124', '11', '63', 'C', 'C', 'PC', 'N', 'N', 'G', 'PC', 'C', 'P', 'SW', 'SW', '37.05', '1.0286', '1', '1.02858', '2074648.875', '1832932.25', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('228', '7', '18', 'DMURPHY', TO_DATE('07/28/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', '', '4', '0', '12000', '1920', 'W1', 'N', '1992', '200000', 'AC', 'COM', '', 'LS', 'SW', 'BF', 'SD', 'SF', '', '', 'Y', 'N', 'Y', 'Y', 'TR', 'I', 'OK', 'NE', 'I', '160000', 'F', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '', '', '80', '40', '10', '40', 'W', 'W', 'W', 'N', 'N', 'F', 'W', 'W', 'SF', 'SW', 'SW', '13.33', '1.0286', '1', '1.02858', '205716.296875', '164573.046875', '0', '0', '0', '0', '0', '0', '0', '0', '8', '1990 SFBC ', '', '');
INSERT INTO buildings VALUES ('229', '5', '12', 'DEGENKOLB', TO_DATE('06/09/93','MM/DD/YY'), 'STLOUIS', 'MO', '3', 'S4', '1', '0', '22400', '1948', 'PC1', 'N', '1991', '76124', 'S', 'MIN', '', 'LS', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'OK', 'NE', 'NE', '76124', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '280', '80', '280', '80', '17', '17', 'W', '', 'W', 'N', 'N', 'G', 'C', 'PC', 'SF', 'SW', 'SW', '3.4', '1.0596', '1.12348', '1.19046', '90622.40625', '90622.40625', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-22', '', '');
INSERT INTO buildings VALUES ('230', '13', '12', 'DEGENKOLB', TO_DATE('06/09/93','MM/DD/YY'), 'STLOUIS', 'MO', '3', 'S4', '1', '0', '9600', '1957', 'PC1', 'N', '1991', '6512', 'S', 'MIN', '', 'RR', 'WT', '', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'OK', 'NE', 'NE', '6512', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '120', '80', '120', '80', '18', '18', 'W', '', 'W', 'N', 'N', 'G', 'C', 'PC', 'P', 'SW', 'SW', '0.68', '1.0596', '1.12348', '1.19046', '7752.2607421875', '7752.2607421875', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-22', '', '');
INSERT INTO buildings VALUES ('231', '7', '23', 'DEGENKOLB', TO_DATE('06/09/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', 'S2', '7', '0', '280500', '1965', 'C2', 'N', '1993', '1047000', 'S', 'MIN', '', 'LS', 'SW', 'EW', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'OK', 'NE', 'NE', '1047000', 'P', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '313', '266', '313', '266', '13.5', '100', 'C', 'C', 'C', 'N', 'N', 'G', 'C', 'C', 'P', 'SW', 'SW', '3.73', '1', '1', '1', '1047000', '1047000', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('232', '7', '23', 'DEGENKOLB', TO_DATE('06/09/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', 'S2', '1', '0', '60000', '', 'S1', 'N', '1991', '854000', 'S', 'MIN', '', 'LS', 'SW', 'BF', 'EF', '', '', '', 'N', 'Y', 'N', 'N', 'V', 'I', 'OK', 'I', 'NE', '543000', 'F', 'P', 'P', '', '', '', '', '', '', '', '', '', 'C', '271', '202', '271', '202', '12', '16', 'S', 'S', 'C', 'N', 'N', 'G', 'S', 'C', 'SF', 'MF', 'SW', '9.05', '1.0596', '1', '1.05961', '904910.9375', '575370.75', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-22', '', '');
INSERT INTO buildings VALUES ('233', '7', '23', 'DEGENKOLB', TO_DATE('06/08/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', 'S3', '2', '1', '65800', '1950', 'C2', 'N', '1991', '128000', 'S', 'MIN', '', 'LS', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'OK', 'NE', 'NE', '128000', 'G', 'P', 'P', '', '', '', '12', '', '', '', '', '', 'R', '175', '67', '175', '67', '12', '36', 'C', 'C', 'C', 'M', 'N', 'G', 'C', 'C', 'SF', 'SW', 'SW', '1.95', '1.0596', '1', '1.05961', '135630.671875', '135630.671875', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-22', '', '');
INSERT INTO buildings VALUES ('234', '7', '12', 'DEGENKOLB', TO_DATE('6/8/1993','MM/DD/YY'), 'SANMATEO', 'CA', '7', '', '4', '1', '33880', '1936', 'URM', 'N', '1990', '946000', 'S', 'MIN', '', 'LS', 'BF', 'EW', 'SD', 'PB', 'WT', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'NE', 'NE', '946000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '140', '55', '140', '55', '13', '60', 'S', 'S', 'W', 'M', 'N', 'G', 'S', 'URM', 'SF', 'SW', 'SW', '27.92', '1.0788', '1', '1.07883', '1020573.625', '1020573.625', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('235', '12', '34', 'DEGENKOLB', TO_DATE('06/16/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S2', '4', '1', '19600', '1923', 'C3', 'Y', '1993', '3039000', 'S', 'COM', '', 'LS', 'SW', 'SD', '', '', '', '', 'N', 'N', 'Y', 'N', 'V', 'I', 'I', 'I', 'NE', '1563000', 'G', 'P', 'P', '', '', '', '', '', '', '', '1476000', '', 'C', '102', '53.5', '102', '53.5', '12.5', '50', 'TT', 'W', 'W', 'M', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '79.74', '1', '1', '1', '3039000', '1563000', '0', '0', '0', '0', '0', '0', '1476000', '0', '7', '1992 SF BLDG CODE ', '', '');
INSERT INTO buildings VALUES ('236', '12', '34', 'DEGENKOLB', TO_DATE('06/16/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S2', '4', '1', '19600', '1923', 'C3', 'Y', '1993', '3514000', 'S', 'COM', '', 'DC', 'SW', 'SD', 'BF', 'SF', '', '', 'N', 'N', 'Y', 'N', 'V', 'I', 'I', 'I', 'NE', '2038000', 'G', 'P', 'P', '', '', '', '', '', '', '', '1476000', '', 'C', '102', '53.5', '102', '53.5', '12.5', '50', 'TT', 'W', 'W', 'M', 'N', 'F', 'C', '', 'SF', 'SW', 'SW', '103.98', '1', '1', '1', '3514000', '2038000', '0', '0', '0', '0', '0', '0', '1476000', '0', '7', '1991 UBC', '', '');
INSERT INTO buildings VALUES ('237', '9', '12', 'DEGENKOLB', TO_DATE('06/11/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', '', '1', '1', '116700', '1957', 'S1', 'N', '1988', '1100000', 'S', 'MIN', '', 'DC', 'EF', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '703060', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '397000', 'R', '262', '230', '262', '230', '15', '15', 'W', '', 'W', 'N', 'N', 'G', 'S', '', 'SF', 'MF', 'MF', '6.02', '1.122', '1', '1.12202', '1234218.625', '788845.1875', '0', '0', '0', '0', '0', '0', '0', '445440.71875', '7', '1988 UBC I=1 0', '', '');
INSERT INTO buildings VALUES ('238', '17', '51', 'DEGENKOLB', TO_DATE('06/11/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', '', '1', '1', '116700', '1957', 'S1', 'N', '1988', '2800000', 'S', 'MIN', '', 'IO', 'SW', 'EF', 'SD', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '1010000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '1790000', 'R', '262', '230', '262', '230', '15', '15', 'W', '', 'W', 'N', 'N', 'G', 'S', '', 'SF', 'MF', 'MF', '8.65', '1.122', '1', '1.12202', '3141647.25', '1133237.125', '0', '0', '0', '0', '0', '0', '0', '2008410.25', '7', '1988 UBC I=1 5', '', '');
INSERT INTO buildings VALUES ('239', '1', '3', 'DEGENKOLB', TO_DATE('06/11/93','MM/DD/YY'), 'SANTACRUZ', 'CA', '7', '', '3', '0', '10400', '1886', 'W2', 'Y', '1992', '524000', 'S', 'MIN', '', 'DC', 'MF', 'EW', 'SD', 'SF', '', '', 'N', 'N', 'Y', 'Y', 'V', 'I', 'I', 'I', 'NE', '300000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '110', '35', '110', '35', '12', '40', 'TT', 'W', 'W', 'S', 'N', 'P', 'C', 'W', 'SF', 'SW', 'SW', '28.85', '1.0286', '1', '1.02858', '538976.6875', '308574.4375', '0', '0', '0', '0', '0', '0', '0', '0', '7', '1991 UBC', '', '');
INSERT INTO buildings VALUES ('240', '9', '12', 'DEGENKOLB', TO_DATE('06/11/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', '', '1', '0', '13350', '', 'URM', 'N', '1991', '262365', 'S', 'MIN', '', 'DC', 'PB', 'WT', '', '', '', '', 'N', 'N', 'N', 'Y', 'V', 'I', 'I', 'I', 'NE', '102000', 'G', 'P', 'P', '', '', '', '', '157419', '', '', '', '', 'R', '138', '98', '138', '98', '18', '18', 'TT', '', 'W', 'N', 'N', 'P', 'W', 'URM', '', 'SW', 'SW', '7.64', '1.0596', '1', '1.05961', '278005.8125', '108080.6953125', '0', '0', '0', '166803.484375', '0', '0', '0', '0', '7', '1988 UBC', '', '');
INSERT INTO buildings VALUES ('241', '7', '23', 'DEGENKOLB', TO_DATE('06/10/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', '', '1', '0', '7300', '1927', 'C2', 'N', '1992', '341500', 'S', 'MIN', '', 'LS', 'SW', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'Y', 'V', 'I', 'I', 'I', 'NE', '288000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '126', '57', '126', '57', '31', '31', 'W', '', 'W', 'N', 'N', 'F', 'C', 'C', 'SF', 'SW', 'SW', '39.45', '1.0286', '1', '1.02858', '351260.59375', '296231.46875', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('242', '7', '23', 'DEGENKOLB', TO_DATE('06/10/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '2', '1', '65000', '1923', 'C2', 'N', '1991', '772000', 'S', 'MIN', '', 'LS', 'SW', 'EW', 'SD', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'I', 'NE', '673000', 'F', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '200', '160', '200', '160', '13', '38', 'C', 'C', 'W', 'N', 'N', 'G', 'C', 'C', 'SF', 'SW', 'SW', '10.35', '1.0596', '1', '1.05961', '818022.5', '713120.6875', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('243', '10', '13', 'THEISSENGINEERS', TO_DATE('06/10/93','MM/DD/YY'), 'STLOUIS', 'MO', '3', 'S1', '6', '1', '525600', '1984', 'C1', 'N', '1991', '1345000', 'S', 'MIN', '', 'LS', 'BF', 'SF', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '1345000', 'F', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '314', '238', '314', '238', '10', '62', 'C', 'C', 'C', 'N', 'N', 'G', 'C', '', 'P', 'MF', 'MF', '2.56', '1.0596', '1.12348', '1.19046', '1601165.625', '1601165.625', '0', '0', '0', '0', '0', '0', '0', '0', '7', '1990 BOCA ', '', '');
INSERT INTO buildings VALUES ('244', '1', '7', 'THEISSENGINEERS', TO_DATE('06/10/93','MM/DD/YY'), 'STLOUIS', 'MO', '3', 'S1', '9', '1', '351500', '1910', 'C1', 'Y', '1992', '550000', 'S', 'MIN', '', 'LS', 'SW', 'SF', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'NE', 'NE', 'NE', '550000', 'F', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '210', '164', '210', '164', '13', '127', 'FS', 'FS', 'C', 'M', 'N', 'G', 'C', '', 'P', 'MF', 'MF', '1.56', '1.0286', '1.12348', '1.15559', '635575.875', '635575.875', '0', '0', '0', '0', '0', '0', '0', '0', '7', '1990 BOCA ', '', '');
INSERT INTO buildings VALUES ('245', '14', '42', 'THEISSENGINEERS', TO_DATE('06/10/93','MM/DD/YY'), 'CLAY', 'IN', '2', 'S1', '1', '0', '3740', '1954', 'URM', 'N', '1993', '28000', 'AC', 'MIN', '', 'IO', 'SD', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'OK', 'NE', '28000', 'G', 'G', 'G', '0', '', '0', '3', '0', '0', '0', '0', '0', 'L', '74', '46', '74', '46', '12', '12', 'S', '', 'W', 'M', 'N', 'G', 'S', 'URM', 'SF', 'SW', 'SW', '7.49', '1', '1.15385', '1.15385', '32307.69140625', '32307.69140625', '0', '0', '0', '0', '0', '0', '0', '0', '10', 'NEHRP/UBC AS LOWER BOUND', '', '');
INSERT INTO buildings VALUES ('246', '16', '44', 'THEISSENGINEERS', TO_DATE('06/02/93','MM/DD/YY'), 'CAPEGIRARDEAU', 'MO', '5', 'S2', '2', '1', '12000', '1963', 'URM', 'N', '1992', '155000', 'AC', 'MIN', '', 'IO', 'SW', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'OK', 'NE', '155000', 'G', 'G', 'G', '', '', '', '4', '', '', '', '', '', 'R', '105', '50', '150', '50', '11.5', '23', 'S', 'S', 'W', 'M', 'N', 'F', 'S', 'URM', 'SF', 'SW', 'SW', '12.92', '1.0286', '1.12348', '1.15559', '179116.84375', '179116.84375', '0', '0', '0', '0', '0', '0', '0', '0', '10', '1990 BOCA ', '', '');
INSERT INTO buildings VALUES ('247', '16', '52', 'THEISSENGINEERS', TO_DATE('06/02/93','MM/DD/YY'), 'DUNKLIN', 'MO', '5', 'S2', '2', '0', '11500', '1950', 'C1', 'N', '1991', '192700', 'AC', 'MIN', '', 'IO', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'OK', 'NE', '192700', 'G', 'G', 'G', '', '', '', '6', '', '', '', '', '', 'R', '146', '50', '146', '50', '14', '26', 'C', 'C', 'C', 'M', 'N', 'F', 'C', '', 'SF', 'MF', 'MF', '16.76', '1.0596', '1.12348', '1.19046', '229401.203125', '229401.203125', '0', '0', '0', '0', '0', '0', '0', '0', '10', 'BOCA 90 ', '', '');
INSERT INTO buildings VALUES ('248', '14', '43', 'THEISSENGINEERS', TO_DATE('06/02/93','MM/DD/YY'), 'PEMISCOT', 'MO', '5', 'S2', '1', '0', '3670', '1964', 'URM', 'N', '1992', '138500', 'AC', 'MIN', '', 'IO', 'BF', 'EW', 'SD', 'SF', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'I', 'NE', '138500', 'G', 'G', 'G', '', '', '', '6', '', '', '', '', '', 'R', '75', '34', '75', '34', '16', '16', 'TT', '', 'PC', 'M', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '37.74', '1.0286', '1.12348', '1.15559', '160049.5625', '160049.5625', '0', '0', '0', '0', '0', '0', '0', '0', '10', 'BOCA 1990 ', '', '');
INSERT INTO buildings VALUES ('249', '10', '37', 'THEISSENGINEERS', TO_DATE('06/02/93','MM/DD/YY'), 'STLOUIS', 'MO', '3', 'S2', '1', '0', '88000', '1970', 'PC1', 'N', '1992', '113000', 'AC', 'MIN', '', 'LS', 'BF', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'NE', 'NE', 'NE', '113000', 'G', 'G', 'G', '', '', '', '2', '', '', '', '', '', 'OT', '520', '200', '500', '200', '23', '23', 'TT', '', 'MD', 'PC', 'N', 'F', 'C', 'PC', 'SF', 'SW', 'SW', '1.28', '1.0286', '1.12348', '1.15559', '130581.9609375', '130581.9609375', '0', '0', '0', '0', '0', '0', '0', '0', '10', 'BOCA 90 ', '', '');
INSERT INTO buildings VALUES ('250', '1', '10', 'THEISSENGINEERS', TO_DATE('06/09/93','MM/DD/YY'), 'STLOUIS', 'MO', '3', 'S1', '6', '1', '232600', '1904', 'URM', 'Y', '1993', '1862000', 'S', 'ADD', '', 'LS', 'BF', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'I', 'NE', '1640000', 'F', 'P', 'P', '', '', '', '', '', '', '', '222000', '', 'O', '250', '166', '250', '166', '15', '110', 'W', 'W', 'W', 'N', 'N', 'F', 'W', 'URM', 'SF', 'SW', 'SW', '7.05', '1', '1.12348', '1.12348', '2091923', '1842510.125', '0', '0', '0', '0', '0', '0', '249412.953125', '0', '7', '1993 BOCA ', '', '');
INSERT INTO buildings VALUES ('251', '1', '7', 'THEISSENGINEERS', TO_DATE('06/09/93','MM/DD/YY'), 'STLOUIS', 'MO', '3', 'S1', '21', '2', '1430300', '1913', 'S1', 'Y', '1991', '3577000', 'S', 'MIN', '', 'LS', 'BF', 'PB', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'NE', 'NE', 'NE', '3577000', 'F', '', 'P', '', '', '', '', '', '', '', '', '', 'O', '289', '249', '289', '249', '10.5', '310', 'S', 'S', 'C', 'M', 'N', 'F', 'S', '', 'P', 'MF', 'MF', '2.5', '1.0596', '1.12348', '1.19046', '4258267.5', '4258267.5', '0', '0', '0', '0', '0', '0', '0', '0', '7', '1990 BOCA ', '', '');
INSERT INTO buildings VALUES ('252', '14', '43', 'THEISSENGINEERS', TO_DATE('06/09/93','MM/DD/YY'), 'CLAY', 'IN', '2', 'S4', '1', '0', '4400', '1950', 'URM', 'N', '1993', '256750', 'AC', 'ADD', '', 'IO', 'SW', 'BF', 'SD', 'WT', '', '', 'Y', 'N', 'Y', 'N', 'IP', 'I', 'OK', 'I', 'NE', '161750', 'G', 'G', 'G', '', '', '', '3', '', '', '', '95000', '', 'L', '88', '66', '88', '66', '12', '12', 'S', '', 'OT', 'M', 'N', 'F', 'S', 'URM', 'SF', 'SW', 'SW', '36.76', '1', '1.15385', '1.15385', '296250', '186634.609375', '0', '0', '0', '0', '0', '0', '109615.3828125', '0', '10', 'NEHRP/UBC-90 AS LOWER BOUND ', '', '');
INSERT INTO buildings VALUES ('253', '9', '23', 'DEGENKOLB', TO_DATE('06/08/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', 'S3', '1', '0', '1536', '', 'C2', 'N', '1991', '22000', 'S', 'MIN', '', 'DC', 'BF', '', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'OK', 'NE', 'NE', '22000', 'G', 'P', 'P', '', '', '', '8', '', '', '', '', '', 'R', '48', '32', '48', '32', '14', '23', 'C', '', 'C', 'N', 'N', 'G', 'C', 'C', 'P', 'SW', 'SW', '14.32', '1.0596', '1', '1.05961', '23311.5234375', '23311.5234375', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'TITLE 24 - SCHOOLS', '', '');
INSERT INTO buildings VALUES ('254', '7', '23', 'RandCTEK/JMJ', TO_DATE('6/1/1993','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S3', '6', '1', '68250', '1923', 'C2', 'N', '1989', '6200000', 'AC', 'COM', '', 'LS', 'SW', 'SF', '', '', '', '', 'N', 'N', 'Y', 'Y', 'TR', 'I', 'I', 'I', 'NE', '2700000', 'G', 'G', 'G', '', '', '', '', '', '', '', '', '', 'L', '185', '94', '185', '94', '12', '79', 'C', 'C', 'C', 'CW', 'N', 'P', 'C', 'C', 'SF', 'SW', 'SW', '39.56', '1.1067', '1', '1.10668', '6861427.5', '2988041', '0', '0', '0', '0', '0', '0', '0', '0', '10', '70% OF 1988 UBC ', '', '');
INSERT INTO buildings VALUES ('255', '18', '49', 'RandCJMJ', TO_DATE('6/1/1993','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S1', '1', '0', '140000', '1919', 'C3', 'N', '1992', '15853000', 'S', 'MIN', '', 'IO', 'SW', 'SD', '', '', '', '', 'N', 'N', 'Y', 'N', 'V', 'I', 'OK', '', 'I', '5444000', 'G', 'G', 'G', '', '3000000', '634000', '16', '', '', '', '', '3070000', 'OT', '366', '165', '366', '165', '25', '25', 'FS', '', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '38.89', '1.0286', '1', '1.02858', '16306103', '5599597.5', '0', '3085744.5', '652120.6875', '0', '0', '0', '0', '3157745.25', '8', 'CITY OF SF', '', '');
INSERT INTO buildings VALUES ('256', '7', '14', 'RandCJMJ', TO_DATE('6/1/1993','MM/DD/YY'), 'ALAMEDA', 'CA', '7', 'S1', '1', '1', '167700', '1933', 'S4', 'N', '1990', '5400000', 'S', 'MIN', '', 'LS', 'SW', 'SD', 'SF', 'PB', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', '', '4200000', 'G', 'G', 'G', '', '', '', '', '', '', '', '', '1181000', 'R', '', '', '', '', '', '', 'S', '', 'C', 'N', 'N', 'G', 'S', '', 'SF', 'SW', 'SW', '25.04', '1.0788', '1', '1.07883', '5825684.5', '4531088', '0', '0', '0', '0', '0', '0', '0', '1274098.75', '8', '75% OF 1988 UBC ', '', '');
INSERT INTO buildings VALUES ('257', '9', '23', 'RandCJMJ', TO_DATE('6/1/1993','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S1', '2', '1', '91032', '1964', 'S4', 'N', '1993', '1974000', 'S', 'MIN', '', 'DC', 'SW', 'SD', '', '', '', '', 'N', 'N', 'Y', 'N', 'V', 'I', 'I', '', 'I', '483000', 'G', 'G', 'G', '', '375000', '80000', '6', '', '', '', '', '', 'R', '201', '172', '', '', '18', '48', 'S', 'S', 'C', 'N', 'N', 'G', 'S', '', '', 'SW', 'SW', '5.31', '1', '1', '1', '1974000', '483000', '0', '375000', '80000', '0', '0', '0', '0', '0', '8', 'SITE SPECIFIC RESPONSE SPECTRA', '', '');
INSERT INTO buildings VALUES ('258', '1', '9', 'RandCJMJ/HF', TO_DATE('6/1/1993','MM/DD/YY'), 'SANTACLARA', 'CA', '7', 'S2', '3', '0', '42900', '1900', 'URM', 'Y', '1992', '7000000', 'S', 'ADD', '', 'LS', 'EW', 'SD', '', '', '', '', 'N', 'Y', 'Y', 'Y', 'V', 'I', 'I', '', 'I', '3500000', 'G', 'G', 'G', '', '500000', '162000', '', '', '', '', '', '', 'L', '151', '120', '151', '120', '13', '40', 'TT', 'W', 'W', 'ST', 'N', 'P', 'W', 'URM', 'SF', 'SW', 'SW', '81.59', '1.0286', '1', '1.02858', '7200070.5', '3600035.25', '0', '514290.75', '166630.203125', '0', '0', '0', '0', '0', '8', 'COUNTY OF SANTA CLARA V=0 133W', '', '');
INSERT INTO buildings VALUES ('259', '7', '40', 'RandCTEK/JMJ', TO_DATE('6/1/1993','MM/DD/YY'), 'SANTACLARA', 'CA', '7', 'S2', '8', '0', '109600', '1965', 'C2', 'N', '1993', '2067000', 'AC', 'ADD', '', 'LS', 'SW', 'SF', '', '', '', '', 'N', 'N', 'Y', 'N', 'IP', 'I', 'I', 'NE', 'NE', '1331000', 'G', 'G', 'G', '', '', '', '10', '', '', '', '44000', '', 'R', '140', '68', '140', '68', '9.5', '75', 'FS', 'FS', 'PC', 'CW', 'N', 'F', 'C', '', 'SF', 'SW', 'SW', '12.14', '1', '1', '1', '2067000', '1331000', '0', '0', '0', '0', '0', '0', '44000', '0', '10', '75% OF 1991 UBC ', '', '');
INSERT INTO buildings VALUES ('260', '7', '37', 'DEGENKOLB', TO_DATE('06/16/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '1', '0', '11150', '1962', 'RM1', 'N', '1993', '37983', 'AC', 'MIN', '', 'LS', 'EW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'NE', 'NE', '37983', 'G', 'G', 'G', '', '', '', '', '', '', '', '', '', 'R', '223', '50', '223', '50', '14', '14', 'S', '', 'W', 'N', 'N', 'G', '', 'RM', '', 'SW', 'SW', '3.41', '1', '1', '1', '37983', '37983', '0', '0', '0', '0', '0', '0', '0', '0', '10', '1976 UBC/EMERYVILLE URM ORDI.', '', '');
INSERT INTO buildings VALUES ('261', '7', '37', 'DEGENKOLB', TO_DATE('06/16/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '1', '0', '16000', '1927', 'URM', 'N', '1993', '64402', 'AC', 'MIN', '', 'LS', 'BF', 'EW', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'NE', 'NE', '64402', 'G', 'G', 'G', '', '8000', '', '', '', '', '', '', '', 'L', '328', '35', '328', '35', '20', '20', 'TT', '', 'W', 'N', 'N', 'F', '', 'URM', '', 'SW', 'SW', '4.03', '1', '1', '1', '64402', '64402', '0', '8000', '0', '0', '0', '0', '0', '0', '10', 'EMERYVILLE ORDI NCE 90-6 ', '', '');
INSERT INTO buildings VALUES ('262', '8', '23', 'DEGENKOLB', TO_DATE('06/16/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '2', '0', '35640', '1950', 'C1', 'N', '1988', '458000', 'S', 'ADD', '', 'LS', 'SW', '', '', '', '', '', 'N', 'N', 'Y', 'N', 'V', 'I', 'I', 'I', 'NE', '338000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '400', '45', '400', '45', '15', '30', 'C', 'C', 'C', 'CW', 'N', 'G', 'C', 'C', 'P', 'MF', 'SW', '9.48', '1.122', '1', '1.12202', '513883.75', '379241.71875', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('263', '1', '10', 'DEGENKOLB', TO_DATE('06/16/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', '', '4', '1', '11800', '1908', 'S5', 'N', '1990', '586000', 'S', 'ADD', '', 'LS', 'EW', 'SD', 'WT', '', '', '', 'N', 'Y', 'N', 'N', 'V', 'I', 'I', 'NE', 'NE', '531000', 'G', 'P', 'P', '', '', '', '', '', '', '55000', '', '', 'R', '80', '27.5', '80', '27.5', '13', '67', 'TT', 'S', 'W', 'N', 'N', 'G', 'S', '', '', 'SW', 'SW', '45', '1.0788', '1', '1.07883', '632194.6875', '572859', '0', '0', '0', '0', '0', '59335.67578125', '0', '0', '7', 'SECTION 2313 SF BLDG CODE', '', '');
INSERT INTO buildings VALUES ('264', '10', '12', 'DEGENKOLB', TO_DATE('06/16/93','MM/DD/YY'), 'SANMATEO', 'CA', '7', '', '1', '0', '99000', '1970', 'PC1', 'N', '1989', '120000', 'S', 'MIN', '', 'LS', 'WT', '', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'NE', 'NE', '120000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '366', '289', '366', '289', '25', '25', 'S', '', 'W', 'N', 'N', 'G', 'C', 'PC', 'SF', 'SW', 'SW', '1.21', '1.1067', '1', '1.10668', '132801.8125', '132801.8125', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('265', '13', '41', 'DEGENKOLB', TO_DATE('06/11/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', '', '1', '0', '11200', '', 'RM1', 'N', '1992', '17756', 'AC', 'MIN', '', 'RR', 'WT', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'NE', 'NE', '17756', 'G', 'G', 'G', '', '5000', '', '', '', '', '', '', '', 'R', '160', '70', '160', '70', '35', '35', 'W', '', 'W', 'N', 'N', 'G', 'C', 'RM', '', 'SW', 'SW', '1.59', '1.0286', '1', '1.02858', '18263.4921875', '18263.4921875', '0', '5142.9077148438', '0', '0', '0', '0', '0', '0', '10', '', 'PARTY WALL ON ONE SIDE', '');
INSERT INTO buildings VALUES ('266', '7', '23', 'DEGENKOLB', TO_DATE('06/04/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '5', '1', '124800', '1954', 'C2', 'N', '1988', '20832000', 'S', 'COM', '', 'LS', 'SW', 'EF', '', '', '', '', 'Y', 'Y', 'Y', 'N', 'TR', 'I', 'OK', 'NE', 'I', '383000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '310', '135', '135', '47', '13.5', '81', 'C', 'C', 'C', 'M', 'N', 'G', 'C', 'C', 'SF', 'SW', 'SW', '3.07', '1.122', '1', '1.12202', '23373856', '429732.46875', '0', '0', '0', '0', '0', '0', '0', '0', '7', '', '', '');
INSERT INTO buildings VALUES ('267', '7', '37', 'DEGENKOLB', TO_DATE('06/16/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', '', '1', '0', '11110', '', 'RM1', 'N', '1993', '15780', 'AC', 'MIN', '', 'LS', 'WT', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'NE', 'NE', '15780', 'G', 'F', 'F', '', '', '', '', '', '', '', '', '', 'R', '161', '69', '161', '69', '', '', 'TT', '', 'W', 'N', 'N', 'G', '', 'RM', 'SF', 'SW', 'SW', '1.42', '1', '1', '1', '15780', '15780', '0', '0', '0', '0', '0', '0', '0', '0', '9', 'UCBC', '', '');
INSERT INTO buildings VALUES ('268', '7', '12', 'RandCJMJ', TO_DATE('6/1/1993','MM/DD/YY'), 'SANTACLARA', 'CA', '7', 'S3', '1', '0', '19691', '1933', 'C2', 'N', '1984', '501000', 'S', 'MIN', '', 'LS', 'EW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'OK', 'I', 'I', '490000', 'G', 'F', 'F', '', '', '', '', '', '', '', '', '11000', 'R', '130', '88', '130', '88', '63', '63', 'S', '', 'W', 'N', 'N', 'G', 'S', 'C', '', 'SW', 'SW', '24.88', '1.206', '1', '1.20604', '604226.3125', '590959.875', '0', '0', '0', '0', '0', '0', '0', '13266.4453125', '7', 'SITE SPECIFIC RESPONSE', '', '');
INSERT INTO buildings VALUES ('269', '17', '52', 'RandCJMJ', TO_DATE('6/1/1993','MM/DD/YY'), 'SANTACLARA', 'CA', '7', 'S3', '1', '0', '14000', '1964', 'S3', 'N', '1984', '26000', 'S', 'MIN', '', 'IO', 'BF', 'EF', 'SD', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'NE', 'NE', 'NE', '26000', 'G', 'F', 'F', '', '', '', '', '', '', '', '', '', 'R', '120', '100', '120', '100', '17', '17', 'S', '', 'MD', 'N', 'N', 'G', 'S', '', 'P', 'BF', 'MF', '1.86', '1.206', '1', '1.20604', '31357.052734375', '31357.052734375', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'SITE SPECIFIC RESPONSE', '', '');
INSERT INTO buildings VALUES ('270', '17', '45', 'RandCJMJ', TO_DATE('6/1/1993','MM/DD/YY'), 'SANTACLARA', 'CA', '7', 'S3', '2', '0', '44000', '1933', 'C2', 'N', '1984', '55000', 'S', 'MIN', '', 'IO', 'EW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'NE', 'NE', 'NE', '55000', 'G', 'F', 'F', '', '', '', '', '', '', '', '', '', 'R', '220', '100', '220', '100', '12', '26', 'FS', 'FS', 'C', 'N', 'N', 'G', 'C', 'C', 'SF', 'SW', 'SW', '1.25', '1.206', '1', '1.20604', '66332.2265625', '66332.2265625', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'SITE SPECIFIC RESPONSE', '', '');
INSERT INTO buildings VALUES ('271', '7', '14', 'RandCJMJ', TO_DATE('6/1/1993','MM/DD/YY'), 'SANTACLARA', 'CA', '7', 'S3', '2', '0', '138360', '1933', 'C2', 'N', '1984', '250000', 'S', 'MIN', '', 'LS', 'EW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '250000', 'G', 'F', 'F', '', '', '', '', '', '', '', '', '', 'OT', '598', '204', '598', '204', '12', '41', 'FS', 'FS', 'C', 'N', 'N', 'G', 'C', 'C', 'SF', 'SW', 'SW', '1.81', '1.206', '1', '1.20604', '301510.125', '301510.125', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'SITE SPECIFIC RESPONSE', '', '');
INSERT INTO buildings VALUES ('272', '7', '12', 'RandCJMJ', TO_DATE('6/1/1993','MM/DD/YY'), 'SANTACLARA', 'CA', '7', 'S3', '1', '0', '13379', '1945', 'W1', 'N', '1984', '32000', 'S', 'MIN', '', 'LS', 'SW', 'EW', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '32000', 'G', 'F', 'F', '', '', '', '', '', '', '', '', '', 'OT', '164', '129', '164', '129', '13', '22', 'W', '', 'W', 'N', 'N', 'G', '', 'W', 'SF', 'SW', 'SW', '2.39', '1.206', '1', '1.20604', '38593.296875', '38593.296875', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'SITE SPECIFIC RESPONSE', '', '');
INSERT INTO buildings VALUES ('273', '17', '52', 'RandCJMJ', TO_DATE('6/1/1993','MM/DD/YY'), 'SANTACLARA', 'CA', '7', 'S3', '1', '0', '160000', '1952', 'S2', 'N', '1984', '1300000', 'S', 'MIN', '', 'IO', 'BF', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'NE', 'NE', 'NE', '1300000', 'G', 'F', 'F', '', '', '', '', '', '', '', '', '', 'R', '800', '200', '800', '200', '24', '24', 'S', '', 'MD', 'N', 'N', 'G', 'S', '', 'SF', 'BF', 'SW', '8.13', '1.206', '1', '1.20604', '1567852.625', '1567852.625', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'SITE SPECIFIC RESPONSE', '', '');
INSERT INTO buildings VALUES ('274', '7', '12', 'RandCJMJ', TO_DATE('6/1/1993','MM/DD/YY'), 'SANTACLARA', 'CA', '7', 'S3', '1', '0', '35245', '1952', 'S1', 'N', '1984', '70000', 'S', 'MIN', '', 'LS', 'BF', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '70000', 'G', 'F', 'F', '', '', '', '', '', '', '', '', '', 'R', '220', '120', '220', '120', '22', '22', 'S', '', 'MD', 'N', 'N', 'G', 'S', '', 'SF', 'MF', 'MF', '1.99', '1.206', '1', '1.20604', '84422.8359375', '84422.8359375', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'SITE SPECIFIC RESPONSE', '', '');
INSERT INTO buildings VALUES ('275', '7', '14', 'RandCJMJ', TO_DATE('6/1/1993','MM/DD/YY'), 'SANTACLARA', 'CA', '7', 'S3', '1', '0', '18340', '1953', 'C2', 'N', '1984', '64000', 'S', 'MIN', '', 'LS', 'EW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '64000', 'G', 'F', 'F', '', '', '', '', '', '', '', '', '', 'R', '263', '75', '263', '75', '18', '18', 'C', '', 'C', 'N', 'N', 'G', 'C', 'C', 'SF', 'SW', 'SW', '3.49', '1.206', '1', '1.20604', '77186.59375', '77186.59375', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'SITE SPECIFIC RESPONSE', '', '');
INSERT INTO buildings VALUES ('276', '7', '13', 'RandCJMJ', TO_DATE('6/1/1993','MM/DD/YY'), 'SANTACLARA', 'CA', '7', 'S3', '1', '0', '8800', '1953', 'C2', 'N', '1984', '21000', 'S', 'MIN', '', 'LS', 'EW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '21000', 'G', 'F', 'F', '', '', '', '', '', '', '', '', '', 'R', '181', '48.5', '181', '48.5', '10', '16', 'C', '', 'C', 'N', 'N', 'G', 'C', 'C', 'SF', 'SW', 'SW', '2.39', '1.206', '1', '1.20604', '25326.849609375', '25326.849609375', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'SITE SPECIFIC RESPONSE', '', '');
INSERT INTO buildings VALUES ('277', '7', '12', 'RandCJMJ', TO_DATE('6/1/1993','MM/DD/YY'), 'SANTACLARA', 'CA', '7', 'S3', '1', '0', '14290', '1941', 'W1', 'N', '1984', '49000', 'S', 'MIN', '', 'LS', 'SW', 'EW', 'SD', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '49000', 'G', 'F', 'F', '', '', '', '', '', '', '', '', '', 'R', '166', '113', '166', '113', '13', '13', 'W', '', 'W', 'N', 'N', 'G', 'W', 'W', 'SF', 'SW', 'SW', '3.43', '1.206', '1', '1.20604', '59095.984375', '59095.984375', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'SITE SPECIFIC RESPONSE', '', '');
INSERT INTO buildings VALUES ('278', '20', '56', 'RandCJMJ', TO_DATE('6/1/1993','MM/DD/YY'), 'SANTACLARA', 'CA', '7', 'S3', '1', '0', '14210', '1941', 'W1', 'N', '1984', '127000', 'S', 'MIN', '', 'IO', 'SW', 'EW', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '127000', 'G', 'F', 'F', '', '', '', '', '', '', '', '', '', 'OT', '158', '158', '158', '158', '17', '17', 'TT', '', 'W', 'N', 'N', 'G', '', 'W', 'SF', 'SW', 'SW', '8.94', '1.206', '1', '1.20604', '153167.140625', '153167.140625', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'SITE SPECIFIC RESPONSE', '', '');
INSERT INTO buildings VALUES ('279', '17', '52', 'RandCJMJ', TO_DATE('6/1/1993','MM/DD/YY'), 'SANTACLARA', 'CA', '7', 'S3', '1', '0', '6660', '1965', 'S4', 'N', '1984', '22000', 'S', 'MIN', '', 'IO', 'BF', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '22000', 'G', 'F', 'F', '', '', '', '', '', '', '', '', '', 'R', '109', '68', '109', '68', '17', '17', 'S', '', 'MD', 'N', 'N', 'G', 'S', '', 'P', 'SW', 'SW', '3.3', '1.206', '1', '1.20604', '26532.890625', '26532.890625', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'SITE SPECIFIC RESPONSE', '', '');
INSERT INTO buildings VALUES ('280', '10', '12', 'RandCJMJ', TO_DATE('6/1/1993','MM/DD/YY'), 'SANTACLARA', 'CA', '7', 'S3', '3', '0', '48800', '1970', 'RM2', 'N', '1984', '35000', 'S', 'MIN', '', 'LS', 'EW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '35000', 'G', 'F', 'F', '', '', '', '', '', '', '', '', '', 'R', '170', '58', '170', '58', '9.5', '29', 'S', 'S', 'PC', 'N', 'N', 'G', '', 'RM', 'SF', 'SW', 'SW', '0.72', '1.206', '1', '1.20604', '42211.41796875', '42211.41796875', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'SITE SPECIFIC RESPONSE', '', '');
INSERT INTO buildings VALUES ('281', '17', '51', 'RandCJMJ', TO_DATE('6/1/1993','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S1', '2', '1', '91032', '1964', 'S4', 'N', '1993', '11481000', 'S', 'MIN', '', 'IO', 'IS', '', '', '', '', '', 'N', 'N', 'Y', 'N', 'V', 'I', 'I', 'I', 'I', '6832000', 'G', 'F', 'F', '', '3000000', '460000', '14', '', '', '', '', '', 'R', '201', '172', '201', '172', '18', '48', 'S', 'S', 'C', 'N', 'N', 'G', 'S', '', '', 'SW', 'SW', '75.05', '1', '1', '1', '11481000', '6832000', '0', '3000000', '460000', '0', '0', '0', '0', '0', '8', 'SITE SPECIFIC RESPONSE', '', '');
INSERT INTO buildings VALUES ('282', '1', '10', 'RandCJMJ', TO_DATE('6/1/1993','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S3', '7', '1', '117000', '1916', 'C3', 'N', '1992', '3600000', 'S', 'ADD', '', 'RR', 'SW', 'SD', '', '', '', '', 'N', 'N', 'Y', 'N', 'IP', 'I', 'NE', 'NE', 'NE', '3000000', 'G', 'F', 'F', '', '', '', '', '', '', '', '600000', '', 'OT', '200', '150', '200', '15', '14', '110', 'C', 'C', 'C', 'M', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '25.64', '1.0286', '1', '1.02858', '3702893.5', '3085744.5', '0', '0', '0', '0', '0', '0', '617148.875', '0', '8', '50% OF SF CODE 104F ', '', '');
INSERT INTO buildings VALUES ('283', '20', '56', 'RandCJMJ', TO_DATE('6/1/1993','MM/DD/YY'), 'YOLO', 'CA', '5', 'S2', '2', '1', '19000', '', 'W1', 'N', '1972', '50000', 'S', 'ADD', '', 'IO', 'SW', 'EW', 'SD', 'SF', '', '', 'N', 'N', 'Y', 'Y', 'TR', 'I', 'I', 'NE', 'NE', '25000', 'G', 'G', 'F', '', '5700', '', '', '', '', '', '', '', 'OT', '150', '36', '150', '36', '10', '40', 'W', 'W', 'W', 'N', 'N', 'G', 'W', 'W', 'SF', 'SW', 'SW', '1.32', '2.7815', '1', '2.78149', '139074.4375', '69537.21875', '0', '15854.485351563', '0', '0', '0', '0', '0', '0', '6', 'V=0 133W TITLE 24 (PRE-1972)', '', '');
INSERT INTO buildings VALUES ('284', '9', '23', 'RandCJMJ', TO_DATE('6/1/1993','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S1', '2', '0', '23000', '1923', 'C2', 'N', '1992', '2373200', 'S', 'MIN', '', 'DC', 'SW', 'SD', '', '', '', '', 'N', 'N', 'Y', 'N', 'V', 'I', 'OK', 'I', 'I', '1152000', 'G', 'F', 'F', '', '450908', '94928', '12', '', '', '', '', '94330', 'R', '207', '111', '207', '111', '13', '26', 'C', 'C', 'C', 'N', 'N', 'G', 'C', 'C', 'SF', 'SW', 'SW', '50.09', '1.0286', '1', '1.02858', '2441029.5', '1184925.875', '0', '463795.625', '97641.1875', '0', '0', '0', '0', '97026.09375', '8', 'UBC ', '', '');
INSERT INTO buildings VALUES ('285', '9', '20', 'RandCJMJ', TO_DATE('6/1/1993','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S1', '3', '0', '45400', '1931', 'C2', 'N', '1992', '2743500', 'S', 'MIN', '', 'DC', 'SW', '', '', '', '', '', 'N', 'N', 'Y', 'N', 'V', 'I', 'I', 'I', 'I', '1300000', 'G', 'F', 'F', '', '521265', '109740', '12', '', '', '', '', '994300', 'OT', '186', '90', '186', '90', '15', '47', 'S', 'S', 'C', 'M', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '28.63', '1.0286', '1', '1.02858', '2821913.25', '1337156', '0', '536163.5625', '112876.53125', '0', '0', '0', '0', '1022718.5625', '8', 'UBC ', '', '');
INSERT INTO buildings VALUES ('286', '7', '40', 'RandCJMJ', TO_DATE('6/1/1993','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S1', '1', '0', '6920', '1950', 'C2', 'N', '1992', '64200', 'S', 'MIN', '', 'LS', 'SD', '', '', '', '', '', 'N', 'N', 'Y', 'N', 'IP', 'I', 'I', 'I', 'I', '20000', 'G', 'F', 'F', '', '12198', '2568', '2', '', '', '', '', '18000', 'OT', '118', '67', '118', '67', '16', '16', 'W', '', 'W', 'M', 'N', 'G', 'S', 'C', 'SF', 'SW', 'SW', '2.89', '1.0286', '1', '1.02858', '66034.9296875', '20571.630859375', '0', '12546.63671875', '2641.39721679688', '0', '0', '0', '0', '18514.466796875', '8', '75% UBC ', '', '');
INSERT INTO buildings VALUES ('287', '7', '40', 'RandCJMJ', TO_DATE('6/1/1993','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S1', '2', '0', '4550', '1950', 'S1', 'N', '1992', '69400', 'S', 'MIN', '', 'LS', 'SD', '', '', '', '', '', 'N', 'N', 'Y', 'N', 'IP', 'I', 'OK', 'I', 'I', '24200', 'G', 'F', 'F', '', '13186', '2776', '3', '', '', '', '', '14400', 'R', '69', '50', '69', '50', '13', '23', 'W', 'C', 'C', 'N', 'N', 'G', 'S', 'C', 'SF', 'SW', 'MF', '5.32', '1.0286', '1', '1.02858', '71383.5546875', '24891.671875', '0', '13562.875976563', '2855.34228515625', '0', '0', '0', '0', '14811.5732421875', '8', '75% UBC ', '', '');
INSERT INTO buildings VALUES ('288', '1', '3', 'RandCJMJ', TO_DATE('6/1/1993','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S1', '2', '0', '5700', '1916', 'URM', 'N', '1992', '790000', 'S', 'MIN', '', 'LS', 'SW', 'SD', '', '', '', '', 'N', 'N', 'Y', 'N', 'V', 'I', 'I', 'I', 'I', '420000', 'G', 'F', 'F', '', '150000', '32000', '8', '', '', '', '', '44530', 'OT', '85', '60', '85', '60', '19', '35', 'W', 'S', 'C', 'N', 'N', 'G', 'S', 'URM', 'SF', 'SW', 'SW', '73.68', '1.0286', '1', '1.02858', '812579.375', '432004.21875', '0', '154287.21875', '32914.609375', '0', '0', '0', '0', '45802.734375', '8', '75% UBC ', '', '');
INSERT INTO buildings VALUES ('289', '7', '40', 'RandCJMJ', TO_DATE('6/1/1993','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S1', '1', '0', '5428', '1958', 'RM1', 'N', '1992', '172900', 'S', 'MIN', '', 'LS', 'EW', 'SD', '', '', '', '', 'N', 'N', 'Y', 'N', 'IP', 'I', 'I', 'I', 'I', '75000', 'G', 'F', 'F', '', '33000', '7000', '4', '', '', '', '', '18000', 'OT', '103', '81', '103', '81', '18', '18', 'S', '', 'W', 'N', 'N', 'G', '', 'RM', 'SF', 'SW', 'SW', '13.82', '1.0286', '1', '1.02858', '177841.734375', '77143.609375', '0', '33943.19140625', '7200.0703125', '0', '0', '0', '0', '18514.466796875', '8', '75% UBC ', '', '');
INSERT INTO buildings VALUES ('290', '7', '23', 'RandCJMJ', TO_DATE('6/1/1993','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S1', '3', '0', '108300', '1956', 'C2', 'N', '1993', '800000', 'S', 'MIN', '', 'LS', 'SW', 'SF', '', '', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '756000', 'G', 'F', 'F', '', '', '', '', '', '', '', '', '', 'OT', '', '', '', '', '11', '34', 'FS', 'FS', 'PT', 'N', 'N', 'G', 'S', 'C', '', 'SW', 'SW', '6.98', '1', '1', '1', '800000', '756000', '0', '0', '0', '0', '0', '0', '0', '0', '8', '75% UBC ', '', '');
INSERT INTO buildings VALUES ('292', '1', '6', 'RandCJMJ', TO_DATE('6/1/1993','MM/DD/YY'), 'OLDSANJUAN', 'PR', '5', 'S3', '3', '1', '47600', '1914', 'URM', 'Y', '1991', '4955000', 'S', 'MIN', '', 'DC', 'SW', 'SD', 'SF', '', '', '', 'N', 'N', 'Y', 'N', 'V', 'I', 'I', 'I', 'NE', '4128000', 'G', 'F', 'F', '', '', '', '', '', '', '', '', '827000', 'R', '170', '70', '170', '70', '16', '65', 'S', 'S', 'C', 'N', 'N', 'G', '', 'URM', 'P', 'SW', 'SW', '86.72', '1.0596', '0.78', '0.82649', '4095304.5', '3411789.5', '0', '0', '0', '0', '0', '0', '0', '683515', '8', 'GSA 1988 UBC', '', '');
INSERT INTO buildings VALUES ('293', '5', '23', 'RandCJMJ', TO_DATE('6/1/1993','MM/DD/YY'), 'YOLO', 'CA', '5', 'S2', '2', '0', '24700', '1946', 'C2', 'N', '1973', '50000', 'S', 'ADD', '', 'LS', 'SW', '', '', '', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '36000', 'F', 'F', 'F', '', '', '', '', '', '', '', '', '', 'R', '235', '52.5', '235', '52.5', '14', '29', 'C', 'C', 'C', 'N', 'N', 'G', 'C', 'C', '', 'SW', 'SW', '1.46', '2.5615', '1', '2.56151', '128075.578125', '92214.4140625', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'V=0 133W TITLE 24 (PRE 1972)', '', '');
INSERT INTO buildings VALUES ('294', '11', '20', 'DEGENKOLB', TO_DATE('6/1/1993','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '5', '0', '73000', '1929', 'S5', 'N', '1986', '3229000', 'S', 'COM', '', 'LS', 'BF', 'SF', 'PB', '', '', '', 'Y', 'N', 'Y', 'Y', 'V', 'I', 'I', 'I', 'NE', '892000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '212', '78', '212', '78', '11', '59', 'S', 'S', 'W', 'M', 'N', 'F', 'S', '', '', 'SW', 'SW', '12.22', '1.174', '1', '1.17398', '3790791.5', '1047192.9375', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'UCBC', '', '');
INSERT INTO buildings VALUES ('295', '17', '55', 'DEGENKOLB', TO_DATE('6/1/1993','MM/DD/YY'), 'SANTACLARA', 'CA', '7', '', '7', '1', '305000', '1968', 'C2', 'N', '1987', '37400000', 'S', 'ADD', '', 'IO', 'SW', 'BF', 'SD', '', '', '', 'N', 'Y', 'Y', 'N', 'TR', 'I', 'I', 'NE', 'I', '12270000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '512', '140', '414', '78', '11', '87.5', 'FS', 'FS', 'PT', 'PC', 'N', 'G', 'C', 'C', 'SF', 'SW', 'SW', '40.23', '1.1472', '1', '1.14719', '42904764', '14075974', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'TITLE 24- HOSPITALS ', '', '');
INSERT INTO buildings VALUES ('296', '7', '23', 'DEGENKOLB', TO_DATE('06/18/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', '', '7', '1', '305000', '1968', 'C2', 'N', '1987', '6650000', 'S', 'ADD', '', 'LS', 'SW', 'BF', 'EW', '', '', '', 'N', 'Y', 'Y', 'N', 'TR', 'I', 'I', 'NE', 'NE', '3450000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '512', '140', '414', '78', '11', '87.5', 'FS', 'FS', 'PT', 'PC', 'N', 'G', 'C', 'C', 'SF', 'SW', 'SW', '11.31', '1.1472', '1', '1.14719', '7628788', '3957792.25', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('297', '17', '51', 'DEGENKOLB', TO_DATE('06/18/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '13', '0', '182000', '1969', 'S1', 'N', '1990', '33061000', 'S', 'MIN', '', 'IO', 'BF', 'EF', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '33061000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '246', '82', '246', '82', '13', '179', 'S', 'S', 'MDF', 'CW', 'N', 'G', 'S', '', 'P', 'MF', 'MF', '181.65', '1.0788', '1', '1.07883', '35667216', '35667216', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'TITLE 24 - HOSPITAL ', '', '');
INSERT INTO buildings VALUES ('298', '7', '24', 'DEGENKOLB', TO_DATE('06/18/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '13', '0', '182000', '1969', 'S1', 'N', '1990', '9473000', 'S', 'MIN', '', 'LS', 'BF', 'EF', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '9473000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '246', '82', '246', '82', '13', '179', 'S', 'S', 'MDF', 'CW', 'N', 'G', 'S', '', 'P', 'MF', 'MF', '52.05', '1.0788', '1', '1.07883', '10219761', '10219761', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('299', '17', '49', 'DEGENKOLB', TO_DATE('06/18/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '2', '0', '19350', '1942', 'C2', 'N', '1990', '1408000', 'S', 'MIN', '', 'IO', 'SW', 'EW', 'EF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '1408000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '180', '122', '180', '122', '13', '26', 'C', 'C', 'C', 'N', 'N', 'G', 'C', 'C', 'SF', 'SW', 'SW', '72.76', '1.0788', '1', '1.07883', '1518993.375', '1518993.375', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'TITLE 24 - HOSPITALS', '', '');
INSERT INTO buildings VALUES ('300', '7', '23', 'DEGENKOLB', TO_DATE('06/18/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '2', '0', '19350', '1942', 'C2', 'N', '1990', '912000', 'S', 'MIN', '', 'LS', 'SW', 'EW', 'EF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '912000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '180', '122', '180', '122', '13', '26', 'C', 'C', 'C', 'N', 'N', 'G', 'C', 'C', 'SF', 'SW', 'SW', '47.13', '1.0788', '1', '1.07883', '983893.375', '983893.375', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('301', '7', '23', 'DEGENKOLB', TO_DATE('06/18/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '3', '0', '35000', '1943', 'C2', 'N', '1990', '734000', 'S', 'MIN', '', 'LS', 'EW', 'EF', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '734000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '207', '85', '207', '85', '13', '50', 'C', 'C', 'C', 'N', 'N', 'G', 'C', 'C', 'SF', 'SW', 'SW', '20.97', '1.0788', '1', '1.07883', '791861.5625', '791861.5625', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('302', '17', '49', 'DEGENKOLB', TO_DATE('06/18/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '3', '0', '35000', '1943', 'C2', 'N', '1990', '1191000', 'S', 'MIN', '', 'IO', 'EW', 'EF', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '1191000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '207', '85', '207', '85', '13', '50', 'C', 'C', 'C', 'N', 'N', 'G', 'C', 'C', 'SF', 'SW', 'SW', '34.03', '1.0788', '1', '1.07883', '1284887.125', '1284887.125', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'TITLE 24 - HOSPITALS', '', '');
INSERT INTO buildings VALUES ('303', '17', '49', 'DEGENKOLB', TO_DATE('06/18/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '2', '0', '20200', '1943', 'C2', 'N', '1990', '1479000', 'S', 'MIN', '', 'IO', 'EW', 'EF', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '1479000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '194', '52', '194', '52', '13', '26', 'C', 'C', 'C', 'N', 'N', 'G', 'C', 'C', 'SF', 'SW', 'SW', '73.22', '1.0788', '1', '1.07883', '1595590.25', '1595590.25', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'TITLE 24 - HOSPITALS', '', '');
INSERT INTO buildings VALUES ('304', '7', '23', 'DEGENKOLB', TO_DATE('06/18/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '2', '0', '20200', '1943', 'C2', 'N', '1990', '877000', 'S', 'MIN', '', 'LS', 'EW', 'EF', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '877000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '194', '52', '194', '52', '13', '26', 'C', 'C', 'C', 'N', 'N', 'G', 'C', 'C', 'SF', 'SW', 'SW', '43.42', '1.0788', '1', '1.07883', '946134.3125', '946134.3125', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('305', '17', '49', 'DEGENKOLB', TO_DATE('06/17/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '2', '0', '20500', '1943', 'C2', 'N', '1990', '2176000', 'S', 'MIN', '', 'IO', 'EW', 'EF', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '2176000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '271', '137', '271', '137', '13', '26', 'C', 'C', 'C', 'N', 'N', 'G', 'C', 'C', 'SF', 'SW', 'SW', '106.15', '1.0788', '1', '1.07883', '2347535.25', '2347535.25', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'TITLE 24 - HOSPITALS', '', '');
INSERT INTO buildings VALUES ('306', '7', '23', 'DEGENKOLB', TO_DATE('06/17/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '2', '0', '20500', '1943', 'C2', 'N', '1990', '1159000', 'S', 'MIN', '', 'LS', 'EW', 'EF', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '877000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '271', '137', '271', '137', '13', '26', 'C', 'C', 'C', 'N', 'N', 'G', 'C', 'C', 'SF', 'SW', 'SW', '42.78', '1.0788', '1', '1.07883', '1250364.5', '946134.3125', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('307', '17', '48', 'DEGENKOLB', TO_DATE('06/17/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '3', '0', '54300', '1959', 'C2', 'N', '1990', '1510000', 'S', 'MIN', '', 'IO', 'SW', 'EW', 'EF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '1510000', 'F', 'P', 'P', '', '', '', '', '', '', '', '', '', 'L', '249', '120', '249', '120', '12', '48', 'C', 'C', 'C', 'CW', 'N', 'G', 'C', 'C', 'SF', 'SW', 'SW', '27.81', '1.0788', '1', '1.07883', '1629034', '1629034', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'TITLE 24 - HOSPITALS', '', '');
INSERT INTO buildings VALUES ('308', '7', '23', 'DEGENKOLB', TO_DATE('06/17/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '3', '0', '54300', '1959', 'C2', 'N', '1990', '769000', 'S', 'MIN', '', 'LS', 'SW', 'EW', 'EF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '769000', 'F', 'P', 'P', '', '', '', '', '', '', '', '', '', 'L', '249', '120', '249', '120', '12', '48', 'C', 'C', 'C', 'CW', 'N', 'G', 'C', 'C', 'SF', 'SW', 'SW', '14.16', '1.0788', '1', '1.07883', '829620.625', '829620.625', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('309', '14', '43', 'DEGENKOLB', TO_DATE('06/17/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '2', '0', '1800', '1966', 'S1', 'N', '1990', '176000', 'S', 'MIN', '', 'IO', 'SW', 'BF', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '176000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '50', '18', '50', '18', '13', '26', 'S', 'S', 'MDF', 'N', 'N', 'G', 'S', '', 'P', 'MF', 'MF', '97.78', '1.0788', '1', '1.07883', '189874.171875', '189874.171875', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'TITLE 24 - HOSPITALS', '', '');
INSERT INTO buildings VALUES ('310', '7', '24', 'DEGENKOLB', TO_DATE('06/17/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '2', '0', '1800', '1966', 'S1', 'N', '1990', '80000', 'S', 'MIN', '', 'LS', 'SD', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '80000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '50', '18', '50', '18', '13', '26', 'S', 'S', 'MDF', 'N', 'N', 'G', 'S', '', 'P', 'MF', 'MF', '44.44', '1.0788', '1', '1.07883', '86306.4375', '86306.4375', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('311', '7', '24', 'DEGENKOLB', TO_DATE('06/17/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '1', '0', '14200', '1969', 'S3', 'N', '1990', '372000', 'S', 'MIN', '', 'LS', 'BF', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '372000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '175', '129', '175', '129', '12', '12', 'S', '', 'MDF', 'N', 'N', 'G', 'S', '', '', 'MF', 'MF', '26.2', '1.0788', '1', '1.07883', '401324.9375', '401324.9375', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('312', '13', '12', 'DEGENKOLB', TO_DATE('06/17/93','MM/DD/YY'), 'SANMATEO', 'CA', '7', '', '1', '0', '113181', '', 'PC1', 'N', '1985', '69314', 'AC', 'MIN', '', 'RR', 'WT', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '69314', 'G', 'G', 'G', '', '', '', '', '', '', '', '', '', 'L', '543', '367', '543', '367', '23', '23', 'W', '', 'W', 'N', 'N', 'G', 'S', 'PC', 'SF', 'SW', 'SW', '0.61', '1.2006', '1', '1.20058', '83216.7734375', '83216.7734375', '0', '0', '0', '0', '0', '0', '0', '0', '9', '', '', '');
INSERT INTO buildings VALUES ('313', '17', '50', 'DEGENKOLB', TO_DATE('06/17/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '7', '0', '103800', '1966', 'C1', 'N', '1988', '7100000', 'S', 'MIN', '', 'IO', 'SW', 'MF', 'EW', 'EF', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'I', '7100000', 'G', 'P', 'P', '', '', '', '10', '', '', '', '', '', 'OT', '212', '202', '212', '202', '13.5', '100', 'C', 'C', 'C', 'N', 'N', 'G', 'C', 'C', 'P', 'MF', 'MF', '68.4', '1.122', '1', '1.12202', '7966320', '7966320', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'UBC 1988 (I=1 25) ', '', '');
INSERT INTO buildings VALUES ('314', '17', '54', 'DASSEDESIGN', TO_DATE('07/19/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', 'S2', '1', '0', '15760', '', 'PC1', 'N', '1986', '1486000', 'AC', 'ADD', '1575', 'IO', 'SW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '1486000', 'G', 'F', 'F', '0', '88100', '58800', '8', '0', '0', '0', '', '', 'R', '180', '80', '150', '80', '17', '18', 'S', 'FS', 'C', 'N', 'N', 'G', 'S', 'PC', 'SF', 'SW', 'SW', '94.29', '1.174', '1', '1.17398', '1744538.875', '1744538.875', '0', '103427.9140625', '69030.203125', '0', '0', '0', '0', '0', '7', '1979 UBC (BASE SHEAR=80% WT)', '', '');
INSERT INTO buildings VALUES ('315', '8', '16', 'DEGENKOLB', TO_DATE('06/17/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '7', '0', '103800', '1966', 'C1', 'N', '1988', '4000000', 'S', 'MIN', '', 'LS', 'SW', 'EW', 'EF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '4000000', 'G', 'P', 'P', '', '', '', '10', '', '', '', '', '', 'OT', '212', '202', '212', '202', '13.5', '100', 'C', 'C', 'C', 'N', 'N', 'G', 'C', 'C', 'P', 'MF', 'MF', '38.54', '1.122', '1', '1.12202', '4488067.5', '4488067.5', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('316', '7', '40', 'DEGENKOLB', TO_DATE('06/16/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '3', '1', '80300', '1959', 'S1', 'N', '1993', '3459000', 'S', 'ADD', '', 'LS', 'BF', 'SD', '', '', '', '', 'N', 'N', 'Y', 'N', 'IP', 'I', 'OK', 'NE', 'NE', '1790000', 'G', 'G', 'G', '', '', '', '12', '', '', '', '', '', 'R', '264', '76', '264', '76', '13', '51', 'S', 'S', 'MDF', 'CW', 'Y', 'F', 'S', '', 'P', 'MF', 'MF', '22.29', '1', '1', '1', '3459000', '1790000', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'DOE-STD-1020-92 & UBC ', '', '');
INSERT INTO buildings VALUES ('317', '8', '23', 'DEGENKOLB', TO_DATE('06/16/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '13', '1', '195290', '1969', 'C1', 'N', '1993', '11972142', 'AC', 'COM', '', 'LS', 'SW', 'MF', '', '', '', '', 'N', 'N', 'Y', 'N', 'V', 'I', 'I', 'NE', 'I', '1404691', 'G', 'G', 'G', '', '', '', '12', '', '', '', '', '', 'R', '236', '95', '190', '69', '12', '159', 'C', 'C', 'C', 'N', 'N', 'G', 'C', 'C', 'P', 'MF', 'SW', '7.19', '1', '1', '1', '11972142', '1404691', '0', '0', '0', '0', '0', '0', '0', '0', '10', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('318', '8', '19', 'DEGENKOLB', TO_DATE('06/01/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '8', '1', '44580', '1959', 'C1', 'N', '1993', '3675000', 'S', 'ADD', '', 'LS', 'SW', 'BF', '', '', '', '', 'Y', 'Y', 'Y', 'N', 'V', 'I', 'OK', 'I', 'NE', '1627000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '130', '35', '130', '35', '10', '86', 'C', 'C', 'C', 'CW', 'N', 'G', 'C', 'C', 'SF', 'MF', 'SW', '36.5', '1', '1', '1', '3675000', '1627000', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('319', '8', '18', 'DEGENKOLB', TO_DATE('06/01/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '8', '0', '39693', '1959', 'C1', 'N', '1993', '3605000', 'S', 'ADD', '', 'LS', 'SW', 'BF', '', '', '', '', 'Y', 'Y', 'Y', 'N', 'V', 'I', 'OK', 'I', 'NE', '1557000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '130', '35', '130', '35', '10', '86', 'C', 'C', 'C', 'CW', 'N', 'G', 'C', 'C', 'SF', 'MF', 'SW', '39.23', '1', '1', '1', '3605000', '1557000', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('320', '8', '18', 'DEGENKOLB', TO_DATE('06/01/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '8', '0', '39693', '1959', 'C1', 'N', '1993', '3600000', 'S', 'ADD', '', 'LS', 'SW', 'BF', '', '', '', '', 'Y', 'Y', 'Y', 'N', 'V', 'I', 'OK', 'I', 'NE', '1513000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '130', '35', '130', '35', '10', '86', 'C', 'C', 'C', 'CW', 'N', 'G', 'C', 'C', 'SF', 'MF', 'SW', '38.12', '1', '1', '1', '3600000', '1513000', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('321', '8', '18', 'DEGENKOLB', TO_DATE('06/01/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '8', '0', '39693', '1959', 'C1', 'N', '1993', '3470000', 'S', 'ADD', '', 'LS', 'SW', 'BF', '', '', '', '', 'Y', 'Y', 'Y', 'N', 'V', 'I', 'OK', 'I', 'NE', '1338000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '130', '35', '130', '35', '10', '86', 'C', 'C', 'C', 'CW', 'N', 'G', 'C', 'C', 'SF', 'MF', 'SW', '33.71', '1', '1', '1', '3470000', '1338000', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('322', '17', '46', 'DEGENKOLB', TO_DATE('06/17/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '2', '0', '11100', '1969', 'S1', 'N', '1990', '872000', 'S', 'MIN', '', 'IO', 'BF', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '872000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '76', '73', '73', '73', '12', '24', 'S', 'S', 'MDF', 'N', 'N', 'G', 'S', '', 'SF', 'MF', 'MF', '78.56', '1.0788', '1', '1.07883', '940740.1875', '940740.1875', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'TITLE 24 - HOSPITALS', '', '');
INSERT INTO buildings VALUES ('323', '7', '14', 'DEGENKOLB', TO_DATE('06/17/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '3', '1', '46750', '1965', 'C2', 'N', '1990', '384000', 'S', 'MIN', '', 'LS', 'SW', 'BF', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '384000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '121', '80', '140', '90', '11.5', '46', 'FS', 'FS', 'C', 'PC', 'N', 'G', 'C', 'C', 'SF', 'SW', 'SW', '8.21', '1.0788', '1', '1.07883', '414270.90625', '414270.90625', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('324', '17', '46', 'DEGENKOLB', TO_DATE('06/17/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '3', '1', '46750', '1965', 'C2', 'N', '1990', '864000', 'S', 'MIN', '', 'IO', 'SW', 'BF', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '864000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '121', '80', '140', '90', '11.5', '46', 'FS', 'FS', 'C', 'PC', 'N', 'G', 'C', 'C', 'SF', 'SW', 'SW', '18.48', '1.0788', '1', '1.07883', '932109.5625', '932109.5625', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'UBC 1988 (I=1 25) ', '', '');
INSERT INTO buildings VALUES ('325', '17', '46', 'DEGENKOLB', TO_DATE('06/17/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '3', '1', '44300', '1964', 'C2', 'N', '1990', '574000', 'S', 'MIN', '', 'IO', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '574000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '106', '101', '106', '101', '11.5', '50', 'FS', 'FS', 'C', 'N', 'N', 'G', 'C', 'C', 'SF', 'SW', 'SW', '12.96', '1.0788', '1', '1.07883', '619248.6875', '619248.6875', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'UBC 1988 (I=1 25) ', '', '');
INSERT INTO buildings VALUES ('326', '7', '24', 'DEGENKOLB', TO_DATE('06/17/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '2', '0', '11100', '1969', 'S1', 'N', '1990', '509000', 'S', 'MIN', '', 'LS', 'MF', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '509000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '76', '73', '76', '73', '12', '24', 'S', 'S', 'MDF', 'N', 'N', 'G', 'S', '', 'SF', 'MF', 'MF', '45.86', '1.0788', '1', '1.07883', '549124.6875', '549124.6875', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('327', '8', '12', 'DEGENKOLB', TO_DATE('06/17/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', '', '1', '0', '28600', '1967', 'C1', 'N', '1989', '143700', 'S', 'MIN', '', 'LS', 'BF', 'EF', 'SD', 'WT', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'OK', 'NE', 'NE', '143700', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'L', '249', '115', '249', '115', '13', '13', 'S', '', 'W', 'N', 'N', 'G', 'C', 'RM', 'P', 'SW', 'MF', '5.02', '1.1067', '1', '1.10668', '159030.171875', '159030.171875', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('328', '9', '12', 'DEGENKOLB', TO_DATE('06/17/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', '', '2', '0', '37044', '', 'S1', 'N', '1988', '889000', 'S', 'MIN', '', 'DC', 'SW', 'BF', 'SD', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'OK', 'NE', 'NE', '889000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '303', '72', '262', '60', '15', '31', 'S', 'C', 'W', 'N', 'N', 'G', 'S', '', 'SF', 'MF', 'MF', '24', '1.122', '1', '1.12202', '997473', '997473', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'UBC 1988', '', '');
INSERT INTO buildings VALUES ('329', '9', '14', 'DEGENKOLB', TO_DATE('06/17/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', '', '1', '0', '171000', '1969', 'C1', 'N', '1990', '2445000', 'S', 'MIN', '', 'DC', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'I', 'NE', '2380000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '525', '325', '525', '325', '18', '18', 'FS', '', 'C', 'PC', 'N', 'G', 'C', 'PC', 'SF', 'MF', 'MF', '13.92', '1.0788', '1', '1.07883', '2637740.5', '2567616.5', '0', '0', '0', '0', '0', '0', '0', '0', '7', '1988 UBC', '', '');
INSERT INTO buildings VALUES ('330', '7', '38', 'DEGENKOLB', TO_DATE('06/17/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', '', '1', '0', '34750', '1947', 'S1', 'N', '1990', '136500', 'S', 'MIN', '', 'LS', 'EF', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'NE', 'NE', '136500', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '250', '139', '250', '139', '16', '19.5', 'S', '', 'W', 'N', 'N', 'G', 'S', 'C', 'P', 'SW', 'MF', '3.93', '1.0788', '1', '1.07883', '147260.359375', '147260.359375', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('331', '17', '52', 'DEGENKOLB', TO_DATE('06/21/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '2', '1', '22250', '1924', 'C2', 'N', '1993', '108100', 'S', 'MIN', '', 'IO', 'SW', 'PB', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '108100', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'L', '122', '86', '122', '86', '16', '43', 'S', 'S', 'C', 'N', 'N', 'F', 'S', 'C', 'SF', 'SW', 'SW', '4.86', '1', '1', '1', '108100', '108100', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'UBC 1991 (INCREASED 20%)', '', '');
INSERT INTO buildings VALUES ('334', '4', '36', 'DEGENKOLB', TO_DATE('06/21/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', '', '1', '0', '960', '1953', 'RM1', 'N', '1992', '12000', 'S', 'MIN', '', 'LS', 'SD', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'NE', 'NE', '12000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '40', '24', '40', '24', '13', '13', 'S', '', 'MD', 'N', 'N', 'G', '', 'RM', 'SF', 'SW', 'SW', '12.5', '1.0286', '1', '1.02858', '12342.977539063', '12342.977539063', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('335', '3', '9', 'DEGENKOLB', TO_DATE('06/21/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '3', '1', '50400', '1908', 'C2', 'N', '1992', '9007672', 'S', 'ADD', '', 'IO', 'SW', 'EW', 'EF', 'SD', '', '', 'N', 'N', 'Y', 'Y', 'TR', 'I', 'OK', 'NE', 'NE', '4060000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '218', '57', '218', '57', '15', '70', 'S', 'S', 'C', 'N', 'N', 'G', 'S', 'C', 'SF', 'SW', 'SW', '80.56', '1.0286', '1', '1.02858', '9265125', '4176041', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'UBC 1991 (INCREASED 120%) ', '', '');
INSERT INTO buildings VALUES ('336', '1', '9', 'DEGENKOLB', TO_DATE('06/21/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '3', '1', '50400', '1908', 'C2', 'N', '1992', '6727597', 'S', 'ADD', '', 'LS', 'SW', 'EW', '', '', '', '', 'N', 'N', 'Y', 'Y', 'TR', 'I', 'OK', 'NE', 'NE', '2350000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '218', '57', '218', '57', '15', '70', 'S', 'S', 'C', 'N', 'N', 'G', 'S', 'C', 'SF', 'SW', 'SW', '46.63', '1.0286', '1', '1.02858', '6919882', '2417166.5', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'UBC 1991 (REDUCED BY 20%) ', '', '');
INSERT INTO buildings VALUES ('338', '7', '37', 'JAHILL', TO_DATE('06/14/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '1', '0', '7500', '', 'C2', 'N', '1992', '48500', 'AC', 'ADD', '', 'LS', 'SD', '', '', '', '', '', 'N', 'N', 'N', 'Y', 'IP', 'I', 'I', 'NE', 'NE', '36500', 'G', 'G', 'G', '', '6000', '', '', '12125', '', '', '', '', 'R', '150', '50', '150', '50', '10', '12', 'W', '', 'W', 'N', 'N', 'G', '', 'C', 'SF', 'SW', 'SW', '4.87', '1.0286', '1', '1.02858', '49886.203125', '37543.2265625', '0', '6171.4887695313', '0', '12471.55078125', '0', '0', '0', '0', '10', 'LONG BEACH CITY ORDI NCE ', '', '');
INSERT INTO buildings VALUES ('339', '11', '18', 'JAHILL', TO_DATE('06/14/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '1', '1', '6000', '1925', 'S5', 'Y', '1992', '54000', 'AC', 'MIN', '', 'LS', 'SW', 'BF', 'SD', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'I', 'NE', 'NE', '54000', 'G', 'G', 'G', '', '45000', '', '3', '', '', '', '1080', '', 'R', '100', '60', '100', '60', '23', '46', 'W', '', 'W', 'M', 'N', 'G', 'S', '', '', 'SW', 'SW', '9', '1.0286', '1', '1.02858', '55543.40234375', '55543.40234375', '0', '46286.16796875', '0', '0', '0', '0', '1110.86804199219', '0', '10', 'CITY OF LONG BEACH', '', '');
INSERT INTO buildings VALUES ('340', '13', '41', 'JAHILL', TO_DATE('06/17/93','MM/DD/YY'), 'ORANGE', 'CA', '7', 'S2', '1', '0', '32000', '1966', 'PC1', 'N', '1990', '15000', 'AC', 'MIN', '', 'RR', 'WT', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'NE', 'NE', '15000', 'G', 'F', 'F', '', '4000', '', '', '', '', '', '', '', 'L', '200', '180', '200', '180', '19.5', '20.5', 'W', '', 'W', 'N', 'N', 'G', 'W', 'PC', 'SF', 'SW', 'SW', '0.47', '1.0788', '1', '1.07883', '16182.45703125', '16182.45703125', '0', '4315.3217773438', '0', '0', '0', '0', '0', '0', '9', 'FULLERTON CITY TILT WALL ORDI', '', '');
INSERT INTO buildings VALUES ('341', '12', '37', 'JAHILL', TO_DATE('06/18/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '11', '1', '92000', '1920', 'C3', 'Y', '1991', '265000', 'AC', 'MIN', '', 'LS', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'NE', 'NE', '167000', 'G', 'F', 'F', '', '85000', '', '6', '13250', '', '', '', '', 'L', '100', '100', '100', '100', '10.5', '112', 'C', 'C', 'C', 'CW', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '1.82', '1.0596', '1', '1.05961', '280797.875', '176955.640625', '0', '90067.2421875', '0', '14039.89453125', '0', '0', '0', '0', '9', 'LONG BEACH CITY ORDINANCE ', '', '');
INSERT INTO buildings VALUES ('343', '7', '37', 'JAHILL', TO_DATE('06/16/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '1', '0', '13000', '1920', 'URM', 'N', '1992', '46000', 'AC', 'MIN', '', 'LS', 'MF', 'EW', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'NE', 'NE', '46000', 'G', 'F', 'F', '', '10200', '', '1', '', '', '', '', '', 'L', '152.5', '104', '152.5', '104', '19', '22', 'S', '', 'W', 'CW', 'N', 'F', 'S', 'URM', 'SF', 'SW', 'SW', '3.54', '1.0286', '1', '1.02858', '47314.75', '47314.75', '0', '10491.53125', '0', '0', '0', '0', '0', '0', '9', 'LONG BEACH CITY ORDI NCE ', '', '');
INSERT INTO buildings VALUES ('344', '7', '13', 'JAHILL', TO_DATE('06/16/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '2', '0', '7300', '1920', 'URM', 'N', '1991', '45000', 'S', 'COM', '', 'LS', 'SW', 'MF', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'NE', 'NE', '45000', 'G', 'P', 'P', '', '10000', '', '3', '', '', '', '', '', 'R', '73', '50', '73', '50', '10', '26', 'C', 'C', 'C', 'M', 'N', 'G', 'C', 'URM', 'SF', 'SW', 'SW', '6.16', '1.0596', '1', '1.05961', '47682.66015625', '47682.66015625', '0', '10596.146484375', '0', '0', '0', '0', '0', '0', '7', 'LONG BEACH CITY ORDI NCE ', '', '');
INSERT INTO buildings VALUES ('345', '7', '11', 'JAHILL', TO_DATE('06/17/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '1', '0', '1788', '1920', 'URM', 'N', '1990', '18000', 'AC', 'MIN', '', 'LS', 'MF', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'NE', 'NE', '18000', 'G', 'F', 'F', '', '6000', '', '3', '', '', '', '', '', 'R', '65', '28', '65', '28', '14.5', '14.5', 'TT', '', 'W', 'N', 'N', 'F', '', 'URM', 'SF', 'SW', 'SW', '10.07', '1.0788', '1', '1.07883', '19418.94921875', '19418.94921875', '0', '6472.9829101563', '0', '0', '0', '0', '0', '0', '9', 'LONG BEACH CITY ORDI NCE ', '', '');
INSERT INTO buildings VALUES ('346', '7', '37', 'JAHILL', TO_DATE('06/17/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '4', '1', '15500', '1920', 'URM', 'Y', '1993', '148500', 'S', 'MIN', '', 'LS', 'MF', 'PB', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'NE', 'NE', '148500', 'G', 'F', 'F', '', '', '', '3', '', '', '', '', '', 'O', '70', '60', '70', '60', '10', '54.5', 'W', 'W', 'W', 'M', 'N', 'F', 'S', 'URM', 'SF', 'SW', 'SW', '9.58', '1', '1', '1', '148500', '148500', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'ABK HISTORICAL BLDG CODE', '', '');
INSERT INTO buildings VALUES ('347', '12', '37', 'JAHILL', TO_DATE('06/14/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '8', '1', '45000', '', 'C3', 'Y', '1992', '236000', 'AC', 'ADD', '', 'LS', 'AD', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'NE', 'NE', '236000', 'G', 'G', 'G', '0', '60000', '', '', '0', '0', '0', '0', '0', 'L', '141', '36', '141', '36', '10.5', '91.5', 'C', 'C', 'C', 'M', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '5.24', '1.0286', '1', '1.02858', '242745.234375', '242745.234375', '0', '61714.890625', '0', '0', '0', '0', '0', '0', '10', 'STATE HISTORICAL BUILDING CODE', '', '');
INSERT INTO buildings VALUES ('348', '7', '37', 'JAHILL', TO_DATE('06/14/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '2', '0', '7000', '1920', 'URM', 'N', '1992', '13200', 'AC', 'MIN', '', 'LS', 'EW', 'PB', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'NE', 'NE', '13200', 'G', 'F', 'F', '', '15000', '', '1', '', '', '', '', '', 'R', '70', '50', '70', '50', '10', '20', 'W', 'W', 'W', 'M', 'N', 'G', 'C', 'URM', 'SF', 'SW', 'SW', '1.89', '1.0286', '1', '1.02858', '13577.275390625', '13577.275390625', '0', '15428.72265625', '0', '0', '0', '0', '0', '0', '9', 'CITY OF LONG BEACH (E) BLDGS', '', '');
INSERT INTO buildings VALUES ('349', '12', '37', 'JAHILL', TO_DATE('06/16/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '6', '1', '31440', '1920', 'C3', 'Y', '1991', '220000', 'S', 'MIN', '', 'LS', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'NE', 'NE', '220000', 'G', 'P', 'P', '', '50000', '', '4', '', '', '', '', '110000', 'OT', '114', '63', '114', '63', '10.5', '70.5', 'C', 'C', 'C', 'M', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '7', '1.0596', '1', '1.05961', '233115.21875', '233115.21875', '0', '52980.734375', '0', '0', '0', '0', '0', '116557.609375', '7', 'SITE SPECIFIC RESPONSE L-S', '', '');
INSERT INTO buildings VALUES ('350', '8', '38', 'JAHILL', TO_DATE('06/16/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '8', '0', '62790', '1961', 'C1', 'N', '1993', '530000', 'S', 'MIN', '', 'LS', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'NE', 'NE', '470000', 'G', 'P', 'P', '', '60000', '', '', '', '', '', '', '', 'R', '230', '39', '230', '39', '11', '90', 'C', 'C', 'C', 'M', 'N', 'G', 'C', 'C', 'P', 'MF', 'MF', '7.49', '1', '1', '1', '530000', '470000', '0', '60000', '0', '0', '0', '0', '0', '0', '7', 'CAL STATE UNIVERSIT GUIDELINES', '', '');
INSERT INTO buildings VALUES ('351', '1', '3', 'JAHILL', TO_DATE('06/16/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '1', '0', '3000', '1910', 'URM', 'N', '1993', '103000', 'S', 'MIN', '', 'RR', 'WT', '', '', '', '', '', 'N', 'Y', 'N', 'Y', 'V', 'I', 'I', 'I', 'I', '103000', 'G', 'F', 'F', '', '29850', '', '1', '5150', '', '41200', '', '', 'L', '83', '63', '83', '63', '9', '17', 'W', '', 'W', 'N', 'N', 'F', 'W', 'URM', 'SF', 'SW', 'SW', '34.33', '1', '1', '1', '103000', '103000', '0', '29850', '0', '5150', '0', '41200', '0', '0', '8', 'ABK ', '', '');
INSERT INTO buildings VALUES ('352', '14', '43', 'DEGENKOLB', TO_DATE('06/21/93','MM/DD/YY'), 'SANMATEO', 'CA', '7', '', '1', '0', '3468', '1952', 'S2', 'N', '1993', '41800', 'S', 'MIN', '', 'IO', 'EW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '41800', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'L', '85', '51', '85', '51', '12', '12', 'S', '', 'OT', 'OT', 'N', 'G', 'S', 'C', 'P', 'BF', 'BF', '12.05', '1', '1', '1', '41800', '41800', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'UBC 1991 (INCREASED 20%)', '', '');
INSERT INTO buildings VALUES ('353', '7', '14', 'DEGENKOLB', TO_DATE('06/21/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '1', '0', '4000', '1921', 'S4', 'N', '1993', '77600', 'S', 'MIN', '', 'LS', 'EW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '77600', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '94', '42', '94', '42', '30', '30', 'S', '', 'C', 'N', 'N', 'F', 'S', '', 'SF', 'SW', 'SW', '19.4', '1', '1', '1', '77600', '77600', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'UBC 1991 (REDUCED 20%)', '', '');
INSERT INTO buildings VALUES ('354', '14', '43', 'DEGENKOLB', TO_DATE('06/21/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '1', '0', '4000', '1921', 'S4', 'N', '1993', '132900', 'S', 'MIN', '', 'IO', 'EW', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '132900', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '94', '42', '94', '42', '30', '30', 'S', '', 'C', 'N', 'N', 'F', 'S', '', 'SF', 'SW', 'SW', '33.23', '1', '1', '1', '132900', '132900', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'UBC 1991 (INCREASED 20%)', '', '');
INSERT INTO buildings VALUES ('355', '14', '42', 'DEGENKOLB', TO_DATE('06/21/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', 'S3', '1', '0', '2910', '1966', 'PC1', 'N', '1992', '26140', 'S', 'MIN', '', 'IO', 'SD', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'OK', 'NE', '26140', 'G', 'F', 'F', '', '6500', '', '', '', '', '', '', '', 'R', '56', '52', '56', '52', '12', '12', 'PC', 'PC', 'PC', 'N', 'N', 'G', '', 'PC', 'SF', 'SW', 'SW', '8.98', '1.0286', '1', '1.02858', '26887.12109375', '26887.12109375', '0', '6685.7797851563', '0', '0', '0', '0', '0', '0', '8', '1991 UBC (I=1 5)', '', '');
INSERT INTO buildings VALUES ('356', '19', '53', 'DEGENKOLB', TO_DATE('06/21/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', 'S3', '2', '0', '17600', '1922', 'S5', 'N', '1993', '797000', 'S', 'MIN', '', 'IO', 'SW', 'EW', 'SD', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'OK', 'NE', '723250', 'G', 'F', 'F', '', '124000', '', '8', '', '', '', '', '', 'OT', '143', '121', '143', '121', '20', '39', 'S', 'S', 'C', 'N', 'N', 'G', 'S', '', 'SF', 'SW', 'SW', '41.09', '1', '1', '1', '797000', '723250', '0', '124000', '0', '0', '0', '0', '0', '0', '8', '', '', '');
INSERT INTO buildings VALUES ('357', '15', '42', 'DEGENKOLB', TO_DATE('06/22/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', 'S3', '1', '1', '2650', '1969', 'PC1', 'N', '1992', '15300', 'S', 'MIN', '', 'IO', 'SD', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '15300', 'F', 'F', 'F', '', '2200', '', '', '', '', '', '', '', 'R', '54', '49', '54', '49', '12', '12', 'PT', 'PT', 'PC', 'N', 'N', 'G', '', 'PC', 'M', 'SW', 'SW', '5.77', '1.0286', '1', '1.02858', '15737.296875', '15737.296875', '0', '2262.8793945313', '0', '0', '0', '0', '0', '0', '8', 'UBC 1991 I=1 5', '', '');
INSERT INTO buildings VALUES ('358', '17', '52', 'DEGENKOLB', TO_DATE('06/22/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', 'S3', '1', '0', '7150', '', 'S4', 'N', '1993', '308600', 'S', 'MIN', '', 'IO', 'SW', 'BF', 'EW', 'PB', '', '', 'N', 'N', 'Y', 'N', 'V', 'I', 'I', 'NE', 'NE', '246999', 'G', 'F', 'F', '', '44000', '', '', '', '', '', '', '', 'R', '170', '42', '170', '42', '30', '30', 'S', '', 'C', 'N', 'N', 'G', 'S', '', 'SF', 'SW', 'SW', '34.55', '1', '1', '1', '308600', '246999', '0', '44000', '0', '0', '0', '0', '0', '0', '8', 'UBC 1991 I=1 5', '', '');
INSERT INTO buildings VALUES ('359', '17', '52', 'DEGENKOLB', TO_DATE('06/21/93','MM/DD/YY'), 'MARIN', 'CA', '7', 'S3', '1', '0', '15000', '1922', 'S4', 'N', '1993', '746000', 'S', 'MIN', '', 'IO', 'BF', 'EW', 'SD', 'SF', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'OK', 'NE', '742000', 'P', 'F', 'F', '', '106000', '', '', '', '', '', '', '', 'OT', '168', '63', '168', '63', '15', '34', 'S', '', 'C', 'N', 'N', 'G', 'S', '', 'SF', 'SW', 'SW', '49.47', '1', '1', '1', '746000', '742000', '0', '106000', '0', '0', '0', '0', '0', '0', '8', 'UBC 1991 (I=1 5)', '', '');
INSERT INTO buildings VALUES ('360', '7', '28', 'DEGENKOLB', TO_DATE('06/15/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '4', '1', '55000', '1930', 'URM', 'Y', '1981', '1300000', 'S', 'MIN', '', 'LS', 'SW', 'EW', 'SD', 'PB', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'I', 'NE', 'NE', '1210000', 'P', 'P', 'P', '', '', '', '5', '', '', '', '', '', 'C', '162', '120', '162', '120', '12', '70', 'C', 'C', 'C', 'N', 'N', 'G', 'C', 'URM', 'SF', 'SW', 'SW', '22', '1.3901', '1', '1.39008', '1807105.375', '1681998.125', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'UBC 1979', '', '');
INSERT INTO buildings VALUES ('361', '8', '40', 'DEGENKOLB', TO_DATE('06/16/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '7', '0', '166348', '', 'C1', 'N', '1981', '3533455', 'S', 'MIN', '', 'LS', 'SW', 'BF', '', '', '', '', 'N', 'N', 'Y', 'N', 'IP', 'I', 'OK', 'NE', 'NE', '3354000', 'F', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '210', '56', '210', '56', '11', '84.5', 'FS', 'FS', 'C', 'M', 'N', 'G', 'C', 'C', 'SF', 'MF', 'SW', '20.16', '1.3901', '1', '1.39008', '4911789', '4662332', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'UBC 58 FORCE UBC 73 DUCTILITY', '', '');
INSERT INTO buildings VALUES ('362', '8', '40', 'DEGENKOLB', TO_DATE('06/17/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '7', '0', '166348', '1958', 'C1', 'N', '1981', '3333789', 'S', 'MIN', '', 'LS', 'SW', 'BF', '', '', '', '', 'N', 'N', 'Y', 'N', 'IP', 'I', 'OK', 'NE', 'NE', '3200700', 'F', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '210', '56', '210', '56', '11', '84.5', 'FS', 'FS', 'C', 'M', 'N', 'G', 'C', 'C', 'SF', 'MF', 'SW', '19.24', '1.3901', '1', '1.39008', '4634237', '4449232.5', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'UBC ''55 FORCES ''73 DUCTILITY ', '', '');
INSERT INTO buildings VALUES ('363', '12', '34', 'DEGENKOLB', TO_DATE('06/17/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '3', '0', '67200', '1929', 'C3', 'Y', '1982', '2636007', 'S', 'MIN', '', 'LS', 'SW', 'EW', 'SD', '', '', '', 'N', 'N', 'Y', 'N', 'V', 'I', 'I', 'NE', 'NE', '1855944', 'F', 'P', 'P', '', '', '', '', '', '', '', '', '', 'C', '243', '132', '243', '132', '14', '42', 'C', 'C', 'C', 'M', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '27.62', '1.3048', '1', '1.30483', '3439552.5', '2421699.5', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'UBC 1979', '', '');
INSERT INTO buildings VALUES ('364', '12', '34', 'DEGENKOLB', TO_DATE('06/17/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '5', '1', '150000', '1927', 'C3', 'Y', '1982', '5036000', 'S', 'MIN', '', 'LS', 'SW', 'EW', 'SD', 'WT', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'I', 'NE', 'NE', '4570000', 'P', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '220', '180', '220', '180', '12', '72', 'C', 'C', 'C', 'PC', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '30.47', '1.3048', '1', '1.30483', '6571146', '5963093', '0', '0', '0', '0', '0', '0', '0', '0', '6', '', '', '');
INSERT INTO buildings VALUES ('365', '7', '22', 'DEGENKOLB', TO_DATE('06/17/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '3', '2', '104550', '1964', 'C2', 'N', '1981', '1400000', 'S', 'MIN', '', 'LS', 'EF', '', '', '', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '1118200', 'P', 'P', 'P', '', '', '', '4', '', '', '', '', '', 'R', '205', '102', '205', '102', '14', '42', 'C', 'C', 'C', 'MB', 'N', 'G', 'C', 'C', 'SF', 'SW', 'SW', '10.7', '1.3901', '1', '1.39008', '1946113.5', '1554388.625', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'UBC ''64 ''73 DUCTILITY', '', '');
INSERT INTO buildings VALUES ('366', '8', '19', 'DEGENKOLB', TO_DATE('06/17/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '10', '0', '124800', '1957', 'C1', 'N', '1981', '4707340', 'S', 'MIN', '', 'LS', 'EW', 'EF', 'SF', '', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '3828180', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '320', '39', '320', '39', '10', '100', 'FS', 'FS', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'MF', 'SW', '30.67', '1.3901', '1', '1.39008', '6543584', '5321480.5', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'UBC 58 BASE SHEAR ''79 DUCTILE', '', '');
INSERT INTO buildings VALUES ('367', '8', '20', 'DEGENKOLB', TO_DATE('06/15/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '7', '0', '166350', '1961', 'C1', 'N', '1981', '4785620', 'S', 'MIN', '', 'LS', 'SW', 'BF', 'EF', '', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '4250000', 'F', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '210', '56', '210', '56', '11', '85', 'FS', 'FS', 'C', 'N', 'N', 'G', 'C', 'C', 'SF', 'MF', 'SW', '25.55', '1.3901', '1', '1.39008', '6652399.5', '5907844.5', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'UBC 58 LOADS ''79 DETAILING ', '', '');
INSERT INTO buildings VALUES ('368', '7', '18', 'DEGENKOLB', TO_DATE('06/16/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', 'S2', '2', '0', '18500', '1922', 'C2', 'Y', '1987', '3099800', 'S', 'MIN', '', 'LS', 'EW', 'SD', '', '', '', '', 'N', 'Y', 'Y', 'N', 'V', 'I', 'OK', 'NE', 'NE', '1355600', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '120', '110', '120', '110', '12', '36', 'W', 'W', 'W', 'N', 'N', 'G', 'C', 'C', 'SF', 'SW', 'SW', '73.28', '1.1472', '1', '1.14719', '3556047.75', '1555125.5', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'UBC 1985', '', '');
INSERT INTO buildings VALUES ('369', '16', '46', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'RICHMOND', 'GA', '3', 'S1', '2', '0', '14678', '1921', 'URM', 'N', '1976', '108000', 'S', 'MIN', '', 'IO', 'EW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'I', 'NE', '100000', 'G', 'P', 'P', '', '', '', '', '0', '0', '0', '0', '7560', 'OT', '146', '68', '146', '68', '10.5', '21', 'C', 'C', 'C', 'M', 'N', 'G', 'C', 'URM', 'SF', 'SW', 'SW', '6.81', '2.0456', '1.32616', '2.71282', '292984.71875', '271282.125', '0', '0', '0', '0', '0', '0', '0', '20508.9296875', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('373', '16', '46', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'RICHMOND', 'GA', '3', 'S1', '2', '0', '15003', '1923', 'URM', 'N', '1976', '111000', 'S', 'MIN', '', 'IO', 'EW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'I', 'NE', '103000', 'G', 'P', 'P', '', '', '', '', '0', '0', '0', '0', '7560', 'OT', '150', '68', '150', '68', '10.5', '21', 'C', 'C', 'C', 'M', 'N', 'G', 'C', 'URM', 'SF', 'SW', 'SW', '6.87', '2.0456', '1.32616', '2.71282', '301123.1875', '279420.59375', '0', '0', '0', '0', '0', '0', '0', '20508.9296875', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('374', '16', '46', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'RICHMOND', 'GA', '3', 'S1', '2', '0', '22770', '1923', 'URM', 'N', '1976', '168000', 'S', 'MIN', '', 'IO', 'EW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'I', 'NE', '154000', 'G', 'P', 'P', '', '', '', '', '0', '0', '0', '0', '13440', 'OT', '150', '100', '150', '100', '10.5', '21', 'C', 'C', 'C', 'M', 'N', 'G', 'C', 'URM', 'SF', 'SW', 'SW', '6.76', '2.0456', '1.32616', '2.71282', '455754', '417774.5', '0', '0', '0', '0', '0', '0', '0', '36460.3203125', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('375', '16', '46', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'RICHMOND', 'GA', '3', 'S1', '2', '0', '18600', '1923', 'URM', 'N', '1976', '137000', 'S', 'MIN', '', 'IO', 'EW', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'I', 'NE', '126000', 'G', 'P', 'P', '', '', '', '', '0', '0', '0', '0', '10960', 'OT', '150', '80', '150', '80', '11', '22', 'C', 'C', 'C', 'M', 'N', 'G', 'C', 'URM', 'SF', 'SW', 'SW', '6.77', '2.0456', '1.32616', '2.71282', '371656.53125', '341815.5', '0', '0', '0', '0', '0', '0', '0', '29732.521484375', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('376', '16', '46', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'RICHMOND', 'GA', '3', 'S1', '2', '0', '19000', '1923', 'URM', 'N', '1976', '140400', 'S', 'MIN', '', 'IO', 'EW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'I', 'NE', '130000', 'G', 'P', 'P', '', '', '', '', '0', '0', '0', '0', '9828', 'OT', '150', '80', '150', '80', '11', '22', 'C', 'C', 'C', 'M', 'N', 'G', 'C', 'URM', 'SF', 'SW', 'SW', '6.84', '2.0456', '1.32616', '2.71282', '380880.125', '352666.78125', '0', '0', '0', '0', '0', '0', '0', '26661.609375', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('377', '16', '46', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'RICHMOND', 'GA', '3', 'S1', '2', '0', '19800', '1923', 'URM', 'N', '1976', '146300', 'S', 'MIN', '', 'IO', 'EW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'I', 'NE', '136000', 'G', 'P', 'P', '', '', '', '', '0', '0', '0', '0', '10241', 'OT', '155', '80', '155', '80', '11', '22', 'C', 'C', 'C', 'M', 'N', 'G', 'C', 'URM', 'SF', 'SW', 'SW', '6.87', '2.0456', '1.32616', '2.71282', '396885.78125', '368943.71875', '0', '0', '0', '0', '0', '0', '0', '27782.00390625', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('378', '16', '47', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'RICHMOND', 'GA', '3', 'S1', '1', '0', '11336', '1923', 'C3', 'N', '1976', '67400', 'S', 'MIN', '', 'IO', 'SW', 'EW', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'I', 'NE', '64000', 'G', 'P', 'P', '', '', '', '', '0', '0', '0', '0', '3370', 'R', '260', '40', '260', '40', '12', '12', 'C', '', 'C', 'M', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '5.65', '2.0456', '1.32616', '2.71282', '182844.15625', '173620.5625', '0', '0', '0', '0', '0', '0', '0', '9142.2080078125', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('379', '16', '48', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'RICHMOND', 'GA', '3', 'S1', '1', '0', '50500', '1921', 'C3', 'N', '1976', '298000', 'S', 'MIN', '', 'IO', 'SW', 'EW', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'I', 'NE', '285000', 'G', 'P', 'P', '', '', '', '', '0', '0', '0', '0', '14900', 'R', '300', '168', '300', '168', '12', '12', 'C', '', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '5.64', '2.0456', '1.32616', '2.71282', '808420.75', '773154.0625', '0', '0', '0', '0', '0', '0', '0', '40421.0390625', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('380', '16', '48', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'RICHMOND', 'GA', '3', 'S1', '2', '0', '65642', '1930', 'C3', 'N', '1976', '149500', 'S', 'MIN', '', 'IO', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'I', 'NE', '145500', 'G', 'P', 'P', '', '', '', '', '0', '0', '0', '0', '4000', 'OT', '200', '166', '200', '166', '12', '36', 'C', 'C', 'C', 'M', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '2.22', '2.0456', '1.32616', '2.71282', '405566.78125', '394715.5', '0', '0', '0', '0', '0', '0', '0', '10851.28515625', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('381', '9', '14', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'RICHMOND', 'GA', '3', 'S1', '1', '0', '10120', '1923', 'URM', 'N', '1976', '45000', 'S', 'MIN', '', 'DC', 'BF', 'EW', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'I', 'NE', '44000', 'G', 'P', 'P', '', '', '', '', '0', '0', '0', '0', '1000', 'R', '230', '45', '230', '45', '12', '12', 'S', '', 'C', 'M', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '4.35', '2.0456', '1.32616', '2.71282', '122076.9609375', '119364.140625', '0', '0', '0', '0', '0', '0', '0', '2712.8212890625', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('382', '9', '14', 'JAMESRCAGLEY', TO_DATE('06/12/93','MM/DD/YY'), 'RICHMOND', 'GA', '3', 'S2', '1', '0', '6500', '1923', 'URM', 'N', '1975', '29000', 'S', 'MIN', '', 'DC', 'BF', 'EW', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'I', '29000', 'G', 'G', 'G', '', '', '', '', '0', '0', '0', '0', '290', 'R', '230', '28', '230', '28', '12', '12', 'C', '', 'C', 'M', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '4.46', '2.232', '1.32616', '2.96001', '85840.234375', '85840.234375', '0', '0', '0', '0', '0', '0', '0', '858.40234375', '6', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('383', '1', '2', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'RICHMOND', 'GA', '3', 'S1', '3', '0', '31566', '1913', 'URM', 'N', '1976', '344400', 'S', 'MIN', '', 'DC', 'SW', 'EW', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'I', 'NE', '315000', 'G', 'P', 'P', '', '', '', '', '0', '0', '0', '0', '34440', 'R', '180', '60', '180', '60', '12', '36', 'W', 'W', 'W', 'M', 'N', 'G', 'W', 'URM', 'SF', 'SW', 'SW', '9.98', '2.0456', '1.32616', '2.71282', '934295.6875', '854538.75', '0', '0', '0', '0', '0', '0', '0', '93429.5703125', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('384', '1', '2', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'RICHMOND', 'GA', '3', 'S1', '3', '0', '60800', '1913', 'URM', 'N', '1976', '662700', 'S', 'MIN', '', 'DC', 'SW', 'EW', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '600000', 'G', 'P', 'P', '', '', '', '', '0', '0', '0', '0', '66270', '', '180', '120', '180', '120', '12', '36', 'W', 'W', 'W', 'M', 'N', 'G', 'W', 'URM', 'SF', 'SW', 'SW', '9.87', '2.0456', '1.32616', '2.71282', '1797786.75', '1627692.875', '0', '0', '0', '0', '0', '0', '0', '179778.671875', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('385', '1', '2', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'RICHMOND', 'GA', '3', 'S1', '3', '0', '35430', '1913', 'URM', 'N', '1976', '385900', 'S', 'MIN', '', 'DC', 'SW', 'EW', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '347000', 'G', 'P', 'P', '', '', '', '', '0', '0', '0', '0', '38590', 'R', '180', '60', '180', '60', '12', '36', 'W', 'W', 'W', 'M', 'N', 'G', 'W', 'URM', 'SF', 'SW', 'SW', '9.79', '2.0456', '1.32616', '2.71282', '1046877.75', '941349', '0', '0', '0', '0', '0', '0', '0', '104687.7734375', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('386', '16', '47', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'RICHMOND', 'GA', '3', 'S1', '2', '0', '23900', '1926', 'C3', 'N', '1976', '76500', 'S', 'MIN', '', 'IO', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'I', 'NE', '66000', 'G', 'P', 'P', '', '', '', '', '0', '0', '0', '0', '10000', 'R', '200', '60', '200', '60', '12', '24', 'C', 'C', 'C', 'M', 'N', '', 'C', '', 'SF', 'SW', 'SW', '2.76', '2.0456', '1.32616', '2.71282', '207530.828125', '179046.203125', '0', '0', '0', '0', '0', '0', '0', '27128.212890625', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('387', '16', '48', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'RICHMOND', 'GA', '3', 'S1', '5', '0', '84000', '1931', 'C3', 'N', '1976', '269000', 'S', 'MIN', '', 'IO', 'SW', 'EW', 'PB', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '259000', 'G', 'P', 'P', '', '', '', '', '0', '0', '0', '0', '10000', 'OT', '270', '110', '270', '110', '12', '60', 'C', 'C', 'C', 'M', 'N', '', 'C', '', 'SF', 'SW', 'SW', '3.08', '2.0456', '1.32616', '2.71282', '729748.9375', '702620.75', '0', '0', '0', '0', '0', '0', '0', '27128.212890625', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('388', '9', '14', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'RICHMOND', 'GA', '3', 'S1', '1', '0', '3326', '1931', 'URM', 'N', '1976', '15000', 'S', 'MIN', '', 'DC', 'BF', 'EW', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '14000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '1000', 'R', '120', '28', '120', '28', '12', '12', 'C', '', 'C', 'M', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '4.21', '2.0456', '1.32616', '2.71282', '40692.3203125', '37979.5', '0', '0', '0', '0', '0', '0', '0', '2712.8212890625', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('389', '16', '48', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'RICHMOND', 'GA', '3', 'S1', '5', '0', '102100', '1954', 'C3', 'N', '1976', '306000', 'S', 'MIN', '', 'IO', 'SW', 'EW', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'I', 'NE', '296000', 'G', 'P', 'P', '', '', '', '', '0', '0', '0', '0', '10000', 'R', '270', '110', '270', '110', '12', '60', 'C', 'C', 'C', 'M', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '2.9', '2.0456', '1.32616', '2.71282', '830123.3125', '802995.125', '0', '0', '0', '0', '0', '0', '0', '27128.212890625', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('390', '9', '14', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'RICHMOND', 'GA', '3', 'S1', '1', '0', '17800', '1953', 'URM', 'N', '1976', '79000', 'S', 'MIN', '', 'DC', 'BF', 'EW', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '78000', 'G', 'P', 'P', '', '', '', '', '0', '0', '0', '0', '1000', 'R', '300', '60', '300', '60', '12', '12', 'C', '', 'C', 'M', 'N', 'G', 'S', 'URM', 'SF', 'SW', 'SW', '4.38', '2.0456', '1.32616', '2.71282', '214312.890625', '211600.0625', '0', '0', '0', '0', '0', '0', '0', '2712.8212890625', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('391', '16', '48', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'FULTON', 'GA', '3', 'S1', '12', '1', '467600', '1966', 'S2', 'N', '1977', '699300', 'S', 'MIN', '', 'IO', 'BF', 'PB', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '697600', 'G', 'P', 'P', '', '', '', '12', '0', '0', '0', '0', '1700', 'R', '456', '272', '242', '91', '12', '150', 'S', 'S', 'MDF', 'M', 'N', 'F', 'S', '', 'P', 'BF', 'BF', '1.49', '1.8867', '1.32616', '2.50212', '1749730.25', '1745476.75', '0', '0', '0', '0', '0', '0', '0', '4253.5986328125', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('392', '12', '32', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'JEFFERSON', 'AL', '2', 'S3', '5', '0', '30000', '1965', 'C3', 'N', '1975', '25800', 'S', 'MIN', '', 'DC', 'EW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'I', 'NE', '23470', 'G', 'P', 'P', '', '', '', '', '0', '0', '0', '0', '2330', 'R', '140', '50', '140', '50', '12', '75', 'C', 'C', 'C', 'M', 'N', 'G', 'C', '', 'P', 'SW', 'SW', '0.78', '2.232', '1.34872', '3.01036', '77667.296875', '70653.15625', '0', '0', '0', '0', '0', '0', '0', '7014.1396484375', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('393', '16', '44', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'JEFFERSON', 'AL', '2', 'S3', '9', '0', '493000', '1952', 'C3', 'N', '1975', '4640000', 'S', 'MIN', '', 'IO', 'SW', 'PB', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'I', '4047000', 'G', 'P', 'P', '', '', '', '', '0', '0', '0', '0', '593000', 'OT', '308', '255', '308', '255', '11.5', '110', 'C', 'C', 'C', 'M', 'N', 'G', 'C', '', 'P', 'SW', 'SW', '8.21', '2.232', '1.34872', '3.01036', '13968072', '12182929', '0', '0', '0', '0', '0', '0', '0', '1785143.75', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('394', '12', '32', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'JEFFERSON', 'AL', '2', 'S3', '2', '1', '28400', '1971', 'C3', 'N', '1975', '28800', 'S', 'MIN', '', 'DC', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'I', 'NE', '25600', 'G', 'P', 'P', '', '', '', '', '0', '0', '0', '0', '3200', 'L', '114', '98', '114', '98', '13', '26', 'C', 'C', 'C', 'M', 'N', 'G', 'C', '', 'P', 'SW', 'SW', '0.9', '2.232', '1.34872', '3.01036', '86698.3828125', '77065.2265625', '0', '0', '0', '0', '0', '0', '0', '9633.1533203125', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('395', '16', '55', 'JAMESRCAGLEY', TO_DATE('06/12/93','MM/DD/YY'), 'NORFOLK', 'MA', '3', 'S1', '5', '0', '142000', '1942', 'C1', 'N', '1977', '2945000', 'AC', 'ADD', '', 'IO', 'SW', '', '', '', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'I', 'I', 'I', '2435000', 'G', 'G', 'G', '', '', '', '', '0', '0', '0', '589000', '0', 'OT', '300', '220', '300', '220', '12', '60', 'C', 'C', 'C', 'M', 'N', 'G', 'C', '', 'SF', 'MF', 'MF', '17.15', '1.8867', '1.0137', '1.91258', '5632539', '4657125', '0', '0', '0', '0', '0', '0', '1126507.75', '0', '8', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('396', '8', '37', 'BRANDOWandJOHNSTON', TO_DATE('06/15/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '5', '0', '62700', '1968', 'C1', 'N', '1992', '1700000', 'S', 'MIN', '', 'LS', 'SW', '', '', '', '', '', 'N', 'Y', 'N', 'N', 'IP', 'I', 'OK', 'OK', 'OK', '1400000', 'G', 'F', 'F', '', '', '', '', '', '', '300000', '', '', 'R', '190', '66', '190', '66', '11.5', '59', 'C', 'C', 'C', 'CW', 'N', 'F', 'C', '', 'SF', 'MF', 'SW', '22.33', '1.0286', '1', '1.02858', '1748588.5', '1440014.125', '0', '0', '0', '0', '0', '308574.4375', '0', '0', '8', '1988 UBC I=1 0 ', '', '');
INSERT INTO buildings VALUES ('397', '10', '37', 'BRANDOWandJOHNSTON', TO_DATE('06/15/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '4', '0', '270000', '1972', 'PC2', 'N', '1990', '285000', 'AC', 'MIN', '', 'LS', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'OK', 'OK', '285000', 'F', 'G', 'G', '', '', '', '4', '', '', '', '', '', 'R', '303', '255', '303', '255', '9.5', '28.5', 'PC', 'PC', 'C', 'PC', 'N', 'F', 'PC', '', 'SF', 'MF', 'MF', '1.06', '1.0788', '1', '1.07883', '307466.6875', '307466.6875', '0', '0', '0', '0', '0', '0', '0', '0', '10', '1988 UBC I=1 0 ', '', '');
INSERT INTO buildings VALUES ('398', '8', '23', 'BRANDOWandJOHNSTON', TO_DATE('06/15/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '1', '1', '28440', '1964', 'C1', 'N', '1990', '2200000', 'AC', 'COM', '', 'LS', 'SW', '', '', '', '', '', 'N', 'Y', 'N', 'N', 'TR', 'I', 'NE', 'I', 'NE', '330000', 'G', 'F', 'F', '100000', '', '', '4', '0', '0', '176000', '220000', '0', 'R', '108', '90', '108', '90', '16.5', '31.5', 'WS', '', 'C', 'CW', 'N', 'G', 'C', '', 'SF', 'MF', 'MF', '11.6', '1.0788', '1', '1.07883', '2373427', '356014.0625', '107883.046875', '0', '0', '0', '0', '189874.171875', '237342.703125', '0', '9', 'SITE SPECIFIC RESPONSE - LS ', '', '');
INSERT INTO buildings VALUES ('399', '7', '23', 'BRANDOWandJOHNSTON', TO_DATE('06/15/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '2', '0', '98000', '1963', 'C2', 'N', '1991', '5000000', 'AC', 'COM', '', 'LS', 'SW', '', '', '', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'I', 'I', 'I', '650000', 'G', 'F', 'F', '', '', '', '24', '0', '0', '0', '1250000', '0', 'R', '490', '100', '490', '100', '14', '28', 'WS', 'WS', 'C', 'CW', 'N', 'G', 'C', 'C', 'P', 'SW', 'SW', '6.63', '1.0596', '1', '1.05961', '5298073.5', '688749.5', '0', '0', '0', '0', '0', '0', '1324518.375', '0', '9', 'SITE SPECIFIC RESPONSE - LS ', '', '');
INSERT INTO buildings VALUES ('400', '8', '23', 'BRANDOWandJOHNSTON', TO_DATE('06/16/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '3', '1', '56000', '1968', 'C1', 'N', '1989', '1500000', 'AC', 'ADD', '', 'LS', 'SW', 'EW', '', '', '', '', 'N', 'N', 'Y', 'Y', 'TR', 'I', 'OK', 'OK', 'I', '750000', 'G', 'G', 'F', '', '', '', '9', '750000', '0', '0', '600000', '150000', 'R', '222', '76', '172', '76', '14', '44', 'C', 'C', 'C', 'CW', 'N', 'G', 'C', '', 'SF', 'MF', 'MF', '13.39', '1.1067', '1', '1.10668', '1660022.75', '830011.375', '0', '0', '0', '830011.375', '0', '0', '664009.125', '166002.28125', '9', '1988 UBC', '', '');
INSERT INTO buildings VALUES ('401', '13', '18', 'SIMPSONGUMPERTZ', TO_DATE('06/07/93','MM/DD/YY'), 'MIDDLESEX', 'MA', '3', 'S1', '2', '0', '25500', '1956', 'S5', 'N', '1990', '1694000', 'AC', 'COM', '', 'RR', 'EW', 'SD', 'PB', '', '', '', 'N', 'N', 'Y', 'Y', 'TR', 'I', 'I', 'NE', 'NE', '83560', 'G', 'G', 'G', '', '', '', '', '', '', '', '', '', 'R', '250', '51', '250', '51', '12', '24', 'S', 'S', 'MD', 'M', 'N', 'F', 'S', '', 'SF', 'SW', 'SW', '3.28', '1.0788', '1.0137', '1.09361', '1852573.5', '91381.9609375', '0', '0', '0', '0', '0', '0', '0', '0', '9', 'MASSACHUSETTES STATE BLDG CODE', '', '');
INSERT INTO buildings VALUES ('402', '13', '41', 'SIMPSONGUMPERTZ', TO_DATE('06/02/93','MM/DD/YY'), 'NORFOLK', 'MA', '3', 'S1', '2', '0', '163200', '1975', 'C1', 'N', '1992', '73000', 'AC', 'MIN', '', 'RR', 'EW', 'PB', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'OK', 'I', 'I', 'I', '73000', 'G', 'G', 'G', '', '', '', '', '', '', '', '', '', 'R', '400', '200', '400', '200', '18.5', '37', 'FS', 'C', 'C', 'PC', 'N', 'G', 'C', '', 'SF', 'MF', 'MF', '0.45', '1.0286', '1.0137', '1.04267', '76115.0234375', '76115.0234375', '0', '0', '0', '0', '0', '0', '0', '0', '9', 'MASSACHUSETTS STATE BLDG CODE ', '', '');
INSERT INTO buildings VALUES ('403', '7', '19', 'GSA', TO_DATE('06/22/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '196800', '1944', 'C2', 'N', '1993', '3741000', 'S', 'ADD', '', 'LS', 'BF', 'SD', '', '', '', '', 'N', 'N', 'Y', 'N', 'V', 'I', 'OK', 'NE', 'I', '3006600', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '984', '200', '984', '200', '28', '34', 'TT', '', 'W', 'S', 'N', 'G', 'W', 'C', 'SF', 'SW', 'SW', '15.28', '1', '1', '1', '3741000', '3006600', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'GSA - SEISMIC DESIGN MANUAL ', '', '');
INSERT INTO buildings VALUES ('404', '7', '19', 'GSA', TO_DATE('06/22/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '196800', '1944', 'C2', 'N', '1993', '3819000', 'S', 'ADD', '', 'LS', 'BF', 'SD', '', '', '', '', 'N', 'N', 'Y', 'N', 'V', 'I', 'OK', 'NE', 'I', '3040000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '984', '200', '984', '200', '28', '34', 'TT', '', 'W', 'S', 'N', 'G', 'W', 'C', 'SF', 'SW', 'SW', '15.45', '1', '1', '1', '3819000', '3040000', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'GSA - SEISMIC DESIGN MANUAL ', '', '');
INSERT INTO buildings VALUES ('405', '7', '19', 'GSA', TO_DATE('06/22/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '108300', '1944', 'C2', 'N', '1993', '2050000', 'S', 'ADD', '', 'LS', 'BF', 'SD', '', '', '', '', 'N', 'N', 'Y', 'N', 'V', 'I', 'OK', 'NE', 'I', '1691000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '541', '200', '541', '200', '28', '34', 'TT', '', 'W', 'S', 'N', 'G', 'W', 'C', 'SF', 'SW', 'SW', '15.61', '1', '1', '1', '2050000', '1691000', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'GSA - SEISMIC DESIGN MANUAL ', '', '');
INSERT INTO buildings VALUES ('406', '7', '19', 'GSA', TO_DATE('06/22/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '196800', '1944', 'C2', 'N', '1993', '3762000', 'S', 'ADD', '', 'LS', 'BF', 'SD', '', '', '', '', 'N', 'N', 'Y', 'N', 'V', 'I', 'OK', 'NE', 'I', '2880000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '984', '200', '984', '200', '28', '34', 'TT', '', 'W', 'S', 'N', 'G', 'W', 'C', 'SF', 'SW', 'SW', '14.63', '1', '1', '1', '3762000', '2880000', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'GSA - SEISMIC DESIGN MANUAL ', '', '');
INSERT INTO buildings VALUES ('412', '7', '40', 'DASSEDESIGN', TO_DATE('07/19/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', 'S2', '1', '0', '85840', '1957', 'RM2', 'N', '1989', '3307539', 'AC', 'COM', '', 'LS', 'EW', 'EF', 'SD', '', '', '', 'N', 'N', 'Y', 'N', 'IP', 'I', 'I', 'NE', 'I', '1704141', 'G', 'G', 'G', '', '177629', '221300', '18', '0', '0', '0', '', '', 'R', '363', '234', '', '', '18', '36', 'C', 'FS', 'MD', 'CW', 'N', 'G', 'S', 'RM', 'SF', 'SW', 'SW', '19.85', '1.1067', '1', '1.10668', '3660393.25', '1885941.875', '0', '196578.78125', '244908.6875', '0', '0', '0', '0', '0', '9', '1979 UBC', '', '');
INSERT INTO buildings VALUES ('413', '1', '6', 'GSA', TO_DATE('06/22/93','MM/DD/YY'), 'HUMBOLDT', 'CA', '5', 'S3', '3', '1', '26300', '1909', 'URM', 'N', '1983', '741140', 'S', 'MIN', '', 'LS', 'SW', 'EW', 'SD', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'I', '483439', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '95', '76', '95', '76', '12', '49', 'S', 'S', 'W', 'N', 'Y', 'F', 'S', 'URM', 'SF', 'SW', 'SW', '18.38', '1.2227', '1', '1.22273', '906217.75', '591117.75', '0', '0', '0', '0', '0', '0', '0', '0', '5', '1982 UBC', '', '');
INSERT INTO buildings VALUES ('414', '10', '14', 'GSA', TO_DATE('06/22/93','MM/DD/YY'), 'SANMATEO', 'CA', '7', '', '2', '0', '157000', '1973', 'C2', 'N', '1981', '725700', 'S', 'MIN', '', 'DC', 'SD', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'I', '643800', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '360', '235', '360', '235', '19', '50', 'S', 'FS', 'C', 'N', 'N', 'G', 'C', 'C', 'P', 'SW', 'SW', '4.1', '1.3901', '1', '1.39008', '1008781.8125', '894934.1875', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'GSA - DESIGN GUIDELINES ', '', '');
INSERT INTO buildings VALUES ('415', '5', '16', 'GSA', TO_DATE('06/22/93','MM/DD/YY'), 'KING', 'WA', '5', 'S2', '13', '1', '174000', '1938', 'C2', 'Y', '1991', '11202000', 'S', 'MIN', '', 'LS', 'SW', 'EW', 'EF', 'SD', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'I', '10653000', 'G', 'P', 'P', '', '', '', '20', '', '', '', '', '', 'R', '220', '104', '190', '74', '11', '141', 'C', 'C', 'C', 'OT', 'N', 'G', 'C', 'C', 'SF', 'SW', 'SW', '61.22', '1.0596', '1.10228', '1.168', '13083894', '12442664', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'GSA - SEISMIC DESIGN MANUAL ', '', '');
INSERT INTO buildings VALUES ('416', '9', '12', 'GSA', TO_DATE('06/22/93','MM/DD/YY'), 'WASHOE', 'NV', '7', '', '5', '0', '121490', '1963', 'S4', 'N', '1992', '2518000', 'S', 'MIN', '', 'DC', 'SW', 'BF', 'EW', 'EF', 'SD', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'I', '2135000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '215', '104', '215', '104', '13', '91', 'S', 'S', 'MDF', 'ST', 'N', 'G', 'S', '', 'SF', 'SW', 'SW', '17.57', '1.0286', '1.08717', '1.11824', '2815734.25', '2387447.5', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'GSA - SEISMIC DESIGN HANDBOOK ', '', '');
INSERT INTO buildings VALUES ('417', '11', '12', 'GSA', TO_DATE('06/22/93','MM/DD/YY'), 'SANDIEGO', 'CA', '7', '', '2', '0', '19700', '1933', 'S5', 'N', '1992', '1084000', 'S', 'MIN', '', 'LS', 'SW', 'BF', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'I', '975000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'C', '200', '140', '200', '140', '12', '40', 'W', 'S', 'W', 'N', 'N', 'F', 'S', '', 'P', 'SW', 'SW', '49.49', '1.0286', '1', '1.02858', '1114982.375', '1002866.9375', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'GSA - SEISMIC DESIGN MANUAL ', '', '');
INSERT INTO buildings VALUES ('418', '10', '12', 'GSA', TO_DATE('06/23/93','MM/DD/YY'), 'CONTRACOSTA', 'CA', '7', 'S2', '6', '1', '13800', '1974', 'S2', 'N', '1991', '117000', 'S', 'MIN', '', 'DC', 'EF', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '117000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '150', '124', '150', '124', '19.5', '22', 'S', 'S', 'MDF', 'PC', 'N', 'G', 'S', '', 'P', 'BF', 'BF', '8.48', '1.0596', '1', '1.05961', '123974.9140625', '123974.9140625', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'GSA - SEISMIC DESIGN OF BLDGS ', '', '');
INSERT INTO buildings VALUES ('419', '8', '13', 'GSA', TO_DATE('06/23/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', 'S2', '5', '0', '25937', '1923', 'C1', 'N', '1983', '1676750', 'S', 'ADD', '', 'LS', 'SW', 'SD', 'SF', 'WT', '', '', 'N', 'N', 'N', 'Y', 'TR', 'I', '', 'NE', 'NE', '1258000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '103', '50', '103', '50', '11', '74', 'FS', 'FS', 'C', 'M', 'N', 'F', 'C', '', 'SF', 'SW', 'MF', '48.5', '1.2227', '1', '1.22273', '2050220.75', '1538200.5', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'UBC 1982', '', '');
INSERT INTO buildings VALUES ('420', '1', '4', 'GSA', TO_DATE('06/23/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', 'S2', '9', '1', '100000', '1916', 'S5', 'Y', '1983', '2513832', 'S', 'MIN', '', 'LS', 'SW', 'EW', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '1726318', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '149', '104', '149', '104', '12', '113', 'FS', 'FS', 'C', 'M', 'N', 'G', 'S', '', 'SF', 'SW', 'SW', '17.26', '1.2227', '1', '1.22273', '3073750.25', '2110829.25', '0', '0', '0', '0', '0', '0', '0', '0', '5', '1982 UBC', '', '');
INSERT INTO buildings VALUES ('421', '9', '19', 'GSA', TO_DATE('06/22/93','MM/DD/YY'), 'FRESNO', 'CA', '7', 'S3', '5', '1', '790000', '1965', 'C2', 'N', '1990', '8662000', 'S', 'MIN', '', 'DC', 'SW', 'EW', 'EF', 'SF', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'I', 'I', 'I', '8077000', 'G', 'P', 'P', '', '', '', '16', '', '', '', '', '', 'R', '218', '146', '218', '146', '12', '80', 'C', 'FS', 'C', 'PC', 'N', 'G', 'C', 'C', 'M', 'SW', 'SW', '10.22', '1.0788', '1', '1.07883', '9344830', '8713714', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'UBC 1988', '', '');
INSERT INTO buildings VALUES ('422', '9', '19', 'GSA', TO_DATE('06/22/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S1', '3', '0', '105400', '1930', 'S4', 'Y', '1991', '1731000', 'S', 'ADD', '', 'DC', 'EF', 'SD', '', '', '', '', 'N', 'N', 'Y', 'Y', 'TR', 'I', 'OK', 'I', 'NE', '1256000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'O', '172', '144', '172', '144', '18', '78', 'S', 'S', 'C', 'OT', 'N', 'G', 'S', '', 'SF', 'SW', 'SW', '11.92', '1.0596', '1', '1.05961', '1834193', '1330876', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'UBC 1988', '', '');
INSERT INTO buildings VALUES ('423', '1', '9', 'GSA', TO_DATE('06/23/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S2', '3', '0', '117200', '1870', 'URM', 'Y', '1990', '13160000', 'S', 'ADD', '', 'LS', 'SW', 'EW', 'SD', 'PB', 'WT', '', 'N', 'N', 'Y', 'N', 'V', 'I', 'I', 'I', 'NE', '10667000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'O', '221', '165', '221', '165', '15', '50', 'S', 'S', 'SN', 'ST', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '91.02', '1.0788', '1', '1.07883', '14197409', '11507885', '0', '0', '0', '0', '0', '0', '0', '0', '6', '80% UBC ', '', '');
INSERT INTO buildings VALUES ('424', '7', '21', 'GSA', TO_DATE('06/23/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '43400', '', 'S4', 'N', '1992', '344000', 'S', 'ADD', '', 'LS', 'SF', '', '', '', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'OK', 'I', 'I', '254000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '525', '125', '525', '125', '20', '20', 'S', '', 'MD', 'PC', 'N', 'G', 'S', '', 'SF', 'SW', 'SW', '5.85', '1.0286', '1', '1.02858', '353832.03125', '261259.703125', '0', '0', '0', '0', '0', '0', '0', '0', '6', '', '', '');
INSERT INTO buildings VALUES ('425', '9', '18', 'GSA', TO_DATE('06/23/93','MM/DD/YY'), 'SONOMA', 'CA', '7', 'S1', '1', '1', '15000', '1932', 'URM', 'N', '1991', '2184000', 'S', 'ADD', '', 'DC', 'SW', 'EW', 'SF', 'PB', 'WT', '', 'N', 'N', 'Y', 'N', 'V', 'I', 'I', 'I', 'I', '1760000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '102', '92', '102', '92', '25', '25', 'S', '', 'C', 'HG', 'N', 'G', 'S', 'URM', 'SF', 'SW', 'SW', '117.33', '1.0596', '1', '1.05961', '2314198.5', '1864921.75', '0', '0', '0', '0', '0', '0', '0', '0', '6', '1991 UBC', '', '');
INSERT INTO buildings VALUES ('426', '7', '19', 'GSA', TO_DATE('06/23/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '17', '1', '516650', '1966', 'S1', 'N', '1992', '13473000', 'S', 'ADD', '', 'LS', 'SW', 'MF', 'EW', 'EF', 'SD', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'I', 'I', 'I', '11600000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '308', '75', '308', '75', '13.5', '225', 'S', 'S', 'MDF', 'PC', 'N', 'G', 'S', '', 'P', 'MF', 'MF', '22.45', '1.0286', '1', '1.02858', '13858079', '11931545', '0', '0', '0', '0', '0', '0', '0', '0', '6', '80% UBC 1991', '', '');
INSERT INTO buildings VALUES ('428', '10', '21', 'GSA', TO_DATE('06/23/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '6', '0', '210500', '1970', 'C1', 'N', '1992', '10612000', 'S', 'ADD', '', 'LS', 'SW', 'SD', '', '', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'OK', 'I', 'I', '7741250', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '275', '120', '275', '120', '13.5', '100', 'WS', 'WS', 'C', 'CW', 'N', 'G', 'C', '', 'SF', 'MF', 'MF', '36.78', '1.0286', '1', '1.02858', '10915307', '7962506.5', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'UBC 1991 (80%)', '', '');
INSERT INTO buildings VALUES ('429', '5', '40', 'GSA', TO_DATE('06/22/93','MM/DD/YY'), 'SPOKANE', 'WA', '2', 'S2', '9', '1', '284000', '1968', 'S4', 'N', '1992', '1235000', 'S', 'MIN', '', 'LS', 'BF', 'EW', 'SD', '', '', '', 'N', 'N', 'Y', 'N', 'IP', 'I', 'OK', 'I', 'I', '757000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '155', '155', '155', '155', '13', '54', 'S', 'S', 'MDF', 'M', 'N', 'G', 'S', '', 'SF', 'SW', 'SW', '2.67', '1.0286', '1.10228', '1.13379', '1400229.25', '858278.1875', '0', '0', '0', '0', '0', '0', '0', '0', '6', '80% 1991 UBC', '', '');
INSERT INTO buildings VALUES ('430', '11', '20', 'GSA', TO_DATE('06/22/93','MM/DD/YY'), 'SACRAMENTO', 'CA', '5', 'S3', '5', '1', '164000', '1931', 'S5', 'Y', '1983', '4829210', 'S', 'ADD', '', 'LS', 'SW', 'BF', 'SD', '', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'I', 'I', 'NE', '2795033', 'P', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '267', '149', '267', '149', '12.5', '106', 'S', 'S', 'C', 'TC', 'N', 'G', 'S', '', 'P', 'SW', 'SW', '17.04', '1.2227', '1', '1.22273', '5904843.5', '3417584.5', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'UBC 1982', '', '');
INSERT INTO buildings VALUES ('431', '7', '12', 'GSA', TO_DATE('06/23/93','MM/DD/YY'), 'IMPERIAL', 'CA', '7', 'S2', '2', '1', '12800', '1932', 'URM', 'N', '1985', '96000', 'S', 'MIN', '', 'LS', 'SD', 'SF', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '81217', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '95', '45', '95', '45', '11', '42', 'W', 'W', 'W', 'N', 'N', 'F', 'C', 'URM', 'SF', 'SW', 'SW', '6.35', '1.2006', '1', '1.20058', '115255.359375', '97507.234375', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'UBC 1985', '', '');
INSERT INTO buildings VALUES ('432', '7', '11', 'GSA', TO_DATE('06/23/93','MM/DD/YY'), 'IMPERIAL', 'CA', '7', 'S2', '1', '0', '2500', '', 'URM', 'N', '1985', '91000', 'S', 'MIN', '', 'LS', 'SD', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '91000', 'F', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '68', '37', '68', '37', '14', '19', 'W', '', 'W', 'N', 'N', 'G', 'S', 'URM', 'SF', 'SW', 'SW', '36.4', '1.2006', '1', '1.20058', '109252.4765625', '109252.4765625', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'UBC 1985', '', '');
INSERT INTO buildings VALUES ('433', '1', '2', 'GSA', TO_DATE('06/23/93','MM/DD/YY'), 'THURSTON', 'WA', '5', '', '3', '1', '24000', '1914', 'URM', 'Y', '1990', '2763000', 'S', 'MIN', '', 'LS', 'SW', 'SD', 'PB', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '2085000', 'G', 'P', 'P', '', '', '', '7', '', '', '', '', '', '', '101', '52', '101', '52', '15', '55', 'S', 'S', 'C', 'TC', 'N', 'G', 'S', 'URM', 'SF', 'SW', 'SW', '86.88', '1.0788', '1.10228', '1.18918', '3285697.5', '2479435.25', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'GSA - SEISMIC DESIGN HANDBOOK ', '', '');
INSERT INTO buildings VALUES ('434', '10', '12', 'GSA', TO_DATE('06/22/93','MM/DD/YY'), 'KING', 'WA', '5', '', '37', '1', '854400', '1971', 'S1', 'N', '1992', '4822000', 'S', 'MIN', '', 'LS', 'SW', 'EF', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'I', '2313000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '145', '145', '145', '145', '12.5', '444', 'S', 'S', 'MDF', 'PC', 'N', 'G', 'S', '', 'P', 'MF', 'MF', '2.71', '1.0286', '1.10228', '1.13379', '5467130', '2622453.75', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'GSA - SEISMIC DESIGN HANDBOOK ', '', '');
INSERT INTO buildings VALUES ('435', '1', '10', 'GSA', TO_DATE('06/22/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', '', '4', '1', '345000', '1905', 'S5', 'Y', '1990', '27200000', 'S', 'ADD', '', 'LS', 'SW', 'EF', 'PB', '', '', '', 'N', 'N', 'Y', 'Y', 'TR', 'I', 'I', 'I', 'NE', '8820000', 'F', 'P', 'P', '', '', '', '', '', '', '', '', '', 'O', '333', '267', '333', '267', '16', '82', 'S', 'S', 'C', 'ST', 'N', 'F', 'S', '', 'P', 'SW', 'SW', '25.57', '1.0788', '1', '1.07883', '29344190', '9515285', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'GSA - SEISMIC DESIGN HANDBOOK ', '', '');
INSERT INTO buildings VALUES ('436', '3', '10', 'GSA', TO_DATE('06/22/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', '', '4', '1', '345000', '1905', 'S5', 'Y', '1990', '28300000', 'S', 'ADD', '', 'IO', 'IS', 'SD', '', '', '', '', 'N', 'N', 'Y', 'Y', 'TR', 'I', 'OK', 'OK', 'NE', '16100000', 'F', 'P', 'P', '', '', '', '', '', '', '', '', '', 'O', '333', '267', '333', '267', '16', '82', 'S', 'S', 'C', 'ST', 'N', 'F', 'S', '', 'P', 'SW', 'SW', '46.67', '1.0788', '1', '1.07883', '30530902', '17369170', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'GSA - SEISMIC DESIGN MANUAL ', '', '');
INSERT INTO buildings VALUES ('437', '7', '14', 'GSA', TO_DATE('06/22/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', '', '6', '1', '380000', '1935', 'S4', 'N', '1986', '2483000', 'S', 'MIN', '', 'LS', 'SW', 'SF', 'PB', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '2483000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'O', '370', '220', '370', '220', '17', '120', 'S', 'S', 'C', 'TC', 'N', 'G', 'S', '', 'SF', 'SW', 'SW', '6.53', '1.174', '1', '1.17398', '2915000', '2915000', '0', '0', '0', '0', '0', '0', '0', '0', '5', '1985 UBC', '', '');
INSERT INTO buildings VALUES ('438', '10', '12', 'GSA', TO_DATE('06/22/93','MM/DD/YY'), 'FRESNO', 'CA', '7', '', '1', '0', '532000', '1971', 'S1', 'N', '1991', '15173000', 'S', 'MIN', '', 'LS', 'BF', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'I', '10721000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '1200', '750', '1200', '750', '18', '21', 'S', '', 'MD', 'PC', 'N', 'G', 'S', 'PC', 'SF', 'MF', 'SW', '20.15', '1.0596', '1', '1.05961', '16077533', '11360129', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'GSA - SEISMIC DESIGN MANUAL ', '', '');
INSERT INTO buildings VALUES ('439', '6', '14', 'GSA', TO_DATE('06/22/93','MM/DD/YY'), 'KING', 'WA', '5', 'S2', '4', '1', '80000', '1930', 'URM', 'Y', '1991', '9147000', 'S', 'MIN', '', 'LS', 'EW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'I', '6574000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '240', '82', '240', '82', '16', '64', 'S', 'C', 'C', 'N', 'N', 'G', 'S', 'URM', 'P', 'SW', 'SW', '82.18', '1.0596', '1.10228', '1.168', '10683662', '7678407.5', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'GSA - SEISMIC DESIGN MANUAL ', '', '');
INSERT INTO buildings VALUES ('441', '8', '14', 'GSA', TO_DATE('06/22/93','MM/DD/YY'), 'SACRAMENTO', 'CA', '5', 'S3', '2', '0', '198500', '1968', 'C1', 'N', '1991', '8806000', 'S', 'MIN', '', 'LS', 'SW', 'EF', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'I', '7938000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '315', '315', '315', '315', '13.5', '27', 'WS', 'WS', 'C', 'PC', 'N', 'G', 'C', 'C', 'SF', 'MF', 'MF', '39.99', '1.0596', '1', '1.05961', '9330967', '8411221', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'GSA - SEISMIC DESIGN MANUAL ', '', '');
INSERT INTO buildings VALUES ('442', '8', '14', 'GSA', TO_DATE('06/22/93','MM/DD/YY'), 'SACRAMENTO', 'CA', '5', 'S3', '2', '0', '98750', '1968', 'C1', 'N', '1991', '4363000', 'S', 'MIN', '', 'LS', 'SW', 'EF', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'I', '3917000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'O', '315', '165', '315', '165', '13.5', '27', 'WS', 'WS', 'C', 'PC', 'N', 'G', 'C', 'C', 'SF', 'MF', 'MF', '39.67', '1.0596', '1', '1.05961', '4623099', '4150510.5', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'GSA - SEISMIC DESIGN MANUAL ', '', '');
INSERT INTO buildings VALUES ('443', '5', '14', 'GSA', TO_DATE('06/22/93','MM/DD/YY'), 'SACRAMENTO', 'CA', '5', 'S3', '1', '0', '17800', '1968', 'C2', 'N', '1991', '613000', 'S', 'MIN', '', 'LS', 'SW', 'EF', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'I', '537000', 'P', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '230', '114', '230', '114', '13.5', '24', 'WS', '', 'C', 'PC', 'N', 'G', 'C', 'C', 'SF', 'SW', 'SW', '30.17', '1.0596', '1', '1.05961', '649543.8125', '569013.0625', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'GSA - SEISMIC DESIGN MANUAL ', '', '');
INSERT INTO buildings VALUES ('444', '3', '8', 'GSA', TO_DATE('06/22/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S2', '5', '0', '128000', '1909', 'URM', 'Y', '1991', '11238000', 'S', 'MIN', '', 'IO', 'EW', 'IS', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'I', '9615000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '263', '115', '263', '115', '17', '95', 'S', 'S', 'C', 'N', 'N', 'G', 'S', 'URM', 'P', 'SW', 'SW', '75.12', '1.0596', '1', '1.05961', '11907950', '10188195', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'GSA - SEISMIC DESIGN MANUAL ', '', '');
INSERT INTO buildings VALUES ('445', '1', '7', 'GSA', TO_DATE('06/22/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S2', '5', '0', '128000', '1909', 'URM', 'Y', '1991', '7830000', 'S', 'MIN', '', 'LS', 'EW', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'Y', 'TR', 'I', 'I', 'NE', 'I', '4470000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '263', '115', '263', '115', '17', '95', 'S', 'S', 'C', 'N', 'N', 'G', 'S', 'URM', 'P', 'SW', 'SW', '34.92', '1.0596', '1', '1.05961', '8296783', '4736477.5', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'GSA - SEISMIC DESIGN MANUAL ', '', '');
INSERT INTO buildings VALUES ('446', '11', '17', 'GSA', TO_DATE('06/22/93','MM/DD/YY'), 'MULTNOMAH', 'OR', '2', 'S2', '8', '0', '208005', '1932', 'S5', 'Y', '1991', '12922000', 'S', 'ADD', '', 'LS', 'SW', 'EW', 'SD', '', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'I', 'I', 'I', '10193000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'O', '160', '160', '160', '160', '11.5', '102', 'S', 'S', 'C', 'ST', 'N', 'G', 'S', '', 'SF', 'SW', 'SW', '49', '1.0596', '1.1269', '1.19408', '15429947', '12171293', '0', '0', '0', '0', '0', '0', '0', '0', '6', '80% UBC 1991', '', '');
INSERT INTO buildings VALUES ('447', '19', '53', 'GSA', TO_DATE('06/22/93','MM/DD/YY'), 'MULTNOMAH', 'OR', '2', 'S3', '6', '1', '152950', '1918', 'S5', 'Y', '1991', '12204000', 'S', 'MIN', '', 'IO', 'BF', 'IS', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'OK', 'OK', '12204000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'C', '195', '189', '195', '94', '', '95', 'S', 'S', 'C', 'M', 'N', 'G', 'S', '', 'P', 'SW', 'SW', '79.79', '1.0596', '1.1269', '1.19408', '14572595', '14572595', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'SITE SPECIFIC SPECTRA ', '', '');
INSERT INTO buildings VALUES ('448', '19', '53', 'GSA', TO_DATE('06/22/93','MM/DD/YY'), 'MULTNOMAH', 'OR', '2', 'S2', '8', '0', '186000', '1932', 'S5', 'Y', '1991', '14494000', 'S', 'MIN', '', 'IO', 'SW', 'IS', 'SD', 'SF', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'I', 'OK', 'OK', '14400000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'O', '160', '160', '160', '160', '11.5', '102', 'S', 'S', 'C', 'ST', 'N', 'G', 'S', '', 'SF', 'SW', 'SW', '77.42', '1.0596', '1.1269', '1.19408', '17307046', '17194802', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'SITE SPECIFIC RESPONSE', '', '');
INSERT INTO buildings VALUES ('449', '11', '17', 'GSA', TO_DATE('06/22/93','MM/DD/YY'), 'MULTNOMAH', 'OR', '2', 'S3', '6', '1', '152950', '1918', 'S5', 'Y', '1991', '9991000', 'S', 'ADD', '', 'LS', 'SW', 'EW', 'SD', 'PB', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'I', 'I', 'I', '7393000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'C', '195', '189', '195', '94', '', '95', 'S', 'S', 'C', 'M', 'N', 'G', 'S', '', 'P', 'SW', 'SW', '48.34', '1.0596', '1.1269', '1.19408', '11930088', '8827859', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'UBC 1991 (80%)', '', '');
INSERT INTO buildings VALUES ('450', '1', '2', 'GSA', TO_DATE('06/22/93','MM/DD/YY'), 'MULTNOMAH', 'OR', '2', '', '3', '1', '48044', '1872', 'URM', 'Y', '1992', '4821000', 'S', 'MIN', '', 'LS', 'SW', 'EF', 'SD', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '4716000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '117', '114', '117', '114', '15', '67', 'W', 'S', 'W', 'ST', 'N', 'G', 'S', 'URM', 'SF', 'SW', 'SW', '98.16', '1.0286', '1.1269', '1.15911', '5588079.5', '5466373', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'GSA - SEISMIC DESIGN HANDBOOK ', '', '');
INSERT INTO buildings VALUES ('451', '1', '7', 'TODDPERBIX', TO_DATE('05/21/93','MM/DD/YY'), 'KING', 'WA', '5', 'S2', '19', '1', '110000', '1910', 'S5', 'Y', '1989', '136000', 'AC', 'MIN', '', 'RR', 'SS', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '136000', 'G', 'G', 'G', '', '', '', '', '', '', '', '', '', 'R', '108', '60', '108', '60', '10.5', '210', 'S', 'S', 'C', 'M', 'N', 'G', 'S', '', 'SF', 'SW', 'SW', '1.24', '1.1067', '1.10228', '1.21988', '165903.359375', '165903.359375', '0', '0', '0', '0', '0', '0', '0', '0', '10', 'ATC-22', '', '');
INSERT INTO buildings VALUES ('452', '7', '12', 'MIKEMEHRAIN', TO_DATE('06/10/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '1', '0', '30000', '1962', 'RM1', 'N', '1989', '35000', 'AC', 'MIN', '', 'LS', 'WT', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '35000', 'F', 'F', 'F', '', '', '', '', '', '', '', '', '', 'R', '200', '150', '200', '150', '18', '18', 'W', '', 'W', 'M', 'N', 'G', 'S', 'RM', 'SF', 'SW', 'SW', '1.17', '1.1067', '1', '1.10668', '38733.86328125', '38733.86328125', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UBC 1985', '', '');
INSERT INTO buildings VALUES ('453', '10', '21', 'RandCJMJ', TO_DATE('6/1/1993','MM/DD/YY'), 'SANJUAN', 'PR', '5', 'S2', '7', '1', '281000', '1970', 'C1', 'N', '1992', '5842000', 'S', 'MIN', '', 'DC', 'SW', 'SD', 'SF', '', '', '', 'N', 'N', 'Y', 'N', 'V', 'I', 'I', '', 'I', '2800000', 'G', 'G', 'F', '', '', '', '', '', '', '', '', '2056000', 'R', '370', '95', '370', '95', '13', '93', 'C', 'C', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'MF', 'SW', '9.96', '1.0286', '0.78', '0.80229', '4686999', '2246422', '0', '0', '0', '0', '0', '0', '0', '1649515.5', '8', '1991 UBC', '', '');
INSERT INTO buildings VALUES ('454', '12', '33', 'RandCJMJ', TO_DATE('6/1/1993','MM/DD/YY'), 'SANJUAN', 'PR', '7', 'S2', '1', '0', '48400', '1970', 'C3', 'N', '1992', '4132400', 'S', 'MIN', '', 'DC', 'SW', 'SD', '', '', '', '', 'N', 'N', 'Y', 'N', 'V', 'I', 'I', '', 'I', '720000', 'G', 'G', 'F', '', '', '', '', '', '', '', '', '3104000', 'R', '220', '220', '220', '220', '13', '13', 'C', '', 'MD', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '14.88', '1.0286', '0.78', '0.80229', '3315397.75', '577651.375', '0', '0', '0', '0', '0', '0', '0', '2490319.25', '8', '1991 UBC', '', '');
INSERT INTO buildings VALUES ('455', '9', '23', 'RandCHF/JMJ', TO_DATE('6/1/1993','MM/DD/YY'), 'YOLO', 'CA', '5', 'S2', '4', '1', '180000', '1962', 'C2', 'N', '1990', '10000000', 'AC', 'COM', '6000', 'DC', 'SW', 'SD', '', '', '', '', 'N', 'Y', 'Y', 'Y', 'TR', 'I', 'NE', 'NE', 'NE', '3000000', 'F', 'F', 'P', '', '', '', '', '', '', '', '', '', 'C', '226', '225', '226', '225', '15.5', '51', 'FS', 'FS', 'C', 'N', 'N', 'G', 'C', 'C', 'SF', 'SW', 'SW', '16.67', '1.0788', '1', '1.07883', '10788305', '3236491.5', '0', '0', '0', '0', '0', '0', '0', '0', '8', '1978 UBC - TITLE 24 ', '', '');
INSERT INTO buildings VALUES ('456', '3', '8', 'RandCJMJ', TO_DATE('6/1/1993','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S2', '2', '0', '8660', '1914', 'C2', 'N', '1992', '401000', 'S', 'MIN', '', 'IO', 'SD', 'SF', '', '', '', '', 'N', 'N', 'Y', 'N', 'IP', 'I', 'I', '', 'I', '353000', 'G', 'G', 'G', '', '76190', '16040', '', '', '', '', '', '34180', 'R', '68', '62', '68', '62', '10', '37', 'C', 'C', 'C', 'N', 'N', '', '', 'C', 'SF', 'SW', 'SW', '40.76', '1.0286', '1', '1.02858', '412461.1875', '363089.28125', '0', '78367.625', '16498.447265625', '0', '0', '0', '0', '35156.9140625', '8', '1991 UBC I=1 25 ', '', '');
INSERT INTO buildings VALUES ('457', '19', '53', 'RandCJMJ', TO_DATE('6/1/1993','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S2', '3', '1', '169460', '', 'S5', 'Y', '1992', '24994000', 'S', 'MIN', '32360', 'IO', 'SW', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'Y', 'V', 'I', 'I', '', 'I', '14764000', 'G', 'G', 'G', '', '', '', '', '', '', '', '', '10230000', 'O', '206', '188', '206', '188', '', '', 'S', 'S', 'C', 'ST', '', '', 'S', '', 'SF', 'SW', 'SW', '87.12', '1.0286', '1', '1.02858', '25708366', '15185977', '0', '0', '0', '0', '0', '0', '0', '10522389', '8', 'SITE SPECIFIC RESPONSE', '', '');
INSERT INTO buildings VALUES ('458', '11', '25', 'RandCJMJ', TO_DATE('6/1/1993','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S2', '3', '1', '154550', '', 'S5', 'Y', '1992', '18357000', 'S', 'MIN', '17450', 'DC', 'SW', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'Y', 'V', 'I', 'I', '', 'I', '11119000', 'G', 'G', 'G', '', '', '', '', '', '', '', '', '7238000', 'O', '206', '188', '206', '188', '', '', 'S', 'S', 'C', 'ST', '', '', 'S', '', 'SF', 'SW', 'SW', '71.94', '1.0286', '1', '1.02858', '18881670', '11436798', '0', '0', '0', '0', '0', '0', '0', '7444873', '8', '1991 UBC (I=1 25) ', '', '');
INSERT INTO buildings VALUES ('459', '19', '53', 'RandCJMJ', TO_DATE('6/1/1993','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S2', '3', '1', '169460', '1917', 'S5', 'Y', '1992', '27876000', 'S', 'MIN', '32360', 'IO', 'SW', 'IS', 'SD', 'SF', '', '', 'N', 'N', 'N', 'Y', 'V', 'I', 'I', '', 'I', '20465000', 'G', 'F', 'F', '', '', '', '', '', '', '', '', '7411000', 'O', '206', '188', '206', '188', '', '', 'S', 'S', 'C', 'ST', '', '', 'S', '', 'SF', 'SW', 'SW', '120.77', '1.0286', '1', '1.02858', '28672738', '21049920', '0', '0', '0', '0', '0', '0', '0', '7622817.5', '8', 'SITE SPECIFIC RESPONSE', '', '');
INSERT INTO buildings VALUES ('460', '10', '12', 'RandCJMJ/PCR', TO_DATE('6/1/1993','MM/DD/YY'), 'SACRAMENTO', 'CA', '5', 'S1', '1', '0', '108800', '1980', 'PC1', 'N', '1985', '85200', 'AC', 'MIN', '', 'LS', 'SD', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'NE', 'NE', 'NE', '50000', 'G', 'G', 'F', '', '7000', '', '', '', '', '', '', '', 'R', '340', '320', '340', '320', '24', '24', 'TT', '', 'W', 'N', 'N', 'G', 'S', 'PC', 'P', 'SW', 'SW', '0.46', '1.2006', '1', '1.20058', '102289.1328125', '60028.83203125', '0', '8404.037109375', '0', '0', '0', '0', '0', '0', '8', '75% 1985 UBC', '', '');
INSERT INTO buildings VALUES ('461', '16', '44', 'RandCJMJ/PCR', TO_DATE('6/1/1993','MM/DD/YY'), 'SHELBY', 'TN', '5', 'S3', '13', '1', '603000', '1967', 'C1', 'N', '1985', '17611000', 'S', 'MIN', '', 'IO', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '14386000', 'G', 'F', 'F', '', '', '', '', '', '', '', '', '', 'OT', '450', '390', '450', '390', '12', '180', 'WS', 'WS', 'C', 'PC', 'N', 'G', 'C', '', 'M', 'MF', 'MF', '23.86', '1.2006', '1.30129', '1.5623', '27513628', '22475218', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'HO8-8 ', '', '');
INSERT INTO buildings VALUES ('462', '1', '3', 'RandCTIMKELLY/JMJ', TO_DATE('6/1/1993','MM/DD/YY'), 'ALAMEDA', 'CA', '7', 'S2', '3', '0', '44000', '1870', 'W1', 'Y', '1993', '6310000', 'AC', 'COM', '1000', 'DC', 'SW', 'BF', 'MF', 'SF', '', '', 'N', 'Y', 'Y', 'Y', 'V', 'I', 'NE', '', 'I', '1800000', 'G', 'G', 'G', '', '', '', '', '', '', '', '', '', 'L', '175', '41', '135', '36', '14', '42', 'W', 'W', 'W', 'W', 'Y', 'P', 'W', 'W', 'SF', 'SW', 'SW', '40.91', '1', '1', '1', '6310000', '1800000', '0', '0', '0', '0', '0', '0', '0', '0', '10', '100% 1988 UBC ', '', '');
INSERT INTO buildings VALUES ('463', '1', '7', 'RandC/JMJ', TO_DATE('6/1/1993','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '3', '1', '130295', '1903', 'S5', 'Y', '1990', '14543437', 'S', 'MIN', '', 'LS', 'SW', 'SD', 'WT', '', '', '', 'N', 'Y', 'Y', 'N', 'TR', 'I', 'I', '', 'I', '7878700', 'G', 'G', 'G', '', '1986000', '987000', '', '', '780000', '', '', '', 'R', '189', '182', '189', '182', '16', '76', 'S', 'S', 'C', 'N', '', '', 'S', '', 'SF', 'SW', 'SW', '60.47', '1.0788', '1', '1.07883', '15689903', '8499782', '0', '2142557.25', '1064805.625', '0', '841487.75', '0', '0', '0', '8', '1973 UBC', '', '');
INSERT INTO buildings VALUES ('464', '3', '8', 'RandC/JMJ', TO_DATE('6/1/1993','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '3', '1', '130295', '1903', 'S5', 'Y', '1993', '25504000', 'S', 'MIN', '', 'IO', 'SW', 'IS', 'SD', '', '', '', 'N', 'N', 'Y', 'N', 'V', 'I', 'I', '', 'I', '17200000', 'G', 'G', 'G', '', '', '', '', '', '', '', '', '', 'R', '189', '182', '189', '182', '16', '76', 'S', 'S', 'C', 'N', '', '', 'S', '', 'SF', 'SW', 'SW', '132.01', '1', '1', '1', '25504000', '17200000', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'SITE SPECIFIC RESPONSE', '', '');
INSERT INTO buildings VALUES ('465', '10', '12', 'DEGENKOLB', TO_DATE('06/24/93','MM/DD/YY'), 'SANDIEGO', 'CA', '7', '', '7', '0', '48000', '1981', 'PC2', 'N', '1981', '380000', 'S', 'MIN', '', 'DC', 'SD', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '380000', 'F', 'P', 'P', '', '', '', '', '', '', '', '', '', 'L', '128', '128', '91', '37', '8.5', '60', '', 'C', 'PC', 'N', 'N', 'G', 'PC', '', 'SF', 'SW', 'SW', '7.92', '1.3901', '1', '1.39008', '528230.8125', '528230.8125', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-3 ', '', '');
INSERT INTO buildings VALUES ('467', '9', '18', 'DEGENKOLB', TO_DATE('06/24/93','MM/DD/YY'), 'SANDIEGO', 'CA', '7', '', '6', '0', '23000', '', 'S1', 'N', '1981', '861000', 'S', 'MIN', '', 'DC', 'BF', 'EF', '', '', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'OK', 'I', 'NE', '776240', 'F', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '141', '110', '141', '110', '', '63', 'S', 'S', 'W', 'N', 'N', 'G', 'S', '', 'SF', 'BF', 'MF', '33.75', '1.3901', '1', '1.39008', '1196859.75', '1079036.5', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC 3-06', '', '');
INSERT INTO buildings VALUES ('468', '9', '14', 'DEGENKOLB', TO_DATE('06/24/93','MM/DD/YY'), 'SANDIEGO', 'CA', '7', '', '3', '0', '73000', '1938', 'C2', 'N', '1981', '657000', 'S', 'MIN', '', 'DC', 'SW', 'EW', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '603240', 'F', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '205', '115', '205', '115', '12', '40', 'FS', 'FS', 'C', 'N', 'N', 'G', '', 'C', 'SF', 'SW', 'SW', '8.26', '1.3901', '1', '1.39008', '913283.25', '838552.5', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-3 ', '', '');
INSERT INTO buildings VALUES ('469', '9', '14', 'DEGENKOLB', TO_DATE('06/24/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '1', '0', '19000', '1939', 'C2', 'N', '1981', '510000', 'S', 'MIN', '', 'DC', 'BF', 'EW', 'SD', '', '', '', 'N', 'N', '', '', '', 'I', 'OK', 'NE', 'NE', '446000', 'F', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '348', '50', '348', '50', '', '', 'C', '', 'C', 'N', 'N', 'G', 'C', 'C', 'SF', 'SW', 'SW', '23.47', '1.3901', '1', '1.39008', '708941.3125', '619976.125', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'SITE SPECIFIC RESPONSE (ATC-3)', '', '');
INSERT INTO buildings VALUES ('470', '9', '14', 'DEGENKOLB', TO_DATE('06/24/93','MM/DD/YY'), 'SANDIEGO', 'CA', '7', '', '2', '0', '25000', '1938', 'C2', '', '1981', '540000', 'S', 'MIN', '', 'DC', 'SW', 'EW', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '540000', 'F', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '182', '82', '182', '82', '13.5', '27', 'FS', 'FS', 'C', 'N', 'N', 'G', 'C', 'C', 'SF', 'SW', 'SW', '21.6', '1.3901', '1', '1.39008', '750643.75', '750643.75', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC 3-06', '', '');
INSERT INTO buildings VALUES ('471', '9', '12', 'DEGENKOLB', TO_DATE('06/24/93','MM/DD/YY'), 'VENTURA', 'CA', '7', '', '1', '0', '127500', '1955', 'S4', 'N', '1981', '1383000', 'S', 'MIN', '', 'DC', 'BF', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '1383000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '608', '202', '608', '202', '30', '30', 'S', '', 'MD', 'N', 'N', 'G', 'S', '', 'SF', 'SW', 'SW', '10.85', '1.3901', '1', '1.39008', '1922482.125', '1922482.125', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-3 ', '', '');
INSERT INTO buildings VALUES ('472', '9', '12', 'DEGENKOLB', TO_DATE('06/24/93','MM/DD/YY'), 'VENTURA', 'CA', '7', '', '2', '0', '60900', '1957', 'S1', 'N', '1981', '920000', 'S', 'MIN', '', 'DC', 'BF', 'EF', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '920000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '560', '218', '560', '218', '12', '25', 'W', 'S', 'OT', 'N', 'N', 'G', 'S', '', 'SF', 'BF', 'MF', '15.11', '1.3901', '1', '1.39008', '1278874.625', '1278874.625', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-3 ', '', '');
INSERT INTO buildings VALUES ('473', '9', '23', 'DEGENKOLB', TO_DATE('06/24/93','MM/DD/YY'), 'VENTURA', 'CA', '7', '', '1', '0', '8340', '1946', 'W1', 'N', '1981', '68300', 'S', 'MIN', '', 'DC', 'SW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '68300', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '122', '78', '122', '78', '10', '15', 'W', '', 'W', 'S', 'N', 'G', 'W', 'W', 'SF', 'SW', 'SW', '8.19', '1.3901', '1', '1.39008', '94942.5390625', '94942.5390625', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-3 ', '', '');
INSERT INTO buildings VALUES ('474', '12', '33', 'DEGENKOLB', TO_DATE('06/24/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '5', '0', '223000', '1969', 'C3', 'N', '1982', '1585000', 'S', 'MIN', '', 'DC', 'SW', 'EW', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '1585000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '600', '75', '600', '75', '15', '80', 'C', 'C', 'C', 'N', 'Y', 'G', 'C', '', 'P', 'SW', 'SW', '7.11', '1.3048', '1', '1.30483', '2068162.5', '2068162.5', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-3 ', '', '');
INSERT INTO buildings VALUES ('475', '10', '12', 'DEGENKOLB', TO_DATE('06/24/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '2', '0', '187500', '1974', 'S2', 'N', '1982', '163000', 'S', 'MIN', '', 'DC', 'BF', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '163000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '730', '216', '730', '216', '20', '40', 'S', 'S', 'MD', 'N', 'N', 'G', 'S', '', 'P', 'BF', 'BF', '0.87', '1.3048', '1', '1.30483', '212688', '212688', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-3 ', '', '');
INSERT INTO buildings VALUES ('476', '9', '12', 'DEGENKOLB', TO_DATE('06/24/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '2', '0', '307000', '1941', 'S1', 'N', '1982', '320000', 'S', 'MIN', '', 'DC', 'EF', '', '', '', '', '', 'N', 'N', 'N', 'Y', 'TR', 'I', 'OK', 'NE', 'NE', '315000', 'F', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '600', '200', '600', '200', '20', '80', 'S', 'S', 'W', 'N', 'Y', 'F', 'S', '', 'P', 'BF', 'MF', '1.03', '1.3048', '1', '1.30483', '417547', '411022.8125', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-3 SITE SPECIFIC SPECTRA', '', '');
INSERT INTO buildings VALUES ('477', '16', '54', 'DEGENKOLB', TO_DATE('06/24/93','MM/DD/YY'), 'MARIA IS', 'GU', '6', 'S3', '3', '0', '28500', '1949', 'C1', 'N', '1981', '2406000', 'S', 'ADD', '', 'IO', 'SW', 'EW', 'SD', '', '', '', 'N', 'N', 'Y', 'N', 'IP', 'I', 'OK', 'NE', 'I', '959000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '168', '153', '168', '153', '20', '62', 'C', 'C', 'PC', 'N', 'N', 'F', 'C', 'C', 'P', 'SW', 'MF', '33.65', '1.3901', '1.67', '2.32144', '5585373.5', '2226256.5', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-3 (CHAPTER 5) ', '', '');
INSERT INTO buildings VALUES ('478', '16', '54', 'DEGENKOLB', TO_DATE('06/23/93','MM/DD/YY'), 'MARIA IS', 'GU', '6', 'S1', '1', '0', '60600', '1963', 'PC2', 'N', '1981', '1959000', 'S', 'ADD', '', 'IO', 'SW', 'BF', 'EW', 'SD', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '1723000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '703', '352', '703', '352', '12', '15', 'C', '', 'C', 'PC', 'N', 'G', 'PC', 'PC', 'SF', 'SW', 'MF', '28.43', '1.3901', '1.67', '2.32144', '4547691.5', '3999833', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC 3-06 SITE SPECIFIC RESPON', '', '');
INSERT INTO buildings VALUES ('479', '12', '34', 'DEGENKOLB', TO_DATE('06/25/93','MM/DD/YY'), 'FRESNO', 'CA', '7', 'S2', '10', '1', '120001', '1923', 'C3', 'Y', '1981', '4254000', 'S', 'MIN', '', 'LS', 'SW', 'EW', 'SD', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '4254000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '150', '75', '140', '70', '12', '132', 'S', 'C', 'MD', 'TC', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '35.45', '1.3901', '1', '1.39008', '5913405', '5913405', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'UBC 1979', '', '');
INSERT INTO buildings VALUES ('480', '12', '30', 'DEGENKOLB', TO_DATE('06/25/93','MM/DD/YY'), 'SUBICBAY', 'PI', '6', 'S2', '1', '0', '18432', '1958', 'C3', 'N', '1984', '611000', 'S', 'MIN', '', 'DC', 'SW', 'EW', 'SD', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '598000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '192', '96', '192', '96', '19', '19', 'C', '', 'PC', 'M', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '32.44', '1.206', '0.83', '1.00101', '611619.3125', '598606.125', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-3 ', '', '');
INSERT INTO buildings VALUES ('481', '9', '12', 'DEGENKOLB', TO_DATE('06/24/93','MM/DD/YY'), 'SUBICBAY', 'PI', '6', 'S2', '1', '0', '126150', '', 'S3', 'N', '1984', '511000', 'S', 'MIN', '', 'DC', 'EW', 'EF', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '497000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '1000', '200', '600', '200', '25', '25', 'S', '', 'MD', 'OT', 'N', 'G', 'S', '', 'P', 'BF', 'MF', '3.94', '1.206', '0.83', '1.00101', '511517.9375', '497503.75', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-3 ', '', '');
INSERT INTO buildings VALUES ('482', '9', '12', 'DEGENKOLB', TO_DATE('06/24/93','MM/DD/YY'), 'SUBICBAY', 'PI', '6', 'S3', '1', '0', '42000', '1967', 'S3', 'N', '1982', '649000', 'S', 'MIN', '', 'DC', 'BF', 'EF', 'SD', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '649000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '300', '140', '300', '140', '62', '62', 'S', '', 'MD', 'OT', 'N', 'F', 'S', '', 'P', 'MF', 'MF', '15.45', '1.3048', '0.83', '1.08301', '702875.125', '702875.125', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-3 ', '', '');
INSERT INTO buildings VALUES ('483', '12', '33', 'DEGENKOLB', TO_DATE('06/24/93','MM/DD/YY'), 'SUBICBAY', 'PI', '6', 'S2', '2', '0', '76000', '1966', 'C3', 'N', '1982', '665000', 'S', 'MIN', '', 'DC', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '665000', 'F', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '300', '120', '300', '120', '12', '35', 'C', 'C', 'C', 'M', 'N', 'G', 'C', '', 'P', 'SW', 'SW', '8.75', '1.3048', '0.83', '1.08301', '720203.3125', '720203.3125', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-3 ', '', '');
INSERT INTO buildings VALUES ('484', '16', '52', 'THEISSENGINEERS', TO_DATE('06/05/93','MM/DD/YY'), 'SCOTT', 'MO', '5', 'S2', '3', '1', '58600', '1962', 'C1', 'N', '1991', '329400', 'AC', 'MIN', '', 'IO', 'SW', 'EW', '', '', '', '', '', '', '', '', 'IP', 'I', 'I', 'I', 'I', '289400', 'G', 'G', 'F', '', '', '', '6', '', '', '', '', '', 'L', '', '', '', '', '', '', 'C', '', 'C', 'M', 'N', 'F', 'C', '', 'SF', 'MF', 'MF', '4.94', '1.0596', '1.12348', '1.19046', '392136.78125', '344518.46875', '0', '0', '0', '0', '0', '0', '0', '0', '9', 'BOCA 1990 ', '', '');
INSERT INTO buildings VALUES ('485', '9', '23', 'DEGENKOLB', TO_DATE('07/14/93','MM/DD/YY'), 'SANDIEGO', 'CA', '7', '', '2', '0', '64500', '1958', 'PC1', 'N', '1981', '2647000', 'S', 'MIN', '', 'DC', 'SW', 'SF', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'I', 'NE', '1285000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '265', '251', '265', '251', '14', '30', 'S', 'FS', 'C', 'N', 'N', 'G', 'S', 'PC', 'SF', 'SW', 'SW', '19.92', '1.3901', '1', '1.39008', '3679544.5', '1786254.125', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-3 ', '', '');
INSERT INTO buildings VALUES ('486', '9', '12', 'DEGENKOLB', TO_DATE('06/24/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', 'S3', '1', '0', '63000', '1948', 'S3', 'N', '1981', '941000', 'S', 'MIN', '', 'DC', 'BF', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '941000', 'F', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '300', '200', '300', '200', '', '', 'S', '', 'W', 'OT', 'N', 'G', 'S', '', 'P', 'MF', 'MF', '14.94', '1.3901', '1', '1.39008', '1308066.25', '1308066.25', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'SITE SPECIFIC SPECTRA (ATC-3) ', '', '');
INSERT INTO buildings VALUES ('487', '16', '52', 'BCHYDRO', TO_DATE('07/06/93','MM/DD/YY'), 'DUNCAN', 'BC', '6', '', '3', '0', '52700', '1967', 'S1', 'N', '1991', '560000', 'S', 'MIN', '', 'IO', 'SW', 'BF', 'SD', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '560000', 'G', 'P', 'P', '', '60000', '', '', '', '', '', '', '', 'R', '248', '91', '248', '91', '12', '36.5', 'S', 'S', 'MDF', 'CW', 'N', 'G', 'S', '', 'SF', 'MF', 'MF', '10.63', '1.0596', '1.02968', '1.09107', '610998.5625', '610998.5625', '0', '65464.12890625', '0', '0', '0', '0', '0', '0', '5', 'NBCC 1990 (I=1 5) ', '', '');
INSERT INTO buildings VALUES ('488', '16', '52', 'BCHYDRO', TO_DATE('07/06/93','MM/DD/YY'), 'DUNCAN', 'BC', '6', '', '3', '0', '25800', '1976', 'S2', 'N', '1991', '275000', 'S', 'MIN', '', 'IO', 'EF', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '275000', 'G', 'P', 'P', '', '45000', '', '', '', '', '', '', '', 'L', '119', '85', '119', '85', '12', '43.5', 'S', 'S', 'MDF', 'CW', 'N', 'G', 'S', '', 'SF', 'BF', 'BF', '10.66', '1.0596', '1.02968', '1.09107', '300043.9375', '300043.9375', '0', '49098.09765625', '0', '0', '0', '0', '0', '0', '5', 'NBCC 1990 (I=1 5) ', '', '');
INSERT INTO buildings VALUES ('489', '16', '52', 'BCHYDRO', TO_DATE('07/06/93','MM/DD/YY'), 'DUNCAN', 'BC', '6', '', '3', '0', '19950', '1978', 'S2', 'N', '1991', '150000', 'S', 'MIN', '', 'IO', 'EF', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '150000', 'G', 'P', 'P', '', '30000', '', '', '', '', '', '', '', 'R', '109', '61', '109', '61', '16', '49', 'S', 'S', 'C', 'CW', 'N', 'G', 'S', '', 'SF', 'BF', 'BF', '7.52', '1.0596', '1.02968', '1.09107', '163660.328125', '163660.328125', '0', '32732.064453125', '0', '0', '0', '0', '0', '0', '5', 'NBCC 1990 (I=1 5) ', '', '');
INSERT INTO buildings VALUES ('490', '16', '52', 'BCHYDRO', TO_DATE('07/06/93','MM/DD/YY'), 'MISSION', 'BC', '5', 'S1', '1', '0', '9600', '1930', 'S4', 'N', '1992', '261000', 'S', 'MIN', '', 'IO', 'SW', 'EF', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '261000', 'G', 'P', 'P', '', '15000', '', '', '', '', '', '', '', 'R', '168', '57', '168', '57', '48', '48', 'S', '', 'C', 'N', 'N', 'G', 'S', '', 'SF', 'SW', 'SW', '27.19', '1.0286', '1.02968', '1.05911', '276428.875', '276428.875', '0', '15886.716796875', '0', '0', '0', '0', '0', '0', '5', 'NBCC 1990 (I=1 5) ', '', '');
INSERT INTO buildings VALUES ('491', '4', '23', 'BCHYDRO', TO_DATE('07/07/93','MM/DD/YY'), 'SHALALTH', 'BC', '2', 'S3', '1', '0', '1000', '1965', 'W1', 'N', '1992', '2500', 'S', 'MIN', '', 'DC', 'EW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '2500', 'F', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '38', '27', '38', '27', '10', '12', 'W', '', 'W', 'N', 'N', 'G', 'S', 'W', 'SF', 'SW', 'SW', '2.5', '1.0286', '1.02968', '1.05911', '2647.7861328125', '2647.7861328125', '0', '0', '0', '0', '0', '0', '0', '0', '5', '1990 NBCC (I=1 0 ASSUMED) ', '', '');
INSERT INTO buildings VALUES ('492', '10', '12', 'BCHYDRO', TO_DATE('07/07/93','MM/DD/YY'), 'LILLDOET', 'BC', '2', 'S3', '1', '0', '6400', '1975', 'RM1', 'N', '1992', '30000', 'S', 'MIN', '', 'DC', 'BF', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '30000', 'F', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '99', '64', '99', '64', '12', '20', 'W', '', 'W', 'N', 'N', 'G', 'W', 'RM', 'SF', 'SW', 'SW', '4.69', '1.0286', '1.02968', '1.05911', '31773.43359375', '31773.43359375', '0', '0', '0', '0', '0', '0', '0', '0', '5', '1990 NBCC (I=1 0 ASSUMED) ', '', '');
INSERT INTO buildings VALUES ('493', '10', '14', 'BCHYDRO', TO_DATE('07/07/93','MM/DD/YY'), 'PRINCEGEORGE', 'BC', '1', 'S3', '1', '0', '15600', '1970', 'RM2', 'N', '1992', '40000', 'S', 'MIN', '', 'DC', 'SD', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '40000', 'F', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '192', '82', '192', '88', '16', '16', 'PC', '', 'C', 'N', 'N', 'G', 'C', 'RM', 'SF', 'SW', 'SW', '2.56', '1.0286', '1.02968', '1.05911', '42364.578125', '42364.578125', '0', '0', '0', '0', '0', '0', '0', '0', '5', '1990 NBCC (I=1 0 ASSUMED) ', '', '');
INSERT INTO buildings VALUES ('494', '10', '12', 'BCHYDRO', TO_DATE('07/07/93','MM/DD/YY'), 'PRINCERUPERT', 'BC', '4', 'S1', '1', '0', '16000', '1976', 'RM1', 'N', '1992', '100000', 'S', 'MIN', '', 'DC', 'SW', 'EW', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '100000', 'F', 'P', 'P', '', '', '', '', '', '', '', '', '', 'L', '182', '156', '182', '156', '20', '20', 'S', '', 'MD', 'N', 'N', 'G', 'S', 'RM', 'SF', 'SW', 'SW', '6.25', '1.0286', '1.02968', '1.05911', '105911.4453125', '105911.4453125', '0', '0', '0', '0', '0', '0', '0', '0', '5', '1990 NBCC (I=1 0 ASSUMED) ', '', '');
INSERT INTO buildings VALUES ('495', '14', '43', 'BCHYDRO', TO_DATE('07/07/93','MM/DD/YY'), 'KELLEYLAKE', 'BC', '3', 'S1', '1', '0', '512', '1965', 'RM1', 'N', '1992', '64000', 'S', 'MIN', '', 'IO', 'EW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'OK', 'NE', 'NE', '50000', 'G', 'P', 'P', '', '12000', '', '', '', '', '', '', '', 'R', '32', '16', '32', '16', '10', '10', 'W', '', 'W', 'N', 'N', 'G', '', 'RM', 'SF', 'SW', 'SW', '97.66', '1.0286', '1.02968', '1.05911', '67783.328125', '52955.72265625', '0', '12709.374023438', '0', '0', '0', '0', '0', '0', '5', 'NBCC 1990 (I=1 5) ', '', '');
INSERT INTO buildings VALUES ('496', '14', '43', 'BCHYDRO', TO_DATE('07/07/93','MM/DD/YY'), 'KELLEYLAKE', 'BC', '3', 'S1', '1', '0', '4160', '1965', 'RM1', 'N', '1992', '391000', 'S', 'MIN', '', 'IO', 'SW', 'EW', 'SD', 'WT', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'OK', 'NE', 'NE', '190000', 'G', 'P', 'P', '', '43000', '', '', '', '', '', '', '', 'R', '130', '32', '130', '32', '18', '18', 'W', '', 'W', 'N', 'N', 'G', '', 'RM', 'SF', 'SW', 'SW', '45.67', '1.0286', '1.02968', '1.05911', '414113.75', '201231.75', '0', '45541.921875', '0', '0', '0', '0', '0', '0', '5', '1990 NBCC (I=1 5) ', '', '');
INSERT INTO buildings VALUES ('497', '15', '42', 'BCHYDRO', TO_DATE('07/07/93','MM/DD/YY'), 'CRANBROOK', 'BC', '2', 'S1', '1', '0', '3026', '1970', 'URM', 'N', '1992', '87000', 'S', 'MIN', '', 'IO', 'SD', 'WT', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'OK', 'NE', 'NE', '55000', 'G', 'P', 'P', '', '9000', '', '', '', '', '', '', '', 'R', '89', '34', '89', '34', '12', '12', 'S', '', 'MD', 'N', 'N', 'G', 'C', 'URM', 'SF', 'SW', 'SW', '18.18', '1.0286', '1.02968', '1.05911', '92142.9609375', '58251.296875', '0', '9532.0302734375', '0', '0', '0', '0', '0', '0', '5', '1990 NBCC (I=1 5) ', '', '');
INSERT INTO buildings VALUES ('498', '15', '42', 'BCHYDRO', TO_DATE('07/07/93','MM/DD/YY'), 'CRANBROOK', 'BC', '2', 'S1', '1', '0', '1729', '1980', 'URM', 'N', '1992', '29000', 'S', 'MIN', '', 'IO', 'SD', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '18000', 'G', 'P', 'P', '', '3000', '', '', '', '', '', '', '', 'R', '91', '19', '91', '19', '12', '12', 'W', '', 'W', 'N', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '10.41', '1.0286', '1.02968', '1.05911', '30714.3203125', '19064.060546875', '0', '3177.3435058594', '0', '0', '0', '0', '0', '0', '5', '1990 NBCC (I=1 5) ', '', '');
INSERT INTO buildings VALUES ('499', '15', '42', 'BCHYDRO', TO_DATE('07/07/93','MM/DD/YY'), 'CRANBROOK', 'BC', '2', 'S1', '1', '0', '1802', '1980', 'URM', 'N', '1992', '64000', 'S', 'MIN', '', 'IO', 'SD', 'SF', 'WT', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '41000', 'G', 'P', 'P', '', '6000', '', '', '', '', '', '', '', 'R', '53', '34', '53', '34', '14', '14', 'S', '', 'MD', 'N', 'N', 'G', 'C', 'URM', 'SF', 'SW', 'SW', '22.75', '1.0286', '1.02968', '1.05911', '67783.328125', '43423.6953125', '0', '6354.6870117188', '0', '0', '0', '0', '0', '0', '5', '1990 NBCC (I=1 5) ', '', '');
INSERT INTO buildings VALUES ('500', '14', '43', 'BCHYDRO', TO_DATE('07/07/93','MM/DD/YY'), 'GOLDRIVER', 'BC', '7', 'S1', '1', '0', '1440', '1966', 'S3', 'N', '1992', '70000', 'S', 'MIN', '', 'IO', 'BF', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'OK', 'NE', 'NE', '50000', 'G', 'P', 'P', '', '10000', '', '', '', '', '', '', '', 'R', '60', '24', '60', '24', '12', '12', 'S', '', 'MD', 'CW', 'N', 'G', 'S', '', 'SF', 'MF', 'MF', '34.72', '1.0286', '1.02968', '1.05911', '74138.015625', '52955.72265625', '0', '10591.14453125', '0', '0', '0', '0', '0', '0', '5', '1990 NBCC (I=1 5) ', '', '');
INSERT INTO buildings VALUES ('501', '15', '42', 'BCHYDRO', TO_DATE('07/07/93','MM/DD/YY'), 'MALASPI.', 'BC', '6', 'S1', '1', '0', '2025', '1980', 'S2', 'N', '1991', '117000', 'S', 'MIN', '', 'IO', '', '', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'OK', 'NE', 'NE', '65000', 'G', 'F', 'P', '', '12000', '', '', '', '', '', '', '', 'R', '68', '30', '68', '30', '', '', 'S', '', 'MD', 'M', 'N', 'G', 'S', '', 'SF', 'BF', 'BF', '32.1', '1.0596', '1.02968', '1.09107', '127655.0546875', '70919.4765625', '0', '13092.826171875', '0', '0', '0', '0', '0', '0', '5', '1990 NBCC (I=1 5) ', '', '');
INSERT INTO buildings VALUES ('502', '15', '42', 'BCHYDRO', TO_DATE('07/07/93','MM/DD/YY'), 'KEATING', 'BC', '6', 'S1', '1', '0', '1235', '1985', 'URM', 'N', '1992', '53000', 'S', 'MIN', '', 'IO', 'SD', 'SF', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'NE', 'NE', 'NE', '35000', 'G', 'P', 'P', '', '8000', '', '', '', '', '', '', '', 'R', '46', '27', '46', '27', '15', '15', 'S', '', 'MD', 'N', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '28.34', '1.0286', '1.02968', '1.05911', '56133.06640625', '37069.0078125', '0', '8472.916015625', '0', '0', '0', '0', '0', '0', '5', '1990 NBCC (I=1 5) ', '', '');
INSERT INTO buildings VALUES ('503', '16', '52', 'BCHYDRO', TO_DATE('07/07/93','MM/DD/YY'), 'SAHTLAM', 'BC', '6', 'S1', '1', '0', '5005', '1980', 'URM', 'N', '1992', '60000', 'S', 'MIN', '', 'IO', 'SD', 'SF', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'NE', 'NE', 'NE', '45000', 'G', 'P', 'P', '', '5000', '', '', '', '', '', '', '', 'R', '102', '49', '102', '49', '16', '16', 'S', '', 'MD', 'N', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '8.99', '1.0286', '1.02968', '1.05911', '63546.8671875', '47660.15234375', '0', '5295.572265625', '0', '0', '0', '0', '0', '0', '5', '1990 NBCC (I=1 5) ', '', '');
INSERT INTO buildings VALUES ('504', '14', '43', 'BCHYDRO', TO_DATE('07/07/93','MM/DD/YY'), 'INGLEDOW', 'BC', '5', 'S1', '1', '0', '2747', '1956', 'RM1', 'N', '1992', '219000', 'S', 'MIN', '', 'IO', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'NE', 'NE', 'NE', '130000', 'G', 'P', 'P', '', '23000', '', '', '', '', '', '', '', 'R', '75', '37', '75', '37', '13.5', '13.5', 'W', '', 'W', 'N', 'N', 'G', 'RM', 'RM', 'SF', 'SW', 'SW', '47.32', '1.0286', '1.02968', '1.05911', '231946.0625', '137684.875', '0', '24359.6328125', '0', '0', '0', '0', '0', '0', '5', '1990 NBCC (I=1 5) ', '', '');
INSERT INTO buildings VALUES ('505', '14', '43', 'BCHYDRO', TO_DATE('07/07/93','MM/DD/YY'), 'INGLEDOW', 'BC', '5', 'S1', '1', '0', '2640', '1966', 'RM1', 'N', '1992', '196000', 'S', 'MIN', '', 'IO', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'NE', 'NE', 'NE', '116000', 'G', 'P', 'P', '', '21000', '', '', '', '', '', '', '', 'R', '90', '29', '90', '29', '12', '12', 'W', '', 'W', 'N', 'N', 'G', '', 'RM', 'SF', 'SW', 'SW', '43.94', '1.0286', '1.02968', '1.05911', '207586.4375', '122857.28125', '0', '22241.404296875', '0', '0', '0', '0', '0', '0', '5', '1990 NBCC (I=1 5) ', '', '');
INSERT INTO buildings VALUES ('506', '15', '42', 'BCHYDRO', TO_DATE('07/07/93','MM/DD/YY'), 'INGLEDOW', 'BC', '5', 'S1', '1', '0', '2469', '1975', 'RM1', 'N', '1992', '150000', 'S', 'MIN', '', 'IO', 'SD', 'SF', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'NE', 'NE', 'NE', '89000', 'G', 'P', 'P', '', '16000', '', '', '', '', '', '', '', 'R', '124', '24', '124', '24', '13', '13', 'W', '', 'W', 'N', 'N', 'G', 'C', 'RM', 'SF', 'SW', 'SW', '36.05', '1.0286', '1.02968', '1.05911', '158867.171875', '94261.1875', '0', '16945.83203125', '0', '0', '0', '0', '0', '0', '5', '1990 NBCC (I=1 5) ', '', '');
INSERT INTO buildings VALUES ('507', '15', '42', 'BCHYDRO', TO_DATE('07/07/93','MM/DD/YY'), 'INGLEDOW', 'BC', '5', 'S1', '1', '0', '2725', '1971', 'RM1', 'N', '1992', '35000', 'S', 'MIN', '', 'IO', 'WT', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'NE', 'NE', 'NE', '20000', 'G', 'P', 'P', '', '3700', '', '', '', '', '', '', '', 'R', '75', '36', '75', '36', '13.5', '13.5', 'W', '', 'W', 'N', 'N', 'G', 'C', 'RM', 'SF', 'SW', 'SW', '7.34', '1.0286', '1.02968', '1.05911', '37069.0078125', '21182.2890625', '0', '3918.7236328125', '0', '0', '0', '0', '0', '0', '5', '1990 NBCC (I=1 5) ', '', '');
INSERT INTO buildings VALUES ('508', '16', '52', 'BCHYDRO', TO_DATE('07/06/93','MM/DD/YY'), 'VICTORIA', 'BC', '6', 'S1', '1', '0', '5230', '1958', 'RM1', 'N', '1993', '325500', 'S', 'MIN', '', 'IO', 'SD', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'NE', 'NE', '267300', 'G', 'P', 'P', '', '34700', '', '', '', '', '', '', '', 'R', '83', '63', '83', '63', '12', '12', 'W', '', 'W', 'N', 'N', 'G', '', 'RM', 'SF', 'SW', 'SW', '51.11', '1', '1.02968', '1.02968', '335162.3125', '275234.6875', '0', '35730.0546875', '0', '0', '0', '0', '0', '0', '5', 'NBCC 1990 (I=1 5) ', '', '');
INSERT INTO buildings VALUES ('509', '16', '50', 'BCHYDRO', TO_DATE('07/06/93','MM/DD/YY'), 'VICTORIA', 'BC', '6', 'S1', '2', '0', '8000', '1972', 'C3', 'N', '1993', '284500', 'S', 'MIN', '', 'IO', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'NE', 'NE', '267300', 'G', 'P', 'P', '', '30300', '', '', '', '', '', '', '', 'R', '108', '37.5', '108', '37.5', '21', '42', 'W', 'C', 'W', 'N', 'N', 'G', 'C', '', 'P', 'SW', 'SW', '33.41', '1', '1.02968', '1.02968', '292945.25', '275234.6875', '0', '31199.44140625', '0', '0', '0', '0', '0', '0', '5', 'NBCC 1990 (I=1 5) ', '', '');
INSERT INTO buildings VALUES ('510', '14', '43', 'BCHYDRO', TO_DATE('07/06/93','MM/DD/YY'), 'GREATERVICTORIA', 'BC', '5', 'S1', '1', '0', '1386', '1950', 'RM1', 'N', '1993', '161400', 'S', 'MIN', '', 'IO', 'SW', 'SD', 'PB', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'NE', 'NE', '161400', 'G', 'P', 'P', '', '25000', '', '', '', '', '', '', '', 'R', '42', '33', '42', '33', '14', '14', 'W', '', 'W', 'N', 'N', 'G', '', 'RM', 'SF', 'SW', 'SW', '116.45', '1', '1.02968', '1.02968', '166191.078125', '166191.078125', '0', '25742.11328125', '0', '0', '0', '0', '0', '0', '5', '1990 NBCC (I=1 5) ', '', '');
INSERT INTO buildings VALUES ('511', '15', '42', 'BCHYDRO', TO_DATE('07/06/93','MM/DD/YY'), 'GREATERVICTORIA', 'BC', '5', 'S1', '1', '0', '1344', '1990', 'C2', 'N', '1993', '17100', 'S', 'MIN', '', 'IO', 'SD', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'NE', 'NE', '15000', 'G', 'P', 'P', '', '5500', '', '', '', '', '', '', '', 'R', '42', '33', '42', '33', '14', '14', 'S', '', 'MD', 'N', 'N', 'G', '', 'C', 'SF', 'SW', 'SW', '11.16', '1', '1.02968', '1.02968', '17607.60546875', '15445.268554688', '0', '5663.2651367188', '0', '0', '0', '0', '0', '0', '5', '1990 NBCC (I=1 5) ', '', '');
INSERT INTO buildings VALUES ('512', '14', '43', 'BCHYDRO', TO_DATE('07/06/93','MM/DD/YY'), 'VANCOUVER', 'BC', '5', 'S1', '1', '0', '2600', '1962', 'C3', 'N', '1992', '136000', 'S', 'MIN', '', 'IO', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'NE', 'NE', '116000', 'G', 'P', 'P', '', '14000', '', '', '', '', '', '', '', 'R', '77.5', '33.5', '77.5', '33.5', '12.5', '12.5', 'W', '', 'W', 'N', 'N', 'G', 'C', '', 'P', 'SW', 'SW', '44.62', '1.0286', '1.02968', '1.05911', '144039.5625', '122857.28125', '0', '14827.602539063', '0', '0', '0', '0', '0', '0', '5', 'NBCC (I=1 5)', '', '');
INSERT INTO buildings VALUES ('513', '16', '52', 'BCHYDRO', TO_DATE('07/06/93','MM/DD/YY'), 'VANCOUVER', 'BC', '5', 'S1', '2', '0', '7200', '1973', 'C1', 'N', '1992', '81800', 'S', 'MIN', '', 'IO', 'EW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'NE', 'NE', '67700', 'G', 'P', 'P', '', '12300', '', '', '', '', '', '', '', 'R', '90', '40', '90', '40', '21', '42', 'W', 'C', 'W', 'N', 'N', 'G', 'C', '', 'P', 'MF', 'MF', '9.4', '1.0286', '1.02968', '1.05911', '86635.5625', '71702.046875', '0', '13027.108398438', '0', '0', '0', '0', '0', '0', '5', 'NBCC (I=1 5)', '', '');
INSERT INTO buildings VALUES ('514', '14', '42', 'BCHYDRO', TO_DATE('07/06/93','MM/DD/YY'), 'VANCOUVER', 'BC', '5', 'S1', '1', '1', '3200', '1948', 'C2', 'N', '1992', '37700', 'S', 'MIN', '', 'IO', 'SD', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'NE', 'NE', '31300', 'G', 'P', 'P', '', '5700', '', '', '', '', '', '', '', 'R', '62', '50', '62', '50', '23', '23', 'C', '', 'C', 'N', 'N', 'G', 'C', 'C', 'P', 'SW', 'SW', '9.78', '1.0286', '1.02968', '1.05911', '39928.6171875', '33150.28125', '0', '6036.9526367188', '0', '0', '0', '0', '0', '0', '5', 'NBCC (I=1 5)', '', '');
INSERT INTO buildings VALUES ('515', '4', '11', 'BCHYDRO', TO_DATE('07/07/93','MM/DD/YY'), 'BRUCEPEAK', 'BC', '6', 'S1', '1', '0', '820', '1967', 'RM1', 'N', '1993', '22000', 'S', 'MIN', '', 'LS', 'EW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '22000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '40', '20', '40', '20', '12', '12', 'W', '', 'W', 'N', 'N', 'G', 'RM', 'RM', 'SF', 'SW', 'SW', '26.83', '1', '1.02968', '1.02968', '22653.060546875', '22653.060546875', '0', '0', '0', '0', '0', '0', '0', '0', '5', '1990 NBCC (I=0 75)', '', '');
INSERT INTO buildings VALUES ('516', '14', '43', 'BCHYDRO', TO_DATE('07/07/93','MM/DD/YY'), 'BRUCEPEAK', 'BC', '6', 'S1', '1', '0', '820', '1967', 'RM1', 'N', '1993', '38000', 'S', 'MIN', '', 'IO', 'BF', 'EW', 'SD', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '38000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '40', '20', '40', '20', '12', '12', 'W', '', 'W', 'CW', 'N', 'G', 'RM', 'RM', 'SF', 'SW', 'SW', '46.34', '1', '1.02968', '1.02968', '39128.01171875', '39128.01171875', '0', '0', '0', '0', '0', '0', '0', '0', '5', '1990 NBCC (I=1 5) ', '', '');
INSERT INTO buildings VALUES ('517', '14', '43', 'BCHYDRO', TO_DATE('07/07/93','MM/DD/YY'), 'COTTLEHILL', 'BC', '5', 'S1', '1', '0', '820', '1967', 'RM1', 'N', '1993', '28500', 'S', 'MIN', '', 'IO', 'BF', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '28500', 'G', 'P', 'P', '', '2500', '', '', '', '', '', '', '', 'R', '40', '20', '40', '20', '12', '12', 'W', '', 'W', 'M', 'N', 'G', 'RM', 'RM', 'SF', 'SW', 'SW', '34.76', '1', '1.02968', '1.02968', '29346.009765625', '29346.009765625', '0', '2574.2114257813', '0', '0', '0', '0', '0', '0', '5', 'NBCC 1990 (I=1 5) ', '', '');
INSERT INTO buildings VALUES ('518', '4', '11', 'BCHYDRO', TO_DATE('07/07/93','MM/DD/YY'), 'COTTLEHILL', 'BC', '5', 'S1', '1', '0', '820', '1967', 'RM1', 'N', '1993', '16500', 'S', 'MIN', '', 'LS', 'EW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '16500', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '40', '20', '40', '20', '12', '12', 'W', '', 'W', 'M', 'N', 'G', 'RM', 'RM', 'SF', 'SW', 'SW', '20.12', '1', '1.02968', '1.02968', '16989.794921875', '16989.794921875', '0', '0', '0', '0', '0', '0', '0', '0', '5', '1990 NBCC (I=0 75)', '', '');
INSERT INTO buildings VALUES ('519', '14', '43', 'BCHYDRO', TO_DATE('07/07/93','MM/DD/YY'), 'POCAHONTAS', 'BC', '6', 'S1', '1', '0', '820', '1963', 'RM1', 'N', '1993', '46000', 'S', 'MIN', '', 'IO', 'BF', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '46000', 'G', 'P', 'P', '', '4000', '', '', '', '', '', '', '', 'R', '40', '20', '40', '20', '12', '12', 'W', '', 'W', 'M', 'N', 'G', 'RM', 'RM', 'SF', 'SW', 'SW', '56.1', '1', '1.02968', '1.02968', '47365.48828125', '47365.48828125', '0', '4118.73828125', '0', '0', '0', '0', '0', '0', '5', '1990 NBCC (I=1 5) ', '', '');
INSERT INTO buildings VALUES ('520', '14', '43', 'BCHYDRO', TO_DATE('07/07/93','MM/DD/YY'), 'BLACKTUSK', 'BC', '5', 'S1', '1', '0', '820', '1965', 'RM1', 'N', '1993', '35500', 'S', 'MIN', '', 'IO', 'BF', 'EW', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '35500', 'G', 'P', 'P', '', '3000', '', '', '', '', '', '', '', 'R', '40', '20', '40', '20', '12', '12', 'C', '', 'C', 'CW', 'N', 'G', 'RM', 'RM', 'SF', 'SW', 'SW', '43.29', '1', '1.02968', '1.02968', '36553.80078125', '36553.80078125', '0', '3089.0537109375', '0', '0', '0', '0', '0', '0', '5', '1990 NBCC (I=1 5) ', '', '');
INSERT INTO buildings VALUES ('521', '4', '14', 'BCHYDRO', TO_DATE('07/07/93','MM/DD/YY'), 'BLACKTUSK', 'BC', '5', 'S1', '1', '0', '820', '1965', 'RM2', 'N', '1993', '14500', 'S', 'MIN', '', 'LS', 'EW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '14500', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '40', '20', '40', '20', '12', '12', 'C', '', 'C', 'CW', 'N', 'G', 'RM', 'RM', 'SF', 'SW', 'SW', '17.68', '1', '1.02968', '1.02968', '14930.42578125', '14930.42578125', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'NBCC 1990 (I= 75) ', '', '');
INSERT INTO buildings VALUES ('522', '4', '11', 'BCHYDRO', TO_DATE('07/07/93','MM/DD/YY'), 'POCAHONTAS', 'BC', '6', 'S1', '1', '0', '820', '1963', 'RM1', 'N', '1993', '24000', 'S', 'MIN', '', 'LS', 'EW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '24000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '40', '20', '40', '20', '12', '12', 'W', '', 'W', 'M', 'N', 'G', 'RM', 'RM', 'SF', 'SW', 'SW', '29.27', '1', '1.02968', '1.02968', '24712.4296875', '24712.4296875', '0', '0', '0', '0', '0', '0', '0', '0', '5', '1990 NBCC (I=0 75)', '', '');
INSERT INTO buildings VALUES ('523', '4', '11', 'BCHYDRO', TO_DATE('07/07/93','MM/DD/YY'), 'BOWENISLAND', 'BC', '5', 'S1', '1', '0', '820', '1965', 'RM1', 'N', '1993', '17500', 'S', 'MIN', '', 'LS', 'EW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '17500', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '40', '20', '40', '20', '12', '12', 'W', '', 'W', 'M', 'N', 'G', 'RM', 'RM', 'SF', 'SW', 'SW', '21.34', '1', '1.02968', '1.02968', '18019.48046875', '18019.48046875', '0', '0', '0', '0', '0', '0', '0', '0', '5', '1990 NBCC (I=0 75)', '', '');
INSERT INTO buildings VALUES ('524', '14', '43', 'BCHYDRO', TO_DATE('07/07/93','MM/DD/YY'), 'BOWENISLAND', 'BC', '5', 'S1', '1', '0', '820', '1965', 'RM1', 'N', '1993', '32500', 'S', 'MIN', '', 'IO', 'BF', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '32500', 'G', 'P', 'P', '', '3000', '', '', '', '', '', '', '', 'R', '40', '20', '40', '20', '12', '12', 'W', '', 'W', 'M', 'N', 'G', 'RM', 'RM', 'SF', 'SW', 'SW', '39.63', '1', '1.02968', '1.02968', '33464.74609375', '33464.74609375', '0', '3089.0537109375', '0', '0', '0', '0', '0', '0', '5', '1990 NBCC (I=1 5) ', '', '');
INSERT INTO buildings VALUES ('525', '15', '42', 'BCHYDRO', TO_DATE('07/07/93','MM/DD/YY'), 'VICTORIA', 'BC', '6', 'S1', '1', '0', '450', '1970', 'S3', 'N', '1993', '1000', 'S', 'MIN', '', 'IO', 'SF', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'NE', 'NE', '1000', 'F', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '25', '18', '25', '18', '10', '10', 'S', '', 'MD', 'CW', 'N', 'G', 'S', '', 'SF', 'MF', 'MF', '2.22', '1', '1.02968', '1.02968', '1029.6845703125', '1029.6845703125', '0', '0', '0', '0', '0', '0', '0', '0', '5', '1990 NBCC (I=1 5) ', '', '');
INSERT INTO buildings VALUES ('526', '15', '43', 'BCHYDRO', TO_DATE('07/07/93','MM/DD/YY'), 'SUMAS', 'BC', '5', 'S1', '1', '0', '1280', '1973', 'C3', 'N', '1993', '55000', 'S', 'MIN', '', 'IO', 'SW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '55000', 'G', 'P', 'P', '', '4500', '', '', '', '', '', '', '', 'R', '40', '32', '40', '32', '', '', 'W', '', 'W', 'M', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '42.97', '1', '1.02968', '1.02968', '56632.6484375', '56632.6484375', '0', '4633.5805664063', '0', '0', '0', '0', '0', '0', '5', '1990 NBCC (I=1 5) ', '', '');
INSERT INTO buildings VALUES ('527', '16', '52', 'BCHYDRO', TO_DATE('07/07/93','MM/DD/YY'), 'SQUAMISH', 'BC', '4', 'S1', '1', '0', '5778', '1980', 'RM1', 'N', '1992', '40500', 'S', 'MIN', '', 'IO', 'SF', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '40500', 'G', 'P', 'P', '', '3250', '', '', '', '', '', '', '', 'R', '92.5', '62.5', '92.5', '62.5', '', '', 'S', '', 'MD', 'N', 'N', 'G', '', 'RM', 'SF', 'SW', 'SW', '7.01', '1.0286', '1.02968', '1.05911', '42894.13671875', '42894.13671875', '0', '3442.1220703125', '0', '0', '0', '0', '0', '0', '5', '1990 NBCC (I=1 5) ', '', '');
INSERT INTO buildings VALUES ('528', '14', '43', 'BCHYDRO', TO_DATE('07/07/93','MM/DD/YY'), '..IMO', 'BC', '5', 'S1', '1', '1', '3248', '1954', 'RM2', 'N', '1993', '135000', 'S', 'MIN', '', 'IO', 'EW', 'SF', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '120000', 'G', 'P', 'P', '', '10000', '', '', '', '', '', '', '', 'R', '56', '29', '56', '29', '14', '22', 'FS', '', 'C', 'N', 'N', 'G', 'C', 'RM', 'SF', 'SW', 'SW', '36.95', '1', '1.02968', '1.02968', '139007.40625', '123562.1484375', '0', '10296.845703125', '0', '0', '0', '0', '0', '0', '5', '1990 NBCC (I=1 5) ', '', '');
INSERT INTO buildings VALUES ('529', '16', '52', 'BCHYDRO', TO_DATE('07/07/93','MM/DD/YY'), 'VICTORIA', 'BC', '6', 'S1', '1', '0', '14631', '1976', 'RM1', 'N', '1993', '43000', 'S', 'MIN', '', 'IO', 'BF', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '43000', 'G', 'P', 'P', '', '3000', '', '', '', '', '', '', '', 'R', '159', '99', '159', '99', '17', '23', 'S', '', 'MD', 'CW', 'N', 'G', '', 'RM', 'SF', 'SW', 'SW', '2.94', '1', '1.02968', '1.02968', '44276.43359375', '44276.43359375', '0', '3089.0537109375', '0', '0', '0', '0', '0', '0', '5', '1990 NBCC (I=1 5) ', '', '');
INSERT INTO buildings VALUES ('530', '14', '43', 'BCHYDRO', TO_DATE('07/07/93','MM/DD/YY'), 'RICHMOND', 'BC', '5', 'S3', '1', '0', '1493', '1956', 'RM1', 'N', '1993', '58000', 'S', 'MIN', '', 'IO', 'EW', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '58000', 'G', 'P', 'P', '', '8000', '', '', '', '', '', '', '', 'R', '56', '27', '56', '27', '9.5', '9.5', 'W', '', 'W', 'N', 'N', 'F', '', 'RM', 'P', 'SW', 'SW', '38.85', '1', '1.02968', '1.02968', '59721.703125', '59721.703125', '0', '8237.4765625', '0', '0', '0', '0', '0', '0', '5', '1990 NBCC (I=1 5) ', '', '');
INSERT INTO buildings VALUES ('531', '14', '43', 'BCHYDRO', TO_DATE('07/07/93','MM/DD/YY'), 'BUR BY', 'BC', '5', 'S1', '1', '0', '2526', '1951', 'URM', 'N', '1993', '105000', 'S', 'MIN', '', 'IO', 'EW', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '105000', 'G', 'P', 'P', '', '10500', '', '', '', '', '', '', '', 'L', '81', '30', '81', '30', '9.5', '9.5', 'W', '', 'W', 'N', 'N', 'G', 'C', 'URM', 'SF', 'SW', 'SW', '41.57', '1', '1.02968', '1.02968', '108116.875', '108116.875', '0', '10811.6875', '0', '0', '0', '0', '0', '0', '5', '1990 NBCC (I=1 5) ', '', '');
INSERT INTO buildings VALUES ('532', '14', '43', 'BCHYDRO', TO_DATE('07/07/93','MM/DD/YY'), 'BUR BY', 'BC', '5', 'S1', '1', '0', '319', '1952', 'URM', 'N', '1993', '22000', 'S', 'MIN', '', 'IO', 'EW', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '22000', 'G', 'P', 'P', '', '2250', '', '', '', '', '', '', '', 'R', '29', '11', '29', '11', '9.5', '9.5', 'W', '', 'W', 'N', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '68.97', '1', '1.02968', '1.02968', '22653.060546875', '22653.060546875', '0', '2316.7902832031', '0', '0', '0', '0', '0', '0', '5', '1990 NBCC (I=1 5) ', '', '');
INSERT INTO buildings VALUES ('535', '15', '42', 'BCHYDRO', TO_DATE('07/06/93','MM/DD/YY'), 'QUILCHE.', 'BC', '3', 'S1', '1', '0', '880', '1971', 'S3', 'N', '1993', '18000', 'S', 'MIN', '', 'IO', 'EF', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '18000', 'G', 'P', 'P', '', '1500', '', '', '', '', '', '', '', 'R', '44', '20', '44', '20', '12', '12', 'S', '', 'MD', 'CW', 'N', 'G', 'S', '', 'SF', 'MF', 'MF', '20.45', '1', '1.02968', '1.02968', '18534.322265625', '18534.322265625', '0', '1544.5268554688', '0', '0', '0', '0', '0', '0', '5', 'NBCC 1990 (I=1 5) ', '', '');
INSERT INTO buildings VALUES ('536', '15', '42', 'BCHYDRO', TO_DATE('07/06/93','MM/DD/YY'), 'QUILCHE.', 'BC', '3', 'S1', '1', '0', '1737', '1976', 'C3', 'N', '1993', '7500', 'S', 'MIN', '', 'IO', 'EF', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '7500', 'G', 'P', 'P', '', '660', '', '', '', '', '', '', '', 'R', '88.5', '20', '88.5', '20', '10.5', '10.5', 'C', '', 'W', 'M', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '4.32', '1', '1.02968', '1.02968', '7722.6342773438', '7722.6342773438', '0', '679.591796875', '0', '0', '0', '0', '0', '0', '5', 'NBCC 1990 (I=1 5) ', '', '');
INSERT INTO buildings VALUES ('537', '16', '50', 'BCHYDRO', TO_DATE('07/06/93','MM/DD/YY'), 'BUR BY', 'BC', '5', '', '3', '1', '29500', '1970', 'C1', 'N', '1992', '540000', 'S', 'MIN', '', 'IO', 'SW', 'EF', 'SD', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'I', '330000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '210000', 'R', '122', '100', '122', '100', '21', '54', 'C', 'C', 'C', 'PC', 'N', 'G', 'C', '', 'SF', 'MF', 'MF', '11.19', '1.0286', '1.02968', '1.05911', '571921.8125', '349507.78125', '0', '0', '0', '0', '0', '0', '0', '222414.046875', '5', 'NBCC 1990 (I=1 5) ', '', '');
INSERT INTO buildings VALUES ('538', '10', '36', 'BCHYDRO', TO_DATE('07/07/93','MM/DD/YY'), 'BELLACOOLA', 'BC', '3', 'S1', '1', '0', '2000', '1981', 'W1', 'N', '1992', '2500', 'S', 'MIN', '', 'DC', 'SF', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'NE', 'NE', '2500', 'F', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '65', '30', '65', '30', '11', '15', 'W', '', 'W', 'N', 'N', 'G', 'W', 'W', 'M', 'SW', 'SW', '1.25', '1.0286', '1.02968', '1.05911', '2647.7861328125', '2647.7861328125', '0', '0', '0', '0', '0', '0', '0', '0', '5', '1990 NBCC (I=1 0 ASSUMED) ', '', '');
INSERT INTO buildings VALUES ('539', '9', '12', 'BCHYDRO', TO_DATE('07/07/93','MM/DD/YY'), 'SANDSPIT', 'BC', '7', 'S2', '1', '0', '6600', '1966', 'S3', 'N', '1992', '20000', 'S', 'MIN', '', 'DC', 'BF', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '20000', 'F', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '94', '55', '94', '55', '15', '20', 'S', '', 'MD', 'CW', 'N', 'G', 'S', '', 'SF', 'BF', 'BF', '3.03', '1.0286', '1.02968', '1.05911', '21182.2890625', '21182.2890625', '0', '0', '0', '0', '0', '0', '0', '0', '5', '1990 NBCC (I=1 0 ASSUMED) ', '', '');
INSERT INTO buildings VALUES ('540', '10', '12', 'BCHYDRO', TO_DATE('07/07/93','MM/DD/YY'), 'MASSET', 'BC', '7', 'S3', '1', '', '6440', '1970', 'S3', 'N', '1992', '15000', 'S', 'MIN', '', 'DC', 'BF', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '15000', 'F', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '92', '70', '92', '70', '18', '18', 'S', '', 'MD', 'CW', 'N', 'G', 'S', '', 'SF', 'BF', 'MF', '2.33', '1.0286', '1.02968', '1.05911', '15886.716796875', '15886.716796875', '0', '0', '0', '0', '0', '0', '0', '0', '5', '1990 NBCC (I=1 0 ASSUMED) ', '', '');
INSERT INTO buildings VALUES ('541', '10', '11', 'BCHYDRO', TO_DATE('07/07/93','MM/DD/YY'), 'MASSET', 'BC', '7', 'S3', '1', '0', '3750', '1980', 'S3', 'N', '1992', '12000', 'S', 'MIN', '', 'DC', 'BF', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '12000', 'F', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '75', '50', '75', '50', '20', '20', 'S', '', 'MD', 'CW', 'N', 'G', 'S', '', 'SF', 'MF', 'BF', '3.2', '1.0286', '1.02968', '1.05911', '12709.374023438', '12709.374023438', '0', '0', '0', '0', '0', '0', '0', '0', '5', '1990 NBCC (I=1 0 ASSUMED) ', '', '');
INSERT INTO buildings VALUES ('542', '9', '11', 'BCHYDRO', TO_DATE('07/07/93','MM/DD/YY'), 'STEWART', 'BC', '3', 'S1', '1', '0', '5050', '1965', 'S3', 'N', '1992', '25000', 'S', 'MIN', '', 'DC', 'BF', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '25000', 'F', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '116', '46', '116', '46', '14', '19', 'S', '', 'MD', 'CW', 'N', 'G', 'S', '', 'SF', 'BF', 'BF', '4.95', '1.0286', '1.02968', '1.05911', '26477.861328125', '26477.861328125', '0', '0', '0', '0', '0', '0', '0', '0', '5', '1990 NBCC (I=1 0 ASSUMED) ', '', '');
INSERT INTO buildings VALUES ('543', '10', '11', 'BCHYDRO', TO_DATE('07/07/93','MM/DD/YY'), 'DEASELAKE', 'BC', '3', 'S1', '1', '0', '1500', '1976', 'S3', 'N', '1992', '3000', 'S', 'MIN', '', 'DC', 'BF', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '3000', 'F', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '50', '30', '50', '30', '20', '20', 'S', '', 'MD', 'CW', 'N', 'G', 'S', '', 'SF', 'BF', 'BF', '2', '1.0286', '1.02968', '1.05911', '3177.3435058594', '3177.3435058594', '0', '0', '0', '0', '0', '0', '0', '0', '5', '1990 NBCC (I=1 0 ASSUMED) ', '', '');
INSERT INTO buildings VALUES ('544', '10', '11', 'BCHYDRO', TO_DATE('07/07/93','MM/DD/YY'), 'ATLIN', 'BC', '3', 'S2', '1', '0', '1200', '1976', 'W1', 'N', '1992', '10000', 'S', 'MIN', '', 'DC', 'SF', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '10000', 'F', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '50', '24', '50', '24', '12', '15', 'W', '', 'W', 'N', 'N', 'G', 'W', 'W', 'SF', 'SW', 'SW', '8.33', '1.0286', '1.02968', '1.05911', '10591.14453125', '10591.14453125', '0', '0', '0', '0', '0', '0', '0', '0', '5', '1990 NBCC (I=1 0 ASSUMED) ', '', '');
INSERT INTO buildings VALUES ('545', '10', '12', 'BCHYDRO', TO_DATE('07/07/93','MM/DD/YY'), 'REVELSTOKE', 'BC', '2', 'S3', '1', '0', '9200', '1974', 'URM', 'N', '1992', '40000', 'S', 'MIN', '', 'DC', 'BF', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '40000', 'F', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '110.5', '88', '110.5', '88', '12', '20', 'S', '', 'MD', 'N', 'N', 'G', 'C', 'URM', 'SF', 'SW', 'SW', '4.35', '1.0286', '1.02968', '1.05911', '42364.578125', '42364.578125', '0', '0', '0', '0', '0', '0', '0', '0', '5', '1990 NBCC (I=1 0 ASSUMED) ', '', '');
INSERT INTO buildings VALUES ('546', '9', '11', 'BCHYDRO', TO_DATE('07/07/93','MM/DD/YY'), '.KUSP', 'BC', '2', 'S3', '1', '0', '5000', '', 'URM', 'N', '1992', '60000', 'S', 'MIN', '', 'DC', 'BF', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '60000', 'F', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '163', '33', '163', '33', '12', '15', 'W', '', 'W', 'N', 'N', 'G', 'W', 'URM', 'SF', 'SW', 'SW', '12', '1.0286', '1.02968', '1.05911', '63546.8671875', '63546.8671875', '0', '0', '0', '0', '0', '0', '0', '0', '5', '1990 NBCC (I=1 0 ASSUMED) ', '', '');
INSERT INTO buildings VALUES ('547', '10', '12', 'BCHYDRO', TO_DATE('07/07/93','MM/DD/YY'), 'DAWSONCREEK', 'BC', '2', 'S3', '1', '0', '10600', '1977', 'URM', 'N', '1992', '78000', 'S', 'MIN', '', 'DC', 'BF', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'I', 'NE', '70000', 'F', 'P', 'P', '', '', '', '', '', '', '', '', '8000', 'R', '144', '68', '144', '68', '20', '20', 'S', '', 'MD', 'N', 'N', 'G', 'C', 'URM', 'SF', 'SW', 'SW', '6.6', '1.0286', '1.02968', '1.05911', '82610.9296875', '74138.015625', '0', '0', '0', '0', '0', '0', '0', '8472.916015625', '5', '1990 NBCC (I=1 0 ASSUMED) ', '', '');
INSERT INTO buildings VALUES ('549', '10', '12', 'BCHYDRO', TO_DATE('07/07/93','MM/DD/YY'), 'SURREY', 'BC', '5', 'S3', '2', '0', '8900', '1974', 'URM', 'N', '1992', '104700', 'S', 'MIN', '', 'DC', 'BF', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'I', 'NE', '100000', 'F', 'P', 'P', '', '', '', '', '', '', '', '', '4700', 'R', '114', '82', '114', '82', '', '', 'TT', '', 'W', 'N', 'N', 'G', 'W', 'URM', 'SF', 'SW', 'SW', '11.24', '1.0286', '1.02968', '1.05911', '110889.2890625', '105911.4453125', '0', '0', '0', '0', '0', '0', '0', '4977.837890625', '5', '1990 NBCC (I=1 0 ASSUMED) ', '', '');
INSERT INTO buildings VALUES ('550', '1', '2', 'SANDWELL', TO_DATE('07/08/93','MM/DD/YY'), 'VANCOUVER', 'BC', '5', '', '3', '0', '41000', '1914', 'C3', 'Y', '1993', '1230000', 'S', 'MIN', '', 'LS', 'SW', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '1230000', 'F', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', 'C', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '30', '1', '1.02968', '1.02968', '1266512', '1266512', '0', '0', '0', '0', '0', '0', '0', '0', '6', '75% OF 1990 NBCC', '', '');
INSERT INTO buildings VALUES ('551', '5', '22', 'SANDWELL', TO_DATE('07/08/93','MM/DD/YY'), 'VANCOUVER', 'BC', '5', '', '1', '0', '5000', '1957', 'W2', 'Y', '1993', '50000', 'S', 'MIN', '', 'LS', 'SD', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '50000', 'F', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', 'N', 'G', 'S', 'W', 'SF', 'SW', 'SW', '10', '1', '1.02968', '1.02968', '51484.2265625', '51484.2265625', '0', '0', '0', '0', '0', '0', '0', '0', '6', '75% OF 1990 NBCC', '', '');
INSERT INTO buildings VALUES ('552', '6', '28', 'SANDWELL', TO_DATE('07/08/93','MM/DD/YY'), 'VANCOUVER', 'BC', '5', '', '2', '0', '7000', '1969', 'URM', 'Y', '1993', '105000', 'S', 'MIN', '', 'LS', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '105000', 'F', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', 'W', 'W', 'M', 'N', 'G', 'S', 'URM', 'SF', 'SW', 'SW', '15', '1', '1.02968', '1.02968', '108116.875', '108116.875', '0', '0', '0', '0', '0', '0', '0', '0', '6', '75% OF 1990 NBCC', '', '');
INSERT INTO buildings VALUES ('553', '9', '23', 'SANDWELL', TO_DATE('07/08/93','MM/DD/YY'), 'BUR BY', 'BC', '5', '', '4', '0', '216000', '', 'C2', 'N', '1993', '5584000', 'AC', 'ADD', '', 'DC', 'SW', 'BF', 'SD', '', '', '', 'Y', 'N', 'Y', 'N', 'TR', 'I', 'I', 'I', 'NE', '2625000', 'G', 'G', 'G', '', '', '', '', '', '900000', '', '1200000', '', 'O', '345', '250', '345', '250', '13', '52', 'C', 'C', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '12.15', '1', '1.02968', '1.02968', '5749758.5', '2702922', '0', '0', '0', '0', '926716.0625', '0', '1235621.5', '0', '9', 'NBCC', '', '');
INSERT INTO buildings VALUES ('554', '1', '2', 'SANDWELL', TO_DATE('07/08/93','MM/DD/YY'), 'VANCOUVER', 'BC', '5', '', '3', '0', '68000', '1911', 'URM', 'Y', '1993', '2140000', 'AC', 'MIN', '', 'DC', 'SW', 'SD', 'SF', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '2140000', 'G', 'G', 'G', '', '231000', '', '', '', '', '', '', '', 'OT', '195', '190', '195', '190', '14', '42', 'TT', 'C', 'C', 'N', 'N', 'G', 'C', 'URM', 'SF', 'SW', 'SW', '31.47', '1', '1.02968', '1.02968', '2203525', '2203525', '0', '237857.125', '0', '0', '0', '0', '0', '0', '9', '', '', '');
INSERT INTO buildings VALUES ('555', '9', '23', 'SANDWELL', TO_DATE('07/08/93','MM/DD/YY'), 'VANCOUVER', 'BC', '5', '', '3', '0', '8000', '1954', 'C2', 'Y', '1993', '302000', 'AC', 'MIN', '', 'DC', 'SW', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '302000', 'G', 'G', 'G', '', '18000', '', '', '', '', '', '', '', 'R', '60', '45', '60', '45', '14', '42', 'C', 'C', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '37.75', '1', '1.02968', '1.02968', '310964.71875', '310964.71875', '0', '18534.322265625', '0', '0', '0', '0', '0', '0', '9', '', '', '');
INSERT INTO buildings VALUES ('556', '9', '23', 'SANDWELL', TO_DATE('07/07/93','MM/DD/YY'), 'VANCOUVER', 'BC', '5', '', '2', '0', '19000', '1957', 'C2', 'N', '1991', '233700', 'S', 'MIN', '', 'DC', 'SW', 'EW', 'SD', 'SF', 'WT', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '233700', 'G', 'P', 'P', '', '19100', '', '', '', '', '', '', '', 'R', '130', '105', '130', '105', '14', '28', 'S', '', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '12.3', '1.0596', '1.02968', '1.09107', '254982.78125', '254982.78125', '0', '20839.4140625', '0', '0', '0', '0', '0', '0', '6', '', '', '');
INSERT INTO buildings VALUES ('557', '9', '23', 'SANDWELL', TO_DATE('07/07/93','MM/DD/YY'), 'VANCOUVER', 'BC', '5', '', '3', '0', '54000', '1957', 'C2', 'N', '1991', '522400', 'S', 'MIN', '', 'DC', 'SW', 'SF', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '522400', 'G', 'P', 'P', '', '42700', '', '', '', '', '', '', '', 'R', '256', '70', '256', '70', '14', '42', 'C', 'C', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '9.67', '1.0596', '1.02968', '1.09107', '569974.375', '569974.375', '0', '46588.640625', '0', '0', '0', '0', '0', '0', '6', '', '', '');
INSERT INTO buildings VALUES ('558', '9', '23', 'SANDWELL', TO_DATE('07/07/93','MM/DD/YY'), 'VANCOUVER', 'BC', '5', '', '3', '0', '34000', '1957', 'C1', 'N', '1991', '494900', 'S', 'MIN', '', 'DC', 'SW', 'EW', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '494900', 'G', 'P', 'P', '', '40400', '', '', '', '', '', '', '', 'R', '160', '70', '160', '70', '14', '42', 'C', 'C', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'MF', 'MF', '14.56', '1.0596', '1.02968', '1.09107', '539969.9375', '539969.9375', '0', '44079.1796875', '0', '0', '0', '0', '0', '0', '6', '', '', '');
INSERT INTO buildings VALUES ('559', '12', '32', 'SANDWELL', TO_DATE('07/07/93','MM/DD/YY'), 'VANCOUVER', 'BC', '5', '', '1', '0', '11000', '1957', 'C3', 'N', '1991', '131000', 'S', 'MIN', '', 'DC', 'SD', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '131000', 'G', 'P', 'P', '', '10700', '', '', '', '', '', '', '', 'R', '110', '100', '110', '100', '31', '31', 'S', '', 'W', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '11.91', '1.0596', '1.02968', '1.09107', '142930.015625', '142930.015625', '0', '11674.436523438', '0', '0', '0', '0', '0', '0', '6', '', '', '');
INSERT INTO buildings VALUES ('560', '9', '23', 'SANDWELL', TO_DATE('07/07/93','MM/DD/YY'), 'VANCOUVER', 'BC', '5', '', '1', '0', '35000', '1957', 'C1', 'N', '1991', '485000', 'S', 'MIN', '', 'DC', 'SW', 'EW', 'SD', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '485000', 'G', 'P', 'P', '', '39600', '', '', '', '', '', '', '', 'L', '240', '210', '240', '210', '14', '14', 'S', '', 'W', 'N', 'N', 'G', 'C', '', 'SF', 'MF', 'MF', '13.86', '1.0596', '1.02968', '1.09107', '529168.375', '529168.375', '0', '43206.32421875', '0', '0', '0', '0', '0', '0', '6', '', '', '');
INSERT INTO buildings VALUES ('561', '9', '23', 'SANDWELL', TO_DATE('07/07/93','MM/DD/YY'), 'VANCOUVER', 'BC', '5', '', '3', '0', '5600', '1961', 'C1', 'N', '1991', '271900', 'S', 'MIN', '', 'DC', 'SW', 'EW', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '271900', 'G', 'P', 'P', '', '22200', '', '', '', '', '', '', '', 'R', '80', '70', '80', '70', '14', '42', 'C', '', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'MF', 'SW', '48.55', '1.0596', '1.02968', '1.09107', '296661.625', '296661.625', '0', '24221.728515625', '0', '0', '0', '0', '0', '0', '6', '', '', '');
INSERT INTO buildings VALUES ('562', '12', '32', 'SANDWELL', TO_DATE('07/07/93','MM/DD/YY'), 'VANCOUVER', 'BC', '5', '', '1', '0', '9000', '1961', 'C3', 'N', '1991', '322300', 'S', 'MIN', '', 'DC', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '322300', 'G', 'P', 'P', '', '26300', '', '', '', '', '', '', '', 'L', '140', '100', '140', '100', '26', '26', 'S', '', 'W', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '35.81', '1.0596', '1.02968', '1.09107', '351651.5', '351651.5', '0', '28695.111328125', '0', '0', '0', '0', '0', '0', '6', '', '', '');
INSERT INTO buildings VALUES ('563', '9', '22', 'SANDWELL', TO_DATE('07/07/93','MM/DD/YY'), 'VANCOUVER', 'BC', '5', '', '1', '0', '4800', '1961', 'C1', 'N', '1991', '47900', 'S', 'MIN', '', 'DC', 'SD', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '47900', 'G', 'P', 'P', '', '3900', '', '', '', '', '', '', '', 'R', '96', '50', '96', '50', '14', '14', 'S', '', 'W', 'N', 'N', 'G', 'C', '', 'SF', 'MF', 'MF', '9.98', '1.0596', '1.02968', '1.09107', '52262.1953125', '52262.1953125', '0', '4255.1684570313', '0', '0', '0', '0', '0', '0', '6', '', '', '');
INSERT INTO buildings VALUES ('564', '9', '23', 'SANDWELL', TO_DATE('07/08/93','MM/DD/YY'), 'VANCOUVER', 'BC', '5', '', '3', '0', '22050', '1960', 'C2', 'N', '1991', '266040', 'S', 'MIN', '', 'DC', 'SW', 'EF', 'SF', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '266040', 'G', 'P', 'P', '', '21800', '', '', '', '', '', '', '', 'OT', '119', '84', '119', '84', '14', '42', 'C', '', 'C', 'PC', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '12.07', '1.0596', '1.02968', '1.09107', '290267.9375', '290267.9375', '0', '23785.30078125', '0', '0', '0', '0', '0', '0', '6', '', '', '');
INSERT INTO buildings VALUES ('565', '11', '26', 'SANDWELL', TO_DATE('07/08/93','MM/DD/YY'), 'VANCOUVER', 'BC', '5', '', '1', '0', '8770', '1960', 'S5', 'N', '1991', '137640', 'S', 'MIN', '', 'DC', 'EF', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '137640', 'G', 'P', 'P', '', '11300', '', '', '', '', '', '', '', 'R', '122', '87', '122', '87', '14', '14', 'S', '', 'W', 'N', 'N', 'G', 'S', '', 'SF', 'SW', 'MF', '15.69', '1.0596', '1.02968', '1.09107', '150174.71875', '150174.71875', '0', '12329.078125', '0', '0', '0', '0', '0', '0', '6', '', '', '');
INSERT INTO buildings VALUES ('566', '9', '23', 'SANDWELL', TO_DATE('07/08/93','MM/DD/YY'), 'VANCOUVER', 'BC', '5', '', '2', '0', '15700', '1960', 'C1', 'N', '1991', '301500', 'S', 'MIN', '', 'DC', 'SW', 'EF', 'SF', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '301500', 'G', 'P', 'P', '', '24700', '', '', '', '', '', '', '', 'R', '140', '56', '140', '56', '14', '14', 'C', '', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'MF', 'MF', '19.2', '1.0596', '1.02968', '1.09107', '328957.25', '328957.25', '0', '26949.400390625', '0', '0', '0', '0', '0', '0', '6', '', '', '');
INSERT INTO buildings VALUES ('567', '9', '23', 'SANDWELL', TO_DATE('07/08/93','MM/DD/YY'), 'VANCOUVER', 'BC', '5', '', '3', '0', '17650', '1960', 'C2', 'N', '1991', '434540', 'S', 'MIN', '', 'DC', 'SW', 'EF', 'SD', 'SF', 'WT', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '434540', 'G', 'P', 'P', '', '35700', '', '', '', '', '', '', '', 'R', '140', '42', '140', '42', '14', '42', 'C', 'C', 'C', 'PC', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '24.62', '1.0596', '1.02968', '1.09107', '474113.0625', '474113.0625', '0', '38951.15625', '0', '0', '0', '0', '0', '0', '6', '', '', '');
INSERT INTO buildings VALUES ('568', '9', '23', 'SANDWELL', TO_DATE('07/08/93','MM/DD/YY'), 'VANCOUVER', 'BC', '5', '', '3', '0', '45000', '1960', 'C2', 'N', '1991', '688400', 'S', 'MIN', '', 'DC', 'SW', 'EF', 'SD', 'SF', 'WT', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '688400', 'G', 'P', 'P', '', '56500', '', '', '', '', '', '', '', 'L', '224', '181', '224', '181', '14', '42', 'C', 'C', 'C', 'PC', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '15.3', '1.0596', '1.02968', '1.09107', '751091.8125', '751091.8125', '0', '61645.390625', '0', '0', '0', '0', '0', '0', '6', '', '', '');
INSERT INTO buildings VALUES ('569', '10', '23', 'SANDWELL', TO_DATE('07/08/93','MM/DD/YY'), 'VANCOUVER', 'BC', '5', '', '2', '0', '13000', '1970', 'C2', 'N', '1991', '42250', 'S', 'MIN', '', 'DC', 'SW', 'EF', 'SF', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '42250', 'G', 'P', 'P', '', '3500', '', '', '', '', '', '', '', 'R', '116', '56', '116', '56', '14', '28', 'C', 'C', 'C', 'PC', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '3.25', '1.0596', '1.02968', '1.09107', '46097.66015625', '46097.66015625', '0', '3818.7409667969', '0', '0', '0', '0', '0', '0', '6', '1990 NBCC ', '', '');
INSERT INTO buildings VALUES ('570', '9', '14', 'SANDWELL', TO_DATE('07/08/93','MM/DD/YY'), 'VANCOUVER', 'BC', '5', '', '1', '0', '8000', '1960', 'C2', 'N', '1991', '97500', 'S', 'MIN', '', 'DC', 'SD', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '97500', 'G', 'P', 'P', '', '8000', '', '', '', '', '', '', '', 'R', '126', '63', '126', '63', '25', '25', 'C', '', 'C', 'PC', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '12.19', '1.0596', '1.02968', '1.09107', '106379.2109375', '106379.2109375', '0', '8728.55078125', '0', '0', '0', '0', '0', '0', '6', '1990 NBCC ', '', '');
INSERT INTO buildings VALUES ('571', '9', '12', 'SANDWELL', TO_DATE('07/08/93','MM/DD/YY'), 'VANCOUVER', 'BC', '5', '', '1', '0', '16000', '1960', 'C2', 'N', '1991', '274200', 'S', 'MIN', '', 'DC', 'SD', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '274200', 'G', 'P', 'P', '', '22500', '', '', '', '', '', '', '', 'R', '147', '108', '147', '108', '25', '25', 'S', '', 'W', 'N', 'N', 'G', '', 'C', 'SF', 'SW', 'SW', '17.14', '1.0596', '1.02968', '1.09107', '299171.0625', '299171.0625', '0', '24549.048828125', '0', '0', '0', '0', '0', '0', '6', '1990 NBCC ', '', '');
INSERT INTO buildings VALUES ('572', '9', '23', 'SANDWELL', TO_DATE('07/08/93','MM/DD/YY'), 'VANCOUVER', 'BC', '5', '', '2', '0', '15460', '1959', 'C2', 'N', '1991', '672500', 'S', 'MIN', '', 'DC', 'SW', 'SF', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '672500', 'G', 'P', 'P', '', '53000', '', '3', '', '', '', '', '', 'R', '112', '69', '112', '69', '', '', 'C', 'C', 'C', 'N', 'N', 'G', 'C', 'C', 'SF', 'SW', 'SW', '43.5', '1.0596', '1.02968', '1.09107', '733743.8125', '733743.8125', '0', '57826.6484375', '0', '0', '0', '0', '0', '0', '6', '1990 NBCC ', '', '');
INSERT INTO buildings VALUES ('574', '9', '23', 'SANDWELL', TO_DATE('07/08/93','MM/DD/YY'), 'VANCOUVER', 'BC', '5', '', '1', '1', '18500', '1959', 'C2', 'N', '1991', '589500', 'S', 'MIN', '', 'DC', 'SW', 'MF', 'SD', 'SF', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '589500', 'G', 'P', 'P', '', '46400', '', '3', '', '', '', '', '', 'OT', '175', '105', '175', '105', '', '', 'W', '', 'W', 'N', 'N', 'G', 'C', 'C', 'SF', 'SW', 'SW', '31.86', '1.0596', '1.02968', '1.09107', '643185.0625', '643185.0625', '0', '50625.59375', '0', '0', '0', '0', '0', '0', '6', '1990 NBCC ', '', '');
INSERT INTO buildings VALUES ('575', '9', '23', 'SANDWELL', TO_DATE('07/08/93','MM/DD/YY'), 'VANCOUVER', 'BC', '5', '', '2', '0', '36200', '1959', 'C2', 'N', '1991', '907000', 'S', 'MIN', '', 'DC', 'SW', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '907000', 'G', 'P', 'P', '', '71500', '', '3', '', '', '', '', '', 'R', '266', '112', '266', '112', '', '', 'S', 'S', 'W', 'N', 'N', 'G', 'S', 'C', 'SF', 'SW', 'SW', '25.06', '1.0596', '1.02968', '1.09107', '989599.4375', '989599.4375', '0', '78011.421875', '0', '0', '0', '0', '0', '0', '6', '1990 NBCC ', '', '');
INSERT INTO buildings VALUES ('576', '9', '23', 'SANDWELL', TO_DATE('07/08/93','MM/DD/YY'), 'VANCOUVER', 'BC', '5', '', '1', '0', '10560', '1959', 'C2', 'N', '1991', '354500', 'S', 'MIN', '', 'DC', 'SW', 'BF', 'SD', 'SF', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '354500', 'G', 'P', 'P', '', '28100', '', '3', '', '', '', '', '', 'R', '177', '120', '177', '120', '', '', 'S', '', 'W', 'N', 'N', 'G', 'C', 'C', 'SF', 'SW', 'SW', '33.57', '1.0596', '1.02968', '1.09107', '386783.90625', '386783.90625', '0', '30659.03515625', '0', '0', '0', '0', '0', '0', '6', '1990 NBCC ', '', '');
INSERT INTO buildings VALUES ('577', '12', '32', 'SANDWELL', TO_DATE('07/08/93','MM/DD/YY'), 'VANCOUVER', 'BC', '5', '', '1', '0', '34700', '1948', 'C3', 'N', '1991', '485000', 'S', 'MIN', '', 'DC', 'SW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '485000', 'G', 'P', 'P', '', '41400', '', '3', '', '', '', '', '', 'OT', '321', '211', '321', '211', '', '', 'C', '', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '13.98', '1.0596', '1.02968', '1.09107', '529168.375', '529168.375', '0', '45170.25', '0', '0', '0', '0', '0', '0', '6', '1990 NBCC ', '', '');
INSERT INTO buildings VALUES ('578', '12', '33', 'SANDWELL', TO_DATE('07/08/93','MM/DD/YY'), 'VANCOUVER', 'BC', '5', '', '3', '0', '48000', '1948', 'C3', 'N', '1991', '558000', 'S', 'MIN', '', 'DC', 'SW', 'EW', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '558000', 'G', 'P', 'P', '', '47500', '', '3', '', '', '', '', '', 'R', '285', '71', '285', '71', '', '', 'C', 'C', 'C', 'N', 'N', 'F', 'C', '', 'SF', 'SW', 'SW', '11.63', '1.0596', '1.02968', '1.09107', '608816.4375', '608816.4375', '0', '51825.76953125', '0', '0', '0', '0', '0', '0', '6', '1990 NBCC ', '', '');
INSERT INTO buildings VALUES ('579', '12', '32', 'SANDWELL', TO_DATE('07/08/93','MM/DD/YY'), 'VANCOUVER', 'BC', '5', '', '2', '0', '23000', '1951', 'C3', 'N', '1991', '494000', 'S', 'MIN', '', 'DC', 'SW', 'EW', 'SD', 'SF', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '494000', 'G', 'P', 'P', '', '42100', '', '3', '', '', '', '', '', 'OT', '220', '168', '220', '168', '', '', 'C', 'C', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '21.48', '1.0596', '1.02968', '1.09107', '538988', '538988', '0', '45933.99609375', '0', '0', '0', '0', '0', '0', '6', '1990 NBCC ', '', '');
INSERT INTO buildings VALUES ('580', '9', '23', 'SANDWELL', TO_DATE('07/07/93','MM/DD/YY'), 'VANCOUVER', 'BC', '5', '', '1', '0', '9000', '1935', 'C2', 'N', '1991', '104400', 'S', 'MIN', '', 'DC', 'SW', 'EW', 'SD', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '104400', 'G', 'P', 'P', '', '7800', '', '', '', '', '', '', '', 'R', '93', '92', '93', '92', '25', '25', 'S', '', 'W', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '11.6', '1.0596', '1.02968', '1.09107', '113907.5859375', '113907.5859375', '0', '8510.3369140625', '0', '0', '0', '0', '0', '0', '6', '1990 NBCC ', '', '');
INSERT INTO buildings VALUES ('581', '9', '23', 'SANDWELL', TO_DATE('07/07/93','MM/DD/YY'), 'VANCOUVER', 'BC', '5', '', '1', '0', '12900', '1948', 'C2', 'N', '1991', '78600', 'S', 'MIN', '', 'DC', 'EW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '78600', 'G', 'P', 'P', '', '5900', '', '', '', '', '', '', '', 'R', '120', '100', '120', '100', '25', '25', 'S', '', 'W', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '6.09', '1.0596', '1.02968', '1.09107', '85758.0078125', '85758.0078125', '0', '6437.3061523438', '0', '0', '0', '0', '0', '0', '6', '1990 NBCC ', '', '');
INSERT INTO buildings VALUES ('582', '9', '23', 'SANDWELL', TO_DATE('07/07/93','MM/DD/YY'), 'VANCOUVER', 'BC', '5', '', '2', '0', '12000', '1948', 'S1', 'N', '1991', '559800', 'S', 'MIN', '', 'DC', 'SW', 'EW', 'EF', 'SD', 'SF', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '559800', 'G', 'P', 'P', '', '41800', '', '', '', '', '', '', '', 'OT', '202', '72', '202', '72', '14', '28', 'S', '', 'C', 'N', 'N', 'G', 'S', 'C', 'SF', 'MF', 'MF', '46.65', '1.0596', '1.02968', '1.09107', '610780.3125', '610780.3125', '0', '45606.67578125', '0', '0', '0', '0', '0', '0', '6', '1990 NBCC ', '', '');
INSERT INTO buildings VALUES ('584', '9', '23', 'SANDWELL', TO_DATE('07/07/93','MM/DD/YY'), 'VANCOUVER', 'BC', '5', '', '3', '0', '16000', '1953', 'C1', 'N', '1991', '668300', 'S', 'MIN', '', 'DC', 'SW', 'EF', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '668300', 'G', 'P', 'P', '', '49900', '', '', '', '', '', '', '', '', '233', '121', '233', '121', '14', '42', 'C', 'C', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'MF', 'MF', '41.77', '1.0596', '1.02968', '1.09107', '729161.3125', '729161.3125', '0', '54444.3359375', '0', '0', '0', '0', '0', '0', '6', '1990 NBCC ', '', '');
INSERT INTO buildings VALUES ('585', '9', '12', 'SANDWELL', TO_DATE('07/07/93','MM/DD/YY'), 'VANCOUVER', 'BC', '5', '', '1', '0', '13000', '1953', 'C2', 'N', '1991', '75900', 'S', 'MIN', '', 'DC', 'SD', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '75900', 'G', 'P', 'P', '', '5700', '', '', '', '', '', '', '', 'R', '140', '90', '140', '90', '25', '25', 'S', '', 'W', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '5.84', '1.0596', '1.02968', '1.09107', '82812.125', '82812.125', '0', '6219.0922851563', '0', '0', '0', '0', '0', '0', '6', '1990 NBCC ', '', '');
INSERT INTO buildings VALUES ('586', '9', '23', 'SANDWELL', TO_DATE('07/07/93','MM/DD/YY'), 'VANCOUVER', 'BC', '5', '', '1', '0', '27000', '1953', 'C2', 'N', '1991', '407500', 'S', 'MIN', '', 'DC', 'BF', 'EW', 'SD', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '407500', 'G', 'P', 'P', '', '30400', '', '', '', '', '', '', '', 'R', '175', '162', '175', '162', '14', '14', 'W', '', 'W', 'N', 'N', 'G', 'W', 'C', 'SF', 'SW', 'SW', '15.09', '1.0596', '1.02968', '1.09107', '444610.5625', '444610.5625', '0', '33168.4921875', '0', '0', '0', '0', '0', '0', '6', '1990 NBCC ', '', '');
INSERT INTO buildings VALUES ('587', '9', '22', 'SANDWELL', TO_DATE('07/07/93','MM/DD/YY'), 'VANCOUVER', 'BC', '5', '', '1', '0', '2500', '1956', 'C1', 'N', '1991', '27000', 'S', 'MIN', '', 'DC', 'SD', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '27000', 'G', 'P', 'P', '', '2000', '', '', '', '', '', '', '', 'R', '82', '31', '82', '31', '14', '14', 'C', '', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'MF', 'MF', '10.8', '1.0596', '1.02968', '1.09107', '29458.859375', '29458.859375', '0', '2182.1376953125', '0', '0', '0', '0', '0', '0', '6', '1990 NBCC ', '', '');
INSERT INTO buildings VALUES ('588', '9', '22', 'SANDWELL', TO_DATE('07/07/93','MM/DD/YY'), 'VANCOUVER', 'BC', '5', '', '1', '0', '1600', '1965', 'C1', 'N', '1991', '25200', 'S', 'MIN', '', 'DC', 'WT', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '25200', 'G', 'P', 'P', '', '1900', '', '', '', '', '', '', '', 'R', '44', '37', '44', '37', '14', '14', 'C', '', 'PC', 'N', 'N', 'G', 'C', '', 'SF', 'MF', 'MF', '15.75', '1.0596', '1.02968', '1.09107', '27494.935546875', '27494.935546875', '0', '2073.0307617188', '0', '0', '0', '0', '0', '0', '6', '1990 NBCC ', '', '');
INSERT INTO buildings VALUES ('589', '10', '22', 'SANDWELL', TO_DATE('07/07/93','MM/DD/YY'), 'VANCOUVER', 'BC', '5', '', '1', '0', '7400', '1971', 'RM1', 'N', '1991', '66600', 'S', 'MIN', '', 'DC', 'SD', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '66600', 'G', 'P', 'P', '', '5000', '', '', '', '', '', '', '', 'R', '90', '82', '90', '82', '18', '18', 'S', '', 'MD', 'N', 'N', 'G', 'S', 'RM', 'SF', 'SW', 'SW', '9', '1.0596', '1.02968', '1.09107', '72665.1875', '72665.1875', '0', '5455.3442382813', '0', '0', '0', '0', '0', '0', '6', '1990 NBCC ', '', '');
INSERT INTO buildings VALUES ('590', '1', '2', 'SANDWELL', TO_DATE('07/07/93','MM/DD/YY'), 'VANCOUVER', 'BC', '5', '', '2', '0', '25000', '1911', 'S5', 'Y', '1991', '1807000', 'S', 'MIN', '', 'DC', 'SW', 'EF', 'SD', 'SF', 'WT', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '1807000', 'G', 'P', 'P', '', '147000', '', '', '', '', '', '', '', 'OT', '155', '96', '155', '96', '14', '42', 'S', '', 'W', 'N', 'N', 'G', 'S', '', 'SF', 'SW', 'SW', '72.28', '1.0596', '1.02968', '1.09107', '1971561.375', '1971561.375', '0', '160387.125', '0', '0', '0', '0', '0', '0', '6', '1990 NBCC ', '', '');
INSERT INTO buildings VALUES ('591', '9', '23', 'SANDWELL', TO_DATE('07/08/93','MM/DD/YY'), 'VANCOUVER', 'BC', '5', '', '3', '0', '21000', '1924', 'C2', 'Y', '1991', '1266700', 'S', 'MIN', '', 'DC', 'SW', 'SD', 'SF', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '1266700', 'G', 'P', 'P', '', '101000', '', '', '', '', '', '', '', 'OT', '140', '73', '140', '73', '14', '42', 'TT', '', 'C', 'N', 'N', 'G', '', 'C', 'SF', 'SW', 'SW', '60.32', '1.0596', '1.02968', '1.09107', '1382056.875', '1382056.875', '0', '110197.953125', '0', '0', '0', '0', '0', '0', '6', '1990 NBCC ', '', '');
INSERT INTO buildings VALUES ('592', '9', '23', 'SANDWELL', TO_DATE('07/08/93','MM/DD/YY'), 'VANCOUVER', 'BC', '5', '', '3', '0', '18000', '1936', 'C2', 'Y', '1991', '883300', 'S', 'MIN', '', 'DC', 'SW', 'SD', 'SF', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '883300', 'G', 'P', 'P', '', '72000', '', '', '', '', '', '', '', 'OT', '85', '85', '85', '85', '14', '42', 'C', 'C', 'C', 'N', 'N', 'G', '', 'C', 'SF', 'SW', 'SW', '49.07', '1.0596', '1.02968', '1.09107', '963741.125', '963741.125', '0', '78556.953125', '0', '0', '0', '0', '0', '0', '6', '1990 NBCC ', '', '');
INSERT INTO buildings VALUES ('593', '12', '34', 'SANDWELL', TO_DATE('07/08/93','MM/DD/YY'), 'VANCOUVER', 'BC', '5', '', '2', '0', '38000', '1921', 'C3', 'Y', '1991', '1777000', 'S', 'MIN', '', 'DC', 'SW', 'EF', 'SD', 'SF', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '1777000', 'G', 'P', 'P', '', '144000', '', '', '', '', '', '', '', 'OT', '174', '83', '174', '83', '14', '28', 'TT', 'C', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '46.76', '1.0596', '1.02968', '1.09107', '1938829.375', '1938829.375', '0', '157113.90625', '0', '0', '0', '0', '0', '0', '6', '1990 NBCC ', '', '');
INSERT INTO buildings VALUES ('594', '9', '23', 'SANDWELL', TO_DATE('07/08/93','MM/DD/YY'), 'VANCOUVER', 'BC', '5', '', '2', '0', '4410', '1957', 'C2', 'Y', '1991', '29600', 'S', 'MIN', '', 'DC', 'EW', 'SD', 'SF', 'EF', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '29600', 'G', 'P', 'P', '', '2300', '', '', '', '', '', '', '', 'OT', '70', '60', '70', '60', '14', '28', 'W', 'C', 'C', 'N', 'N', 'G', '', 'C', 'SF', 'SW', 'SW', '6.71', '1.0596', '1.02968', '1.09107', '32295.63671875', '32295.63671875', '0', '2509.4582519531', '0', '0', '0', '0', '0', '0', '6', '1990 NBCC ', '', '');
INSERT INTO buildings VALUES ('596', '12', '34', 'SANDWELL', TO_DATE('07/08/93','MM/DD/YY'), 'VANCOUVER', 'BC', '5', '', '3', '0', '27200', '1925', 'C3', 'Y', '1991', '1210900', 'S', 'MIN', '', 'DC', 'SW', 'EF', 'SD', 'SF', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '1210900', 'G', 'P', 'P', '', '96300', '', '', '', '', '', '', '', 'OT', '140', '85', '140', '85', '14', '42', 'TT', 'C', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '44.52', '1.0596', '1.02968', '1.09107', '1321175.25', '1321175.25', '0', '105069.9296875', '0', '0', '0', '0', '0', '0', '6', '1990 NBCC ', '', '');
INSERT INTO buildings VALUES ('597', '1', '2', 'SANDWELL', TO_DATE('07/08/93','MM/DD/YY'), 'VANCOUVER', 'BC', '5', '', '3', '0', '16900', '1912', 'C3', 'Y', '1991', '798600', 'S', 'MIN', '', 'DC', 'SW', 'EW', 'SD', 'SF', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '798600', 'G', 'P', 'P', '', '63500', '', '', '', '', '', '', '', 'OT', '94', '70', '94', '70', '14', '42', 'W', 'C', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '47.25', '1.0596', '1.02968', '1.09107', '871327.5625', '871327.5625', '0', '69282.8671875', '0', '0', '0', '0', '0', '0', '6', '1990 NBCC ', '', '');
INSERT INTO buildings VALUES ('598', '6', '14', 'SANDWELL', TO_DATE('07/08/93','MM/DD/YY'), 'VANCOUVER', 'BC', '5', 'S1', '3', '0', '9000', '1949', 'URM', 'N', '1992', '210900', 'S', 'MIN', '', 'LS', 'SW', 'EF', 'SD', 'SF', 'PB', 'WT', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'NE', 'NE', '210900', 'G', 'P', 'P', '', '14600', '', '', '', '', '', '', '', '', '67', '45', '67', '45', '', '', 'S', 'S', 'C', 'M', 'N', 'G', 'C', 'URM', 'SF', 'SW', 'SW', '23.43', '1.0286', '1.02968', '1.05911', '223367.25', '223367.25', '0', '15463.071289063', '0', '0', '0', '0', '0', '0', '6', '75% OF NBCC 1990', '', '');
INSERT INTO buildings VALUES ('599', '11', '26', 'SANDWELL', TO_DATE('07/08/93','MM/DD/YY'), 'COQUITLAM', 'BC', '5', '', '2', '1', '32000', '1969', 'S5', 'N', '1991', '419000', 'S', 'MIN', '', 'DC', 'SW', 'BF', 'SD', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '419000', 'G', 'P', 'P', '', '48100', '', '', '', '', '', '', '', 'R', '220', '73', '220', '73', '12', '23.5', 'TT', 'TT', 'MDF', 'N', 'N', 'G', 'S', '', 'SF', 'SW', 'SW', '13.09', '1.0596', '1.02968', '1.09107', '457157.84375', '457157.84375', '0', '52480.41015625', '0', '0', '0', '0', '0', '0', '6', '1990 NBCC ', '', '');
INSERT INTO buildings VALUES ('600', '9', '28', 'SANDWELL', TO_DATE('07/08/93','MM/DD/YY'), 'COQUITLAM', 'BC', '5', '', '1', '0', '20000', '1969', 'URM', 'N', '1991', '648000', 'S', 'MIN', '', 'DC', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'I', 'NE', '548000', 'G', 'P', 'P', '', '74400', '', '', '', '', '', '', '100000', 'R', '179', '136', '179', '136', '20.5', '20.5', 'TT', '', 'MDF', 'N', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '27.4', '1.0596', '1.02968', '1.09107', '707012.625', '597905.75', '0', '81175.5234375', '0', '0', '0', '0', '0', '109106.8828125', '6', '1990 NBCC ', '', '');
INSERT INTO buildings VALUES ('601', '9', '28', 'SANDWELL', TO_DATE('07/08/93','MM/DD/YY'), 'COQUITLAM', 'BC', '5', '', '1', '0', '18600', '1969', 'URM', 'N', '1991', '173000', 'S', 'MIN', '', 'DC', 'SW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '173000', 'G', 'P', 'P', '', '19900', '', '', '', '', '', '', '', 'L', '184', '118', '184', '118', '15', '15', 'TT', '', 'MDF', 'N', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '9.3', '1.0596', '1.02968', '1.09107', '188754.90625', '188754.90625', '0', '21712.26953125', '0', '0', '0', '0', '0', '0', '6', '1990 NBCC ', '', '');
INSERT INTO buildings VALUES ('602', '9', '28', 'SANDWELL', TO_DATE('07/08/93','MM/DD/YY'), 'COQUITLAM', 'BC', '5', '', '1', '0', '6000', '1961', 'URM', 'N', '1991', '207000', 'S', 'MIN', '', 'DC', 'MF', 'EW', 'SD', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '207000', 'G', 'P', 'P', '', '16200', '', '', '', '', '', '', '', 'R', '93', '71', '93', '71', '11', '11', 'W', '', 'W', 'N', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '34.5', '1.0596', '1.02968', '1.09107', '225851.25', '225851.25', '0', '17675.314453125', '0', '0', '0', '0', '0', '0', '6', '1990 NBCC ', '', '');
INSERT INTO buildings VALUES ('603', '12', '33', 'SANDWELL', TO_DATE('07/08/93','MM/DD/YY'), 'COQUITLAM', 'BC', '5', '', '2', '0', '49000', '1958', 'C3', 'N', '1992', '714800', 'S', 'MIN', '', 'DC', 'SW', 'SF', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '714800', 'G', 'P', 'P', '', '41800', '', '', '', '', '', '', '', 'R', '350', '60', '350', '60', '', '', 'C', 'C', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '14.59', '1.0286', '1.02968', '1.05911', '757055', '757055', '0', '44270.984375', '0', '0', '0', '0', '0', '0', '6', '1990 NBCC ', '', '');
INSERT INTO buildings VALUES ('604', '9', '28', 'SANDWELL', TO_DATE('07/08/93','MM/DD/YY'), 'COQUITLAM', 'BC', '5', '', '1', '0', '38000', '1958', 'URM', 'N', '1992', '519800', 'S', 'MIN', '', 'DC', 'SW', 'BF', 'SD', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '519800', 'G', 'P', 'P', '', '30800', '', '', '', '', '', '', '', 'R', '200', '170', '200', '170', '', '', 'W', '', 'W', 'N', 'N', 'G', 'S', 'URM', 'SF', 'SW', 'SW', '13.68', '1.0286', '1.02968', '1.05911', '550527.6875', '550527.6875', '0', '32620.7265625', '0', '0', '0', '0', '0', '0', '6', '1990 NBCC ', '', '');
INSERT INTO buildings VALUES ('605', '9', '28', 'SANDWELL', TO_DATE('07/08/93','MM/DD/YY'), 'COQUITLAM', 'BC', '5', '', '1', '0', '16000', '1967', 'URM', 'N', '1992', '250700', 'S', 'MIN', '', 'DC', 'SW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '250700', 'G', 'P', 'P', '', '14700', '', '', '', '', '', '', '', 'R', '150', '100', '150', '100', '', '', 'W', '', 'W', 'N', 'N', 'G', 'URM', 'URM', 'SF', 'SW', 'SW', '15.67', '1.0286', '1.02968', '1.05911', '265520', '265520', '0', '15568.982421875', '0', '0', '0', '0', '0', '0', '6', '1990 NBCC ', '', '');
INSERT INTO buildings VALUES ('606', '9', '28', 'SANDWELL', TO_DATE('07/08/93','MM/DD/YY'), 'COQUITLAM', 'BC', '5', '', '1', '0', '7600', '1965', 'URM', 'N', '1993', '148000', 'S', 'MIN', '', 'DC', 'SW', 'EW', 'SD', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '148000', 'G', 'P', 'P', '', '16100', '', '', '', '', '', '', '', 'L', '172', '139', '172', '139', '', '', 'W', '', 'W', 'N', 'Y', 'G', '', 'URM', 'SF', 'SW', 'SW', '19.47', '1', '1.02968', '1.02968', '152393.3125', '152393.3125', '0', '16577.921875', '0', '0', '0', '0', '0', '0', '6', '1990 NBCC ', '', '');
INSERT INTO buildings VALUES ('607', '9', '27', 'SANDWELL', TO_DATE('07/08/93','MM/DD/YY'), 'COQUITLAM', 'BC', '5', '', '1', '0', '2900', '1965', 'URM', 'N', '1993', '65000', 'S', 'MIN', '', 'DC', 'SW', 'EW', 'SD', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '65000', 'G', 'P', 'P', '', '7100', '', '', '', '', '', '', '', 'R', '75', '39', '75', '39', '', '', 'W', '', 'W', 'N', 'Y', 'G', '', 'URM', 'SF', 'SW', 'SW', '22.41', '1', '1.02968', '1.02968', '66929.4921875', '66929.4921875', '0', '7310.7602539063', '0', '0', '0', '0', '0', '0', '6', '1990 NBCC ', '', '');
INSERT INTO buildings VALUES ('608', '9', '28', 'SANDWELL', TO_DATE('07/08/93','MM/DD/YY'), 'COQUITLAM', 'BC', '5', '', '1', '0', '26000', '1963', 'URM', 'N', '1993', '457000', 'S', 'MIN', '', 'DC', 'SW', 'EW', 'SD', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'I', 'NE', '450000', 'G', 'P', 'P', '', '50000', '', '', '', '', '', '', '', 'R', '172', '150', '172', '150', '', '', 'W', '', 'W', 'N', 'Y', 'G', '', 'URM', 'SF', 'SW', 'SW', '17.31', '1', '1.02968', '1.02968', '470565.84375', '463358.03125', '0', '51484.2265625', '0', '0', '0', '0', '0', '0', '6', '1990 NBCC ', '', '');
INSERT INTO buildings VALUES ('609', '9', '23', 'SANDWELL', TO_DATE('07/08/93','MM/DD/YY'), 'COQUITLAM', 'BC', '5', 'S1', '2', '0', '4000', '1969', 'RM1', 'N', '1993', '110000', 'S', 'MIN', '', 'DC', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'I', 'NE', '105000', 'G', 'P', 'P', '', '13500', '', '', '', '', '', '', '4800', 'L', '', '', '', '', '', '', 'TT', 'C', 'W', 'N', 'N', 'G', 'C', 'RM', 'SF', 'SW', 'SW', '26.25', '1', '1.02968', '1.02968', '113265.296875', '108116.875', '0', '13900.741210938', '0', '0', '0', '0', '0', '4942.48583984375', '6', '1990 NBCC ', '', '');
INSERT INTO buildings VALUES ('610', '9', '23', 'SANDWELL', TO_DATE('07/08/93','MM/DD/YY'), 'COQUITLAM', 'BC', '5', 'S1', '2', '0', '12000', '1969', 'RM1', 'N', '1993', '331000', 'S', 'MIN', '', 'DC', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'I', 'NE', '316000', 'G', 'P', 'P', '', '40600', '', '', '', '', '', '', '14500', 'R', '', '', '', '', '', '', 'W', 'C', 'W', 'N', 'N', 'G', 'C', 'RM', 'SF', 'SW', 'SW', '26.33', '1', '1.02968', '1.02968', '340825.59375', '325380.3125', '0', '41805.19140625', '0', '0', '0', '0', '0', '14930.42578125', '6', '1990 NBCC ', '', '');
INSERT INTO buildings VALUES ('611', '9', '23', 'SANDWELL', TO_DATE('07/08/93','MM/DD/YY'), 'COQUITLAM', 'BC', '5', 'S1', '1', '0', '4700', '1969', 'RM1', 'N', '1993', '129000', 'S', 'MIN', '', 'DC', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'I', 'NE', '124000', 'G', 'P', 'P', '', '15900', '', '', '', '', '', '', '5700', 'R', '', '', '', '', '', '', 'W', '', 'W', 'N', 'N', 'G', '', 'RM', 'SF', 'SW', 'SW', '26.38', '1', '1.02968', '1.02968', '132829.3125', '127680.8828125', '0', '16371.984375', '0', '0', '0', '0', '0', '5869.20166015625', '6', '1990 NBCC ', '', '');
INSERT INTO buildings VALUES ('612', '9', '23', 'RICHARDIREDALE', TO_DATE('07/07/93','MM/DD/YY'), 'WVANCOUVER', 'BC', '5', '', '1', '0', '8064', '1965', 'W2', 'N', '1991', '19000', 'S', 'MIN', '', 'DC', 'BF', 'EW', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '19000', 'G', 'P', 'P', '', '1000', '', '', '', '', '', '', '', 'R', '168', '46', '168', '46', '', '', 'W', '', 'W', 'N', 'N', 'G', '', 'W', 'SF', 'SW', 'SW', '2.36', '1.0596', '1.02968', '1.09107', '20730.30859375', '20730.30859375', '0', '1091.0688476563', '0', '0', '0', '0', '0', '0', '5', '1985 NBCC ', '', '');
INSERT INTO buildings VALUES ('614', '9', '22', 'RICHARDIREDALE', TO_DATE('07/07/93','MM/DD/YY'), 'WVANCOUVER', 'BC', '5', '', '1', '0', '2800', '1954', 'W2', 'N', '1991', '56600', 'S', 'MIN', '', 'DC', '', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '56600', 'G', 'P', 'P', '', '3000', '', '', '', '', '', '', '', 'R', '60', '46', '60', '46', '23', '23', 'W', '', 'W', 'N', 'N', 'G', 'W', 'W', 'SF', 'SW', 'SW', '20.21', '1.0596', '1.02968', '1.09107', '61754.49609375', '61754.49609375', '0', '3273.2065429688', '0', '0', '0', '0', '0', '0', '5', '1985 NBCC ', '', '');
INSERT INTO buildings VALUES ('615', '9', '23', 'RICHARDIREDALE', TO_DATE('07/07/93','MM/DD/YY'), 'WVANCOUVER', 'BC', '5', '', '2', '0', '19000', '1924', 'W2', 'N', '1991', '162200', 'S', 'MIN', '', 'DC', 'SW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '162200', 'G', 'P', 'P', '', '8500', '', '', '', '', '', '', '', 'R', '140', '68', '140', '68', '', '', 'W', '', 'W', 'N', 'N', 'G', 'W', 'W', 'S', 'SW', 'SW', '8.54', '1.0596', '1.02968', '1.09107', '176971.359375', '176971.359375', '0', '9274.0849609375', '0', '0', '0', '0', '0', '0', '5', '1985 NBCC ', '', '');
INSERT INTO buildings VALUES ('616', '11', '26', 'RICHARDIREDALE', TO_DATE('07/07/93','MM/DD/YY'), 'WVANCOUVER', 'BC', '5', '', '1', '0', '14000', '1975', 'S5', 'N', '1991', '172000', 'S', 'MIN', '', 'DC', 'BF', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '165000', 'G', 'P', 'P', '', '9000', '', '', '', '', '', '', '7000', 'R', '128', '72', '128', '72', '26', '26', 'S', '', 'MDF', 'M', 'N', 'G', 'S', '', 'SF', 'SW', 'SW', '11.79', '1.0596', '1.02968', '1.09107', '187663.84375', '180026.359375', '0', '9819.619140625', '0', '0', '0', '0', '0', '7637.48193359375', '5', '1985 NBCC ', '', '');
INSERT INTO buildings VALUES ('617', '9', '23', 'RICHARDIREDALE', TO_DATE('07/07/93','MM/DD/YY'), 'WVANCOUVER', 'BC', '5', '', '2', '0', '23600', '1957', 'RM1', 'N', '1991', '202000', 'S', 'MIN', '', 'DC', 'SW', 'EW', 'SD', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '202000', 'G', 'P', 'P', '', '11000', '', '', '', '', '', '', '', 'L', '170', '120', '170', '120', '', '', 'W', 'W', 'W', 'N', 'N', 'G', '', 'RM', 'SF', 'SW', 'SW', '8.56', '1.0596', '1.02968', '1.09107', '220395.90625', '220395.90625', '0', '12001.756835938', '0', '0', '0', '0', '0', '0', '5', '1985 NBCC ', '', '');
INSERT INTO buildings VALUES ('618', '9', '23', 'RICHARDIREDALE', TO_DATE('07/07/93','MM/DD/YY'), 'WVANCOUVER', 'BC', '5', '', '1', '0', '3750', '1959', 'W2', 'N', '1991', '48200', 'S', 'MIN', '', 'DC', 'SW', 'EW', 'SD', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '48200', 'G', 'P', 'P', '', '2600', '', '', '', '', '', '', '', 'R', '70', '65', '70', '65', '', '', 'W', '', 'W', 'N', 'N', 'G', '', 'W', 'SF', 'SW', 'SW', '12.85', '1.0596', '1.02968', '1.09107', '52589.51953125', '52589.51953125', '0', '2836.7790527344', '0', '0', '0', '0', '0', '0', '5', '1985 NBCC ', '', '');
INSERT INTO buildings VALUES ('620', '9', '28', 'RICHARDIREDALE', TO_DATE('07/07/93','MM/DD/YY'), 'WVANCOUVER', 'BC', '5', '', '2', '0', '4250', '1965', 'URM', 'N', '1991', '13500', 'S', 'MIN', '', 'DC', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '13500', 'G', 'P', 'P', '', '700', '', '', '', '', '', '', '', 'R', '50', '45', '50', '45', '', '', 'W', 'W', 'W', 'N', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '3.18', '1.0596', '1.02968', '1.09107', '14729.4296875', '14729.4296875', '0', '763.74816894531', '0', '0', '0', '0', '0', '0', '5', '1989 NBCC ', '', '');
INSERT INTO buildings VALUES ('621', '9', '22', 'RICHARDIREDALE', TO_DATE('07/07/93','MM/DD/YY'), 'WVANCOUVER', 'BC', '5', '', '2', '0', '11050', '1967', 'W2', 'N', '1991', '30000', 'S', 'MIN', '', 'DC', 'WT', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'OK', 'NE', '30000', 'G', 'P', 'P', '', '1600', '', '', '', '', '', '', '', 'OT', '120', '90', '120', '90', '', '', 'W', 'W', 'W', 'N', 'N', 'G', '', 'W', 'SF', 'SW', 'SW', '2.71', '1.0596', '1.02968', '1.09107', '32732.064453125', '32732.064453125', '0', '1745.7100830078', '0', '0', '0', '0', '0', '0', '5', '1985 NBCC ', '', '');
INSERT INTO buildings VALUES ('622', '9', '23', 'RICHARDIREDALE', TO_DATE('07/07/93','MM/DD/YY'), 'WVANCOUVER', 'BC', '5', '', '2', '0', '12400', '1955', 'W2', 'N', '1991', '50000', 'S', 'MIN', '', 'DC', 'SW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'I', 'NE', '49000', 'G', 'P', 'P', '', '2600', '', '', '', '', '', '', '1000', '', '73', '50', '73', '50', '', '', 'W', 'W', 'W', 'N', 'N', 'G', '', 'W', 'SF', 'SW', 'SW', '3.95', '1.0596', '1.02968', '1.09107', '54553.44140625', '53462.37109375', '0', '2836.7790527344', '0', '0', '0', '0', '0', '1091.06884765625', '5', '1985 NBCC ', '', '');
INSERT INTO buildings VALUES ('623', '9', '23', 'RICHARDIREDALE', TO_DATE('07/07/93','MM/DD/YY'), 'WVANCOUVER', 'BC', '5', '', '2', '0', '7650', '1950', 'W2', 'N', '1991', '112000', 'S', 'MIN', '', 'DC', 'SW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'I', 'NE', '111000', 'G', 'P', 'P', '', '5800', '', '', '', '', '', '', '1000', 'R', '145', '50', '145', '50', '', '', 'TT', 'TT', 'W', 'N', 'N', 'G', '', 'W', 'SF', 'SW', 'SW', '14.51', '1.0596', '1.02968', '1.09107', '122199.7109375', '121108.640625', '0', '6328.19921875', '0', '0', '0', '0', '0', '1091.06884765625', '5', '1985 NBCC ', '', '');
INSERT INTO buildings VALUES ('624', '9', '23', 'RICHARDIREDALE', TO_DATE('07/07/93','MM/DD/YY'), 'WVANCOUVER', 'BC', '5', '', '2', '0', '32200', '1948', 'W2', 'N', '1991', '253900', 'S', 'MIN', '', 'DC', 'BF', 'EW', 'SD', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '253900', 'G', 'P', 'P', '', '13500', '', '', '', '', '', '', '', 'L', '280', '48', '280', '48', '', '', 'W', 'W', 'W', 'N', 'N', 'G', 'W', 'W', 'SF', 'SW', 'SW', '7.89', '1.0596', '1.02968', '1.09107', '277022.375', '277022.375', '0', '14729.4296875', '0', '0', '0', '0', '0', '0', '5', '1985 NBCC ', '', '');
INSERT INTO buildings VALUES ('625', '9', '23', 'RICHARDIREDALE', TO_DATE('07/07/93','MM/DD/YY'), 'WVANCOUVER', 'BC', '5', '', '2', '0', '5000', '1954', 'W2', 'N', '1991', '75100', 'S', 'MIN', '', 'DC', 'EW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '75100', 'G', 'P', 'P', '', '4000', '', '', '', '', '', '', '', 'R', '72', '48', '72', '48', '', '', 'W', 'W', 'W', 'N', 'N', 'G', 'C', 'W', 'SF', 'SW', 'SW', '15.02', '1.0596', '1.02968', '1.09107', '81939.2734375', '81939.2734375', '0', '4364.275390625', '0', '0', '0', '0', '0', '0', '5', '1985 NBCC ', '', '');
INSERT INTO buildings VALUES ('626', '9', '23', 'RICHARDIREDALE', TO_DATE('07/07/93','MM/DD/YY'), 'WVANCOUVER', 'BC', '5', '', '2', '0', '5200', '1960', 'W2', 'N', '1991', '60600', 'S', 'MIN', '', 'DC', 'SW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '60600', 'G', 'P', 'P', '', '3200', '', '', '', '', '', '', '', 'OT', '50', '30', '50', '30', '', '', 'W', 'W', 'W', 'N', 'N', 'G', '', 'W', 'SF', 'SW', 'SW', '11.65', '1.0596', '1.02968', '1.09107', '66118.7734375', '66118.7734375', '0', '3491.4201660156', '0', '0', '0', '0', '0', '0', '5', '1985 NBCC ', '', '');
INSERT INTO buildings VALUES ('627', '9', '23', 'RICHARDIREDALE', TO_DATE('07/07/93','MM/DD/YY'), 'WVANCOUVER', 'BC', '5', '', '2', '0', '26000', '1964', 'W2', 'N', '1991', '151000', 'S', 'MIN', '', 'DC', 'SW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '151000', 'G', 'P', 'P', '', '8000', '', '', '', '', '', '', '', 'OT', '180', '82', '180', '82', '', '', 'W', 'W', 'W', 'N', 'N', 'G', 'W', 'W', 'SF', 'SW', 'SW', '5.81', '1.0596', '1.02968', '1.09107', '164751.390625', '164751.390625', '0', '8728.55078125', '0', '0', '0', '0', '0', '0', '5', '1985 NBCC ', '', '');
INSERT INTO buildings VALUES ('628', '9', '23', 'RICHARDIREDALE', TO_DATE('07/07/93','MM/DD/YY'), 'WVANCOUVER', 'BC', '5', '', '2', '0', '7250', '1958', 'W2', 'N', '1991', '32100', 'S', 'MIN', '', 'DC', 'SW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '32100', 'G', 'P', 'P', '', '1700', '', '', '', '', '', '', '', 'OT', '72', '60', '72', '60', '', '', 'W', 'S', 'W', 'N', 'N', 'G', 'C', 'W', 'SF', 'SW', 'SW', '4.43', '1.0596', '1.02968', '1.09107', '35023.30859375', '35023.30859375', '0', '1854.8170166016', '0', '0', '0', '0', '0', '0', '5', '1985 NBCC ', '', '');
INSERT INTO buildings VALUES ('629', '9', '23', 'RICHARDIREDALE', TO_DATE('07/07/93','MM/DD/YY'), 'WVANCOUVER', 'BC', '5', '', '2', '0', '25200', '1952', 'W2', 'N', '1991', '70050', 'S', 'MIN', '', 'DC', 'SW', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '70050', 'G', 'P', 'P', '', '3700', '', '', '', '', '', '', '', '', '210', '60', '210', '60', '', '', 'W', 'C', 'W', 'N', 'N', 'G', '', 'W', 'SF', 'SW', 'SW', '2.78', '1.0596', '1.02968', '1.09107', '76429.375', '76429.375', '0', '4036.9545898438', '0', '0', '0', '0', '0', '0', '5', '1985 NBCC ', '', '');
INSERT INTO buildings VALUES ('630', '9', '23', 'RICHARDIREDALE', TO_DATE('07/07/93','MM/DD/YY'), 'WVANCOUVER', 'BC', '5', '', '1', '0', '5250', '1955', 'W2', 'N', '1991', '26850', 'S', 'MIN', '', 'DC', 'SW', 'SF', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '26850', 'G', 'P', 'P', '', '1400', '', '', '', '', '', '', '', 'R', '82', '64', '82', '64', '24', '24', 'W', '', 'W', 'N', 'N', 'G', '', 'W', 'SF', 'SW', 'SW', '5.11', '1.0596', '1.02968', '1.09107', '29295.19921875', '29295.19921875', '0', '1527.4963378906', '0', '0', '0', '0', '0', '0', '5', '1985 NBCC ', '', '');
INSERT INTO buildings VALUES ('631', '9', '23', 'RICHARDIREDALE', TO_DATE('07/07/93','MM/DD/YY'), 'WVANCOUVER', 'BC', '5', '', '2', '0', '5400', '1965', 'W2', 'N', '1991', '41850', 'S', 'MIN', '', 'DC', 'SW', 'SF', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '41850', 'G', 'P', 'P', '', '2200', '', '', '', '', '', '', '', 'R', '56', '48', '56', '48', '', '', 'W', 'S', 'W', 'N', 'N', 'G', 'S', 'W', 'SF', 'SW', 'SW', '7.75', '1.0596', '1.02968', '1.09107', '45661.23046875', '45661.23046875', '0', '2400.3513183594', '0', '0', '0', '0', '0', '0', '5', '1985 NBCC ', '', '');
INSERT INTO buildings VALUES ('633', '9', '23', 'RICHARDIREDALE', TO_DATE('07/08/93','MM/DD/YY'), 'WVANCOUVER', 'BC', '5', '', '2', '0', '4200', '1965', 'W2', 'N', '1991', '10900', 'S', 'MIN', '', 'DC', 'SW', 'EW', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '10900', 'G', 'P', 'P', '', '600', '', '', '', '', '', '', '', 'R', '58', '36', '58', '36', '', '', 'S', 'S', 'W', 'N', 'N', 'G', '', 'W', 'SF', 'SW', 'SW', '2.6', '1.0596', '1.02968', '1.09107', '11892.650390625', '11892.650390625', '0', '654.64129638672', '0', '0', '0', '0', '0', '0', '5', '1985 NBCC ', '', '');
INSERT INTO buildings VALUES ('634', '9', '23', 'RICHARDIREDALE', TO_DATE('07/08/93','MM/DD/YY'), 'WVANCOUVER', 'BC', '5', '', '2', '0', '14700', '1957', 'W2', 'N', '1991', '93500', 'S', 'MIN', '', 'DC', 'SW', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '93500', 'G', 'P', 'P', '', '5000', '', '', '', '', '', '', '', 'R', '129', '57', '129', '57', '', '', 'W', 'W', 'W', 'N', 'N', 'G', '', 'W', 'SF', 'SW', 'SW', '6.36', '1.0596', '1.02968', '1.09107', '102014.9375', '102014.9375', '0', '5455.3442382813', '0', '0', '0', '0', '0', '0', '5', '1985 NBCC ', '', '');
INSERT INTO buildings VALUES ('635', '9', '23', 'RICHARDIREDALE', TO_DATE('07/08/93','MM/DD/YY'), 'WVANCOUVER', 'BC', '5', '', '2', '0', '4560', '1962', 'W2', 'N', '1991', '31700', 'S', 'MIN', '', 'DC', 'SW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '31700', 'G', 'P', 'P', '', '1700', '', '', '', '', '', '', '', 'R', '57', '40', '57', '40', '', '', 'W', 'S', 'N', 'N', 'N', 'G', 'S', 'W', 'SF', 'SW', 'SW', '6.95', '1.0596', '1.02968', '1.09107', '34586.8828125', '34586.8828125', '0', '1854.8170166016', '0', '0', '0', '0', '0', '0', '5', '1985 NBCC ', '', '');
INSERT INTO buildings VALUES ('636', '9', '23', 'RICHARDIREDALE', TO_DATE('07/08/93','MM/DD/YY'), 'WVANCOUVER', 'BC', '5', '', '2', '0', '4100', '1964', 'W2', 'N', '1991', '31700', 'S', 'MIN', '', 'DC', 'SW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '31700', 'G', 'P', 'P', '', '1700', '', '', '', '', '', '', '', 'R', '57', '36', '57', '36', '', '', 'W', 'W', 'W', 'N', 'N', 'G', '', 'W', 'SF', 'SW', 'SW', '7.73', '1.0596', '1.02968', '1.09107', '34586.8828125', '34586.8828125', '0', '1854.8170166016', '0', '0', '0', '0', '0', '0', '5', '1985 NBCC ', '', '');
INSERT INTO buildings VALUES ('637', '9', '23', 'RICHARDIREDALE', TO_DATE('07/08/93','MM/DD/YY'), 'WVANCOUVER', 'BC', '5', '', '1', '0', '4300', '1957', 'W2', 'N', '1991', '81800', 'S', 'MIN', '', 'DC', 'SW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '81800', 'G', 'P', 'P', '', '4300', '', '', '', '', '', '', '', 'R', '86', '50', '86', '50', '44', '44', 'W', '', 'W', 'N', 'N', 'G', '', 'W', 'SF', 'SW', 'SW', '19.02', '1.0596', '1.02968', '1.09107', '89249.4296875', '89249.4296875', '0', '4691.5961914063', '0', '0', '0', '0', '0', '0', '5', '1985 NBCC ', '', '');
INSERT INTO buildings VALUES ('638', '11', '26', 'RICHARDIREDALE', TO_DATE('07/07/93','MM/DD/YY'), 'BUR BY', 'BC', '5', '', '2', '0', '79000', '1960', 'S5', 'N', '1991', '815375', 'S', 'ADD', '', 'DC', 'EW', 'SD', 'SF', '', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'I', 'I', 'NE', '664200', 'G', 'P', 'P', '', '', '', '', '', '', '', '151200', '', 'R', '', '', '', '', '', '', 'W', '', 'W', 'N', 'N', 'G', 'S', '', 'SF', 'SW', 'SW', '8.41', '1.0596', '1.02968', '1.09107', '889630.25', '724687.9375', '0', '0', '0', '0', '0', '0', '164969.609375', '0', '5', '1985 NBCC ', '', '');
INSERT INTO buildings VALUES ('639', '11', '26', 'RICHARDIREDALE', TO_DATE('07/08/93','MM/DD/YY'), 'BUR BY', 'BC', '5', '', '2', '0', '22000', '1971', 'S5', 'N', '1991', '458100', 'S', 'ADD', '', 'DC', 'EW', 'SD', '', '', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'I', 'I', 'NE', '373153', 'G', 'P', 'P', '', '', '', '', '', '', '', '85000', '', 'R', '130', '86', '130', '86', '14', '14', 'S', '', 'W', 'N', 'N', 'G', 'S', '', 'SF', 'SW', 'SW', '16.96', '1.0596', '1.02968', '1.09107', '499818.625', '407135.59375', '0', '0', '0', '0', '0', '0', '92740.8515625', '0', '5', '1985 NBCC ', '', '');
INSERT INTO buildings VALUES ('640', '11', '26', 'RICHARDIREDALE', TO_DATE('07/08/93','MM/DD/YY'), 'BUR BY', 'BC', '5', '', '1', '0', '10000', '1960', 'S5', 'N', '1991', '248100', 'S', 'ADD', '', 'DC', 'EW', 'SD', '', '', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'I', 'I', 'NE', '202100', 'G', 'P', 'P', '', '', '', '', '', '', '', '46000', '', 'R', '120', '80', '120', '80', '25', '25', 'S', '', 'W', 'N', 'N', 'G', 'S', '', 'SF', 'SW', 'SW', '20.21', '1.0596', '1.02968', '1.09107', '270694.1875', '220505.015625', '0', '0', '0', '0', '0', '0', '50189.16796875', '0', '5', '1985 NBCC ', '', '');
INSERT INTO buildings VALUES ('641', '11', '26', 'RICHARDIREDALE', TO_DATE('07/08/93','MM/DD/YY'), 'BUR BY', 'BC', '5', '', '1', '0', '14000', '1974', 'S5', 'N', '1991', '210020', 'S', 'ADD', '', 'DC', 'EW', '', '', '', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'I', 'I', 'NE', '171100', 'G', 'P', 'P', '', '', '', '', '', '', '', '38920', '', 'R', '140', '100', '140', '100', '25', '25', 'S', '', 'MD', 'N', 'N', 'G', 'S', '', 'SF', 'SW', 'SW', '12.22', '1.0596', '1.02968', '1.09107', '229146.28125', '186681.875', '0', '0', '0', '0', '0', '0', '42464.3984375', '0', '5', '1985 NBCC ', '', '');
INSERT INTO buildings VALUES ('642', '9', '23', 'RICHARDIREDALE', TO_DATE('07/08/93','MM/DD/YY'), 'BUR BY', 'BC', '5', '', '3', '0', '89600', '1955', 'C2', 'N', '1991', '637360', 'S', 'MIN', '', 'DC', 'BF', 'EW', 'SF', 'WT', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'I', 'I', 'NE', '486600', 'G', 'P', 'P', '', '', '', '', '', '', '', '150760', '', 'OT', '280', '50', '280', '50', '42', '14', 'C', 'C', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '5.43', '1.0596', '1.02968', '1.09107', '695403.625', '530914.125', '0', '0', '0', '0', '0', '0', '164489.53125', '0', '5', '1985 NBCC ', '', '');
INSERT INTO buildings VALUES ('643', '11', '18', 'RICHARDIREDALE', TO_DATE('07/08/93','MM/DD/YY'), 'BUR BY', 'BC', '5', '', '1', '0', '7800', '1955', 'S5', 'N', '1991', '205640', 'S', 'MIN', '', 'DC', 'SW', 'EW', 'SD', '', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'I', 'I', 'NE', '157000', 'G', 'P', 'P', '', '', '', '', '', '', '', '48640', '', 'R', '85', '85', '85', '85', '35', '35', 'S', '', 'W', 'N', 'N', 'G', 'S', '', 'SF', 'SW', 'SW', '20.13', '1.0596', '1.02968', '1.09107', '224367.390625', '171297.8125', '0', '0', '0', '0', '0', '0', '53069.58984375', '0', '5', '1985 NBCC ', '', '');
INSERT INTO buildings VALUES ('644', '11', '18', 'RICHARDIREDALE', TO_DATE('07/08/93','MM/DD/YY'), 'BUR BY', 'BC', '5', '', '1', '0', '4280', '1973', 'S5', 'N', '1991', '112700', 'S', 'MIN', '', 'DC', 'SW', 'EW', 'SD', '', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'I', 'I', 'NE', '83500', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '81.5', '53', '81.5', '53', '27', '27', 'S', '', 'MD', 'N', 'N', 'G', 'S', '', 'SF', 'SW', 'SW', '19.51', '1.0596', '1.02968', '1.09107', '122963.4609375', '91104.25', '0', '0', '0', '0', '0', '0', '0', '0', '5', '1985 NBCC ', '', '');
INSERT INTO buildings VALUES ('645', '11', '26', 'RICHARDIREDALE', TO_DATE('07/08/93','MM/DD/YY'), 'BUR BY', 'BC', '5', '', '1', '0', '26500', '1960', 'S5', 'N', '1991', '557700', 'S', 'MIN', '', 'DC', 'EW', 'SD', '', '', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'I', 'I', 'NE', '411400', 'G', 'P', 'P', '', '', '', '', '', '', '', '146300', '', 'OT', '360', '109', '360', '109', '16', '16', 'W', '', 'W', 'N', 'N', 'G', 'S', '', 'SF', 'SW', 'SW', '15.52', '1.0596', '1.02968', '1.09107', '608489.0625', '448865.71875', '0', '0', '0', '0', '0', '0', '159623.375', '0', '5', '1985 NBCC ', '', '');
INSERT INTO buildings VALUES ('646', '11', '18', 'RICHARDIREDALE', TO_DATE('07/07/93','MM/DD/YY'), 'BUR BY', 'BC', '5', '', '1', '0', '13700', '1960', 'S5', 'N', '1991', '360800', 'S', 'MIN', '', 'DC', 'SW', 'EW', 'SD', '', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'I', 'I', 'NE', '266200', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '142', '96.5', '142', '96.5', '35', '35', 'S', '', 'OT', 'N', 'N', 'G', 'S', '', 'SF', 'SW', 'SW', '19.43', '1.0596', '1.02968', '1.09107', '393657.625', '290442.53125', '0', '0', '0', '0', '0', '0', '0', '0', '5', '1985 NBCC ', '', '');
INSERT INTO buildings VALUES ('647', '12', '33', 'RICHARDIREDALE', TO_DATE('07/07/93','MM/DD/YY'), 'BUR BY', 'BC', '5', '', '3', '0', '75600', '1960', 'C3', 'N', '1991', '528100', 'S', 'MIN', '', 'DC', 'BF', 'EW', 'SF', '', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'I', 'I', 'NE', '389600', 'G', 'P', 'P', '', '', '', '', '', '', '', '138500', '', 'R', '350', '72', '350', '72', '14', '14', 'C', 'C', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '5.15', '1.0596', '1.02968', '1.09107', '576193.4375', '425080.40625', '0', '0', '0', '0', '0', '0', '151113.03125', '0', '5', '1985 NBCC ', '', '');
INSERT INTO buildings VALUES ('648', '11', '18', 'RICHARDIREDALE', TO_DATE('07/07/93','MM/DD/YY'), 'BUR BY', 'BC', '5', '', '1', '0', '19000', '1957', 'S5', 'N', '1991', '321300', 'S', 'ADD', '', 'DC', 'EW', 'SD', '', '', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'I', 'I', 'NE', '243100', 'G', 'P', 'P', '', '', '', '', '', '', '', '78200', '', 'R', '169', '112', '169', '112', '42', '42', 'S', '', 'W', 'N', 'N', 'G', 'S', '', 'SF', 'SW', 'SW', '12.79', '1.0596', '1.02968', '1.09107', '350560.40625', '265238.84375', '0', '0', '0', '0', '0', '0', '85321.5859375', '0', '5', '1985 NBCC ', '', '');
INSERT INTO buildings VALUES ('649', '9', '28', 'RICHARDIREDALE', TO_DATE('07/07/93','MM/DD/YY'), 'BUR BY', 'BC', '5', '', '1', '0', '9500', '1957', 'URM', 'N', '1991', '248900', 'S', 'ADD', '', 'DC', 'BF', 'EW', 'SD', '', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'I', 'I', 'NE', '188300', 'G', 'P', 'P', '', '', '', '', '', '', '', '68300', '', 'R', '98', '96', '98', '96', '14', '14', '', '', 'W', 'N', 'N', 'G', 'S', 'URM', 'SF', 'SW', 'SW', '19.82', '1.0596', '1.02968', '1.09107', '271567.03125', '205448.265625', '0', '0', '0', '0', '0', '0', '74520', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('650', '12', '33', 'RICHARDIREDALE', TO_DATE('07/07/93','MM/DD/YY'), 'BUR BY', 'BC', '5', '', '3', '0', '84000', '1957', 'C3', 'N', '1991', '853100', 'S', 'MIN', '', 'DC', 'BF', 'SF', '', '', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'I', 'I', 'NE', '645500', 'G', 'P', 'P', '', '', '', '', '', '', '', '207600', '', 'R', '400', '70', '400', '70', '13', '40', 'C', '', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '7.68', '1.0596', '1.02968', '1.09107', '930790.8125', '704284.9375', '0', '0', '0', '0', '0', '0', '226505.890625', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('651', '9', '18', 'RICHARDIREDALE', TO_DATE('07/07/93','MM/DD/YY'), 'BUR BY', 'BC', '5', '', '1', '0', '4500', '1959', 'W2', 'N', '1991', '76100', 'S', 'MIN', '', 'DC', 'EW', 'SD', '', '', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'I', 'I', 'NE', '57600', 'G', 'P', 'P', '', '', '', '', '', '', '', '18500', '', 'R', '100', '45', '100', '45', '42', '42', 'W', '', 'W', 'N', 'N', 'G', 'W', 'W', 'SF', 'SW', 'SW', '12.8', '1.0596', '1.02968', '1.09107', '83030.3359375', '62845.56640625', '0', '0', '0', '0', '0', '0', '20184.7734375', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('652', '1', '10', 'RICHARDIREDALE', TO_DATE('07/08/93','MM/DD/YY'), 'VANCOUVER', 'BC', '5', '', '4', '1', '10500', '1912', 'URM', 'Y', '1992', '890000', 'AC', 'ADD', '', 'DC', 'EW', 'SD', 'SF', 'WT', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'I', 'I', 'NE', '350000', 'G', 'G', 'G', '', '', '', '', '', '', '', '', '', 'R', '82', '25', '82', '25', '12', '42', 'W', 'W', 'W', 'N', 'N', 'G', '', 'URM', 'P', 'SW', 'SW', '33.33', '1.0286', '1.02968', '1.05911', '942611.875', '370690.0625', '0', '0', '0', '0', '0', '0', '0', '0', '8', '', '', '');
INSERT INTO buildings VALUES ('653', '9', '23', 'RICHARDIREDALE', TO_DATE('07/08/93','MM/DD/YY'), 'VANCOUVER', 'BC', '5', '', '2', '0', '12800', '1955', 'W2', 'N', '1991', '170000', 'S', 'ADD', '', 'DC', 'BF', 'EF', 'SD', 'SF', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '125000', 'G', 'P', 'P', '', '10600', '', '', '', '', '', '45000', '', 'R', '160', '40', '160', '40', '', '', 'W', 'W', 'W', 'N', 'N', 'G', '', 'W', 'SF', 'SW', 'SW', '9.77', '1.0596', '1.02968', '1.09107', '185481.703125', '136383.609375', '0', '11565.330078125', '0', '0', '0', '0', '49098.09765625', '0', '5', '1985 NBCC ', '', '');
INSERT INTO buildings VALUES ('654', '9', '23', 'RICHARDIREDALE', TO_DATE('07/08/93','MM/DD/YY'), 'VANCOUVER', 'BC', '5', '', '2', '0', '19911', '1926', 'W1', 'N', '1991', '267000', 'S', 'ADD', '', 'DC', 'BF', 'EF', 'SD', 'SF', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '196000', 'G', 'P', 'P', '', '16700', '', '', '', '', '', '71000', '', 'R', '102', '60', '102', '60', '', '', 'W', 'W', 'W', 'N', 'N', 'G', '', 'W', 'SF', 'SW', 'SW', '9.84', '1.0596', '1.02968', '1.09107', '291315.375', '213849.484375', '0', '18220.849609375', '0', '0', '0', '0', '77465.890625', '0', '5', '1985 NBCC ', '', '');
INSERT INTO buildings VALUES ('655', '9', '23', 'RICHARDIREDALE', TO_DATE('07/08/93','MM/DD/YY'), 'VANCOUVER', 'BC', '5', '', '1', '0', '7000', '1949', 'W2', 'N', '1991', '120000', 'S', 'MIN', '', 'DC', 'SW', 'BF', 'EW', 'SD', 'SF', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '120000', 'G', 'P', 'P', '', '13700', '', '', '', '', '', '', '', 'R', '115', '61', '115', '61', '30', '30', 'TT', '', 'W', 'N', 'N', 'G', '', 'W', 'SF', 'SW', 'SW', '17.14', '1.0596', '1.02968', '1.09107', '130928.2578125', '130928.2578125', '0', '14947.642578125', '0', '0', '0', '0', '0', '0', '5', '1985 NBCC ', '', '');
INSERT INTO buildings VALUES ('656', '9', '23', 'RICHARDIREDALE', TO_DATE('07/08/93','MM/DD/YY'), 'VANCOUVER', 'BC', '5', '', '2', '0', '31000', '1926', 'W1', 'N', '1991', '543000', 'S', 'ADD', '', 'DC', 'BF', 'EW', 'SF', 'PB', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'I', 'NE', 'NE', '418000', 'G', 'P', 'P', '', '41100', '', '', '', '', '', '125000', '', 'R', '272', '56', '272', '56', '', '', 'W', 'W', 'W', 'M', 'N', 'G', 'W', 'W', 'SF', 'SW', 'SW', '13.48', '1.0596', '1.02968', '1.09107', '592450.375', '456066.78125', '0', '44842.9296875', '0', '0', '0', '0', '136383.609375', '0', '5', '1985 NBCC ', '', '');
INSERT INTO buildings VALUES ('657', '9', '22', 'RICHARDIREDALE', TO_DATE('07/08/93','MM/DD/YY'), 'VANCOUVER', 'BC', '5', '', '1', '0', '4160', '1956', 'W2', 'N', '1991', '99400', 'S', 'MIN', '', 'DC', '', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '99400', 'G', 'P', 'P', '', '9900', '', '', '', '', '', '', '', 'R', '80', '52', '80', '52', '30', '30', 'W', '', 'W', 'N', 'N', 'G', 'W', 'W', 'SF', 'SW', 'SW', '23.89', '1.0596', '1.02968', '1.09107', '108452.2421875', '108452.2421875', '0', '10801.581054688', '0', '0', '0', '0', '0', '0', '5', '1985 NBCC ', '', '');
INSERT INTO buildings VALUES ('658', '9', '23', 'RICHARDIREDALE', TO_DATE('07/08/93','MM/DD/YY'), 'VANCOUVER', 'BC', '5', '', '1', '0', '7700', '1955', 'W2', 'N', '1991', '94000', 'S', 'MIN', '', 'DC', 'SW', 'EW', 'SD', 'SF', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '94000', 'G', 'P', 'P', '', '8500', '', '', '', '', '', '', '', '', '74', '52', '74', '52', '30', '30', 'W', '', 'W', 'N', 'N', 'G', 'W', 'W', 'SF', 'SW', 'SW', '12.21', '1.0596', '1.02968', '1.09107', '102560.46875', '102560.46875', '0', '9274.0849609375', '0', '0', '0', '0', '0', '0', '5', '1985 NBCC ', '', '');
INSERT INTO buildings VALUES ('659', '12', '33', 'RICHARDIREDALE', TO_DATE('07/08/93','MM/DD/YY'), 'VANCOUVER', 'BC', '5', '', '3', '0', '42000', '1920', 'C3', 'N', '1991', '1060000', 'S', 'ADD', '', 'DC', 'BF', 'EW', 'SD', 'SF', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '853000', 'G', 'P', 'P', '', '77200', '', '', '', '', '', '207000', '', '', '192', '96', '192', '96', '', '', 'TT', 'C', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '20.31', '1.0596', '1.02968', '1.09107', '1156533', '930681.6875', '0', '84230.515625', '0', '0', '0', '0', '225851.25', '0', '5', '1985 NBCC ', '', '');
INSERT INTO buildings VALUES ('660', '9', '23', 'RICHARDIREDALE', TO_DATE('07/08/93','MM/DD/YY'), 'VANCOUVER', 'BC', '5', '', '2', '0', '3608', '1964', 'C2', 'N', '1991', '196000', 'S', 'ADD', '', 'DC', 'BF', 'EW', 'SD', 'SF', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '158000', 'G', 'P', 'P', '', '14300', '', '', '', '', '', '38000', '', 'R', '82', '44', '82', '44', '', '', 'C', 'C', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '43.79', '1.0596', '1.02968', '1.09107', '213849.484375', '172388.875', '0', '15602.284179688', '0', '0', '0', '0', '41460.6171875', '0', '5', '1985 NBCC ', '', '');
INSERT INTO buildings VALUES ('661', '9', '23', 'RICHARDIREDALE', TO_DATE('07/16/93','MM/DD/YY'), 'VANCOUVER', 'BC', '5', '', '2', '0', '27600', '1926', 'W1', 'N', '1991', '485000', 'S', 'ADD', '', 'DC', 'SW', 'EW', 'SD', 'SF', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '343000', 'G', 'P', 'P', '', '36000', '', '', '', '', '', '142000', '', 'R', '192', '62', '192', '62', '', '', 'W', '', 'W', 'M', 'N', 'G', 'W', 'W', 'SF', 'SW', 'SW', '12.43', '1.0596', '1.02968', '1.09107', '529168.375', '374236.625', '0', '39278.4765625', '0', '0', '0', '0', '154931.78125', '0', '5', '1985 NBCC ', '', '');
INSERT INTO buildings VALUES ('662', '9', '23', 'RICHARDIREDALE', TO_DATE('07/16/93','MM/DD/YY'), 'VANCOUVER', 'BC', '5', '', '1', '0', '4900', '1950', 'W2', 'N', '1991', '109000', 'S', 'ADD', '', 'DC', 'EW', 'SD', 'SF', '', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '109000', 'G', 'P', 'P', '', '11500', '', '', '', '', '', '', '', 'R', '80', '61', '80', '61', '30', '30', 'W', '', 'W', 'N', 'N', 'G', 'W', 'W', 'SF', 'SW', 'SW', '22.24', '1.0596', '1.02968', '1.09107', '118926.5', '118926.5', '0', '12547.291992188', '0', '0', '0', '0', '0', '0', '5', '1985 NBCC ', '', '');
INSERT INTO buildings VALUES ('663', '20', '56', 'RICHARDIREDALE', TO_DATE('07/08/93','MM/DD/YY'), 'GULFISLANDS', 'BC', '6', 'S1', '1', '0', '13670', '1965', 'W1', 'N', '1990', '95000', 'S', 'MIN', '', 'IO', 'SW', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '95000', 'G', 'P', 'P', '', '7600', '', '', '10000', '', '', '', '', '', '', '', '', '', '', '', 'TT', '', 'W', 'N', 'N', 'G', '', 'W', 'SF', 'SW', 'SW', '6.95', '1.0788', '1.02968', '1.11086', '105531.234375', '105531.234375', '0', '8442.4990234375', '0', '11108.55078125', '0', '0', '0', '0', '5', '1985 NBCC ', '', '');
INSERT INTO buildings VALUES ('664', '20', '56', 'RICHARDIREDALE', TO_DATE('07/08/93','MM/DD/YY'), 'GULFISLANDS', 'BC', '6', 'S1', '1', '0', '5780', '1968', 'W1', 'N', '1990', '43150', 'S', 'MIN', '', 'IO', 'SW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '43150', 'G', 'P', 'P', '', '3450', '', '', '7780', '', '', '', '', '', '', '', '', '', '', '', 'TT', '', 'W', 'N', 'N', 'G', '', 'W', 'SF', 'SW', 'SW', '7.47', '1.0788', '1.02968', '1.11086', '47933.39453125', '47933.39453125', '0', '3832.4499511719', '0', '8642.4521484375', '0', '0', '0', '0', '5', '1985 NBCC ', '', '');
INSERT INTO buildings VALUES ('665', '16', '50', 'RICHARDIREDALE', TO_DATE('07/08/93','MM/DD/YY'), 'GULFISLANDS', 'BC', '6', 'S1', '1', '0', '5576', '1965', 'RM1', 'N', '1990', '100000', 'S', 'MIN', '', 'IO', 'SW', 'EW', 'SD', 'SF', 'WT', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '100000', 'G', 'P', 'P', '', '8000', '', '', '', '', '', '', '', 'R', '82', '68', '82', '68', '32', '32', 'W', '', 'W', 'N', 'N', 'G', '', 'RM', 'SF', 'SW', 'SW', '17.93', '1.0788', '1.02968', '1.11086', '111085.5078125', '111085.5078125', '0', '8886.8408203125', '0', '0', '0', '0', '0', '0', '5', '1985 NBCC ', '', '');
INSERT INTO buildings VALUES ('666', '9', '23', 'RICHARDIREDALE', TO_DATE('07/08/93','MM/DD/YY'), 'GULFISLANDS', 'BC', '6', 'S1', '3', '0', '26500', '1940', 'W1', 'N', '1990', '191000', 'S', 'MIN', '', 'DC', 'SW', 'EW', 'SD', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '185000', 'G', 'P', 'P', '', '15000', '', '', '6000', '', '', '', '', '', '', '', '', '', '', '', 'W', 'W', 'W', 'N', 'N', 'G', 'W', 'W', 'SF', 'SW', 'SW', '6.98', '1.0788', '1.02968', '1.11086', '212173.3125', '205508.1875', '0', '16662.826171875', '0', '6665.13037109375', '0', '0', '0', '0', '5', '1985 NBCC ', '', '');
INSERT INTO buildings VALUES ('667', '10', '23', 'RICHARDIREDALE', TO_DATE('07/08/93','MM/DD/YY'), 'GULFISLANDS', 'BC', '6', 'S1', '2', '0', '11500', '1974', 'W1', 'N', '1990', '41300', 'S', 'MIN', '', 'DC', 'EW', 'SF', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '33500', 'G', 'P', 'P', '', '3300', '', '', '7800', '', '', '', '', '', '', '', '', '', '', '', 'W', 'W', 'W', 'N', 'N', 'G', '', 'W', 'SF', 'SW', 'SW', '2.91', '1.0788', '1.02968', '1.11086', '45878.3125', '37213.64453125', '0', '3665.8217773438', '0', '8664.669921875', '0', '0', '0', '0', '5', '1985 NBCC ', '', '');
INSERT INTO buildings VALUES ('668', '9', '23', 'RICHARDIREDALE', TO_DATE('07/08/93','MM/DD/YY'), 'GULFISLANDS', 'BC', '6', 'S1', '1', '0', '3900', '', 'W1', 'N', '1990', '11000', 'S', 'MIN', '', 'DC', 'EW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '11000', 'G', 'P', 'P', '', '880', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', 'N', 'G', '', 'W', 'SF', 'SW', 'SW', '2.82', '1.0788', '1.02968', '1.11086', '12219.40625', '12219.40625', '0', '977.55249023438', '0', '0', '0', '0', '0', '0', '5', '1985 NBCC ', '', '');
INSERT INTO buildings VALUES ('669', '9', '23', 'RICHARDIREDALE', TO_DATE('07/08/93','MM/DD/YY'), 'GULFISLANDS', 'BC', '6', 'S3', '1', '1', '6000', '', 'W1', 'N', '1990', '18750', 'S', 'MIN', '', 'DC', 'EW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '18750', 'G', 'P', 'P', '', '1500', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', 'N', 'G', '', 'W', 'SF', 'SW', 'SW', '3.13', '1.0788', '1.02968', '1.11086', '20828.533203125', '20828.533203125', '0', '1666.2825927734', '0', '0', '0', '0', '0', '0', '5', '1985 NBCC ', '', '');
INSERT INTO buildings VALUES ('670', '9', '22', 'RICHARDIREDALE', TO_DATE('07/08/93','MM/DD/YY'), 'GULFISLANDS', 'BC', '6', 'S2', '1', '0', '2378', '', 'W1', 'N', '1990', '30000', 'S', 'MIN', '', 'DC', 'SD', 'SF', '', '', '', '', 'N', 'N', 'N', 'Y', 'TR', 'I', 'NE', 'NE', 'NE', '24650', 'G', 'P', 'P', '', '7600', '', '', '5350', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', 'N', 'G', '', 'W', 'SF', 'SW', 'SW', '10.37', '1.0788', '1.02968', '1.11086', '33325.65234375', '27382.578125', '0', '8442.4990234375', '0', '5943.07470703125', '0', '0', '0', '0', '5', '1985 NBCC ', '', '');
INSERT INTO buildings VALUES ('671', '9', '23', 'RICHARDIREDALE', TO_DATE('07/08/93','MM/DD/YY'), 'BUR BY', 'BC', '5', '', '2', '0', '78000', '1956', 'C2', 'N', '1991', '467700', 'S', 'ADD', '', 'DC', 'BF', 'EW', 'SF', 'WT', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'I', 'I', 'NE', '314400', 'G', 'P', 'P', '', '', '', '', '', '', '', '153300', '', 'L', '', '', '', '', '14', '28', 'C', 'C', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '4.03', '1.0596', '1.02968', '1.09107', '510292.90625', '343032.03125', '0', '0', '0', '0', '0', '0', '167260.859375', '0', '5', 'BCBC', '', '');
INSERT INTO buildings VALUES ('672', '9', '18', 'RICHARDIREDALE', TO_DATE('07/08/93','MM/DD/YY'), 'BUR BY', 'BC', '5', '', '1', '0', '14000', '1956', 'C2', 'N', '1991', '260200', 'S', 'ADD', '', 'DC', 'EW', 'SD', '', '', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'I', 'I', 'NE', '174900', 'G', 'P', 'P', '', '', '', '', '', '', '', '85300', '', 'R', '111', '69', '111', '69', '25', '25', 'W', '', 'W', 'N', 'N', 'G', 'S', 'C', 'SF', 'SW', 'SW', '12.49', '1.0596', '1.02968', '1.09107', '283896.125', '190827.9375', '0', '0', '0', '0', '0', '0', '93068.171875', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('673', '10', '18', 'RICHARDIREDALE', TO_DATE('07/08/93','MM/DD/YY'), 'BUR BY', 'BC', '5', '', '1', '0', '18000', '1975', 'C2', 'N', '1991', '334500', 'S', 'MIN', '', 'DC', 'EW', 'SD', '', '', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'I', 'I', 'NE', '224900', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'L', '130', '100', '130', '100', '25', '25', 'S', '', 'W', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '12.49', '1.0596', '1.02968', '1.09107', '364962.53125', '245381.375', '0', '0', '0', '0', '0', '0', '0', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('674', '12', '32', 'RICHARDIREDALE', TO_DATE('07/07/93','MM/DD/YY'), 'BUR BY', 'BC', '5', '', '2', '0', '24250', '1956', 'C3', 'N', '1991', '164200', 'S', 'ADD', '', 'DC', 'BF', 'EW', 'SF', '', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'I', 'I', 'NE', '110400', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '', '', '', '', '14', '28', 'C', 'C', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '4.55', '1.0596', '1.02968', '1.09107', '179153.5', '120454', '0', '0', '0', '0', '0', '0', '0', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('675', '10', '23', 'RICHARDIREDALE', TO_DATE('07/07/93','MM/DD/YY'), 'WVANCOUVER', 'BC', '5', '', '2', '0', '46000', '1978', 'RM1', 'N', '1991', '30000', 'S', 'MIN', '', 'DC', 'BF', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '30000', 'G', 'P', 'P', '', '1600', '', '', '', '', '', '', '', 'R', '288', '140', '288', '140', '', '', 'S', 'S', 'MD', 'N', 'N', 'G', '', 'RM', 'SF', 'SW', 'SW', '0.65', '1.0596', '1.02968', '1.09107', '32732.064453125', '32732.064453125', '0', '1745.7100830078', '0', '0', '0', '0', '0', '0', '5', '1985 NBCC ', '', '');
INSERT INTO buildings VALUES ('676', '1', '4', 'FEMCCLURE', TO_DATE('06/15/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S1', '1', '1', '9318', '1914', 'C2', 'N', '1992', '177166', 'S', 'MIN', '', 'DC', 'SD', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'I', 'NE', '110404', 'G', 'F', 'F', '', '26095', '4702', '2', '', '', '', '', '7141', 'R', '', '', '84', '54', '12', '30', 'S', '', 'W', 'N', 'Y', 'G', '', 'C', 'SF', 'SW', 'SW', '11.85', '1.0286', '1', '1.02858', '182229.671875', '113559.515625', '0', '26840.833984375', '4836.39013671875', '0', '0', '0', '0', '7345.1005859375', '8', '', '', '');
INSERT INTO buildings VALUES ('677', '12', '30', 'DASSEDESIGN', TO_DATE('07/19/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', 'S2', '2', '0', '20100', '1957', 'C3', 'N', '1983', '556000', 'AC', 'COM', '', 'LS', 'SW', 'EW', 'SD', 'SF', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'I', 'NE', 'I', '369656', 'G', 'P', 'G', '0', '112572', '17200', '12', '0', '0', '0', '', '', 'R', '200', '60', '200', '101', '13', '25.5', 'C', 'C', 'MD', 'M', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '18.39', '1.2227', '1', '1.22273', '679840.625', '451991.3125', '0', '137645.71875', '21031.041015625', '0', '0', '0', '0', '0', '8', '1979 UBC', '', '');
INSERT INTO buildings VALUES ('678', '9', '37', 'FEMCCLURE', TO_DATE('06/10/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S3', '1', '1', '17300', '1954', 'C1', 'N', '1992', '345407', 'S', 'MIN', '', 'DC', 'SD', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'NE', 'I', 'NE', '189949', 'G', 'F', 'F', '', '40200', '10048', '6', '', '', '', '', '61256', 'R', '110', '80', '110', '80', '29', '43', 'W', '', 'W', 'N', 'N', 'G', 'C', 'C', 'SF', 'MF', 'SW', '10.98', '1.0286', '1', '1.02858', '355279.25', '195378.03125', '0', '41348.9765625', '10335.1865234375', '0', '0', '0', '0', '63006.7890625', '8', '1991 UBC', '', '');
INSERT INTO buildings VALUES ('679', '9', '37', 'FEMCCLURE', TO_DATE('06/10/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S3', '2', '0', '23300', '1928', 'S1', 'N', '1992', '1145349', 'S', 'MIN', '', 'DC', 'BF', 'EW', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'NE', 'I', 'NE', '688689', 'G', 'F', 'F', '', '133158', '33319', '6', '', '', '', '', '144293', 'OT', '166', '131', '125', '83', '23', '42', 'S', 'W', 'W', 'N', 'N', 'G', 'S', '', 'SF', 'SW', 'MF', '29.56', '1.0286', '1', '1.02858', '1178084.75', '708372.75', '0', '136963.859375', '34271.30859375', '0', '0', '0', '0', '148417.109375', '8', '1991 UBC', '', '');
INSERT INTO buildings VALUES ('680', '10', '37', 'FEMCCLURE', TO_DATE('06/10/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S3', '1', '0', '14500', '1975', 'RM1', 'N', '1992', '79929', 'S', 'MIN', '', 'DC', 'WT', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'NE', 'I', 'NE', '20184', 'G', 'F', 'F', '', '9302', '2325', '12', '', '', '', '', '37946', 'R', '95', '85', '95', '85', '', '17.5', 'W', '', 'W', 'N', 'N', 'G', '', 'RM', 'SF', 'SW', 'SW', '1.39', '1.0286', '1', '1.02858', '82213.4921875', '20760.888671875', '0', '9567.865234375', '2391.45190429688', '0', '0', '0', '0', '39030.5546875', '8', '1991 UBC', '', '');
INSERT INTO buildings VALUES ('683', '9', '37', 'FEMCCLURE', TO_DATE('06/10/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S3', '2', '0', '32752', '1949', 'C2', 'N', '1992', '626350', 'S', 'MIN', '', 'DC', 'SD', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'NE', 'I', 'NE', '326587', 'G', 'F', 'F', '', '72885', '18221', '8', '', '', '', '', '128941', 'C', '', '', '', '', '14', '35', 'W', 'S', 'W', 'N', 'N', 'G', 'S', 'C', 'SF', 'SW', 'SW', '9.97', '1.0286', '1', '1.02858', '644252', '335921.34375', '0', '74968.1640625', '18741.783203125', '0', '0', '0', '0', '132626.328125', '8', '1991 UBC', '', '');
INSERT INTO buildings VALUES ('684', '1', '6', 'FEMCCLURE', TO_DATE('06/10/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S3', '2', '0', '11000', '1895', 'URM', 'Y', '1992', '1473068', 'S', 'COM', '', 'DC', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'I', 'NE', '967035', 'G', 'F', 'F', '', '171411', '42853', '12', '', '', '', '', '104287', 'L', '105', '73', '105', '73', '11.5', '23', 'W', 'W', 'W', 'N', 'N', 'F', '', 'URM', 'SF', 'SW', 'SW', '87.91', '1.0286', '1', '1.02858', '1515170.5', '994674.3125', '0', '176310.1875', '44077.8046875', '0', '0', '0', '0', '107267.6796875', '8', '1991 UBC', '', '');
INSERT INTO buildings VALUES ('685', '9', '37', 'FEMCCLURE', TO_DATE('06/10/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S3', '1', '0', '13355', '1956', 'C2', 'N', '1992', '490860', 'S', 'MIN', '', 'DC', 'SD', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'NE', 'I', 'NE', '242773', 'G', 'F', 'F', '', '57119', '14280', '6', '', '', '', '', '114216', 'R', '64', '', '130', '84', '', '', 'W', '', 'W', 'N', 'N', 'G', '', 'C', 'SF', 'SW', 'SW', '18.18', '1.0286', '1', '1.02858', '504889.5', '249711.8125', '0', '58751.546875', '14688.1435546875', '0', '0', '0', '0', '117480.4609375', '8', '1991 UBC', '', '');
INSERT INTO buildings VALUES ('686', '9', '23', 'FEMCCLURE', TO_DATE('06/15/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S3', '1', '0', '28846', '1954', 'C2', 'N', '1992', '1396261', 'S', 'MIN', '', 'DC', 'BF', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'I', 'NE', '931519', 'G', 'F', 'F', '', '162473', '40618', '12', '', '', '', '', '83944', 'L', '', '', '124', '62', '', '', 'W', '', 'W', 'N', 'N', 'G', 'C', 'C', 'SF', 'SW', 'SW', '32.29', '1.0286', '1', '1.02858', '1436168.25', '958143.1875', '0', '167116.71875', '41778.921875', '0', '0', '0', '0', '86343.2421875', '8', '1991 UBC', '', '');
INSERT INTO buildings VALUES ('690', '9', '22', 'FEMCCLURE', TO_DATE('06/15/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S3', '1', '0', '37500', '1925', 'S1', '', '1992', '1434783', 'S', 'MIN', '', 'DC', 'EF', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'I', 'NE', '892531', 'G', 'F', 'F', '', '166957', '41739', '12', '', '', '', '', '150948', 'R', '276', '142', '228', '73', '22', '56', 'W', '', 'W', 'N', 'N', 'F', 'S', '', 'SF', 'MF', 'MF', '23.8', '1.0286', '1', '1.02858', '1475791.25', '918040.875', '0', '171728.875', '42931.96484375', '0', '0', '0', '0', '155262.3125', '8', '1991 UBC', '', '');
INSERT INTO buildings VALUES ('691', '1', '3', 'FEMCCLURE', TO_DATE('06/15/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S1', '9', '0', '43900', '1912', 'S1', 'N', '1992', '4875546', 'S', 'COM', '', 'DC', 'BF', 'SF', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'I', 'NE', '2976719', 'G', 'F', 'F', '', '543237', '137809', '15', '', '', '', '', '415508', 'R', '', '', '128', '40', '', '', 'S', 'S', 'C', 'N', 'N', 'G', 'S', '', 'SF', 'MF', 'MF', '67.81', '1.0286', '1', '1.02858', '5014896.5', '3061798', '0', '558763.5', '141747.78125', '0', '0', '0', '0', '427383.84375', '8', '1991 UBC', '', '');
INSERT INTO buildings VALUES ('692', '17', '45', 'FEMCCLURE', TO_DATE('06/15/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S2', '7', '1', '609777', '1958', 'C2', 'N', '1992', '50159232', 'S', 'MIN', '', 'IO', 'SW', 'EW', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'NE', 'I', 'NE', '35626376', 'G', 'F', 'F', '', '4652538', '1431550', '30', '', '', '', '', '162382', 'L', '515', '304', '515', '304', '', '', 'FS', 'FS', 'C', 'N', 'N', 'G', '', 'C', 'P', 'SW', 'SW', '58.43', '1.0286', '1', '1.02858', '51592860', '36644632', '0', '4785514.5', '1472465.875', '0', '0', '0', '0', '167023.125', '8', '1991 UBC I=1 25 ', '', '');
INSERT INTO buildings VALUES ('693', '1', '4', 'FEMCCLURE', TO_DATE('06/15/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S2', '2', '1', '14898', '1907', 'URM', 'N', '1992', '550357', 'S', 'MIN', '', 'DC', 'SW', 'BF', 'SD', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'OK', 'NE', '376687', 'G', 'F', 'F', '', '68482', '15067', '4', '', '', '', '', '', 'R', '', '', '106', '50', '', '31', 'W', 'FS', 'W', 'N', 'N', 'G', 'C', 'URM', 'SF', 'SW', 'SW', '25.28', '1.0286', '1', '1.02858', '566087', '387453.28125', '0', '70439.3203125', '15497.6376953125', '0', '0', '0', '0', '0', '8', '1991 UBC (I=1 0)', '', '');
INSERT INTO buildings VALUES ('694', '9', '16', 'FEMCCLURE', TO_DATE('06/15/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S2', '7', '1', '49271', '1932', 'S4', 'N', '1992', '3215847', 'S', 'MIN', '', 'DC', 'SW', 'EF', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'I', 'NE', '1611592', 'G', 'F', 'F', '', '358312', '89578', '9', '', '', '', '', '627855', 'R', '', '', '120', '69', '11.5', '', 'S', 'S', 'C', 'N', 'Y', 'G', 'S', '', 'SF', 'SW', 'SW', '32.71', '1.0286', '1', '1.02858', '3307760.75', '1657653.75', '0', '368553.09375', '92138.2734375', '0', '0', '0', '0', '645800.0625', '8', '1991 UBC (I=1 0)', '', '');
INSERT INTO buildings VALUES ('695', '9', '14', 'FEMCCLURE', TO_DATE('06/17/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S3', '1', '0', '4400', '1932', 'C2', 'N', '1992', '222303', 'S', 'COM', '', 'DC', 'SD', 'PB', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '30922', 'G', 'F', 'F', '', '39620', '13661', '6', '', '', '', '', '105693', 'L', '', '', '76', '50', '', '19', '', '', 'C', 'N', 'N', 'G', 'C', 'C', '', 'SW', 'SW', '7.03', '1.0286', '1', '1.02858', '228656.75', '31805.796875', '0', '40752.3984375', '14051.4521484375', '0', '0', '0', '0', '108713.8671875', '8', '1991 UBC', '', '');
INSERT INTO buildings VALUES ('696', '9', '23', 'FEMCCLURE', TO_DATE('06/17/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S3', '2', '1', '12774', '1930', 'C2', 'N', '1992', '309290', 'S', 'MIN', '', 'DC', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'I', 'NE', '248045', 'G', 'F', 'F', '', '39687', '9922', '3', '', '', '', '', '245', 'R', '', '', '82', '50', '', '30', 'C', '', 'C', 'C', 'N', 'G', 'C', 'C', '', 'SW', 'SW', '19.42', '1.0286', '1', '1.02858', '318129.96875', '255134.5', '0', '40821.3125', '10205.5859375', '0', '0', '0', '0', '252.002471923828', '8', '1991 UBC (I=1 0)', '', '');
INSERT INTO buildings VALUES ('697', '16', '46', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'HAMPSHIRE', 'MA', '3', 'S1', '2', '1', '29400', '1923', 'URM', 'N', '1977', '194000', 'S', 'MIN', '', 'IO', 'SW', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'NE', 'NE', 'NE', '194000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '162', '70', '162', '70', '12', '', 'W', '', 'C', 'N', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '6.6', '1.8867', '1.0137', '1.91258', '371039.9375', '371039.9375', '0', '0', '0', '0', '0', '0', '0', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('700', '7', '39', 'JACKTKASAR', TO_DATE('06/21/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '2', '0', '124000', '1961', 'C2', 'N', '1988', '1200000', 'AC', 'MIN', '', 'LS', 'SW', 'MF', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'NE', 'NE', 'NE', '1200000', 'G', 'G', 'G', '', '', '', '', '', '', '', '', '', 'R', '495', '139', '495', '139', '13.5', '27', 'C', 'C', 'C', 'CW', 'N', 'F', 'C', 'C', 'P', 'SW', 'SW', '9.68', '1.122', '1', '1.12202', '1346420.25', '1346420.25', '0', '0', '0', '0', '0', '0', '0', '0', '10', '1988 UBC', '', '');
INSERT INTO buildings VALUES ('701', '7', '37', 'JACKTKASAR', TO_DATE('06/21/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '2', '0', '520000', '1957', 'PC1', 'N', '1990', '7600000', 'S', 'MIN', '', 'LS', 'SW', 'BF', 'SD', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'NE', 'NE', 'NE', '7600000', 'F', 'F', 'F', '', '', '', '', '', '', '', '', '', 'R', '720', '540', '', '', '49', '49', 'S', 'FS', 'MD', 'PC', 'N', 'F', 'S', 'PC', 'SF', 'SW', 'SW', '14.62', '1.0788', '1', '1.07883', '8199111.5', '8199111.5', '0', '0', '0', '0', '0', '0', '0', '0', '8', '1988 UBC', '', '');
INSERT INTO buildings VALUES ('702', '13', '41', 'DandM/EUGENETRAHERN', TO_DATE('06/11/93','MM/DD/YY'), 'KING', 'WA', '5', 'S3', '3', '0', '150000', '1985', 'W1', 'N', '1992', '125000', 'AC', 'MIN', '', 'RR', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'NE', 'NE', '125000', 'F', 'F', 'F', '', '', '', '4', '', '', '', '', '', 'OT', '80', '43', '80', '43', '9', '27', 'TT', 'W', 'W', '', 'N', 'F', 'W', 'W', 'SF', 'SW', 'SW', '0.83', '1.0286', '1.10228', '1.13379', '141723.609375', '141723.609375', '0', '0', '0', '0', '0', '0', '0', '0', '9', '1988 UBC W/ REDUCED LEVELS', '', '');
INSERT INTO buildings VALUES ('703', '12', '30', 'DandM/EUGENETRAHERN', TO_DATE('06/11/93','MM/DD/YY'), 'KING', 'WA', '5', 'S2', '1', '0', '8200', '1930', 'C3', 'N', '1992', '104400', 'S', 'MIN', '', 'LS', 'SW', 'EW', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '104400', 'G', 'F', 'F', '', '', '', '3', '', '', '', '', '', 'R', '103', '80', '103', '80', '12', '', 'W', '', 'W', 'M', 'N', 'P', 'C', '', 'SF', 'SW', 'SW', '12.73', '1.0286', '1.10228', '1.13379', '118367.5625', '118367.5625', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (1991) ', '', '');
INSERT INTO buildings VALUES ('704', '10', '39', 'JACKKASAR', TO_DATE('06/21/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '1', '0', '22000', '', 'S2', 'N', '1988', '400000', 'S', 'ADD', '', 'LS', 'BF', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'NE', 'NE', 'NE', '300000', 'G', 'G', 'G', '', '', '', '', '', '', '', '', '', 'R', '408', '52', '408', '52', '48', '48', 'S', '', 'MDF', 'CW', 'N', 'F', 'S', '', 'P', 'BF', 'BF', '13.64', '1.122', '1', '1.12202', '448806.75', '336605.0625', '0', '0', '0', '0', '0', '0', '0', '0', '8', '1988 UBC', '', '');
INSERT INTO buildings VALUES ('705', '7', '40', 'JACKKASAR', TO_DATE('06/21/93','MM/DD/YY'), 'ORANGE', 'CA', '7', 'S2', '3', '0', '292000', '1966', 'PC1', 'N', '1990', '6000000', 'AC', 'ADD', '', 'LS', 'SW', '', '', '', '', '', 'Y', 'N', 'Y', 'N', 'IP', 'I', 'NE', 'I', 'NE', '3800000', 'G', 'G', 'G', '', '', '', '', '', '', '', '', '', 'R', '388', '228', '388', '228', '21.5', '58', 'S', 'C', 'PC', 'PC', 'N', 'F', 'C', 'PC', 'SF', 'SW', 'SW', '13.01', '1.0788', '1', '1.07883', '6472983', '4099555.75', '0', '0', '0', '0', '0', '0', '0', '0', '10', '1988 UBC', '', '');
INSERT INTO buildings VALUES ('706', '9', '19', 'JACKKASAR', TO_DATE('06/21/93','MM/DD/YY'), 'ORANGE', 'CA', '7', 'S2', '3', '0', '292000', '1966', 'PC1', 'N', '1990', '8400000', 'S', 'ADD', '', 'DC', 'SW', '', '', '', '', '', 'Y', '', 'Y', '', '', 'I', 'NE', 'I', 'NE', '5400000', 'G', 'F', 'F', '', '', '', '', '', '', '', '', '', 'R', '388', '228', '388', '228', '21.5', '58', 'S', 'C', 'PC', 'PC', 'N', 'F', 'C', 'PC', 'SF', 'SW', 'SW', '18.49', '1.0788', '1', '1.07883', '9062176', '5825684.5', '0', '0', '0', '0', '0', '0', '0', '0', '8', '1988 UBC', '', '');
INSERT INTO buildings VALUES ('707', '5', '37', 'DandM/EUGENETRAHERN', TO_DATE('06/11/93','MM/DD/YY'), 'KING', 'WA', '5', 'S2', '5', '0', '82400', '1968', 'PC2', 'N', '1993', '80000', 'S', 'MIN', '', 'LS', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'I', 'OK', '79000', 'G', 'F', 'F', '', '30000', '5000', '2', '0', '0', '0', '0', '1000', 'R', '160', '103', '160', '52', '9.5', '50', 'C', 'C', 'PC', 'PC', 'N', 'F', 'PC', 'PC', 'MF', 'MF', 'SW', '0.96', '1', '1.10228', '1.10228', '88182.71875', '87080.4296875', '0', '33068.51953125', '5511.419921875', '0', '0', '0', '0', '1102.28393554688', '8', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('708', '5', '37', 'DandM/EUGENETRAHERN', TO_DATE('06/11/93','MM/DD/YY'), 'KING', 'WA', '5', 'S2', '5', '0', '144400', '1968', 'PC2', 'N', '1993', '160000', 'S', 'MIN', '', 'LS', 'SW', 'SF', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'OK', 'OK', '160000', 'G', 'F', 'F', '0', '30000', '5000', '2', '0', '0', '0', '0', '0', 'R', '280', '103', '280', '52', '9.5', '50', 'C', 'C', 'PC', 'PC', 'N', 'F', 'PC', 'PC', 'M', 'MF', 'SW', '1.11', '1', '1.10228', '1.10228', '176365.4375', '176365.4375', '0', '33068.51953125', '5511.419921875', '0', '0', '0', '0', '0', '8', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('709', '13', '41', 'MARKOAKFORD', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '2', '1', '150000', '1961', 'C1', 'N', '1993', '150000', 'AC', 'MIN', '', 'RR', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'NE', 'NE', 'NE', '150000', 'G', 'G', 'G', '0', '', '', '6', '0', '0', '0', '0', '0', 'R', '311', '170', '311', '120', '12.5', '25', 'WS', 'WS', 'C', 'N', 'N', 'G', 'C', '', 'P', 'MF', 'MF', '1', '1', '1', '1', '150000', '150000', '0', '0', '0', '0', '0', '0', '0', '0', '8', '1991 UBC', '', '');
INSERT INTO buildings VALUES ('710', '13', '41', 'MARKOAKFORD', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '3', '1', '218000', '1968', 'C1', 'Y', '1993', '450000', 'AC', 'MIN', '', 'RR', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'NE', 'NE', 'NE', '450000', 'G', 'G', 'G', '0', '45000', '0', '6', '0', '0', '0', '0', '0', 'L', '392', '225', '300', '112', '12.5', '37.5', 'WS', 'WS', 'C', 'PC', 'N', 'G', 'C', '', 'SF', 'MF', 'MF', '2.06', '1', '1', '1', '450000', '450000', '0', '45000', '0', '0', '0', '0', '0', '0', '8', '1991 UBC', '', '');
INSERT INTO buildings VALUES ('711', '13', '33', 'MARKOAKFORD', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '3', '1', '183000', '1961', 'C3', 'N', '1993', '150000', 'AC', 'MIN', '', 'RR', 'SW', 'EW', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'NE', 'NE', 'NE', '150000', 'G', 'G', 'G', '0', '8000', '', '6', '0', '0', '0', '0', '0', 'OT', '', '', '', '', '18.5', '75', 'FS', 'FS', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '0.82', '1', '1', '1', '150000', '150000', '0', '8000', '0', '0', '0', '0', '0', '0', '8', '1991 UBC', '', '');
INSERT INTO buildings VALUES ('712', '9', '18', 'DEGENKOLB', TO_DATE('06/30/93','MM/DD/YY'), 'MARIA IS', 'GU', '6', 'S1', '1', '0', '2400', '1950', 'PC2', 'N', '1982', '91500', 'S', 'MIN', '', 'DC', 'EW', 'EF', 'WT', '', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'I', 'NE', 'NE', '85300', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '60', '40', '60', '40', '12', '12', 'PC', '', 'PC', 'PC', 'N', 'G', 'PC', '', '', 'SW', 'SW', '35.54', '1.3048', '1.67', '2.17907', '199385.203125', '185874.953125', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-3 ', '', '');
INSERT INTO buildings VALUES ('713', '9', '18', 'DEGENKOLB', TO_DATE('06/30/93','MM/DD/YY'), 'MARIA IS', 'GU', '6', 'S1', '1', '0', '6400', '1950', 'PC2', 'N', '1982', '274000', 'S', 'MIN', '', 'DC', 'SW', 'EW', 'EF', 'SD', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '256000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '160', '40', '160', '40', '12', '12', 'PC', '', 'PC', 'PC', 'N', 'G', 'PC', '', '', 'SW', 'SW', '40', '1.3048', '1.67', '2.17907', '597066.125', '557842.75', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-3 ', '', '');
INSERT INTO buildings VALUES ('714', '12', '30', 'DEGENKOLB', TO_DATE('06/30/93','MM/DD/YY'), 'MARIA IS', 'GU', '6', 'S1', '1', '0', '10400', '1963', 'C3', 'N', '1983', '124300', 'S', 'MIN', '', 'DC', 'SW', 'EF', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '124300', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '208', '48', '208', '48', '12', '12', 'C', '', 'C', 'PC', 'N', 'G', 'C', '', '', 'SW', 'SW', '11.95', '1.2227', '1.67', '2.04197', '253816.53125', '253816.53125', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-3 ', '', '');
INSERT INTO buildings VALUES ('715', '12', '30', 'DEGENKOLB', TO_DATE('06/30/93','MM/DD/YY'), 'MARIA IS', 'GU', '6', 'S1', '2', '0', '23800', '1948', 'C3', 'N', '1982', '1016000', 'S', 'MIN', '', 'DC', 'SW', 'EW', 'EF', 'SD', '', '', 'N', 'N', 'Y', 'N', 'V', 'I', 'OK', 'NE', 'NE', '969800', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '216', '84', '216', '84', '15', '27', 'C', 'C', 'PC', 'PC', 'N', 'F', 'C', '', '', 'SW', 'SW', '40.75', '1.3048', '1.67', '2.17907', '2213938.5', '2113265.25', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-3 ', '', '');
INSERT INTO buildings VALUES ('716', '1', '5', 'DEGENKOLB', TO_DATE('06/30/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', '', '7', '1', '47095', '1910', 'URM', 'N', '1978', '72000', 'S', 'MIN', '', 'RR', 'PB', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'NE', 'I', 'NE', 'NE', '72000', 'G', 'F', 'F', '', '', '', '', '', '', '', '', '', 'OT', '130', '50', '130', '50', '10.5', '90.5', 'W', 'W', 'W', 'N', 'N', 'G', 'W', 'URM', 'SF', 'SW', 'SW', '1.53', '1.7413', '1', '1.74134', '125376.34375', '125376.34375', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'SF PARAPET ORDI NCE', '', '');
INSERT INTO buildings VALUES ('717', '13', '41', 'DEGENKOLB', TO_DATE('06/29/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', '', '3', '0', '10775', '', 'URM', 'N', '1987', '65569', 'AC', 'ADD', '', 'RR', 'PB', '', '', '', '', '', 'N', 'N', 'Y', 'N', 'IP', 'NE', 'I', 'NE', 'NE', '45283', 'G', 'G', 'G', '', '', '', '', '', '', '', '', '', 'R', '90', '40', '90', '40', '12', '40', 'W', '', 'W', 'M', 'Y', 'G', 'W', 'URM', '', 'SW', 'SW', '4.2', '1.1472', '1', '1.14719', '75219.8515625', '51948.03125', '0', '0', '0', '0', '0', '0', '0', '0', '10', 'SF PARAPET BRACING', '', '');
INSERT INTO buildings VALUES ('718', '13', '12', 'DEGENKOLB', TO_DATE('06/29/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', '', '6', '0', '31000', '1929', 'S5', 'N', '1986', '26000', 'S', 'MIN', '', 'RR', 'PB', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'NE', 'I', 'NE', 'NE', '26000', 'G', 'F', 'F', '', '', '', '', '', '', '', '', '', 'R', '120', '55', '125', '50', '9', '61', 'W', 'S', 'W', 'M', 'N', 'G', 'S', '', 'SF', 'SW', 'SW', '0.84', '1.174', '1', '1.17398', '30523.560546875', '30523.560546875', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'SF PARAPET ORDI NCE', '', '');
INSERT INTO buildings VALUES ('719', '13', '12', 'DEGENKOLB', TO_DATE('06/28/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', '', '2', '0', '7536', '1950', 'RM1', 'N', '1987', '65353', 'AC', 'MIN', '', 'RR', 'PB', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'NE', 'I', 'NE', 'NE', '65353', 'G', 'G', 'G', '', '4000', '', '', '', '', '', '', '', 'R', '75', '71', '75', '71', '13', '30', 'W', 'W', 'W', 'N', 'N', 'G', 'W', 'RM', '', 'SW', 'SW', '8.67', '1.1472', '1', '1.14719', '74972.0546875', '74972.0546875', '0', '4588.7446289063', '0', '0', '0', '0', '0', '0', '10', 'SF PARAPET ORDI NCE', '', '');
INSERT INTO buildings VALUES ('720', '18', '54', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', '', '4', '1', '32500', '1957', 'C3', 'N', '1984', '1897000', 'S', 'ADD', '', 'IO', 'EW', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '1801000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '127', '111', '127', '111', '', '', 'C', 'C', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '55.42', '1.206', '1', '1.20604', '2287858.75', '2172079', '0', '0', '0', '0', '0', '0', '0', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('722', '10', '12', 'TEDLWINSTEAD', TO_DATE('07/14/93','MM/DD/YY'), 'SHELBY', 'TN', '5', 'S2', '5', '0', '378000', '1982', 'PC2', 'N', '1990', '437000', 'S', 'MIN', '', 'LS', 'SW', 'SF', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'I', '190000', 'G', 'F', 'F', '', '', '', '', '0', '0', '0', '0', '247000', 'R', '366', '175', '366', '175', '10.5', '56.5', 'C', 'C', 'PC', 'CW', 'N', 'G', 'PC', 'PC', 'P', 'SW', 'SW', '0.5', '1.0788', '1.30129', '1.40387', '613491.5625', '266735.46875', '0', '0', '0', '0', '0', '0', '0', '346756.09375', '8', '1988 SBC', '', '');
INSERT INTO buildings VALUES ('723', '8', '14', 'TEDLWINSTEAD', TO_DATE('07/14/93','MM/DD/YY'), 'SHELBY', 'TN', '5', 'S2', '6', '2', '321000', '1967', 'C1', 'N', '1989', '3500000', 'S', 'MIN', '', 'LS', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '3500000', 'G', 'F', 'F', '', '', '', '', '0', '0', '0', '0', '0', 'R', '236', '170', '236', '170', '12.8000001907349', '102', 'C', 'C', 'C', 'CW', 'N', 'G', 'C', 'C', 'P', 'MF', 'MF', '10.9', '1.1067', '1.30129', '1.44011', '5040397.5', '5040397.5', '0', '0', '0', '0', '0', '0', '0', '0', '8', '1988 SBC', '', '');
INSERT INTO buildings VALUES ('725', '8', '14', 'DAVECOATS', TO_DATE('07/14/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', 'S2', '2', '0', '37000', '1964', 'C1', 'N', '1982', '1495000', 'AC', 'MIN', '', 'LS', 'SW', 'SD', '', '', '', '', 'N', 'N', 'N', 'Y', 'V', 'I', 'OK', 'I', 'OK', '1350000', 'G', 'G', 'F', '', '345000', '85000', '10', '149500', '', '', '', '', 'R', '190', '95', '190', '95', '13.5', '27', 'C', 'FS', 'C', 'CW', 'N', 'P', 'C', '', 'P', 'MF', 'MF', '36.49', '1.3048', '1', '1.30483', '1950727.375', '1761526.375', '0', '450167.84375', '110910.921875', '195072.734375', '0', '0', '0', '0', '6', '0 25W BASE SHEAR COEFF+ UBC ', '', '');
INSERT INTO buildings VALUES ('726', '8', '39', 'DAVECOATS', TO_DATE('07/14/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', 'S2', '5', '1', '42000', '1965', 'C1', 'N', '1982', '1133000', 'AC', 'MIN', '', 'LS', 'BF', '', '', '', '', '', 'N', 'N', 'N', 'Y', 'IP', 'I', 'OK', 'I', 'OK', '1020000', 'G', 'G', 'F', '', '300000', '80000', '9', '113300', '', '', '', '', 'R', '90', '90', '90', '90', '13', '65', 'WS', 'WS', 'C', 'CW', 'N', 'F', 'C', 'C', 'P', 'MF', 'MF', '24.29', '1.3048', '1', '1.30483', '1478377.375', '1330931', '0', '391450.3125', '104386.75', '147837.734375', '0', '0', '0', '0', '6', '0 5G RESPONSE SPECTRA-NO COLLA', '', '');
INSERT INTO buildings VALUES ('727', '8', '39', 'DAVECOATS', TO_DATE('07/14/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', 'S2', '7', '0', '107134', '1968', 'C1', 'N', '1990', '5486000', 'AC', 'MIN', '', 'LS', 'SW', 'SF', 'SS', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'OK', 'OK', '5486000', 'G', 'G', 'G', '', '749500', '148200', '14', '', '', '', '', '', 'OT', '210', '200', '210', '200', '13.5', '100', 'C', 'C', 'C', 'CW', 'N', 'F', 'C', 'C', 'P', 'MF', 'MF', '51.21', '1.0788', '1', '1.07883', '5918464', '5918464', '0', '808583.4375', '159882.671875', '0', '0', '0', '0', '0', '8', '0 5G RESPONSE SPECTRA/1988 UBC', '', '');
INSERT INTO buildings VALUES ('729', '5', '14', 'WILLIAMTHIRANO', TO_DATE('07/06/93','MM/DD/YY'), 'KING', 'WA', '5', 'S3', '4', '0', '380000', '1941', 'C2', 'N', '1993', '4743000', 'S', 'MIN', '', 'LS', 'SW', 'SF', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'I', 'I', '4409000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '333000', 'OT', '366', '326', '366', '326', '14', '62', 'FS', 'FS', 'C', 'N', 'N', 'F', 'C', 'C', 'P', 'SW', 'SW', '11.6', '1', '1.10228', '1.10228', '5228133', '4859970', '0', '0', '0', '0', '0', '0', '0', '367060.5625', '5', '', '', '');
INSERT INTO buildings VALUES ('730', '12', '33', 'DASSEDESIGN', TO_DATE('07/19/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', 'S2', '2', '1', '122910', '1957', 'C3', 'N', '1983', '3400000', 'AC', 'COM', '', 'LS', 'SW', 'EW', 'SD', 'SF', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'I', 'NE', 'I', '2260422', 'G', 'F', 'G', '0', '585700', '81300', '12', '0', '0', '0', '', '', 'O', '', '', '', '', '13', '25.5', 'C', 'C', 'MDF', 'M', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '18.39', '1.2227', '1', '1.22273', '4157298.75', '2763897', '0', '716155.875', '99408.3515625', '0', '0', '0', '0', '0', '8', '1979 UBC', '', '');
INSERT INTO buildings VALUES ('731', '18', '54', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', '', '2', '1', '20200', '1957', 'C3', 'N', '1984', '761700', 'S', 'ADD', '', 'IO', 'EW', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '718300', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '177', '116', '', '', '', '', 'C', 'C', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '35.56', '1.206', '1', '1.20604', '918641.0625', '866298.875', '0', '0', '0', '0', '0', '0', '0', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('734', '5', '12', 'FEMA-SF', TO_DATE('06/30/93','MM/DD/YY'), 'HUMBOLDT', 'CA', '5', '', '1', '0', '9420', '1930', 'W1', 'N', '1992', '47681', 'S', 'ADD', '', 'LS', 'EW', '', '', '', '', '', 'N', 'N', 'N', 'Y', 'V', 'I', 'NE', 'NE', 'NE', '21681', 'G', 'F', 'F', '', '3000', '', '', '', '', '', '', '', 'OT', '101', '90', '101', '90', '11', '15', 'TT', '', 'W', 'N', 'N', 'F', 'W', 'W', '', 'SW', 'SW', '2.3', '1.0286', '1', '1.02858', '49043.79296875', '22300.67578125', '0', '3085.7443847656', '0', '0', '0', '0', '0', '0', '6', '', '', '');
INSERT INTO buildings VALUES ('735', '7', '23', 'FEMA-SF', TO_DATE('06/30/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '3', '0', '96330', '', 'S4', '', '1992', '3672956', 'AC', 'ADD', '', 'LS', 'SW', 'EW', '', '', '', '', 'Y', 'N', 'Y', 'Y', 'TR', 'I', 'NE', 'NE', 'NE', '449466', 'G', 'G', 'G', '', '', '', '', '', '', '', '', '', 'L', '260', '260', '260', '260', '15', '50', 'S', 'S', 'MD', 'M', 'N', 'F', 'S', '', '', 'SW', 'SW', '4.67', '1.0286', '1', '1.02858', '3777934.5', '462312.40625', '0', '0', '0', '0', '0', '0', '0', '0', '8', '1985 UBC', '', '');
INSERT INTO buildings VALUES ('736', '9', '23', 'FEMA-SF', TO_DATE('06/30/93','MM/DD/YY'), 'HUMBOLDT', 'CA', '5', '', '6', '1', '165000', '', 'C2', 'N', '1992', '2056900', 'AC', 'MIN', '', 'DC', 'SW', 'EW', 'SF', '', '', '', 'N', 'N', 'N', 'Y', 'V', 'I', 'NE', 'NE', 'NE', '1923176', 'G', 'G', 'G', '', '112758', '', '', '226820', '', '', '', '20932', 'OT', '261', '237', '261', '237', '13', '78.5', 'C', 'C', 'C', 'N', 'N', 'F', 'C', 'C', 'SF', 'SW', 'SW', '11.66', '1.0286', '1', '1.02858', '2115689.25', '1978143.25', '0', '115980.7890625', '0', '233302.859375', '0', '0', '0', '21530.267578125', '8', '1991 UBC', '', '');
INSERT INTO buildings VALUES ('737', '13', '12', 'FEMA-SF', TO_DATE('07/13/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', '', '5', '1', '129500', '', 'S5', 'N', '1993', '3500000', 'S', 'MIN', '', 'RR', 'BF', 'EW', 'SD', '', '', '', 'Y', 'Y', 'N', 'Y', 'V', 'I', 'I', 'NE', 'NE', '1178000', 'G', 'P', 'P', '', '', '', '', '120500', '275000', '309000', '', '', 'R', '165', '104', '165', '104', '12', '86', 'W', 'W', 'W', 'M', 'N', 'F', 'S', '', 'SF', 'SW', 'SW', '9.1', '1', '1', '1', '3500000', '1178000', '0', '0', '0', '120500', '275000', '309000', '0', '0', '5', '1991 UBC', '', '');
INSERT INTO buildings VALUES ('738', '7', '16', 'FEMA-SF', TO_DATE('07/13/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S2', '15', '1', '181000', '1967', 'C2', 'N', '1992', '4929000', 'S', 'MIN', '', 'LS', 'SW', 'EW', '', '', '', '', 'N', 'N', 'N', 'Y', 'V', 'I', 'OK', 'NE', 'NE', '3946000', 'G', 'P', 'P', '', '', '', '', '983000', '', '', '', '', 'R', '222', '64', '222', '64', '10', '176', 'C', 'C', 'C', 'PC', 'N', 'P', 'C', 'C', 'SF', 'SW', 'SW', '21.8', '1.0286', '1', '1.02858', '5069878', '4058782.5', '0', '0', '0', '1011095.625', '0', '0', '0', '0', '5', '1991 UBC - SITE SPECIFIC RESP ', '', '');
INSERT INTO buildings VALUES ('739', '9', '16', 'FEMA-SF', TO_DATE('07/13/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S2', '15', '1', '181000', '1967', 'C2', 'N', '1992', '9954000', 'S', 'MIN', '', 'DC', 'SW', 'EW', '', '', '', '', 'N', 'N', 'N', 'Y', 'V', 'I', 'OK', 'NE', 'NE', '8971000', 'G', 'P', 'P', '', '', '', '', '983000', '', '', '', '', 'R', '222', '64', '222', '64', '10', '176', 'C', 'C', 'C', 'PC', 'N', 'P', 'C', 'C', 'SF', 'SW', 'SW', '49.56', '1.0286', '1', '1.02858', '10238500', '9227405', '0', '0', '0', '1011095.625', '0', '0', '0', '0', '5', '1991 UBC W/ SSRS', '', '');
INSERT INTO buildings VALUES ('740', '17', '44', 'FEMA-SF', TO_DATE('07/13/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S2', '15', '1', '181000', '1967', 'C2', 'N', '1992', '14066000', 'S', 'MIN', '', 'IO', 'SW', 'EW', 'IS', '', '', '', 'N', 'N', 'N', 'Y', 'V', 'I', 'OK', 'NE', 'NE', '13083000', 'G', 'P', 'P', '', '', '', '', '983000', '', '', '', '', 'R', '272', '64', '222', '64', '10', '176', 'C', 'C', 'C', 'PC', 'N', 'P', 'C', 'C', 'SF', 'SW', 'SW', '72.28', '1.0286', '1', '1.02858', '14468027', '13456932', '0', '0', '0', '1011095.625', '0', '0', '0', '0', '5', '1991 UBC W/ SRSS', '', '');
INSERT INTO buildings VALUES ('741', '1', '9', 'FEMA-SF', TO_DATE('07/13/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', '', '2', '0', '63200', '1890', 'URM', 'N', '1990', '8828000', 'S', 'ADD', '', 'DC', 'SW', 'EW', 'SD', 'WT', '', '', 'N', 'N', 'Y', 'Y', 'V', 'I', 'OK', 'NE', 'NE', '5583000', 'G', 'P', 'P', '', '', '', '24', '70000', '', '', '', '', 'OT', '623', '50', '623', '50', '12', '25.5', 'TT', 'S', 'OT', 'N', 'N', 'P', 'C', 'URM', 'SF', 'SW', 'SW', '88.34', '1.0788', '1', '1.07883', '9523915', '6023110.5', '0', '0', '0', '75518.1328125', '0', '0', '0', '0', '5', '1988 UBC', '', '');
INSERT INTO buildings VALUES ('742', '1', '9', 'FEMA-SF', TO_DATE('07/13/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', '', '2', '0', '4525', '1890', 'URM', 'Y', '1991', '1188004', 'AC', 'ADD', '', 'LS', 'SW', 'EW', 'SD', '', '', '', 'N', 'N', 'Y', 'Y', 'TR', 'I', 'OK', 'NE', 'NE', '787770', 'G', 'G', 'G', '', '', '', '8', '', '', '', '', '', 'R', '79', '52', '79', '52', '9', '38.5', 'TT', 'W', 'W', 'N', 'N', 'G', 'W', 'URM', 'SF', 'SW', 'SW', '174.09', '1.0596', '1', '1.05961', '1258826.5', '834732.625', '0', '0', '0', '0', '0', '0', '0', '0', '8', '1988 UBC', '', '');
INSERT INTO buildings VALUES ('743', '1', '9', 'FEMA-SF', TO_DATE('07/13/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', '', '2', '0', '7368', '1890', 'URM', 'Y', '1991', '961200', 'AC', 'ADD', '', 'LS', 'SW', 'EW', 'SD', '', '', '', 'Y', 'N', 'Y', 'Y', 'TR', 'I', 'OK', 'NE', 'NE', '512900', 'G', 'G', 'G', '', '215054', '151900', '6', '', '', '', '', '', 'R', '66', '50', '66', '50', '9', '', 'TT', 'W', 'W', 'N', 'N', 'G', 'W', 'URM', 'SF', 'SW', 'SW', '69.61', '1.0596', '1', '1.05961', '1018501.625', '543476.375', '0', '227874.375', '160955.46875', '0', '0', '0', '0', '0', '8', '1988 UBC', '', '');
INSERT INTO buildings VALUES ('744', '7', '22', 'FEMA-SF', TO_DATE('07/13/93','MM/DD/YY'), 'SANTACRUZ', 'CA', '7', 'S4', '4', '0', '123900', '1967', 'C2', 'N', '1992', '18224000', 'S', 'ADD', '16000', 'LS', 'SF', '', '', '', '', '', 'Y', 'N', 'Y', 'Y', 'V', 'I', 'OK', 'NE', 'NE', '1770000', 'G', 'P', 'P', '', '2206000', '390500', '30', '', '', '', '', '', 'OT', '', '', '', '', '15', '65', 'C', 'C', 'C', 'PC', 'Y', 'P', 'C', 'C', 'P', 'SW', 'SW', '14.29', '1.0286', '1', '1.02858', '18744870', '1820589.25', '0', '2269050.75', '401661.0625', '0', '0', '0', '0', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('745', '1', '3', 'FEMA-SF', TO_DATE('07/13/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', '', '2', '0', '7280', '1890', 'URM', 'Y', '1991', '866600', 'S', 'MIN', '', 'LS', 'EW', 'SD', '', '', '', '', 'N', 'N', 'N', 'Y', 'TR', 'I', 'OK', 'NE', 'NE', '699000', 'G', 'F', 'F', '', '', '', '', '', '', '', '', '', 'R', '70', '52', '70', '52', '9', '42', 'TT', 'W', 'W', 'N', 'N', 'F', 'W', 'URM', 'SF', 'SW', 'SW', '96.02', '1.0596', '1', '1.05961', '918262.0625', '740670.625', '0', '0', '0', '0', '0', '0', '0', '0', '6', '1988 UBC', '', '');
INSERT INTO buildings VALUES ('746', '7', '19', 'FEMA-SF', TO_DATE('07/13/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '8', '1', '190300', '1960', 'S4', 'N', '1992', '24014000', 'S', 'ADD', '', 'LS', 'SW', 'BF', 'EW', 'SD', '', '', 'Y', 'Y', 'Y', 'Y', 'V', 'I', 'OK', 'NE', 'NE', '3829400', 'G', 'P', 'P', '', '2826100', '1143900', '30', '483200', '5193200', '', '', '', 'R', '263', '177', '177', '91', '', '', 'S', 'S', 'MDF', 'CW', 'N', 'P', 'S', '', '', 'SW', 'SW', '20.12', '1.0286', '1', '1.02858', '24700356', '3938850', '0', '2906874.25', '1176594.375', '497010.59375', '5341629.5', '0', '0', '0', '5', '1988 UBC', '', '');
INSERT INTO buildings VALUES ('747', '1', '10', 'FEMA-SF', TO_DATE('07/09/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', '', '4', '1', '83900', '1910', 'S5', 'Y', '1992', '8270000', 'S', 'ADD', '', 'LS', 'BF', 'EW', 'SD', 'WT', '', '', 'N', 'Y', 'Y', 'Y', 'V', 'I', 'I', 'NE', 'NE', '3090000', 'G', 'P', 'P', '', '406000', '159000', '', '419900', '0', '84000', '4480000', '', 'R', '141', '119', '141', '119', '15', '77', 'S', 'S', 'C', 'M', 'N', 'P', 'S', '', 'SF', 'SW', 'SW', '36.83', '1.0286', '1', '1.02858', '8506369', '3178316.75', '0', '417604.09375', '163544.453125', '431901.375', '0', '86400.84375', '4608045', '0', '5', 'TITLE 24 PART 8 SHBC ', '', '');
INSERT INTO buildings VALUES ('748', '20', '56', 'DEGENKOLB', TO_DATE('08/10/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', 'S2', '1', '0', '7565', '1965', 'W1', 'N', '1993', '564300', 'S', 'ADD', '', 'IO', 'SW', 'SF', 'PB', '', '', '', 'N', 'N', 'Y', 'N', 'V', 'I', 'I', 'I', 'NE', '45900', 'G', 'F', 'F', '', '', '', '', '', '', '', '220600', '', 'L', '103', '149', '', '', '', '', 'W', '', 'W', 'S', 'N', 'G', 'W', 'W', 'SF', 'SW', 'SW', '6.07', '1', '1', '1', '564300', '45900', '0', '0', '0', '0', '0', '0', '220600', '0', '8', 'TITLE 24', '', '');
INSERT INTO buildings VALUES ('749', '1', '3', 'FEMA-SF', TO_DATE('07/02/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', '', '1', '0', '4000', '1891', 'URM', 'Y', '1991', '1064000', 'S', 'MIN', '', 'LS', 'SW', 'EW', 'SD', 'SF', '', '', 'Y', 'N', 'N', 'Y', 'TR', 'I', 'OK', 'NE', 'NE', '740000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '80', '50', '80', '50', '19', '25', 'TT', '', 'W', 'ST', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '185', '1.0596', '1', '1.05961', '1127430', '784114.875', '0', '0', '0', '0', '0', '0', '0', '0', '5', '1988 UBC', '', '');
INSERT INTO buildings VALUES ('750', '1', '9', 'FEMA-SF', TO_DATE('07/02/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', '', '1', '1', '14868', '1916', 'URM', 'Y', '1991', '2150000', 'S', 'ADD', '', 'LS', 'SW', 'EW', 'SD', 'WT', '', '', 'N', 'N', 'N', 'Y', 'V', 'I', 'I', 'NE', 'NE', '1005000', 'G', 'P', 'P', '', '', '', '', '1145000', '', '', '', '', 'R', '197', '60', '197', '60', '21.5', '48', 'S', '', 'C', 'ST', 'N', 'F', 'C', 'URM', 'SF', 'SW', 'SW', '67.59', '1.0596', '1', '1.05961', '2278171.5', '1064912.75', '0', '0', '0', '1213258.75', '0', '0', '0', '0', '5', '1988 UBC/UCBC ', '', '');
INSERT INTO buildings VALUES ('751', '1', '10', 'FEMA-SF', TO_DATE('07/02/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', 'S2', '7', '1', '162500', '1916', 'URM', 'Y', '1991', '22502000', 'S', 'ADD', '', 'LS', 'SW', 'EF', 'SD', '', '', '', 'N', 'Y', 'Y', 'Y', 'TR', 'I', 'OK', 'NE', 'NE', '10822000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '181', '181', '181', '181', '7.5', '88', 'S', 'C', 'C', 'ST', 'N', 'F', 'C', 'URM', 'SF', 'SW', 'SW', '66.6', '1.0596', '1', '1.05961', '23843450', '11467150', '0', '0', '0', '0', '0', '0', '0', '0', '5', '1988 UBC/UCBC ', '', '');
INSERT INTO buildings VALUES ('752', '1', '3', 'FEMA-SF', TO_DATE('07/02/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', '', '2', '0', '81150', '1906', 'C2', 'Y', '1990', '12457000', 'S', 'MIN', '', 'LS', 'SW', 'SD', '', '', '', '', 'N', 'N', 'Y', 'Y', 'TR', 'I', 'OK', 'NE', 'NE', '5641000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '312', '114', '312', '114', '20', '50', 'C', '', 'C', 'N', 'N', 'F', 'C', 'C', 'SF', 'SW', 'SW', '69.51', '1.0788', '1', '1.07883', '13438991', '6085682.5', '0', '0', '0', '0', '0', '0', '0', '0', '5', '1988 UBC', '', '');
INSERT INTO buildings VALUES ('753', '1', '3', 'FEMA-SF', TO_DATE('07/02/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', '', '4', '0', '2700', '1876', 'URM', 'N', '1991', '238100', 'S', 'MIN', '', 'LS', 'SW', 'EW', 'SD', 'WT', '', '', 'N', 'N', 'N', 'Y', 'V', 'I', 'I', 'NE', 'NE', '203000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '48', '20', '48', '20', '10', '38', 'W', 'W', 'W', 'N', 'N', 'P', '', 'URM', 'SF', 'SW', 'SW', '75.19', '1.0596', '1', '1.05961', '252294.25', '215101.78125', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'SCO 1100 78 AND UCBC', '', '');
INSERT INTO buildings VALUES ('754', '9', '18', 'FEMA-SF', TO_DATE('07/02/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', '', '3', '0', '10465', '', 'W1', 'N', '1990', '514519', 'AC', 'ADD', '', 'DC', 'SW', 'MF', 'SF', 'PB', '', '', 'Y', 'N', 'Y', 'Y', 'V', 'I', 'I', 'NE', 'NE', '238900', 'G', 'G', 'G', '', '', '', '', '', '', '', '', '', 'R', '93', '53', '93', '53', '9.5', '32', 'W', 'W', 'W', 'N', 'N', 'G', '', 'W', 'SF', 'SW', 'SW', '22.83', '1.0788', '1', '1.07883', '555078.75', '257732.609375', '0', '0', '0', '0', '0', '0', '0', '0', '8', '1988 UBC', '', '');
INSERT INTO buildings VALUES ('755', '9', '18', 'FEMA-SF(MESERVE)', TO_DATE('07/02/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', '', '3', '0', '12425', '', 'W1', 'N', '1990', '524173', 'AC', 'ADD', '', 'DC', 'SW', 'EW', 'SF', '', '', '', 'N', 'N', 'Y', 'Y', 'TR', 'I', 'OK', 'NE', 'NE', '241500', 'G', 'G', 'G', '', '', '', '', '', '', '', '', '', 'L', '84', '82', '84', '82', '10', '33', 'W', 'W', 'W', 'M', 'N', 'G', 'W', 'W', 'SF', 'SW', 'SW', '19.44', '1.0788', '1', '1.07883', '565493.8125', '260537.5625', '0', '0', '0', '0', '0', '0', '0', '0', '8', '1988 UBC', '', '');
INSERT INTO buildings VALUES ('756', '9', '12', 'FEMA-SF(TENNEBAUM)', TO_DATE('07/02/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', '', '3', '0', '12686', '', 'W1', 'N', '1991', '679736', 'AC', 'ADD', '', 'DC', 'SW', 'SD', 'SF', '', '', '', 'Y', 'N', 'N', 'Y', 'V', 'I', 'OK', 'NE', 'NE', '323400', 'G', 'G', 'G', '', '', '', '', '', '', '', '', '', 'OT', '96', '66', '96', '66', '10', '50', 'W', 'W', 'W', 'N', 'N', 'G', 'W', 'W', 'SF', 'SW', 'SW', '25.49', '1.0596', '1', '1.05961', '720258.25', '342679.375', '0', '0', '0', '0', '0', '0', '0', '0', '8', '1988 UBC', '', '');
INSERT INTO buildings VALUES ('757', '12', '30', 'FEMA-SF', TO_DATE('07/02/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '7', '1', '28950', '1940', 'C3', 'N', '1992', '1040974', 'AC', 'ADD', '', 'LS', 'SW', 'MF', 'SD', '', '', '', 'N', 'N', 'Y', 'Y', 'V', 'I', 'OK', 'NE', 'NE', '465500', 'G', 'G', 'F', '20932', '108290', '36863', '', '222372', '0', '0', '353000', '0', 'R', '75', '50', '75', '50', '10', '91', 'C', 'C', 'W', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '16.08', '1.0286', '1', '1.02858', '1070726.625', '478804.6875', '21530.267578125', '111385.09375', '37916.6015625', '228727.71875', '0', '0', '363089.28125', '0', '7', 'UCBC (PRESUMED) ', '', '');
INSERT INTO buildings VALUES ('759', '7', '11', 'FEMA-SF', TO_DATE('07/01/93','MM/DD/YY'), 'SANTACRUZ', 'CA', '7', '', '2', '0', '4540', '1931', 'W1', 'Y', '1991', '223000', 'S', 'ADD', '', 'LS', 'SW', 'EW', '', '', '', '', 'N', 'N', 'N', 'Y', 'V', 'I', 'I', 'NE', 'NE', '134000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '85', '27', '85', '27', '12', '30', 'W', 'W', 'W', 'ST', 'N', 'G', 'W', 'W', 'SF', 'SW', 'SW', '29.52', '1.0596', '1', '1.05961', '236294.0625', '141988.359375', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'UCBC', '', '');
INSERT INTO buildings VALUES ('760', '13', '14', 'FEMA-SF', TO_DATE('07/01/93','MM/DD/YY'), 'SANTACRUZ', 'CA', '7', '', '1', '0', '3250', '1950', 'C2', 'N', '1990', '54000', 'S', 'MIN', '', 'RR', 'SD', 'WT', '', '', '', '', 'N', 'N', 'N', 'Y', 'TR', 'I', 'OK', 'NE', 'NE', '28700', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '116', '28', '116', '28', '15', '15', 'W', '', 'C', 'N', 'N', 'F', '', 'C', 'SF', 'SW', 'SW', '8.83', '1.0788', '1', '1.07883', '58256.84765625', '30962.435546875', '0', '0', '0', '0', '0', '0', '0', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('761', '12', '30', 'FEMA-SF', TO_DATE('07/01/93','MM/DD/YY'), 'SANTACRUZ', 'CA', '7', '', '2', '0', '5022', '', 'C3', 'N', '1991', '368500', 'S', 'ADD', '', 'LS', 'MF', '', '', '', '', '', 'N', 'N', 'Y', 'Y', 'TR', 'I', 'OK', 'NE', 'NE', '156500', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '93', '27', '93', '27', '12', '25', 'C', 'C', 'C', 'N', 'N', 'G', 'C', '', '', 'SW', 'SW', '31.16', '1.0596', '1', '1.05961', '390468', '165829.6875', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'UCBC', '', '');
INSERT INTO buildings VALUES ('762', '20', '56', 'DEGENKOLB', TO_DATE('08/10/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', 'S2', '1', '0', '13435', '1965', 'W1', 'N', '1993', '1019200', 'S', 'ADD', '', 'IO', 'SW', 'SD', 'SF', '', '', '', 'N', 'N', 'Y', 'N', 'V', 'I', 'NE', 'I', 'NE', '47080', 'G', 'F', 'F', '', '', '', '', '', '', '', '425800', '', 'R', '240', '60.5', '240', '60.5', '', '', '', '', 'W', 'S', 'N', 'G', 'S', 'W', 'SF', 'SW', 'SW', '3.5', '1', '1', '1', '1019200', '47080', '0', '0', '0', '0', '0', '0', '425800', '0', '8', 'TITLE 24', '', '');
INSERT INTO buildings VALUES ('763', '3', '10', 'FEMA-SF', TO_DATE('07/01/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '18', '1', '185000', '1912', 'S5', 'Y', '1991', '42722000', 'S', 'ADD', '', 'IO', 'SW', 'BF', 'EF', 'IS', 'PB', '', 'N', 'N', 'Y', 'Y', 'TR', 'I', 'I', 'NE', 'NE', '6937000', 'G', 'F', 'P', '', '10645000', '1762000', '', '', '', '', '', '', 'R', '', '', '', '', '15', '324', 'S', 'S', 'C', 'ST', 'N', 'F', 'S', '', 'M', 'SW', 'SW', '37.5', '1.0596', '1', '1.05961', '45268856', '7350547', '0', '11279598', '1867041', '0', '0', '0', '0', '0', '5', '1988 UBC', '', '');
INSERT INTO buildings VALUES ('764', '1', '6', 'CYG.', TO_DATE('07/12/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S3', '1', '0', '4400', '1915', 'C2', 'N', '1992', '222300', 'S', 'MIN', '', 'DC', 'SD', 'PB', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '116300', 'G', 'P', 'P', '', '16400', '', '6', '', '', '', '', '106000', 'L', '76', '38', '76', '38', '19', '19', 'FS', '', 'C', 'N', 'N', 'G', '', 'C', 'SF', 'SW', 'SW', '26.43', '1.0286', '1', '1.02858', '228653.671875', '119624.03125', '0', '16868.736328125', '0', '0', '0', '0', '0', '109029.640625', '7', 'BSSC NEHRP 1992 ', '', '');
INSERT INTO buildings VALUES ('765', '9', '37', 'CYG.', TO_DATE('07/12/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S2', '1', '0', '5000', '1953', 'W1', 'N', '1992', '45300', 'S', 'MIN', '', 'DC', 'EW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'NE', 'NE', '45293', 'G', 'P', 'P', '', '4500', '', '4', '', '', '', '', '', 'L', '93', '84', '93', '84', '12.5', '12.5', 'W', '', 'W', 'N', 'Y', 'G', '', 'W', 'SF', 'SW', 'SW', '9.06', '1.0286', '1', '1.02858', '46594.7421875', '46587.54296875', '0', '4628.6166992188', '0', '0', '0', '0', '0', '0', '7', 'BSSC NEHRP 1992 ', '', '');
INSERT INTO buildings VALUES ('766', '7', '23', 'CYG.', TO_DATE('07/12/93','MM/DD/YY'), 'SANMATEO', 'CA', '7', 'S3', '1', '0', '11000', '1939', 'W1', 'N', '1992', '265082', 'S', 'MIN', '', 'LS', 'EW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'I', 'NE', '262782', 'G', 'P', 'P', '', '19000', '', '6', '', '', '', '', '2300', 'OT', '216', '93', '216', '93', '13', '13', 'W', '', 'W', 'N', 'N', 'G', '', 'W', 'SF', 'SW', 'SW', '23.89', '1.0286', '1', '1.02858', '272658.4375', '270292.71875', '0', '19543.048828125', '0', '0', '0', '0', '0', '2365.73754882813', '7', 'BSSC NEHRP 1992 ', '', '');
INSERT INTO buildings VALUES ('767', '12', '32', 'CYG.', TO_DATE('07/12/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S3', '2', '1', '13000', '', 'C3', 'N', '1992', '309290', 'S', 'MIN', '', 'DC', 'EW', 'SD', 'SF', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '309390', 'G', 'P', 'P', '', '15200', '', '3', '', '', '', '', '300', 'R', '82', '50', '82', '50', '15', '30', 'FS', 'FS', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '23.8', '1.0286', '1', '1.02858', '318129.96875', '318232.84375', '0', '15634.438476563', '0', '0', '0', '0', '0', '308.574462890625', '7', 'BSSC NEHRP 1992 ', '', '');
INSERT INTO buildings VALUES ('768', '1', '3', 'CYG.', TO_DATE('07/12/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', '', '2', '0', '34000', '1912', 'URM', 'N', '1988', '2829904', 'S', 'MIN', '', 'LS', 'BF', 'EW', 'SD', 'SF', 'PB', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '2600000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '158000', 'L', '130', '120', '130', '120', '14', '28', 'W', 'W', 'W', 'N', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '76.47', '1.122', '1', '1.12202', '3175200.25', '2917244', '0', '0', '0', '0', '0', '0', '0', '177278.671875', '7', 'BSSC NEHRP 1992 ', '', '');
INSERT INTO buildings VALUES ('769', '10', '12', 'CYG.', TO_DATE('07/12/93','MM/DD/YY'), 'BEAU-FORT', 'SC', '3', '', '2', '0', '15300', '1981', 'RM1', 'N', '1986', '61164', 'S', 'MIN', '', 'LS', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'NE', 'NE', '61164', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '130', '65', '130', '65', '14', '28', 'C', 'C', 'W', 'M', 'N', 'G', '', 'RM', 'P', 'SW', 'SW', '4', '1.174', '1.40863', '1.65371', '101147.34375', '101147.34375', '0', '0', '0', '0', '0', '0', '0', '0', '6', '1985 UBC ZONE 3 (I=1 0I=1 5) ', '', '');
INSERT INTO buildings VALUES ('770', '8', '14', 'CYG.', TO_DATE('07/12/93','MM/DD/YY'), 'BEAU-FORT', 'SC', '3', '', '2', '0', '32500', '1942', 'C1', 'N', '1986', '585618', 'S', 'MIN', '', 'LS', 'SW', 'EW', 'SD', 'SF', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'I', 'NE', '434097', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '98000', 'OT', '180', '110', '180', '110', '14', '28', 'S', 'C', 'C', 'M', 'N', 'G', 'C', '', 'P', 'MF', 'MF', '13.36', '1.174', '1.40863', '1.65371', '968440.6875', '717869.3125', '0', '0', '0', '0', '0', '0', '0', '162063.296875', '6', '1985 UBC', '', '');
INSERT INTO buildings VALUES ('771', '6', '14', 'CYG.', TO_DATE('07/12/93','MM/DD/YY'), 'BEAU-FORT', 'SC', '3', '', '2', '0', '9000', '1944', 'URM', 'N', '1986', '530341', 'S', 'MIN', '', 'LS', 'SW', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'I', 'NE', '505841', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '16000', 'R', '121', '34', '121', '34', '14', '28', 'TT', '', 'C', 'N', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '56.2', '1.174', '1.40863', '1.65371', '877028.6875', '836512.875', '0', '0', '0', '0', '0', '0', '0', '26459.314453125', '6', '1985 UBC', '', '');
INSERT INTO buildings VALUES ('772', '5', '23', 'CYG.', TO_DATE('07/12/93','MM/DD/YY'), 'BEAU-FORT', 'SC', '3', '', '1', '0', '9000', '1944', 'S1', 'N', '1986', '316540', 'S', 'MIN', '', 'LS', 'SW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'NE', 'NE', '316540', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '120', '75', '120', '74', '14', '28', 'S', '', 'PC', 'M', 'N', 'G', 'S', '', 'SF', 'MF', 'MF', '35.17', '1.174', '1.40863', '1.65371', '523464.46875', '523464.46875', '0', '0', '0', '0', '0', '0', '0', '0', '6', '1985 UBC', '', '');
INSERT INTO buildings VALUES ('773', '8', '22', 'CYG.', TO_DATE('07/12/93','MM/DD/YY'), 'BEAU-FORT', 'SC', '3', '', '1', '0', '18400', '1957', 'C1', 'N', '1986', '294146', 'S', 'MIN', '', 'LS', 'EF', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'I', 'NE', '281604', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '8000', 'OT', '260', '50', '260', '50', '14', '14', 'C', '', 'MD', 'M', 'N', 'G', 'C', '', 'P', 'MF', 'MF', '15.3', '1.174', '1.40863', '1.65371', '486431.34375', '465690.53125', '0', '0', '0', '0', '0', '0', '0', '13229.6572265625', '6', '1985 UBC', '', '');
INSERT INTO buildings VALUES ('774', '10', '18', 'CYG.', TO_DATE('07/12/93','MM/DD/YY'), 'BEAU-FORT', 'SC', '3', '', '1', '0', '32700', '1980', 'URM', 'N', '1986', '490030', 'S', 'MIN', '', 'LS', 'SW', 'SD', 'SF', 'WT', '', '', 'N', 'N', 'Y', 'N', 'V', 'I', 'I', 'NE', 'NE', '336387', 'G', 'P', 'P', '', '', '', '', '', '', '', '95000', '', 'R', '240', '130', '240', '130', '14', '14', 'S', '', 'MDF', 'M', 'N', 'G', 'S', 'URM', 'P', 'SW', 'SW', '10.29', '1.174', '1.40863', '1.65371', '810366.125', '556285.5625', '0', '0', '0', '0', '0', '0', '157102.171875', '0', '6', '1985 UBC', '', '');
INSERT INTO buildings VALUES ('775', '8', '22', 'CYG.', TO_DATE('07/12/93','MM/DD/YY'), 'BEAU-FORT', 'SC', '3', '', '3', '0', '19700', '1952', 'C1', 'N', '1986', '689184', 'S', 'MIN', '', 'LS', 'EF', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'I', 'NE', '636302', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '35000', 'R', '218', '50', '218', '50', '14', '42', 'C', '', 'C', 'M', 'N', 'G', 'C', '', 'P', 'MF', 'MF', '32.3', '1.174', '1.40863', '1.65371', '1139708.5', '1052257.125', '0', '0', '0', '0', '0', '0', '0', '57879.75', '6', '1985 UBC', '', '');
INSERT INTO buildings VALUES ('776', '16', '52', 'CYG.', TO_DATE('07/12/93','MM/DD/YY'), 'BEAU-FORT', 'SC', '3', '', '1', '0', '30200', '1955', 'C3', 'N', '1986', '181434', 'S', 'MIN', '', 'IO', 'SW', 'EF', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'I', 'NE', '171779', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '5800', 'R', '182', '157', '182', '157', '14', '14', 'C', '', 'C', 'M', 'N', 'G', 'C', '', 'P', 'SW', 'SW', '5.69', '1.174', '1.40863', '1.65371', '300038.6875', '284072.15625', '0', '0', '0', '0', '0', '0', '0', '9591.5009765625', '6', '1985 UBC (I=1 5)', '', '');
INSERT INTO buildings VALUES ('777', '12', '33', 'CYG.', TO_DATE('07/12/93','MM/DD/YY'), 'BEAU-FORT', 'SC', '3', '', '3', '0', '114450', '1970', 'C3', 'N', '1986', '3204601', 'S', 'MIN', '', 'LS', 'EF', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'I', 'NE', '2662574', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '372300', 'OT', '290', '240', '290', '240', '14', '42', 'C', 'C', 'C', 'M', 'N', 'G', 'C', '', 'P', 'SW', 'SW', '23.26', '1.174', '1.40863', '1.65371', '5299471.5', '4403117.5', '0', '0', '0', '0', '0', '0', '0', '615675.1875', '6', '1985 UBC', '', '');
INSERT INTO buildings VALUES ('778', '12', '31', 'CYG.', TO_DATE('07/12/93','MM/DD/YY'), 'BEAU-FORT', 'SC', '3', '', '1', '0', '23500', '1968', 'C3', 'N', '1986', '914739', 'S', 'MIN', '', 'LS', 'SW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'I', 'NE', '625291', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '43000', 'R', '200', '159', '200', '159', '14', '14', 'C', '', 'PC', 'M', 'N', 'G', 'C', '', 'P', 'SW', 'SW', '26.61', '1.174', '1.40863', '1.65371', '1512710.375', '1034048.1875', '0', '0', '0', '0', '0', '0', '0', '71109.40625', '6', '1985 UBC', '', '');
INSERT INTO buildings VALUES ('779', '16', '51', 'CYG.', TO_DATE('07/12/93','MM/DD/YY'), 'BEAU-FORT', 'SC', '3', '', '1', '0', '40300', '1971', 'URM', 'N', '1986', '523799', 'S', 'MIN', '', 'IO', 'SW', 'BF', 'SD', 'SF', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'I', 'NE', '405512', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '21000', 'OT', '289', '259', '289', '259', '14', '14', 'S', '', 'MD', 'M', 'N', 'G', 'S', 'URM', 'P', 'SW', 'SW', '10.06', '1.174', '1.40863', '1.65371', '866210.125', '670598.0625', '0', '0', '0', '0', '0', '0', '0', '34727.8515625', '6', '1985 UBC (I=1 5)', '', '');
INSERT INTO buildings VALUES ('780', '16', '51', 'CYG.', TO_DATE('07/12/93','MM/DD/YY'), 'BEAU-FORT', 'SC', '3', '', '2', '0', '23000', '1971', 'URM', 'N', '1986', '506130', 'S', 'MIN', '', 'IO', 'EW', 'EF', 'SD', 'SF', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'I', 'NE', '443038', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '40000', 'R', '192', '60', '192', '60', '', '', 'S', '', 'MD', 'M', 'N', 'G', 'S', 'URM', 'P', 'SW', 'SW', '19.26', '1.174', '1.40863', '1.65371', '836990.8125', '732655.125', '0', '0', '0', '0', '0', '0', '0', '66148.28125', '6', '1985 UBC (I=1 5)', '', '');
INSERT INTO buildings VALUES ('781', '11', '26', 'CYG.', TO_DATE('07/12/93','MM/DD/YY'), 'BEAU-FORT', 'SC', '3', '', '3', '1', '72400', '1938', 'S5', 'N', '1986', '1230733', 'S', 'MIN', '', 'LS', 'SW', 'EW', 'SD', 'SF', 'WT', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'NE', 'NE', '1230733', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '300', '100', '300', '100', '14', '42', 'S', 'S', 'C', 'M', 'N', 'G', 'S', '', 'SF', 'SW', 'SW', '17', '1.174', '1.40863', '1.65371', '2035271.875', '2035271.875', '0', '0', '0', '0', '0', '0', '0', '0', '6', '1985 UBC', '', '');
INSERT INTO buildings VALUES ('782', '12', '31', 'CYG.', TO_DATE('07/12/93','MM/DD/YY'), 'BEAU-FORT', 'SC', '3', '', '1', '0', '13100', '1972', 'C3', 'N', '1986', '391671', 'S', 'MIN', '', 'LS', 'SW', 'SD', 'SF', 'WT', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'I', 'NE', '203368', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '121000', 'OT', '141', '106', '141', '106', '14', '14', 'C', 'C', 'PC', 'M', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '15.52', '1.174', '1.40863', '1.65371', '647709.125', '336311.125', '0', '0', '0', '0', '0', '0', '0', '200098.5625', '6', '1985 UBC', '', '');
INSERT INTO buildings VALUES ('783', '12', '31', 'CYG.', TO_DATE('07/12/93','MM/DD/YY'), 'BEAU-FORT', 'SC', '3', '', '3', '0', '19500', '1972', 'C3', 'N', '1986', '917899', 'S', 'MIN', '', 'LS', 'SW', 'SD', 'SF', 'WT', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'I', 'NE', '548092', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '27000', 'R', '116', '59', '116', '59', '14', '42', 'C', 'C', 'C', 'M', 'N', 'G', 'C', '', 'P', 'SW', 'SW', '28.11', '1.174', '1.40863', '1.65371', '1517936.125', '906383.625', '0', '0', '0', '0', '0', '0', '0', '44650.09375', '6', '1985 UBC', '', '');
INSERT INTO buildings VALUES ('784', '12', '31', 'CYG.', TO_DATE('07/12/93','MM/DD/YY'), 'BEAU-FORT', 'SC', '3', '', '3', '0', '13900', '1972', 'C3', 'N', '1986', '678200', 'S', 'MIN', '', 'LS', 'SW', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'I', 'NE', '458450', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '144000', 'R', '112', '40', '112', '40', '14', '42', 'C', 'C', 'PC', 'M', 'N', 'G', 'C', '', 'P', 'SW', 'SW', '32.98', '1.174', '1.40863', '1.65371', '1121544.125', '758142.0625', '0', '0', '0', '0', '0', '0', '0', '238133.828125', '6', 'UBC 1985', '', '');
INSERT INTO buildings VALUES ('785', '12', '31', 'CYG.', TO_DATE('07/12/93','MM/DD/YY'), 'BEAU-FORT', 'SC', '3', '', '2', '0', '26700', '1972', 'C3', 'N', '1986', '1122086', 'S', 'MIN', '', 'LS', 'SW', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'I', 'NE', '619778', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '333000', 'OT', '268', '100', '268', '100', '14', '28', 'C', 'C', 'PC', 'M', 'N', 'G', 'C', '', 'P', 'SW', 'SW', '23.21', '1.174', '1.40863', '1.65371', '1855601.625', '1024931.3125', '0', '0', '0', '0', '0', '0', '0', '550684.5', '6', '1985 UBC', '', '');
INSERT INTO buildings VALUES ('786', '12', '31', 'CYG.', TO_DATE('07/12/93','MM/DD/YY'), 'BEAU-FORT', 'SC', '3', '', '2', '0', '28000', '1982', 'C3', 'N', '1986', '978138', 'S', 'MIN', '', 'LS', 'SW', 'SF', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'I', 'NE', '689204', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '187000', 'R', '250', '50', '250', '50', '', '', 'TT', 'C', 'PC', 'M', 'N', 'G', 'C', '', 'P', 'SW', 'SW', '24.61', '1.174', '1.40863', '1.65371', '1617553.75', '1139741.625', '0', '0', '0', '0', '0', '0', '0', '309243.21875', '6', '1985 UBC', '', '');
INSERT INTO buildings VALUES ('787', '16', '51', 'CYG.', TO_DATE('07/12/93','MM/DD/YY'), 'BEAU-FORT', 'SC', '3', '', '1', '1', '10200', '1981', 'RM1', 'N', '1986', '122343', 'S', 'MIN', '', 'IO', 'BF', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'NE', 'NE', '122343', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '110', '60', '110', '60', '14', '14', 'S', '', 'MD', 'M', 'N', 'G', 'S', 'RM', 'P', 'SW', 'SW', '11.99', '1.174', '1.40863', '1.65371', '202319.484375', '202319.484375', '0', '0', '0', '0', '0', '0', '0', '0', '6', '1985 UBC (I=1 5)', '', '');
INSERT INTO buildings VALUES ('788', '12', '33', 'CYG.', TO_DATE('07/12/93','MM/DD/YY'), 'BEAU-FORT', 'SC', '3', '', '3', '0', '134688', '1961', 'C3', 'N', '1986', '3296845', 'S', 'MIN', '', 'LS', 'EF', 'SF', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'I', 'NE', '3120618', 'P', 'P', 'P', '', '', '', '', '', '', '', '', '121000', 'OT', '368', '172', '368', '172', '14', '42', 'C', 'C', 'C', 'M', 'N', 'G', 'C', '', 'P', 'SW', 'SW', '23.17', '1.174', '1.40863', '1.65371', '5452016', '5160588', '0', '0', '0', '0', '0', '0', '0', '200098.5625', '6', '1985 UBC', '', '');
INSERT INTO buildings VALUES ('789', '16', '55', 'CYG.', TO_DATE('07/12/93','MM/DD/YY'), 'BEAU-FORT', 'SC', '3', '', '5', '0', '245200', '1946', 'S1', 'N', '1986', '15000000', 'S', 'ADD', '', 'IO', 'SW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '9200000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '13', '65', 'S', 'S', 'C', 'N', 'N', 'G', 'S', '', 'SF', 'MF', 'MF', '37.52', '1.174', '1.40863', '1.65371', '24805606', '15214106', '0', '0', '0', '0', '0', '0', '0', '0', '6', '1985 UBC', '', '');
INSERT INTO buildings VALUES ('790', '19', '53', 'CYG.', TO_DATE('07/12/93','MM/DD/YY'), 'BEAU-FORT', 'SC', '3', '', '2', '0', '20500', '1947', 'S5', 'N', '1986', '595000', 'S', 'MIN', '', 'IO', 'EW', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '594925', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'L', '250', '130', '250', '130', '14', '28', 'S', '', 'C', 'N', 'N', 'G', 'S', '', 'SF', 'SW', 'SW', '29.02', '1.174', '1.40863', '1.65371', '983955.75', '983831.6875', '0', '0', '0', '0', '0', '0', '0', '0', '6', '1985 UBC', '', '');
INSERT INTO buildings VALUES ('791', '19', '53', 'CYG.', TO_DATE('07/12/93','MM/DD/YY'), 'BEAU-FORT', 'SC', '3', '', '2', '0', '33200', '1947', 'S5', 'N', '1986', '962500', 'S', 'MIN', '', 'IO', 'EW', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '962500', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'S', '', 'C', 'N', 'N', 'G', 'S', '', 'SF', 'SW', 'SW', '28.99', '1.174', '1.40863', '1.65371', '1591693.125', '1591693.125', '0', '0', '0', '0', '0', '0', '0', '0', '6', '1985 UBC', '', '');
INSERT INTO buildings VALUES ('792', '5', '36', 'CYG.', TO_DATE('07/12/93','MM/DD/YY'), 'SHELBY', 'TN', '5', '', '1', '0', '3750', '1961', 'RM1', 'N', '1989', '60000', 'S', 'MIN', '', 'LS', 'EW', 'EF', 'SD', 'WT', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'NE', 'NE', '57500', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '250', '60', '250', '60', '14', '14', 'S', '', 'MD', 'N', 'N', 'G', '', 'RM', 'SF', 'SW', 'SW', '15.33', '1.1067', '1.30129', '1.44011', '86406.8125', '82806.5234375', '0', '0', '0', '0', '0', '0', '0', '0', '7', '1985 UBC', '', '');
INSERT INTO buildings VALUES ('793', '6', '37', 'CYG.', TO_DATE('07/12/93','MM/DD/YY'), 'SHELBY', 'TN', '5', '', '1', '0', '23300', '1961', 'URM', 'N', '1989', '315000', 'S', 'MIN', '', 'LS', 'BF', 'EW', 'SD', 'SF', 'WT', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'NE', 'NE', '170000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '', '', '', '', '', '', 'S', '', 'MD', 'N', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '7.3', '1.1067', '1.30129', '1.44011', '453635.75', '244819.296875', '0', '0', '0', '0', '0', '0', '0', '0', '7', '1985 UBC', '', '');
INSERT INTO buildings VALUES ('794', '12', '32', 'CYG.', TO_DATE('07/12/93','MM/DD/YY'), 'STCLAIR', 'IL', '4', '', '2', '0', '37200', '1965', 'C3', 'N', '1989', '702000', 'S', 'MIN', '', 'DC', 'EF', 'SD', 'PB', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '550000', 'G', 'P', 'P', '', '', '', '6', '', '', '', '', '100000', 'R', '180', '100', '180', '100', '10', '20', 'C', 'S', 'N', '', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '14.78', '1.1067', '1.13497', '1.25605', '881747.0625', '690827.5', '0', '0', '0', '0', '0', '0', '0', '125604.9921875', '7', '1988 UBC', '', '');
INSERT INTO buildings VALUES ('795', '16', '56', 'CYG.', TO_DATE('07/12/93','MM/DD/YY'), 'SHELBY', 'TN', '5', '', '1', '0', '17900', '1943', 'W2', 'N', '1987', '233000', 'S', 'MIN', '', 'IO', 'SW', 'BF', 'EW', 'SD', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'OK', 'NE', '233000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '204', '50', '204', '50', '', '', 'W', '', 'W', 'M', 'N', 'G', 'W', 'W', 'SF', 'SW', 'SW', '13.02', '1.1472', '1.30129', '1.49282', '347827.375', '347827.375', '0', '0', '0', '0', '0', '0', '0', '0', '7', '1985 UBC (I=1 5)', '', '');
INSERT INTO buildings VALUES ('796', '12', '31', 'CYG.', TO_DATE('07/12/93','MM/DD/YY'), 'SHELBY', 'TN', '5', '', '2', '0', '13100', '1967', 'C3', 'N', '1987', '315000', 'S', 'MIN', '', 'LS', 'BF', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '310000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '169.5', '38', '169.5', '38', '12', '25', 'C', 'C', 'C', 'M', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '23.66', '1.1472', '1.30129', '1.49282', '470238.71875', '462774.625', '0', '0', '0', '0', '0', '0', '0', '0', '7', '1985 UBC', '', '');
INSERT INTO buildings VALUES ('797', '6', '14', 'CYG.', TO_DATE('07/12/93','MM/DD/YY'), 'SHELBY', 'TN', '5', '', '2', '0', '70400', '1953', 'URM', 'N', '1987', '1933000', 'S', 'MIN', '', 'LS', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '1172000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '240', '140', '240', '140', '', '', 'C', 'C', 'C', 'N', 'N', 'G', 'C', 'URM', 'P', 'SW', 'SW', '16.65', '1.1472', '1.30129', '1.49282', '2885623.75', '1749586.625', '0', '0', '0', '0', '0', '0', '0', '0', '7', '1985 UBC', '', '');
INSERT INTO buildings VALUES ('798', '6', '14', 'CYG.', TO_DATE('07/12/93','MM/DD/YY'), 'SHELBY', 'TN', '5', '', '1', '0', '41150', '1953', 'URM', 'N', '1987', '410000', 'S', 'MIN', '', 'LS', 'SW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'OK', 'NE', '410000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '240', '121', '240', '121', '', '', 'C', '', 'C', 'N', 'N', 'G', 'C', 'URM', 'P', 'SW', 'SW', '9.96', '1.1472', '1.30129', '1.49282', '612056.75', '612056.75', '0', '0', '0', '0', '0', '0', '0', '0', '7', '1985 UBC', '', '');
INSERT INTO buildings VALUES ('799', '8', '14', 'CYG.', TO_DATE('07/12/93','MM/DD/YY'), 'SHELBY', 'TN', '5', '', '2', '0', '15000', '1953', 'C1', 'N', '1987', '299000', 'S', 'MIN', '', 'LS', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '242000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '210', '46.5', '210', '46.5', '', '', 'C', 'C', 'C', 'M', 'N', 'G', 'C', '', 'SF', 'MF', 'MF', '16.13', '1.1472', '1.30129', '1.49282', '446353.59375', '361262.78125', '0', '0', '0', '0', '0', '0', '0', '0', '7', '1985 UBC', '', '');
INSERT INTO buildings VALUES ('800', '12', '33', 'CYG.', TO_DATE('07/12/93','MM/DD/YY'), 'SHELBY', 'TN', '5', '', '1', '0', '46200', '1953', 'C3', 'N', '1987', '280000', 'S', 'MIN', '', 'LS', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'OK', 'NE', '280000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '252', '222', '252', '222', '', '', 'C', '', 'C', 'N', 'N', 'G', 'C', '', '', 'SW', 'SW', '6.06', '1.1472', '1.30129', '1.49282', '417989.96875', '417989.96875', '0', '0', '0', '0', '0', '0', '0', '0', '7', '1985 UBC', '', '');
INSERT INTO buildings VALUES ('801', '12', '33', 'CYG.', TO_DATE('07/12/93','MM/DD/YY'), 'SHELBY', 'TN', '5', '', '2', '0', '143600', '1953', 'C3', 'N', '1987', '2400000', 'S', 'MIN', '', 'LS', 'BF', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'I', 'NE', '1533000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '550', '164', '550', '164', '11.5', '23', 'C', 'C', 'C', 'M', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '10.68', '1.1472', '1.30129', '1.49282', '3582771.25', '2288495.25', '0', '0', '0', '0', '0', '0', '0', '0', '7', '1985 UBC', '', '');
INSERT INTO buildings VALUES ('802', '12', '33', 'CYG.', TO_DATE('07/12/93','MM/DD/YY'), 'SHELBY', 'TN', '5', '', '2', '0', '143600', '1953', 'C3', 'N', '1987', '2400000', 'S', 'MIN', '', 'LS', 'BF', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'I', 'NE', '1533000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '550', '164', '550', '164', '11.5', '23', 'C', 'C', 'C', 'M', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '10.68', '1.1472', '1.30129', '1.49282', '3582771.25', '2288495.25', '0', '0', '0', '0', '0', '0', '0', '0', '7', '1985 UBC', '', '');
INSERT INTO buildings VALUES ('803', '12', '33', 'CYG.', TO_DATE('07/12/93','MM/DD/YY'), 'SHELBY', 'TN', '5', '', '2', '0', '55500', '1953', 'C3', 'N', '1987', '450000', 'S', 'MIN', '', 'LS', 'EW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'I', 'NE', '295000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '155000', 'R', '443', '63', '443', '63', '', '', 'C', 'C', 'C', 'M', 'N', 'G', 'C', '', '', 'SW', 'SW', '5.32', '1.1472', '1.30129', '1.49282', '671769.625', '440382.3125', '0', '0', '0', '0', '0', '0', '0', '231387.3125', '7', '1985 UBC', '', '');
INSERT INTO buildings VALUES ('804', '11', '14', 'CYG.', TO_DATE('07/12/93','MM/DD/YY'), 'SHELBY', 'TN', '5', '', '2', '0', '61920', '1953', 'S5', 'N', '1987', '869000', 'S', 'MIN', '', 'LS', 'SW', 'EW', 'SD', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'I', 'NE', '693000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '176000', 'R', '172', '90', '172', '90', '', '', 'S', 'S', 'C', 'M', 'N', 'G', 'S', '', '', 'SW', 'SW', '11.19', '1.1472', '1.30129', '1.49282', '1297261.75', '1034525.1875', '0', '0', '0', '0', '0', '0', '0', '262736.5625', '7', '1985 UBC', '', '');
INSERT INTO buildings VALUES ('805', '11', '14', 'CYG.', TO_DATE('07/12/93','MM/DD/YY'), 'SHELBY', 'TN', '5', '', '2', '0', '30960', '1953', 'S5', 'N', '1987', '330500', 'S', 'MIN', '', 'LS', 'EW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'I', 'NE', '242500', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '88000', 'R', '172', '90', '172', '90', '', '', 'S', 'S', 'C', 'M', 'N', 'G', 'S', '', '', 'SW', 'SW', '7.83', '1.1472', '1.30129', '1.49282', '493377.46875', '362009.1875', '0', '0', '0', '0', '0', '0', '0', '131368.28125', '7', '1985 UBC', '', '');
INSERT INTO buildings VALUES ('806', '5', '12', 'CYG.', TO_DATE('07/12/93','MM/DD/YY'), 'SHELBY', 'TN', '5', '', '1', '0', '74400', '1952', 'PC1', 'N', '1987', '1860400', 'S', 'MIN', '', 'LS', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '1858900', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '364', '214', '364', '214', '14', '14', 'C', '', 'PC', '', 'N', 'G', 'C', 'PC', '', 'SW', 'SW', '24.99', '1.1472', '1.30129', '1.49282', '2777245', '2775005.75', '0', '0', '0', '0', '0', '0', '0', '0', '7', '1985 UBC', '', '');
INSERT INTO buildings VALUES ('807', '5', '14', 'CYG.', TO_DATE('07/13/93','MM/DD/YY'), 'SHELBY', 'TN', '5', '', '4', '0', '27300', '1968', 'C2', 'N', '1987', '1389051', 'S', 'MIN', '', 'LS', 'SW', 'SF', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '777084', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '120', '55', '120', '55', '13', '52', 'C', 'C', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '28.46', '1.1472', '1.30129', '1.49282', '2073605', '1160047.625', '0', '0', '0', '0', '0', '0', '0', '0', '7', '1985 UBC', '', '');
INSERT INTO buildings VALUES ('808', '5', '21', 'CYG.', TO_DATE('07/13/93','MM/DD/YY'), 'SHELBY', 'TN', '5', '', '1', '0', '53240', '1967', 'S1', 'N', '1987', '314000', 'S', 'ADD', '', 'LS', 'BF', 'EF', '', '', '', '', 'N', 'N', 'Y', 'N', 'V', 'I', 'I', 'I', 'NE', '139050', 'G', 'P', 'P', '', '', '', '', '', '', '', '141200', '', 'R', '278', '192', '278', '192', '11', '11', 'S', '', 'MD', 'M', 'N', 'G', 'S', '', 'SF', 'MF', 'MF', '2.61', '1.1472', '1.30129', '1.49282', '468745.90625', '207576.8125', '0', '0', '0', '0', '0', '0', '210786.375', '0', '7', '1985 UBC', '', '');
INSERT INTO buildings VALUES ('809', '10', '12', 'CYG.', TO_DATE('07/13/93','MM/DD/YY'), 'SHELBY', 'TN', '5', '', '3', '0', '16100', '1979', 'C2', 'N', '1987', '33400', 'S', 'MIN', '', 'LS', 'SW', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'NE', 'NE', 'NE', '33340', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '140', '79', '140', '79', '10', '30', 'S', 'FS', 'MD', 'CW', 'N', 'G', 'C', 'C', 'P', 'SW', 'SW', '2.07', '1.1472', '1.30129', '1.49282', '49860.234375', '49770.6640625', '0', '0', '0', '0', '0', '0', '0', '0', '7', '1985 UBC', '', '');
INSERT INTO buildings VALUES ('810', '8', '22', 'CYG.', TO_DATE('07/13/93','MM/DD/YY'), 'SHELBY', 'TN', '5', '', '2', '0', '26400', '1961', 'C1', 'N', '1987', '1532300', 'S', 'ADD', '', 'LS', 'EF', '', '', '', '', '', 'N', 'N', 'Y', 'N', 'V', 'I', 'NE', 'I', 'NE', '504760', 'G', 'P', 'P', '', '', '', '', '', '', '', '551015', '', 'OT', '281', '167', '281', '167', '13', '26', 'S', 'FS', 'MD', 'M', 'N', 'G', 'C', '', 'P', 'MF', 'MF', '19.12', '1.1472', '1.30129', '1.49282', '2287450.25', '753516.5', '0', '0', '0', '0', '0', '0', '822566.9375', '0', '7', '1985 UBC', '', '');
INSERT INTO buildings VALUES ('811', '12', '31', 'CYG.', TO_DATE('07/13/93','MM/DD/YY'), 'SHELBY', 'TN', '5', '', '2', '0', '34700', '1976', 'C3', 'N', '1987', '906800', 'S', 'MIN', '', 'LS', 'SW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'NE', 'NE', 'NE', '906800', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '160', '156', '160', '156', '14', '35', 'TT', 'C', 'MD', 'M', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '26.13', '1.1472', '1.30129', '1.49282', '1353690.375', '1353690.375', '0', '0', '0', '0', '0', '0', '0', '0', '7', '1985 UBC', '', '');
INSERT INTO buildings VALUES ('812', '11', '12', 'CYG.', TO_DATE('07/12/93','MM/DD/YY'), 'SHELBY', 'TN', '5', '', '1', '0', '10100', '1969', 'S5', 'N', '1987', '84200', 'S', 'MIN', '', 'LS', 'BF', 'EW', 'SD', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'NE', 'NE', 'NE', '84200', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '101', '100', '101', '100', '14', '14', 'S', '', 'MD', 'M', 'N', 'G', 'S', '', 'SF', 'SW', 'SW', '8.34', '1.1472', '1.30129', '1.49282', '125695.5625', '125695.5625', '0', '0', '0', '0', '0', '0', '0', '0', '7', '', '', '');
INSERT INTO buildings VALUES ('813', '10', '21', 'CYG.', TO_DATE('07/12/93','MM/DD/YY'), 'SHELBY', 'TN', '5', '', '1', '0', '40490', '1971', 'C1', 'N', '1987', '679500', 'S', 'ADD', '', 'LS', 'SW', '', '', '', '', '', 'N', 'N', 'Y', 'N', 'V', 'I', 'NE', 'I', 'NE', '299500', 'G', 'P', 'P', '', '', '', '', '', '', '', '380200', '', 'L', '302', '252', '302', '252', '12.5', '12.5', 'C', '', 'C', 'M', 'N', 'G', 'C', '', 'P', 'MF', 'MF', '7.4', '1.1472', '1.30129', '1.49282', '1014372.125', '447100', '0', '0', '0', '0', '0', '0', '567570.6875', '0', '7', '', '', '');
INSERT INTO buildings VALUES ('814', '10', '18', 'CYG.', TO_DATE('07/12/93','MM/DD/YY'), 'SHELBY', 'TN', '5', '', '2', '0', '5780', '1971', 'S1', 'N', '1987', '214500', 'S', 'MIN', '', 'LS', 'EF', 'SF', '', '', '', '', 'N', 'N', 'Y', 'N', 'V', 'I', 'I', 'NE', 'NE', '161200', 'G', 'P', 'P', '', '', '', '', '', '', '', '50000', '', 'R', '85', '68', '85', '68', '9', '18', 'S', 'S', 'MD', 'M', 'Y', 'G', 'S', '', 'SF', 'MF', 'MF', '27.89', '1.1472', '1.30129', '1.49282', '320210.1875', '240642.8125', '0', '0', '0', '0', '0', '0', '74641.0703125', '0', '7', '1985 UBC', '', '');
INSERT INTO buildings VALUES ('815', '10', '28', 'CYG.', TO_DATE('07/12/93','MM/DD/YY'), 'SHELBY', 'TN', '5', '', '1', '0', '6045', '1972', 'URM', 'N', '1987', '289950', 'S', 'MIN', '', 'LS', 'SW', 'SD', '', '', '', '', 'N', 'N', 'Y', 'N', 'V', 'I', 'NE', 'NE', 'NE', '266700', 'G', 'P', 'P', '', '', '', '', '', '', '', '23246', '', 'R', '204', '75', '204', '75', '8', '8', 'W', '', 'W', 'M', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '44.12', '1.1472', '1.30129', '1.49282', '432843.5625', '398135.46875', '0', '0', '0', '0', '0', '0', '34702.125', '0', '7', '1985 UBC', '', '');
INSERT INTO buildings VALUES ('816', '10', '23', 'CYG.', TO_DATE('07/12/93','MM/DD/YY'), 'SHELBY', 'TN', '5', '', '1', '0', '111289', '1975', 'S1', 'N', '1987', '313000', 'S', 'MIN', '', 'LS', 'BF', '', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'NE', 'I', 'NE', '174358', 'G', 'P', 'P', '', '', '', '', '', '', '', '138990', '', 'R', '280', '253', '280', '253', '17', '29', 'S', '', 'MD', 'PC', 'N', 'G', 'S', '', 'SF', 'MF', 'MF', '1.57', '1.1472', '1.30129', '1.49282', '467253.09375', '260285.34375', '0', '0', '0', '0', '0', '0', '207487.25', '0', '7', '1985 UBC', '', '');
INSERT INTO buildings VALUES ('817', '10', '23', 'CYG.', TO_DATE('07/12/93','MM/DD/YY'), 'MADISON', 'IL', '3', '', '2', '0', '30000', '1971', 'C2', 'N', '1988', '564000', 'S', 'MIN', '', 'DC', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '484000', 'G', 'P', 'P', '', '', '', '', '', '', '', '84000', '', 'R', '155', '100', '155', '100', '13', '32', 'S', 'C', 'C', 'M', 'N', 'G', 'C', '', 'P', 'SW', 'SW', '16.13', '1.122', '1.13497', '1.27345', '718228.5', '616352.125', '0', '0', '0', '0', '0', '0', '106970.203125', '0', '7', '1988 UBC/GSA SEISMIC DESIGN ', '', '');
INSERT INTO buildings VALUES ('818', '7', '14', 'CYG.', TO_DATE('07/12/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S1', '2', '0', '7320', '1931', 'C2', 'N', '1993', '213000', 'S', 'MIN', '', 'LS', 'EW', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '197700', 'G', 'P', 'P', '', '36250', '15750', '4', '', '', '', '', '15200', 'OT', '104', '100', '104', '100', '18', '24', 'C', 'C', 'C', 'S', 'N', 'F', 'C', 'C', 'SF', 'SW', 'SW', '27.01', '1', '1', '1', '213000', '197700', '0', '36250', '15750', '0', '0', '0', '0', '15200', '7', 'BSSC NEHRP 1992/75% 1991 UBC', '', '');
INSERT INTO buildings VALUES ('819', '11', '12', 'CYG.', TO_DATE('07/12/93','MM/DD/YY'), 'FRANKLIN', 'IL', '4', '', '2', '0', '41100', '1958', 'S5', 'N', '1988', '732800', 'S', 'MIN', '', 'DC', 'SW', 'EW', 'SD', 'WT', 'PB', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '641800', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '193', '100', '193', '100', '16', '', 'S', 'S', 'MDF', 'ST', 'N', 'G', 'S', '', 'SF', 'SW', 'SW', '15.62', '1.122', '1.13497', '1.27345', '933187.6875', '817303.3125', '0', '0', '0', '0', '0', '0', '0', '0', '7', '1988 GSA "SEISMIC DESIGN OF BL', '', '');
INSERT INTO buildings VALUES ('821', '9', '23', 'CYG.', TO_DATE('07/12/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S3', '2', '1', '20590', '1966', 'C2', 'N', '1993', '392300', 'S', 'MIN', '', 'DC', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'I', 'NE', '390000', 'G', 'P', 'P', '', '58100', '29600', '6', '', '', '', '', '2250', 'L', '127', '52', '127', '52', '', '25', 'C', 'C', 'C', 'PC', 'N', 'G', 'C', 'C', 'P', 'SW', 'SW', '18.94', '1', '1', '1', '392300', '390000', '0', '58100', '29600', '0', '0', '0', '0', '2250', '7', '100% 1991 UBC ', '', '');
INSERT INTO buildings VALUES ('822', '9', '23', 'CYG.', TO_DATE('07/12/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S1', '2', '1', '22950', '1967', 'C2', 'N', '1993', '107200', 'S', 'MIN', '', 'DC', 'SW', 'EW', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'I', 'NE', '100000', 'G', 'P', 'P', '', '20900', '7700', '6', '', '', '', '', '7000', 'R', '144', '54', '144', '54', '', '34.5', 'C', 'C', 'C', 'N', '', '', 'C', 'C', 'SF', 'SW', 'SW', '4.36', '1', '1', '1', '107200', '100000', '0', '20900', '7700', '0', '0', '0', '0', '7000', '7', '100% 1991 UBC ', '', '');
INSERT INTO buildings VALUES ('823', '14', '43', 'CYG.', TO_DATE('07/12/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S4', '1', '0', '4800', '1960', 'RM1', 'N', '1993', '309000', 'S', 'MIN', '', 'IO', 'BF', 'SF', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'OK', 'OK', 'NE', '309000', 'G', 'P', 'P', '', '47000', '10000', '6', '', '', '', '', '', 'L', '74', '21', '74', '21', '15', '15', 'S', '', 'MD', 'N', 'N', 'G', 'S', 'RM', 'SF', 'SW', 'SW', '64.38', '1', '1', '1', '309000', '309000', '0', '47000', '10000', '0', '0', '0', '0', '0', '7', '1991 UBC (I=1 25) ', '', '');
INSERT INTO buildings VALUES ('824', '17', '52', 'CYG.', TO_DATE('07/12/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S4', '1', '0', '16800', '1960', 'S1', 'N', '1993', '56000', 'S', 'MIN', '', 'IO', 'BF', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'I', 'NE', '53900', 'G', 'P', 'P', '', '9400', '1700', '6', '2100', '', '', '', '', 'R', '280', '60', '280', '60', '', '20.5', 'S', '', 'MD', 'CW', 'N', 'G', 'S', '', 'P', 'MF', 'MF', '3.21', '1', '1', '1', '56000', '53900', '0', '9400', '1700', '2100', '0', '0', '0', '0', '7', '1991 UBC (I=1 25) ', '', '');
INSERT INTO buildings VALUES ('825', '13', '19', 'RHATKINSON', TO_DATE('06/30/93','MM/DD/YY'), 'JACKSON', 'MO', '3', '', '1', '0', '220000', '1943', 'URM', 'N', '1992', '4986000', 'S', 'ADD', '', 'RR', '', '', '', '', '', '', 'Y', 'N', 'Y', 'Y', 'TR', 'I', 'OK', 'OK', 'NE', '2100000', 'G', 'P', 'P', '', '', '', '', '1104000', '880000', '', '', '', 'C', '350', '200', '350', '200', '', '', 'W', 'TT', 'W', 'N', 'N', 'F', 'S', 'URM', 'SF', 'BF', 'SW', '9.55', '1.0286', '1.12348', '1.15559', '5761784.5', '2426744.25', '0', '0', '0', '1275774.125', '1016921.4375', '0', '0', '0', '6', 'CORP OF ENG TM 5-809-10-2-10 ', '', '');
INSERT INTO buildings VALUES ('826', '12', '33', 'SILVER YLOR', TO_DATE('07/14/93','MM/DD/YY'), 'WEBER', 'UT', '5', '', '4', '1', '54000', '1932', 'C3', 'N', '1992', '1128000', 'S', 'MIN', '', 'DC', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '1128000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'C', '106', '106', '106', '106', '', '', 'C', 'C', 'C', 'N', 'N', 'G', 'C', '', 'P', 'SW', 'SW', '20.89', '1.0286', '1.25993', '1.29594', '1461823.375', '1461823.375', '0', '0', '0', '0', '0', '0', '0', '0', '5', '1991 UBC', '', '');
INSERT INTO buildings VALUES ('827', '12', '33', 'SILVER YLOR', TO_DATE('07/14/93','MM/DD/YY'), 'WEBER', 'UT', '5', '', '4', '1', '54000', '1932', 'C3', 'N', '1992', '2074000', 'S', 'MIN', '', 'DC', 'IS', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '2074000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'C', '106', '106', '', '', '', '', 'C', 'C', 'C', 'N', 'N', 'G', 'C', '', 'P', 'SW', 'SW', '38.41', '1.0286', '1.25993', '1.29594', '2687785', '2687785', '0', '0', '0', '0', '0', '0', '0', '0', '5', '1991 UBC', '', '');
INSERT INTO buildings VALUES ('828', '1', '2', 'SILVER YLOR', TO_DATE('07/14/93','MM/DD/YY'), 'SILVERBOW', 'MT', '3', '', '3', '1', '62000', '1902', 'URM', 'Y', '1992', '1916300', 'S', 'MIN', '', 'DC', 'SW', 'PB', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '1480000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '436300', '', '', '', '', '', '', '', 'W', 'W', 'W', 'N', 'N', 'G', '', 'URM', '', 'SW', 'SW', '23.87', '1.0286', '1.24022', '1.27567', '2444568', '1887992.875', '0', '0', '0', '0', '0', '0', '0', '556575.1875', '5', '1991 UBC', '', '');
INSERT INTO buildings VALUES ('829', '9', '23', 'SILVER YLOR', TO_DATE('07/14/93','MM/DD/YY'), 'WEBER', 'UT', '5', '', '6', '1', '191000', '1964', 'C2', 'N', '1992', '2717500', 'S', 'MIN', '', 'DC', 'SW', 'SF', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '2188000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '529500', 'R', '217', '155', '217', '127', '', '', 'WS', 'WS', 'C', 'N', 'N', 'G', 'C', '', 'M', 'SW', 'SW', '11.46', '1.0286', '1.25993', '1.29594', '3521724.25', '2835522.5', '0', '0', '0', '0', '0', '0', '0', '686201.625', '5', '1991 UBC', '', '');
INSERT INTO buildings VALUES ('830', '9', '23', 'SILVER YLOR', TO_DATE('07/14/93','MM/DD/YY'), 'WEBER', 'UT', '5', '', '6', '1', '191000', '1964', 'C2', 'N', '1992', '3209000', 'S', 'MIN', '', 'DC', 'SW', 'SF', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '2679500', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '529500', 'R', '217', '155', '217', '127', '', '', 'WS', 'WS', '', 'N', 'N', 'G', 'C', 'C', 'M', 'SW', 'SW', '14.03', '1.0286', '1.25993', '1.29594', '4158680', '3472478.25', '0', '0', '0', '0', '0', '0', '0', '686201.625', '5', '1991 UBC', '', '');
INSERT INTO buildings VALUES ('831', '1', '2', 'SILVER YLOR', TO_DATE('07/14/93','MM/DD/YY'), 'SILVERBOW', 'MT', '3', '', '3', '1', '62000', '1902', 'URM', 'Y', '1992', '3186300', 'S', 'MIN', '', 'DC', 'IS', 'PB', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '2750000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '436300', '', '', '', '', '', '', '', 'W', 'W', 'W', 'N', 'N', 'G', '', 'URM', '', 'SW', 'SW', '44.35', '1.0286', '1.24022', '1.27567', '4064670', '3508094.75', '0', '0', '0', '0', '0', '0', '0', '556575.1875', '5', '1991 UBC', '', '');
INSERT INTO buildings VALUES ('832', '1', '2', 'BPLW', TO_DATE('07/14/93','MM/DD/YY'), 'BER LILLO', 'NM', '3', '', '3', '1', '56500', '1908', 'URM', 'Y', '1993', '1460000', 'S', 'MIN', '', 'DC', 'SW', 'SD', 'SF', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '1314000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '146000', '', '', '', '', '', '', '', 'W', 'W', 'W', 'N', '', '', '', 'URM', '', 'SW', 'SW', '23.26', '1', '1.25', '1.25', '1825000', '1642500', '0', '0', '0', '0', '0', '0', '0', '182500', '4', '1991 UBC', '', '');
INSERT INTO buildings VALUES ('833', '1', '2', 'BPLW', TO_DATE('07/14/93','MM/DD/YY'), 'BER LILLO', 'NM', '3', '', '3', '1', '56500', '1908', 'URM', 'Y', '1993', '4642000', 'S', 'MIN', '', 'DC', 'SW', 'IS', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '4496000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '146000', '', '', '', '', '', '', '', 'W', 'W', 'W', 'N', 'N', 'G', '', 'URM', '', 'SW', 'SW', '79.58', '1', '1.25', '1.25', '5802500', '5620000', '0', '0', '0', '0', '0', '0', '0', '182500', '4', '1991 UBC', '', '');
INSERT INTO buildings VALUES ('834', '1', '7', 'REAVELEY', TO_DATE('07/19/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '10', '0', '313000', '1909', 'S5', 'Y', '1988', '4910000', 'S', 'MIN', '', 'LS', 'IS', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '4910000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '275', '200', '275', '200', '', '', 'S', 'S', 'C', 'M', '', '', 'S', '', '', 'SW', 'SW', '15.69', '1.122', '1.25993', '1.41366', '6941094.5', '6941094.5', '0', '0', '0', '0', '0', '0', '0', '0', '6', '', '', '');
INSERT INTO buildings VALUES ('835', '1', '7', 'REAVELEY', TO_DATE('07/19/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '10', '0', '313000', '1909', 'S5', 'Y', '1988', '3570000', 'S', 'MIN', '', 'LS', 'BF', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '3570000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '275', '200', '275', '200', '', '', 'S', 'S', 'C', 'M', '', '', 'S', '', '', 'SW', 'SW', '11.41', '1.122', '1.25993', '1.41366', '5046784', '5046784', '0', '0', '0', '0', '0', '0', '0', '0', '6', '', '', '');
INSERT INTO buildings VALUES ('836', '8', '14', 'SILVER YLOR', TO_DATE('07/13/93','MM/DD/YY'), 'GALLATIN', 'MT', '7', '', '5', '1', '88000', '1964', 'C1', 'N', '1992', '1713500', 'S', 'MIN', '', 'LS', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'NE', 'I', 'NE', '1184000', 'G', 'P', 'P', '', '', '', '', '', '', '', '529500', '', 'R', '200', '168', '200', '110', '', '', '', '', '', 'CW', 'N', 'G', 'C', '', '', 'MF', 'MF', '13.45', '1.0286', '1.24022', '1.27567', '2185862', '1510394.25', '0', '0', '0', '0', '0', '0', '675467.6875', '0', '5', '1991 UBC', '', '');
INSERT INTO buildings VALUES ('837', '5', '12', 'REAVELEY', TO_DATE('6/1/1993','MM/DD/YY'), 'SALTLAKE', 'UT', '5', 'S3', '11', '2', '53800', '1963', 'S1', 'N', '1987', '710800', 'S', 'MIN', '', 'LS', 'SW', 'BF', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'NE', 'NE', 'NE', '710800', 'G', 'F', 'F', '', '', '', '', '', '', '', '', '', 'R', '102', '48', '102', '48', '13', '235', 'S', 'S', 'MD', 'PC', 'N', 'G', 'S', '', 'P', 'MF', 'MF', '13.21', '1.1472', '1.25993', '1.44538', '1027373.5625', '1027373.5625', '0', '0', '0', '0', '0', '0', '0', '0', '7', '1985 UBC ZONE 3 BASE SHEAR', '', '');
INSERT INTO buildings VALUES ('838', '1', '2', 'REAVELEY', TO_DATE('07/14/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '3', '0', '33600', '1900', 'URM', 'N', '1987', '631700', 'S', 'MIN', '', 'LS', 'EW', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '631700', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', 'W', 'W', 'N', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '18.8', '1.1472', '1.25993', '1.44538', '913044.3125', '913044.3125', '0', '0', '0', '0', '0', '0', '0', '0', '6', '', '', '');
INSERT INTO buildings VALUES ('839', '1', '2', 'REAVELEY', TO_DATE('07/14/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '2', '0', '12100', '1900', 'URM', 'N', '1987', '189340', 'S', 'MIN', '', 'LS', 'EW', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '189340', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', 'W', 'W', 'N', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '15.65', '1.1472', '1.25993', '1.44538', '273667.59375', '273667.59375', '0', '0', '0', '0', '0', '0', '0', '0', '6', '', '', '');
INSERT INTO buildings VALUES ('840', '11', '26', 'REAVELEY', TO_DATE('07/14/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '1', '0', '100000', '1957', 'S5', 'N', '1989', '1765000', 'S', 'MIN', '', 'LS', 'EW', 'SD', 'SF', 'PB', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '1765000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', 'N', 'N', 'G', 'S', '', '', 'SW', 'SW', '17.65', '1.1067', '1.25993', '1.39434', '2461016.75', '2461016.75', '0', '0', '0', '0', '0', '0', '0', '0', '6', '', '', '');
INSERT INTO buildings VALUES ('841', '12', '32', 'REAVELEY', TO_DATE('07/14/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '1', '0', '3850', '1965', 'C3', 'N', '1989', '12000', 'S', 'MIN', '', 'LS', 'EW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '12000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', '', 'W', 'N', 'N', 'G', 'C', '', '', 'SW', 'SW', '3.12', '1.1067', '1.25993', '1.39434', '16732.125', '16732.125', '0', '0', '0', '0', '0', '0', '0', '0', '6', '', '', '');
INSERT INTO buildings VALUES ('842', '10', '22', 'REAVELEY', TO_DATE('07/14/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '1', '0', '1600', '1978', 'RM1', 'N', '1989', '2000', 'S', 'MIN', '', 'LS', 'SD', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '2000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', '', 'W', 'N', 'N', 'G', 'S', 'RM', '', 'SW', 'SW', '1.25', '1.1067', '1.25993', '1.39434', '2788.6875', '2788.6875', '0', '0', '0', '0', '0', '0', '0', '0', '6', '', '', '');
INSERT INTO buildings VALUES ('843', '11', '26', 'REAVELEY', TO_DATE('07/14/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '1', '0', '197000', '1950', 'S5', 'N', '1989', '1300000', 'S', 'MIN', '', 'LS', 'EW', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '1300000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'S', '', 'W', 'N', 'N', 'G', 'S', '', '', 'SW', 'SW', '6.6', '1.1067', '1.25993', '1.39434', '1812646.875', '1812646.875', '0', '0', '0', '0', '0', '0', '0', '0', '6', '', '', '');
INSERT INTO buildings VALUES ('844', '10', '22', 'REAVELEY', TO_DATE('07/14/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '2', '0', '5400', '1978', 'RM1', 'N', '1989', '18000', 'S', 'MIN', '', 'LS', 'SD', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '18000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'S', '', 'MD', 'N', 'N', 'G', '', 'RM', '', 'SW', 'SW', '3.33', '1.1067', '1.25993', '1.39434', '25098.1875', '25098.1875', '0', '0', '0', '0', '0', '0', '0', '0', '6', '', '', '');
INSERT INTO buildings VALUES ('845', '11', '26', 'REAVELEY', TO_DATE('07/14/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '2', '0', '115350', '1954', 'S5', 'N', '1989', '2036000', 'S', 'MIN', '', 'LS', 'EW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '2036000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'S', 'S', 'MDF', 'N', 'N', 'G', 'S', '', '', 'SW', 'SW', '17.65', '1.1067', '1.25993', '1.39434', '2838884', '2838884', '0', '0', '0', '0', '0', '0', '0', '0', '6', '', '', '');
INSERT INTO buildings VALUES ('846', '11', '26', 'REAVELEY', TO_DATE('07/14/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '2', '0', '102000', '1957', 'S5', 'N', '1989', '1912500', 'S', 'MIN', '', 'LS', 'EW', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '1912500', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'S', 'C', 'W', 'N', 'N', 'G', 'S', '', '', 'SW', 'SW', '18.75', '1.1067', '1.25993', '1.39434', '2666682.5', '2666682.5', '0', '0', '0', '0', '0', '0', '0', '0', '6', '', '', '');
INSERT INTO buildings VALUES ('847', '4', '23', 'REAVELEY', TO_DATE('07/14/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '2', '0', '575', '1978', 'RM1', 'N', '1989', '4500', 'S', 'MIN', '', 'LS', 'EW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '4500', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'S', 'S', 'MD', 'N', 'N', 'G', '', 'RM', '', 'SW', 'SW', '7.83', '1.1067', '1.25993', '1.39434', '6274.546875', '6274.546875', '0', '0', '0', '0', '0', '0', '0', '0', '6', '', '', '');
INSERT INTO buildings VALUES ('850', '1', '5', 'REAVELEY', TO_DATE('07/14/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '3', '0', '94405', '1914', 'S5', '', '1991', '1859729', 'S', 'MIN', '', 'LS', '', '', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'NE', 'NE', 'I', '1693626', 'G', 'P', 'P', '', '', '', '', '', '', '', '130135', '35968', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '17.94', '1.0596', '1.25993', '1.33504', '2482817', '2261062.5', '0', '0', '0', '0', '0', '0', '173735.734375', '48018.80078125', '6', '1988 UBC (Z= 3) ', '', '');
INSERT INTO buildings VALUES ('851', '11', '20', 'REAVELEY', TO_DATE('07/19/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '4', '0', '65214', '1929', 'S5', '', '1991', '1501456', 'S', 'MIN', '', 'LS', 'SW', '', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'NE', 'NE', 'I', '1364929', 'G', 'P', 'P', '', '', '', '', '', '', '', '123713', '12815', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '20.93', '1.0596', '1.25993', '1.33504', '2004507.375', '1822238', '0', '0', '0', '0', '0', '0', '165162.09375', '17108.568359375', '6', '1988 UBC (Z= 3) ', '', '');
INSERT INTO buildings VALUES ('852', '6', '18', 'REAVELEY', TO_DATE('07/19/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '3', '0', '36572', '1928', 'URM', '', '1991', '1403733', 'S', 'MIN', '', 'LS', 'SW', 'EW', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'NE', 'NE', 'I', '1324232', 'G', 'P', 'P', '', '', '', '', '', '', '', '72315', '7186', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '36.21', '1.0596', '1.25993', '1.33504', '1874043', '1767905.75', '0', '0', '0', '0', '0', '0', '96543.5859375', '9593.6142578125', '6', '1988 UBC (Z= 3) ', '', '');
INSERT INTO buildings VALUES ('853', '12', '33', 'REAVELEY', TO_DATE('07/19/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '3', '0', '86900', '1933', 'C3', '', '1991', '2107999', 'S', 'MIN', '', 'LS', '', '', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'NE', 'NE', 'I', '1948733', 'G', 'P', 'P', '', '', '', '', '', '', '', '123420', '35848', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '22.43', '1.0596', '1.25993', '1.33504', '2814268', '2601641', '0', '0', '0', '0', '0', '0', '164770.921875', '47858.59765625', '6', '1988 UBC (Z= 3) ', '', '');
INSERT INTO buildings VALUES ('854', '12', '32', 'REAVELEY', TO_DATE('07/19/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '2', '0', '35474', '', 'C3', '', '1991', '700867', 'S', 'MIN', '', 'LS', '', '', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'NE', 'NE', 'I', '636404', 'G', 'P', 'P', '', '', '', '', '', '', '', '59276', '5188', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '17.94', '1.0596', '1.25993', '1.33504', '935687.125', '849626.25', '0', '0', '0', '0', '0', '0', '79135.96875', '6926.19970703125', '6', '1988 UBC (Z= 3) ', '', '');
INSERT INTO buildings VALUES ('855', '12', '32', 'REAVELEY', TO_DATE('07/19/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '4', '0', '36868', '', 'C3', '', '1991', '846724', 'S', 'MIN', '', 'LS', '', '', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'NE', 'NE', 'I', '771647', 'G', 'P', 'P', '', '', '', '', '', '', '', '60283', '14793', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '20.93', '1.0596', '1.25993', '1.33504', '1130412.375', '1030181.4375', '0', '0', '0', '0', '0', '0', '80480.359375', '19749.28125', '6', '1988 UBC (Z= 3) ', '', '');
INSERT INTO buildings VALUES ('856', '1', '5', 'REAVELEY', TO_DATE('07/19/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '3', '0', '36620', '1901', 'URM', '', '1991', '827699', 'S', 'MIN', '', 'LS', '', '', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'NE', 'NE', 'I', '766457', 'G', 'P', 'P', '', '', '', '', '', '', '', '52545', '8697', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '20.93', '1.0596', '1.25993', '1.33504', '1105013.25', '1023252.5625', '0', '0', '0', '0', '0', '0', '70149.796875', '11610.86328125', '6', '1988 UBC (Z= 3) ', '', '');
INSERT INTO buildings VALUES ('857', '12', '32', 'REAVELEY', TO_DATE('07/19/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '4', '0', '26160', '', 'C3', '', '1991', '541918', 'S', 'MIN', '', 'LS', '', '', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'NE', 'NE', 'I', '488865', 'G', 'P', 'P', '', '', '', '', '', '', '', '42556', '10497', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '18.69', '1.0596', '1.25993', '1.33504', '723483.5', '652655.5', '0', '0', '0', '0', '0', '0', '56814.0625', '14013.939453125', '6', '1988 UBC (Z= 3) ', '', '');
INSERT INTO buildings VALUES ('858', '5', '22', 'REAVELEY', TO_DATE('07/19/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '8', '0', '96000', '1968', 'C2', '', '1991', '767575', 'S', 'MIN', '', 'LS', '', '', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'NE', 'NE', 'I', '574080', 'G', 'P', 'P', '', '', '', '', '', '', '', '154975', '38520', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '5.98', '1.0596', '1.25993', '1.33504', '1024745.125', '766421.125', '0', '0', '0', '0', '0', '0', '206898.1875', '51425.83203125', '6', '1988 UBC (Z= 3) ', '', '');
INSERT INTO buildings VALUES ('859', '1', '5', 'REAVELEY', TO_DATE('07/19/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '3', '0', '25830', '1901', 'URM', '', '1991', '592492', 'S', 'MIN', '', 'LS', '', '', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'NE', 'NE', 'I', '540622', 'G', 'P', 'P', '', '', '', '', '', '', '', '48093', '3778', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '20.93', '1.0596', '1.25993', '1.33504', '791001.875', '721753.25', '0', '0', '0', '0', '0', '0', '64206.19140625', '5043.7900390625', '6', '1988 UBC (Z= 3) ', '', '');
INSERT INTO buildings VALUES ('860', '6', '28', 'REAVELEY', TO_DATE('07/19/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '2', '0', '20197', '1920', 'URM', '', '1991', '596507', 'S', 'MIN', '', 'LS', '', '', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'NE', 'NE', 'I', '543501', 'G', 'P', 'P', '', '', '', '', '', '', '', '50052', '2954', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '26.91', '1.0596', '1.25993', '1.33504', '796362.125', '725596.8125', '0', '0', '0', '0', '0', '0', '66821.5390625', '3943.71508789063', '6', '1988 UBC (Z= 3) ', '', '');
INSERT INTO buildings VALUES ('861', '1', '5', 'REAVELEY', TO_DATE('07/19/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '2', '0', '8840', '1914', 'URM', '', '1991', '264744', 'S', 'MIN', '', 'LS', '', '', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'NE', 'NE', 'I', '237844', 'G', 'P', 'P', '', '', '', '', '', '', '', '24020', '2840', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '26.91', '1.0596', '1.25993', '1.33504', '353444.4375', '317531.8125', '0', '0', '0', '0', '0', '0', '32067.716796875', '3791.52026367188', '6', '1988 UBC (Z= 3) ', '', '');
INSERT INTO buildings VALUES ('862', '1', '5', 'REAVELEY', TO_DATE('07/19/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '2', '0', '29848', '1902', 'URM', '', '1991', '853168', 'S', 'MIN', '', 'LS', '', '', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'NE', 'NE', 'I', '803210', 'G', 'P', 'P', '', '', '', '', '', '', '', '37982', '11977', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '26.91', '1.0596', '1.25993', '1.33504', '1139015.375', '1072319.375', '0', '0', '0', '0', '0', '0', '50707.578125', '15989.8017578125', '6', '1988 UBC (Z= 3) ', '', '');
INSERT INTO buildings VALUES ('863', '1', '5', 'REAVELEY', TO_DATE('07/19/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '2', '0', '8652', '1904', 'C3', '', '1991', '161572', 'S', 'MIN', '', 'LS', '', '', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'NE', 'NE', 'I', '142282', 'G', 'P', 'P', '', '', '', '', '', '', '', '17235', '2055', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '16.44', '1.0596', '1.25993', '1.33504', '215705.453125', '189952.5', '0', '0', '0', '0', '0', '0', '23009.455078125', '2743.51196289063', '6', '1988 UBC (Z= 3) ', '', '');
INSERT INTO buildings VALUES ('864', '6', '28', 'REAVELEY', TO_DATE('07/19/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '3', '0', '27009', '1919', 'URM', '', '1991', '488351', 'S', 'MIN', '', 'LS', '', '', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'NE', 'NE', 'I', '432144', 'G', 'P', 'P', '', '', '', '', '', '', '', '47530', '8677', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '16', '1.0596', '1.25993', '1.33504', '651969.25', '576930.5625', '0', '0', '0', '0', '0', '0', '63454.5625', '11584.162109375', '6', '1988 UBC (Z= 3) ', '', '');
INSERT INTO buildings VALUES ('865', '5', '23', 'REAVELEY', TO_DATE('07/19/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '14', '0', '107529', '1968', 'C2', '', '1991', '3612638', 'S', 'MIN', '', 'LS', 'SW', 'SF', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'NE', 'NE', 'I', '3409750', 'G', 'P', 'P', '', '', '', '', '', '', '', '187161', '15726', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '31.71', '1.0596', '1.25993', '1.33504', '4823024.5', '4552160.5', '0', '0', '0', '0', '0', '0', '249867.859375', '20994.875', '6', '1988 UBC (Z= 3) ', '', '');
INSERT INTO buildings VALUES ('866', '5', '21', 'REAVELEY', TO_DATE('07/19/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '3', '0', '44770', '1968', 'C2', '', '1991', '402347', 'S', 'MIN', '', 'LS', '', '', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'NE', 'NE', 'I', '334656', 'G', 'P', 'P', '', '', '', '', '', '', '', '57058', '10633', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '7.48', '1.0596', '1.25993', '1.33504', '537150.25', '446779.9375', '0', '0', '0', '0', '0', '0', '76174.84375', '14195.5048828125', '6', '1988 UBC (Z= 3) ', '', '');
INSERT INTO buildings VALUES ('867', '5', '22', 'REAVELEY', TO_DATE('07/19/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '1', '0', '8736', '1968', 'RM1', '', '1991', '81979', 'S', 'MIN', '', 'LS', '', '', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'NE', 'NE', 'I', '65302', 'G', 'P', 'P', '', '', '', '', '', '', '', '15400', '1278', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '7.48', '1.0596', '1.25993', '1.33504', '109445.4375', '87180.9375', '0', '0', '0', '0', '0', '0', '20559.65234375', '1706.18408203125', '6', '1988 UBC (Z= 3) ', '', '');
INSERT INTO buildings VALUES ('868', '6', '19', 'REAVELEY', TO_DATE('07/19/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '3', '0', '72250', '1939', 'URM', '', '1991', '1143673', 'S', 'MIN', '', 'LS', '', '', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'NE', 'NE', 'I', '1080138', 'G', 'P', 'P', '', '', '', '', '', '', '', '59562', '3974', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '14.95', '1.0596', '1.25993', '1.33504', '1526851.875', '1442030', '0', '0', '0', '0', '0', '0', '79517.7890625', '5305.4580078125', '6', '1988 UBC (Z= 3) ', '', '');
INSERT INTO buildings VALUES ('869', '6', '18', 'REAVELEY', TO_DATE('07/19/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '3', '0', '33689', '1937', 'URM', '', '1991', '971635', 'S', 'MIN', '', 'LS', '', '', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'NE', 'NE', 'I', '906571', 'G', 'P', 'P', '', '', '', '', '', '', '', '57063', '8001', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '26.91', '1.0596', '1.25993', '1.33504', '1297173.875', '1210310.625', '0', '0', '0', '0', '0', '0', '76181.5234375', '10681.673828125', '6', '1988 UBC (Z= 3) ', '', '');
INSERT INTO buildings VALUES ('870', '5', '18', 'REAVELEY', TO_DATE('07/19/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '1', '0', '20747', '1927', 'C2', '', '1991', '74678', 'S', 'MIN', '', 'LS', '', '', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'NE', 'NE', 'I', '62034', 'G', 'P', 'P', '', '', '', '', '', '', '', '11504', '1141', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '2.99', '1.0596', '1.25993', '1.33504', '99698.2890625', '82818.015625', '0', '0', '0', '0', '0', '0', '15358.3271484375', '1523.28332519531', '6', '1988 UBC (Z= 3) ', '', '');
INSERT INTO buildings VALUES ('871', '5', '18', 'REAVELEY', TO_DATE('07/19/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '3', '0', '9169', '1966', 'RM1', '', '1991', '103775', 'S', 'MIN', '', 'LS', '', '', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'NE', 'NE', 'I', '95954', 'G', 'P', 'P', '', '', '', '', '', '', '', '6699', '1123', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '10.47', '1.0596', '1.25993', '1.33504', '138544.015625', '128102.6484375', '0', '0', '0', '0', '0', '0', '8943.4482421875', '1499.25256347656', '6', '1988 UBC (Z= 3) ', '', '');
INSERT INTO buildings VALUES ('872', '5', '22', 'REAVELEY', TO_DATE('07/19/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '2', '0', '34185', '1968', 'C2', '', '1991', '236851', 'S', 'MIN', '', 'LS', '', '', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'NE', 'NE', 'I', '204426', 'G', 'P', 'P', '', '', '', '', '', '', '', '18323', '14101', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '5.98', '1.0596', '1.25993', '1.33504', '316206.125', '272917.375', '0', '0', '0', '0', '0', '0', '24461.98046875', '18825.431640625', '6', '1988 UBC (Z= 3) ', '', '');
INSERT INTO buildings VALUES ('873', '12', '33', 'REAVELEY', TO_DATE('07/19/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '3', '0', '46874', '1968', 'C3', '', '1991', '587176', 'S', 'MIN', '', 'LS', '', '', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'NE', 'NE', 'I', '559737', 'G', 'P', 'P', '', '', '', '', '', '', '', '20096', '7544', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '11.94', '1.0596', '1.25993', '1.33504', '783904.8125', '747272.5625', '0', '0', '0', '0', '0', '0', '26829.009765625', '10071.5595703125', '6', '1988 UBC (Z= 3) ', '', '');
INSERT INTO buildings VALUES ('874', '12', '33', 'REAVELEY', TO_DATE('07/19/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '3', '0', '55040', '1968', 'C3', '', '1991', '712861', 'S', 'MIN', '', 'LS', '', '', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'NE', 'NE', 'I', '658278', 'G', 'P', 'P', '', '', '', '', '', '', '', '46558', '7995', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '11.96', '1.0596', '1.25993', '1.33504', '951699.625', '878829', '0', '0', '0', '0', '0', '0', '62156.90234375', '10673.6630859375', '6', '1988 UBC (Z= 3) ', '', '');
INSERT INTO buildings VALUES ('875', '5', '22', 'REAVELEY', TO_DATE('07/19/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '1', '0', '16945', '1968', 'C2', '', '1991', '226046', 'S', 'MIN', '', 'LS', '', '', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'NE', 'NE', 'I', '253328', 'G', 'P', 'P', '', '', '', '', '', '', '', '8969', '3749', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '14.95', '1.0596', '1.25993', '1.33504', '301780.96875', '338203.59375', '0', '0', '0', '0', '0', '0', '11973.9951171875', '5005.07373046875', '6', '1988 UBC (Z= 3) ', '', '');
INSERT INTO buildings VALUES ('876', '6', '28', 'REAVELEY', TO_DATE('07/19/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '1', '0', '13623', '1945', 'URM', '', '1991', '391568', 'S', 'MIN', '', 'LS', '', '', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'NE', 'NE', 'I', '366595', 'G', 'P', 'P', '', '', '', '', '', '', '', '19507', '5466', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '26.91', '1.0596', '1.25993', '1.33504', '522759.84375', '489419.84375', '0', '0', '0', '0', '0', '0', '26042.669921875', '7297.34130859375', '6', '1988 UBC (Z= 3) ', '', '');
INSERT INTO buildings VALUES ('877', '5', '22', 'REAVELEY', TO_DATE('07/19/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '2', '0', '25375', '1945', 'C2', '', '1991', '522508', 'S', 'MIN', '', 'LS', '', '', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'NE', 'NE', 'I', '474195', 'G', 'P', 'P', '', '', '', '', '', '', '', '44601', '3711', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '18.69', '1.0596', '1.25993', '1.33504', '697570.3125', '633070.375', '0', '0', '0', '0', '0', '0', '59544.22265625', '4954.34228515625', '6', '1988 UBC (Z= 3) ', '', '');
INSERT INTO buildings VALUES ('878', '6', '18', 'REAVELEY', TO_DATE('07/19/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '2', '0', '10177', '1944', 'URM', '', '1991', '213245', 'S', 'MIN', '', 'LS', '', '', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'NE', 'NE', 'I', '182575', 'G', 'P', 'P', '', '', '', '', '', '', '', '28252', '2417', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '17.94', '1.0596', '1.25993', '1.33504', '284691.09375', '243745.359375', '0', '0', '0', '0', '0', '0', '37717.6171875', '3226.79736328125', '6', '1988 UBC (Z= 3) ', '', '');
INSERT INTO buildings VALUES ('879', '10', '21', 'REAVELEY', TO_DATE('07/19/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '2', '0', '71906', '1975', 'RM1', '', '1991', '528586', 'S', 'MIN', '', 'LS', '', '', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'NE', 'NE', 'I', '429998', 'G', 'P', 'P', '', '', '', '', '', '', '', '82859', '15729', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '5.98', '1.0596', '1.25993', '1.33504', '705684.6875', '574065.5625', '0', '0', '0', '0', '0', '0', '110620.2734375', '20998.880859375', '6', '1988 UBC (Z= 3) ', '', '');
INSERT INTO buildings VALUES ('880', '6', '28', 'REAVELEY', TO_DATE('07/19/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '2', '0', '13107', '1957', 'URM', '', '1991', '381271', 'S', 'MIN', '', 'LS', '', '', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'NE', 'NE', 'I', '352709', 'G', 'P', 'P', '', '', '', '', '', '', '', '24351', '4211', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '26.91', '1.0596', '1.25993', '1.33504', '509012.9375', '470881.4375', '0', '0', '0', '0', '0', '0', '32509.615234375', '5621.86328125', '6', '1988 UBC (Z= 3) ', '', '');
INSERT INTO buildings VALUES ('881', '12', '33', 'REAVELEY', TO_DATE('07/19/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '3', '0', '205516', '1953', 'C3', '', '1991', '5106643', 'S', 'MIN', '', 'LS', 'SW', 'EW', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'NE', 'NE', 'I', '4915943', 'G', 'P', 'P', '', '', '', '', '', '', '', '168299', '22401', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '23.92', '1.0596', '1.25993', '1.33504', '6817584.5', '6562992', '0', '0', '0', '0', '0', '0', '224686.296875', '29906.283203125', '6', '1988 UBC (Z= 3) ', '', '');
INSERT INTO buildings VALUES ('882', '5', '19', 'REAVELEY', TO_DATE('07/19/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '3', '0', '205516', '1953', 'S1', '', '1991', '1925659', 'S', 'MIN', '', 'LS', '', '', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'NE', 'NE', 'I', '1779823', 'G', 'P', 'P', '', '', '', '', '', '', '', '118251', '27585', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '8.66', '1.0596', '1.25993', '1.33504', '2570836.25', '2376139', '0', '0', '0', '0', '0', '0', '157870.09375', '36827.14453125', '6', '1988 UBC (Z= 3) ', '', '');
INSERT INTO buildings VALUES ('883', '5', '19', 'REAVELEY', TO_DATE('07/19/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '3', '0', '85607', '1952', 'RM1', '', '1991', '844192', 'S', 'MIN', '', 'LS', '', '', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'NE', 'NE', 'I', '767895', 'G', 'P', 'P', '', '', '', '', '', '', '', '73558', '2739', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '8.97', '1.0596', '1.25993', '1.33504', '1127032', '1025172.3125', '0', '0', '0', '0', '0', '0', '98203.046875', '3656.68090820313', '6', '1988 UBC (Z= 3) ', '', '');
INSERT INTO buildings VALUES ('884', '11', '18', 'REAVELEY', TO_DATE('07/19/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '2', '0', '29090', '1938', 'S5', '', '1991', '586996', 'S', 'MIN', '', 'LS', '', '', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'NE', 'NE', 'I', '543619', 'G', 'P', 'P', '', '', '', '', '', '', '', '36468', '6909', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '18.69', '1.0596', '1.25993', '1.33504', '783664.5', '725754.375', '0', '0', '0', '0', '0', '0', '48686.32421875', '9223.8076171875', '6', '1988 UBC (Z= 3) ', '', '');
INSERT INTO buildings VALUES ('885', '6', '28', 'REAVELEY', TO_DATE('07/19/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '2', '0', '6240', '1938', 'URM', '', '1991', '149128', 'S', 'MIN', '', 'LS', '', '', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'NE', 'NE', 'I', '130603', 'G', 'P', 'P', '', '', '', '', '', '', '', '15397', '3128', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '20.93', '1.0596', '1.25993', '1.33504', '199092.1875', '174360.53125', '0', '0', '0', '0', '0', '0', '20555.646484375', '4176.01220703125', '6', '1988 UBC (Z= 3) ', '', '');
INSERT INTO buildings VALUES ('886', '6', '28', 'REAVELEY', TO_DATE('07/19/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '1', '0', '7782', '1938', 'URM', '', '1991', '162138', 'S', 'MIN', '', 'LS', '', '', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'NE', 'NE', 'I', '139609', 'G', 'P', 'P', '', '', '', '', '', '', '', '18628', '3901', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '17.94', '1.0596', '1.25993', '1.33504', '216461.09375', '186383.921875', '0', '0', '0', '0', '0', '0', '24869.16796875', '5208', '6', '1988 UBC (Z= 3) ', '', '');
INSERT INTO buildings VALUES ('887', '5', '22', 'REAVELEY', TO_DATE('07/19/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '3', '0', '268172', '1965', 'S1', '', '1991', '1509137', 'S', 'MIN', '', 'LS', '', '', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'NE', 'NE', 'I', '1202751', 'G', 'P', 'P', '', '', '', '', '', '', '', '250237', '36149', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '4.48', '1.0596', '1.25993', '1.33504', '2014761.75', '1605723.5', '0', '0', '0', '0', '0', '0', '334077', '48260.4453125', '6', '1988 UBC (Z= 3) ', '', '');
INSERT INTO buildings VALUES ('888', '5', '23', 'REAVELEY', TO_DATE('07/19/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '3', '0', '78158', '1958', 'C2', '', '1991', '799567', 'S', 'MIN', '', 'LS', 'SW', 'EW', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'NE', 'NE', 'I', '701077', 'G', 'P', 'P', '', '', '', '', '', '', '', '87059', '11431', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '8.97', '1.0596', '1.25993', '1.33504', '1067455.75', '935967.5', '0', '0', '0', '0', '0', '0', '116227.453125', '15260.869140625', '6', '1988 UBC (Z= 3) ', '', '');
INSERT INTO buildings VALUES ('889', '11', '26', 'REAVELEY', TO_DATE('07/19/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '3', '0', '59113', '1958', 'S5', '', '1991', '1231067', 'S', 'MIN', '', 'LS', '', '', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'NE', 'NE', 'I', '1104674', 'G', 'P', 'P', '', '', '', '', '', '', '', '114777', '11616', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '18.69', '1.0596', '1.25993', '1.33504', '1643526.5', '1474786.5', '0', '0', '0', '0', '0', '0', '153232.15625', '15507.8515625', '6', '1988 UBC (Z= 3) ', '', '');
INSERT INTO buildings VALUES ('890', '6', '19', 'REAVELEY', TO_DATE('07/19/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '2', '0', '50583', '1960', 'URM', '', '1991', '1113284', 'S', 'MIN', '', 'LS', '', '', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'NE', 'NE', 'I', '1058702', 'G', 'P', 'P', '', '', '', '', '', '', '', '46868', '7714', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '20.93', '1.0596', '1.25993', '1.33504', '1486281.25', '1413412', '0', '0', '0', '0', '0', '0', '62570.765625', '10298.5166015625', '6', '1988 UBC (Z= 3) ', '', '');
INSERT INTO buildings VALUES ('891', '11', '20', 'REAVELEY', TO_DATE('07/19/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '3', '0', '109779', '1960', 'S5', '', '1991', '2133814', 'S', 'MIN', '', 'LS', '', '', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'NE', 'NE', 'I', '2051495', 'G', 'P', 'P', '', '', '', '', '', '', '', '78806', '3513', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '18.69', '1.0596', '1.25993', '1.33504', '2848732', '2738832.75', '0', '0', '0', '0', '0', '0', '105209.34375', '4690.00390625', '6', '1988 UBC (Z= 3) ', '', '');
INSERT INTO buildings VALUES ('892', '11', '18', 'REAVELEY', TO_DATE('07/19/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '4', '0', '34212', '1961', 'S5', '', '1991', '566448', 'S', 'MIN', '', 'LS', '', '', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'NE', 'NE', 'I', '511469', 'G', 'P', 'P', '', '', '', '', '', '', '', '42577', '12402', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '14.95', '1.0596', '1.25993', '1.33504', '756232.0625', '682832.75', '0', '0', '0', '0', '0', '0', '56842.09765625', '16557.1953125', '6', '1988 UBC (Z= 3) ', '', '');
INSERT INTO buildings VALUES ('893', '10', '22', 'REAVELEY', TO_DATE('07/19/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '2', '0', '40281', '1979', 'S2', '', '1991', '158037', 'S', 'MIN', '', 'LS', '', '', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'NE', 'NE', 'I', '120440', 'G', 'P', 'P', '', '', '', '', '', '', '', '26268', '11329', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '2.99', '1.0596', '1.25993', '1.33504', '210986.078125', '160792.5', '0', '0', '0', '0', '0', '0', '35068.890625', '15124.6943359375', '6', '1988 UBC (Z= 3) ', '', '');
INSERT INTO buildings VALUES ('894', '11', '26', 'REAVELEY', TO_DATE('07/19/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '2', '0', '59872', '1962', 'S5', '', '1991', '1205880', 'S', 'MIN', '', 'LS', '', '', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'NE', 'NE', 'I', '1118858', 'G', 'P', 'P', '', '', '', '', '', '', '', '78265', '8756', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '18.69', '1.0596', '1.25993', '1.33504', '1609900.875', '1493722.75', '0', '0', '0', '0', '0', '0', '104487.0859375', '11689.630859375', '6', '1988 UBC (Z= 3) ', '', '');
INSERT INTO buildings VALUES ('895', '12', '33', 'REAVELEY', TO_DATE('07/19/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '5', '0', '49222', '1962', 'C3', '', '1991', '986387', 'S', 'MIN', '', 'LS', '', '', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'NE', 'NE', 'I', '907326', 'G', 'P', 'P', '', '', '', '', '', '', '', '71861', '7199', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '18.43', '1.0596', '1.25993', '1.33504', '1316868.375', '1211318.625', '0', '0', '0', '0', '0', '0', '95937.4765625', '9610.9697265625', '6', '1988 UBC (Z= 3) ', '', '');
INSERT INTO buildings VALUES ('896', '12', '30', 'REAVELEY', TO_DATE('07/19/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '5', '0', '32884', '1963', 'C3', '', '1991', '659258', 'S', 'MIN', '', 'LS', 'SW', 'EW', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'NE', 'NE', 'I', '596822', 'G', 'P', 'P', '', '', '', '', '', '', '', '54626', '7810', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '18.15', '1.0596', '1.25993', '1.33504', '880137.3125', '796782.625', '0', '0', '0', '0', '0', '0', '72928.0234375', '10426.6806640625', '6', '1988 UBC (Z= 3) ', '', '');
INSERT INTO buildings VALUES ('897', '11', '26', 'REAVELEY', TO_DATE('07/19/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '2', '0', '23727', '1964', 'S5', '', '1991', '476676', 'S', 'MIN', '', 'LS', '', '', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'NE', 'NE', 'I', '443398', 'G', 'P', 'P', '', '', '', '', '', '', '', '28028', '5250', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '18.69', '1.0596', '1.25993', '1.33504', '636382.625', '591955.125', '0', '0', '0', '0', '0', '0', '37418.56640625', '7008.97216796875', '6', '1988 UBC (Z= 3) ', '', '');
INSERT INTO buildings VALUES ('898', '5', '19', 'REAVELEY', TO_DATE('07/19/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '3', '0', '109679', '1963', 'C2', '', '1991', '1394173', 'S', 'MIN', '', 'LS', '', '', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'NE', 'NE', 'I', '1311761', 'G', 'P', 'P', '', '', '', '', '', '', '', '78902', '3510', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '11.96', '1.0596', '1.25993', '1.33504', '1861280', '1751256.5', '0', '0', '0', '0', '0', '0', '105337.5078125', '4685.99853515625', '6', '1988 UBC (Z= 3) ', '', '');
INSERT INTO buildings VALUES ('899', '11', '26', 'REAVELEY', TO_DATE('07/19/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '3', '0', '71214', '1964', 'S5', '', '1991', '1164619', 'S', 'MIN', '', 'LS', 'SW', 'EW', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'NE', 'NE', 'I', '1064649', 'G', 'P', 'P', '', '', '', '', '', '', '', '88131', '11839', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '14.95', '1.0596', '1.25993', '1.33504', '1554815.625', '1421351.5', '0', '0', '0', '0', '0', '0', '117658.6171875', '15805.56640625', '6', '1988 UBC (Z- 3) ', '', '');
INSERT INTO buildings VALUES ('900', '12', '33', 'REAVELEY', TO_DATE('07/19/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '4', '0', '76153', '1965', 'C3', '', '1991', '1491528', 'S', 'MIN', '', 'LS', '', '', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'NE', 'NE', 'I', '1349108', 'G', 'P', 'P', '', '', '', '', '', '', '', '114910', '27510', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '17.72', '1.0596', '1.25993', '1.33504', '1991253', '1801116.25', '0', '0', '0', '0', '0', '0', '153409.71875', '36727.015625', '6', '1988 UBC (Z= 3) ', '', '');
INSERT INTO buildings VALUES ('901', '11', '26', 'REAVELEY', TO_DATE('07/19/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '3', '0', '128582', '1965', 'S5', '', '1991', '2610833', 'S', 'MIN', '', 'LS', '', '', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'NE', 'NE', 'I', '2402876', 'G', 'P', 'P', '', '', '', '', '', '', '', '161507', '46450', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '18.69', '1.0596', '1.25993', '1.33504', '3485572.5', '3207941.25', '0', '0', '0', '0', '0', '0', '215618.6875', '62012.71484375', '6', '1988 UBC (Z= 3) ', '', '');
INSERT INTO buildings VALUES ('902', '11', '26', 'REAVELEY', TO_DATE('07/19/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '4', '0', '221365', '1965', 'S5', '', '1991', '2203275', 'S', 'MIN', '', 'LS', '', '', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'NE', 'NE', 'I', '1985644', 'G', 'P', 'P', '', '', '', '', '', '', '', '137633', '79968', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '8.97', '1.0596', '1.25993', '1.33504', '2941465.5', '2650918.75', '0', '0', '0', '0', '0', '0', '183745.875', '106760.6640625', '6', '1988 UBC (Z= 3) ', '', '');
INSERT INTO buildings VALUES ('903', '5', '23', 'REAVELEY', TO_DATE('07/19/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '5', '0', '298694', '1965', 'C2', '', '1991', '1539790', 'S', 'MIN', '', 'LS', 'SW', 'EW', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'NE', 'NE', 'I', '1116369', 'G', 'P', 'P', '', '', '', '', '', '', '', '339414', '84004', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '3.74', '1.0596', '1.25993', '1.33504', '2055684.875', '1490399.875', '0', '0', '0', '0', '0', '0', '453132.0625', '112148.8984375', '6', '1988 UBC (Z= 3) ', '', '');
INSERT INTO buildings VALUES ('904', '10', '22', 'REAVELEY', TO_DATE('07/19/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '1', '0', '21171', '1977', 'RM1', '', '1991', '97813', 'S', 'MIN', '', 'LS', '', '', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'NE', 'NE', 'I', '63301', 'G', 'P', 'P', '', '', '', '', '', '', '', '26864', '7648', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '2.99', '1.0596', '1.25993', '1.33504', '130584.4921875', '84509.515625', '0', '0', '0', '0', '0', '0', '35864.578125', '10210.4033203125', '6', '1988 UBC (Z= 3) ', '', '');
INSERT INTO buildings VALUES ('905', '5', '23', 'REAVELEY', TO_DATE('07/19/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '5', '0', '85210', '1967', 'S1', '', '1991', '859647', 'S', 'MIN', '', 'LS', 'SW', '', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'NE', 'NE', 'I', '729939', 'G', 'P', 'P', '', '', '', '', '', '', '', '115542', '14166', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '8.57', '1.0596', '1.25993', '1.33504', '1147665.125', '974499.4375', '0', '0', '0', '0', '0', '0', '154253.46875', '18912.208984375', '6', '1988 UBC (Z= 3) ', '', '');
INSERT INTO buildings VALUES ('906', '11', '26', 'REAVELEY', TO_DATE('07/20/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '2', '0', '43837', '1969', 'S5', '', '1991', '630261', 'S', 'MIN', '', 'LS', '', '', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'NE', 'NE', 'I', '557059', 'G', 'P', 'P', '', '', '', '', '', '', '', '60873', '12329', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '12.71', '1.0596', '1.25993', '1.33504', '841425.125', '743697.375', '0', '0', '0', '0', '0', '0', '81268.03125', '16459.736328125', '6', '1988 UBC (Z= 3) ', '', '');
INSERT INTO buildings VALUES ('907', '5', '19', 'REAVELEY', TO_DATE('07/20/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '1', '0', '298694', '', 'C2', '', '1991', '985003', 'S', 'MIN', '', 'LS', '', '', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'NE', 'NE', 'I', '893095', 'G', 'P', 'P', '', '', '', '', '', '', '', '79213', '12694', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '2.99', '1.0596', '1.25993', '1.33504', '1315020.75', '1192319.625', '0', '0', '0', '0', '0', '0', '105752.7109375', '16947.02734375', '6', '1988 UBC (Z= 3) ', '', '');
INSERT INTO buildings VALUES ('908', '11', '21', 'REAVELEY', TO_DATE('07/20/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '2', '0', '80627', '1967', 'S5', '', '1991', '306296', 'S', 'MIN', '', 'LS', '', '', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'NE', 'NE', 'I', '241075', 'G', 'P', 'P', '', '', '', '', '', '', '', '61794', '3427', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '2.99', '1.0596', '1.25993', '1.33504', '408918.125', '321845.34375', '0', '0', '0', '0', '0', '0', '82497.609375', '4575.18994140625', '6', '1988 UBC (Z= 3) ', '', '');
INSERT INTO buildings VALUES ('909', '11', '21', 'REAVELEY', TO_DATE('07/20/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '2', '0', '52352', '1967', 'S5', '', '1991', '217464', 'S', 'MIN', '', 'LS', '', '', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'NE', 'NE', 'I', '156532', 'G', 'P', 'P', '', '', '', '', '', '', '', '53929', '7002', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '2.99', '1.0596', '1.25993', '1.33504', '290323.65625', '208976.84375', '0', '0', '0', '0', '0', '0', '71997.5', '9347.966796875', '6', '1988 UBC (Z= 3) ', '', '');
INSERT INTO buildings VALUES ('910', '12', '32', 'REAVELEY', TO_DATE('07/19/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '1', '0', '35806', '1967', 'C3', 'N', '1991', '669991', 'S', 'MIN', '', 'LS', '', '', '', '', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'NE', 'NE', 'I', '642360', 'G', 'P', 'P', '', '', '', '', '', '', '', '26100', '1500', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '17.94', '1.0596', '1.25993', '1.33504', '894466.375', '857577.8125', '0', '0', '0', '0', '0', '0', '34844.60546875', '2002.5634765625', '6', '', '', '');
INSERT INTO buildings VALUES ('911', '11', '26', 'REAVELEY', TO_DATE('07/19/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '1', '0', '44606', '1967', 'S5', '', '1991', '165000', 'S', 'MIN', '', 'LS', '', '', '', '', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'NE', 'NE', 'I', '133400', 'G', 'P', 'P', '', '', '', '', '', '', '', '29800', '1900', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '2.99', '1.0596', '1.25993', '1.33504', '220281.984375', '178094.640625', '0', '0', '0', '0', '0', '0', '39784.26171875', '2536.58032226563', '6', '', '', '');
INSERT INTO buildings VALUES ('912', '6', '28', 'REAVELEY', TO_DATE('07/19/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '2', '0', '19161', '1939', 'URM', '', '1991', '491600', 'S', 'MIN', '', 'LS', '', '', '', '', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'NE', 'NE', 'I', '458331', 'G', 'P', 'P', '', '', '', '', '', '', '', '29000', '4200', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '23.92', '1.0596', '1.25993', '1.33504', '656306.8125', '611891.3125', '0', '0', '0', '0', '0', '0', '38716.2265625', '5607.177734375', '6', '', '', '');
INSERT INTO buildings VALUES ('913', '5', '23', 'REAVELEY', TO_DATE('07/19/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '2', '0', '99400', '1948', 'W2', '', '1991', '211900', 'S', 'MIN', '', 'LS', 'EW', 'SD', '', '', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'NE', 'NE', 'I', '148500', 'G', 'P', 'P', '', '', '', '', '', '', '', '47400', '15900', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '1.49', '1.0596', '1.25993', '1.33504', '282895.46875', '198253.78125', '0', '0', '0', '0', '0', '0', '63281.0078125', '21227.173828125', '6', '', '', '');
INSERT INTO buildings VALUES ('914', '6', '28', 'REAVELEY', TO_DATE('07/19/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '3', '0', '27200', '1939', 'URM', '', '1991', '779000', 'S', 'MIN', '', 'LS', '', '', '', '', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'NE', 'NE', 'I', '733000', 'G', 'P', 'P', '', '', '', '', '', '', '', '41700', '4400', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '26.95', '1.0596', '1.25993', '1.33504', '1039998', '978586', '0', '0', '0', '0', '0', '0', '55671.265625', '5874.18603515625', '6', '', '', '');
INSERT INTO buildings VALUES ('915', '12', '33', 'REAVELEY', TO_DATE('07/19/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '5', '0', '597200', '1965', 'C3', '', '1991', '8628000', 'S', 'MIN', '', 'LS', 'SW', 'EW', '', '', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'NE', 'NE', 'I', '8035000', 'G', 'P', 'P', '', '', '', '', '', '', '', '488000', '105000', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '13.45', '1.0596', '1.25993', '1.33504', '11518745', '10727065', '0', '0', '0', '0', '0', '0', '651500.6875', '140179.4375', '6', '', '', '');
INSERT INTO buildings VALUES ('916', '12', '32', 'REAVELEY', TO_DATE('07/19/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '4', '0', '24000', '1949', 'C3', '', '1991', '500000', 'S', 'MIN', '', 'LS', '', '', '', '', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'NE', 'NE', 'I', '448500', 'G', 'P', 'P', '', '', '', '', '', '', '', '45000', '5700', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '18.69', '1.0596', '1.25993', '1.33504', '667521.1875', '598766.5', '0', '0', '0', '0', '0', '0', '60076.90625', '7609.7412109375', '6', '', '', '');
INSERT INTO buildings VALUES ('917', '10', '22', 'REAVELEY', TO_DATE('07/19/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '2', '0', '16155', '1978', 'S2', '', '1991', '115300', 'S', 'MIN', '', 'LS', '', '', '', '', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'NE', 'NE', 'I', '96600', 'G', 'P', 'P', '', '', '', '', '', '', '', '14900', '3800', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '5.98', '1.0596', '1.25993', '1.33504', '153930.375', '128965.0859375', '0', '0', '0', '0', '0', '0', '19892.130859375', '5073.16064453125', '6', '', '', '');
INSERT INTO buildings VALUES ('918', '5', '22', 'REAVELEY', TO_DATE('07/19/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '14', '0', '115854', '1969', 'C2', '', '1991', '1518000', 'S', 'MIN', '', 'LS', '', '', '', '', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'NE', 'NE', 'I', '1385000', 'G', 'P', 'P', '', '', '', '', '', '', '', '129000', '3700', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '11.95', '1.0596', '1.25993', '1.33504', '2026594.25', '1849033.625', '0', '0', '0', '0', '0', '0', '172220.46875', '4939.65673828125', '6', '', '', '');
INSERT INTO buildings VALUES ('919', '10', '22', 'REAVELEY', TO_DATE('07/19/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '1', '0', '2781', '1979', 'W1', '', '1991', '37300', 'S', 'MIN', '', 'LS', '', '', '', '', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'NE', 'NE', 'I', '35300', 'G', 'P', 'P', '', '', '', '', '', '', '', '1460', '550', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '12.69', '1.0596', '1.25993', '1.33504', '49797.078125', '47126.99609375', '0', '0', '0', '0', '0', '0', '1949.16186523438', '734.273254394531', '6', '', '', '');
INSERT INTO buildings VALUES ('921', '6', '28', 'REAVELEY', TO_DATE('07/19/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '2', '0', '229300', '1959', 'URM', 'N', '1991', '4400000', 'S', 'MIN', '', 'LS', '', '', '', '', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'NE', 'NE', 'I', '4100000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '17.88', '1.0596', '1.25993', '1.33504', '5874186.5', '5473673.5', '0', '0', '0', '0', '0', '0', '0', '0', '6', '', '', '');
INSERT INTO buildings VALUES ('922', '10', '22', 'REAVELEY', TO_DATE('07/19/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '3', '0', '180600', '1970', 'RM1', '', '1991', '1566000', 'S', 'MIN', '', 'LS', '', '', '', '', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'NE', 'NE', 'I', '1370000', 'G', 'P', 'P', '', '', '', '', '', '', '', '192000', '5800', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '7.59', '1.0596', '1.25993', '1.33504', '2090676.25', '1829008', '0', '0', '0', '0', '0', '0', '256328.125', '7743.24560546875', '6', '', '', '');
INSERT INTO buildings VALUES ('923', '10', '22', 'REAVELEY', TO_DATE('07/19/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '3', '0', '164500', '1970', 'RM1', 'N', '1991', '1439500', 'S', 'MIN', '', 'LS', '', '', '', '', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'NE', 'NE', 'I', '1246800', 'G', 'P', 'P', '', '', '', '', '', '', '', '187400', '5300', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '7.58', '1.0596', '1.25993', '1.33504', '1921793.5', '1664530.75', '0', '0', '0', '0', '0', '0', '250186.9375', '7075.72412109375', '6', '', '', '');
INSERT INTO buildings VALUES ('924', '5', '11', 'REAVELEY', TO_DATE('6/1/1993','MM/DD/YY'), 'TOOELE', 'UT', '5', 'S2', '2', '0', '6240', '', 'W1', 'N', '1991', '40960', 'S', 'MIN', '', 'LS', 'SW', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '40960', 'G', 'G', 'G', '', '', '', '', '', '', '', '', '', 'R', '104', '29.6000003814697', '104', '29.6000003814697', '10', '22', 'W', 'W', 'W', 'N', 'N', 'G', '', 'W', 'SF', 'SW', 'SW', '6.56', '1.0596', '1.25993', '1.33504', '54683.33203125', '54683.33203125', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'UBC ZONE & FORCE LEVEL', '', '');
INSERT INTO buildings VALUES ('925', '9', '11', 'REAVELEY', TO_DATE('6/1/1993','MM/DD/YY'), 'TOOELE', 'UT', '5', 'S2', '2', '0', '6240', '', 'W1', 'N', '1991', '108990', 'S', 'MIN', '', 'DC', 'SW', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '108990', 'G', 'G', 'G', '', '', '', '', '', '', '', '', '', 'R', '104', '29.6000003814697', '104', '29.6000003814697', '10', '22', 'W', 'W', 'W', 'N', 'N', 'G', '', 'W', 'SF', 'SW', 'SW', '17.47', '1.0596', '1.25993', '1.33504', '145506.265625', '145506.265625', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'UBC ZONE & FORCE LEVEL', '', '');
INSERT INTO buildings VALUES ('926', '6', '28', 'REAVELEY', TO_DATE('07/14/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '1', '0', '39200', '1953', 'URM', 'N', '1987', '404278', 'S', 'MIN', '', 'LS', 'SW', 'BF', 'EW', 'SD', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '404278', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'S', '', 'W', 'N', 'N', 'G', '', 'URM', '', 'SW', 'SW', '10.31', '1.1472', '1.25993', '1.44538', '584333.875', '584333.875', '0', '0', '0', '0', '0', '0', '0', '0', '6', '1985 UBC', '', '');
INSERT INTO buildings VALUES ('927', '6', '28', 'REAVELEY', TO_DATE('07/14/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '1', '0', '12900', '1921', 'URM', 'N', '1987', '216750', 'S', 'MIN', '', 'LS', 'SW', 'EW', 'SD', 'PB', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '216750', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'TT', '', 'W', 'N', 'N', 'G', '', 'URM', '', 'SW', 'SW', '16.8', '1.1472', '1.25993', '1.44538', '313285.34375', '313285.34375', '0', '0', '0', '0', '0', '0', '0', '0', '6', '1985 UBC', '', '');
INSERT INTO buildings VALUES ('928', '10', '29', 'REAVELEY', TO_DATE('07/14/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '1', '0', '2400', '1970', 'URM', 'N', '1987', '9375', 'S', 'MIN', '', 'LS', 'SD', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '9375', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', 'N', 'G', '', 'URM', '', 'SW', 'SW', '3.91', '1.1472', '1.25993', '1.44538', '13550.404296875', '13550.404296875', '0', '0', '0', '0', '0', '0', '0', '0', '6', '1985 UBC', '', '');
INSERT INTO buildings VALUES ('929', '6', '28', 'REAVELEY', TO_DATE('07/14/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '2', '0', '8400', '1946', 'URM', 'N', '1987', '124125', 'S', 'MIN', '', 'LS', 'SW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '124125', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', '', 'C', 'N', 'N', 'G', '', 'URM', '', 'SW', 'SW', '14.78', '1.1472', '1.25993', '1.44538', '179407.359375', '179407.359375', '0', '0', '0', '0', '0', '0', '0', '0', '6', '1985 UBC', '', '');
INSERT INTO buildings VALUES ('930', '13', '27', 'REAVELEY', TO_DATE('07/14/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '1', '0', '1050', '1946', 'URM', 'N', '1987', '2425', 'S', 'MIN', '', 'RR', 'PB', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '2425', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', 'N', 'G', '', 'URM', '', 'SW', 'SW', '2.31', '1.1472', '1.25993', '1.44538', '3505.0378417969', '3505.0378417969', '0', '0', '0', '0', '0', '0', '0', '0', '6', '1985 UBC', '', '');
INSERT INTO buildings VALUES ('931', '6', '28', 'REAVELEY', TO_DATE('07/14/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '1', '0', '6260', '1934', 'URM', 'N', '1987', '18562', 'S', 'MIN', '', 'LS', 'SW', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '118562', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'TT', '', 'W', 'N', 'N', 'G', '', 'URM', '', 'SW', 'SW', '18.94', '1.1472', '1.25993', '1.44538', '26829.078125', '171366.71875', '0', '0', '0', '0', '0', '0', '0', '0', '6', '1985 UBC', '', '');
INSERT INTO buildings VALUES ('932', '6', '28', 'REAVELEY', TO_DATE('07/14/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '1', '0', '41600', '1952', 'URM', 'N', '1987', '353808', 'S', 'MIN', '', 'LS', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '353808', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'S', '', 'W', 'N', 'N', 'G', 'S', 'URM', '', 'SW', 'SW', '8.51', '1.1472', '1.25993', '1.44538', '511385.75', '511385.75', '0', '0', '0', '0', '0', '0', '0', '0', '6', '1985 UBC', '', '');
INSERT INTO buildings VALUES ('934', '4', '29', 'REAVELEY', TO_DATE('07/14/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '1', '0', '1050', '1961', 'URM', 'N', '1987', '7875', 'S', 'MIN', '', 'LS', 'SD', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '7875', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'S', '', 'W', 'N', 'N', 'G', '', 'URM', '', 'SW', 'SW', '7.5', '1.1472', '1.25993', '1.44538', '11382.33984375', '11382.33984375', '0', '0', '0', '0', '0', '0', '0', '0', '6', '1985 UBC', '', '');
INSERT INTO buildings VALUES ('935', '6', '28', 'REAVELEY', TO_DATE('07/14/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '2', '0', '32000', '1919', 'URM', 'N', '1987', '327750', 'S', 'MIN', '', 'LS', 'SW', 'PB', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '327750', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', '', 'C', 'N', 'N', 'G', '', 'URM', '', 'SW', 'SW', '10.24', '1.1472', '1.25993', '1.44538', '473722.125', '473722.125', '0', '0', '0', '0', '0', '0', '0', '0', '6', '1985 UBC', '', '');
INSERT INTO buildings VALUES ('936', '6', '28', 'REAVELEY', TO_DATE('07/14/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '2', '0', '4020', '1927', 'URM', 'N', '1987', '56775', 'S', 'MIN', '', 'LS', 'SW', 'PB', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '56775', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', '', 'C', 'N', 'N', 'G', '', 'URM', '', 'SW', 'SW', '14.12', '1.1472', '1.25993', '1.44538', '82061.25', '82061.25', '0', '0', '0', '0', '0', '0', '0', '0', '6', '1985 UBC', '', '');
INSERT INTO buildings VALUES ('937', '6', '28', 'REAVELEY', TO_DATE('07/14/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '2', '0', '10500', '1927', 'URM', 'N', '1987', '170450', 'S', 'MIN', '', 'LS', 'SW', 'PB', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '170450', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', '', 'C', 'N', 'N', 'G', '', 'URM', '', 'SW', 'SW', '16.23', '1.1472', '1.25993', '1.44538', '246364.421875', '246364.421875', '0', '0', '0', '0', '0', '0', '0', '0', '6', '1985 UBC', '', '');
INSERT INTO buildings VALUES ('938', '10', '22', 'REAVELEY', TO_DATE('07/14/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '1', '0', '5200', '1974', 'RM2', 'N', '1987', '15200', 'S', 'MIN', '', 'LS', 'PB', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '15200', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', '', 'PC', 'N', 'N', 'G', '', 'RM', '', 'SW', 'SW', '2.92', '1.1472', '1.25993', '1.44538', '21969.72265625', '21969.72265625', '0', '0', '0', '0', '0', '0', '0', '0', '6', '1985 UBC', '', '');
INSERT INTO buildings VALUES ('939', '1', '7', 'WILLIEHIRANO', TO_DATE('07/08/93','MM/DD/YY'), 'SPOKANE', 'WA', '2', 'S2', '4', '1', '125275', '1907', 'URM', 'Y', '1992', '6165000', 'S', 'MIN', '', 'LS', 'SW', 'EW', 'EF', 'SF', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'I', 'I', '5569000', 'G', 'F', 'F', '', '', '', '', '', '', '', '', '', 'O', '290', '110', '290', '110', '', '', 'S', 'S', 'C', 'N', 'N', 'G', 'S', 'URM', 'SF', 'SW', 'SW', '44.45', '1.0286', '1.10228', '1.13379', '6989808.5', '6314070.5', '0', '0', '0', '0', '0', '0', '0', '0', '6', '1991 UBC (80% BASE SHEAR) ', '', '');
INSERT INTO buildings VALUES ('940', '6', '28', 'REAVELEY', TO_DATE('07/13/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '1', '0', '36500', '', 'URM', '', '1987', '599630', 'S', 'MIN', '', 'LS', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '599630', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '', '', '', '', '', '', 'S', '', 'W', 'N', '', '', '', 'URM', '', 'SW', 'SW', '16.43', '1.1472', '1.25993', '1.44538', '866691.0625', '866691.0625', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('941', '6', '28', 'REAVELEY', TO_DATE('07/13/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '2', '0', '10400', '1959', 'URM', '', '1987', '134130', 'S', 'MIN', '', 'LS', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '134130', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '', '', '', '', '', '', 'S', '', 'W', 'N', '', '', '', 'URM', '', 'SW', 'SW', '12.9', '1.1472', '1.25993', '1.44538', '193868.34375', '193868.34375', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('942', '6', '28', 'REAVELEY', TO_DATE('07/13/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '2', '0', '33800', '1946', 'URM', '', '1987', '507000', 'S', 'MIN', '', 'LS', 'SW', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '507000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '', '', '', '', '', '', 'C', 'C', 'C', 'N', '', '', '', 'URM', '', 'SW', 'SW', '15', '1.1472', '1.25993', '1.44538', '732805.875', '732805.875', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('943', '6', '27', 'REAVELEY', TO_DATE('07/13/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '1', '0', '3100', '1960', 'URM', '', '1987', '28500', 'S', 'MIN', '', 'LS', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '28500', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '', '', '', '', '', '', 'C', '', 'C', 'N', '', '', '', 'URM', '', 'SW', 'SW', '9.19', '1.1472', '1.25993', '1.44538', '41193.23046875', '41193.23046875', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('944', '4', '23', 'REAVELEY', TO_DATE('07/13/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '1', '0', '1110', '1973', 'RM1', '', '1987', '27600', 'S', 'MIN', '', 'LS', 'SW', 'EW', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '27600', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', '', '', '', 'RM', '', 'SW', 'SW', '24.86', '1.1472', '1.25993', '1.44538', '39892.390625', '39892.390625', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('945', '10', '23', 'REAVELEY', TO_DATE('07/13/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '2', '0', '10464', '1979', 'RM2', '', '1987', '13800', 'S', 'MIN', '', 'LS', 'SW', 'EW', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '13800', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '', '', '', '', '', '', 'C', 'C', 'PC', 'N', '', '', '', 'RM', '', 'SW', 'SW', '1.32', '1.1472', '1.25993', '1.44538', '19946.1953125', '19946.1953125', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('946', '5', '23', 'REAVELEY', TO_DATE('07/13/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '2', '0', '7100', '', 'RM2', '', '1987', '28400', 'S', 'MIN', '', 'LS', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '28400', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', 'C', 'PC', 'N', '', '', '', 'RM', '', 'SW', 'SW', '4', '1.1472', '1.25993', '1.44538', '41048.69140625', '41048.69140625', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('947', '12', '32', 'REAVELEY', TO_DATE('07/13/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '2', '0', '26000', '1949', 'C3', '', '1987', '221300', 'S', 'MIN', '', 'LS', 'SW', 'PB', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '221300', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', 'C', 'C', 'N', '', '', '', '', '', 'SW', 'SW', '8.51', '1.1472', '1.25993', '1.44538', '319861.8125', '319861.8125', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('948', '10', '22', 'REAVELEY', TO_DATE('07/13/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '1', '0', '1500', '1973', 'RM1', '', '1987', '8750', 'S', 'MIN', '', 'LS', 'WT', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '8750', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', '', '', '', 'RM', '', 'SW', 'SW', '5.83', '1.1472', '1.25993', '1.44538', '12647.043945313', '12647.043945313', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('949', '4', '22', 'REAVELEY', TO_DATE('07/13/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '1', '0', '902', '1979', 'RM1', '', '1987', '3750', 'S', 'MIN', '', 'LS', 'WT', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '3750', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', '', '', '', 'RM', '', 'SW', 'SW', '4.16', '1.1472', '1.25993', '1.44538', '5420.1616210938', '5420.1616210938', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('950', '11', '26', 'REAVELEY', TO_DATE('07/13/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '1', '0', '29000', '1952', 'S5', '', '1987', '513500', 'S', 'MIN', '', 'LS', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '513500', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'S', '', 'W', 'N', '', '', 'S', '', '', 'SW', 'SW', '17.71', '1.1472', '1.25993', '1.44538', '742200.8125', '742200.8125', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('951', '11', '26', 'REAVELEY', TO_DATE('07/13/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '1', '', '3800', '1961', 'S5', '', '1987', '78000', 'S', 'MIN', '', 'LS', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '78000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'S', '', 'W', 'N', '', '', 'S', '', '', 'SW', 'SW', '20.53', '1.1472', '1.25993', '1.44538', '112739.3671875', '112739.3671875', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('952', '10', '23', 'REAVELEY', TO_DATE('07/13/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '1', '0', '2560', '1979', 'RM1', 'N', '1987', '48250', 'S', 'MIN', '', 'LS', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '48250', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'S', '', 'W', 'N', '', '', '', 'RM', '', 'SW', 'SW', '18.85', '1.1472', '1.25993', '1.44538', '69739.4140625', '69739.4140625', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('953', '11', '26', 'REAVELEY', TO_DATE('07/13/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '1', '0', '1100', '1983', 'S5', '', '1987', '22630', 'S', 'MIN', '', 'LS', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '22630', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'S', '', 'W', 'N', '', '', 'S', '', '', 'SW', 'SW', '20.57', '1.1472', '1.25993', '1.44538', '32708.869140625', '32708.869140625', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('954', '1', '2', 'REAVELEY', TO_DATE('07/14/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '2', '0', '33000', '1910', 'URM', '', '1987', '495000', 'S', 'MIN', '', 'LS', 'SW', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '495000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '', '', '', '', '', '', 'W', 'C', 'C', 'N', '', '', '', 'URM', '', 'SW', 'SW', '15', '1.1472', '1.25993', '1.44538', '715461.375', '715461.375', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('955', '6', '28', 'REAVELEY', TO_DATE('07/14/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '2', '0', '9500', '1924', 'URM', 'N', '1987', '142500', 'S', 'MIN', '', 'LS', 'SW', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '142500', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '', '', '', '', '', '', 'W', 'C', 'C', 'N', '', '', '', 'URM', '', 'SW', 'SW', '15', '1.1472', '1.25993', '1.44538', '205966.140625', '205966.140625', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('956', '10', '22', 'REAVELEY', TO_DATE('07/14/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '1', '0', '9000', '1975', 'RM1', '', '1987', '108000', 'S', 'MIN', '', 'LS', 'SD', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '108000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '', '', '', '', '', '', 'S', '', 'MD', 'N', '', '', '', 'RM', '', 'SW', 'SW', '12', '1.1472', '1.25993', '1.44538', '156100.65625', '156100.65625', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('957', '10', '23', 'REAVELEY', TO_DATE('07/14/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '1', '0', '5000', '1975', 'RM1', '', '1987', '70000', 'S', 'MIN', '', 'LS', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '70000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'S', '', 'MD', 'N', '', '', '', 'RM', '', 'SW', 'SW', '14', '1.1472', '1.25993', '1.44538', '101176.3515625', '101176.3515625', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('958', '12', '32', 'REAVELEY', TO_DATE('07/14/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '2', '0', '16776', '1976', 'C3', '', '1988', '185000', 'S', 'MIN', '', 'LS', 'SW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '185000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '', '', '', '', '13', '13', 'C', 'C', '', 'N', '', '', 'C', '', 'SF', '', '', '11.03', '1.122', '1.25993', '1.41366', '261528.015625', '261528.015625', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('959', '6', '28', 'REAVELEY', TO_DATE('07/14/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '1', '0', '42780', '', 'URM', 'N', '1988', '641700', 'S', 'MIN', '', 'LS', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '641700', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'S', '', 'W', 'N', '', '', 'URM', 'URM', '', 'SW', 'SW', '15', '1.122', '1.25993', '1.41366', '907148.75', '907148.75', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('960', '12', '32', 'REAVELEY', TO_DATE('07/14/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '2', '0', '17820', '1963', 'C3', '', '1988', '142600', 'S', 'MIN', '', 'LS', 'SW', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '142600', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', 'C', '', 'N', '', '', '', '', '', 'SW', 'SW', '8', '1.122', '1.25993', '1.41366', '201588.625', '201588.625', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('961', '5', '23', 'REAVELEY', TO_DATE('07/14/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '1', '0', '17250', '1955', 'RM1', '', '1987', '190200', 'S', 'MIN', '', 'LS', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '190200', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'O', '', '', '', '', '', '', 'S', '', 'W', 'N', '', '', '', 'RM', '', 'SW', 'SW', '11.03', '1.1472', '1.25993', '1.44538', '274910.59375', '274910.59375', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('962', '5', '23', 'REAVELEY', TO_DATE('07/14/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '1', '0', '21000', '1955', 'RM1', '', '1987', '400625', 'S', 'MIN', '', 'LS', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '400625', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '', '', '', '', '', '', 'S', '', 'W', 'N', '', '', '', 'RM', '', 'SW', 'SW', '19.08', '1.1472', '1.25993', '1.44538', '579053.9375', '579053.9375', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('963', '12', '33', 'REAVELEY', TO_DATE('07/14/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '3', '0', '110880', '1955', 'C3', '', '1987', '558750', 'S', 'MIN', '', 'LS', 'SW', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '558750', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '', '', '', '', '', '', 'S', 'C', 'W', 'N', '', '', '', '', '', 'SW', 'SW', '5.04', '1.1472', '1.25993', '1.44538', '807604.125', '807604.125', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('964', '5', '23', 'REAVELEY', TO_DATE('07/14/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '2', '0', '31080', '1955', 'RM1', '', '1987', '224950', 'S', 'MIN', '', 'LS', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '224950', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'S', 'C', 'W', 'N', '', '', '', 'RM', '', 'SW', 'SW', '7.24', '1.1472', '1.25993', '1.44538', '325137.4375', '325137.4375', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('965', '12', '33', 'REAVELEY', TO_DATE('07/14/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '2', '0', '41400', '1955', 'C3', '', '1987', '386300', 'S', 'MIN', '', 'LS', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '386300', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '', '', '', '', '', '', 'S', 'C', 'W', 'N', '', '', 'C', '', '', 'SW', 'SW', '9.33', '1.1472', '1.25993', '1.44538', '558348.9375', '558348.9375', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('966', '12', '32', 'REAVELEY', TO_DATE('07/14/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '1', '0', '4000', '1955', 'C3', '', '1987', '50375', 'S', 'MIN', '', 'LS', 'SW', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '50375', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '', '', '', '', '', '', 'C', '', '', 'N', '', '', '', '', '', 'SW', 'SW', '12.59', '1.1472', '1.25993', '1.44538', '72810.8359375', '72810.8359375', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('967', '12', '32', 'REAVELEY', TO_DATE('07/14/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '1', '0', '7728', '1955', 'C3', '', '1987', '113750', 'S', 'MIN', '', 'LS', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '113750', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '', '', '', '', '', '', 'S', '', 'C', 'N', '', '', '', '', '', 'SW', 'SW', '14.72', '1.1472', '1.25993', '1.44538', '164411.578125', '164411.578125', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('968', '8', '22', 'REAVELEY', TO_DATE('07/14/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '1', '0', '4278', '1955', 'C1', '', '1987', '11500', 'S', 'MIN', '', 'LS', 'EF', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '11500', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '', '', '', '', '', '', '', '', 'C', 'N', '', '', 'C', '', '', 'MF', 'MF', '2.69', '1.1472', '1.25993', '1.44538', '16621.830078125', '16621.830078125', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('969', '1', '7', 'REAVELEY', TO_DATE('07/14/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '4', '0', '200000', '1912', 'URM', '', '1987', '2978750', 'S', 'MIN', '', 'LS', 'SW', 'EW', 'PB', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '2978750', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '', '', '', '', '', '', 'C', 'C', '', 'N', '', '', '', 'URM', '', 'SW', 'SW', '14.89', '1.1472', '1.25993', '1.44538', '4305415', '4305415', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('970', '12', '33', 'REAVELEY', TO_DATE('07/14/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '3', '0', '38000', '1953', 'C3', '', '1987', '191250', 'S', 'MIN', '', 'LS', 'SW', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '191250', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', 'C', 'PC', 'N', '', '', '', '', '', 'SW', 'SW', '5.03', '1.1472', '1.25993', '1.44538', '276428.25', '276428.25', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('971', '12', '33', 'REAVELEY', TO_DATE('07/14/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '2', '0', '55000', '1969', 'C3', '', '1987', '63750', 'S', 'MIN', '', 'LS', 'SW', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '63750', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '', '', '', '', '', '', 'C', 'C', 'C', 'N', '', '', '', '', '', 'SW', 'SW', '1.16', '1.1472', '1.25993', '1.44538', '92142.75', '92142.75', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('972', '11', '26', 'REAVELEY', TO_DATE('07/14/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '1', '1', '33700', '1952', 'S5', '', '1987', '192500', 'S', 'MIN', '', 'LS', 'SW', 'EW', 'SD', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '192500', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '', '', '', '', '', '', 'S', '', 'MD', 'N', '', '', 'S', '', '', 'SW', 'SW', '5.71', '1.1472', '1.25993', '1.44538', '278234.96875', '278234.96875', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('973', '11', '25', 'REAVELEY', TO_DATE('07/14/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '3', '0', '171000', '1930', 'S5', '', '1987', '3180950', 'S', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '3180950', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '', '', '', '', '', '', 'S', '', '', 'M', '', '', 'S', '', '', 'SW', 'SW', '18.6', '1.1472', '1.25993', '1.44538', '4597670.5', '4597670.5', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('974', '12', '32', 'REAVELEY', TO_DATE('07/14/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '3', '0', '28500', '1966', 'C3', '', '1987', '348438', 'S', 'MIN', '', 'LS', 'SW', 'EF', 'SD', 'PB', 'WT', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '348438', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '', '', '', '', '', '', '', '', '', 'N', '', '', 'C', '', '', 'SW', 'SW', '12.23', '1.1472', '1.25993', '1.44538', '503624.09375', '503624.09375', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('975', '12', '33', 'REAVELEY', TO_DATE('07/14/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '2', '0', '86100', '1961', 'C3', '', '1987', '913125', 'S', 'MIN', '', 'LS', 'SW', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '913125', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '', '', '', '', '', '', 'S', 'C', 'MD', 'M', '', '', 'C', '', '', 'SW', 'SW', '10.61', '1.1472', '1.25993', '1.44538', '1319809.375', '1319809.375', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('976', '12', '32', 'REAVELEY', TO_DATE('07/14/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '2', '0', '18000', '1972', 'C3', '', '1987', '196875', 'S', 'MIN', '', 'LS', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '196875', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', 'C', 'C', 'M', '', '', 'C', '', '', 'SW', 'SW', '10.94', '1.1472', '1.25993', '1.44538', '284558.5', '284558.5', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('977', '11', '26', 'REAVELEY', TO_DATE('07/14/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '1', '0', '14250', '1950', 'S5', '', '1987', '190313', 'S', 'MIN', '', 'LS', 'SW', 'BF', 'SD', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '190313', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '', '', '', '', '', '', 'S', '', 'W', 'N', '', '', 'S', '', '', 'SW', 'SW', '13.36', '1.1472', '1.25993', '1.44538', '275073.9375', '275073.9375', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('978', '10', '23', 'REAVELEY', TO_DATE('07/14/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '1', '0', '11000', '1979', 'RM1', '', '1987', '152875', 'S', 'MIN', '', 'LS', 'EW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '152875', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '', '', '', '', '', '', 'S', '', 'W', 'N', '', '', '', 'RM', '', 'SW', 'SW', '13.9', '1.1472', '1.25993', '1.44538', '220961.921875', '220961.921875', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('979', '12', '33', 'REAVELEY', TO_DATE('07/14/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '4', '0', '160000', '1921', 'C3', '', '1987', '851250', 'S', 'MIN', '', 'LS', 'SW', 'PB', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '788750', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '', '', '', '', '', '', 'S', 'FS', 'MD', 'N', '', '', 'C', '', '', 'SW', 'SW', '4.93', '1.1472', '1.25993', '1.44538', '1230376.75', '1140040.625', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('980', '5', '23', 'REAVELEY', TO_DATE('07/14/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '4', '0', '78000', '', 'C2', '', '1987', '204375', 'S', 'MIN', '', 'LS', 'SW', 'EW', 'PB', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '204375', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '', '', '', '', '', '', 'S', '', 'MD', 'N', '', '', 'C', '', '', 'SW', 'SW', '2.62', '1.1472', '1.25993', '1.44538', '295398.8125', '295398.8125', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('981', '6', '28', 'REAVELEY', TO_DATE('07/14/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '2', '0', '49570', '', 'URM', '', '1987', '482188', 'S', 'MIN', '', 'LS', 'SW', 'EW', 'SD', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '482188', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '', '', '', '', '', '', 'S', 'FS', 'W', 'N', '', '', '', 'URM', '', 'SW', 'SW', '9.73', '1.1472', '1.25993', '1.44538', '696943.1875', '696943.1875', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('982', '1', '2', 'REAVELEY', TO_DATE('07/14/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '2', '0', '45800', '1912', 'URM', '', '1987', '515125', 'S', 'MIN', '', 'LS', 'SW', 'EW', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '515125', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '', '', '', '', '', '', 'S', 'FS', '', 'N', '', '', '', 'URM', '', 'SW', 'SW', '11.25', '1.1472', '1.25993', '1.44538', '744549.5625', '744549.5625', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('983', '6', '27', 'REAVELEY', TO_DATE('07/14/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '1', '0', '2500', '1922', 'URM', '', '1987', '70000', 'S', 'MIN', '', 'LS', 'EW', 'SF', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'I', 'NE', '60000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '10000', 'R', '', '', '', '', '', '', 'S', '', 'C', 'N', '', '', '', 'URM', '', 'SW', 'SW', '24', '1.1472', '1.25993', '1.44538', '101176.3515625', '86722.5859375', '0', '0', '0', '0', '0', '0', '0', '14453.7646484375', '6', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('984', '12', '30', 'REAVELEY', TO_DATE('07/15/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '2', '0', '20913', '1936', 'C3', '', '1988', '242590', 'S', 'MIN', '', 'LS', 'SW', 'SD', 'PB', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '242590', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '', '', '', '', '', '', 'W', 'C', 'W', 'N', '', '', 'C', '', '', 'SW', 'SW', '11.6', '1.122', '1.25993', '1.41366', '342940.96875', '342940.96875', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('985', '5', '14', 'REAVELEY', TO_DATE('07/15/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '3', '0', '47424', '', 'C2', '', '1988', '355680', 'S', 'MIN', '', 'LS', 'SW', 'EF', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '355680', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '', '', '', '', '', '', 'C', 'C', 'C', 'N', '', '', 'C', 'C', '', 'SW', 'SW', '7.5', '1.122', '1.25993', '1.41366', '502812.34375', '502812.34375', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('986', '1', '2', 'REAVELEY', TO_DATE('07/15/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '1', '0', '18000', '1916', 'URM', '', '1988', '198000', 'S', 'MIN', '', 'LS', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '198000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '', '', '', '', '', '', 'TT', '', 'W', 'N', '', '', '', 'URM', '', 'SW', 'SW', '11', '1.122', '1.25993', '1.41366', '279905.65625', '279905.65625', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('987', '6', '29', 'REAVELEY', TO_DATE('07/15/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '1', '0', '7780', '1955', 'URM', '', '1988', '60684', 'S', 'MIN', '', 'LS', 'SD', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '60684', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'S', '', 'W', 'N', '', '', '', 'URM', '', 'SW', 'SW', '7.8', '1.122', '1.25993', '1.41366', '85786.84375', '85786.84375', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('988', '12', '32', 'REAVELEY', TO_DATE('07/15/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '3', '0', '21000', '1919', 'C3', '', '1988', '231000', 'S', 'MIN', '', 'LS', 'SW', 'SD', 'WT', 'PB', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '231000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'TT', '', 'W', 'N', '', '', '', '', '', 'SW', 'SW', '11', '1.122', '1.25993', '1.41366', '326556.59375', '326556.59375', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('989', '12', '32', 'REAVELEY', TO_DATE('07/15/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '2', '0', '21842', '1919', 'C3', '', '1988', '240240', 'S', 'MIN', '', 'LS', 'SW', 'PB', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '240240', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', 'C', 'C', 'N', '', '', 'C', '', '', 'SW', 'SW', '11', '1.122', '1.25993', '1.41366', '339618.875', '339618.875', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('990', '6', '28', 'REAVELEY', TO_DATE('07/15/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '2', '0', '13240', '1936', 'URM', '', '1988', '121278', 'S', 'MIN', '', 'LS', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '121278', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'S', 'S', 'MD', 'N', '', '', '', 'URM', '', 'SW', 'SW', '9.16', '1.122', '1.25993', '1.41366', '171446.453125', '171446.453125', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('991', '6', '28', 'REAVELEY', TO_DATE('07/15/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '1', '0', '10300', '1962', 'URM', '', '1988', '94348', 'S', 'MIN', '', 'LS', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '94348', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'S', '', 'W', 'N', '', '', '', 'URM', '', 'SW', 'SW', '9.16', '1.122', '1.25993', '1.41366', '133376.453125', '133376.453125', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('992', '6', '28', 'REAVELEY', TO_DATE('07/15/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '1', '0', '18400', '1962', 'URM', '', '1988', '168544', 'S', 'MIN', '', 'LS', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '168544', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'S', '', 'W', 'N', '', '', '', 'URM', '', 'SW', 'SW', '9.16', '1.122', '1.25993', '1.41366', '238264.734375', '238264.734375', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('993', '12', '32', 'REAVELEY', TO_DATE('07/15/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '2', '0', '4960', '1962', 'C3', '', '1988', '45434', 'S', 'MIN', '', 'LS', 'SW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '45434', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', 'C', 'PC', 'N', '', '', 'C', '', '', 'SW', 'SW', '9.16', '1.122', '1.25993', '1.41366', '64228.453125', '64228.453125', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('994', '6', '28', 'REAVELEY', TO_DATE('07/15/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '1', '0', '37000', '1959', 'URM', '', '1988', '555000', 'S', 'MIN', '', 'LS', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '555000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'S', '', 'W', 'N', '', '', '', 'URM', '', 'SW', 'SW', '15', '1.122', '1.25993', '1.41366', '784584', '784584', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('995', '5', '23', 'REAVELEY', TO_DATE('07/15/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '1', '0', '2400', '', 'RM1', '', '1988', '36000', 'S', 'MIN', '', 'LS', 'SW', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '36000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'S', '', 'MD', 'N', '', '', '', 'RM', '', 'SW', 'SW', '15', '1.122', '1.25993', '1.41366', '50891.9375', '50891.9375', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('996', '12', '33', 'REAVELEY', TO_DATE('07/15/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '2', '1', '139300', '1964', 'C3', '', '1988', '1393000', 'S', 'MIN', '', 'LS', 'SW', 'EF', 'SD', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '1393000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '', '', '', '', '', '', '', '', 'PC', 'N', '', '', '', '', '', 'SW', 'SW', '10', '1.122', '1.25993', '1.41366', '1969235.25', '1969235.25', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('997', '12', '33', 'REAVELEY', TO_DATE('07/15/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '2', '0', '42600', '1963', 'C3', '', '1988', '511200', 'S', 'MIN', '', 'LS', 'SW', 'EF', 'SD', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '511200', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', 'C', 'C', 'N', '', '', '', '', '', 'SW', 'SW', '12', '1.122', '1.25993', '1.41366', '722665.5', '722665.5', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('998', '12', '32', 'REAVELEY', TO_DATE('07/15/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '1', '0', '10200', '1979', 'C3', '', '1988', '122400', 'S', 'MIN', '', 'LS', 'SW', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '122400', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'N', '', '', '', '', '', 'SW', 'SW', '12', '1.122', '1.25993', '1.41366', '173032.578125', '173032.578125', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('999', '10', '22', 'REAVELEY', TO_DATE('07/15/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '1', '0', '15474', '1971', 'RM1', '', '1988', '19343', 'S', 'MIN', '', 'LS', 'WT', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '19343', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '', '', '', '', '', '', 'W', '', 'W', 'N', '', '', '', 'RM', '', 'SW', 'SW', '1.25', '1.122', '1.25993', '1.41366', '27344.51953125', '27344.51953125', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('1000', '6', '28', 'REAVELEY', TO_DATE('07/15/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '1', '0', '33700', '1958', 'URM', '', '1988', '353850', 'S', 'MIN', '', 'LS', 'EW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '353850', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', '', '', '', 'URM', '', 'SW', 'SW', '10.5', '1.122', '1.25993', '1.41366', '500225.34375', '500225.34375', '0', '0', '0', '0', '0', '0', '0', '0', '6', '1985 UBC (Z=0 3)', '', '');
INSERT INTO buildings VALUES ('1001', '6', '27', 'REAVELEY', TO_DATE('07/21/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', '', '1', '0', '1430', '1961', 'URM', '', '1988', '15015', 'S', 'MIN', '', 'LS', 'EW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '15015', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', '', '', '', 'URM', '', 'SW', 'SW', '10.5', '1.122', '1.25993', '1.41366', '21226.1796875', '21226.1796875', '0', '0', '0', '0', '0', '0', '0', '0', '6', '1985 UBC (Z=0 3)', '', '');
INSERT INTO buildings VALUES ('1004', '11', '14', 'FEMA-BOBMULLER', TO_DATE('07/21/93','MM/DD/YY'), 'CONTRACOSTA', 'CA', '7', 'S3', '2', '0', '465900', '1930', 'S5', 'Y', '1993', '3474000', 'S', 'MIN', '', 'LS', 'BF', 'MF', 'AD', 'SF', '', '', 'Y', 'N', 'N', 'Y', 'V', 'I', 'OK', 'NE', 'NE', '2569000', 'G', 'P', 'P', '', '', '', '', '734000', '171000', '', '', '', 'R', '1050', '400', '1050', '', '', '', 'S', 'S', 'C', 'M', 'Y', 'P', 'S', '', 'P', 'SW', 'SW', '5.51', '1', '1', '1', '3474000', '2569000', '0', '0', '0', '734000', '171000', '0', '0', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('1005', '7', '23', 'ROBERTENGLEKIRKINC', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '5', '0', '192045', '1961', 'C2', 'N', '1987', '1513176', '', 'ADD', '', 'LS', 'EW', 'SF', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'I', 'I', 'NE', '1480036', 'G', 'P', 'P', '', '', '432336', '', '', '', '', '', '', 'R', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '7.71', '1.1472', '1', '1.14719', '1735894.625', '1697876.875', '0', '0', '495969.875', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1007', '8', '23', 'ROBERTENGLEKIRKINC', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '12', '0', '160080', '1964', 'C1', 'N', '1987', '675092', '', 'ADD', '', 'LS', 'EW', 'SF', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'I', 'I', 'NE', '611522', 'G', 'P', 'P', '', '', '192883', '', '', '', '', '', '', 'R', '', '', '', '', '', '144', '', '', '', '', '', '', '', '', '', '', '', '3.82', '1.1472', '1', '1.14719', '774456.1875', '701529.5625', '0', '0', '221272.703125', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1008', '7', '23', 'ROBERTENGLEKIRKINC', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '4', '0', '47404', '1964', 'RM2', 'N', '1987', '273986', '', 'ADD', '', 'LS', 'EW', 'SF', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'I', 'I', 'NE', '246988', 'G', 'P', 'P', '', '', '78282', '', '', '', '', '', '', 'R', '', '', '', '', '', '39', '', '', '', '', '', '', '', '', '', '', '', '5.21', '1.1472', '1', '1.14719', '314312.9375', '283341.21875', '0', '0', '89804.0234375', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1009', '12', '34', 'ROBERTENGLEKIRKINC', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '3', '0', '14140', '1934', 'C3', 'Y', '1987', '145247', '', 'ADD', '', 'LS', 'EW', 'SD', 'WT', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'I', 'I', 'NE', '128247', 'G', 'P', 'P', '', '', '41499', '', '', '', '', '', '', 'R', '', '', '', '', '', '21', '', '', '', '', '', '', '', '', '', '', '', '9.07', '1.1472', '1', '1.14719', '166625.34375', '147123.1875', '0', '0', '47607.078125', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1010', '8', '23', 'ROBERTENGLEKIRKINC', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '4', '0', '76500', '1932', 'C1', 'N', '1987', '1159646', '', 'ADD', '', 'LS', 'EW', 'SF', 'WT', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'I', 'I', 'NE', '1148226', 'G', 'P', 'P', '', '', '331327', '', '', '', '', '', '', 'R', '', '', '', '', '', '50', '', '', '', '', '', '', '', '', '', '', '', '15.01', '1.1472', '1', '1.14719', '1330329.875', '1317229', '0', '0', '380093.75', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1011', '7', '23', 'ROBERTENGLEKIRKINC', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '9', '0', '129978', '1965', 'C2', 'N', '1987', '345037', '', 'ADD', '', 'LS', 'EW', 'SF', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'I', 'I', 'NE', '266327', 'G', 'P', 'P', '', '', '98582', '', '', '', '', '', '', 'R', '', '', '', '', '', '126', '', '', '', '', '', '', '', '', '', '', '', '2.05', '1.1472', '1', '1.14719', '395821.65625', '305526.65625', '0', '0', '113091.90625', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1012', '7', '23', 'ROBERTENGLEKIRKINC', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '11', '0', '161660', '1959', 'C2', 'N', '1987', '1667428', '', 'ADD', '', 'LS', 'EW', 'SF', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'I', 'I', 'NE', '1580718', 'G', 'P', 'P', '', '', '476408', '', '', '', '', '', '', 'R', '', '', '', '', '', '114', '', '', '', '', '', '', '', '', '', '', '', '9.78', '1.1472', '1', '1.14719', '1912850.375', '1813377.875', '0', '0', '546528.6875', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1013', '7', '23', 'ROBERTENGLEKIRKINC', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '3', '0', '47487', '1950', 'C2', 'N', '1987', '502678', '', 'ADD', '', 'LS', 'EW', 'SF', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'I', 'I', 'NE', '422968', 'G', 'P', 'P', '', '', '143622', '', '', '', '', '', '', 'R', '', '', '', '', '', '53', '', '', '', '', '', '', '', '', '', '', '', '8.91', '1.1472', '1', '1.14719', '576665.25', '485223.03125', '0', '0', '164761.171875', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1014', '7', '23', 'ROBERTENGLEKIRKINC', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '4', '0', '71224', '1950', 'C2', 'N', '1987', '341957', '', 'ADD', '', 'LS', 'EW', 'SF', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'I', 'I', 'NE', '297247', 'G', 'P', 'P', '', '', '97702', '', '', '', '', '', '', 'R', '', '', '', '', '', '68', '', '', '', '', '', '', '', '', '', '', '', '4.17', '1.1472', '1', '1.14719', '392288.34375', '340997.65625', '0', '0', '112082.3828125', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1016', '8', '23', 'ROBERTENGLEKIRKINC', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '4', '0', '136000', '1929', 'C1', 'N', '1987', '1640226', '', 'ADD', '', 'LS', 'EW', 'SF', 'WT', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'I', 'I', 'NE', '1477376', 'G', 'P', 'P', '', '', '468636', '', '', '', '', '', '', 'OT', '', '', '', '', '', '66', '', '', '', '', '', '', '', '', '', '', '', '10.86', '1.1472', '1', '1.14719', '1881644.625', '1694825.25', '0', '0', '537612.75', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1017', '7', '23', 'ROBERTENGLEKIRKINC', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '8', '0', '197193', '1964', 'C2', 'N', '1987', '1699555', '', 'MIN', '', 'LS', 'EW', 'SF', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'I', 'NE', '1586135', 'G', 'P', 'P', '', '', '485587', '', '', '', '', '', '', 'R', '', '', '', '', '', '87', '', '', '', '', '', '', '', '', '', '', '', '8.04', '1.1472', '1', '1.14719', '1949706', '1819592.125', '0', '0', '557058.6875', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1018', '8', '23', 'ROBERTENGLEKIRKINC', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '5', '0', '89814', '1967', 'C1', 'N', '1987', '1268378', '', 'ADD', '', 'LS', 'EW', 'SF', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'I', 'I', 'NE', '1170528', 'G', 'P', 'P', '', '', '362394', '', '', '', '', '', '', 'R', '', '', '', '', '', '76', '', '', '', '', '', '', '', '', '', '', '', '13.03', '1.1472', '1', '1.14719', '1455065.625', '1342813.5', '0', '0', '415733.375', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1019', '12', '33', 'ROBERTENGLEKIRKINC', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '4', '0', '91660', '1930', 'C3', 'N', '1987', '883107', '', 'ADD', '', 'LS', 'EW', 'SF', 'WT', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'I', 'I', 'NE', '803967', 'G', 'P', 'P', '', '', '252316', '', '', '', '', '', '', 'OT', '', '', '', '', '', '82', '', '', '', '', '', '', '', '', '', '', '', '8.77', '1.1472', '1', '1.14719', '1013088.125', '922299.8125', '0', '0', '289453.4375', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1021', '7', '23', 'ROBERTENGLEKIRKINC', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '8', '0', '148000', '1963', 'C2', 'N', '1983', '931565', '', 'ADD', '', 'LS', 'EW', 'SF', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'I', 'I', 'NE', '810855', 'G', 'P', 'P', '', '', '266161', '', '', '', '', '', '', 'R', '', '', '', '', '', '112', '', '', '', '', '', '', '', '', '', '', '', '5.48', '1.2227', '1', '1.22273', '1139057.125', '991460.75', '0', '0', '325444.34375', '0', '0', '0', '0', '0', '3', '', '', '');
INSERT INTO buildings VALUES ('1022', '12', '33', 'ROBERTENGLEKIRKINC', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '4', '0', '66150', '1951', 'C3', 'N', '1987', '167524', '', 'ADD', '', 'LS', 'EW', 'SF', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'I', 'I', 'NE', '128954', 'G', 'P', 'P', '', '', '47864', '', '', '', '', '', '', 'OT', '', '', '', '', '', '38', '', '', '', '', '', '', '', '', '', '', '', '1.95', '1.1472', '1', '1.14719', '192181.21875', '147934.25', '0', '0', '54908.91796875', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1024', '7', '23', 'ROBERTENGLEKIRKINC', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '5', '0', '219496', '1954', 'C2', 'N', '1987', '275238', '', 'ADD', '', 'LS', 'EW', 'SF', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'I', 'I', 'NE', '235528', 'G', 'P', 'P', '', '', '78636', '', '', '', '', '', '', 'R', '', '', '', '', '', '76', '', '', '', '', '', '', '', '', '', '', '', '1.07', '1.1472', '1', '1.14719', '315749.21875', '270194.46875', '0', '0', '90210.1328125', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1026', '8', '23', 'ROBERTENGLEKIRKINC', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '4', '0', '78752', '1957', 'C1', 'N', '1987', '775516', '', 'ADD', '', 'LS', 'EW', 'SF', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'I', 'I', 'NE', '669376', 'G', 'P', 'P', '', '', '221576', '', '', '', '', '', '', 'OT', '', '', '', '', '', '59', '', '', '', '', '', '', '', '', '', '', '', '8.5', '1.1472', '1', '1.14719', '889661.25', '767898.875', '0', '0', '254188.921875', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1027', '12', '33', 'ROBERTENGLEKIRKINC', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '4', '0', '104340', '1932', 'C3', 'N', '1987', '1548852', '', 'ADD', '', 'LS', 'EW', 'SF', 'WT', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'I', 'I', 'NE', '1471142', 'G', 'P', 'P', '', '', '442529', '', '', '', '', '', '', 'R', '', '', '', '', '', '46', '', '', '', '', '', '', '', '', '', '', '', '14.1', '1.1472', '1', '1.14719', '1776821.625', '1687673.75', '0', '0', '507663.15625', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1029', '12', '33', 'ROBERTENGLEKIRKINC', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '4', '0', '80631', '1930', 'C3', 'N', '1987', '1163800', '', 'ADD', '', 'LS', 'EW', 'SF', 'WT', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'I', 'I', 'NE', '1087090', 'G', 'P', 'P', '', '', '332514', '', '', '', '', '', '', 'OT', '', '', '', '', '', '50', '', '', '', '', '', '', '', '', '', '', '', '13.48', '1.1472', '1', '1.14719', '1335095.25', '1247094.625', '0', '0', '381455.46875', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1031', '7', '19', 'ROBERTENGLEKIRKINC', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '4', '0', '467712', '1963', 'C2', 'N', '1987', '619888', '', 'ADD', '', 'LS', 'EW', 'SF', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'I', 'I', 'NE', '579888', 'G', 'P', 'P', '', '', '177111', '', '', '', '', '', '', 'R', '', '', '', '', '', '37', '', '', '', '', '', '', '', '', '', '', '', '1.24', '1.1472', '1', '1.14719', '711126.9375', '665239.5', '0', '0', '203179.28125', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1032', '12', '33', 'ROBERTENGLEKIRKINC', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '4', '0', '163892', '1930', 'C3', 'N', '1987', '2153125', '', 'ADD', '', 'LS', 'EW', 'SF', 'WT', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'I', 'I', 'NE', '2005275', 'G', 'P', 'P', '', '', '615178', '', '', '', '', '', '', 'OT', '', '', '', '', '', '37', '', '', '', '', '', '', '', '', '', '', '', '12.24', '1.1472', '1', '1.14719', '2470035.25', '2300423.75', '0', '0', '705723.6875', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1033', '12', '32', 'ROBERTENGLEKIRKINC', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '4', '0', '34216', '1947', 'C3', 'N', '1987', '713711', '', 'ADD', '', 'LS', 'EW', 'SF', 'WT', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'I', 'I', 'NE', '648141', 'G', 'P', 'P', '', '', '203917', '', '', '', '', '', '', 'R', '', '', '', '', '', '57', '', '', '', '', 'N', '', '', '', '', '', '', '18.94', '1.1472', '1', '1.14719', '818759.375', '743538.375', '0', '0', '233930.765625', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1034', '7', '23', 'ROBERTENGLEKIRKINC', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '2', '0', '10032', '1956', 'C2', 'N', '1987', '390796', '', 'ADD', '', 'LS', 'EW', 'SF', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'I', 'I', 'NE', '345796', 'G', 'P', 'P', '', '', '111656', '', '', '', '', '', '', 'R', '', '', '', '', '', '57', '', '', '', '', '', '', '', '', '', '', '', '34.47', '1.1472', '1', '1.14719', '448315.75', '396692.375', '0', '0', '128090.21875', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1035', '8', '23', 'ROBERTENGLEKIRKINC', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '4', '0', '123778', '1965', 'C1', 'N', '1987', '1816866', '', 'ADD', '', 'LS', 'EW', 'SF', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'I', 'I', 'NE', '1701446', 'G', 'P', 'P', '', '', '519104', '', '', '', '', '', '', 'OT', '', '', '', '', '', '43', '', '', '', '', '', '', '', '', '', '', '', '13.75', '1.1472', '1', '1.14719', '2084283.5', '1951875.25', '0', '0', '595508.9375', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1036', '7', '23', 'ROBERTENGLEKIRKINC', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '8', '0', '196020', '1963', 'C2', 'N', '1987', '1778308', '', 'ADD', '', 'LS', 'EW', 'SF', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'I', 'I', 'NE', '1664888', 'G', 'P', 'P', '', '', '508088', '', '', '', '', '', '', 'OT', '', '', '', '', '', '87', '', '', '', '', '', '', '', '', '', '', '', '8.49', '1.1472', '1', '1.14719', '2040050.375', '1909936.5', '0', '0', '582871.5', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1038', '12', '33', 'ROBERTENGLEKIRKINC', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '4', '0', '230779', '1927', 'C3', 'N', '1987', '2540028', '', 'ADD', '', 'LS', 'EW', 'SF', 'WT', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'I', 'I', 'NE', '2289328', 'G', 'P', 'P', '', '', '725722', '', '', '', '', '', '', 'OT', '', '', '', '', '', '50', '', '', '', '', '', '', '', '', '', '', '', '9.92', '1.1472', '1', '1.14719', '2913885', '2626285.5', '0', '0', '832538.25', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1040', '7', '23', 'ROBERTENGLEKIRKINC', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '5', '0', '55800', '1966', 'C2', 'N', '1987', '348040', '', 'ADD', '', 'LS', 'EW', 'SF', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'I', 'I', 'NE', '280830', 'G', 'P', 'P', '', '', '99440', '', '', '', '', '', '', 'R', '', '', '', '', '', '47', '', '', '', '', '', '', '', '', '', '', '', '5.03', '1.1472', '1', '1.14719', '399266.65625', '322164.28125', '0', '0', '114076.1953125', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1041', '7', '23', 'ROBERTENGLEKIRKINC', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '9', '0', '141835', '1968', 'C2', 'N', '1987', '193373', '', 'ADD', '', 'LS', 'EW', 'SF', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'I', 'I', 'NE', '147673', 'G', 'P', 'P', '', '', '55249', '', '', '', '', '', '', 'OT', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '1.04', '1.1472', '1', '1.14719', '221834.828125', '169408.421875', '0', '0', '63380.88671875', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1042', '7', '23', 'ROBERTENGLEKIRKINC', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '7', '0', '65299', '1965', 'C2', 'N', '1987', '587331', '', 'ADD', '', 'LS', 'EW', 'SF', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'I', 'I', 'NE', '484911', 'G', 'P', 'P', '', '', '167809', '', '', '', '', '', '', 'OT', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '7.43', '1.1472', '1', '1.14719', '673778', '556283.1875', '0', '0', '192508.15625', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1043', '7', '23', 'ROBERTENGLEKIRKINC', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '8', '0', '192055', '1960', 'C2', 'N', '1987', '1757913', '', 'ADD', '', 'LS', 'EW', 'SF', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'I', 'I', 'NE', '1644493', 'G', 'P', 'P', '', '', '502261', '', '', '', '', '', '', 'R', '', '', '', '', '', '87', '', '', '', '', '', '', '', '', '', '', '', '8.56', '1.1472', '1', '1.14719', '2016653.5', '1886539.625', '0', '0', '576186.875', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1044', '10', '23', 'ROBERTENGLEKIRKINC', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '8', '0', '99608', '1971', 'C1', 'N', '1987', '1472832', '', 'ADD', '', 'LS', 'EW', 'SF', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'I', 'I', 'NE', '1360553', 'G', 'P', 'P', '', '', '420809', '', '', '', '', '', '', 'R', '', '', '', '', '', '118', '', '', '', '', '', '', '', '', '', '', '', '13.66', '1.1472', '1', '1.14719', '1689612.5', '1560807.625', '0', '0', '482746.25', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1045', '8', '23', 'ROBERTENGLEKIRKINC', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '5', '0', '78600', '1925', 'C1', 'N', '1987', '776241', '', 'ADD', '', 'LS', 'EW', 'SF', 'WT', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'I', 'I', 'NE', '714531', 'G', 'P', 'P', '', '', '221783', '', '', '', '', '', '', 'R', '', '', '', '', '', '53', '', '', '', '', '', '', '', '', '', '', '', '9.09', '1.1472', '1', '1.14719', '890492.9375', '819700.0625', '0', '0', '254426.390625', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1046', '7', '23', 'ROBERTENGLEKIRKINC', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '7', '0', '91924', '1961', 'C2', 'N', '1987', '768216', '', 'ADD', '', 'LS', 'EW', 'SF', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'I', 'I', 'NE', '710146', 'G', 'P', 'P', '', '', '219490', '', '', '', '', '', '', 'R', '', '', '', '', '', '72', '', '', '', '', '', '', '', '', '', '', '', '7.73', '1.1472', '1', '1.14719', '881286.75', '814669.6875', '0', '0', '251795.890625', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1049', '7', '23', 'ROBERTENGLEKIRKINC', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '5', '0', '72360', '1952', 'C2', 'N', '1987', '182095', '', 'ADD', '', 'LS', 'EW', 'SF', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'I', 'I', 'NE', '163025', 'G', 'P', 'P', '', '', '52027', '', '', '', '', '', '', 'R', '', '', '', '', '', '60', '', '', '', '', '', '', '', '', '', '', '', '2.25', '1.1472', '1', '1.14719', '208896.859375', '187020.03125', '0', '0', '59684.65625', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1051', '7', '23', 'ROBERTENGLEKIRKINC', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '6', '0', '136152', '1960', 'C2', 'N', '1987', '1657664', '', 'ADD', '', 'LS', 'EW', 'SF', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'I', 'I', 'NE', '1522954', 'G', 'P', 'P', '', '', '473721', '', '', '', '', '', '', 'R', '', '', '', '', '', '76', '', '', '', '', '', '', '', '', '', '', '', '11.19', '1.1472', '1', '1.14719', '1901649.25', '1747111.75', '0', '0', '543446.1875', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1055', '10', '21', 'ROBERTENGLEKIRKINC', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '8', '0', '100352', '1971', 'C2', 'N', '1987', '1473780', '', 'ADD', '', 'LS', 'EW', 'SF', '', '', '', '', 'N', 'Y', 'Y', 'N', '', 'I', 'I', 'I', 'NE', '1357780', 'G', 'P', 'P', '', '10000', '421000', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '13.53', '1.1472', '1', '1.14719', '1690700', '1557626.375', '0', '11471.861328125', '482965.375', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1056', '7', '29', 'CITYOFLA', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '9000', '', 'URM', 'N', '1987', '63200', '', 'MIN', '', 'LS', 'SD', 'SF', 'WT', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '63200', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '7.02', '1.1472', '1', '1.14719', '72502.1640625', '72502.1640625', '0', '0', '0', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1057', '7', '12', 'CITYOFLA', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '4', '0', '44800', '', 'URM', 'N', '1987', '127109', '', 'MIN', '', 'LS', 'SW', 'EW', 'SD', 'SF', 'PB', 'WT', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '127109', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '', '', '', '', '', '48', '', '', '', '', '', '', '', '', '', '', '', '2.84', '1.1472', '1', '1.14719', '145817.6875', '145817.6875', '0', '0', '0', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1058', '7', '11', 'CITYOFLA', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '5650', '', 'URM', 'N', '1987', '38942', '', 'MIN', '', 'LS', 'SW', 'EW', 'SD', 'SF', 'PB', 'WT', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '38942', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '6.89', '1.1472', '1', '1.14719', '44673.72265625', '44673.72265625', '0', '0', '0', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1059', '7', '11', 'CITYOFLA', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '4120', '1925', 'URM', 'N', '1987', '20350', '', 'MIN', '', 'LS', 'SW', 'SF', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '20350', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '', '', '', '', '', '15', '', '', '', '', '', '', '', '', '', '', '', '4.94', '1.1472', '1', '1.14719', '23345.23828125', '23345.23828125', '0', '0', '0', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1060', '7', '11', 'CITYOFLA', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '4000', '', 'RM1', 'N', '1987', '29935', '', 'MIN', '', 'LS', 'EW', 'SF', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '29935', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '18', '', '', '', '', '', '', '', '', '', '', '', '7.48', '1.1472', '1', '1.14719', '34341.01953125', '34341.01953125', '0', '0', '0', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1061', '7', '11', 'CITYOFLA', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '2700', '', 'URM', 'N', '1987', '40065', '', 'MIN', '', 'LS', 'SF', 'PB', 'WT', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '40065', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '', '', '', '', '', '12', '', '', '', '', '', '', '', '', '', '', '', '14.84', '1.1472', '1', '1.14719', '45962.01171875', '45962.01171875', '0', '0', '0', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1062', '7', '11', 'CITYOFLA', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '4740', '1930', 'URM', 'N', '1987', '34300', '', 'MIN', '', 'LS', 'EW', 'SD', 'SF', 'WT', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '34300', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '', '', '', '', '', '13.5', '', '', '', '', '', '', '', '', '', '', '', '7.24', '1.1472', '1', '1.14719', '39348.484375', '39348.484375', '0', '0', '0', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1063', '7', '11', 'CITYOFLA', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '2500', '', 'URM', 'N', '1987', '26100', '', 'MIN', '', 'LS', 'EW', 'SD', 'SF', 'PB', 'WT', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '26100', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '', '', '', '', '', '13', '', '', '', '', '', '', '', '', '', '', '', '10.44', '1.1472', '1', '1.14719', '29941.55859375', '29941.55859375', '0', '0', '0', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1064', '7', '12', 'CITYOFLA', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '4', '0', '24700', '', 'URM', 'N', '1987', '106000', '', 'MIN', '', 'LS', 'SW', 'EW', 'SD', 'SF', 'PB', 'WT', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '106000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '', '', '', '', '', '40', '', '', '', '', '', '', '', '', '', '', '', '4.29', '1.1472', '1', '1.14719', '121601.734375', '121601.734375', '0', '0', '0', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1065', '7', '12', 'CITYOFLA', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '4', '0', '24700', '', 'URM', 'N', '1987', '136000', '', 'MIN', '', 'LS', 'SW', 'EW', 'SD', 'SF', 'PB', 'WT', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '136000', 'G', 'P', 'P', '', '', '30000', '', '', '', '', '', '', 'R', '', '', '', '', '', '40', '', '', '', '', '', '', '', '', '', '', '', '5.51', '1.1472', '1', '1.14719', '156017.3125', '156017.3125', '0', '0', '34415.5859375', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1066', '7', '12', 'CITYOFLA', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '5', '0', '36900', '', 'URM', 'N', '1987', '195900', '', 'MIN', '', 'LS', 'SW', 'EW', 'SD', 'SF', 'PB', 'WT', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '195900', 'G', 'P', 'P', '', '', '50000', '', '', '', '', '', '', 'OT', '', '', '', '', '', '50', '', '', '', '', '', '', '', '', '', '', '', '5.31', '1.1472', '1', '1.14719', '224733.765625', '224733.765625', '0', '0', '57359.30859375', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1067', '7', '12', 'CITYOFLA', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '3', '0', '6900', '', 'URM', 'N', '1987', '35810', '', 'MIN', '', 'LS', 'EW', 'SF', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '35810', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '', '', '', '', '', '42', '', '', '', '', '', '', '', '', '', '', '', '5.19', '1.1472', '1', '1.14719', '41080.73828125', '41080.73828125', '0', '0', '0', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1068', '7', '12', 'CITYOFLA', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '2', '0', '9100', '', 'URM', 'N', '1987', '27265', '', 'MIN', '', 'LS', 'SW', 'EW', 'SD', 'SF', 'PB', 'WT', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '27265', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '', '', '', '', '', '24', '', '', '', '', '', '', '', '', '', '', '', '3', '1.1472', '1', '1.14719', '31278.03125', '31278.03125', '0', '0', '0', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1069', '7', '12', 'CITYOFLA', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '7500', '', 'URM', 'N', '1987', '34612', '', 'MIN', '', 'LS', 'SW', 'SD', 'SF', 'PB', 'WT', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '34612', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '', '', '', '', '', '17.5', '', '', '', '', '', '', '', '', '', '', '', '4.61', '1.1472', '1', '1.14719', '39706.40625', '39706.40625', '0', '0', '0', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1070', '7', '12', 'CITYOFLA', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '2', '0', '11600', '', 'URM', 'N', '1987', '48921', '', 'MIN', '', 'LS', 'EW', 'SD', 'SF', 'PB', 'WT', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '48921', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '', '', '', '', '', '24', '', '', '', '', '', '', '', '', '', '', '', '4.22', '1.1472', '1', '1.14719', '56121.4921875', '56121.4921875', '0', '0', '0', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1071', '7', '11', 'CITYOFLA', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '5900', '', 'URM', 'N', '1987', '21950', '', 'MIN', '', 'LS', 'SW', 'EW', 'SF', 'PB', 'WT', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '21950', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '', '', '', '', '', '14', '', '', '', '', '', '', '', '', '', '', '', '3.72', '1.1472', '1', '1.14719', '25180.736328125', '25180.736328125', '0', '0', '0', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1072', '7', '11', 'CITYOFLA', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '2', '0', '2163', '', 'URM', 'N', '1987', '27353', '', 'MIN', '', 'LS', 'SW', 'EW', 'SD', 'SF', 'PB', 'WT', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '27353', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'I', '', '', '', '', '', '24', '', '', '', '', '', '', '', '', '', '', '', '12.65', '1.1472', '1', '1.14719', '31378.982421875', '31378.982421875', '0', '0', '0', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1073', '7', '11', 'CITYOFLA', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '2200', '', 'URM', 'N', '1987', '10222', '', 'MIN', '', 'LS', 'SW', 'EW', 'SF', 'PB', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '10222', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '', '', '', '', '', '17.5', '', '', '', '', '', '', '', '', '', '', '', '4.65', '1.1472', '1', '1.14719', '11726.537109375', '11726.537109375', '0', '0', '0', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1074', '7', '11', 'CITYOFLA', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '4000', '', 'URM', 'N', '1987', '9000', '', 'MIN', '', 'LS', 'PB', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '9000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '2.25', '1.1472', '1', '1.14719', '10324.67578125', '10324.67578125', '0', '0', '0', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1075', '7', '11', 'CITYOFLA', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '2288', '', 'URM', 'N', '1987', '9600', '', 'MIN', '', 'LS', 'PB', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '9600', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '4.2', '1.1472', '1', '1.14719', '11012.987304688', '11012.987304688', '0', '0', '0', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1076', '7', '28', 'CITYOFLA', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '5500', '', 'URM', 'N', '1987', '44855', '', 'MIN', '', 'LS', 'EW', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '44855', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '', '', '', '', '', '13', '', '', '', '', '', '', '', '', '', '', '', '8.16', '1.1472', '1', '1.14719', '51457.03515625', '51457.03515625', '0', '0', '0', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1077', '7', '12', 'CITYOFLA', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '2', '0', '9526', '', 'URM', 'N', '1987', '50806', '', 'MIN', '', 'LS', 'SW', 'EW', 'SF', 'PB', 'WT', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '50806', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '', '', '', '', '', '24', '', '', '', '', '', '', '', '', '', '', '', '5.33', '1.1472', '1', '1.14719', '58283.94140625', '58283.94140625', '0', '0', '0', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1078', '7', '12', 'CITYOFLA', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '2', '0', '7300', '', 'URM', 'N', '1987', '15720', '', 'MIN', '', 'LS', 'SW', 'SF', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '15720', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '', '', '', '', '', '24', '', '', '', '', '', '', '', '', '', '', '', '2.15', '1.1472', '1', '1.14719', '18033.765625', '18033.765625', '0', '0', '0', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1079', '7', '12', 'CITYOFLA', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '13104', '', 'URM', 'N', '1987', '101880', '', 'MIN', '', 'LS', 'EW', 'SD', 'SF', 'PB', 'WT', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '101880', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '28', '', '', '', '', '', '', '', '', '', '', '', '7.77', '1.1472', '1', '1.14719', '116875.328125', '116875.328125', '0', '0', '0', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1080', '7', '12', 'CITYOFLA', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '8874', '1920', 'URM', 'N', '1987', '50524', '', 'MIN', '', 'LS', 'EW', 'SD', 'SF', 'PB', 'WT', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '50524', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '', '', '', '', '', '11', '', '', '', '', '', '', '', '', '', '', '', '5.69', '1.1472', '1', '1.14719', '57960.43359375', '57960.43359375', '0', '0', '0', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1081', '7', '12', 'CITYOFLA', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '2', '0', '15068', '1920', 'RM1', 'N', '1987', '51398', '', 'MIN', '', 'LS', 'EW', 'SF', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '51398', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '', '', '', '', '', '28', '', '', '', '', '', '', '', '', '', '', '', '3.41', '1.1472', '1', '1.14719', '58963.07421875', '58963.07421875', '0', '0', '0', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1082', '7', '12', 'CITYOFLA', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '9000', '1930', 'URM', 'N', '1987', '61000', '', 'MIN', '', 'LS', 'SW', 'EW', 'SD', 'SF', 'PB', 'WT', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '61000', 'G', 'P', 'P', '', '', '5660', '', '', '', '', '', '', 'OT', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '6.78', '1.1472', '1', '1.14719', '69978.359375', '69978.359375', '0', '0', '6493.07373046875', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1083', '7', '12', 'CITYOFLA', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '6400', '', 'URM', 'N', '1987', '26596', '', 'MIN', '', 'LS', 'SW', 'SF', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '26596', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '', '', '', '', '', '18', '', '', '', '', '', '', '', '', '', '', '', '4.16', '1.1472', '1', '1.14719', '30510.5625', '30510.5625', '0', '0', '0', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1084', '7', '12', 'CITYOFLA', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '16956', '', 'URM', 'N', '1987', '88600', '', 'MIN', '', 'LS', 'SW', 'EW', 'SD', 'SF', 'PB', 'WT', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '88600', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '', '', '', '', '', '18', '', '', '', '', '', '', '', '', '', '', '', '5.23', '1.1472', '1', '1.14719', '101640.6953125', '101640.6953125', '0', '0', '0', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1085', '7', '12', 'CITYOFLA', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '4', '0', '9500', '', 'URM', 'N', '1987', '57225', '', 'MIN', '', 'LS', 'SW', 'EW', 'SF', 'PB', 'WT', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '57225', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '6.02', '1.1472', '1', '1.14719', '65647.7265625', '65647.7265625', '0', '0', '0', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1086', '7', '11', 'CITYOFLA', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '3120', '', 'RM1', 'N', '1987', '11272.5', '', 'MIN', '', 'LS', 'EW', 'SF', 'WT', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '11272', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '', '', '', '', '', '15', '', '', '', '', '', '', '', '', '', '', '', '3.61', '1.1472', '1', '1.14719', '12931.65625', '12931.08203125', '0', '0', '0', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1087', '7', '11', 'CITYOFLA', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '2200', '', 'URM', 'N', '1987', '18340', '', 'MIN', '', 'LS', 'EW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '18340', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '', '', '', '', '', '15', '', '', '', '', '', '', '', '', '', '', '', '8.34', '1.1472', '1', '1.14719', '21039.39453125', '21039.39453125', '0', '0', '0', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1088', '7', '11', 'CITYOFLA', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '6072', '1920', 'URM', 'N', '1987', '39397', '', 'MIN', '', 'LS', 'EW', 'SD', 'SF', 'PB', 'WT', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '39397', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '', '', '', '', '', '12', '', '', '', '', '', '', '', '', '', '', '', '6.49', '1.1472', '1', '1.14719', '45195.69140625', '45195.69140625', '0', '0', '0', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1089', '7', '11', 'BMP', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '6350', '', 'URM', 'N', '1987', '50000', '', 'MIN', '', 'LS', 'SW', 'EW', 'SD', 'PB', 'WT', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '50000', 'G', 'P', 'P', '', '', '10000', '', '', '', '', '', '', 'R', '', '', '', '', '', '12', '', '', '', '', '', '', '', '', '', '', '', '7.87', '1.1472', '1', '1.14719', '57359.30859375', '57359.30859375', '0', '0', '11471.861328125', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1090', '7', '12', 'BMP', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '3', '0', '15070', '', 'URM', 'N', '1987', '93700', '', 'MIN', '', 'LS', 'EW', 'SD', 'SF', 'PB', 'WT', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '93700', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '6.22', '1.1472', '1', '1.14719', '107491.34375', '107491.34375', '0', '0', '0', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1091', '7', '12', 'BMP', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '2', '0', '13519', '', 'URM', 'N', '1987', '120500', '', 'MIN', '', 'LS', 'SW', 'EW', 'SD', 'SF', 'PB', 'WT', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '120500', 'G', 'P', 'P', '', '', '21000', '', '', '', '', '', '', 'OT', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '8.91', '1.1472', '1', '1.14719', '138235.9375', '138235.9375', '0', '0', '24090.91015625', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1092', '7', '12', 'BMP', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '3', '0', '14678', '', 'URM', 'N', '1987', '70000', '', 'MIN', '', 'LS', 'SW', 'EW', 'SF', 'PB', 'WT', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '70000', 'G', 'P', 'P', '', '', '14000', '', '', '', '', '', '', 'OT', '', '', '', '', '', '36', '', '', '', '', '', '', '', '', '', '', '', '4.77', '1.1472', '1', '1.14719', '80303.03125', '80303.03125', '0', '0', '16060.6064453125', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1093', '7', '12', 'BMP', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '3', '0', '15840', '', 'URM', 'N', '1987', '108000', '', 'MIN', '', 'LS', 'SW', 'SF', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '108000', 'G', 'P', 'P', '', '', '21600', '', '', '', '', '', '', 'R', '', '', '', '', '', '37', '', '', '', '', '', '', '', '', '', '', '', '6.82', '1.1472', '1', '1.14719', '123896.1015625', '123896.1015625', '0', '0', '24779.220703125', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1094', '7', '12', 'BMP', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '3', '0', '14872', '', 'URM', 'N', '1987', '65000', '', 'MIN', '', 'LS', 'SW', 'SF', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '65000', 'G', 'P', 'P', '', '', '13000', '', '', '', '', '', '', 'R', '', '', '', '', '', '37', '', '', '', '', '', '', '', '', '', '', '', '4.37', '1.1472', '1', '1.14719', '74567.1015625', '74567.1015625', '0', '0', '14913.419921875', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1095', '7', '12', 'BMP', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '10251', '', 'URM', 'N', '1987', '74000', '', 'MIN', '', 'LS', 'SW', 'EW', 'SD', 'SF', 'PB', 'WT', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '74000', 'G', 'P', 'P', '', '', '14800', '', '', '', '', '', '', 'R', '', '', '', '', '', '27.5', '', '', '', '', '', '', '', '', '', '', '', '7.22', '1.1472', '1', '1.14719', '84891.7734375', '84891.7734375', '0', '0', '16978.35546875', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1096', '7', '12', 'BMP', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '5', '0', '23061', '', 'URM', 'N', '1987', '105000', '', 'MIN', '', 'LS', 'SW', 'EW', 'SF', 'PB', 'WT', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '105000', 'G', 'P', 'P', '', '', '21000', '', '', '', '', '', '', 'OT', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '4.55', '1.1472', '1', '1.14719', '120454.546875', '120454.546875', '0', '0', '24090.91015625', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1097', '7', '12', 'BMP', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '3', '0', '32379', '', 'URM', 'N', '1987', '170000', '', 'MIN', '', 'LS', 'SW', 'SF', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '170000', 'G', 'P', 'P', '', '', '34000', '', '', '', '', '', '', 'OT', '', '', '', '', '', '33.5', '', '', '', '', '', '', '', '', '', '', '', '5.25', '1.1472', '1', '1.14719', '195021.640625', '195021.640625', '0', '0', '39004.328125', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1098', '7', '12', 'BMP', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '4', '0', '17280', '', 'URM', 'N', '1987', '78000', '', 'MIN', '', 'LS', 'SW', 'SF', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '78000', 'G', 'P', 'P', '', '', '15600', '', '', '', '', '', '', 'R', '', '', '', '', '', '40', '', '', '', '', '', '', '', '', '', '', '', '4.51', '1.1472', '1', '1.14719', '89480.5234375', '89480.5234375', '0', '0', '17896.103515625', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1099', '7', '12', 'BMP', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '4', '0', '22340', '', 'URM', 'N', '1987', '125000', '', 'MIN', '', 'LS', 'SW', 'EW', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '125000', 'G', 'P', 'P', '', '', '25000', '', '', '', '', '', '', 'R', '', '', '', '', '', '41.5', '', '', '', '', '', '', '', '', '', '', '', '5.6', '1.1472', '1', '1.14719', '143398.265625', '143398.265625', '0', '0', '28679.654296875', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1100', '7', '11', 'BMP', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '1254', '', 'URM', 'N', '1987', '9400', '', 'MIN', '', 'LS', 'SD', 'PB', 'WT', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '9400', 'G', 'P', 'P', '', '', '1880', '', '', '', '', '', '', 'R', '', '', '', '', '', '13', '', '', '', '', '', '', '', '', '', '', '', '7.5', '1.1472', '1', '1.14719', '10783.549804688', '10783.549804688', '0', '0', '2156.7099609375', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1101', '7', '11', 'BMP', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '4755', '', 'URM', 'N', '1986', '21800', '', 'MIN', '', 'LS', 'SW', 'EW', 'SF', 'PB', 'WT', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '21800', 'G', 'P', 'P', '', '', '3000', '', '', '', '', '', '', 'R', '', '', '', '', '', '16', '', '', '', '', '', '', '', '', '', '', '', '4.58', '1.174', '1', '1.17398', '25592.83203125', '25592.83203125', '0', '0', '3521.94921875', '0', '0', '0', '0', '0', '3', '', '', '');
INSERT INTO buildings VALUES ('1102', '7', '12', 'BMP', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '15282', '', 'URM', 'N', '1987', '90000', '', 'MIN', '', 'LS', 'SW', 'SD', 'SF', 'PB', 'WT', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '90000', 'G', 'P', 'P', '', '', '18000', '', '', '', '', '', '', 'R', '', '', '', '', '', '18.25', '', '', '', '', '', '', '', '', '', '', '', '5.89', '1.1472', '1', '1.14719', '103246.7578125', '103246.7578125', '0', '0', '20649.3515625', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1103', '7', '11', 'BMP', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '5600', '', 'URM', 'N', '1987', '32000', '', 'MIN', '', 'LS', 'SW', 'SF', 'WT', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '32000', 'G', 'P', 'P', '', '', '6000', '', '', '', '', '', '', 'R', '', '', '', '', '', '17', '', '', '', '', '', '', '', '', '', '', '', '5.71', '1.1472', '1', '1.14719', '36709.95703125', '36709.95703125', '0', '0', '6883.1171875', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1104', '7', '12', 'BMP', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '2', '0', '15546', '', 'URM', 'N', '1987', '76500', '', 'MIN', '', 'LS', 'SW', 'EW', 'SD', 'SF', 'PB', 'WT', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '76500', 'G', 'P', 'P', '', '', '16000', '', '', '', '', '', '', 'R', '', '', '', '', '', '25.25', '', '', '', '', '', '', '', '', '', '', '', '4.92', '1.1472', '1', '1.14719', '87759.7421875', '87759.7421875', '0', '0', '18354.978515625', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1105', '7', '12', 'BMP', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '2', '0', '10000', '', 'URM', 'N', '1987', '74700', '', 'MIN', '', 'LS', 'SW', 'SD', 'SF', 'PB', 'WT', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '74700', 'G', 'P', 'P', '', '', '15000', '', '', '', '', '', '', 'R', '', '', '', '', '', '25.5', '', '', '', 'M', '', '', '', '', '', '', '', '7.47', '1.1472', '1', '1.14719', '85694.8046875', '85694.8046875', '0', '0', '17207.79296875', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1106', '7', '12', 'BMP', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '2', '0', '23977', '', 'URM', 'N', '1986', '95000', '', 'MIN', '', 'LS', 'SW', 'EW', 'SF', 'PB', 'WT', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '95000', 'G', 'P', 'P', '', '', '19000', '', '', '', '', '', '', 'OT', '', '', '', '', '', '28.5', '', '', '', '', '', '', '', '', '', '', '', '3.96', '1.174', '1', '1.17398', '111528.390625', '111528.390625', '0', '0', '22305.6796875', '0', '0', '0', '0', '0', '3', '', '', '');
INSERT INTO buildings VALUES ('1108', '7', '11', 'BMP', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '5054', '', 'URM', 'N', '1986', '24500', '', 'MIN', '', 'LS', 'SD', 'PB', 'WT', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '24500', 'G', 'P', 'P', '', '', '4900', '', '', '', '', '', '', 'R', '', '', '', '', '', '11', '', '', '', '', '', '', '', '', '', '', '', '4.85', '1.174', '1', '1.17398', '28762.5859375', '28762.5859375', '0', '0', '5752.51708984375', '0', '0', '0', '0', '0', '3', '', '', '');
INSERT INTO buildings VALUES ('1109', '7', '12', 'BMP', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '2', '0', '10320', '', 'URM', 'N', '1987', '70000', '', 'MIN', '', 'LS', 'SW', 'SF', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', '', '', '', '', '', '70000', 'G', 'P', 'P', '', '', '14000', '', '', '', '', '', '', 'R', '', '', '', '', '', '28', '', '', '', '', '', '', '', '', '', '', '', '6.78', '1.1472', '1', '1.14719', '80303.03125', '80303.03125', '0', '0', '16060.6064453125', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1110', '7', '12', 'BMP', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '18500', '', 'URM', 'N', '1987', '110000', '', 'MIN', '', 'LS', 'SW', 'SF', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '110000', 'G', 'P', 'P', '', '', '22000', '', '', '', '', '', '', 'R', '', '', '', '', '', '29', '', '', '', '', '', '', '', '', '', '', '', '5.95', '1.1472', '1', '1.14719', '126190.4765625', '126190.4765625', '0', '0', '25238.095703125', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1111', '7', '12', 'BMP', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '7516', '', 'URM', 'N', '1987', '67000', '', 'MIN', '', 'LS', 'SW', 'SD', 'SF', 'PB', 'WT', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '67000', 'G', 'P', 'P', '', '', '13400', '', '', '', '', '', '', 'R', '', '', '', '', '', '18', '', '', '', '', '', '', '', '', '', '', '', '8.91', '1.1472', '1', '1.14719', '76861.4765625', '76861.4765625', '0', '0', '15372.294921875', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1112', '7', '12', 'BMP', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '32624', '', 'URM', 'N', '1987', '210000', '', 'MIN', '', 'LS', 'SW', 'EW', 'SD', 'SF', 'PB', 'WT', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '210000', 'G', 'P', 'P', '', '', '42000', '', '', '', '', '', '', 'R', '', '', '', '', '', '23.5', '', '', '', '', '', '', '', '', '', '', '', '6.44', '1.1472', '1', '1.14719', '240909.09375', '240909.09375', '0', '0', '48181.8203125', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1113', '7', '12', 'BMP', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '2', '0', '19260', '', 'URM', 'N', '1987', '143000', '', 'MIN', '', 'LS', 'SW', 'EW', 'SD', 'SF', 'PB', 'WT', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '143000', 'G', 'P', 'P', '', '', '14300', '', '', '', '', '', '', 'R', '', '', '', '', '', '25', '', '', '', '', '', '', '', '', '', '', '', '7.42', '1.1472', '1', '1.14719', '164047.625', '164047.625', '0', '0', '16404.76171875', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1114', '7', '12', 'BMP', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '12000', '', 'URM', 'N', '1987', '49750', '', 'MIN', '', 'LS', 'SD', 'PB', 'WT', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '49750', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '', '', '', '', '', '16', '', '', '', '', '', '', '', '', '', '', '', '4.15', '1.1472', '1', '1.14719', '57072.51171875', '57072.51171875', '0', '0', '0', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1115', '7', '12', 'BMP', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '32058', '', 'URM', 'N', '1986', '180000', '', 'MIN', '', 'LS', 'SW', 'PB', 'WT', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '180000', 'G', 'P', 'P', '', '', '17500', '', '', '', '', '', '', 'OT', '', '', '', '', '', '11.5', '', '', '', '', '', '', '', '', '', '', '', '5.61', '1.174', '1', '1.17398', '211316.953125', '211316.953125', '0', '0', '20544.705078125', '0', '0', '0', '0', '0', '3', '', '', '');
INSERT INTO buildings VALUES ('1116', '7', '12', 'BMP', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '11269', '', 'URM', 'N', '1986', '43000', '', 'MIN', '', 'LS', 'EW', 'SD', 'SF', 'PB', 'WT', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '43000', 'G', 'P', 'P', '', '', '8600', '', '', '', '', '', '', 'OT', '', '', '', '', '', '13', '', '', '', '', '', '', '', '', '', '', '', '3.82', '1.174', '1', '1.17398', '50481.2734375', '50481.2734375', '0', '0', '10096.2548828125', '0', '0', '0', '0', '0', '3', '', '', '');
INSERT INTO buildings VALUES ('1117', '7', '11', 'BMP', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '5125', '', 'URM', 'N', '1987', '45000', '', 'MIN', '', 'LS', 'SW', 'SD', 'SF', 'PB', 'WT', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '45000', 'G', 'P', 'P', '', '', '9000', '', '', '', '', '', '', 'R', '', '', '', '', '', '17', '', '', '', '', '', '', '', '', '', '', '', '8.78', '1.1472', '1', '1.14719', '51623.37890625', '51623.37890625', '0', '0', '10324.67578125', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1118', '7', '12', 'BMP', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '2', '0', '13764', '', 'URM', 'N', '1987', '118000', '', 'MIN', '', 'LS', 'SW', 'EW', 'SF', 'PB', 'WT', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '118000', 'G', 'P', 'P', '', '', '23600', '', '', '', '', '', '', 'R', '', '', '', '', '', '25.5', '', '', '', '', '', '', '', '', '', '', '', '8.57', '1.1472', '1', '1.14719', '135367.96875', '135367.96875', '0', '0', '27073.59375', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1119', '7', '11', 'BMP', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '3240', '', 'URM', 'N', '1987', '25000', '', 'MIN', '', 'LS', 'EW', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '25000', 'G', 'P', 'P', '', '', '5000', '', '', '', '', '', '', 'R', '', '', '', '', '', '12', '', '', '', '', '', '', '', '', '', '', '', '7.72', '1.1472', '1', '1.14719', '28679.654296875', '28679.654296875', '0', '0', '5735.9306640625', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1120', '7', '11', 'BMP', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '2360', '', 'URM', 'N', '1987', '26000', '', 'MIN', '', 'LS', 'SW', 'SF', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '26000', 'G', 'P', 'P', '', '', '5200', '', '', '', '', '', '', 'R', '', '', '', '', '', '14', '', '', '', '', '', '', '', '', '', '', '', '11.02', '1.1472', '1', '1.14719', '29826.83984375', '29826.83984375', '0', '0', '5965.3681640625', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1121', '7', '11', 'BMP', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '2835', '', 'URM', 'N', '1986', '26000', '', 'MIN', '', 'LS', 'EW', 'SD', 'SF', 'PB', 'WT', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '26000', 'G', 'P', 'P', '', '', '5200', '', '', '', '', '', '', 'R', '', '', '', '', '', '11.5', '', '', '', '', '', '', '', '', '', '', '', '9.17', '1.174', '1', '1.17398', '30523.560546875', '30523.560546875', '0', '0', '6104.7119140625', '0', '0', '0', '0', '0', '3', '', '', '');
INSERT INTO buildings VALUES ('1122', '7', '12', 'BMP', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '2', '0', '7948', '', 'URM', 'N', '1986', '53000', '', 'MIN', '', 'LS', 'SW', 'EW', 'SD', 'PB', 'WT', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '53000', 'G', 'P', 'P', '', '', '10200', '', '', '', '', '', '', 'OT', '', '', '', '', '', '23', '', '', '', '', '', '', '', '', '', '', '', '6.67', '1.174', '1', '1.17398', '62221.10546875', '62221.10546875', '0', '0', '11974.6279296875', '0', '0', '0', '0', '0', '3', '', '', '');
INSERT INTO buildings VALUES ('1123', '7', '12', 'BMP', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '6420', '', 'URM', 'N', '1987', '45000', '', 'MIN', '', 'LS', 'SW', 'EW', 'SD', 'PB', 'WT', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '45000', 'G', 'P', 'P', '', '', '9000', '', '', '', '', '', '', 'R', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '7.01', '1.1472', '1', '1.14719', '51623.37890625', '51623.37890625', '0', '0', '10324.67578125', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1124', '7', '12', 'BMP', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '2', '0', '21215', '', 'URM', 'N', '1987', '85000', '', 'MIN', '', 'LS', 'SW', 'EW', 'SF', 'PB', 'WT', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '85000', 'G', 'P', 'P', '', '', '17000', '', '', '', '', '', '', 'OT', '', '', '', '', '', '25.75', '', '', '', '', '', '', '', '', '', '', '', '4.01', '1.1472', '1', '1.14719', '97510.8203125', '97510.8203125', '0', '0', '19502.1640625', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1125', '7', '12', 'BMP', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '11150', '', 'URM', 'N', '1986', '45000', '', 'MIN', '', 'LS', 'SW', 'EW', 'SF', 'PB', 'WT', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '45000', 'G', 'P', 'P', '', '', '9000', '', '', '', '', '', '', 'R', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '4.04', '1.174', '1', '1.17398', '52829.23828125', '52829.23828125', '0', '0', '10565.84765625', '0', '0', '0', '0', '0', '3', '', '', '');
INSERT INTO buildings VALUES ('1126', '7', '12', 'BMP', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '4', '0', '21528', '', 'URM', 'N', '1987', '85000', '', 'MIN', '', 'LS', 'SW', 'SF', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '85000', 'G', 'P', 'P', '', '', '17000', '', '', '', '', '', '', 'OT', '', '', '', '', '', '41.5', '', '', '', '', '', '', '', '', '', '', '', '3.95', '1.1472', '1', '1.14719', '97510.8203125', '97510.8203125', '0', '0', '19502.1640625', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1127', '7', '11', 'BMP', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '4625', '1933', 'URM', 'N', '1987', '57000', '', 'MIN', '', 'LS', 'SW', 'EW', 'SD', 'SF', 'WT', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '57000', 'G', 'P', 'P', '', '', '11400', '', '', '', '', '', '', 'OT', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '12.32', '1.1472', '1', '1.14719', '65389.609375', '65389.609375', '0', '0', '13077.921875', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1128', '7', '11', 'BMP', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '3600', '', 'URM', 'N', '1987', '46000', '', 'MIN', '', 'LS', 'SW', 'EW', 'SF', 'PB', 'WT', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '46000', 'G', 'P', 'P', '', '', '9200', '', '', '', '', '', '', 'OT', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '12.78', '1.1472', '1', '1.14719', '52770.5625', '52770.5625', '0', '0', '10554.1123046875', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1129', '7', '12', 'BMP', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '8968', '', 'URM', 'N', '1985', '67000', '', 'MIN', '', 'LS', 'SW', 'SF', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '67000', 'G', 'P', 'P', '', '', '12900', '', '', '', '', '', '', 'R', '', '', '', '', '', '16.25', '', '', '', '', '', '', '', '', '', '', '', '7.47', '1.2006', '1', '1.20058', '80438.6328125', '80438.6328125', '0', '0', '15487.4384765625', '0', '0', '0', '0', '0', '3', '', '', '');
INSERT INTO buildings VALUES ('1130', '7', '12', 'BMP', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '2', '0', '6560', '', 'URM', 'N', '1987', '40000', '', 'MIN', '', 'LS', 'SW', 'EW', 'SD', 'SF', 'PB', 'WT', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '40000', 'G', 'P', 'P', '', '', '8000', '', '', '', '', '', '', 'R', '', '', '', '', '', '23', '', '', '', '', '', '', '', '', '', '', '', '6.1', '1.1472', '1', '1.14719', '45887.4453125', '45887.4453125', '0', '0', '9177.4892578125', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1131', '7', '12', 'BMP', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '7538', '', 'URM', 'N', '1987', '50000', '', 'MIN', '', 'LS', 'SW', 'SF', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '50000', 'G', 'P', 'P', '', '', '10000', '', '', '', '', '', '', 'R', '', '', '', '', '', '18.5', '', '', '', '', '', '', '', '', '', '', '', '6.63', '1.1472', '1', '1.14719', '57359.30859375', '57359.30859375', '0', '0', '11471.861328125', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1132', '7', '11', 'BMP', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '6382', '', 'URM', 'N', '1987', '60000', '', 'MIN', '', 'LS', 'SW', 'EW', 'SD', 'SF', 'PB', 'WT', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '60000', 'G', 'P', 'P', '', '', '12000', '', '', '', '', '', '', 'R', '', '', '', '', '', '13.5', '', '', '', '', '', '', '', '', '', '', '', '9.4', '1.1472', '1', '1.14719', '68831.171875', '68831.171875', '0', '0', '13766.234375', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1133', '7', '11', 'BMP', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '3512', '', 'URM', 'N', '1987', '36000', '', 'MIN', '', 'LS', 'SW', 'EW', 'SD', 'SF', 'PB', 'WT', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '36000', 'G', 'P', 'P', '', '', '7200', '', '', '', '', '', '', 'R', '', '', '', '', '', '16', '', '', '', '', '', '', '', '', '', '', '', '10.25', '1.1472', '1', '1.14719', '41298.703125', '41298.703125', '0', '0', '8259.740234375', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1134', '7', '12', 'BMP', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '2', '0', '19354', '', 'URM', 'N', '1986', '132000', '', 'MIN', '', 'LS', 'SW', 'EW', 'SD', 'SF', 'PB', 'WT', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '132000', 'G', 'P', 'P', '', '', '19800', '', '', '', '', '', '', 'OT', '', '', '', '', '', '14.75', '', '', '', '', '', '', '', '', '', '', '', '6.82', '1.174', '1', '1.17398', '154965.765625', '154965.765625', '0', '0', '23244.865234375', '0', '0', '0', '0', '0', '3', '', '', '');
INSERT INTO buildings VALUES ('1135', '7', '12', 'BMP', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '2', '0', '12564', '', 'URM', 'N', '1986', '74125', '', 'MIN', '', 'LS', 'SW', 'EW', 'SF', 'PB', 'WT', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '74125', 'G', 'P', 'P', '', '', '14825', '', '', '', '', '', '', 'R', '', '', '', '', '', '30', '', '', '', '', '', '', '', '', '', '', '', '5.9', '1.174', '1', '1.17398', '87021.5', '87021.5', '0', '0', '17404.298828125', '0', '0', '0', '0', '0', '3', '', '', '');
INSERT INTO buildings VALUES ('1136', '7', '12', 'BMP', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '6560', '', 'URM', 'N', '1987', '65000', '', 'MIN', '', 'LS', 'EW', 'SD', 'SF', 'PB', 'WT', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '65000', 'G', 'P', 'P', '', '', '13000', '', '', '', '', '', '', 'R', '', '', '', '', '', '15.5', '', '', '', '', '', '', '', '', '', '', '', '9.91', '1.1472', '1', '1.14719', '74567.1015625', '74567.1015625', '0', '0', '14913.419921875', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1137', '7', '12', 'BMP', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '2', '0', '9247', '', 'URM', 'N', '1987', '70000', '', 'MIN', '', 'LS', 'SW', 'EW', 'SD', 'SF', 'PB', 'WT', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '70000', 'G', 'P', 'P', '', '', '14000', '', '', '', '', '', '', 'OT', '', '', '', '', '', '28', '', '', '', '', '', '', '', '', '', '', '', '7.57', '1.1472', '1', '1.14719', '80303.03125', '80303.03125', '0', '0', '16060.6064453125', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1138', '7', '12', 'BMP', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '2', '0', '18000', '1933', 'URM', 'N', '1986', '83600', '', 'MIN', '', 'LS', 'SW', 'EW', 'SF', 'PB', 'WT', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '83600', 'G', 'P', 'P', '', '', '18000', '', '', '', '', '', '', 'R', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '4.64', '1.174', '1', '1.17398', '98144.984375', '98144.984375', '0', '0', '21131.6953125', '0', '0', '0', '0', '0', '3', '', '', '');
INSERT INTO buildings VALUES ('1139', '7', '12', 'BMP', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '3', '0', '23348', '', 'URM', 'N', '1985', '113000', '', 'MIN', '', 'LS', 'SW', 'EW', 'SD', 'SF', 'PB', 'WT', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '113000', 'G', 'P', 'P', '', '', '4700', '', '', '', '', '', '', 'OT', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '4.84', '1.2006', '1', '1.20058', '135665.15625', '135665.15625', '0', '0', '5642.71044921875', '0', '0', '0', '0', '0', '3', '', '', '');
INSERT INTO buildings VALUES ('1140', '7', '12', 'BMP', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '7300', '', 'URM', 'N', '1987', '123000', '', 'MIN', '', 'LS', 'SD', 'SF', 'WT', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '123000', 'G', 'P', 'P', '', '', '24500', '', '', '', '', '', '', 'R', '', '', '', '', '', '17', '', '', '', '', '', '', '', '', '', '', '', '16.85', '1.1472', '1', '1.14719', '141103.890625', '141103.890625', '0', '0', '28106.060546875', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1141', '7', '12', 'BMP', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '9000', '', 'URM', 'N', '1987', '70320', '', 'MIN', '', 'LS', 'EW', 'SD', 'SF', 'WT', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '70320', 'G', 'P', 'P', '', '', '14000', '', '', '', '', '', '', 'R', '', '', '', '', '', '17', '', '', '', '', '', '', '', '', '', '', '', '7.81', '1.1472', '1', '1.14719', '80670.1328125', '80670.1328125', '0', '0', '16060.6064453125', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1142', '7', '12', 'BMP', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '10291', '', 'URM', 'N', '1987', '73000', '', 'MIN', '', 'LS', 'SW', 'SD', 'SF', 'PB', 'WT', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '73000', 'G', 'P', 'P', '', '', '15600', '', '', '', '', '', '', 'R', '', '', '', '', '', '22', '', '', '', '', '', '', '', '', '', '', '', '7.09', '1.1472', '1', '1.14719', '83744.5859375', '83744.5859375', '0', '0', '17896.103515625', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1143', '7', '12', 'BMP', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '8548', '', 'URM', 'N', '1986', '101200', '', 'MIN', '', 'LS', 'SW', 'EW', 'SD', 'SF', 'PB', 'WT', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '101200', 'G', 'P', 'P', '', '', '20600', '', '', '', '', '', '', 'R', '', '', '', '', '', '20', '', '', '', '', '', '', '', '', '', '', '', '11.84', '1.174', '1', '1.17398', '118807.0859375', '118807.0859375', '0', '0', '24184.052734375', '0', '0', '0', '0', '0', '3', '', '', '');
INSERT INTO buildings VALUES ('1144', '7', '12', 'BMP', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '2', '0', '12347', '', 'URM', 'N', '1987', '70000', '', 'MIN', '', 'LS', 'SW', 'EW', 'SF', 'PB', 'WT', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '70000', 'G', 'P', 'P', '', '', '14000', '', '', '', '', '', '', 'OT', '', '', '', '', '', '29.75', '', '', '', '', '', '', '', '', '', '', '', '5.67', '1.1472', '1', '1.14719', '80303.03125', '80303.03125', '0', '0', '16060.6064453125', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1145', '7', '12', 'BMP', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '16272', '', 'URM', 'N', '1987', '127000', '', 'MIN', '', 'LS', 'SW', 'EW', 'SD', 'SF', 'PB', 'WT', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '127000', 'G', 'P', 'P', '', '', '15900', '', '', '', '', '', '', 'OT', '', '', '', '', '', '15.5', '', '', '', '', '', '', '', '', '', '', '', '7.8', '1.1472', '1', '1.14719', '145692.640625', '145692.640625', '0', '0', '18240.259765625', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1146', '7', '12', 'BMP', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '25038', '', 'URM', 'N', '1987', '171200', '', 'MIN', '', 'LS', 'EW', 'SD', 'SF', 'PB', 'WT', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '171200', 'G', 'P', 'P', '', '', '8500', '', '', '', '', '', '', 'OT', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '6.84', '1.1472', '1', '1.14719', '196398.265625', '196398.265625', '0', '0', '9751.08203125', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1147', '7', '12', 'BMP', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '2', '0', '19633', '', 'URM', 'N', '1987', '94000', '', 'MIN', '', 'LS', 'SW', 'EW', 'SD', 'SF', 'PB', 'WT', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '94000', 'G', 'P', 'P', '', '', '19000', '', '', '', '', '', '', '', '', '', '', '', '', '24.5', '', '', '', '', '', '', '', '', '', '', '', '4.79', '1.1472', '1', '1.14719', '107835.5', '107835.5', '0', '0', '21796.537109375', '0', '0', '0', '0', '0', '4', '', '', '');
INSERT INTO buildings VALUES ('1153', '14', '43', 'TEDLWINSTEAD', TO_DATE('07/26/93','MM/DD/YY'), 'ANDERSON', 'TN', '3', 'S1', '1', '0', '2170', '1961', 'URM', 'N', '1993', '99800', 'S', 'MIN', '', 'IO', 'EW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'NE', 'NE', '99800', 'G', 'G', 'G', '', '', '', '4', '0', '0', '0', '0', '0', 'R', '50', '43.5', '50', '43.5', '23', '23', 'S', '', 'C', '', 'N', 'F', '', 'URM', 'M', 'SW', 'SW', '45.99', '1', '1.30129', '1.30129', '129868.6953125', '129868.6953125', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCRL 15910 & 91 UBC (I=1 25)', '', '');
INSERT INTO buildings VALUES ('1154', '16', '52', 'TEDLWINSTEAD', TO_DATE('07/26/93','MM/DD/YY'), 'ANDERSON', 'TN', '3', 'S1', '1', '0', '14600', '1943', 'C1', 'N', '1993', '60300', 'S', 'MIN', '', 'IO', 'SW', 'EW', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'NE', 'NE', 'NE', '60300', 'G', 'G', 'G', '', '', '', '3', '0', '0', '0', '0', '0', 'R', '301', '48', '301', '48', '11', '11', 'C', '', 'C', '', 'N', 'F', 'C', '', 'M', 'MF', 'MF', '4.13', '1', '1.30129', '1.30129', '78467.7578125', '78467.7578125', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCRL 15910 & 91 UBC (I=1 25)', '', '');
INSERT INTO buildings VALUES ('1155', '16', '52', 'TEDLWINSTEAD', TO_DATE('07/26/93','MM/DD/YY'), 'ANDERSON', 'TN', '3', 'S1', '4', '0', '10900', '1943', 'C3', 'N', '1993', '47100', 'S', 'MIN', '', 'IO', 'BF', 'EW', 'SD', 'WT', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'NE', 'NE', 'NE', '47100', 'G', 'G', 'G', '', '', '', '4', '0', '0', '0', '0', '0', 'R', '68', '40', '68', '40', '11', '44', 'S', 'C', 'C', '', 'N', 'F', 'C', '', 'M', 'SW', 'SW', '4.32', '1', '1.30129', '1.30129', '61290.73828125', '61290.73828125', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCRL 15910 & 91 UBC (I=1 25)', '', '');
INSERT INTO buildings VALUES ('1156', '14', '43', 'TEDLWINSTEAD', TO_DATE('07/26/93','MM/DD/YY'), 'SHELBY', 'TN', '5', 'S3', '1', '0', '5000', '1960', 'URM', 'N', '1989', '215000', 'S', 'MIN', '', 'IO', 'EW', 'PB', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'I', 'NE', '150000', 'P', 'G', 'P', '', '', '', '', '0', '0', '0', '0', '65000', 'R', '100', '50', '100', '50', '16', '16', 'C', '', 'C', 'M', 'N', 'F', 'C', 'URM', 'SF', 'SW', 'SW', '30', '1.1067', '1.30129', '1.44011', '309624.40625', '216017.03125', '0', '0', '0', '0', '0', '0', '0', '93607.375', '7', '1988 SBC I=1 5 ', '', '');
INSERT INTO buildings VALUES ('1157', '14', '43', 'TEDLWINSTEAD', TO_DATE('07/27/93','MM/DD/YY'), 'SHELBY', 'TN', '5', 'S2', '1', '0', '500', '', 'URM', 'N', '1989', '47000', 'S', 'MIN', '', 'IO', 'EW', 'PB', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'I', 'NE', '35000', 'P', 'G', 'P', '', '', '', '', '', '', '', '', '12000', 'R', '25', '20', '25', '20', '14', '14', 'W', '', 'W', 'M', 'N', 'F', '', 'URM', 'SF', 'SW', 'SW', '70', '1.1067', '1.30129', '1.44011', '67685.3359375', '50403.97265625', '0', '0', '0', '0', '0', '0', '0', '17281.361328125', '7', '1988 SBC I=1 5 ', '', '');
INSERT INTO buildings VALUES ('1158', '14', '43', 'TEDLWINSTEAD', TO_DATE('07/27/93','MM/DD/YY'), 'SHELBY', 'TN', '5', 'S3', '1', '0', '320', '', 'URM', 'N', '1989', '32000', 'S', 'MIN', '', 'IO', 'EW', 'PB', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'I', 'NE', '20000', 'P', 'G', 'P', '', '', '', '', '', '', '', '', '12000', 'R', '20', '16', '20', '16', '14', '14', 'W', '', 'W', 'M', 'N', 'F', '', 'URM', 'SF', 'SW', 'SW', '62.5', '1.1067', '1.30129', '1.44011', '46083.6328125', '28802.26953125', '0', '0', '0', '0', '0', '0', '0', '17281.361328125', '7', '1988 SBC I=1 5 ', '', '');
INSERT INTO buildings VALUES ('1159', '14', '43', 'TEDLWINSTEAD', TO_DATE('07/27/93','MM/DD/YY'), 'SHELBY', 'TN', '5', 'S2', '1', '0', '500', '', 'S3', 'N', '1989', '8000', 'S', 'MIN', '', 'IO', 'BF', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'I', 'NE', '3000', 'P', 'G', 'P', '', '', '', '', '', '', '', '', '5000', 'R', '25', '20', '25', '20', '12', '12', 'S', '', 'MD', '', 'N', 'F', 'S', '', 'SF', 'BF', 'MF', '6', '1.1067', '1.30129', '1.44011', '11520.908203125', '4320.3403320313', '0', '0', '0', '0', '0', '0', '0', '7200.5673828125', '7', '1988 SBC I=1 5 ', '', '');
INSERT INTO buildings VALUES ('1231', '7', '22', 'DEGENKOLB', TO_DATE('08/05/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S1', '2', '1', '41000', '1931', 'S4', 'N', '1988', '464492', 'S', 'MIN', '', 'LS', 'EF', 'SD', 'PB', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'OK', 'NE', '464492', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '187', '63', '187', '63', '12', '47', 'S', 'S', 'C', 'N', 'N', 'G', 'S', '', 'SF', 'SW', 'SW', '11.33', '1.122', '1', '1.12202', '521167.875', '521167.875', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('1253', '7', '22', 'UCBERKELEY', TO_DATE('6/1/1993','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '5', '0', '63430', '1929', 'C2', '', '1984', '1881000', '', 'MIN', '', 'LS', '', '', '', '', '', '', 'N', 'N', 'N', 'N', '', '', '', '', '', '1881000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '29.65', '1.206', '1', '1.20604', '2268562.25', '2268562.25', '0', '0', '0', '0', '0', '0', '0', '0', '3', '', '', '');
INSERT INTO buildings VALUES ('1302', '10', '37', 'WJE-ANDERSEN', TO_DATE('07/14/93','MM/DD/YY'), 'SANMATEO', 'CA', '7', 'S4', '1', '0', '58460', '1970', 'PC1', 'N', '1992', '2300000', 'AC', 'COM', '', 'LS', '', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'NE', 'NE', '65000', 'G', 'P', 'G', '', '', '', '', '', '', '', '', '', 'R', '150', '120', '150', '120', '15.5', '17', 'W', '', 'W', 'PC', 'N', 'G', 'C', 'PC', 'SF', 'SW', 'SW', '1.11', '1.0286', '1', '1.02858', '2365737.5', '66857.796875', '0', '0', '0', '0', '0', '0', '0', '0', '10', '1988 UBC', '', '');
INSERT INTO buildings VALUES ('1303', '1', '4', 'WJE-FREEMAN', TO_DATE('07/14/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '7', '1', '79000', '1910', 'S5', 'Y', '1990', '1718265', 'S', 'MIN', '', 'LS', 'SW', '', '', '', '', '', 'N', 'N', 'Y', 'Y', 'V', 'I', 'NE', 'I', 'I', '1550890', 'G', 'P', 'P', '', '100000', '', '', '150000', '', '', '', '167375', 'L', '154.5', '80.5', '154.5', '80.5', '11.5', '88.75', 'W', '', 'W', 'M', 'N', 'P', 'S', '', 'SF', 'SW', 'SW', '19.63', '1.0788', '1', '1.07883', '1853716.625', '1673147.375', '0', '107883.046875', '0', '161824.578125', '0', '0', '0', '180569.25', '7', '1988 UBC/OAKLAND ORDINANCE', '', '');
INSERT INTO buildings VALUES ('1304', '10', '37', 'WJE-MAHANEY/EILBEC', TO_DATE('07/14/93','MM/DD/YY'), 'CONTRACOSTA', 'CA', '7', 'S3', '2', '0', '232725', '1983', 'W1', 'N', '1993', '3480000', 'AC', 'MIN', '', 'LS', 'EW', 'SF', '', '', '', '', 'N', 'N', 'N', 'Y', 'IP', 'I', 'I', 'I', 'I', '3306000', 'G', 'F', 'G', '', '300000', '', '18', '174000', '', '', '', '', 'R', '25', '25', '25', '25', '8', '20', 'W', 'W', 'W', 'W', 'Y', 'F', 'W', 'W', 'SF', 'SW', 'SW', '14.21', '1', '1', '1', '3480000', '3306000', '0', '300000', '0', '174000', '0', '0', '0', '0', '10', '1991 UBC - CABC ', '', '');
INSERT INTO buildings VALUES ('1305', '10', '38', 'WJE-KEHOE', TO_DATE('07/14/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', 'S3', '4', '0', '410000', '1970', 'C1', 'N', '1992', '1000000', 'AC', 'MIN', '', 'LS', 'SW', 'EF', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'NE', 'NE', 'NE', '1000000', 'F', 'G', 'G', '', '', '', '16', '', '', '', '', '', 'R', '362', '234', '316', '234', '9.5', '36', 'W', 'FS', 'C', 'CP', 'N', 'F', 'C', '', 'P', 'MF', 'MF', '2.44', '1.0286', '1', '1.02858', '1028581.5', '1028581.5', '0', '0', '0', '0', '0', '0', '0', '0', '10', '1991 UBC', '', '');
INSERT INTO buildings VALUES ('1306', '1', '5', 'WJE-THOMASEN', TO_DATE('07/14/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', 'S2', '3', '0', '10800', '1868', 'W1', 'Y', '1991', '140000', 'AC', 'MIN', '', 'LS', 'SW', 'EW', 'SD', '', '', '', 'N', 'N', 'N', 'Y', 'IP', 'I', 'I', 'NE', 'I', '88000', 'F', 'G', 'G', '0', '14000', '', '4', '10000', '0', '0', '100000', '16000', 'R', '60', '60', '60', '60', '10', '40', 'W', 'W', 'W', 'N', 'N', 'G', 'W', 'W', 'SF', 'SW', 'SW', '8.15', '1.0596', '1', '1.05961', '148346.046875', '93246.09375', '0', '14834.60546875', '0', '10596.146484375', '0', '0', '105961.46875', '16953.833984375', '10', '1988 UBC & CSHBC', '', '');
INSERT INTO buildings VALUES ('1307', '10', '37', 'WJE-ANDERSEN', TO_DATE('07/14/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', 'S2', '1', '0', '80000', '1972', 'PC1', 'N', '1990', '400000', 'AC', 'MIN', '', 'LS', 'SW', 'WT', '', '', '', '', 'N', 'N', 'N', 'Y', 'IP', 'I', 'I', 'NE', 'NE', '400000', 'G', 'G', 'G', '', '', '', '', '', '', '', '', '', 'OT', '355', '300', '355', '300', '16', '20', 'W', '', 'W', 'PC', 'N', 'F', 'S', 'PC', 'SF', 'SW', 'SW', '5', '1.0788', '1', '1.07883', '431532.1875', '431532.1875', '0', '0', '0', '0', '0', '0', '0', '0', '10', '1988 UBC', '', '');
INSERT INTO buildings VALUES ('1308', '7', '37', 'WJE-MAHANEY/SASAKI', TO_DATE('07/14/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', 'S2', '2', '0', '54000', '1929', 'URM', 'N', '1990', '525000', 'AC', 'MIN', '', 'LS', 'BF', 'EW', 'SD', 'SF', 'PB', 'WT', 'N', 'N', 'N', 'Y', 'IP', 'I', 'I', 'NE', 'NE', '500000', 'G', 'G', 'G', '', '', '', '', '25000', '0', '0', '0', '0', 'R', '300', '90', '300', '90', '12.5', '28', 'W', 'C', 'C', 'M', 'N', 'F', 'C', 'URM', 'SF', 'SW', 'SW', '9.26', '1.0788', '1', '1.07883', '566386', '539415.25', '0', '0', '0', '26970.76171875', '0', '0', '0', '0', '10', '1988 UBC W/ REF TO 1985 UBC ', '', '');
INSERT INTO buildings VALUES ('1309', '1', '7', 'WJE-ANDERSEN', TO_DATE('07/14/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', 'S2', '5', '1', '130000', '1916', 'C3', 'N', '1987', '1800000', 'AC', 'MIN', '', 'DC', 'EF', '', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'I', 'NE', '300000', 'G', 'G', 'G', '', '', '', '', '', '', '', '', '', 'R', '160', '137', '160', '137', '12.5', '62.5', 'FS', 'FS', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '2.31', '1.1472', '1', '1.14719', '2064935.125', '344155.84375', '0', '0', '0', '0', '0', '0', '0', '0', '10', 'VOLUNTARY SEISMIC UPGRADE ', '', '');
INSERT INTO buildings VALUES ('1311', '5', '15', 'GSA', TO_DATE('7/1/1993','MM/DD/YY'), 'STLOUIS', 'MO', '3', '', '2', '1', '17724', '1942', 'S1', 'N', '1991', '36000', 'S', 'MIN', '', 'LS', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'NE', 'NE', 'NE', '36000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'S', '', 'C', 'N', '', '', 'S', '', 'SF', 'MF', 'MF', '2.03', '1.0596', '1.12348', '1.19046', '42856.4765625', '42856.4765625', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'BOCA 1987 ', '', '');
INSERT INTO buildings VALUES ('1312', '5', '15', 'GSA', TO_DATE('7/1/1993','MM/DD/YY'), 'STLOUIS', 'MO', '3', '', '1', '1', '10108', '1942', 'S1', 'N', '1991', '18000', 'S', 'MIN', '', 'LS', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'NE', 'NE', 'NE', '18000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'S', '', 'C', 'N', '', '', 'S', '', 'SF', 'MF', 'MF', '1.78', '1.0596', '1.12348', '1.19046', '21428.23828125', '21428.23828125', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'BOCA 1987 ', '', '');
INSERT INTO buildings VALUES ('1313', '5', '15', 'GSA', TO_DATE('7/1/1993','MM/DD/YY'), 'STLOUIS', 'MO', '3', '', '2', '2', '243720', '1943', 'S1', 'N', '1991', '216000', 'S', 'MIN', '', 'LS', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'NE', 'NE', 'NE', '216000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '760', '160', '760', '160', '', '', 'S', '', 'C', 'N', '', '', 'S', '', 'SF', 'MF', 'MF', '0.89', '1.0596', '1.12348', '1.19046', '257138.875', '257138.875', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'BOCA 1987 ', '', '');
INSERT INTO buildings VALUES ('1314', '5', '15', 'GSA', TO_DATE('7/1/1993','MM/DD/YY'), 'STLOUIS', 'MO', '3', '', '2', '1', '17400', '1943', 'S1', 'N', '1991', '18000', 'S', 'MIN', '', 'LS', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'NE', 'NE', 'NE', '18000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '160', '40', '160', '40', '', '', 'S', '', 'C', 'N', '', '', 'S', '', 'SF', 'MF', 'MF', '1.03', '1.0596', '1.12348', '1.19046', '21428.23828125', '21428.23828125', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'BOCA 1987 ', '', '');
INSERT INTO buildings VALUES ('1315', '10', '12', 'GSA', TO_DATE('7/1/1993','MM/DD/YY'), 'STLOUIS', 'MO', '3', '', '2', '1', '15200', '1982', 'C2', 'N', '1991', '36000', 'S', 'MIN', '', 'LS', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'NE', 'NE', 'NE', '36000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'S', '', 'MD', 'N', '', '', '', 'C', 'SF', 'SW', 'SW', '2.37', '1.0596', '1.12348', '1.19046', '42856.4765625', '42856.4765625', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'BOCA 1987 ', '', '');
INSERT INTO buildings VALUES ('1316', '5', '15', 'GSA', TO_DATE('7/1/1993','MM/DD/YY'), 'STLOUIS', 'MO', '3', '', '2', '1', '31142', '1943', 'S1', 'N', '1991', '54000', 'S', 'MIN', '', 'LS', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'NE', 'NE', 'NE', '54000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'S', 'S', 'C', 'N', '', '', 'S', '', 'SF', 'MF', 'MF', '1.73', '1.0596', '1.12348', '1.19046', '64284.71875', '64284.71875', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'BOCA 1987 ', '', '');
INSERT INTO buildings VALUES ('1317', '5', '15', 'GSA', TO_DATE('7/1/1993','MM/DD/YY'), 'STLOUIS', 'MO', '3', '', '2', '1', '242900', '1943', 'S1', 'N', '1991', '288000', 'S', 'MIN', '', 'LS', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'NE', 'NE', 'NE', '288000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '786', '160', '786', '160', '', '', 'S', 'S', 'C', 'N', '', '', 'S', '', 'M', 'MF', 'MF', '1.19', '1.0596', '1.12348', '1.19046', '342851.8125', '342851.8125', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'BOCA 1987 ', '', '');
INSERT INTO buildings VALUES ('1318', '8', '14', 'GSA', TO_DATE('7/1/1993','MM/DD/YY'), 'STLOUIS', 'MO', '3', '', '1', '0', '21813', '1943', 'C1', 'N', '1991', '54000', 'S', 'MIN', '', 'LS', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'NE', 'NE', 'NE', '54000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', '', 'C', 'N', '', '', 'C', '', 'SF', 'MF', 'MF', '2.48', '1.0596', '1.12348', '1.19046', '64284.71875', '64284.71875', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'BOCA 1987 ', '', '');
INSERT INTO buildings VALUES ('1319', '5', '12', 'GSA', TO_DATE('7/1/1993','MM/DD/YY'), 'STLOUIS', 'MO', '3', '', '2', '0', '13890', '1943', 'S1', 'N', '1991', '72000', 'S', 'MIN', '', 'LS', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'NE', 'NE', 'NE', '72000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '175', '140', '175', '140', '', '', 'S', 'S', 'PC', 'N', '', '', 'S', '', 'SF', 'MF', 'MF', '5.18', '1.0596', '1.12348', '1.19046', '85712.953125', '85712.953125', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'BOCA 1987 ', '', '');
INSERT INTO buildings VALUES ('1320', '5', '12', 'GSA', TO_DATE('7/1/1993','MM/DD/YY'), 'STLOUIS', 'MO', '3', '', '2', '1', '16538', '1943', 'S1', 'N', '1991', '108000', 'S', 'MIN', '', 'LS', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'NE', 'NE', 'NE', '108000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '175', '140', '175', '140', '', '', 'S', 'S', 'PC', 'N', '', '', 'S', '', 'SF', 'MF', 'MF', '6.53', '1.0596', '1.12348', '1.19046', '128569.4375', '128569.4375', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'BOCA 1987 ', '', '');
INSERT INTO buildings VALUES ('1321', '5', '12', 'GSA', TO_DATE('7/1/1993','MM/DD/YY'), 'STLOUIS', 'MO', '3', '', '2', '1', '325176', '1943', 'S1', 'N', '1991', '325000', 'S', 'MIN', '', 'LS', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'NE', 'NE', 'NE', '325000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '1045', '160', '1045', '160', '', '', 'S', 'S', 'PC', 'N', '', '', 'S', '', 'M', 'MF', 'MF', '1', '1.0596', '1.12348', '1.19046', '386898.75', '386898.75', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'BOCA 1987 ', '', '');
INSERT INTO buildings VALUES ('1322', '5', '12', 'GSA', TO_DATE('7/1/1993','MM/DD/YY'), 'STLOUIS', 'MO', '3', '', '2', '1', '17704', '1943', 'S1', 'N', '1991', '36000', 'S', 'MIN', '', 'LS', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'NE', 'NE', 'NE', '36000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'S', 'S', 'PC', 'N', '', '', 'S', '', 'SF', 'MF', 'MF', '2.03', '1.0596', '1.12348', '1.19046', '42856.4765625', '42856.4765625', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'BOCA 1987 ', '', '');
INSERT INTO buildings VALUES ('1323', '8', '14', 'GSA', TO_DATE('7/1/1993','MM/DD/YY'), 'STLOUIS', 'MO', '3', '', '2', '1', '193451', '1943', 'C1', 'N', '1991', '425000', 'S', 'MIN', '', 'LS', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'NE', 'NE', 'NE', '425000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'C', '', '', '', '', '', '', 'C', 'C', 'C', 'N', '', '', 'C', '', 'SF', 'MF', 'MF', '2.2', '1.0596', '1.12348', '1.19046', '505944.53125', '505944.53125', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'BOCA 1987 ', '', '');
INSERT INTO buildings VALUES ('1324', '8', '14', 'GSA', TO_DATE('7/1/1993','MM/DD/YY'), 'STLOUIS', 'MO', '3', '', '1', '1', '17700', '', 'C1', 'N', '1991', '36000', 'S', 'MIN', '', 'LS', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'NE', 'NE', 'NE', '36000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '160', '60', '160', '60', '', '', 'C', '', 'C', 'N', '', '', 'C', '', 'SF', 'MF', 'MF', '2.03', '1.0596', '1.12348', '1.19046', '42856.4765625', '42856.4765625', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'BOCA 1987 ', '', '');
INSERT INTO buildings VALUES ('1325', '5', '16', 'GSA', TO_DATE('7/1/1993','MM/DD/YY'), 'STLOUIS', 'MO', '3', 'S1', '10', '1', '363629', '1937', 'S1', 'N', '1991', '10659000', 'S', 'MIN', '', 'LS', 'SW', 'BF', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'NE', 'I', 'NE', '9268500', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '1390500', '', '', '', '', '', '', '', 'S', '', 'C', 'M', '', '', 'S', '', 'SF', 'MF', 'MF', '25.49', '1.0596', '1.12348', '1.19046', '12689089', '11033757', '0', '0', '0', '0', '0', '0', '0', '1655331.5', '6', '1988 UBC', '', '');
INSERT INTO buildings VALUES ('1326', '11', '12', 'GSA', TO_DATE('7/1/1993','MM/DD/YY'), 'JACKSON', 'MO', '3', '', '3', '1', '260000', '1960', 'S5', 'N', '1992', '319920', 'S', 'MIN', '', 'LS', 'BF', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'NE', 'NE', 'NE', '319920', 'F', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '288', '226', '288', '226', '14', '', 'S', 'S', 'MDF', 'N', '', '', 'S', '', 'SF', 'SW', 'SW', '1.23', '1.0286', '1.12348', '1.15559', '369697.15625', '369697.15625', '0', '0', '0', '0', '0', '0', '0', '0', '6', '1988 UBC', '', '');
INSERT INTO buildings VALUES ('1327', '10', '12', 'GSA', TO_DATE('7/1/1993','MM/DD/YY'), 'LANCASTER', 'NE', '3', '', '4', '1', '351000', '1970', 'C2', 'N', '1990', '289000', 'S', 'MIN', '', 'LS', '', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'NE', 'NE', 'NE', '289000', 'F', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '290', '240', '290', '240', '', '', 'S', 'S', 'MDF', 'N', '', '', 'C', 'C', 'P', 'SW', 'SW', '0.82', '1.0788', '1.33574', '1.44104', '416459.71875', '416459.71875', '0', '0', '0', '0', '0', '0', '0', '0', '6', '1988 UBC', '', '');
INSERT INTO buildings VALUES ('1328', '9', '19', 'GSA', TO_DATE('7/1/1993','MM/DD/YY'), 'STLOUIS', 'MO', '3', 'S3', '10', '1', '540000', '1934', 'S1', 'N', '1991', '45867000', 'S', 'ADD', '', 'DC', 'BF', '', '', '', '', '', 'Y', 'N', 'Y', 'Y', 'TR', 'I', 'I', 'NE', 'NE', '3127494', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'O', '248', '222', '248', '222', '', '', 'S', 'S', 'C', 'ST', 'Y', 'G', 'S', '', 'P', 'MF', 'MF', '5.79', '1.0596', '1.12348', '1.19046', '54602724', '3723149.5', '0', '0', '0', '0', '0', '0', '0', '0', '6', '1988 UBC', '', '');
INSERT INTO buildings VALUES ('1329', '9', '14', 'GSA', TO_DATE('7/1/1993','MM/DD/YY'), 'STLOUIS', 'MO', '3', '', '2', '1', '47800', '1965', 'C1', 'N', '1990', '160000', 'S', 'MIN', '', 'DC', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '160000', 'P', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '184', '104', '184', '104', '', '', 'C', 'C', 'C', 'PC', '', '', 'C', '', 'SF', 'MF', 'MF', '3.35', '1.0788', '1.12348', '1.21205', '193927.421875', '193927.421875', '0', '0', '0', '0', '0', '0', '0', '0', '6', '1988 UBC', '', '');
INSERT INTO buildings VALUES ('1330', '5', '12', 'GSA', TO_DATE('7/1/1993','MM/DD/YY'), 'JACKSON', 'MO', '3', '', '19', '2', '1236000', '1962', 'S1', 'N', '1992', '620000', 'S', 'MIN', '', 'LS', 'BF', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '620000', 'P', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '160', '138', '160', '114', '', '', 'S', 'S', 'MDF', 'M', '', '', 'S', '', 'P', 'MF', 'MF', '0.5', '1.0286', '1.12348', '1.15559', '716467.375', '716467.375', '0', '0', '0', '0', '0', '0', '0', '0', '6', '80% 1988 UBC', '', '');
INSERT INTO buildings VALUES ('1332', '7', '37', 'ONDERKUSTU', TO_DATE('07/19/93','MM/DD/YY'), 'SANMATEO', 'CA', '7', '', '1', '0', '56000', '1941', 'URM', 'N', '1991', '108000', 'S', 'MIN', '', 'LS', 'SW', 'EW', 'SD', 'WT', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'OK', 'NE', '108000', 'G', 'G', 'G', '0', '20000', '2000', '6', '0', '0', '0', '0', '0', 'R', '450', '100', '450', '100', '15', '25', 'TT', '', 'W', 'W', 'N', 'F', 'W', 'URM', 'SF', 'SW', 'SW', '1.93', '1.0596', '1', '1.05961', '114438.3828125', '114438.3828125', '0', '21192.29296875', '2119.22924804688', '0', '0', '0', '0', '0', '7', 'LA DIV 88/UBC ', '', '');
INSERT INTO buildings VALUES ('1333', '13', '21', 'ONDERKUSTU', TO_DATE('07/19/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', '', '1', '0', '44000', '1968', 'PC1', 'N', '1990', '517500', 'AC', 'COM', '', 'RR', 'SD', 'WT', '', '', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'OK', 'OK', 'NE', '200000', 'G', 'G', 'F', '29000', '65200', '', '6', '0', '0', '0', '10400', '20700', 'L', '310', '100', '310', '100', '15', '15', 'W', '', 'W', 'PC', 'N', 'F', 'S', 'PC', 'SF', 'SW', 'SW', '4.55', '1.0788', '1', '1.07883', '558294.75', '215766.09375', '31286.083984375', '70339.75', '0', '0', '0', '0', '11219.8369140625', '22331.791015625', '8', '1985 UBC', '', '');
INSERT INTO buildings VALUES ('1334', '1', '6', 'THOMASFHEAUSLER', TO_DATE('07/22/93','MM/DD/YY'), 'JACKSON', 'MO', '3', 'S3', '4', '1', '80000', '1890', 'URM', 'Y', '1992', '2200000', 'S', 'COM', '', 'LS', 'SD', 'PB', 'WT', '', '', '', 'N', 'Y', 'Y', 'Y', 'V', 'I', 'I', 'I', 'I', '150000', 'P', 'P', 'P', '', '', '', '18', '660000', '0', '150000', '1200000', '40000', 'R', '150', '133', '150', '133', '15', '60', 'W', 'W', 'W', 'M', 'N', 'F', 'W', 'URM', 'SF', 'SW', 'SW', '1.88', '1.0286', '1.12348', '1.15559', '2542303.5', '173338.875', '0', '0', '0', '762691.0625', '0', '173338.875', '1386711', '46223.703125', '7', 'UBC FORCE LEVEL ', '', '');
INSERT INTO buildings VALUES ('1335', '10', '39', 'THOMASFHEAUSLER', TO_DATE('07/22/93','MM/DD/YY'), 'NEWMADRID', 'MO', '5', 'S3', '8', '0', '10000', '', 'S2', 'N', '1993', '75000', 'S', 'MIN', '', 'LS', 'BF', 'MF', 'EF', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'NE', 'I', 'NE', '70000', 'P', 'P', 'P', '', '', '', '10', '', '', '', '', '5000', 'R', '80', '40', '80', '40', '12', '96', 'S', 'S', 'MDF', 'CW', 'N', 'G', 'S', '', 'P', 'BF', 'BF', '7', '1', '1.12348', '1.12348', '84261.1328125', '78643.71875', '0', '0', '0', '0', '0', '0', '0', '5617.40869140625', '7', '1991 UBC', '', '');
INSERT INTO buildings VALUES ('1337', '1', '6', 'THOMASFHEAUSLER', TO_DATE('07/22/93','MM/DD/YY'), 'MARIN', 'CA', '7', 'S3', '2', '1', '8160', '1913', 'URM', 'Y', '1990', '116000', 'S', 'MIN', '', 'LS', 'SW', 'EW', 'SD', 'PB', 'WT', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'NE', 'I', '114000', 'F', 'P', 'P', '', '17500', '', '6', '', '', '', '', '2000', 'R', '68', '60', '68', '60', '14', '28', 'W', 'W', 'W', 'N', '', '', 'W', 'URM', 'SF', 'SW', 'SW', '13.97', '1.0788', '1', '1.07883', '125144.3359375', '122986.671875', '0', '18879.533203125', '0', '0', '0', '0', '0', '2157.66088867188', '7', 'UCBC', '', '');
INSERT INTO buildings VALUES ('1338', '5', '23', 'THOMASFHEAUSLER', TO_DATE('07/22/93','MM/DD/YY'), 'JACKSON', 'MO', '3', 'S3', '2', '0', '18000', '', 'RM1', 'N', '1992', '200000', 'S', 'MIN', '', 'LS', 'EW', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'I', '175000', 'P', 'P', 'P', '', '', '', '12', '', '', '', '', '25000', 'C', '100', '90', '100', '90', '14', '28', 'S', 'S', 'MD', 'M', 'N', 'G', 'RM', 'RM', 'SF', 'SW', 'SW', '9.72', '1.0286', '1.12348', '1.15559', '231118.515625', '202228.6875', '0', '0', '0', '0', '0', '0', '0', '28889.814453125', '7', 'ARMY TM 5-809-10 (.VPAC P-355', '', '');
INSERT INTO buildings VALUES ('1339', '5', '19', 'LOCKWOOD/JOHNYOUNG', TO_DATE('07/28/93','MM/DD/YY'), 'KING', 'WA', '5', 'S2', '1', '0', '169880', '1952', 'RM1', 'N', '1993', '9800000', 'S', 'COM', '', 'LS', 'SW', 'WT', '', '', '', '', 'N', 'Y', 'Y', 'N', 'TR', 'I', 'I', 'I', 'I', '480000', 'G', 'P', 'P', '550000', '', '485000', '', '', '', '', '', '9320000', 'R', '800', '200', '800', '200', '25', '25', 'W', '', 'ST', 'M', 'Y', 'F', '', 'RM', 'SF', 'SW', 'SW', '2.83', '1', '1.10228', '1.10228', '10802383', '529096.3125', '606256.1875', '0', '534607.6875', '0', '0', '0', '0', '10273286', '5', '1991 UBC', '', '');
INSERT INTO buildings VALUES ('1340', '4', '11', 'CHARLESLINDBERGH', TO_DATE('07/20/93','MM/DD/YY'), 'CHARLESTON', 'SC', '3', 'S3', '1', '0', '1000', '1970', 'URM', 'N', '1992', '32500', 'AC', 'MIN', '', 'DC', 'EW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'NE', 'NE', 'NE', '32500', 'G', 'G', 'G', '', '30000', '', '4', '', '', '', '', '', 'R', '40', '25', '40', '25', '12', '13', '', '', 'W', 'N', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '32.5', '1.0286', '1.40863', '1.44889', '47088.9296875', '47088.9296875', '0', '43466.703125', '0', '0', '0', '0', '0', '0', '8', 'NEHRP 85 & SBC', '', '');
INSERT INTO buildings VALUES ('1341', '1', '9', 'DARELLLAWVER', TO_DATE('07/26/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', 'S3', '2', '1', '4500', '1874', 'URM', 'Y', '1991', '140000', 'S', 'ADD', '', 'LS', 'SW', 'BF', 'SD', 'PB', 'WT', '', 'N', 'N', 'Y', 'Y', 'V', 'I', 'I', 'OK', 'OK', '18000', 'G', 'G', 'G', '', '14000', '', '4', '14000', '', '', '', '7000', 'R', '62', '36', '62', '22', '15', '35', 'W', 'W', 'W', 'M', 'N', 'F', '', 'URM', '', 'SW', 'SW', '4', '1.0596', '1', '1.05961', '148346.046875', '19073.064453125', '0', '14834.60546875', '0', '14834.60546875', '0', '0', '0', '7417.302734375', '7', 'UCBC', '', '');
INSERT INTO buildings VALUES ('1342', '1', '6', 'DARELLLAWVER', TO_DATE('07/26/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', 'S3', '1', '0', '15800', '1915', 'URM', 'N', '1992', '170000', 'S', 'MIN', '', 'LS', 'BF', 'EW', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'NE', 'NE', '160000', 'G', 'F', 'F', '', '17000', '', '4', '', '', '', '', '', 'L', '129', '94', '129', '94', '', '20', 'TT', '', 'W', 'N', 'N', 'G', '', 'URM', 'M', 'SW', 'SW', '10.13', '1.0286', '1', '1.02858', '174858.859375', '164573.046875', '0', '17485.884765625', '0', '0', '0', '0', '0', '0', '7', 'UCBC', '', '');
INSERT INTO buildings VALUES ('1343', '7', '12', 'DARELLLAWVER', TO_DATE('07/26/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', 'S3', '1', '0', '8850', '1920', 'URM', 'N', '1991', '45000', 'S', 'MIN', '', 'LS', 'SW', 'EW', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '40000', 'G', 'G', 'G', '2250', '11250', '', '3', '', '', '', '', '4500', 'L', '137', '45', '137', '45', '', '14', 'TT', '', 'W', 'N', 'N', 'G', '', 'URM', 'M', 'SW', 'SW', '4.52', '1.0596', '1', '1.05961', '47682.66015625', '42384.5859375', '2384.13305664063', '11920.665039063', '0', '0', '0', '0', '0', '4768.26611328125', '7', 'UCBC', '', '');
INSERT INTO buildings VALUES ('1344', '16', '45', 'JMJ/RandC', TO_DATE('7/1/1993','MM/DD/YY'), 'YOLO', 'CA', '5', 'S2', '2', '0', '35400', '1926', 'C2', 'N', '1973', '100000', 'S', 'MIN', '', 'IO', 'EW', 'SD', '', '', '', '', 'N', 'N', 'Y', 'N', 'V', 'I', 'NE', 'NE', 'NE', '70000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '260', '156', '260', '156', '', '', 'TT', 'C', 'C', 'N', 'N', 'G', 'C', 'C', 'SF', 'SW', 'SW', '1.98', '2.5615', '1', '2.56151', '256151.15625', '179305.8125', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'TITLE 24', '', '');
INSERT INTO buildings VALUES ('1345', '20', '56', 'JMJ/RandC', TO_DATE('7/1/1993','MM/DD/YY'), 'YOLO', 'CA', '5', 'S2', '2', '0', '24000', '1936', 'W1', 'N', '1973', '95000', 'S', 'MIN', '', 'IO', 'SW', 'EW', 'SD', 'SF', '', '', 'N', 'N', 'Y', 'N', 'V', 'I', 'NE', 'NE', 'NE', '80000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '181', '100', '181', '100', '', '', 'TT', 'TT', 'W', 'N', 'N', 'G', 'C', 'W', 'SF', 'SW', 'SW', '3.33', '2.5615', '1', '2.56151', '243343.59375', '204920.921875', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'TITLE 24', '', '');
INSERT INTO buildings VALUES ('1346', '2', '8', 'JMJ/RandC', TO_DATE('7/1/1993','MM/DD/YY'), 'YOLO', 'CA', '6', 'S2', '2', '0', '7700', '1905', 'W1', 'N', '1973', '30000', 'S', 'MIN', '', 'IO', 'EW', 'SD', '', '', '', '', 'N', 'N', 'Y', 'N', 'V', 'I', 'NE', 'NE', 'NE', '25000', 'G', 'F', 'F', '', '', '', '', '', '', '', '', '', 'OT', '85', '60', '85', '60', '', '', 'TT', 'TT', 'W', 'N', 'N', 'G', 'W', 'W', 'SF', 'SW', 'SW', '3.25', '2.5615', '1', '2.56151', '76845.34375', '64037.7890625', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'TITLE 24', '', '');
INSERT INTO buildings VALUES ('1347', '9', '14', 'JMJ/RandC', TO_DATE('7/1/1993','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S2', '2', '1', '25000', '1926', 'C1', 'Y', '1991', '8000000', 'AC', 'MIN', '', 'DC', 'MF', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '8000000', 'F', 'G', 'G', '', '', '', '', '', '', '', '', '', 'R', '237', '116', '237', '116', '35', '71', 'TT', '', 'C', 'N', 'N', 'F', 'C', 'C', 'SF', 'MF', 'MF', '320', '1.0596', '1', '1.05961', '8476917', '8476917', '0', '0', '0', '0', '0', '0', '0', '0', '10', '1988 UBC - VOLUNTARY UPGRADE', '', '');
INSERT INTO buildings VALUES ('1349', '7', '37', 'EQEINT-JGS', TO_DATE('07/24/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '1', '0', '462000', '1966', 'S1', 'N', '1991', '2400000', 'S', 'MIN', '', 'LS', 'EF', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'I', 'NE', '1800000', 'F', 'F', 'F', '', '30000', '3000', '3', '', '', '', '', '600000', 'R', '550', '40', '550', '40', '', '', 'S', '', 'MD', 'N', 'N', 'G', 'S', '', '', 'MF', 'MF', '3.9', '1.0596', '1', '1.05961', '2543075.25', '1907306.375', '0', '31788.439453125', '3178.84399414063', '0', '0', '0', '0', '635768.8125', '8', 'UBC 1991 (I=1 0)', '', '');
INSERT INTO buildings VALUES ('1350', '10', '37', 'EQEINT-JGS', TO_DATE('07/24/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '1', '0', '72000', '1970', 'PC1', 'N', '1991', '600000', 'S', 'MIN', '', 'LS', 'EW', 'SD', 'SF', 'WT', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'I', 'NE', '570000', 'F', 'F', 'F', '', '60000', '6000', '3', '', '', '', '', '30000', 'R', '288', '250', '288', '250', '20', '20', 'W', '', 'W', 'N', 'Y', 'F', '', 'PC', '', 'SW', 'SW', '7.92', '1.0596', '1', '1.05961', '635768.8125', '603980.375', '0', '63576.87890625', '6357.68798828125', '0', '0', '0', '0', '31788.439453125', '8', 'UBC 1991 (I=1 0)', '', '');
INSERT INTO buildings VALUES ('1351', '16', '49', 'EQEINT/DEREFF/SHIPP', TO_DATE('04/12/93','MM/DD/YY'), 'MCCRACKEN', 'KY', '4', 'S2', '5', '0', '89000', '1951', 'C1', 'N', '1993', '8500000', 'S', 'COM', '3100', 'IO', 'SW', 'SD', 'PB', 'WT', '', '', 'Y', 'N', 'Y', 'N', 'TR', 'I', 'I', '', 'I', '2200000', 'G', 'F', 'F', '', '', '', '12', '0', '170000', '0', '5950000', '850000', 'I', '180', '95', '180', '95', '15', '68.75', '', 'FS', 'C', 'M', 'N', 'G', 'C', '', 'SF', 'MF', 'MF', '24.72', '1', '1.26568', '1.26568', '10758266', '2784492.5', '0', '0', '0', '0', '215165.328125', '0', '7530786.5', '1075826.625', '8', 'KENTUCKY BLDG CODE', '', '');
INSERT INTO buildings VALUES ('1352', '17', '52', 'EQEINT/DEREFF/SHIPP', TO_DATE('04/12/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '3', '0', '375000', '1972', 'S1', 'N', '1990', '790000', 'AC', 'MIN', '', 'IO', 'BF', 'EF', 'SD', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'NE', 'NE', '790000', 'G', 'G', 'G', '', '', '', '6', '0', '0', '0', '0', '0', 'L', '804', '480', '804', '480', '14', '42.5', '', 'S', 'MDF', 'CW', 'N', 'G', 'S', '', 'P', 'MF', 'MF', '2.11', '1.0788', '1', '1.07883', '852276.0625', '852276.0625', '0', '0', '0', '0', '0', '0', '0', '0', '10', '1988 UBC (I=1 5)', '', '');
INSERT INTO buildings VALUES ('1354', '20', '56', 'JMJ/RandC', TO_DATE('7/1/1993','MM/DD/YY'), 'YOLO', 'CA', '5', 'S2', '1', '0', '9620', '1938', 'W1', 'N', '1973', '5500', 'S', 'MIN', '', 'IO', 'EW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'NE', 'NE', 'NE', '5500', 'G', 'F', 'F', '', '', '', '', '', '', '', '', '', 'L', '150', '126', '150', '126', '', '', 'W', '', 'W', 'N', 'N', 'G', '', 'W', 'SF', 'SW', 'SW', '0.57', '2.5615', '1', '2.56151', '14088.313476563', '14088.313476563', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'TITLE 24', '', '');
INSERT INTO buildings VALUES ('1355', '16', '45', 'JMJ/RandC', TO_DATE('7/1/1993','MM/DD/YY'), 'YOLO', 'CA', '5', 'S2', '2', '0', '160000', '1948', 'C2', 'N', '1973', '103800', 'S', 'MIN', '', 'IO', 'SW', 'EW', '', '', '', '', 'N', 'N', 'Y', 'N', 'V', 'I', 'NE', 'NE', 'NE', '73800', 'F', 'F', 'F', '', '', '', '', '', '', '', '', '', 'C', '540', '390', '540', '390', '', '', 'C', 'C', 'C', 'N', 'N', 'G', '', 'C', 'SF', 'SW', 'SW', '0.46', '2.5615', '1', '2.56151', '265884.90625', '189039.546875', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'TITLE 24', '', '');
INSERT INTO buildings VALUES ('1356', '16', '45', 'JMJ/RandC', TO_DATE('7/1/1993','MM/DD/YY'), 'YOLO', 'CA', '5', 'S2', '2', '1', '114000', '1947', 'C2', 'N', '1973', '27000', 'S', 'MIN', '', 'IO', 'SD', '', '', '', '', '', 'N', 'N', 'Y', 'N', 'V', 'I', 'NE', 'NE', 'NE', '17000', 'G', 'F', 'F', '', '', '', '', '', '', '', '', '', 'C', '250', '230', '250', '230', '', '', 'C', 'C', 'C', 'N', 'N', 'G', '', 'C', 'SF', 'SW', 'SW', '0.15', '2.5615', '1', '2.56151', '69160.8125', '43545.6953125', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'TITLE 24', '', '');
INSERT INTO buildings VALUES ('1357', '17', '45', 'JMJ/RandC', TO_DATE('7/1/1993','MM/DD/YY'), 'SONOMA', 'CA', '7', 'S2', '2', '0', '46000', '1956', 'C2', 'N', '1993', '917138', 'S', 'MIN', '', 'IO', 'SW', 'EW', 'SD', 'SF', '', '', 'N', 'N', 'Y', 'N', 'V', 'I', 'OK', 'NE', 'I', '770916', 'G', 'F', 'F', '', '', '', '', '', '', '', '', '', 'OT', '285', '248', '285', '248', '11.5', '', 'FS', 'FS', 'PC', 'N', 'N', 'G', 'S', 'C', 'SF', 'SW', 'SW', '16.76', '1', '1', '1', '917138', '770916', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'TITLE 24', '', '');
INSERT INTO buildings VALUES ('1358', '17', '45', 'JMJ/RandC', TO_DATE('7/1/1993','MM/DD/YY'), 'SONOMA', 'CA', '7', 'S2', '2', '0', '46000', '1956', 'C2', 'N', '1993', '908025', 'S', 'MIN', '', 'IO', 'SW', 'EW', 'SD', 'SF', '', '', 'N', 'N', 'Y', 'N', 'V', 'I', 'OK', 'NE', 'NE', '761885', 'G', 'F', 'F', '', '', '', '', '', '', '', '', '', 'OT', '285', '248', '285', '248', '11.5', '', 'FS', 'FS', 'PC', 'N', 'N', 'G', 'S', 'C', 'SF', 'SW', 'SW', '16.56', '1', '1', '1', '908025', '761885', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'TITLE 24', '', '');
INSERT INTO buildings VALUES ('1359', '11', '25', 'JMJ/RandC', TO_DATE('7/1/1993','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S2', '6', '1', '275000', '1920', 'S5', 'Y', '1993', '60000000', 'S', 'COM', '', 'DC', 'SW', '', '', '', '', '', 'N', 'Y', 'Y', 'Y', 'V', 'I', 'I', 'I', 'NE', '12000000', 'G', 'F', 'F', '', '', '', '', '', '', '', '', '', 'R', '400', '100', '400', '100', '12.5', '88', 'C', 'C', 'C', 'M', 'N', 'G', 'S', '', 'SF', 'SW', 'SW', '43.64', '1', '1', '1', '60000000', '12000000', '0', '0', '0', '0', '0', '0', '0', '0', '8', '1988 UBC', '', '');
INSERT INTO buildings VALUES ('1360', '11', '19', 'JMJ/RandC', TO_DATE('6/1/1993','MM/DD/YY'), 'JACKSON', 'MO', '3', 'S3', '6', '2', '65000', '1930', 'S5', 'N', '1986', '1000000', 'AC', 'ADD', '', 'DC', 'SW', 'BF', 'MF', 'SD', 'SF', '', 'N', 'N', 'Y', 'Y', 'V', 'I', 'NE', 'NE', 'NE', '1000000', 'F', 'F', 'F', '', '', '', '', '', '', '', '', '', 'R', '', '', '', '', '', '', 'S', 'S', 'C', 'CW', 'N', 'G', 'S', '', 'P', 'SW', 'SW', '15.38', '1.174', '1.12348', '1.31895', '1318948.625', '1318948.625', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UBC ZONE 1 (VOLUNTARY UPGRADE)', '', '');
INSERT INTO buildings VALUES ('1361', '5', '13', 'JMJ/RandC', TO_DATE('6/1/1993','MM/DD/YY'), 'SHELBY', 'TN', '5', 'S1', '5', '0', '378000', '', 'PC2', 'N', '1989', '190000', 'S', 'MIN', '', 'LS', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'NE', 'NE', 'NE', '190000', 'G', 'F', 'F', '', '', '', '', '', '', '', '', '', 'R', '366', '175', '366', '175', '', '', 'C', 'C', 'C', 'N', 'N', 'G', 'PC', '', 'P', 'SW', 'SW', '0.5', '1.1067', '1.30129', '1.44011', '273621.5625', '273621.5625', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'PGA = 14 6% G (ARBITRARY) ', '', '');
INSERT INTO buildings VALUES ('1362', '10', '21', 'JMJ/RandC', TO_DATE('6/1/1993','MM/DD/YY'), 'SHELBY', 'TN', '5', '', '1', '0', '200000', '1982', 'S2', 'N', '1988', '150000', 'AC', 'MIN', '', 'LS', 'BF', '', '', '', '', '', 'N', 'N', 'Y', 'N', 'V', 'I', 'NE', 'I', 'NE', '75000', 'G', 'G', 'P', '', '', '', '', '', '', '', '', '', 'R', '500', '400', '500', '400', '30', '30', 'S', '', 'W', 'N', 'N', 'G', 'S', '', 'SF', 'BF', 'BF', '0.38', '1.122', '1.30129', '1.46007', '219010.328125', '109505.1640625', '0', '0', '0', '0', '0', '0', '0', '0', '8', '1988 SBC ZONE 3 ', '', '');
INSERT INTO buildings VALUES ('1364', '8', '19', 'TOMBYKONEN', TO_DATE('07/30/93','MM/DD/YY'), 'KING', 'WA', '5', '', '3', '0', '191200', '1930', 'C1', 'Y', '1992', '19700000', 'AC', 'COM', '11000', 'LS', 'SW', 'SF', '', '', '', '', 'N', 'Y', 'Y', 'Y', 'V', 'I', 'I', 'I', 'I', '2000000', 'G', 'G', 'P', '', '', '', '14', '0', '0', '0', '', '', 'R', '600', '120', '600', '120', '15', '65', 'FS', 'C', 'C', 'CW', 'G', 'G', 'C', '', 'P', 'MF', 'MF', '10.46', '1.0286', '1.10228', '1.13379', '22335642', '2267577.75', '0', '0', '0', '0', '0', '0', '0', '0', '6', '1991 UBC', '', '');
INSERT INTO buildings VALUES ('1365', '1', '2', 'TODDPERBIX', TO_DATE('07/28/93','MM/DD/YY'), 'KING', 'WA', '5', 'S2', '2', '1', '16000', '1908', 'W1', 'Y', '1988', '1950000', '', 'COM', '', 'LS', 'SW', 'EW', 'SD', 'SF', '', '', 'N', 'Y', 'Y', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '245000', 'G', 'G', 'G', '', '', '', '10', '0', '0', '0', '425000', '0', 'L', '', '', '', '', '', '', 'W', 'W', 'W', 'N', 'N', 'G', '', 'W', 'SF', 'SW', 'SW', '15.31', '1.122', '1.10228', '1.23678', '2411723.5', '303011.40625', '0', '0', '0', '0', '0', '0', '525632', '0', '6', 'UBC ', '', '');
INSERT INTO buildings VALUES ('1366', '13', '18', 'TODDPERBIX', TO_DATE('07/28/93','MM/DD/YY'), 'KING', 'WA', '5', 'S2', '2', '0', '31000', '1931', 'URM', 'N', '1987', '1500000', 'AC', 'COM', '', 'RR', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'Y', 'N', 'V', 'I', 'OK', 'NE', 'NE', '450000', 'G', 'G', 'G', '', '', '', '9', '0', '0', '0', '', '0', 'OT', '230', '64', '230', '64', '', '', 'W', 'W', 'W', 'M', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '14.52', '1.1472', '1.10228', '1.26452', '1896787.375', '569036.1875', '0', '0', '0', '0', '0', '0', '0', '0', '10', 'UBC ', '', '');
INSERT INTO buildings VALUES ('1367', '1', '2', 'DANJSAY', TO_DATE('07/26/93','MM/DD/YY'), 'COLUMBIA', 'WA', '2', '', '2', '1', '17000', '1887', 'URM', 'Y', '1992', '1400000', 'AC', 'COM', '500', 'LS', 'EW', 'SD', 'WT', '', '', '', 'Y', 'Y', 'Y', 'Y', 'TR', 'I', 'OK', 'OK', 'OK', '400000', 'F', 'F', 'F', '', '120000', '', '', '', '', '', '', '', 'R', '80', '80', '80', '80', '18', '30', 'TT', 'W', 'W', 'M', 'Y', 'F', 'W', 'URM', 'SF', 'SW', 'SW', '23.53', '1.0286', '1.10228', '1.13379', '1587304.375', '453515.5625', '0', '136054.671875', '0', '0', '0', '0', '0', '0', '7', 'UCBC ATC-22', '', '');
INSERT INTO buildings VALUES ('1368', '6', '19', 'DANJSAY', TO_DATE('07/26/93','MM/DD/YY'), 'KING', 'WA', '5', '', '4', '1', '40000', '1930', 'URM', 'Y', '1991', '2500000', 'S', 'COM', '', 'LS', 'MF', 'EW', 'SD', 'PB', 'WT', '', 'Y', 'Y', 'Y', 'Y', '', 'I', 'OK', 'OK', 'OK', '500000', 'P', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '120', '60', '120', '60', '10', '40', 'W', 'W', 'W', 'M', 'N', 'P', 'W', 'URM', 'SF', 'SW', 'SW', '12.5', '1.0596', '1.10228', '1.168', '2919990.5', '583998.125', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'UCBC ATC-22 UBC ', '', '');
INSERT INTO buildings VALUES ('1369', '6', '28', 'JOHNHOOPER', TO_DATE('06/01/93','MM/DD/YY'), 'KING', 'WA', '5', 'S2', '4', '0', '33400', '1922', 'URM', '', '1993', '1098000', 'S', 'MIN', '', 'LS', 'SW', 'SD', 'SF', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '1098000', 'F', 'P', 'P', '', '', '', '', '0', '0', '0', '0', '0', 'OT', '154.5', '76.5', '100.5', '66', '15', '64', 'W', 'W', 'W', 'M', 'N', 'G', 'S', 'URM', 'SF', 'SW', 'SW', '32.87', '1', '1.10228', '1.10228', '1210307.75', '1210307.75', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'FEMA 1978 ', '', '');
INSERT INTO buildings VALUES ('1370', '1', '6', 'DARELLLAWVER', TO_DATE('06/26/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', 'S3', '4', '0', '8800', '1910', 'URM', 'N', '1992', '136000', 'S', 'MIN', '', 'LS', 'BF', 'EW', 'SD', 'PB', 'WT', '', 'N', 'N', 'N', 'Y', 'TR', 'I', 'I', 'NE', 'NE', '129200', 'G', 'P', 'P', '', '', '', '4', '6800', '', '', '', '', 'R', '130', '68', '130', '68', '', '18', '', 'TT', 'W', 'N', 'N', 'G', 'URM', 'URM', 'M', 'SW', 'SW', '14.68', '1.0286', '1', '1.02858', '139887.078125', '132892.734375', '0', '0', '0', '6994.35400390625', '0', '0', '0', '0', '6', 'UCBC', '', '');
INSERT INTO buildings VALUES ('1371', '8', '19', 'DASSEDESIGNINC', TO_DATE('07/19/93','MM/DD/YY'), 'SANMATEO', 'CA', '7', 'S2', '5', '0', '233000', '1960', 'C1', 'N', '1989', '14000000', 'AC', 'COM', '26000', 'LS', 'BF', '', '', '', '', '', 'N', 'N', 'Y', 'Y', 'V', 'I', 'I', 'I', 'I', '3000000', 'G', 'G', 'G', '', '', '', '14', '50000', '0', '0', '0', '50000', 'R', '384', '120', '384', '120', '13', '64', 'WS', 'WS', 'C', 'PC', 'N', 'G', 'C', '', 'M', 'MF', 'MF', '12.88', '1.1067', '1', '1.10668', '15493546', '3320045.5', '0', '0', '0', '55334.08984375', '0', '0', '0', '55334.08984375', '9', '1985 UBC', '', '');
INSERT INTO buildings VALUES ('1372', '11', '12', 'GSA-NY', TO_DATE('07/30/93','MM/DD/YY'), 'SUFFOLK', 'NY', '3', 'S2', '1', '0', '542000', '1972', 'S5', 'N', '1992', '11089000', 'S', 'ADD', '', 'DC', 'BF', 'EW', 'EF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '5143600', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'S', '', 'MD', 'M', '', 'G', 'S', '', 'SF', 'SW', 'SW', '9.49', '1.0286', '1.05014', '1.08016', '11977856', '5555893.5', '0', '0', '0', '0', '0', '0', '0', '0', '4', 'GSA SEISMIC DESIGN HANDBOOK ', '', '');
INSERT INTO buildings VALUES ('1373', '12', '33', 'GSA-NY', TO_DATE('07/30/93','MM/DD/YY'), 'STTHOMAS', 'VI', '6', 'S3', '3', '0', '69800', '', 'C3', 'N', '1993', '1669000', 'S', 'MIN', '', 'LS', 'EW', 'EF', 'SD', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'OK', 'NE', '1669000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '', '', '', '', '', '', 'C', 'C', 'C', 'N', '', '', 'C', '', '', 'SW', 'SW', '23.91', '1', '1.29', '1.29', '2153010', '2153010', '0', '0', '0', '0', '0', '0', '0', '0', '4', 'GSA SEISMIC DESIGN HANDBOOK ', '', '');
INSERT INTO buildings VALUES ('1374', '11', '20', 'GSA-NY', TO_DATE('08/02/93','MM/DD/YY'), 'ESSEX', 'NJ', '3', 'S1', '6', '1', '150000', '1920', 'S5', 'Y', '1992', '17840000', 'S', 'ADD', '', 'LS', 'SW', '', '', '', '', '', 'Y', 'N', 'Y', 'N', 'TR', 'I', 'OK', 'I', 'NE', '1553000', 'G', 'P', 'P', '345000', '2590000', '1555000', '', '', '', '', '', '', 'OT', '', '', '', '', '', '', 'S', 'S', 'C', 'ST', 'N', 'G', 'S', '', 'SF', 'SW', 'SW', '10.35', '1.0286', '0.98143', '1.00948', '18009180', '1567727.375', '348271.6875', '2614561.5', '1569746.375', '0', '0', '0', '0', '0', '4', '1988 UBC (I=1 25) ', '', '');
INSERT INTO buildings VALUES ('1375', '9', '37', 'DAVIDCBREIHOLZ', TO_DATE('06/22/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '12', '1', '142000', '1922', 'C1', 'Y', '1992', '425000', 'AC', 'MIN', '', 'DC', 'SW', 'EW', 'SF', '', '', '', 'N', 'N', 'N', 'Y', 'IP', 'I', 'I', 'I', 'NE', '400000', 'G', 'G', 'G', '', '60000', '10000', '4', '', '', '', '', '', 'L', '180', '50', '180', '50', '11', '130', 'C', 'C', 'C', 'M', 'N', 'G', 'C', '', 'SF', 'SW', 'MF', '2.82', '1.0286', '1', '1.02858', '437147.125', '411432.59375', '0', '61714.890625', '10285.8154296875', '0', '0', '0', '0', '0', '10', '3D DYNAMIC ANALYSIS UBC', '', '');
INSERT INTO buildings VALUES ('1376', '12', '37', 'DAVIDCBREIHOLZ', TO_DATE('07/15/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '7', '1', '57000', '1925', 'C3', 'Y', '1990', '325000', 'AC', 'MIN', '', 'DC', 'SW', 'EW', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'OK', 'OK', '290000', 'G', 'G', 'G', '', '35000', '15000', '4', '21300', '', '', '6000', '11500', 'L', '172', '45', '172', '45', '10.5', '76', 'C', '', 'C', 'M', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '5.09', '1.0788', '1', '1.07883', '350619.90625', '312860.84375', '0', '37759.06640625', '16182.45703125', '22979.08984375', '0', '0', '6472.98291015625', '12406.55078125', '10', 'UBC 3-D DYNAMIC ANALYSIS ', '', '');
INSERT INTO buildings VALUES ('1377', '12', '37', 'DAVIDCBREIHOLZ', TO_DATE('07/15/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '12', '1', '105000', '1923', 'C3', 'Y', '1992', '350000', 'AC', 'MIN', '', 'DC', 'SW', 'EW', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'OK', 'OK', '350000', 'G', 'G', 'G', '', '55000', '10000', '4', '', '', '', '', '', 'R', '150', '50', '150', '50', '10.5', '125', 'C', 'C', 'C', 'M', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '3.33', '1.0286', '1', '1.02858', '360003.53125', '360003.53125', '0', '56571.984375', '10285.8154296875', '0', '0', '0', '0', '0', '10', '3D DY MIC UBC ', '', '');
INSERT INTO buildings VALUES ('1378', '12', '37', 'DAVIDCBREIHOLZ', TO_DATE('07/05/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '7', '1', '77000', '1926', 'C3', 'N', '1991', '425000', 'AC', 'MIN', '', 'DC', 'SW', 'EW', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'OK', 'OK', '320000', 'G', 'G', 'G', '', '45000', '12000', '5', '42000', '35000', '', '21000', '', 'OT', '', '', '', '', '10.5', '76', 'C', '', 'C', 'M', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '4.16', '1.0596', '1', '1.05961', '450336.21875', '339076.6875', '0', '47682.66015625', '12715.3759765625', '44503.81640625', '37086.51171875', '0', '22251.908203125', '0', '10', 'UBC 3D DYNAMIC ANALYSIS', '', '');
INSERT INTO buildings VALUES ('1379', '1', '4', 'DAVIDCBREIHOLZ', TO_DATE('07/20/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '6', '1', '60000', '1913', 'URM', 'Y', '1988', '1500000', 'AC', 'COM', '', 'DC', 'BF', 'EW', 'SD', 'SF', 'PB', 'WT', 'Y', 'Y', 'Y', 'Y', 'V', 'I', 'I', 'OK', 'OK', '590000', 'G', 'F', 'G', '', '55000', '8000', '18', '105000', '15000', '15000', '165000', '150000', 'R', '', '', '', '', '11.5', '75', 'S', 'S', 'W', 'N', 'N', 'P', 'S', 'URM', 'SF', 'SW', 'SW', '9.83', '1.122', '1', '1.12202', '1683025.375', '661990', '0', '61710.9296875', '8976.134765625', '117811.7734375', '16830.25390625', '16830.25390625', '185132.796875', '168302.53125', '10', '1970 UBC', '', '');
INSERT INTO buildings VALUES ('1380', '1', '4', 'DAVIDCBREIHOLZ', TO_DATE('07/21/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '3', '1', '22000', '1915', 'URM', 'Y', '1991', '3900000', 'AC', 'COM', '', 'LS', 'EW', 'SD', 'PB', 'WT', '', '', 'Y', 'Y', 'Y', 'Y', 'V', 'I', 'I', 'OK', 'OK', '950000', 'G', 'G', 'G', '', '45000', '8000', '14', '156000', '78000', '78000', '468000', '117000', 'OT', '', '', '', '', '11.25', '44', 'W', 'W', 'W', 'PC', 'N', 'F', 'S', 'URM', 'SF', 'SW', 'SW', '43.18', '1.0596', '1', '1.05961', '4132497.25', '1006633.9375', '0', '47682.66015625', '8476.9169921875', '165299.890625', '82649.9453125', '82649.9453125', '495899.65625', '123974.9140625', '10', 'UCBC', '', '');
INSERT INTO buildings VALUES ('1381', '7', '37', 'DAVIDCBREIHOLZ', TO_DATE('07/23/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '4', '0', '29450', '1927', 'URM', 'N', '1992', '149000', 'AC', 'MIN', '', 'LS', 'SW', 'EW', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'NE', 'NE', '149000', 'G', 'G', 'G', '', '8500', '3800', '4', '', '', '', '', '', 'R', '', '', '', '', '11', '', 'W', 'W', 'W', 'N', 'N', 'F', '', 'URM', 'SF', 'SW', 'SW', '5.06', '1.0286', '1', '1.02858', '153258.640625', '153258.640625', '0', '8742.9423828125', '3908.60961914063', '0', '0', '0', '0', '0', '10', 'UCBC', '', '');
INSERT INTO buildings VALUES ('1382', '7', '12', 'DAVIDCBREIHOLZ', TO_DATE('07/21/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '1', '0', '16768', '1917', 'URM', 'Y', '1993', '95000', 'AC', 'MIN', '', 'LS', 'SW', 'EW', 'SD', 'WT', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'OK', 'OK', '95000', 'G', 'G', 'G', '', '', '', '', '', '', '', '', '', 'R', '', '', '', '', '15', '30', 'W', '', 'W', 'N', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '5.67', '1', '1', '1', '95000', '95000', '0', '0', '0', '0', '0', '0', '0', '0', '10', '', '', '');
INSERT INTO buildings VALUES ('1383', '7', '37', 'DAVIDCBREIHOLZ', TO_DATE('07/20/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '2', '0', '12400', '1927', 'URM', 'Y', '1991', '190000', 'AC', 'MIN', '', 'LS', 'SW', 'EW', 'SD', 'WT', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'OK', 'OK', '190000', 'G', 'G', 'G', '', '26000', '9000', '4', '', '', '', '', '', 'L', '', '', '', '', '12', '30', 'W', 'W', 'W', 'N', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '15.32', '1.0596', '1', '1.05961', '201326.78125', '201326.78125', '0', '27549.98046875', '9536.5322265625', '0', '0', '0', '0', '0', '10', 'UCBC PLUS ', '', '');
INSERT INTO buildings VALUES ('1384', '10', '37', 'DAVIDCBREIHOLZ', TO_DATE('07/21/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '1', '1', '7732', '1993', 'URM', 'N', '1993', '81000', 'AC', 'MIN', '', 'LS', 'SW', 'MF', 'EW', 'PB', 'WT', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'OK', 'OK', '81000', 'G', 'G', 'G', '', '4800', '900', '3', '', '', '', '', '', 'R', '', '', '', '', '15', '22', 'W', '', 'W', 'N', 'N', 'F', 'W', 'URM', 'SF', 'SW', 'SW', '10.48', '1', '1', '1', '81000', '81000', '0', '4800', '900', '0', '0', '0', '0', '0', '10', 'UCBC 1991 ', '', '');
INSERT INTO buildings VALUES ('1385', '1', '5', 'DAVIDCBREIHOLZ', TO_DATE('07/21/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '2', '0', '11000', '1915', 'URM', 'Y', '1978', '230000', 'AC', 'MIN', '', 'LS', 'BF', 'EW', 'WT', '', '', '', 'N', 'N', 'N', 'Y', 'IP', 'I', 'I', 'OK', 'OK', '230000', 'G', 'G', 'G', '', '4700', '', '4', '', '', '', '', '', 'R', '', '', '', '', '', '', 'W', 'S', 'W', 'N', '', 'G', 'S', 'URM', 'SF', 'SW', 'SW', '20.91', '1.7413', '1', '1.74134', '400507.78125', '400507.78125', '0', '8184.2890625', '0', '0', '0', '0', '0', '0', '9', '1976 UBC', '', '');
INSERT INTO buildings VALUES ('1386', '7', '12', 'DAVIDCBREIHOLZ', TO_DATE('07/22/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '1', '0', '7500', '1926', 'URM', 'N', '1978', '62000', 'AC', 'MIN', '600', 'LS', 'SW', 'EW', 'SD', 'PB', 'WT', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'OK', 'OK', '62000', 'G', 'G', 'G', '', '3900', '', '5', '', '', '', '', '', 'R', '130', '50', '130', '50', '18', '25', 'W', '', '', 'N', 'Y', 'F', 'URM', 'URM', 'SF', 'SW', 'SW', '8.27', '1.7413', '1', '1.74134', '107962.9609375', '107962.9609375', '0', '6791.21875', '0', '0', '0', '0', '0', '0', '9', '1976 UBC', '', '');
INSERT INTO buildings VALUES ('1387', '1', '5', 'DAVIDCBREIHOLZ', TO_DATE('07/22/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '2', '1', '44000', '1915', 'URM', 'Y', '1987', '850000', 'AC', 'MIN', '', 'DC', 'EW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'OK', 'OK', '850000', 'G', 'G', 'G', '', '60000', '7500', '10', '', '', '', '', '', 'R', '', '', '', '', '', '', 'S', 'W', 'W', 'N', 'N', 'G', 'S', 'URM', 'SF', 'SW', 'SW', '19.32', '1.1472', '1', '1.14719', '975108.25', '975108.25', '0', '68831.171875', '8603.896484375', '0', '0', '0', '0', '0', '10', '1970 UBC', '', '');
INSERT INTO buildings VALUES ('1388', '7', '12', 'DAVIDCBREIHOLZ', TO_DATE('07/21/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '2', '0', '12000', '1929', 'URM', 'N', '1989', '98000', 'AC', 'MIN', '', 'LS', 'EW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'NE', 'NE', '98000', 'G', 'G', 'G', '', '4800', '', '4', '', '', '', '', '', 'OT', '', '', '', '', '11', '28', 'W', 'W', 'W', 'N', '', '', '', 'URM', 'SF', 'SW', 'SW', '8.17', '1.1067', '1', '1.10668', '108454.8203125', '108454.8203125', '0', '5312.0727539063', '0', '0', '0', '0', '0', '0', '10', '', '', '');
INSERT INTO buildings VALUES ('1389', '13', '41', 'DAVIDCBREIHOLZ', TO_DATE('07/21/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '1', '0', '22500', '1959', 'RM1', 'N', '1993', '5500', 'AC', 'MIN', '', 'RR', 'WT', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'NE', 'NE', 'NE', '5500', 'G', 'G', 'G', '', '2000', '', '1', '', '', '', '', '', 'R', '150', '150', '150', '150', '18', '18', 'TT', '', 'W', 'N', 'N', 'F', 'W', 'RM', 'SF', 'SW', 'SW', '0.24', '1', '1', '1', '5500', '5500', '0', '2000', '0', '0', '0', '0', '0', '0', '10', 'SEAOSC EBC GUIDELINES ', '', '');
INSERT INTO buildings VALUES ('1391', '5', '12', 'JEBEAVERS', TO_DATE('07/22/93','MM/DD/YY'), 'ANDERSON', 'TN', '3', 'S1', '3', '1', '168000', '1967', 'PC1', 'N', '1992', '800000', 'S', 'MIN', '', 'LS', 'EW', 'EF', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '800000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '4.76', '1.0286', '1.30129', '1.33848', '1070785.875', '1070785.875', '0', '0', '0', '0', '0', '0', '0', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('1392', '7', '12', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '3', '0', '12100', '1920', 'URM', 'N', '1993', '95000', 'AC', 'MIN', '', 'LS', 'BF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'OK', 'OK', '95000', 'G', 'F', 'F', '', '', '', '10', '0', '0', '0', '0', '0', 'OT', '150', '45', '150', '45', '16', '36', 'W', 'W', 'W', 'N', 'N', 'F', '', 'URM', 'SF', 'SW', 'SW', '7.85', '1', '1', '1', '95000', '95000', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1393', '7', '12', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '2', '0', '13200', '1920', 'URM', 'N', '1987', '25000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'OK', 'OK', '25000', 'G', 'F', 'F', '', '', '', '3', '0', '0', '0', '0', '0', 'R', '150', '45', '150', '44', '', '30', 'W', 'W', 'W', 'N', 'N', 'F', '', 'URM', 'SF', 'SW', 'SW', '1.89', '1.1472', '1', '1.14719', '28679.654296875', '28679.654296875', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1394', '7', '6', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '4', '1', '10000', '', 'URM', 'N', '1988', '15000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'OK', '15000', 'G', 'F', 'F', '', '', '', '3', '0', '0', '0', '0', '0', 'C', '150', '100', '150', '100', '10.5', '50', 'W', 'W', 'W', 'N', 'N', 'F', 'S', 'URM', 'SF', 'SW', 'SW', '1.5', '1.122', '1', '1.12202', '16830.25390625', '16830.25390625', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1395', '1', '6', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '3', '0', '19300', '1890', 'URM', 'N', '1985', '100000', 'AC', 'MIN', '', 'LS', 'SW', 'BF', 'EW', 'EF', 'SD', 'PB', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'OK', '100000', 'G', 'F', 'F', '', '', '', '15', '0', '0', '0', '0', '0', 'OT', '150', '40', '150', '40', '14', '40', 'W', 'W', 'W', 'N', 'N', 'F', 'S', 'URM', 'SF', 'SW', 'SW', '5.18', '1.2006', '1', '1.20058', '120057.6640625', '120057.6640625', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1396', '7', '37', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '7600', '1924', 'URM', 'N', '1993', '65000', 'AC', 'MIN', '', 'LS', 'BF', 'MF', 'SD', 'PB', 'WT', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'OK', 'OK', '65000', 'G', 'F', 'F', '', '', '', '5', '0', '0', '0', '0', '0', 'R', '88', '86', '88', '86', '16', '24', 'TT', '', 'W', 'N', 'N', 'F', '', 'URM', 'SF', 'SW', 'SW', '8.55', '1', '1', '1', '65000', '65000', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1397', '7', '37', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '10900', '1924', 'URM', 'N', '1991', '60000', 'AC', 'MIN', '', 'LS', 'EW', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'OK', 'OK', '60000', 'G', 'F', 'F', '', '', '', '7', '0', '0', '0', '0', '0', 'R', '145', '75', '145', '75', '16', '18', 'W', '', 'W', 'N', 'N', 'F', '', 'URM', 'SF', 'SW', 'SW', '5.5', '1.0596', '1', '1.05961', '63576.87890625', '63576.87890625', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1398', '7', '12', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '7500', '1924', 'URM', 'N', '1990', '60000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'OK', '60000', 'G', 'F', 'F', '', '', '', '5', '0', '0', '0', '0', '0', 'R', '150', '50', '150', '50', '15', '19', 'W', '', 'W', 'N', 'N', 'F', '', 'URM', 'SF', 'SW', 'SW', '8', '1.0788', '1', '1.07883', '64729.828125', '64729.828125', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1399', '4', '36', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '900', '1925', 'URM', 'N', '1992', '10000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'OK', 'OK', '10000', 'G', 'F', 'F', '', '', '', '3', '0', '0', '0', '0', '0', 'R', '40', '24', '40', '24', '', '', 'W', '', 'W', 'N', 'N', 'F', '', 'URM', 'SF', 'SW', 'SW', '11.11', '1.0286', '1', '1.02858', '10285.815429688', '10285.815429688', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1400', '7', '37', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '5', '0', '30000', '1929', 'URM', 'N', '1982', '10000', 'AC', 'MIN', '', 'LS', 'PB', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'OK', 'OK', '10000', 'G', 'F', 'F', '', '', '', '2', '0', '0', '0', '0', '0', 'C', '100', '100', '90', '70', '12', '70', 'W', 'W', 'W', 'N', 'N', 'F', '', 'URM', 'SF', 'SW', 'SW', '0.33', '1.3048', '1', '1.30483', '13048.34375', '13048.34375', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1401', '4', '35', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '250', '1925', 'URM', 'N', '1989', '10000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'OK', 'OK', '10000', 'G', 'F', 'F', '', '', '', '2', '0', '0', '0', '0', '0', 'R', '20', '13', '20', '13', '10', '12', 'W', '', 'W', 'N', 'N', 'F', '', 'URM', 'SF', 'SW', 'SW', '40', '1.1067', '1', '1.10668', '11066.818359375', '11066.818359375', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1402', '7', '37', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '22500', '1928', 'URM', 'N', '1989', '100000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'OK', 'OK', '100000', 'G', 'F', 'F', '', '', '', '5', '0', '0', '0', '0', '0', 'R', '150', '150', '150', '150', '16', '20', 'W', '', 'W', 'N', 'N', 'F', '', 'URM', 'SF', 'SW', 'SW', '4.44', '1.1067', '1', '1.10668', '110668.1796875', '110668.1796875', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1403', '7', '36', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '2400', '1932', 'URM', 'N', '1986', '6000', 'AC', 'MIN', '', 'LS', 'EW', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'OK', 'OK', '6000', 'G', 'F', 'F', '', '', '', '2', '0', '0', '0', '0', '0', 'R', '95', '25', '95', '25', '12', '14', 'W', '', 'W', 'N', 'N', 'F', '', 'URM', 'SF', 'SW', 'SW', '2.5', '1.174', '1', '1.17398', '7043.8984375', '7043.8984375', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1404', '7', '37', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '7300', '1920', 'URM', 'N', '1980', '105000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'OK', 'OK', '105000', 'G', 'F', 'F', '', '', '', '3', '0', '0', '0', '0', '0', 'R', '145', '50', '145', '50', '14', '16', 'W', '', 'W', 'N', 'N', 'F', '', 'URM', 'SF', 'SW', 'SW', '14.38', '1.5018', '1', '1.5018', '157689.328125', '157689.328125', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1405', '7', '37', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '7100', '1923', 'URM', 'N', '1992', '80000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'OK', 'OK', '80000', 'G', 'F', 'F', '', '', '', '5', '0', '0', '0', '0', '0', 'R', '148', '48', '148', '48', '16', '18', 'W', '', 'W', 'N', 'N', 'F', '', 'URM', 'SF', 'SW', 'SW', '11.27', '1.0286', '1', '1.02858', '82286.5234375', '82286.5234375', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1406', '7', '37', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '7200', '1923', 'URM', 'N', '1993', '45000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'OK', 'OK', '45000', 'G', 'F', 'F', '', '', '', '3', '0', '0', '0', '0', '0', 'R', '148', '48', '148', '48', '16', '18', 'TT', '', 'W', 'N', 'N', 'F', '', 'URM', 'SF', 'SW', 'SW', '6.25', '1', '1', '1', '45000', '45000', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1407', '7', '37', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '2', '0', '15000', '1923', 'URM', 'N', '1989', '50000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'OK', 'OK', '50000', 'G', 'F', 'F', '', '', '', '5', '0', '0', '0', '0', '0', 'R', '150', '50', '150', '50', '10', '26', 'TT', 'W', 'W', 'N', 'N', 'F', '', 'URM', 'SF', 'SW', 'SW', '3.33', '1.1067', '1', '1.10668', '55334.08984375', '55334.08984375', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1408', '7', '36', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '4900', '1923', 'URM', 'N', '1990', '28000', 'AC', 'MIN', '', 'LS', 'EW', 'EF', 'SD', 'PB', 'WT', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'OK', 'OK', '28000', 'G', 'F', 'F', '', '', '', '3', '0', '0', '0', '0', '0', 'L', '80', '55', '80', '55', '15', '17', 'TT', '', 'W', 'N', 'N', 'F', '', 'URM', 'SF', 'SW', 'SW', '5.71', '1.0788', '1', '1.07883', '30207.25390625', '30207.25390625', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1409', '7', '36', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '2500', '1922', 'URM', 'N', '1989', '20000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'OK', 'OK', '20000', 'G', 'F', 'F', '', '', '', '3', '0', '0', '0', '0', '0', 'R', '50', '50', '50', '50', '', '', 'TT', '', 'W', 'N', 'N', 'F', '', 'URM', 'SF', 'SW', 'SW', '8', '1.1067', '1', '1.10668', '22133.63671875', '22133.63671875', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1410', '7', '36', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '2000', '1928', 'URM', 'N', '1978', '20000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'OK', 'OK', '20000', 'G', 'F', 'F', '', '', '', '3', '0', '0', '0', '0', '0', 'R', '100', '20', '18', '20', '', '', 'TT', '', 'W', 'N', 'N', 'F', '', 'URM', 'SF', 'SW', 'SW', '10', '1.7413', '1', '1.74134', '34826.76171875', '34826.76171875', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1411', '7', '11', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '2', '0', '2400', '1930', 'URM', 'N', '1990', '45000', 'AC', 'MIN', '', 'LS', 'SW', 'BF', 'SD', 'PB', 'WT', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'OK', 'OK', '45000', 'G', 'F', 'F', '', '', '', '2', '0', '0', '0', '0', '0', 'R', '46', '26', '46', '26', '', '24', 'W', 'W', 'W', 'N', 'N', 'F', '', 'URM', 'M', 'SW', 'SW', '18.75', '1.0788', '1', '1.07883', '48547.37109375', '48547.37109375', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1412', '7', '12', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '2', '0', '10000', '1925', 'URM', 'N', '1981', '35000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'OK', '35000', 'G', 'F', 'F', '', '', '', '5', '0', '0', '0', '0', '0', 'R', '100', '50', '100', '50', '23', '30', 'W', 'W', 'W', 'N', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '3.5', '1.3901', '1', '1.39008', '48652.8359375', '48652.8359375', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1413', '7', '28', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '1', '6400', '', 'URM', 'Y', '1984', '300000', 'AC', 'MIN', '', 'LS', 'SW', 'EF', 'SD', 'PB', 'WT', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'OK', '300000', 'G', 'F', 'F', '', '', '', '24', '0', '0', '0', '0', '0', 'R', '80', '40', '80', '40', '15', '20', 'TT', '', 'W', 'N', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '46.88', '1.206', '1', '1.20604', '361812.15625', '361812.15625', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1414', '7', '36', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '1400', '1920', 'URM', 'N', '1990', '15000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'OK', 'OK', '15000', 'G', 'F', 'F', '', '', '', '5', '0', '0', '0', '0', '0', 'R', '70', '20', '70', '20', '12', '15', 'W', '', 'W', 'N', 'N', 'F', '', 'URM', 'SF', 'SW', 'SW', '10.71', '1.0788', '1', '1.07883', '16182.45703125', '16182.45703125', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1415', '7', '12', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '2', '0', '8500', '1925', 'URM', 'N', '1979', '85000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'OK', '85000', 'G', 'F', 'F', '', '', '', '24', '0', '0', '0', '0', '0', 'R', '90', '45', '90', '45', '22', '25', 'W', 'W', 'W', 'N', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '10', '1.6025', '1', '1.60253', '136214.953125', '136214.953125', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1416', '7', '11', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '3700', '1926', 'URM', 'N', '1978', '18000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'OK', '18000', 'G', 'F', 'F', '', '', '', '5', '0', '0', '0', '0', '0', 'R', '75', '50', '75', '50', '16', '18', 'W', '', 'W', 'N', 'N', 'F', '', 'URM', 'SF', 'SW', 'SW', '4.86', '1.7413', '1', '1.74134', '31344.0859375', '31344.0859375', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1417', '7', '11', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '1800', '1929', 'URM', 'N', '1983', '25000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'OK', 'OK', '25000', 'G', 'F', 'F', '', '', '', '7', '0', '0', '0', '0', '0', 'R', '82', '22', '82', '22', '16', '18', 'W', '', 'W', 'N', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '13.89', '1.2227', '1', '1.22273', '30568.373046875', '30568.373046875', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1418', '4', '35', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '400', '1920', 'URM', 'N', '1985', '9000', 'AC', 'MIN', '', 'LS', 'SD', 'PB', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'OK', 'OK', '9000', 'G', 'F', 'F', '', '', '', '3', '0', '0', '0', '0', '0', 'R', '22', '20', '22', '20', '12', '12', 'W', '', 'W', 'N', 'N', 'F', '', 'URM', 'SF', 'SW', 'SW', '22.5', '1.2006', '1', '1.20058', '10805.190429688', '10805.190429688', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1419', '4', '11', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '700', '1920', 'URM', 'N', '1985', '10000', 'AC', 'MIN', '', 'LS', 'BF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'OK', 'OK', '10000', 'G', 'F', 'F', '', '', '', '6', '0', '0', '0', '0', '0', 'R', '34', '21', '34', '21', '18', '20', 'W', '', 'W', 'N', 'N', 'F', '', 'URM', 'SF', 'SW', 'SW', '14.29', '1.2006', '1', '1.20058', '12005.766601563', '12005.766601563', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1420', '7', '11', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '2500', '1926', 'URM', 'N', '1992', '30000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'OK', '30000', 'G', 'F', 'F', '', '', '', '12', '0', '0', '0', '0', '0', 'R', '50', '50', '50', '50', '14', '16', 'W', '', 'W', 'N', 'N', 'F', '', 'URM', 'SF', 'SW', 'SW', '12', '1.0286', '1', '1.02858', '30857.4453125', '30857.4453125', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1421', '7', '36', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '1800', '1927', 'URM', 'N', '1991', '9500', 'AC', 'MIN', '', 'LS', 'BF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'OK', 'OK', '9500', 'G', 'F', 'F', '', '', '', '2', '0', '0', '0', '0', '0', 'R', '62', '22', '62', '22', '10', '18', 'W', '', 'W', 'N', 'N', 'F', '', 'URM', 'SF', 'SW', 'SW', '5.28', '1.0596', '1', '1.05961', '10066.338867188', '10066.338867188', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1422', '7', '12', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '7400', '1926', 'URM', 'N', '1989', '40000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'OK', '40000', 'G', 'F', 'F', '', '', '', '5', '0', '0', '0', '0', '0', 'R', '98', '76', '98', '76', '14', '16', 'W', '', 'W', 'N', 'N', 'F', '', 'URM', 'SF', 'SW', 'SW', '5.41', '1.1067', '1', '1.10668', '44267.2734375', '44267.2734375', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1423', '7', '12', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '2', '1', '18700', '1923', 'URM', 'N', '1991', '50000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'OK', '50000', 'G', 'F', 'F', '', '', '', '12', '0', '0', '0', '0', '0', 'R', '83', '75', '83', '75', '30', '32', 'S', 'S', 'W', 'N', 'N', 'F', 'S', 'URM', 'SF', 'SW', 'SW', '2.67', '1.0596', '1', '1.05961', '52980.734375', '52980.734375', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1424', '7', '12', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '2', '0', '13700', '1923', 'URM', 'N', '1990', '90000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'OK', '90000', 'G', 'F', 'F', '', '', '', '11', '0', '0', '0', '0', '0', 'R', '120', '96', '120', '96', '24', '26', 'W', '', 'W', 'N', 'N', 'F', 'W', 'URM', 'SF', 'SW', 'SW', '6.57', '1.0788', '1', '1.07883', '97094.7421875', '97094.7421875', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1425', '7', '11', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '2', '0', '3600', '1926', 'URM', 'N', '1979', '30000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'OK', '30000', 'G', 'F', 'F', '', '', '', '6', '0', '0', '0', '0', '0', 'R', '75', '25', '75', '25', '23', '25', 'W', 'W', 'W', 'N', 'N', 'F', '', 'URM', 'SF', 'SW', 'SW', '8.33', '1.6025', '1', '1.60253', '48075.86328125', '48075.86328125', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1426', '7', '11', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '1800', '1922', 'URM', 'N', '1990', '28000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'OK', '28000', 'G', 'F', 'F', '', '', '', '6', '0', '0', '0', '0', '0', 'R', '90', '20', '90', '20', '15', '17', 'W', '', 'W', 'N', 'N', 'F', '', 'URM', 'SF', 'SW', 'SW', '15.56', '1.0788', '1', '1.07883', '30207.25390625', '30207.25390625', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1427', '7', '37', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '6500', '1928', 'URM', 'N', '1990', '60000', 'AC', 'MIN', '', 'LS', 'BF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'OK', 'OK', '60000', 'G', 'F', 'F', '', '', '', '3', '0', '0', '0', '0', '0', 'R', '75', '75', '75', '75', '14', '16', 'W', '', 'W', 'N', 'N', 'F', '', 'URM', 'SF', 'SW', 'SW', '9.23', '1.0788', '1', '1.07883', '64729.828125', '64729.828125', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1428', '7', '36', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '4400', '1922', 'URM', 'N', '1990', '28000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'OK', 'OK', '28000', 'G', 'F', 'F', '', '', '', '6', '0', '0', '0', '0', '0', 'R', '95', '46', '95', '46', '16', '18', 'W', '', 'W', 'N', 'N', 'F', '', 'URM', 'SF', 'SW', 'SW', '6.36', '1.0788', '1', '1.07883', '30207.25390625', '30207.25390625', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1429', '7', '12', 'SANTAMONICABandS', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '3', '0', '7350', '', 'URM', 'N', '1979', '100000', 'AC', 'MIN', '', 'LS', 'BF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'OK', 'OK', '100000', 'F', 'F', 'F', '', '', '', '24', '0', '0', '0', '0', '0', 'R', '70', '35', '70', '35', '38', '41', 'W', 'W', 'W', 'N', 'N', 'F', 'W', 'URM', 'SF', 'SW', 'SW', '13.61', '1.6025', '1', '1.60253', '160252.875', '160252.875', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1430', '7', '11', 'SANTAMONICABandS', TO_DATE('6/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '2', '0', '2600', '1926', 'URM', 'N', '1989', '22000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'OK', 'OK', '22000', 'G', 'F', 'F', '', '', '', '6', '0', '0', '0', '0', '0', 'R', '53', '25', '53', '25', '20', '22', 'W', 'W', 'W', 'N', 'N', 'F', '', 'URM', 'SF', 'SW', 'SW', '8.46', '1.1067', '1', '1.10668', '24347', '24347', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1431', '7', '12', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '6500', '1927', 'URM', 'N', '1991', '60000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'OK', '60000', 'G', 'F', 'F', '', '', '', '12', '0', '0', '0', '0', '0', 'R', '100', '65', '100', '65', '12', '15', 'TT', '', 'W', 'N', 'N', 'F', '', 'URM', 'SF', 'SW', 'SW', '9.23', '1.0596', '1', '1.05961', '63576.87890625', '63576.87890625', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1432', '7', '11', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '5200', '1926', 'URM', 'N', '1989', '35000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'OK', '35000', 'G', 'F', 'F', '', '', '', '12', '0', '0', '0', '0', '0', 'R', '95', '55', '95', '55', '14', '16', 'TT', '', 'W', 'N', 'N', 'F', 'W', 'URM', 'SF', 'SW', 'SW', '6.73', '1.1067', '1', '1.10668', '38733.86328125', '38733.86328125', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1433', '7', '11', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '3900', '1933', 'URM', 'N', '1990', '42000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'OK', 'OK', '42000', 'G', 'F', 'F', '', '', '', '12', '0', '0', '0', '0', '0', 'R', '65', '60', '65', '60', '15', '18', 'TT', '', 'W', 'N', 'N', 'F', 'W', 'URM', 'SF', 'SW', 'SW', '10.77', '1.0788', '1', '1.07883', '45310.87890625', '45310.87890625', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1434', '7', '12', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '9000', '1926', 'URM', 'N', '1989', '54000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'OK', '54000', 'G', 'F', 'F', '', '', '', '12', '0', '0', '0', '0', '0', 'R', '150', '60', '150', '60', '16', '18', 'TT', '', 'W', 'N', 'N', 'G', 'W', 'URM', 'SF', 'SW', 'SW', '6', '1.1067', '1', '1.10668', '59760.8203125', '59760.8203125', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1435', '7', '36', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '2600', '', 'URM', 'N', '1990', '29000', 'AC', 'MIN', '', 'LS', 'BF', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'OK', 'OK', '29000', 'G', 'F', 'F', '', '', '', '2', '0', '0', '0', '0', '0', 'R', '87', '30', '87', '30', '16', '18', 'W', '', 'W', 'N', 'N', 'F', '', 'URM', 'SF', 'SW', 'SW', '11.15', '1.0788', '1', '1.07883', '31286.083984375', '31286.083984375', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1436', '7', '36', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '2700', '1930', 'URM', 'N', '1981', '4500', 'AC', 'MIN', '', 'LS', 'EF', 'PB', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'OK', 'OK', '4500', 'G', 'F', 'F', '', '', '', '3', '0', '0', '0', '0', '0', 'R', '55', '50', '55', '50', '16', '18', 'W', '', 'W', 'N', 'N', 'G', 'W', 'URM', 'SF', 'SW', 'SW', '1.67', '1.3901', '1', '1.39008', '6255.3647460938', '6255.3647460938', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1437', '7', '12', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '9000', '', 'URM', 'N', '1990', '45000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'OK', '45000', 'G', 'F', 'F', '', '', '', '12', '0', '0', '0', '0', '0', 'R', '150', '60', '150', '60', '16', '18', 'W', '', 'W', 'N', 'N', 'F', 'W', 'URM', 'SF', 'SW', 'SW', '5', '1.0788', '1', '1.07883', '48547.37109375', '48547.37109375', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1438', '7', '11', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '3700', '1925', 'URM', 'N', '1989', '34000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'OK', 'OK', '34000', 'G', 'F', 'F', '', '', '', '6', '0', '0', '0', '0', '0', 'R', '75', '50', '75', '50', '', '', 'W', '', 'W', 'N', 'N', 'F', 'W', 'URM', 'SF', 'SW', 'SW', '9.19', '1.1067', '1', '1.10668', '37627.18359375', '37627.18359375', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1439', '7', '12', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '4', '1', '24000', '1927', 'URM', 'N', '1989', '150000', 'AC', 'MIN', '', 'LS', 'EW', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'OK', 'OK', '150000', 'G', 'F', 'F', '', '', '', '24', '0', '0', '0', '0', '0', '', '80', '75', '80', '75', '', '', 'W', 'W', 'W', 'N', 'N', 'F', 'W', 'URM', 'SF', 'SW', 'SW', '6.25', '1.1067', '1', '1.10668', '166002.28125', '166002.28125', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1440', '1', '6', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '12800', '1916', 'URM', 'N', '1988', '100000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'OK', 'OK', '100000', 'G', 'F', 'F', '', '', '', '12', '0', '0', '0', '0', '0', '', '145', '85', '145', '85', '14', '16', 'TT', '', 'W', 'N', 'N', 'F', 'W', 'URM', 'SF', 'SW', 'SW', '7.81', '1.122', '1', '1.12202', '112201.6875', '112201.6875', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1441', '7', '28', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S4', '3', '0', '14400', '1924', 'URM', 'N', '1993', '150000', 'AC', 'MIN', '', 'LS', 'SW', 'EF', 'SD', 'PB', 'WT', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'OK', 'OK', '150000', 'G', 'F', 'F', '', '', '', '5', '0', '0', '0', '0', '0', 'R', '100', '48', '100', '48', '42', '44', 'S', 'S', 'W', 'N', 'N', 'F', '', 'URM', 'M', 'SW', 'SW', '10.42', '1', '1', '1', '150000', '150000', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1442', '7', '11', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S4', '2', '0', '3000', '1921', 'URM', 'N', '1990', '38000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'OK', '38000', 'G', 'F', 'F', '', '', '', '3', '0', '0', '0', '0', '0', 'R', '40', '30', '40', '30', '', '', 'W', 'FS', 'W', 'N', 'N', 'F', 'S', 'URM', 'SF', 'SW', 'SW', '12.67', '1.0788', '1', '1.07883', '40995.55859375', '40995.55859375', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1443', '7', '36', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S4', '1', '0', '1900', '', 'URM', 'N', '1991', '19000', 'AC', 'MIN', '', 'LS', 'BF', 'PB', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'OK', 'OK', '19000', 'G', 'F', 'F', '', '', '', '2', '0', '0', '0', '0', '0', 'R', '64', '30', '64', '30', '14', '16', 'W', '', 'W', 'N', 'N', 'F', '', 'URM', 'SF', 'SW', 'SW', '10', '1.0596', '1', '1.05961', '20132.677734375', '20132.677734375', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1444', '7', '12', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S4', '8', '1', '136000', '1926', 'URM', 'N', '1980', '300000', 'AC', 'MIN', '', 'LS', 'SW', 'EW', 'EF', 'SD', 'PB', 'WT', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'OK', 'OK', '136000', 'G', 'F', 'F', '', '', '', '30', '0', '0', '0', '0', '0', 'C', '150', '150', '100', '100', '12', '115', 'W', 'C', 'W', 'N', 'N', 'F', 'C', 'URM', 'SF', 'SW', 'SW', '1', '1.5018', '1', '1.5018', '450540.9375', '204245.234375', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1445', '7', '11', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '1400', '1928', 'URM', 'N', '1989', '20000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'OK', '20000', 'G', 'F', 'F', '', '', '', '3', '0', '0', '0', '0', '0', 'R', '40', '35', '40', '35', '16', '18', 'W', '', 'W', 'N', 'N', 'G', 'W', 'URM', 'SF', 'SW', 'SW', '14.29', '1.1067', '1', '1.10668', '22133.63671875', '22133.63671875', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1446', '7', '12', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '8000', '', 'URM', 'N', '1982', '30000', 'AC', 'MIN', '', 'LS', 'EW', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'OK', '30000', 'G', 'F', 'F', '', '', '', '4', '0', '0', '0', '0', '0', 'R', '145', '55', '145', '55', '18', '20', 'TT', '', 'W', 'N', 'N', 'F', 'W', 'URM', 'SF', 'SW', 'SW', '3.75', '1.3048', '1', '1.30483', '39145.03125', '39145.03125', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1447', '7', '28', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '16800', '', 'URM', 'N', '1978', '30000', 'AC', 'MIN', '', 'LS', 'BF', 'EF', 'SD', 'PB', 'WT', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'OK', '30000', 'G', 'F', 'F', '', '', '', '12', '0', '0', '0', '0', '0', 'R', '140', '120', '140', '120', '', '', 'TT', '', 'W', 'N', 'N', 'G', 'W', 'URM', 'SF', 'SW', 'SW', '1.79', '1.7413', '1', '1.74134', '52240.14453125', '52240.14453125', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1448', '7', '11', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '4300', '1924', 'URM', 'N', '1990', '55000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'OK', 'OK', '55000', 'G', 'F', 'F', '', '', '', '12', '0', '0', '0', '0', '0', 'R', '145', '30', '145', '30', '14', '16', 'W', '', 'W', 'N', 'N', 'F', '', 'URM', 'SF', 'SW', 'SW', '12.79', '1.0788', '1', '1.07883', '59335.67578125', '59335.67578125', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1449', '7', '12', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '6400', '1929', 'URM', 'N', '1991', '31000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'OK', '31000', 'G', 'F', 'F', '', '', '', '7', '0', '0', '0', '0', '0', 'R', '80', '80', '80', '80', '16', '18', 'TT', '', 'W', 'N', 'N', 'F', '', 'URM', 'SF', 'SW', 'SW', '4.84', '1.0596', '1', '1.05961', '32848.0546875', '32848.0546875', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1450', '7', '12', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '6700', '1924', 'URM', 'N', '1989', '30000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'OK', '30000', 'G', 'F', 'F', '', '', '', '7', '0', '0', '0', '0', '0', 'R', '150', '45', '150', '45', '15', '17', 'TT', '', 'W', 'N', 'N', 'F', 'W', 'URM', 'SF', 'SW', 'SW', '4.48', '1.1067', '1', '1.10668', '33200.453125', '33200.453125', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1451', '7', '36', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '3000', '1929', 'URM', 'N', '1990', '20000', 'AC', 'MIN', '', 'LS', 'BF', 'EW', 'EF', 'SD', 'PB', 'WT', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'OK', 'OK', '20000', 'G', 'F', 'F', '', '', '', '2', '0', '0', '0', '0', '0', 'R', '60', '50', '60', '50', '', '', 'W', '', 'W', 'N', 'N', 'F', '', 'URM', 'SF', 'SW', 'SW', '6.67', '1.0788', '1', '1.07883', '21576.609375', '21576.609375', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1452', '7', '36', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '2500', '', 'URM', 'N', '1990', '18000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'OK', 'OK', '18000', 'G', 'F', 'F', '', '', '', '3', '0', '0', '0', '0', '0', 'R', '55', '45', '55', '45', '16', '18', 'W', '', 'W', 'N', 'N', 'F', '', 'URM', 'SF', 'SW', 'SW', '7.2', '1.0788', '1', '1.07883', '19418.94921875', '19418.94921875', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1453', '7', '12', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '2', '0', '14400', '1926', 'URM', 'N', '1978', '120000', 'AC', 'MIN', '', 'LS', 'BF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'OK', '120000', 'G', 'F', 'F', '', '', '', '12', '0', '0', '0', '0', '0', 'R', '190', '60', '190', '60', '14', '26', 'TT', 'TT', 'W', 'N', 'N', 'F', 'W', 'URM', 'SF', 'SW', 'SW', '8.33', '1.7413', '1', '1.74134', '208960.578125', '208960.578125', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1454', '7', '12', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '2', '0', '10200', '', 'URM', 'Y', '1979', '70000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'OK', 'OK', '70000', 'G', 'F', 'F', '', '', '', '14', '0', '0', '0', '0', '0', 'R', '78', '65', '78', '65', '28', '30', 'W', 'W', 'W', 'PC', 'N', 'F', 'W', 'URM', 'SF', 'SW', 'SW', '6.86', '1.6025', '1', '1.60253', '112177.015625', '112177.015625', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1455', '7', '12', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '6700', '1922', 'URM', 'N', '1990', '50000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'OK', '50000', 'G', 'F', 'F', '', '', '', '12', '0', '0', '0', '0', '0', 'R', '150', '45', '150', '45', '16', '18', 'W', '', 'W', 'N', 'N', 'F', 'W', 'URM', 'SF', 'SW', 'SW', '7.46', '1.0788', '1', '1.07883', '53941.5234375', '53941.5234375', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1456', '7', '12', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '2', '0', '12100', '', 'URM', 'N', '1989', '35000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'OK', '35000', 'G', 'F', 'F', '', '', '', '10', '0', '0', '0', '0', '0', 'R', '125', '50', '125', '50', '26', '28', 'W', '', 'W', 'N', 'N', 'F', 'W', 'URM', 'SF', 'SW', 'SW', '2.89', '1.1067', '1', '1.10668', '38733.86328125', '38733.86328125', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1457', '7', '11', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '5200', '1917', 'URM', 'N', '1990', '125000', 'AC', 'MIN', '', 'LS', '', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'OK', '125000', 'G', 'F', 'F', '', '', '', '5', '0', '0', '0', '0', '0', 'R', '100', '52', '100', '52', '24', '26', 'TT', '', 'W', 'PC', 'N', 'F', '', 'URM', 'SF', 'SW', 'SW', '24.04', '1.0788', '1', '1.07883', '134853.8125', '134853.8125', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1458', '7', '12', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '11800', '1924', 'URM', 'N', '1991', '120000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'OK', '120000', 'G', 'F', 'F', '', '', '', '6', '0', '0', '0', '0', '0', 'R', '150', '80', '150', '80', '16', '18', 'W', '', 'W', 'N', 'N', 'F', 'W', 'URM', 'SF', 'SW', 'SW', '10.17', '1.0596', '1', '1.05961', '127153.7578125', '127153.7578125', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1459', '7', '12', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '2', '0', '25800', '1929', 'URM', 'N', '1993', '100000', 'AC', 'MIN', '', 'LS', 'SW', 'EF', 'SD', 'PB', 'WT', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'OK', '100000', 'G', 'F', 'F', '', '', '', '6', '0', '0', '0', '0', '0', 'R', '150', '86', '150', '86', '', '35', 'W', 'W', 'W', 'N', 'N', 'F', '', 'URM', 'SF', 'SW', 'SW', '3.88', '1', '1', '1', '100000', '100000', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1460', '7', '12', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '2', '0', '9200', '1926', 'URM', 'N', '1989', '50000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'OK', '50000', 'G', 'F', 'F', '', '', '', '6', '0', '0', '0', '0', '0', 'R', '100', '46', '100', '46', '23', '25', 'TT', 'W', 'W', 'N', 'N', 'F', 'S', 'URM', 'SF', 'SW', 'SW', '5.43', '1.1067', '1', '1.10668', '55334.08984375', '55334.08984375', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1461', '7', '12', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '2', '0', '22600', '1922', 'URM', 'N', '1979', '50600', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'OK', '50600', 'G', 'F', 'F', '', '', '', '14', '0', '0', '0', '0', '0', 'R', '148', '90', '148', '90', '25', '27', 'W', 'TT', 'W', 'N', 'N', 'F', 'S', 'URM', 'SF', 'SW', 'SW', '2.24', '1.6025', '1', '1.60253', '81087.9609375', '81087.9609375', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1462', '7', '12', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '2', '0', '15000', '1924', 'URM', 'N', '1989', '45000', 'AC', 'MIN', '', 'LS', 'EW', 'EF', 'SD', 'PB', 'WT', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'OK', '45000', 'G', 'F', 'F', '', '', '', '10', '0', '0', '0', '0', '0', 'R', '150', '50', '150', '50', '25', '28', 'W', 'TT', 'W', 'N', 'N', 'F', 'S', 'URM', 'SF', 'SW', 'SW', '3', '1.1067', '1', '1.10668', '49800.68359375', '49800.68359375', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1463', '7', '12', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '11400', '', 'URM', 'N', '1991', '60000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'OK', '60000', 'G', 'F', 'F', '', '', '', '9', '0', '0', '0', '0', '0', 'L', '150', '70', '150', '70', '16', '18', 'TT', '', 'W', 'N', 'N', 'G', 'W', 'URM', 'SF', 'SW', 'SW', '5.26', '1.0596', '1', '1.05961', '63576.87890625', '63576.87890625', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1464', '7', '12', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '2', '0', '25200', '1922', 'URM', 'N', '1990', '130000', 'AC', 'MIN', '', 'LS', 'SW', 'BF', 'EF', 'SD', 'PB', 'WT', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'OK', '130000', 'G', 'F', 'F', '', '', '', '20', '0', '0', '0', '0', '0', 'R', '150', '85', '150', '85', '30', '32', 'TT', 'TT', 'W', 'N', 'N', 'F', 'S', 'URM', 'SF', 'SW', 'SW', '5.16', '1.0788', '1', '1.07883', '140247.96875', '140247.96875', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1465', '7', '11', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '4700', '', 'URM', 'N', '1987', '20000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'OK', '20000', 'G', 'F', 'F', '', '', '', '5', '0', '0', '0', '0', '0', 'R', '95', '48', '95', '48', '16', '18', 'W', '', 'W', 'N', 'N', 'F', 'W', 'URM', 'SF', 'SW', 'SW', '4.26', '1.1472', '1', '1.14719', '22943.72265625', '22943.72265625', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1466', '7', '37', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '21800', '1925', 'URM', 'N', '1993', '60000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'OK', 'OK', '60000', 'G', 'F', 'F', '', '', '', '5', '0', '0', '0', '0', '0', 'R', '150', '145', '150', '145', '20', '25', 'TT', '', 'W', 'N', 'N', 'G', 'S', 'URM', 'SF', 'SW', 'SW', '2.75', '1', '1', '1', '60000', '60000', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1467', '7', '37', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '20700', '1924', 'URM', 'N', '1993', '60000', 'AC', 'MIN', '', 'LS', 'BF', 'EW', 'EF', 'SD', 'PB', 'WT', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'OK', 'OK', '60000', 'G', 'F', 'F', '', '', '', '5', '0', '0', '0', '0', '0', 'R', '148', '140', '148', '140', '16', '18', 'TT', '', 'W', 'N', 'N', 'G', 'S', 'URM', 'SF', 'SW', 'SW', '2.9', '1', '1', '1', '60000', '60000', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1468', '7', '11', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '2700', '1923', 'URM', 'N', '1990', '16000', 'AC', 'MIN', '', 'LS', 'SD', 'PB', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'OK', '16000', 'G', 'F', 'F', '', '', '', '4', '0', '0', '0', '0', '0', 'R', '60', '45', '60', '45', '', '', 'TT', '', 'W', 'N', 'N', 'G', 'W', 'URM', 'SF', 'SW', 'SW', '5.93', '1.0788', '1', '1.07883', '17261.287109375', '17261.287109375', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1469', '7', '12', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '3', '0', '15600', '', 'URM', 'N', '1990', '90000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'OK', '90000', 'G', 'F', 'F', '', '', '', '14', '0', '0', '0', '0', '0', 'R', '130', '40', '130', '40', '30', '32', 'W', 'FS', 'W', 'N', 'N', 'G', 'W', 'URM', 'SF', 'SW', 'SW', '5.77', '1.0788', '1', '1.07883', '97094.7421875', '97094.7421875', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1470', '7', '12', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '19600', '', 'URM', 'N', '1992', '135000', 'AC', 'MIN', '', 'LS', 'BF', 'EF', 'SD', 'PB', 'WT', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'OK', '135000', 'G', 'F', 'F', '', '', '', '15', '0', '0', '0', '0', '0', 'R', '145', '135', '145', '135', '16', '18', 'TT', '', 'W', 'N', 'N', 'F', 'S', 'URM', 'SF', 'SW', 'SW', '6.89', '1.0286', '1', '1.02858', '138858.5', '138858.5', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1471', '7', '37', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '6000', '1928', 'URM', 'N', '1993', '15000', 'AC', 'MIN', '', 'LS', 'EW', 'EF', 'SD', 'PB', 'WT', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'OK', 'OK', '15000', 'G', 'F', 'F', '', '', '', '2', '0', '0', '0', '0', '0', 'R', '200', '30', '200', '30', '18', '20', 'W', '', 'W', 'N', 'N', 'F', '', 'URM', 'SF', 'SW', 'SW', '2.5', '1', '1', '1', '15000', '15000', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1472', '7', '11', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '1800', '1922', 'URM', 'N', '1990', '10000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'OK', 'OK', '10000', 'G', 'F', 'F', '', '', '', '3', '0', '0', '0', '0', '0', 'R', '45', '40', '45', '40', '10', '12', 'W', '', 'W', 'N', 'N', 'F', 'W', 'URM', 'SF', 'SW', 'SW', '5.56', '1.0788', '1', '1.07883', '10788.3046875', '10788.3046875', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1473', '7', '37', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '7100', '1924', 'URM', 'N', '1993', '42000', 'AC', 'MIN', '', 'LS', 'EW', 'EF', 'SD', 'PB', 'WT', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'OK', 'OK', '42000', 'G', 'F', 'F', '', '', '', '3', '0', '0', '0', '0', '0', 'R', '130', '55', '130', '55', '15', '17', 'TT', 'FS', 'W', 'N', 'N', 'F', '', 'URM', 'SF', 'SW', 'SW', '5.92', '1', '1', '1', '42000', '42000', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1474', '7', '11', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '3300', '1923', 'URM', 'N', '1983', '15000', 'AC', 'MIN', '', 'LS', 'EW', 'EF', 'SD', 'WT', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'OK', 'OK', '15000', 'G', 'F', 'F', '', '', '', '5', '0', '0', '0', '0', '0', 'R', '65', '50', '65', '50', '', '', 'W', '', 'W', 'N', 'N', 'G', 'W', 'URM', 'SF', 'SW', 'SW', '4.55', '1.2227', '1', '1.22273', '18341.0234375', '18341.0234375', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1475', '7', '11', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '5500', '1927', 'URM', 'N', '1993', '100000', 'AC', 'MIN', '', 'LS', 'SW', 'EF', 'SD', 'PB', 'WT', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'OK', '100000', 'G', 'F', 'F', '', '', '', '5', '0', '0', '0', '0', '0', 'L', '70', '50', '70', '50', '16', '18', 'W', '', 'W', 'N', 'N', 'F', '', 'URM', 'SF', 'SW', 'SW', '18.18', '1', '1', '1', '100000', '100000', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1476', '7', '12', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S4', '3', '0', '10500', '1927', 'URM', 'N', '1989', '40000', 'AC', 'MIN', '', 'LS', 'SD', 'PB', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'OK', 'OK', '40000', 'G', 'F', 'F', '', '', '', '21', '0', '0', '0', '0', '0', 'R', '100', '35', '100', '35', '38', '40', 'W', 'W', 'W', 'N', 'N', 'F', 'W', 'URM', 'SF', 'SW', 'SW', '3.81', '1.1067', '1', '1.10668', '44267.2734375', '44267.2734375', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1477', '7', '12', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '8400', '1930', 'URM', 'N', '1990', '48000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'OK', 'OK', '48000', 'G', 'F', 'F', '', '', '', '15', '0', '0', '0', '0', '0', 'R', '100', '84', '100', '84', '', '', 'TT', '', 'W', 'CW', 'N', 'G', 'W', 'URM', 'SF', 'SW', 'SW', '5.71', '1.0788', '1', '1.07883', '51783.86328125', '51783.86328125', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1478', '7', '37', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '2', '0', '8100', '1928', 'URM', 'N', '1990', '40000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'OK', 'OK', '40000', 'G', 'F', 'F', '', '', '', '4', '0', '0', '0', '0', '0', 'R', '90', '50', '90', '50', '10', '21', 'W', 'W', 'W', 'N', 'N', 'F', 'W', 'URM', 'SF', 'SW', 'SW', '4.94', '1.0788', '1', '1.07883', '43153.21875', '43153.21875', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1479', '7', '12', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '3', '0', '7900', '1926', 'URM', 'N', '1993', '50000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'OK', '50000', 'G', 'F', 'F', '', '', '', '5', '0', '0', '0', '0', '0', '', '75', '65', '75', '65', '14', '', 'TT', 'TT', 'W', 'N', 'N', 'F', '', 'URM', 'SF', 'SW', 'SW', '6.33', '1', '1', '1', '50000', '50000', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1480', '7', '36', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '2800', '1932', 'URM', 'N', '1993', '25000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'OK', 'OK', '25000', 'G', 'F', 'F', '', '', '', '3', '0', '0', '0', '0', '0', 'R', '60', '47', '60', '47', '', '', 'W', '', 'W', 'N', 'N', 'F', '', 'URM', 'SF', 'SW', 'SW', '8.93', '1', '1', '1', '25000', '25000', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1481', '7', '36', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '3400', '1922', 'URM', 'N', '1990', '40000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'OK', 'OK', '40000', 'G', 'F', 'F', '', '', '', '4', '0', '0', '0', '0', '0', 'R', '85', '40', '85', '40', '12', '12', 'W', '', 'W', 'N', 'N', 'F', 'S', 'URM', 'SF', 'SW', 'SW', '11.76', '1.0788', '1', '1.07883', '43153.21875', '43153.21875', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1482', '7', '37', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '8800', '1926', 'URM', 'N', '1990', '65000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'OK', 'OK', '65000', 'G', 'F', 'F', '', '', '', '4', '0', '0', '0', '0', '0', 'R', '147', '60', '147', '60', '18', '20', 'W', '', 'W', 'N', 'N', 'G', 'W', 'URM', 'SF', 'SW', 'SW', '7.39', '1.0788', '1', '1.07883', '70123.984375', '70123.984375', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1483', '7', '11', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '5700', '1925', 'URM', 'N', '1990', '60000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'OK', '60000', 'G', 'F', 'F', '', '', '', '5', '0', '0', '0', '0', '0', 'R', '98', '58', '98', '58', '14', '16', 'W', '', 'W', 'N', 'N', 'F', 'W', 'URM', 'SF', 'SW', 'SW', '10.53', '1.0788', '1', '1.07883', '64729.828125', '64729.828125', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1484', '7', '12', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '10500', '1929', 'URM', 'N', '1992', '65500', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'OK', '65500', 'G', 'F', 'F', '', '', '', '11', '0', '0', '0', '0', '0', 'R', '150', '70', '150', '70', '18', '20', 'W', '', 'W', 'N', 'N', 'F', 'S', 'URM', 'SF', 'SW', 'SW', '6.24', '1.0286', '1', '1.02858', '67372.0859375', '67372.0859375', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1485', '7', '12', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '9100', '1930', 'URM', 'N', '1990', '55000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'OK', '55000', 'G', 'F', 'F', '', '', '', '5', '0', '0', '0', '0', '0', 'L', '125', '60', '125', '60', '', '', 'W', '', 'W', 'N', 'N', 'F', 'S', 'URM', 'SF', 'SW', 'SW', '6.04', '1.0788', '1', '1.07883', '59335.67578125', '59335.67578125', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1486', '7', '12', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '7700', '1928', 'URM', 'N', '1988', '75000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'OK', '75000', 'G', 'F', 'F', '', '', '', '7', '0', '0', '0', '0', '0', 'L', '100', '65', '100', '65', '16', '18', 'W', '', 'W', 'N', 'N', 'F', 'W', 'URM', 'SF', 'SW', 'SW', '9.74', '1.122', '1', '1.12202', '84151.265625', '84151.265625', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1487', '7', '29', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '2', '0', '9300', '1931', 'URM', 'N', '1978', '90000', 'AC', 'MIN', '', 'LS', 'EF', 'AD', 'SD', 'PB', 'WT', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'OK', '90000', 'G', 'F', 'F', '', '', '', '7', '0', '0', '0', '0', '0', 'R', '85', '55', '85', '55', '25', '27', 'W', 'FS', 'W', 'N', 'N', 'G', 'W', 'URM', 'SF', 'SW', 'SW', '9.68', '1.7413', '1', '1.74134', '156720.4375', '156720.4375', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1488', '7', '37', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '6600', '1932', 'URM', 'N', '1993', '10000', 'AC', 'MIN', '', 'LS', 'SD', 'PB', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'OK', 'OK', '10000', 'G', 'F', 'F', '', '', '', '3', '0', '0', '0', '0', '0', 'R', '95', '70', '95', '70', '', '', 'W', '', 'W', 'N', 'N', 'F', '', 'URM', 'SF', 'SW', 'SW', '1.52', '1', '1', '1', '10000', '10000', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1489', '4', '11', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '900', '1931', 'URM', 'N', '1990', '10000', 'AC', 'MIN', '', 'LS', 'BF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'OK', 'OK', '10000', 'G', 'F', 'F', '', '', '', '1', '0', '0', '0', '0', '0', 'R', '35', '25', '35', '25', '12', '13', 'W', '', 'W', 'N', 'N', 'F', 'W', 'URM', 'SF', 'SW', 'SW', '11.11', '1.0788', '1', '1.07883', '10788.3046875', '10788.3046875', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1490', '7', '11', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '2100', '1926', 'URM', 'N', '1993', '18000', 'AC', 'MIN', '', 'LS', 'SD', 'PB', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'OK', 'OK', '18000', 'G', 'F', 'F', '', '', '', '2', '0', '0', '0', '0', '0', 'R', '42', '50', '42', '50', '14', '16', 'W', '', 'W', 'N', 'N', 'F', 'W', 'URM', 'SF', 'SW', 'SW', '8.57', '1', '1', '1', '18000', '18000', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1491', '7', '11', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '2600', '1930', 'URM', 'N', '1989', '30000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'OK', '30000', 'G', 'F', 'F', '', '', '', '4', '0', '0', '0', '0', '0', 'L', '40', '40', '40', '40', '', '', 'W', '', 'W', 'N', 'N', 'F', 'W', 'URM', 'SF', 'SW', 'SW', '11.54', '1.1067', '1', '1.10668', '33200.453125', '33200.453125', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1492', '1', '6', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '3', '1', '31000', '1914', 'URM', 'N', '1991', '31000', 'AC', 'MIN', '', 'LS', 'PB', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'OK', 'OK', '31000', 'G', 'F', 'F', '', '', '', '3', '0', '0', '0', '0', '0', 'C', '180', '70', '180', '70', '38', '40', 'W', '', 'W', 'N', 'N', 'F', 'W', 'URM', 'SF', 'SW', 'SW', '1', '1.0596', '1', '1.05961', '32848.0546875', '32848.0546875', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1493', '7', '12', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '7500', '1926', 'URM', 'N', '1985', '35000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'OK', 'OK', '35000', 'G', 'F', 'F', '', '', '', '4', '0', '0', '0', '0', '0', 'R', '150', '50', '150', '50', '14', '16', 'W', '', 'W', 'N', 'N', 'F', 'W', 'URM', 'SF', 'SW', 'SW', '4.67', '1.2006', '1', '1.20058', '42020.18359375', '42020.18359375', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1494', '7', '12', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '2', '0', '12000', '1932', 'URM', 'N', '1990', '48000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'OK', '48000', 'G', 'F', 'F', '', '', '', '5', '0', '0', '0', '0', '0', 'R', '150', '50', '150', '50', '22', '24', 'W', '', 'W', 'N', 'N', 'G', 'W', 'URM', 'SF', 'SW', 'SW', '4', '1.0788', '1', '1.07883', '51783.86328125', '51783.86328125', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1495', '7', '12', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '7500', '', 'URM', 'N', '1980', '75000', 'AC', 'MIN', '', 'LS', 'BF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'OK', 'OK', '75000', 'G', 'F', 'F', '', '', '', '3', '0', '0', '0', '0', '0', 'R', '150', '50', '150', '50', '14', '16', 'W', '', 'W', 'N', 'N', 'F', 'W', 'URM', 'SF', 'SW', 'SW', '10', '1.5018', '1', '1.5018', '112635.234375', '112635.234375', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1496', '1', '6', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '900', '1873', 'URM', 'Y', '1988', '10000', 'AC', 'MIN', '', 'LS', 'EW', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'OK', 'OK', '10000', 'G', 'F', 'F', '', '', '', '12', '0', '0', '0', '0', '0', 'R', '35', '25', '35', '25', '14', '16', 'W', '', 'W', 'N', 'N', 'F', '', 'URM', 'SF', 'SW', 'SW', '11.11', '1.122', '1', '1.12202', '11220.168945313', '11220.168945313', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1497', '7', '28', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '6700', '1921', 'URM', 'N', '1990', '25000', 'AC', 'MIN', '', 'LS', 'BF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'OK', '25000', 'G', 'F', 'F', '', '', '', '3', '0', '0', '0', '0', '0', 'R', '150', '45', '150', '45', '14', '16', 'W', '', 'W', 'N', 'N', 'F', '', 'URM', 'SF', 'SW', 'SW', '3.73', '1.0788', '1', '1.07883', '26970.76171875', '26970.76171875', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1498', '7', '12', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '6700', '1922', 'URM', 'N', '1986', '60000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'OK', '60000', 'G', 'F', 'F', '', '', '', '5', '0', '0', '0', '0', '0', 'R', '150', '45', '150', '45', '14', '16', 'W', '', 'W', 'N', 'N', 'F', 'W', 'URM', 'SF', 'SW', 'SW', '8.96', '1.174', '1', '1.17398', '70438.984375', '70438.984375', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1499', '7', '11', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '3900', '1928', 'URM', 'N', '1981', '30000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'OK', 'OK', '30000', 'G', 'F', 'F', '', '', '', '7', '0', '0', '0', '0', '0', 'R', '78', '50', '78', '50', '18', '20', 'W', '', 'W', 'N', 'N', 'F', '', 'URM', 'SF', 'SW', 'SW', '7.69', '1.3901', '1', '1.39008', '41702.4296875', '41702.4296875', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1500', '7', '36', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '4600', '1929', 'URM', 'N', '1990', '38000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'OK', 'OK', '38000', 'G', 'F', 'F', '', '', '', '3', '0', '0', '0', '0', '0', 'R', '100', '46', '100', '46', '14', '16', 'W', '', 'W', 'N', 'N', 'F', '', 'URM', 'SF', 'SW', 'SW', '8.26', '1.0788', '1', '1.07883', '40995.55859375', '40995.55859375', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1501', '7', '37', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '3', '1', '28500', '1927', 'URM', 'N', '1989', '80000', 'AC', 'MIN', '', 'LS', 'SD', 'PB', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'OK', 'OK', '80000', 'G', 'F', 'F', '', '', '', '12', '0', '0', '0', '0', '0', 'C', '120', '50', '120', '50', '40', '43', 'W', 'W', 'W', 'N', 'N', 'G', 'W', 'URM', 'SF', 'SW', 'SW', '2.81', '1.1067', '1', '1.10668', '88534.546875', '88534.546875', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1502', '7', '12', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '3', '0', '22500', '1923', 'URM', 'N', '1988', '120000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'OK', 'OK', '120000', 'G', 'F', 'F', '', '', '', '12', '0', '0', '0', '0', '0', 'R', '150', '50', '150', '50', '36', '38', 'W', 'W', 'W', 'N', 'N', 'G', 'W', 'URM', 'SF', 'SW', 'SW', '5.33', '1.122', '1', '1.12202', '134642.03125', '134642.03125', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1503', '7', '12', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '7500', '1925', 'URM', 'N', '1988', '80000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'OK', 'OK', '80000', 'G', 'F', 'F', '', '', '', '9', '0', '0', '0', '0', '0', 'R', '150', '50', '150', '50', '20', '22', 'W', 'FS', 'W', 'N', 'N', 'F', 'W', 'URM', 'SF', 'SW', 'SW', '10.67', '1.122', '1', '1.12202', '89761.3515625', '89761.3515625', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1504', '7', '12', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '2', '0', '10000', '1930', 'URM', 'N', '1991', '150000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'SF', 'WT', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'OK', 'OK', '150000', 'G', 'F', 'F', '', '', '', '14', '0', '0', '0', '0', '0', 'R', '135', '50', '135', '50', '30', '32', 'W', 'W', 'W', 'N', 'N', 'F', 'W', 'URM', 'SF', 'SW', 'SW', '15', '1.0596', '1', '1.05961', '158942.203125', '158942.203125', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1505', '7', '11', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '3400', '1924', 'URM', 'N', '1992', '35000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'OK', '35000', 'G', 'F', 'F', '', '', '', '6', '0', '0', '0', '0', '0', 'R', '75', '45', '75', '45', '16', '18', 'W', '', 'W', 'N', 'N', 'F', 'W', 'URM', 'SF', 'SW', 'SW', '10.29', '1.0286', '1', '1.02858', '36000.3515625', '36000.3515625', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1506', '7', '12', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '3', '0', '17500', '1924', 'URM', 'N', '1981', '100000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'OK', '100000', 'G', 'F', 'F', '', '', '', '12', '0', '0', '0', '0', '0', 'R', '150', '50', '100', '50', '38', '40', 'W', 'W', 'W', 'N', 'N', 'F', 'S', 'URM', 'SF', 'SW', 'SW', '5.71', '1.3901', '1', '1.39008', '139008.109375', '139008.109375', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1507', '7', '12', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '3', '0', '18500', '1918', 'URM', 'N', '1984', '100000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'OK', '100000', 'G', 'F', 'F', '', '', '', '12', '0', '0', '0', '0', '0', 'R', '140', '50', '140', '50', '44', '47', 'W', '', 'W', 'N', 'N', 'F', 'W', 'URM', 'SF', 'SW', 'SW', '5.41', '1.206', '1', '1.20604', '120604.046875', '120604.046875', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1508', '7', '11', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '2', '0', '6200', '1928', 'URM', 'N', '1993', '50000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'OK', '50000', 'G', 'F', 'F', '', '', '', '8', '0', '0', '0', '0', '0', 'R', '78', '40', '78', '40', '30', '32', 'W', 'W', 'W', 'N', 'N', 'F', 'W', 'URM', 'SF', 'SW', 'SW', '8.06', '1', '1', '1', '50000', '50000', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1509', '7', '12', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '7100', '1927', 'URM', 'N', '1990', '50000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'OK', 'OK', '50000', 'G', 'F', 'F', '', '', '', '6', '0', '0', '0', '0', '0', 'R', '145', '48', '145', '48', '15', '17', 'W', '', 'W', 'N', 'N', 'G', 'W', 'URM', 'SF', 'SW', 'SW', '7.04', '1.0788', '1', '1.07883', '53941.5234375', '53941.5234375', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1510', '7', '12', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '7000', '1922', 'URM', 'N', '1992', '50000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'OK', 'OK', '50000', 'G', 'F', 'F', '', '', '', '6', '0', '0', '0', '0', '0', 'R', '140', '50', '140', '50', '16', '18', 'W', '', 'W', 'N', 'N', 'F', 'W', 'URM', 'SF', 'SW', 'SW', '7.14', '1.0286', '1', '1.02858', '51429.07421875', '51429.07421875', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1511', '7', '12', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '2', '0', '7600', '1923', 'URM', 'N', '1990', '25000', 'AC', 'MIN', '', 'LS', 'EF', '', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'OK', 'OK', '25000', 'G', 'F', 'F', '', '', '', '6', '0', '0', '0', '0', '0', 'R', '147', '26', '147', '26', '24', '26', 'W', 'W', 'W', 'N', 'N', 'F', '', 'URM', 'SF', 'SW', 'SW', '3.29', '1.0788', '1', '1.07883', '26970.76171875', '26970.76171875', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1512', '7', '36', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '4900', '1926', 'URM', 'N', '1990', '43000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'OK', 'OK', '43000', 'G', 'F', 'F', '', '', '', '3', '0', '0', '0', '0', '0', 'R', '145', '35', '144', '35', '18', '20', 'W', '', 'W', 'N', 'N', 'F', '', 'URM', 'SF', 'SW', 'SW', '8.78', '1.0788', '1', '1.07883', '46389.7109375', '46389.7109375', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1513', '7', '11', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '3800', '', 'URM', 'N', '1990', '25000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'OK', 'OK', '25000', 'G', 'F', 'F', '', '', '', '3', '0', '0', '0', '0', '0', 'R', '100', '38', '100', '38', '18', '20', 'W', '', 'W', 'N', 'N', 'F', '', 'URM', 'SF', 'SW', 'SW', '6.58', '1.0788', '1', '1.07883', '26970.76171875', '26970.76171875', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1514', '7', '12', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '6500', '1927', 'URM', 'N', '1991', '50000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'OK', '50000', 'G', 'F', 'F', '', '', '', '4', '0', '0', '0', '0', '0', 'R', '145', '45', '145', '45', '15', '17', 'W', '', 'W', 'N', 'N', 'F', 'W', 'URM', 'SF', 'SW', 'SW', '7.69', '1.0596', '1', '1.05961', '52980.734375', '52980.734375', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1515', '7', '11', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '2', '0', '2800', '1931', 'URM', 'N', '1980', '20000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'OK', 'OK', '20000', 'G', 'F', 'F', '', '', '', '12', '0', '0', '0', '0', '0', 'R', '55', '25', '55', '25', '', '', 'W', 'W', 'W', 'N', 'N', 'F', 'W', 'URM', 'SF', 'SW', 'SW', '7.14', '1.5018', '1', '1.5018', '30036.0625', '30036.0625', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1516', '7', '11', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '2', '0', '2900', '1928', 'URM', 'N', '1990', '30000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'OK', 'OK', '30000', 'G', 'F', 'F', '', '', '', '12', '0', '0', '0', '0', '0', 'R', '75', '20', '75', '20', '28', '30', 'W', 'W', 'W', 'N', 'N', 'F', 'W', 'URM', 'SF', 'SW', 'SW', '10.34', '1.0788', '1', '1.07883', '32364.9140625', '32364.9140625', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1517', '7', '12', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '2', '0', '13400', '1923', 'URM', 'N', '1990', '150000', 'AC', 'MIN', '', 'LS', 'SW', 'EF', 'SD', 'PB', 'WT', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'OK', 'OK', '150000', 'G', 'F', 'F', '', '', '', '12', '0', '0', '0', '0', '0', 'R', '145', '46', '145', '46', '34', '36', 'TT', 'W', 'W', 'N', 'N', 'F', 'S', 'URM', 'SF', 'SW', 'SW', '11.19', '1.0788', '1', '1.07883', '161824.578125', '161824.578125', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1518', '7', '12', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '7200', '1923', 'URM', 'N', '1991', '90000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'OK', 'OK', '90000', 'G', 'F', 'F', '', '', '', '8', '0', '0', '0', '0', '0', 'R', '100', '72', '100', '72', '18', '20', 'W', '', 'W', 'N', 'N', 'G', 'W', 'URM', 'SF', 'SW', 'SW', '12.5', '1.0596', '1', '1.05961', '95365.3203125', '95365.3203125', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1519', '7', '12', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '7000', '1923', 'URM', 'N', '1989', '70000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'OK', 'OK', '70000', 'G', 'F', 'F', '', '', '', '12', '0', '0', '0', '0', '0', 'R', '140', '50', '140', '50', '16', '18', 'W', '', 'W', 'N', 'N', 'F', 'W', 'URM', 'SF', 'SW', 'SW', '10', '1.1067', '1', '1.10668', '77467.7265625', '77467.7265625', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1520', '7', '37', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '4', '1', '30500', '1929', 'URM', 'N', '1993', '90000', 'AC', 'MIN', '', 'LS', 'SD', 'PB', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'OK', 'OK', '90000', 'G', 'F', 'F', '', '', '', '5', '0', '0', '0', '0', '0', 'R', '130', '75', '130', '75', '10', '52', 'W', 'W', 'W', 'N', 'N', 'F', '', 'URM', 'SF', 'SW', 'SW', '2.95', '1', '1', '1', '90000', '90000', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1521', '7', '37', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '2', '0', '6200', '1923', 'URM', 'N', '1992', '25000', 'AC', 'MIN', '', 'LS', 'SD', 'PB', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'OK', 'OK', '25000', 'G', 'F', 'F', '', '', '', '6', '0', '0', '0', '0', '0', 'R', '77', '40', '77', '40', '20', '22', 'W', 'W', 'W', 'N', 'N', 'G', 'W', 'URM', 'SF', 'SW', 'SW', '4.03', '1.0286', '1', '1.02858', '25714.537109375', '25714.537109375', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1522', '7', '11', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '5000', '1931', 'URM', 'N', '1989', '40000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'OK', '40000', 'G', 'F', 'F', '', '', '', '7', '0', '0', '0', '0', '0', 'R', '100', '50', '100', '50', '20', '22', 'W', '', 'W', 'N', 'N', 'F', 'W', 'URM', 'SF', 'SW', 'SW', '8', '1.1067', '1', '1.10668', '44267.2734375', '44267.2734375', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1523', '7', '11', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '2700', '1921', 'URM', 'N', '1990', '25000', 'AC', 'MIN', '', 'LS', 'SD', 'PB', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'OK', '25000', 'G', 'F', 'F', '', '', '', '6', '0', '0', '0', '0', '0', 'R', '60', '45', '60', '45', '10', '12', 'W', '', 'W', 'N', 'N', 'F', 'W', 'URM', 'SF', 'SW', 'SW', '9.26', '1.0788', '1', '1.07883', '26970.76171875', '26970.76171875', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1524', '7', '12', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '2', '0', '12100', '1923', 'URM', 'N', '1993', '50000', 'AC', 'MIN', '', 'LS', 'SW', 'EF', 'SD', 'PB', 'WT', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'OK', '50000', 'G', 'F', 'F', '', '', '', '7', '0', '0', '0', '0', '0', 'R', '96', '60', '96', '60', '', '30', 'W', 'W', 'W', 'N', 'N', 'F', '', 'URM', 'SF', 'SW', 'SW', '4.13', '1', '1', '1', '50000', '50000', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1525', '7', '12', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '16600', '1924', 'URM', 'N', '1991', '120000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'OK', '120000', 'G', 'F', 'F', '', '', '', '9', '0', '0', '0', '0', '0', 'R', '120', '100', '120', '100', '20', '22', 'W', '', 'W', 'N', 'N', 'G', 'S', 'URM', 'SF', 'SW', 'SW', '7.23', '1.0596', '1', '1.05961', '127153.7578125', '127153.7578125', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1526', '7', '12', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '2', '0', '10600', '1929', 'URM', 'N', '1986', '100000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'OK', '100000', 'G', 'F', 'F', '', '', '', '9', '0', '0', '0', '0', '0', 'R', '110', '48', '110', '48', '28', '30', 'W', 'W', 'W', 'N', 'N', 'F', 'W', 'URM', 'SF', 'SW', 'SW', '9.43', '1.174', '1', '1.17398', '117398.3125', '117398.3125', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1527', '7', '37', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '3', '0', '11100', '1927', 'URM', 'N', '1993', '45000', 'AC', 'MIN', '', 'LS', 'EF', 'PB', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'OK', 'OK', '45000', 'G', 'F', 'F', '', '', '', '5', '0', '0', '0', '0', '0', 'OT', '95', '50', '95', '50', '15', '42', 'W', 'W', 'W', 'PC', 'N', 'F', 'S', 'URM', 'SF', 'SW', 'SW', '4.05', '1', '1', '1', '45000', '45000', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1528', '7', '11', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '1200', '', 'URM', 'N', '1989', '10000', 'AC', 'MIN', '', 'LS', 'SD', 'PB', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'OK', 'OK', '10000', 'G', 'F', 'F', '', '', '', '3', '0', '0', '0', '0', '0', 'R', '40', '30', '40', '30', '12', '14', 'W', '', 'W', 'N', 'N', 'F', 'W', 'URM', 'SF', 'SW', 'SW', '8.33', '1.1067', '1', '1.10668', '11066.818359375', '11066.818359375', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1529', '7', '11', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '6300', '1930', 'URM', 'N', '1992', '75000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'OK', '75000', 'G', 'F', 'F', '', '', '', '6', '0', '0', '0', '0', '0', 'R', '90', '70', '70', '50', '15', '18', 'W', '', 'W', 'N', 'N', 'F', 'W', 'URM', 'SF', 'SW', 'SW', '11.9', '1.0286', '1', '1.02858', '77143.609375', '77143.609375', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1530', '7', '36', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '2500', '1925', 'URM', 'N', '1992', '10500', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'OK', 'OK', '10500', 'G', 'F', 'F', '', '', '', '4', '0', '0', '0', '0', '0', 'R', '40', '40', '40', '40', '14', '16', 'W', '', 'W', 'N', 'N', 'F', 'W', 'URM', 'SF', 'SW', 'SW', '4.2', '1.0286', '1', '1.02858', '10800.10546875', '10800.10546875', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1531', '7', '36', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '2', '0', '3000', '1923', 'URM', 'N', '1993', '35000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'OK', 'OK', '35000', 'G', 'F', 'F', '', '', '', '3', '0', '0', '0', '0', '0', 'OT', '80', '30', '80', '30', '16', '26', 'W', 'W', 'W', 'N', 'N', 'F', '', 'URM', 'SF', 'SW', 'SW', '11.67', '1', '1', '1', '35000', '35000', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1532', '7', '36', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '3200', '1920', 'URM', 'N', '1992', '17000', 'AC', 'MIN', '', 'LS', 'SD', 'PB', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'OK', 'OK', '17000', 'G', 'F', 'F', '', '', '', '3', '0', '0', '0', '0', '0', 'R', '80', '40', '80', '40', '14', '16', 'W', '', 'W', 'N', 'N', 'F', 'W', 'URM', 'SF', 'SW', 'SW', '5.31', '1.0286', '1', '1.02858', '17485.884765625', '17485.884765625', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1533', '4', '36', 'SANTAMONICABandS', TO_DATE('7/1/1993','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S3', '1', '0', '1000', '1920', 'URM', 'N', '1993', '20000', 'AC', 'MIN', '', 'LS', 'EF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'OK', 'OK', '20000', 'G', 'F', 'F', '', '', '', '2', '0', '0', '0', '0', '0', 'R', '35', '30', '35', '30', '10', '12', 'W', '', 'W', 'N', 'N', 'F', 'W', 'URM', 'SF', 'SW', 'SW', '20', '1', '1', '1', '20000', '20000', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'UCBC (2/3 CURRENT UBC LAT FOR)', '', '');
INSERT INTO buildings VALUES ('1534', '1', '3', 'STANFORD-CROMARTIN', TO_DATE('07/13/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', 'S2', '2', '0', '12105', '1900', 'URM', 'Y', '1991', '1120000', 'AC', 'MIN', '', 'LS', 'SW', 'MF', 'EW', 'SD', 'SF', 'WT', 'N', 'N', 'N', 'Y', 'TR', 'I', 'I', 'NE', 'NE', '640000', 'G', 'G', 'F', '', '', '', '', '', '', '', '', '', 'R', '112', '52', '112', '52', '9.5', '19', 'TT', 'W', 'W', 'M', 'N', 'F', '', 'URM', 'SF', 'SW', 'SW', '52.87', '1.0596', '1', '1.05961', '1186768.375', '678153.375', '0', '0', '0', '0', '0', '0', '0', '0', '9', 'STANFORD CLASS C/STA CLARA URM', '', '');
INSERT INTO buildings VALUES ('1535', '1', '3', 'STANFORD-CROMARTIN', TO_DATE('07/13/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', 'S2', '2', '0', '11400', '1891', 'URM', 'Y', '1991', '904500', 'AC', 'MIN', '', 'LS', 'SW', 'EW', 'SD', 'SF', 'WT', '', 'N', 'N', 'N', 'Y', 'TR', 'I', 'I', 'NE', 'NE', '485000', 'G', 'G', 'F', '', '', '', '', '', '', '', '', '', 'R', '112', '52', '112', '52', '9.5', '19', 'TT', 'S', 'W', 'M', 'N', 'F', 'S', 'URM', 'SF', 'SW', 'SW', '42.54', '1.0596', '1', '1.05961', '958421.4375', '513913.09375', '0', '0', '0', '0', '0', '0', '0', '0', '9', 'STANFORD CLASS C/STA CLARA URM', '', '');
INSERT INTO buildings VALUES ('1536', '18', '54', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', '', '1', '1', '13500', '1957', 'C3', 'N', '1984', '311000', 'S', 'ADD', '', 'IO', 'EW', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '292300', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '188', '163', '', '', '', '', 'S', '', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '21.65', '1.206', '1', '1.20604', '375078.59375', '352525.625', '0', '0', '0', '0', '0', '0', '0', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('1540', '12', '33', 'CULLEY-DMURPHY', TO_DATE('07/28/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S1', '6', '1', '58000', '1927', 'C3', 'N', '1988', '3100000', 'AC', 'COM', '', 'LS', 'SW', 'BF', '', '', '', '', 'Y', 'Y', 'Y', 'Y', 'V', 'I', 'I', 'NE', 'NE', '490000', 'F', 'F', 'F', '', '', '', '', '', '', '', '', '', 'R', '120', '75', '120', '75', '13', '78', 'C', 'C', 'C', 'CW', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '8.45', '1.122', '1', '1.12202', '3478252.5', '549788.3125', '0', '0', '0', '0', '0', '0', '0', '0', '8', '1985 SFBC ', '', '');
INSERT INTO buildings VALUES ('1541', '12', '33', 'CULLEY-DMURPHY', TO_DATE('07/28/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S3', '10', '1', '65000', '1926', 'C3', 'N', '1993', '3500000', 'S', 'ADD', '', 'LS', 'SW', 'SF', '', '', '', '', 'N', 'N', 'Y', 'N', 'V', 'I', 'OK', 'NE', 'NE', '1900000', 'F', 'F', 'F', '', '', '', '', '', '', '', '', '', 'OT', '120', '25', '120', '25', '14', '140', 'C', 'C', 'C', 'CC', 'Y', 'P', 'C', '', 'SF', 'SW', 'SW', '29.23', '1', '1', '1', '3500000', '1900000', '0', '0', '0', '0', '0', '0', '0', '0', '7', '1991 SFBC ', '', '');
INSERT INTO buildings VALUES ('1542', '7', '14', 'CULLEY-DMURPHY', TO_DATE('07/30/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', '', '2', '1', '16000', '', 'S4', 'Y', '1993', '160000', 'AC', 'MIN', '', 'LS', 'MF', '', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'OK', 'NE', 'NE', '160000', 'G', 'F', 'F', '', '', '', '2', '', '', '', '', '', 'R', '90', '60', '90', '60', '14', '34', 'S', 'S', 'C', 'M', 'N', 'F', 'S', '', 'SF', 'SW', 'SW', '10', '1', '1', '1', '160000', '160000', '0', '0', '0', '0', '0', '0', '0', '0', '8', 'SF BUILDING CODE', '', '');
INSERT INTO buildings VALUES ('1543', '7', '21', 'CULLEY-DMURPHY', TO_DATE('07/30/93','MM/DD/YY'), 'MARIN', 'CA', '7', 'S4', '2', '0', '40000', '1967', 'PC1', 'N', '1991', '900000', 'AC', 'COM', '', 'LS', 'BF', 'WT', '', '', '', '', 'N', 'Y', 'Y', 'Y', 'V', 'I', 'OK', 'NE', 'NE', '150000', 'P', 'P', 'F', '', '', '', '', '', '', '', '', '', 'R', '200', '200', '200', '200', '18', '18', 'W', 'FS', 'W', 'PC', 'N', 'F', 'S', 'PC', 'P', 'SW', 'SW', '3.75', '1.0596', '1', '1.05961', '953653.1875', '158942.203125', '0', '0', '0', '0', '0', '0', '0', '0', '8', '1988 UBC', '', '');
INSERT INTO buildings VALUES ('1544', '11', '38', 'CULLEY-DMURPHY', TO_DATE('07/28/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S2', '11', '1', '180000', '1921', 'S5', 'Y', '1993', '4500000', 'S', 'MIN', '', 'LS', 'SW', 'BF', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'NE', 'NE', 'NE', '4500000', 'F', 'F', 'F', '', '', '', '', '', '', '', '', '', 'C', '120', '100', '120', '100', '12', '230', 'S', 'S', 'C', 'M', 'N', 'F', 'S', '', 'P', 'SW', 'SW', '25', '1', '1', '1', '4500000', '4500000', '0', '0', '0', '0', '0', '0', '0', '0', '7', '1991 SFBC ', '', '');
INSERT INTO buildings VALUES ('1545', '7', '19', 'CULLEY-DMURPHY', TO_DATE('07/28/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S4', '6', '1', '70000', '1920', 'RM2', 'N', '1987', '2100000', 'AC', 'ADD', '', 'LS', 'SW', 'BF', '', '', '', '', 'N', 'Y', 'Y', 'Y', 'V', 'I', 'OK', 'OK', 'NE', '400000', 'F', 'P', 'P', '', '', '', '6', '', '', '', '1700000', '', 'R', '150', '75', '150', '75', '14', '80', 'C', 'C', 'C', 'N', 'N', 'P', 'RM', 'RM', 'P', 'SW', 'SW', '5.71', '1.1472', '1', '1.14719', '2409091', '458874.46875', '0', '0', '0', '0', '0', '0', '1950216.5', '0', '7', 'SFBC', '', '');
INSERT INTO buildings VALUES ('1546', '12', '33', 'CULLEY-DMURPHY', TO_DATE('07/14/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S4', '3', '0', '45000', '1920', 'C3', 'N', '1982', '2250000', 'AC', 'COM', '', 'LS', 'SW', '', '', '', '', '', 'N', 'Y', 'Y', 'Y', 'V', 'I', 'OK', 'OK', 'OK', '300000', 'P', 'P', 'P', '', '', '', '8', '', '', '200000', '1600000', '150000', 'R', '120', '120', '120', '120', '14', '42', 'FS', 'FS', 'C', 'N', 'N', 'G', 'C', '', 'P', 'SW', 'SW', '6.67', '1.3048', '1', '1.30483', '2935877.25', '391450.3125', '0', '0', '0', '0', '0', '260966.875', '2087735', '195725.15625', '6', '1979 SFBC ', '', '');
INSERT INTO buildings VALUES ('1547', '1', '2', 'WAYTEBLOHMandASSOC', TO_DATE('07/27/93','MM/DD/YY'), 'VICTORIA', 'BC', '6', 'S1', '2', '1', '37000', '1908', 'URM', 'Y', '1992', '3061000', 'AC', 'COM', '1850', 'LS', 'SW', 'SD', 'PB', 'WT', '', '', '', 'Y', 'Y', 'Y', 'V', 'I', 'I', 'I', 'NE', '946550', 'G', 'G', 'P', '0', '', '', '11', '', '', '', '', '', 'OT', '211', '98', '211', '98', '15', '56', 'W', 'W', 'W', 'N', 'N', 'P', 'C', 'URM', 'SF', 'SW', 'SW', '25.58', '1.0286', '1.02968', '1.05911', '3241949.5', '1002504.8125', '0', '0', '0', '0', '0', '0', '0', '0', '7', '1990 NBCC ', '', '');
INSERT INTO buildings VALUES ('1548', '1', '5', 'WAYTEBLOHMandASSOC', TO_DATE('07/27/93','MM/DD/YY'), 'VICTORIA', 'BC', '6', 'S1', '4', '1', '20325', '1912', 'URM', 'Y', '1993', '1259300', 'AC', 'MIN', '', 'LS', 'SD', 'PB', 'WT', '', '', '', 'N', 'N', 'N', 'Y', 'IP', 'I', 'I', 'NE', 'NE', '832400', 'G', 'G', 'G', '', '', '', '6', '', '', '', '', '', 'C', '233', '135', '233', '135', '41', '', 'W', 'C', 'C', 'M', 'N', 'G', 'URM', 'URM', 'SF', 'SW', 'SW', '40.95', '1', '1.02968', '1.02968', '1296681.75', '857109.4375', '0', '0', '0', '0', '0', '0', '0', '0', '9', '1990 NBCC & 1992 NRC', '', '');
INSERT INTO buildings VALUES ('1549', '12', '32', 'WAYTEBLOHMandASSOC', TO_DATE('07/27/93','MM/DD/YY'), 'VICTORIA', 'BC', '6', 'S1', '1', '0', '7920', '1968', 'C3', 'N', '1993', '785752', 'AC', 'ADD', '', 'LS', 'SW', 'BF', 'WT', '', '', '', '', '', 'Y', 'Y', 'V', 'I', 'I', 'NE', 'NE', '244500', 'G', 'G', 'G', '', '', '', '4', '', '', '', '', '', 'R', '132', '60', '132', '60', '24', '24', 'W', '', 'W', 'M', 'N', 'P', 'C', '', 'SF', 'SW', 'SW', '30.87', '1', '1.02968', '1.02968', '809076.6875', '251757.875', '0', '0', '0', '0', '0', '0', '0', '0', '9', '1990 NBCC ', '', '');
INSERT INTO buildings VALUES ('1550', '10', '23', 'WAYTEBLOHMandASSOC', TO_DATE('07/27/93','MM/DD/YY'), '..IMO', 'BC', '5', 'S1', '2', '1', '16680', '1975', 'S2', 'N', '1991', '1147000', 'AC', 'ADD', '7790', 'LS', 'SW', 'BF', '', '', '', '', '', '', 'Y', '', 'TR', 'I', 'NE', 'NE', 'NE', '250000', 'G', 'G', 'F', '', '', '', '5', '', '', '', '', '', 'OT', '117', '111', '85', '84', '14', '27', 'S', 'S', 'MD', 'CW', 'N', 'G', 'S', 'C', 'SF', 'BF', 'BF', '14.99', '1.0596', '1.02968', '1.09107', '1251456', '272767.21875', '0', '0', '0', '0', '0', '0', '0', '0', '8', '1990 NBCC ', '', '');
INSERT INTO buildings VALUES ('1551', '10', '24', 'WAYTEBLOHMandASSOC', TO_DATE('07/27/93','MM/DD/YY'), '..IMO', 'BC', '5', 'S1', '2', '1', '25000', '1975', 'S2', 'N', '1991', '364000', 'AC', 'ADD', '', 'LS', 'BF', 'SD', '', '', '', '', '', '', 'Y', '', 'TR', 'I', 'NE', 'NE', 'NE', '130000', 'G', 'G', 'G', '', '', '', '7', '', '', '', '', '', 'R', '120', '120', '120', '120', '14', '28', 'S', 'S', 'MDF', 'CW', 'N', 'G', 'S', 'C', 'SF', 'BF', 'BF', '5.2', '1.0596', '1.02968', '1.09107', '397149.0625', '141838.953125', '0', '0', '0', '0', '0', '0', '0', '0', '9', '1990 NBCC ', '', '');
INSERT INTO buildings VALUES ('1552', '10', '24', 'WAYTEBLOHMandASSOC', TO_DATE('07/27/93','MM/DD/YY'), '..IMO', 'BC', '5', '', '2', '1', '12900', '1975', 'S2', 'N', '1991', '203000', 'AC', 'COM', '3750', 'LS', 'BF', 'EF', '', '', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '35000', 'G', 'G', 'G', '', '', '', '5', '', '', '', '', '', 'R', '113.5', '62.5', '97.5', '62.5', '13', '25.5', 'S', 'S', 'MDF', 'CW', 'N', 'G', 'S', 'C', 'SF', 'BF', 'BF', '2.71', '1.0596', '1.02968', '1.09107', '221486.96875', '38187.41015625', '0', '0', '0', '0', '0', '0', '0', '0', '9', '1990 NBCC ', '', '');
INSERT INTO buildings VALUES ('1553', '10', '24', 'WAYTEBLOHMandASSOC', TO_DATE('07/27/93','MM/DD/YY'), '..IMO', 'BC', '5', 'S1', '2', '0', '23370', '1975', 'S2', 'N', '1991', '700000', 'AC', 'ADD', '', 'LS', 'BF', '', '', '', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '80000', 'G', 'G', 'G', '', '', '', '5', '', '', '', '', '', 'L', '146', '110', '92.5', '62', '13', '25.5', 'S', 'S', 'MDF', 'CW', 'N', 'G', 'S', '', 'SF', 'BF', 'BF', '3.42', '1.0596', '1.02968', '1.09107', '763748.1875', '87285.5078125', '0', '0', '0', '0', '0', '0', '0', '0', '9', '1990 NBCC ', '', '');
INSERT INTO buildings VALUES ('1554', '17', '48', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '2', '0', '89500', '1943', 'C2', 'N', '1986', '1880000', 'S', 'MIN', '', 'IO', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'I', 'NE', '1328000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '551000', '', '', '', '', '', '', '', 'C', 'C', 'C', 'N', 'N', 'G', 'C', 'C', 'SF', 'SW', 'SW', '14.84', '1.174', '1', '1.17398', '2207088.25', '1559049.5', '0', '0', '0', '0', '0', '0', '0', '646864.6875', '5', 'VA H08', '', '');
INSERT INTO buildings VALUES ('1555', '9', '23', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '2', '0', '89888', '1943', 'C2', 'N', '1986', '2270000', 'S', 'MIN', '', 'DC', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'I', 'NE', '1580000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '690000', '', '', '', '', '', '', '', 'C', 'C', 'C', 'N', 'N', 'G', 'C', 'C', 'SF', 'SW', 'SW', '17.58', '1.174', '1', '1.17398', '2664941.75', '1854893.25', '0', '0', '0', '0', '0', '0', '0', '810048.3125', '5', 'VA H08', '', '');
INSERT INTO buildings VALUES ('1556', '9', '23', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '40300', '1943', 'C2', 'N', '1986', '120000', 'S', 'MIN', '', 'DC', 'SW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'I', 'NE', '115800', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '4200', '', '', '', '', '', '', '', 'S', '', 'W', 'N', 'N', 'G', '', 'C', 'SF', 'SW', 'SW', '2.87', '1.174', '1', '1.17398', '140877.96875', '135947.25', '0', '0', '0', '0', '0', '0', '0', '4930.72900390625', '5', 'VA H08', '', '');
INSERT INTO buildings VALUES ('1557', '9', '23', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '28000', '1943', 'C2', 'N', '1986', '225000', 'S', 'MIN', '', 'DC', 'SW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'I', 'NE', '127000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '98000', '', '', '', '', '', '', '', 'S', '', 'W', 'N', 'N', 'G', '', 'C', 'SF', 'SW', 'SW', '4.54', '1.174', '1', '1.17398', '264146.1875', '149095.859375', '0', '0', '0', '0', '0', '0', '0', '115050.34375', '5', 'VA H08', '', '');
INSERT INTO buildings VALUES ('1558', '9', '23', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '12400', '1943', 'W2', 'N', '1986', '115000', 'S', 'MIN', '', 'DC', 'SW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'I', 'NE', '107750', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '7250', '', '', '', '', '', '', '', 'W', '', 'W', 'N', 'N', 'G', '', 'W', 'SF', 'SW', 'SW', '8.69', '1.174', '1', '1.17398', '135008.0625', '126496.6796875', '0', '0', '0', '0', '0', '0', '0', '8511.3779296875', '5', 'VA H08', '', '');
INSERT INTO buildings VALUES ('1559', '17', '46', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '3', '1', '36020', '1943', 'C2', 'N', '1986', '1505000', 'S', 'MIN', '', 'IO', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'I', 'NE', '1060000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '445000', '', '', '', '', '', '', '', 'C', 'C', 'C', 'N', 'N', 'G', '', 'C', 'SF', 'SW', 'SW', '29.43', '1.174', '1', '1.17398', '1766844.5', '1244422.125', '0', '0', '0', '0', '0', '0', '0', '522422.46875', '5', 'VA H08', '', '');
INSERT INTO buildings VALUES ('1561', '9', '23', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '7714', '1944', 'W1', 'N', '1986', '150000', 'S', 'MIN', '', 'DC', 'MF', 'EW', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'I', 'NE', '83000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '67000', '', '', '', '', '', '', '', 'W', '', 'W', 'N', 'N', 'G', '', 'W', 'SF', 'SW', 'SW', '10.76', '1.174', '1', '1.17398', '176097.46875', '97440.59375', '0', '0', '0', '0', '0', '0', '0', '78656.8671875', '5', 'VA H08', '', '');
INSERT INTO buildings VALUES ('1562', '9', '23', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '4620', '1944', 'W1', 'N', '1986', '140000', 'S', 'MIN', '', 'DC', 'SW', 'EW', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'I', 'NE', '105700', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '34300', '', '', '', '', '', '', '', 'W', '', 'W', 'N', 'N', 'G', '', 'W', 'SF', 'SW', 'SW', '22.88', '1.174', '1', '1.17398', '164357.640625', '124090.015625', '0', '0', '0', '0', '0', '0', '0', '40267.62109375', '5', 'VA H08', '', '');
INSERT INTO buildings VALUES ('1563', '9', '23', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '13600', '1943', 'W2', 'N', '1986', '165000', 'S', 'MIN', '', 'DC', 'SW', 'EW', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'I', 'NE', '109500', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '55500', '', '', '', '', '', '', '', 'W', '', 'W', 'N', 'N', 'G', '', 'W', 'SF', 'SW', 'SW', '8.05', '1.174', '1', '1.17398', '193707.21875', '128551.1484375', '0', '0', '0', '0', '0', '0', '0', '65156.0625', '5', 'VA H08', '', '');
INSERT INTO buildings VALUES ('1564', '17', '50', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '9', '1', '352570', '1967', 'C2', 'N', '1986', '11200000', 'S', 'MIN', '', 'IO', 'SW', 'EW', 'EF', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'I', 'NE', '7495000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '3705000', '', '', '', '', '', '', '', 'C', 'C', 'C', 'N', 'N', 'G', '', 'C', 'SF', 'SW', 'SW', '21.26', '1.174', '1', '1.17398', '13148611', '8799003', '0', '0', '0', '0', '0', '0', '0', '4349607.5', '5', 'VA H08', '', '');
INSERT INTO buildings VALUES ('1565', '9', '23', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '2', '0', '25200', '1944', 'W2', 'N', '1986', '258000', 'S', 'MIN', '', 'DC', 'SW', 'EW', 'SD', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'OK', 'NE', '258000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', 'W', 'W', 'N', 'N', 'G', '', 'W', 'SF', 'SW', 'SW', '10.24', '1.174', '1', '1.17398', '302887.625', '302887.625', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H08', '', '');
INSERT INTO buildings VALUES ('1566', '4', '27', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '768', '1960', 'URM', 'N', '1986', '16000', 'S', 'MIN', '', 'DC', 'MF', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'OK', 'NE', '16000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', '', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '20.83', '1.174', '1', '1.17398', '18783.73046875', '18783.73046875', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H08', '', '');
INSERT INTO buildings VALUES ('1567', '17', '50', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '2', '0', '92188', '1966', 'C2', 'N', '1986', '25450', 'S', 'MIN', '', 'IO', 'PB', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'OK', 'I', 'OK', 'NE', '25450', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', 'C', 'C', 'N', 'N', 'G', '', 'C', 'SF', 'SW', 'SW', '0.28', '1.174', '1', '1.17398', '29877.869140625', '29877.869140625', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H08', '', '');
INSERT INTO buildings VALUES ('1568', '4', '35', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '160', '1977', 'RM1', 'N', '1986', '4450', 'S', 'MIN', '', 'DC', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'I', 'NE', '3150', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '1300', '', '', '', '', '', '', '', 'S', '', 'MD', 'N', 'N', 'G', '', 'RM', 'SF', 'SW', 'SW', '19.69', '1.174', '1', '1.17398', '5224.224609375', '3698.046875', '0', '0', '0', '0', '0', '0', '0', '1526.17797851563', '5', 'VA H08', '', '');
INSERT INTO buildings VALUES ('1569', '4', '35', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '400', '1977', 'RM1', 'N', '1986', '7700', 'S', 'MIN', '', 'DC', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'OK', 'NE', '7700', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'S', '', 'MD', 'N', 'N', 'G', '', 'RM', 'SF', 'SW', 'SW', '19.25', '1.174', '1', '1.17398', '9039.669921875', '9039.669921875', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H08', '', '');
INSERT INTO buildings VALUES ('1570', '16', '48', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'DOUGLAS', 'OR', '1', 'S1', '5', '0', '111721', '1932', 'C3', 'N', '1975', '1075045', 'S', 'MIN', '', 'IO', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'I', 'NE', '1032045', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '43000', '', '', '', '', '', '', '', 'C', 'C', 'C', 'N', '', '', 'C', '', 'SF', 'SW', 'SW', '9.24', '2.232', '1.1269', '2.51526', '2704013', '2595857', '0', '0', '0', '0', '0', '0', '0', '108155.984375', '5', 'UBC 1970', '', '');
INSERT INTO buildings VALUES ('1571', '16', '48', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'DOUGLAS', 'OR', '1', 'S1', '3', '0', '76732', '1932', 'C3', 'N', '1975', '760085', 'S', 'MIN', '', 'IO', 'SW', 'EW', 'WT', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'I', 'NE', '724485', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '35600', '', '', '', '', '', '', '', 'C', 'C', 'C', 'N', '', '', 'C', '', 'SF', 'SW', 'SW', '9.44', '2.232', '1.1269', '2.51526', '1911808', '1822264.875', '0', '0', '0', '0', '0', '0', '0', '89543.09375', '5', 'UBC 1970', '', '');
INSERT INTO buildings VALUES ('1572', '12', '32', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'DOUGLAS', 'OR', '1', 'S1', '1', '0', '12315', '1932', 'C3', 'N', '1975', '103195', 'S', 'MIN', '', 'DC', 'SW', 'EW', 'WT', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'I', 'NE', '96080', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '7115', '', '', '', '', '', '', '', 'C', '', 'C', 'N', '', '', 'C', '', 'SF', 'SW', 'SW', '7.8', '2.232', '1.1269', '2.51526', '259561.796875', '241665.75', '0', '0', '0', '0', '0', '0', '0', '17896.04296875', '5', 'UBC 1970', '', '');
INSERT INTO buildings VALUES ('1573', '11', '26', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'DOUGLAS', 'OR', '1', 'S1', '1', '0', '17968', '1937', 'S5', 'N', '1975', '198790', 'S', 'MIN', '', 'DC', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'I', 'NE', '194640', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '4150', '', '', '', '', '', '', '', 'S', '', 'MD', 'N', '', '', 'S', '', 'SF', 'SW', 'SW', '10.83', '2.232', '1.1269', '2.51526', '500007.65625', '489569.34375', '0', '0', '0', '0', '0', '0', '0', '10438.310546875', '5', 'UBC 1970', '', '');
INSERT INTO buildings VALUES ('1574', '20', '56', 'DEGENKOLB', TO_DATE('08/10/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', 'S2', '1', '0', '12096', '1963', 'W1', 'N', '1993', '625400', 'S', 'ADD', '', 'IO', 'SW', 'SF', '', '', '', '', 'N', 'N', 'Y', 'N', '', 'I', 'NE', 'I', 'NE', '41000', 'G', 'F', 'P', '', '', '', '', '', '', '', '349300', '', '', '', '', '', '', '', '', 'W', '', 'W', 'S', 'N', 'G', 'W', 'W', 'SF', 'SW', 'SW', '3.39', '1', '1', '1', '625400', '41000', '0', '0', '0', '0', '0', '0', '349300', '0', '7', 'TITLE 24', '', '');
INSERT INTO buildings VALUES ('1575', '9', '22', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '8787', '', 'C2', 'N', '1989', '55900', 'S', 'MIN', '', 'DC', 'SD', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'OK', 'NE', '55900', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'L', '161', '131', '161', '131', '', '', 'S', '', 'MD', 'N', '', '', '', 'C', 'SF', 'SW', 'SW', '6.36', '1.1067', '1', '1.10668', '61863.515625', '61863.515625', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'VA H08', '', '');
INSERT INTO buildings VALUES ('1576', '12', '32', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '8685', '1944', 'C3', 'N', '1989', '37888', 'S', 'MIN', '', 'DC', 'EW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'I', 'NE', '34957', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '2931', '', '', '', '', '', '', '', 'C', '', 'C', 'N', '', '', 'C', '', 'SF', 'SW', 'SW', '4.02', '1.1067', '1', '1.10668', '41929.9609375', '38686.27734375', '0', '0', '0', '0', '0', '0', '0', '3243.68432617188', '6', 'VA H08', '', '');
INSERT INTO buildings VALUES ('1577', '20', '56', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '2', '0', '10080', '', 'W1', 'N', '1989', '338562', 'S', 'MIN', '', 'IO', 'EW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'I', 'NE', '290439', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '48123', '', '', '', '', '', '', '', 'W', 'W', 'W', 'N', '', '', 'W', 'W', 'SF', 'SW', 'SW', '28.81', '1.1067', '1', '1.10668', '374680.40625', '321423.5625', '0', '0', '0', '0', '0', '0', '0', '53256.84765625', '6', 'VA H08', '', '');
INSERT INTO buildings VALUES ('1578', '9', '23', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '3234', '', 'W1', 'N', '1989', '7629', 'S', 'MIN', '', 'DC', 'EW', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'OK', 'NE', '7629', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '126', '25', '126', '25', '', '', 'W', '', 'W', 'N', '', '', '', 'W', 'SF', 'SW', 'SW', '2.36', '1.1067', '1', '1.10668', '8442.8759765625', '8442.8759765625', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'VA H08', '', '');
INSERT INTO buildings VALUES ('1579', '9', '23', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '6648', '', 'W1', 'N', '1989', '27671', 'S', 'MIN', '', 'DC', 'SW', 'EW', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'OK', 'NE', '27671', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '128', '98', '128', '98', '', '', 'W', '', 'W', 'N', '', '', '', 'W', 'SF', 'SW', 'SW', '4.16', '1.1067', '1', '1.10668', '30622.9921875', '30622.9921875', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'VA H08', '', '');
INSERT INTO buildings VALUES ('1580', '9', '23', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '1', '14281', '', 'C2', 'N', '1989', '59751', 'S', 'MIN', '', 'DC', 'BF', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'OK', 'NE', '59751', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '150', '130', '150', '130', '', '', 'S', '', 'MD', 'N', '', '', '', 'C', 'SF', 'SW', 'SW', '4.18', '1.1067', '1', '1.10668', '66125.34375', '66125.34375', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'VA H08', '', '');
INSERT INTO buildings VALUES ('1581', '4', '35', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '219', '1948', 'C2', 'N', '1989', '8746', 'S', 'MIN', '', 'DC', 'SF', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'OK', 'NE', '8746', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '17.5', '12.5', '17.5', '12.5', '', '', 'C', '', 'C', 'N', '', '', 'C', 'C', 'SF', 'SW', 'SW', '39.94', '1.1067', '1', '1.10668', '9679.0390625', '9679.0390625', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'VA H08', '', '');
INSERT INTO buildings VALUES ('1582', '9', '22', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '32700', '1948', 'S3', 'N', '1989', '70047', 'S', 'MIN', '', 'DC', 'EF', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'I', 'NE', '32210', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '37837', 'R', '327', '100', '327', '100', '', '', 'S', '', 'MD', 'N', '', '', 'S', '', 'SF', 'BF', 'MF', '0.99', '1.1067', '1', '1.10668', '77519.7421875', '35646.22265625', '0', '0', '0', '0', '0', '0', '0', '41873.51953125', '6', 'VA H08', '', '');
INSERT INTO buildings VALUES ('1583', '9', '22', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '4187', '', 'W1', 'N', '1989', '15829', 'S', 'MIN', '', 'DC', 'SD', 'SF', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'OK', 'NE', '11465', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '4364', 'R', '115', '36', '115', '36', '', '', 'W', '', 'W', 'N', '', '', '', 'W', 'SF', 'SW', 'SW', '2.74', '1.1067', '1', '1.10668', '17517.666015625', '12688.107421875', '0', '0', '0', '0', '0', '0', '0', '4829.5595703125', '6', 'VA H08', '', '');
INSERT INTO buildings VALUES ('1584', '9', '23', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '2', '1', '66824', '1950', 'C2', 'N', '1989', '509356', 'S', 'MIN', '', 'DC', 'SW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'OK', 'NE', '462297', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '47059', '', '', '', '', '', '', '', 'C', 'C', 'C', 'N', '', '', '', 'C', 'SF', 'SW', 'SW', '6.92', '1.1067', '1', '1.10668', '563695', '511615.6875', '0', '0', '0', '0', '0', '0', '0', '52079.33984375', '6', 'VA H08', '', '');
INSERT INTO buildings VALUES ('1585', '9', '24', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '1', '2643', '1950', 'S3', 'N', '1989', '85500', 'S', 'MIN', '', 'DC', 'EW', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'OK', 'NE', '85500', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '57', '41', '57', '41', '', '', 'S', '', 'MDF', 'N', '', '', 'S', '', 'SF', 'BF', 'MF', '32.35', '1.1067', '1', '1.10668', '94621.296875', '94621.296875', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'VA H08', '', '');
INSERT INTO buildings VALUES ('1586', '4', '23', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'SANMATEO', 'CA', '7', '', '1', '0', '960', '1950', 'W1', 'N', '1987', '44384', 'S', 'MIN', '', 'DC', 'EW', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'NE', 'NE', 'NE', '44384', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', '', '', '', 'W', 'SF', 'SW', 'SW', '46.23', '1.1472', '1', '1.14719', '50916.7109375', '50916.7109375', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'VA H08', '', '');
INSERT INTO buildings VALUES ('1587', '4', '23', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'SANMATEO', 'CA', '7', '', '1', '0', '912', '1950', 'W1', 'N', '1987', '29000', 'S', 'MIN', '', 'DC', 'EW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'NE', 'NE', 'NE', '29000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', '', '', '', 'W', 'SF', 'SW', 'SW', '31.8', '1.1472', '1', '1.14719', '33268.3984375', '33268.3984375', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'VA H08', '', '');
INSERT INTO buildings VALUES ('1588', '20', '56', 'DEGENKOLB', TO_DATE('08/10/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', 'S2', '1', '0', '12252', '1963', 'W1', 'N', '1993', '665200', 'S', 'ADD', '', 'IO', 'SW', 'SF', '', '', '', '', 'N', 'N', 'Y', 'N', 'V', 'I', 'NE', 'I', 'NE', '30000', 'G', 'F', 'F', '', '', '', '', '', '', '', '360100', '', '', '', '', '', '', '', '', 'W', '', 'W', 'S', 'N', 'G', 'W', 'W', 'SF', 'SW', 'SW', '2.45', '1', '1', '1', '665200', '30000', '0', '0', '0', '0', '0', '0', '360100', '0', '8', 'TITLE 24', '', '');
INSERT INTO buildings VALUES ('1589', '12', '33', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'SANMATEO', 'CA', '7', '', '4', '0', '70442', '1922', 'C3', 'N', '1988', '3636250', 'S', 'MIN', '', 'DC', 'EW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'NE', 'I', 'NE', '2571620', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '1064630', '', '', '', '', '', '', '', 'C', 'C', 'C', 'N', '', '', 'C', '', 'SF', 'SW', 'SW', '36.51', '1.122', '1', '1.12202', '4079934', '2885401', '0', '0', '0', '0', '0', '0', '0', '1194532.875', '6', 'VA H08', '', '');
INSERT INTO buildings VALUES ('1590', '17', '48', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'SANMATEO', 'CA', '7', '', '3', '0', '53412', '1937', 'C2', 'N', '1988', '1253500', 'S', 'MIN', '', 'IO', 'EW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'I', 'NE', '469900', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '783600', '', '', '', '', '', '', '', 'C', 'C', 'C', 'N', '', '', '', 'C', 'SF', 'SW', 'SW', '8.8', '1.122', '1', '1.12202', '1406448.25', '527235.75', '0', '0', '0', '0', '0', '0', '0', '879212.4375', '6', 'VA H08', '', '');
INSERT INTO buildings VALUES ('1591', '12', '33', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'SANMATEO', 'CA', '7', '', '3', '0', '49935', '1926', 'C3', 'N', '1988', '2260200', 'S', 'MIN', '', 'DC', 'SW', 'EW', 'SF', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'I', 'NE', '1647500', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '612700', '', '', '', '', '', '', '', 'C', 'C', 'C', 'N', '', '', 'C', '', 'SF', 'SW', 'SW', '32.99', '1.122', '1', '1.12202', '2535982.5', '1848522.875', '0', '0', '0', '0', '0', '0', '0', '687459.75', '6', 'VA H08', '', '');
INSERT INTO buildings VALUES ('1592', '9', '23', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'SANMATEO', 'CA', '7', '', '1', '0', '3485', '', 'W2', 'N', '1987', '87000', 'S', 'MIN', '', 'DC', 'SW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'NE', 'NE', 'NE', '87000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'TT', '', 'MD', 'N', '', '', '', 'W', 'SF', 'SW', 'SW', '24.96', '1.1472', '1', '1.14719', '99805.1953125', '99805.1953125', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'VA H08', '', '');
INSERT INTO buildings VALUES ('1593', '9', '27', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'SANMATEO', 'CA', '7', '', '1', '0', '1800', '1922', 'URM', 'N', '1987', '138900', 'S', 'MIN', '', 'DC', 'EW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'NE', 'NE', 'NE', '138900', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', '', '', '', 'URM', 'SF', 'SW', 'SW', '77.17', '1.1472', '1', '1.14719', '159344.15625', '159344.15625', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'VA H08', '', '');
INSERT INTO buildings VALUES ('1594', '9', '27', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'SANMATEO', 'CA', '7', '', '1', '0', '2120', '1924', 'URM', 'N', '1987', '130900', 'S', 'MIN', '', 'DC', 'EW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'NE', 'NE', 'NE', '130900', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', '', '', '', 'URM', 'SF', 'SW', 'SW', '61.75', '1.1472', '1', '1.14719', '150166.671875', '150166.671875', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'VA H08', '', '');
INSERT INTO buildings VALUES ('1595', '9', '22', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'SANMATEO', 'CA', '7', '', '1', '0', '2760', '1929', 'C2', 'N', '1987', '93200', 'S', 'MIN', '', 'DC', 'SD', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'NE', 'NE', 'NE', '93200', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', '', '', '', 'C', 'SF', 'SW', 'SW', '33.77', '1.1472', '1', '1.14719', '106917.75', '106917.75', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'VA H08', '', '');
INSERT INTO buildings VALUES ('1597', '12', '33', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'BER LILLO', 'NM', '3', 'S1', '2', '0', '66870', '1932', 'C3', 'N', '1977', '3660000', 'S', 'MIN', '', 'DC', 'SW', 'SF', 'PB', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'I', '2800000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '766000', '', '320', '110', '320', '110', '', '', 'C', 'C', 'C', 'N', 'N', '', 'C', '', 'SF', 'SW', 'SW', '41.87', '1.8867', '1.25', '2.35841', '8631796', '6603560', '0', '0', '0', '0', '0', '0', '0', '1806545.25', '5', 'VA H08', '', '');
INSERT INTO buildings VALUES ('1598', '11', '25', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'BER LILLO', 'NM', '3', 'S1', '1', '0', '15357', '1932', 'S5', 'N', '1977', '282000', 'S', 'MIN', '', 'DC', 'SW', 'MF', 'EW', 'PB', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'I', '244500', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '37590', '', '', '', '', '', '', '', 'TT', '', 'C', 'N', 'N', '', 'S', '', 'SF', 'SW', 'SW', '15.92', '1.8867', '1.25', '2.35841', '665072.8125', '576632.25', '0', '0', '0', '0', '0', '0', '0', '88652.7890625', '5', 'VA H08', '', '');
INSERT INTO buildings VALUES ('1599', '12', '32', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'BER LILLO', 'NM', '3', 'S1', '2', '0', '23825', '1932', 'C3', 'N', '1977', '301000', 'S', 'MIN', '', 'DC', 'EW', 'PB', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'I', '135289', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '165714', 'OT', '145', '104', '145', '104', '13', '26', 'C', 'C', 'C', 'N', 'N', 'G', 'C', '', '', 'SW', 'SW', '5.68', '1.8867', '1.25', '2.35841', '709882.6875', '319067.5', '0', '0', '0', '0', '0', '0', '0', '390822.25', '5', 'VA H08', '', '');
INSERT INTO buildings VALUES ('1600', '11', '25', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'BER LILLO', 'NM', '3', 'S1', '1', '0', '5434', '1932', 'S5', 'N', '1977', '163000', 'S', 'MIN', '', 'DC', 'SW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'OK', '163000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', 'N', '', 'S', '', 'SF', 'SW', 'SW', '30', '1.8867', '1.25', '2.35841', '384421.53125', '384421.53125', '0', '0', '0', '0', '0', '0', '0', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('1601', '9', '28', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'BER LILLO', 'NM', '3', 'S1', '1', '0', '7574', '1932', 'URM', 'N', '1977', '133000', 'S', 'MIN', '', 'DC', 'SW', 'EW', 'WT', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'I', '110459', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '23026', 'R', '181', '42', '181', '42', '', '', 'C', '', 'C', 'N', 'N', '', '', 'URM', 'SF', 'SW', 'SW', '14.58', '1.8867', '1.25', '2.35841', '313669.09375', '260508.078125', '0', '0', '0', '0', '0', '0', '0', '54304.84765625', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1602', '9', '23', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'BER LILLO', 'NM', '3', 'S1', '2', '0', '6675', '1932', 'S2', 'N', '1977', '43200', 'S', 'MIN', '', 'DC', 'BF', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'I', '19866', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '23329', 'R', '86', '49', '86', '49', '', '', 'S', 'S', 'MD', 'CW', 'N', '', 'S', '', 'SF', 'BF', 'BF', '2.98', '1.8867', '1.25', '2.35841', '101883.4921875', '46852.2578125', '0', '0', '0', '0', '0', '0', '0', '55019.4453125', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1603', '12', '32', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'BER LILLO', 'NM', '3', 'S1', '2', '1', '15669', '1932', 'C3', 'N', '1977', '629000', 'S', 'MIN', '', 'DC', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'I', '341385', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '287365', 'R', '184', '43', '184', '43', '', '', 'C', 'C', 'C', 'N', 'N', '', 'C', '', 'SF', 'SW', 'SW', '21.79', '1.8867', '1.25', '2.35841', '1483442.5', '805127.25', '0', '0', '0', '0', '0', '0', '0', '677725.6875', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1604', '9', '23', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'BER LILLO', 'NM', '3', 'S1', '4', '1', '75600', '1951', 'C2', 'N', '1977', '2024000', 'S', 'MIN', '', 'DC', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'I', '508138', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '1515750', 'R', '210', '44', '210', '44', '11', '45', 'C', 'C', 'C', 'N', 'N', '', '', 'C', 'SF', 'SW', 'SW', '6.72', '1.8867', '1.25', '2.35841', '4773430.5', '1198399.875', '0', '0', '0', '0', '0', '0', '0', '3574766.25', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1605', '9', '27', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'BER LILLO', 'NM', '3', 'S1', '1', '0', '3700', '1938', 'URM', 'N', '1977', '67650', 'S', 'MIN', '', 'DC', 'SW', 'EW', 'SD', 'WT', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'OK', '67650', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', 'N', 'P', 'W', 'URM', 'SF', 'SW', 'SW', '18.28', '1.8867', '1.25', '2.35841', '159546.71875', '159546.71875', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1606', '4', '27', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'BER LILLO', 'NM', '3', 'S1', '1', '0', '1140', '1938', 'URM', 'N', '1977', '20850', 'S', 'MIN', '', 'DC', 'SW', 'EW', 'SD', 'WT', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'OK', '20850', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', 'N', 'P', 'W', 'URM', 'SF', 'SW', 'SW', '18.29', '1.8867', '1.25', '2.35841', '49172.9375', '49172.9375', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1610', '16', '48', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'PIERCE', 'WA', '5', '', '2', '1', '51300', '1920', 'C3', 'N', '1974', '608800', 'S', 'MIN', '', 'IO', 'SW', 'EW', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'I', '351932', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '256868', '', '140', '102', '140', '102', '', '', 'W', 'C', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '6.86', '2.4191', '1.10228', '2.66652', '1623378', '938434.0625', '0', '0', '0', '0', '0', '0', '0', '684943.9375', '5', '1970 UBC', '', '');
INSERT INTO buildings VALUES ('1611', '16', '47', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'PIERCE', 'WA', '5', '', '2', '0', '23000', '1920', 'C3', 'N', '1974', '465500', 'S', 'MIN', '', 'IO', 'SW', 'EW', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'I', '392904', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '72596', '', '', '', '', '', '', '', 'W', 'C', 'C', 'N', 'Y', 'P', 'C', '', 'SF', 'SW', 'SW', '17.08', '2.4191', '1.10228', '2.66652', '1241265.5', '1047686.75', '0', '0', '0', '0', '0', '0', '0', '193578.75', '5', '1970 UBC', '', '');
INSERT INTO buildings VALUES ('1612', '16', '47', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'PIERCE', 'WA', '5', '', '1', '0', '9500', '1920', 'C3', 'N', '1974', '220400', 'S', 'MIN', '', 'IO', 'SW', 'EW', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'I', '151579', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '68821', '', '', '', '', '', '', '', 'W', '', 'C', 'N', '', 'P', 'C', '', 'SF', 'SW', 'SW', '15.96', '2.4191', '1.10228', '2.66652', '587701.25', '404188.59375', '0', '0', '0', '0', '0', '0', '0', '183512.640625', '5', 'UBC 1970', '', '');
INSERT INTO buildings VALUES ('1613', '16', '47', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'PIERCE', 'WA', '5', '', '2', '0', '22300', '1920', 'C3', 'N', '1974', '355900', 'S', 'MIN', '', 'IO', 'SW', 'EW', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'I', '283953', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '71947', '', '', '', '', '', '', '', 'W', 'C', 'C', 'N', '', 'P', 'C', '', 'SF', 'SW', 'SW', '12.73', '2.4191', '1.10228', '2.66652', '949014.8125', '757166.625', '0', '0', '0', '0', '0', '0', '0', '191848.1875', '5', 'UBC 1970', '', '');
INSERT INTO buildings VALUES ('1614', '16', '47', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'PIERCE', 'WA', '5', '', '2', '0', '21900', '1920', 'C3', 'N', '1974', '311900', 'S', 'MIN', '', 'IO', 'SW', 'EW', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'I', '257878', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '54022', '', '', '', '', '', '', '', 'W', 'C', 'C', 'N', '', 'G', 'C', '', 'SF', 'SW', 'SW', '11.78', '2.4191', '1.10228', '2.66652', '831687.875', '687637.125', '0', '0', '0', '0', '0', '0', '0', '144050.796875', '5', 'UBC 1970', '', '');
INSERT INTO buildings VALUES ('1615', '12', '32', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'PIERCE', 'WA', '5', '', '2', '0', '25800', '1920', 'C3', 'N', '1974', '361000', 'S', 'MIN', '', 'DC', 'SW', 'EW', 'SD', 'WT', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'I', '317767', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '43300', '', '', '', '', '', '', '', 'C', 'C', 'C', 'N', '', 'P', 'C', '', 'SF', 'SW', 'SW', '12.32', '2.4191', '1.10228', '2.66652', '962614.0625', '847332.375', '0', '0', '0', '0', '0', '0', '0', '115460.359375', '5', 'UBC 1970', '', '');
INSERT INTO buildings VALUES ('1616', '16', '56', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'PIERCE', 'WA', '5', '', '3', '0', '16600', '1920', 'W2', 'N', '1974', '272900', 'S', 'MIN', '', 'IO', 'SW', 'EW', 'WT', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'NE', 'NE', 'I', '244371', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '28500', '', '', '', '', '', '', '', 'W', 'W', 'W', 'N', '', 'G', 'W', 'W', 'SF', 'SW', 'SW', '14.72', '2.4191', '1.10228', '2.66652', '727693.5625', '651620.375', '0', '0', '0', '0', '0', '0', '0', '75995.8515625', '5', 'UBC 1970', '', '');
INSERT INTO buildings VALUES ('1617', '9', '28', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'PIERCE', 'WA', '5', '', '2', '0', '10900', '1920', 'URM', 'N', '1974', '142914', 'S', 'MIN', '', 'DC', 'EW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'OK', '142914', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'TT', 'C', 'W', 'N', '', 'G', '', 'URM', 'SF', 'SW', 'SW', '13.11', '2.4191', '1.10228', '2.66652', '381083.1875', '381083.1875', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'UBC 1970', '', '');
INSERT INTO buildings VALUES ('1618', '9', '27', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'PIERCE', 'WA', '5', '', '2', '0', '3300', '1922', 'URM', 'N', '1973', '35170', 'S', 'MIN', '', 'DC', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'OK', '35770', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', '', 'P', '', 'URM', 'SF', 'SW', 'SW', '10.84', '2.5615', '1.10228', '2.82351', '99302.953125', '100997.0625', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'UBC 1970', '', '');
INSERT INTO buildings VALUES ('1619', '12', '32', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'PIERCE', 'WA', '5', '', '2', '0', '5900', '1922', 'C3', 'N', '1973', '61400', 'S', 'MIN', '', 'DC', 'SW', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'I', 'NE', '47200', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '14200', '', '', '', '', '', '', '', 'C', 'C', 'C', 'N', '', 'G', 'C', '', 'SF', 'SW', 'SW', '8', '2.5615', '1.10228', '2.82351', '173363.703125', '133269.8125', '0', '0', '0', '0', '0', '0', '0', '40093.88671875', '5', 'UBC 1970', '', '');
INSERT INTO buildings VALUES ('1620', '12', '32', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'PIERCE', 'WA', '5', '', '2', '0', '6600', '1922', 'C3', 'N', '1973', '68600', 'S', 'MIN', '', 'DC', 'SW', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'NE', 'I', 'NE', '53077', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '15500', '', '', '', '', '', '', '', 'C', 'C', 'C', 'N', '', 'G', 'C', '', 'SF', 'SW', 'SW', '8.04', '2.5615', '1.10228', '2.82351', '193693', '149863.609375', '0', '0', '0', '0', '0', '0', '0', '43764.453125', '5', 'UBC 1970', '', '');
INSERT INTO buildings VALUES ('1621', '9', '28', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'PIERCE', 'WA', '5', '', '1', '0', '21300', '1920', 'URM', 'N', '1974', '229473', 'S', 'MIN', '', 'DC', 'SW', 'EW', 'SD', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '229473', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', '', 'C', 'N', '', 'P', 'C', 'URM', 'SF', 'SW', 'SW', '10.77', '2.4191', '1.10228', '2.66652', '611894.5625', '611894.5625', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'UBC 1970', '', '');
INSERT INTO buildings VALUES ('1622', '9', '28', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'PIERCE', 'WA', '5', '', '1', '0', '14100', '1920', 'URM', 'N', '1974', '90700', 'S', 'MIN', '', 'DC', 'BF', 'EW', 'WT', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'I', 'NE', '84114', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '6500', '', '', '', '', '', '', '', 'C', '', 'C', 'N', 'N', 'P', 'C', 'URM', 'SF', 'SW', 'SW', '5.97', '2.4191', '1.10228', '2.66652', '241853.453125', '224291.75', '0', '0', '0', '0', '0', '0', '0', '17332.38671875', '5', 'UBC 1970', '', '');
INSERT INTO buildings VALUES ('1623', '9', '27', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'PIERCE', 'WA', '5', '', '1', '0', '3540', '1920', 'URM', 'N', '1974', '58275', 'S', 'MIN', '', 'DC', 'EW', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'OK', 'NE', '58275', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', '', 'C', 'N', '', 'G', 'S', 'URM', 'SF', 'SW', 'SW', '16.46', '2.4191', '1.10228', '2.66652', '155391.515625', '155391.515625', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'UBC 1970', '', '');
INSERT INTO buildings VALUES ('1624', '16', '47', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'PIERCE', 'WA', '5', '', '3', '0', '44200', '1931', 'C3', 'N', '1974', '693700', 'S', 'MIN', '', 'IO', 'SW', 'EW', 'WT', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'I', 'NE', '540551', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '153149', '', '', '', '', '', '', '', 'W', 'C', 'C', 'M', '', 'G', 'C', '', 'SF', 'SW', 'SW', '12.23', '2.4191', '1.10228', '2.66652', '1849765.625', '1441390.625', '0', '0', '0', '0', '0', '0', '0', '408375.03125', '5', 'UBC 1970', '', '');
INSERT INTO buildings VALUES ('1625', '16', '48', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'PIERCE', 'WA', '5', '', '4', '0', '75000', '1945', 'C3', 'N', '1974', '1024306', 'S', 'MIN', '', 'IO', 'SW', 'EW', 'WT', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'I', 'NE', '771230', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '253706', '', '', '', '', '', '', '', 'W', 'C', 'C', 'M', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '10.28', '2.4191', '1.10228', '2.66652', '2731333.5', '2056501', '0', '0', '0', '0', '0', '0', '0', '676512.375', '5', '1970 UBC', '', '');
INSERT INTO buildings VALUES ('1626', '9', '28', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'PIERCE', 'WA', '5', '', '1', '0', '4900', '1922', 'URM', 'N', '1973', '33200', 'S', 'MIN', '', 'DC', 'EW', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'I', 'NE', '20441', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '12700', '', '', '', '', '', '', '', 'C', '', 'C', 'N', '', 'G', '', 'URM', 'SF', 'SW', 'SW', '4.17', '2.5615', '1.10228', '2.82351', '93740.6328125', '57715.4296875', '0', '0', '0', '0', '0', '0', '0', '35858.6171875', '5', '1970 UBC', '', '');
INSERT INTO buildings VALUES ('1627', '4', '27', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'PIERCE', 'WA', '5', '', '1', '2', '837', '1922', 'URM', 'N', '1973', '12663', 'S', 'MIN', '', 'DC', 'EW', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'OK', 'NE', '12663', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'G', '', '', '', '', '', '', '', '', '', '', '15.13', '2.5615', '1.10228', '2.82351', '35754.14453125', '35754.14453125', '0', '0', '0', '0', '0', '0', '0', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('1628', '9', '23', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'PIERCE', 'WA', '5', '', '1', '0', '1400', '1925', 'W1', 'N', '1973', '6000', 'S', 'MIN', '', 'DC', 'EW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'OK', 'NE', '6000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', '', 'G', '', 'W', 'SF', 'SW', 'SW', '4.29', '2.5615', '1.10228', '2.82351', '16941.078125', '16941.078125', '0', '0', '0', '0', '0', '0', '0', '0', '5', '1970 UBC', '', '');
INSERT INTO buildings VALUES ('1629', '9', '23', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'PIERCE', 'WA', '5', '', '1', '0', '2500', '1924', 'W1', 'N', '1973', '12744', 'S', 'MIN', '', 'DC', 'SW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'OK', 'NE', '12744', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', '', 'G', '', 'W', 'SF', 'SW', 'SW', '5.1', '2.5615', '1.10228', '2.82351', '35982.8515625', '35982.8515625', '0', '0', '0', '0', '0', '0', '0', '0', '5', '1970 UBC', '', '');
INSERT INTO buildings VALUES ('1630', '9', '28', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'PIERCE', 'WA', '5', '', '1', '0', '5700', '1922', 'URM', 'N', '1973', '41062', 'S', 'MIN', '', 'DC', 'SW', 'EW', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'OK', 'NE', '41062', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', '', 'C', 'N', '', 'P', '', 'URM', 'SF', 'SW', 'SW', '7.2', '2.5615', '1.10228', '2.82351', '115939.09375', '115939.09375', '0', '0', '0', '0', '0', '0', '0', '0', '5', '1970 UBC', '', '');
INSERT INTO buildings VALUES ('1631', '9', '22', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'PIERCE', 'WA', '5', '', '1', '0', '11122', '1931', 'C2', 'N', '1973', '21500', 'S', 'MIN', '', 'DC', 'SD', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'OK', 'NE', '21500', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', '', 'G', '', 'C', 'SF', 'SW', 'SW', '1.93', '2.5615', '1.10228', '2.82351', '60705.53125', '60705.53125', '0', '0', '0', '0', '0', '0', '0', '0', '5', '1970 UBC', '', '');
INSERT INTO buildings VALUES ('1632', '4', '27', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'PIERCE', 'WA', '5', '', '1', '0', '768', '1955', 'URM', 'N', '1973', '15000', 'S', 'MIN', '', 'DC', 'SW', 'WT', '', '', '', '', 'N', 'N', 'N', 'Y', '', 'I', 'OK', 'OK', 'NE', '14500', 'G', 'P', 'P', '', '', '', '', '500', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'P', '', '', '', '', '', '18.88', '2.5615', '1.10228', '2.82351', '42352.6953125', '40940.9375', '0', '0', '0', '1411.75646972656', '0', '0', '0', '0', '5', '1970 UBC', '', '');
INSERT INTO buildings VALUES ('1633', '4', '35', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'PIERCE', 'WA', '5', '', '1', '0', '486', '1937', 'URM', 'N', '1973', '8768', 'S', 'MIN', '', 'DC', 'EW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'OK', 'NE', '8768', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', '', 'P', '', 'URM', 'SF', 'SW', 'SW', '18.04', '2.5615', '1.10228', '2.82351', '24756.5625', '24756.5625', '0', '0', '0', '0', '0', '0', '0', '0', '5', '1970 UBC', '', '');
INSERT INTO buildings VALUES ('1634', '16', '47', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'PIERCE', 'WA', '5', '', '4', '0', '40000', '1947', 'C3', 'N', '1974', '531000', 'S', 'MIN', '', 'IO', 'SW', 'EW', 'WT', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'I', 'NE', '376000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '155000', '', '', '', '', '', '', '', 'W', 'C', 'C', 'M', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '9.4', '2.4191', '1.10228', '2.66652', '1415922.625', '1002611.875', '0', '0', '0', '0', '0', '0', '0', '413310.75', '5', '1970 UBC', '', '');
INSERT INTO buildings VALUES ('1635', '4', '35', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'PIERCE', 'WA', '5', '', '1', '0', '240', '1953', 'URM', 'N', '1973', '2400', 'S', 'MIN', '', 'DC', 'EW', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'OK', 'NE', '2400', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', '', 'G', '', 'URM', 'SF', 'SW', 'SW', '10', '2.5615', '1.10228', '2.82351', '6776.4311523438', '6776.4311523438', '0', '0', '0', '0', '0', '0', '0', '0', '5', '1970 UBC', '', '');
INSERT INTO buildings VALUES ('1636', '9', '28', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'PIERCE', 'WA', '5', '', '1', '0', '4570', '1958', 'URM', 'N', '1973', '9296', 'S', 'MIN', '', 'DC', 'EW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'OK', 'NE', '9296', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', '', 'G', '', 'URM', 'SF', 'SW', 'SW', '2.03', '2.5615', '1.10228', '2.82351', '26247.376953125', '26247.376953125', '0', '0', '0', '0', '0', '0', '0', '0', '5', '1970 UBC', '', '');
INSERT INTO buildings VALUES ('1637', '16', '48', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'MIDDLESEX', 'MA', '3', 'S1', '2', '0', '53860', '1937', 'C3', 'N', '1975', '298943', 'S', 'MIN', '', 'IO', 'SW', 'EW', '', '', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'OK', 'NE', 'I', '123987', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '174956', 'OT', '', '', '', '', '', '', 'W', 'C', 'W', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '2.3', '2.232', '1.0137', '2.26258', '676382.875', '280530.6875', '0', '0', '0', '0', '0', '0', '0', '395852.1875', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1638', '16', '48', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'MIDDLESEX', 'MA', '3', 'S1', '2', '0', '63088', '1937', 'C3', 'N', '1975', '297447', 'S', 'MIN', '', 'IO', 'SW', 'EW', '', '', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'OK', 'NE', 'I', '138017', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '159430', 'OT', '', '', '', '', '', '', 'W', 'C', 'W', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '2.19', '2.232', '1.0137', '2.26258', '672998.0625', '312274.6875', '0', '0', '0', '0', '0', '0', '0', '360723.34375', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1639', '16', '48', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'MIDDLESEX', 'MA', '3', 'S1', '2', '0', '52249', '1939', 'C3', 'N', '1975', '277380', 'S', 'MIN', '', 'IO', 'SW', 'EW', '', '', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'OK', 'NE', 'I', '198720', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '78660', 'OT', '', '', '', '', '', '', 'W', 'C', 'W', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '3.8', '2.232', '1.0137', '2.26258', '627594.8125', '449620.1875', '0', '0', '0', '0', '0', '0', '0', '177974.65625', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1640', '16', '48', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'MIDDLESEX', 'MA', '3', 'S1', '2', '0', '51768', '1939', 'C3', 'N', '1975', '264960', 'S', 'MIN', '', 'IO', 'SW', 'EW', '', '', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'OK', 'NE', 'I', '186300', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '78660', 'OT', '', '', '', '', '', '', 'W', 'C', 'W', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '3.6', '2.232', '1.0137', '2.26258', '599493.5625', '421518.90625', '0', '0', '0', '0', '0', '0', '0', '177974.65625', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1641', '16', '48', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'RICHMOND', 'GA', '3', 'S1', '2', '0', '62600', '1930', 'C3', 'N', '1976', '142700', 'S', 'MIN', '', 'IO', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'I', 'NE', '138700', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '4000', '', '', '', '', '', '', '', 'C', 'C', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '2.22', '2.0456', '1.32616', '2.71282', '387119.625', '376268.3125', '0', '0', '0', '0', '0', '0', '0', '10851.28515625', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1642', '12', '33', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'RICHMOND', 'GA', '3', 'S1', '2', '0', '65600', '1930', 'C3', 'N', '1976', '240700', 'S', 'MIN', '', 'DC', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'OK', 'NE', '236700', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '4000', '', '', '', '', '', '', '', 'C', 'C', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '3.61', '2.0456', '1.32616', '2.71282', '652976.125', '642124.8125', '0', '0', '0', '0', '0', '0', '0', '10851.28515625', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1643', '16', '48', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'RICHMOND', 'GA', '3', 'S1', '2', '0', '62600', '1930', 'C3', 'N', '1976', '229700', 'S', 'MIN', '', 'IO', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'I', 'NE', '225700', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '4000', '', '', '', '', '', '', '', 'C', 'C', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '3.61', '2.0456', '1.32616', '2.71282', '623135.0625', '612283.8125', '0', '0', '0', '0', '0', '0', '0', '10851.28515625', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1646', '2', '8', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'CARTER', 'TN', '3', 'S1', '3', '1', '28739', '1904', 'URM', 'N', '1976', '353200', 'S', 'MIN', '', 'IO', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '353200', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', 'N', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '12.29', '2.0456', '1.30129', '2.66194', '940195.875', '940195.875', '0', '0', '0', '0', '0', '0', '0', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('1650', '16', '48', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'GENESEE', 'NY', '3', 'S1', '5', '1', '119500', '1930', 'C3', 'N', '1977', '858900', 'S', 'MIN', '', 'IO', 'SW', 'EW', 'PB', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'I', '582900', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '276000', '', '', '', '', '', '', '', 'C', 'C', 'C', 'M', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '4.88', '1.8867', '1.05014', '1.98134', '1701769.25', '1154920.625', '0', '0', '0', '0', '0', '0', '0', '546848.6875', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1651', '12', '33', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'GENESEE', 'NY', '3', 'S1', '3', '0', '44200', '1930', 'C3', 'N', '1977', '262210', 'S', 'MIN', '', 'DC', 'SW', 'EW', 'PB', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'I', '196610', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '65600', '', '', '', '', '', '', '', 'C', 'C', 'C', 'M', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '4.45', '1.8867', '1.05014', '1.98134', '519526.03125', '389550.40625', '0', '0', '0', '0', '0', '0', '0', '129975.625', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1652', '12', '32', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'GENESEE', 'NY', '3', 'S1', '3', '0', '22000', '1940', 'C3', 'N', '1977', '161800', 'S', 'MIN', '', 'DC', 'SW', 'EW', 'PB', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'I', '110540', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '51260', '', '', '', '', '', '', '', 'C', 'C', 'C', 'M', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '5.02', '1.8867', '1.05014', '1.98134', '320580.125', '219016.859375', '0', '0', '0', '0', '0', '0', '0', '101563.2734375', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1653', '12', '32', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'GENESEE', 'NY', '3', 'S1', '3', '0', '22000', '1933', 'C3', 'N', '1977', '263100', 'S', 'MIN', '', 'DC', 'SW', 'EW', 'PB', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'I', '190000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '73100', '', '', '', '', '', '', '', 'C', 'C', 'C', 'M', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '8.64', '1.8867', '1.05014', '1.98134', '521289.4375', '376453.78125', '0', '0', '0', '0', '0', '0', '0', '144835.640625', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1654', '12', '32', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'GENESEE', 'NY', '3', 'S1', '3', '0', '26000', '1933', 'C3', 'N', '1977', '231500', 'S', 'MIN', '', 'DC', 'SW', 'EW', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'I', '171500', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '60000', '', '', '', '', '', '', '', 'C', 'C', 'C', 'M', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '6.6', '1.8867', '1.05014', '1.98134', '458679.21875', '339799.09375', '0', '0', '0', '0', '0', '0', '0', '118880.140625', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1655', '9', '28', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'GENESEE', 'NY', '3', 'S1', '3', '0', '6200', '1933', 'URM', 'N', '1977', '20400', 'S', 'MIN', '', 'DC', 'EW', 'PB', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'I', '13000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '7400', '', '', '', '', '', '', '', 'W', 'W', 'W', 'M', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '2.1', '1.8867', '1.05014', '1.98134', '40419.25', '25757.365234375', '0', '0', '0', '0', '0', '0', '0', '14661.884765625', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1656', '20', '56', 'DEGENKOLB', TO_DATE('08/10/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', 'S2', '1', '0', '12072', '1963', 'W1', 'N', '1993', '731100', 'S', 'ADD', '', 'IO', 'SW', 'SF', '', '', '', '', 'N', 'N', 'Y', 'N', 'V', 'I', 'NE', 'I', 'NE', '27900', 'G', 'F', 'F', '', '', '', '', '', '', '', '391000', '', '', '', '', '', '', '', '', 'W', '', 'W', 'S', 'N', 'G', 'W', 'W', 'SF', 'SW', 'SW', '2.31', '1', '1', '1', '731100', '27900', '0', '0', '0', '0', '0', '0', '391000', '0', '8', 'TITLE 24', '', '');
INSERT INTO buildings VALUES ('1657', '9', '28', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'GENESEE', 'NY', '3', 'S1', '1', '0', '5300', '1933', 'URM', 'N', '1977', '59793', 'S', 'MIN', '', 'DC', 'EW', 'PB', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'OK', '59793', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'S', '', '', 'N', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '11.28', '1.8867', '1.05014', '1.98134', '118470.0078125', '118470.0078125', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1658', '11', '26', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'GENESEE', 'NY', '3', 'S1', '1', '0', '7450', '', 'S5', 'N', '1977', '173800', 'S', 'MIN', '', 'DC', 'SW', 'SD', 'PB', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'NE', 'NE', 'I', '52400', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '121400', '', '', '', '', '', '', '', 'TT', '', 'W', 'M', 'N', 'G', 'S', '', 'SF', 'SW', 'SW', '7.03', '1.8867', '1.05014', '1.98134', '344356.15625', '103821.9921875', '0', '0', '0', '0', '0', '0', '0', '240534.15625', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1660', '16', '48', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'MIDDLESEX', 'MA', '3', 'S1', '4', '0', '95669', '1928', 'C3', 'N', '1975', '432285', 'S', 'MIN', '', 'IO', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'I', 'NE', '431457', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '828', '', '', '', '', '', '', '', 'W', 'C', 'W', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '4.51', '2.232', '1.0137', '2.26258', '978080', '976206.5625', '0', '0', '0', '0', '0', '0', '0', '1873.41735839844', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1661', '12', '37', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'MIDDLESEX', 'MA', '3', 'S1', '2', '0', '39789', '1928', 'C3', 'N', '1975', '121958', 'S', 'MIN', '', 'DC', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'I', 'NE', '117106', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '4852', '', '', '', '', '', '', '', 'W', 'C', 'W', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '2.94', '2.232', '1.0137', '2.26258', '275939.90625', '264961.84375', '0', '0', '0', '0', '0', '0', '0', '10978.044921875', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1662', '16', '48', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'MIDDLESEX', 'MA', '3', 'S1', '2', '1', '102576', '1928', 'C3', 'N', '1975', '639695', 'S', 'MIN', '', 'IO', 'SW', 'EW', '', '', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'OK', 'I', 'NE', '500895', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '138800', '', '', '', '', '', '', '', 'W', 'C', 'W', 'N', 'N', 'P', 'C', '', 'SF', 'SW', 'SW', '4.88', '2.232', '1.0137', '2.26258', '1447362', '1133315.75', '0', '0', '0', '0', '0', '0', '0', '314046.28125', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1663', '16', '48', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'MIDDLESEX', 'MA', '3', 'S1', '2', '0', '53700', '1928', 'C3', 'N', '1975', '317800', 'S', 'MIN', '', 'IO', 'MF', 'EW', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'I', 'NE', '314000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '3800', '', '', '', '', '', '', '', 'C', '', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '5.85', '2.232', '1.0137', '2.26258', '719048.375', '710450.5625', '0', '0', '0', '0', '0', '0', '0', '8597.8095703125', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1664', '12', '40', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'MIDDLESEX', 'MA', '3', 'S1', '2', '1', '48011', '1930', 'C3', 'N', '1975', '299836', 'S', 'ADD', '', 'DC', 'SW', '', '', '', '', '', 'N', 'N', 'Y', 'N', 'IP', 'I', 'OK', 'I', 'NE', '290436', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '9400', 'OT', '', '', '', '', '', '', 'W', 'C', 'W', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '6.05', '2.232', '1.0137', '2.26258', '678403.375', '657135.0625', '0', '0', '0', '0', '0', '0', '0', '21268.265625', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1665', '12', '40', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'MIDDLESEX', 'MA', '3', 'S1', '2', '1', '41880', '1930', 'C3', 'N', '1975', '299836', 'S', 'ADD', '', 'DC', 'SW', '', '', '', '', '', 'N', 'N', 'Y', 'N', 'IP', 'I', 'OK', 'I', 'NE', '290436', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '9400', 'OT', '', '', '', '', '', '', 'W', 'C', 'W', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '6.93', '2.232', '1.0137', '2.26258', '678403.375', '657135.0625', '0', '0', '0', '0', '0', '0', '0', '21268.265625', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1666', '9', '37', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'MIDDLESEX', 'MA', '3', 'S1', '1', '1', '17578', '1928', 'URM', 'N', '1975', '16300', 'S', 'MIN', '', 'DC', 'BF', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'I', 'NE', '15750', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '550', '', '', '', '', '', '', '', 'TT', '', 'C', 'N', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '0.9', '2.232', '1.0137', '2.26258', '36880.078125', '35635.65625', '0', '0', '0', '0', '0', '0', '0', '1244.41979980469', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1668', '20', '56', 'DEGENKOLB', TO_DATE('08/10/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', 'S2', '1', '0', '9720', '1966', 'W1', 'N', '1993', '510000', 'S', 'ADD', '', 'IO', 'SW', '', '', '', '', '', 'N', 'N', 'Y', 'N', 'V', 'I', 'NE', 'I', 'NE', '15600', 'G', 'F', 'F', '', '', '', '', '', '', '', '244400', '', '', '', '', '', '', '', '', 'W', '', 'W', 'S', 'N', 'G', 'S', 'W', 'SF', 'SW', 'SW', '1.6', '1', '1', '1', '510000', '15600', '0', '0', '0', '0', '0', '0', '244400', '0', '8', 'TITLE 24', '', '');
INSERT INTO buildings VALUES ('1669', '9', '29', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'MIDDLESEX', 'MA', '3', 'S1', '1', '1', '15850', '1928', 'URM', 'N', '1975', '23400', 'S', 'MIN', '', 'DC', 'SD', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '22430', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '970', '', '145', '44', '145', '44', '', '', 'TT', '', 'MD', 'N', 'Y', 'P', '', 'URM', 'SF', 'SW', 'SW', '1.42', '2.232', '1.0137', '2.26258', '52944.40625', '50749.69921875', '0', '0', '0', '0', '0', '0', '0', '2194.70385742188', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1670', '9', '29', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'MIDDLESEX', 'MA', '3', 'S1', '1', '0', '4374', '1928', 'URM', 'N', '1975', '9356', 'S', 'MIN', '', 'DC', 'SD', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '9081', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '275', '', '', '', '', '', '', '', 'TT', '', 'MD', 'N', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '2.08', '2.232', '1.0137', '2.26258', '21168.7109375', '20546.501953125', '0', '0', '0', '0', '0', '0', '0', '622.209899902344', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1671', '9', '28', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'MIDDLESEX', 'MA', '3', 'S1', '1', '0', '11610', '1928', 'URM', 'N', '1975', '30761', 'S', 'MIN', '', 'DC', 'EW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '30347', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '414', '', '132', '49', '132', '49', '', '', 'TT', '', 'MD', 'N', 'Y', 'P', '', 'URM', 'SF', 'SW', 'SW', '2.61', '2.232', '1.0137', '2.26258', '69599.265625', '68662.5546875', '0', '0', '0', '0', '0', '0', '0', '936.708679199219', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1672', '11', '37', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'MIDDLESEX', 'MA', '3', 'S1', '1', '0', '5800', '1928', 'S5', 'N', '1975', '229800', 'S', 'MIN', '', 'DC', 'SD', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'I', 'NE', '29800', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '209000', '', '146', '47', '146', '47', '', '', 'TT', '', 'MD', 'N', 'N', 'G', 'S', '', 'SF', 'SW', 'SW', '5.14', '2.232', '1.0137', '2.26258', '519941.1875', '67424.921875', '0', '0', '0', '0', '0', '0', '0', '472879.5', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1673', '9', '29', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'MIDDLESEX', 'MA', '3', 'S1', '1', '0', '3250', '1928', 'URM', 'N', '1975', '10483', 'S', 'MIN', '', 'DC', 'SD', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '10208', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '275', '', '90', '35', '90', '35', '', '', 'TT', '', 'MD', 'N', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '3.14', '2.232', '1.0137', '2.26258', '23718.640625', '23096.431640625', '0', '0', '0', '0', '0', '0', '0', '622.209899902344', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1674', '16', '48', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'MIDDLESEX', 'MA', '3', 'S1', '2', '1', '64000', '1946', 'C3', 'N', '1975', '298700', 'S', 'MIN', '', 'IO', 'SW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'I', 'NE', '297800', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '900', 'OT', '', '', '', '', '', '', 'W', 'C', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '4.65', '2.232', '1.0137', '2.26258', '675833.0625', '673796.75', '0', '0', '0', '0', '0', '0', '0', '2036.3232421875', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1675', '12', '37', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'MIDDLESEX', 'MA', '3', 'S1', '5', '0', '152700', '1958', 'C3', 'N', '1975', '1479450', 'S', 'MIN', '', 'DC', 'SW', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'I', 'NE', '1424250', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '55200', '', '', '', '', '', '', '', 'W', 'C', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '9.33', '2.232', '1.0137', '2.26258', '3347376', '3222481.5', '0', '0', '0', '0', '0', '0', '0', '124894.4921875', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1676', '11', '37', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'MIDDLESEX', 'MA', '3', 'S1', '1', '0', '22329', '1958', 'S5', 'N', '1975', '142700', 'S', 'MIN', '', 'DC', 'EF', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'I', 'NE', '141870', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '830', '', '', '', '', '', '', '', 'S', '', 'MDF', 'N', 'N', 'G', 'S', '', 'SF', 'SW', 'SW', '6.35', '2.232', '1.0137', '2.26258', '322870.375', '320992.40625', '0', '0', '0', '0', '0', '0', '0', '1877.94250488281', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1677', '12', '37', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'MIDDLESEX', 'MA', '3', 'S1', '2', '0', '38950', '1960', 'C3', 'N', '1975', '26093', 'S', 'MIN', '', 'DC', 'SW', 'EW', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'OK', 'NE', '26093', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '', '', '', '', '', '', 'S', 'C', 'C', 'N', 'N', 'P', 'C', '', 'SF', 'SW', 'SW', '0.67', '2.232', '1.0137', '2.26258', '59037.53515625', '59037.53515625', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1678', '11', '37', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'MIDDLESEX', 'MA', '3', 'S1', '1', '0', '35350', '1962', 'S5', 'N', '1975', '63632', 'S', 'MIN', '', 'DC', 'EW', 'EF', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'I', 'NE', '62532', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '1100', 'L', '', '', '', '', '', '', 'S', '', 'W', 'N', 'N', 'G', 'S', '', 'SF', 'SW', 'SW', '1.77', '2.232', '1.0137', '2.26258', '143972.578125', '141483.734375', '0', '0', '0', '0', '0', '0', '0', '2488.83959960938', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1679', '9', '28', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'GENESEE', 'NY', '3', 'S1', '1', '0', '4900', '1933', 'URM', 'N', '1977', '39732', 'S', 'MIN', '', 'DC', 'EW', 'PB', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'OK', 'NE', '39732', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '0', '', '', '', '', '', '', '', 'S', '', '', 'N', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '8.11', '1.8867', '1.05014', '1.98134', '78722.4296875', '78722.4296875', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1680', '9', '28', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'GENESEE', 'NY', '3', 'S1', '1', '0', '3900', '1933', 'URM', 'N', '1977', '48615', 'S', 'MIN', '', 'DC', 'EW', 'PB', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'OK', 'NE', '48615', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '0', '', '', '', '', '', '', '', 'S', '', '', 'N', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '12.47', '1.8867', '1.05014', '1.98134', '96322.640625', '96322.640625', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1681', '9', '28', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'GENESEE', 'NY', '3', 'S1', '1', '0', '4700', '1933', 'URM', 'N', '1977', '56630', 'S', 'MIN', '', 'DC', 'EW', 'PB', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'OK', 'NE', '56630', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '0', '', '', '', '', '', '', '', 'S', '', '', 'N', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '12.05', '1.8867', '1.05014', '1.98134', '112203.046875', '112203.046875', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1682', '16', '48', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'SUFFOLK', 'MA', '3', 'S1', '14', '1', '966547', '1952', 'C3', 'N', '1976', '8580100', 'S', 'MIN', '', 'IO', 'SW', 'MF', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'I', '8500000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '80100', 'OT', '460', '307', '460', '307', '', '', 'C', 'C', 'C', 'CW', 'N', 'G', 'C', '', 'P', 'SW', 'SW', '8.79', '2.0456', '1.0137', '2.07364', '17792004', '17625906', '0', '0', '0', '0', '0', '0', '0', '166098.25', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1683', '10', '37', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'SUFFOLK', 'MA', '3', 'S1', '3', '1', '40000', '1970', 'C1', 'N', '1976', '122300', 'S', 'MIN', '', 'DC', 'SW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'NE', 'I', '114000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '8300', 'R', '100', '100', '100', '100', '', '', 'C', '', 'C', 'PC', 'N', 'G', 'C', '', 'SF', 'MF', 'MF', '2.85', '2.0456', '1.0137', '2.07364', '253605.6875', '236394.5', '0', '0', '0', '0', '0', '0', '0', '17211.1796875', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1685', '9', '37', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'SUFFOLK', 'MA', '3', 'S1', '1', '1', '5750', '1952', 'C1', 'N', '1974', '10468', 'S', 'MIN', '', 'DC', 'WT', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'I', 'NE', '10328', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '140', '', '', '', '', '', '', '', 'C', '', 'C', 'M', 'N', 'P', 'C', '', 'SF', 'MF', 'MF', '1.8', '2.4191', '1.0137', '2.45223', '25669.89453125', '25326.58203125', '0', '0', '0', '0', '0', '0', '0', '343.3115234375', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1686', '9', '37', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'SUFFOLK', 'MA', '3', 'S1', '1', '0', '5168', '', 'W2', 'N', '1976', '4830', 'S', 'MIN', '', 'DC', 'EW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'I', 'NE', '4415', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '415', 'R', '119', '37', '119', '37', '', '', 'W', '', 'W', 'N', 'N', 'G', 'W', 'W', 'SF', 'SW', 'SW', '0.85', '2.0456', '1.0137', '2.07364', '10015.662109375', '9155.1025390625', '0', '0', '0', '0', '0', '0', '0', '860.558959960938', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1687', '16', '48', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'PLYMOUTH', 'MA', '3', 'S1', '2', '0', '54900', '1953', 'C3', 'N', '1976', '139000', 'S', 'MIN', '', 'IO', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'NE', 'I', '125200', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '13800', '', '', '', '', '', '', '', 'C', 'C', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '2.28', '2.0456', '1.0137', '2.07364', '288235.40625', '259619.234375', '0', '0', '0', '0', '0', '0', '0', '28616.177734375', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1688', '16', '48', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'PLYMOUTH', 'MA', '3', 'S1', '4', '1', '138100', '1953', 'C3', 'N', '1976', '1062000', 'S', 'MIN', '', 'IO', 'SW', 'SF', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'NE', 'I', '965400', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '96600', '', '', '', '', '', '', '', 'C', 'C', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '6.99', '2.0456', '1.0137', '2.07364', '2202201.5', '2001888.25', '0', '0', '0', '0', '0', '0', '0', '200313.234375', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1689', '16', '48', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'PLYMOUTH', 'MA', '3', 'S1', '6', '1', '245800', '1953', 'C3', 'N', '1976', '2010000', 'S', 'MIN', '', 'IO', 'SW', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'I', 'NE', '1996200', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '13800', '', '', '', '', '', '', '', 'C', 'C', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '8.12', '2.0456', '1.0137', '2.07364', '4168008.25', '4139392.25', '0', '0', '0', '0', '0', '0', '0', '28616.177734375', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1690', '16', '48', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'PLYMOUTH', 'MA', '3', 'S1', '2', '0', '131800', '1953', 'C3', 'N', '1976', '572700', 'S', 'MIN', '', 'IO', 'SW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'I', 'NE', '561700', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '11000', '', '', '', '', '', '', '', 'C', 'C', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '4.26', '2.0456', '1.0137', '2.07364', '1187571.375', '1164761.375', '0', '0', '0', '0', '0', '0', '0', '22809.99609375', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1691', '16', '48', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'PLYMOUTH', 'MA', '3', 'S1', '2', '1', '88500', '1953', 'C3', 'N', '1976', '435000', 'S', 'MIN', '', 'IO', 'SW', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'I', 'NE', '421200', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '13800', '', '', '', '', '', '', '', 'C', 'C', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '4.76', '2.0456', '1.0137', '2.07364', '902031.6875', '873415.5', '0', '0', '0', '0', '0', '0', '0', '28616.177734375', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1692', '16', '48', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'PLYMOUTH', 'MA', '3', 'S1', '2', '1', '121500', '1953', 'C3', 'N', '1976', '457000', 'S', 'MIN', '', 'IO', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'I', 'NE', '437200', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '13800', '', '', '', '', '', '', '', 'C', 'C', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '3.6', '2.0456', '1.0137', '2.07364', '947651.625', '906593.6875', '0', '0', '0', '0', '0', '0', '0', '28616.177734375', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1693', '16', '48', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'PLYMOUTH', 'MA', '3', 'S1', '1', '0', '77400', '', 'URM', 'N', '1976', '197500', 'S', 'MIN', '', 'IO', 'SW', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'I', 'NE', '175500', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '22000', '', '', '', '', '', '', '', 'C', '', 'C', 'N', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '2.27', '2.0456', '1.0137', '2.07364', '409543.125', '363923.125', '0', '0', '0', '0', '0', '0', '0', '45619.9921875', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1694', '12', '37', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'PLYMOUTH', 'MA', '3', 'S1', '2', '0', '55900', '1953', 'C3', 'N', '1976', '259600', 'S', 'MIN', '', 'DC', 'SW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'I', 'NE', '238900', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '20700', '', '', '', '', '', '', '', 'C', 'C', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '4.27', '2.0456', '1.0137', '2.07364', '538315.9375', '495391.65625', '0', '0', '0', '0', '0', '0', '0', '42924.265625', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1695', '12', '33', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'PLYMOUTH', 'MA', '3', 'S1', '2', '0', '47700', '1953', 'C3', 'N', '1976', '166800', 'S', 'MIN', '', 'DC', 'SW', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'I', 'NE', '162500', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '4300', '', '', '', '', '', '', '', 'TT', 'TT', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '3.41', '2.0456', '1.0137', '2.07364', '345882.5', '336965.84375', '0', '0', '0', '0', '0', '0', '0', '8916.634765625', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1696', '11', '37', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'PLYMOUTH', 'MA', '3', 'S1', '2', '0', '41000', '1953', 'S5', 'N', '1976', '85000', 'S', 'MIN', '', 'DC', 'SW', 'EW', 'SD', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'I', 'NE', '83800', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '1200', '', '225', '89', '225', '89', '', '29', 'S', 'S', 'C', 'N', 'N', 'G', 'S', '', 'SF', 'SW', 'SW', '2.04', '2.0456', '1.0137', '2.07364', '176259.0625', '173770.703125', '0', '0', '0', '0', '0', '0', '0', '2488.36328125', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1698', '9', '37', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'PLYMOUTH', 'MA', '3', 'S1', '1', '0', '34000', '1953', 'URM', 'N', '1974', '23500', 'S', 'MIN', '', 'DC', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'I', 'NE', '21900', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '1600', '', '', '', '', '', '', '', 'C', '', 'C', 'N', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '0.64', '2.4191', '1.0137', '2.45223', '57627.29296875', '53703.734375', '0', '0', '0', '0', '0', '0', '0', '3923.56030273438', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1699', '9', '37', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'PLYMOUTH', 'MA', '3', 'S1', '1', '0', '7100', '1953', 'URM', 'N', '1976', '14300', 'S', 'MIN', '', 'DC', 'WT', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'OK', 'NE', '14300', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '117', '60', '117', '60', '', '14', '', '', '', 'N', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '2.01', '2.0456', '1.0137', '2.07364', '29652.994140625', '29652.994140625', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1700', '11', '37', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'PLYMOUTH', 'MA', '3', 'S1', '1', '0', '18400', '1953', 'S5', 'N', '1976', '18900', 'S', 'MIN', '', 'DC', 'SD', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'I', 'NE', '12680', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '6220', '', '138', '62', '138', '62', '', '', 'S', '', 'MD', '', 'N', 'G', 'S', '', 'SF', 'SW', 'SW', '0.69', '2.0456', '1.0137', '2.07364', '39191.71875', '26293.705078125', '0', '0', '0', '0', '0', '0', '0', '12898.015625', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1701', '9', '37', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'PLYMOUTH', 'MA', '3', 'S1', '1', '0', '5000', '1953', 'URM', 'N', '1976', '4140', 'S', 'MIN', '', 'DC', 'WT', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'I', 'NE', '3590', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '550', '', '', '', '', '', '', '', '', '', '', '', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '0.72', '2.0456', '1.0137', '2.07364', '8584.853515625', '7444.3530273438', '0', '0', '0', '0', '0', '0', '0', '1140.49975585938', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1702', '4', '35', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'PLYMOUTH', 'MA', '3', 'S1', '1', '0', '480', '1953', 'URM', 'N', '1976', '4050', 'S', 'MIN', '', 'DC', 'SD', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'I', 'NE', '3500', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '550', '', '24', '19', '24', '19', '', '', 'C', '', 'C', 'N', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '7.29', '2.0456', '1.0137', '2.07364', '8398.2255859375', '7257.7260742188', '0', '0', '0', '0', '0', '0', '0', '1140.49975585938', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1703', '9', '37', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'PLYMOUTH', 'MA', '3', 'S1', '2', '0', '14330', '1924', 'URM', 'N', '1976', '38360', 'S', 'MIN', '', 'DC', 'SD', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'I', 'NE', '36290', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '2070', '', '', '', '', '', '', '', 'W', '', 'W', 'N', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '2.53', '2.0456', '1.0137', '2.07364', '79544.6796875', '75252.25', '0', '0', '0', '0', '0', '0', '0', '4292.4267578125', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1704', '9', '29', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'PLYMOUTH', 'MA', '3', 'S1', '2', '0', '13280', '1953', 'URM', 'N', '1976', '46900', 'S', 'MIN', '', 'DC', 'SD', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'I', 'NE', '42750', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '4150', '', '', '', '', '', '', '', 'W', '', 'W', 'N', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '3.22', '2.0456', '1.0137', '2.07364', '97253.53125', '88647.9375', '0', '0', '0', '0', '0', '0', '0', '8605.58984375', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1705', '9', '29', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'PLYMOUTH', 'MA', '3', 'S1', '1', '0', '6800', '1953', 'URM', 'N', '1976', '36200', 'S', 'MIN', '', 'DC', 'SD', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'OK', 'NE', '36200', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '5.32', '2.0456', '1.0137', '2.07364', '75065.625', '75065.625', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1706', '16', '50', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'CHARLESTON', 'SC', '3', 'S3', '5', '1', '363184', '1966', 'C3', 'N', '1977', '7128050', 'S', 'MIN', '', 'IO', 'SW', 'EW', 'SF', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'I', '4842300', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '2285700', '', '500', '300', '500', '300', '', '', 'FS', 'FS', 'C', 'N', '', 'G', 'C', '', 'P', 'SW', 'SW', '13.33', '1.8867', '1.40863', '2.65771', '18944256', '12869407', '0', '0', '0', '0', '0', '0', '0', '6074717', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1707', '16', '45', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'RICHLAND', 'SC', '3', 'S3', '3', '1', '145059', '1931', 'C3', 'N', '1977', '618200', 'S', 'MIN', '', 'IO', 'SW', 'SF', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '618200', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', 'C', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '4.26', '1.8867', '1.40863', '2.65771', '1642993.375', '1642993.375', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1708', '16', '45', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'RICHLAND', 'SC', '3', 'S3', '3', '1', '97910', '1931', 'C3', 'N', '1977', '663300', 'S', 'MIN', '', 'IO', 'SW', 'SF', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '663300', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', 'C', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '6.77', '1.8867', '1.40863', '2.65771', '1762856', '1762856', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1709', '12', '33', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'RICHLAND', 'SC', '3', 'S3', '2', '1', '48741', '1931', 'C3', 'N', '1977', '139171', 'S', 'MIN', '', 'DC', 'SW', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '139171', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', 'C', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '2.86', '1.8867', '1.40863', '2.65771', '369875.5', '369875.5', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1710', '12', '33', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'RICHLAND', 'SC', '3', 'S3', '3', '0', '44643', '1931', 'C3', 'N', '1977', '113400', 'S', 'MIN', '', 'DC', 'SW', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '113400', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', 'C', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '2.54', '1.8867', '1.40863', '2.65771', '301383.78125', '301383.78125', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1711', '12', '32', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'RICHLAND', 'SC', '3', 'S3', '2', '0', '15301', '1931', 'C3', 'N', '1977', '69300', 'S', 'MIN', '', 'DC', 'SW', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '69300', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', 'C', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '4.53', '1.8867', '1.40863', '2.65771', '184178.984375', '184178.984375', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1712', '9', '28', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'RICHLAND', 'SC', '3', 'S3', '1', '0', '9744', '1938', 'URM', 'N', '1977', '10000', 'S', 'MIN', '', 'DC', 'EW', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '10000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '1.03', '1.8867', '1.40863', '2.65771', '26577.052734375', '26577.052734375', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1713', '16', '45', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'RICHLAND', 'SC', '3', 'S3', '3', '0', '50157', '1936', 'C3', 'N', '1977', '344800', 'S', 'MIN', '', 'IO', 'SW', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '344800', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', 'C', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '6.87', '1.8867', '1.40863', '2.65771', '916376.8125', '916376.8125', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1714', '17', '48', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'FRESNO', 'CA', '7', 'S1', '7', '0', '247569', '1947', 'S4', 'N', '1976', '1143000', 'S', 'MIN', '', 'IO', 'SW', 'EW', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'I', '994700', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '148300', '', '', '', '', '', '', '', 'S', 'S', 'C', 'N', 'N', 'G', 'S', '', 'SF', 'SW', 'SW', '4.02', '2.0456', '1', '2.04561', '2338136.75', '2034772.25', '0', '0', '0', '0', '0', '0', '0', '303364.5625', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1715', '9', '23', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'FRESNO', 'CA', '7', 'S1', '1', '0', '8059', '1947', 'C2', 'N', '1976', '24000', 'S', 'MIN', '', 'DC', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'I', 'NE', '22220', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '1780', '', '', '', '', '', '', '', 'C', '', 'C', 'N', 'N', 'G', '', 'C', 'SF', 'SW', 'SW', '2.76', '2.0456', '1', '2.04561', '49094.734375', '45453.54296875', '0', '0', '0', '0', '0', '0', '0', '3641.19287109375', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1716', '9', '23', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'FRESNO', 'CA', '7', 'S1', '1', '0', '8685', '1947', 'C2', 'N', '1976', '24430', 'S', 'MIN', '', 'DC', 'SW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'I', 'NE', '20330', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '4100', '', '', '', '', '', '', '', 'TT', '', 'C', 'N', 'N', 'G', '', 'C', 'SF', 'SW', 'SW', '2.34', '2.0456', '1', '2.04561', '49974.3515625', '41587.33203125', '0', '0', '0', '0', '0', '0', '0', '8387.017578125', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1717', '9', '23', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'FRESNO', 'CA', '7', 'S1', '1', '0', '4135', '1947', 'C2', 'N', '1977', '7162', 'S', 'MIN', '', 'DC', 'EW', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'OK', 'NE', '7162', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'TT', '', 'C', 'N', 'N', 'G', '', 'C', 'SF', 'SW', 'SW', '1.73', '1.8867', '1', '1.88673', '13512.770507813', '13512.770507813', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1718', '17', '45', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', 'S3', '6', '0', '110000', '1947', 'C2', 'N', '1983', '2171400', 'S', 'MIN', '', 'IO', 'EW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '2171400', 'F', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '286', '140', '286', '140', '', '', 'C', 'C', 'C', 'N', 'N', '', '', 'C', 'SF', 'SW', 'SW', '19.74', '1.2227', '1', '1.22273', '2655046.5', '2655046.5', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1719', '9', '22', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', 'S3', '2', '0', '29000', '1950', 'C2', 'N', '1983', '87200', 'S', 'MIN', '', 'DC', 'SD', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '87200', 'F', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '142', '102', '142', '102', '', '', 'C', 'C', 'C', 'N', 'N', '', '', 'C', 'SF', 'SW', 'SW', '3.01', '1.2227', '1', '1.22273', '106622.484375', '106622.484375', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1720', '9', '22', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', 'S3', '2', '1', '13100', '1951', 'C2', 'N', '1976', '72800', 'S', 'MIN', '', 'DC', 'SD', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '72800', 'F', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', 'C', 'C', 'N', 'N', '', '', 'C', 'SF', 'SW', 'SW', '5.56', '2.0456', '1', '2.04561', '148920.703125', '148920.703125', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1721', '14', '43', 'DEGENKOLB', TO_DATE('08/10/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', 'S2', '1', '0', '2555', '1954', 'W1', 'N', '1993', '147900', 'S', 'ADD', '', 'IO', 'MF', '', '', '', '', '', 'N', 'N', 'Y', 'N', 'V', 'I', 'NE', 'I', 'NE', '24500', 'G', 'F', 'F', '', '', '', '', '', '', '', '35000', '', '', '', '', '', '', '', '', 'W', '', 'W', 'S', 'N', 'G', 'S', 'W', 'SF', 'SW', 'SW', '9.59', '1', '1', '1', '147900', '24500', '0', '0', '0', '0', '0', '0', '35000', '0', '8', 'TITLE 24', '', '');
INSERT INTO buildings VALUES ('1722', '9', '28', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'JACKSON', 'OR', '2', '', '2', '0', '16749', '1942', 'URM', 'N', '1975', '180395', 'S', 'MIN', '', 'DC', 'MF', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '180395', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', 'W', 'W', 'N', '', '', '', 'URM', 'SF', 'SW', 'SW', '10.77', '2.232', '1.1269', '2.51526', '453739.53125', '453739.53125', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'UBC 1970', '', '');
INSERT INTO buildings VALUES ('1723', '9', '28', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'JACKSON', 'OR', '2', '', '2', '0', '22696', '1942', 'URM', 'N', '1975', '100555', 'S', 'MIN', '', 'DC', 'EW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '100555', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', 'W', 'W', 'N', '', '', '', 'URM', 'SF', 'SW', 'SW', '4.43', '2.232', '1.1269', '2.51526', '252921.515625', '252921.515625', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'UBC 1970', '', '');
INSERT INTO buildings VALUES ('1724', '9', '29', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'JACKSON', 'OR', '2', '', '1', '0', '20772', '1942', 'URM', 'N', '1975', '76395', 'S', 'MIN', '', 'DC', 'SD', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '76395', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', '', '', '', 'URM', 'SF', 'SW', 'SW', '3.68', '2.232', '1.1269', '2.51526', '192152.953125', '192152.953125', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'UBC 1970', '', '');
INSERT INTO buildings VALUES ('1725', '9', '23', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'JACKSON', 'OR', '2', '', '1', '0', '29263', '1942', 'W2', 'N', '1975', '11570', 'S', 'MIN', '', 'DC', 'SW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '11570', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '0.4', '2.232', '1.1269', '2.51526', '29101.505859375', '29101.505859375', '0', '0', '0', '0', '0', '0', '0', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('1726', '9', '23', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'JACKSON', 'OR', '2', '', '1', '0', '29940', '1942', 'W2', 'N', '1975', '11570', 'S', 'MIN', '', 'DC', 'SW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '11570', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '0.39', '2.232', '1.1269', '2.51526', '29101.505859375', '29101.505859375', '0', '0', '0', '0', '0', '0', '0', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('1728', '1', '2', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'LEWIS&CLARK', 'MT', '3', 'S2', '2', '0', '14200', '1906', 'URM', 'N', '1977', '202500', 'S', 'MIN', '', 'DC', 'SW', 'EW', 'SD', 'WT', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '202500', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', 'W', 'W', 'N', 'N', '', '', 'URM', 'SF', 'SW', 'SW', '14.26', '1.8867', '1.24022', '2.33997', '473843.59375', '473843.59375', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1729', '2', '8', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'CARTER', 'TN', '3', 'S1', '3', '1', '55928', '1905', 'URM', 'N', '1976', '263000', 'S', 'MIN', '', 'IO', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '263000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', 'W', 'W', 'N', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '4.7', '2.0456', '1.30129', '2.66194', '700089.1875', '700089.1875', '0', '0', '0', '0', '0', '0', '0', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('1730', '1', '1', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'LEWIS&CLARK', 'MT', '3', 'S2', '1', '0', '1400', '1900', 'URM', 'N', '1977', '22500', 'S', 'MIN', '', 'DC', 'SW', 'EW', 'SD', 'WT', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '22500', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', 'N', 'P', '', 'URM', 'SF', 'SW', 'SW', '16.07', '1.8867', '1.24022', '2.33997', '52649.2890625', '52649.2890625', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1731', '1', '2', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'LEWIS&CLARK', 'MT', '3', 'S2', '2', '1', '9700', '1890', 'URM', 'N', '1977', '106300', 'S', 'MIN', '', 'DC', 'SW', 'EW', 'SD', 'WT', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '106300', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', 'N', '', '', 'URM', 'SF', 'SW', 'SW', '10.96', '1.8867', '1.24022', '2.33997', '248738.640625', '248738.640625', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1732', '1', '2', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'LEWIS&CLARK', 'MT', '3', 'S2', '1', '0', '15600', '1892', 'URM', 'N', '1977', '165000', 'S', 'MIN', '', 'DC', 'SW', 'EW', 'SD', 'WT', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '165000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', 'N', 'P', '', 'URM', 'SF', 'SW', 'SW', '10.58', '1.8867', '1.24022', '2.33997', '386094.78125', '386094.78125', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1733', '1', '1', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'LEWIS&CLARK', 'MT', '3', 'S2', '1', '0', '3300', '1900', 'URM', 'N', '1977', '60500', 'S', 'MIN', '', 'DC', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '60500', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '18.33', '1.8867', '1.24022', '2.33997', '141568.09375', '141568.09375', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1734', '1', '2', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'LEWIS&CLARK', 'MT', '3', 'S2', '3', '0', '11000', '1895', 'URM', 'N', '1977', '99100', 'S', 'MIN', '', 'DC', 'SW', 'EW', 'SD', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '99100', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', 'W', 'W', 'N', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '9.01', '1.8867', '1.24022', '2.33997', '231890.875', '231890.875', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1735', '1', '1', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'LEWIS&CLARK', 'MT', '3', 'S2', '1', '0', '4700', '1904', 'URM', 'N', '1977', '72500', 'S', 'MIN', '', 'DC', 'SW', 'EW', 'SD', 'WT', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '72500', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', 'N', 'N', 'P', '', 'URM', 'SF', 'SW', 'SW', '15.43', '1.8867', '1.24022', '2.33997', '169647.71875', '169647.71875', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1736', '9', '28', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'LEWIS&CLARK', 'MT', '3', 'S2', '2', '0', '9700', '1955', 'URM', 'N', '1977', '104000', 'S', 'MIN', '', 'DC', 'SW', 'EW', 'SD', 'WT', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '104000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', 'W', 'W', 'N', 'N', 'P', '', 'URM', 'SF', 'SW', 'SW', '10.72', '1.8867', '1.24022', '2.33997', '243356.71875', '243356.71875', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1737', '12', '33', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'LEWIS&CLARK', 'MT', '3', 'S2', '3', '0', '50300', '1930', 'C3', 'N', '1977', '130000', 'S', 'MIN', '', 'DC', 'SW', 'EW', 'PB', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '130000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', 'C', 'C', 'N', 'N', 'P', 'C', '', 'SF', 'SW', 'SW', '2.58', '1.8867', '1.24022', '2.33997', '304195.90625', '304195.90625', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1738', '11', '25', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'LEWIS&CLARK', 'MT', '3', 'S2', '1', '0', '4700', '1931', 'S5', 'N', '1977', '52000', 'S', 'MIN', '', 'DC', 'SW', 'SD', 'PB', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '52000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'TT', '', 'C', 'N', 'N', 'P', 'S', '', 'SF', 'SW', 'SW', '11.06', '1.8867', '1.24022', '2.33997', '121678.359375', '121678.359375', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1739', '12', '32', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'LEWIS&CLARK', 'MT', '3', 'S2', '2', '0', '13700', '1935', 'C3', 'N', '1977', '16400', 'S', 'MIN', '', 'DC', 'SW', 'PB', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '16400', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', 'C', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '1.2', '1.8867', '1.24022', '2.33997', '38375.48046875', '38375.48046875', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1740', '1', '2', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'CARTER', 'TN', '3', 'S1', '3', '1', '38136', '1905', 'URM', 'N', '1976', '238000', 'S', 'MIN', '', 'DC', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '238000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', 'W', 'W', 'N', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '6.24', '2.0456', '1.30129', '2.66194', '633540.8125', '633540.8125', '0', '0', '0', '0', '0', '0', '0', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('1741', '1', '2', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'CARTER', 'TN', '3', 'S1', '3', '1', '34206', '1904', 'URM', 'N', '1976', '295400', 'S', 'MIN', '', 'DC', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '295400', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', 'W', 'W', 'N', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '8.64', '2.0456', '1.30129', '2.66194', '786335.9375', '786335.9375', '0', '0', '0', '0', '0', '0', '0', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('1742', '16', '48', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'CARTER', 'TN', '3', 'S1', '3', '1', '48100', '1933', 'URM', 'N', '1976', '75000', 'S', 'MIN', '', 'IO', 'WT', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '75000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', 'C', 'W', 'N', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '1.56', '2.0456', '1.30129', '2.66194', '199645.203125', '199645.203125', '0', '0', '0', '0', '0', '0', '0', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('1743', '1', '5', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'CARTER', 'TN', '3', 'S1', '1', '1', '6352', '1905', 'URM', 'N', '1976', '56750', 'S', 'MIN', '', 'DC', 'SD', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '56750', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'L', '', '', '', '', '', '', 'TT', '', 'W', 'N', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '8.93', '2.0456', '1.30129', '2.66194', '151064.875', '151064.875', '0', '0', '0', '0', '0', '0', '0', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('1744', '1', '5', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'CARTER', 'TN', '3', 'S1', '2', '1', '5380', '1904', 'URM', 'Y', '1976', '308300', 'S', 'MIN', '', 'DC', 'SD', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '308300', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', 'S', 'W', 'N', 'Y', 'P', '', 'URM', 'SF', 'SW', 'SW', '57.3', '2.0456', '1.30129', '2.66194', '820674.9375', '820674.9375', '0', '0', '0', '0', '0', '0', '0', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('1745', '1', '5', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'CARTER', 'TN', '3', 'S1', '2', '1', '6544', '1904', 'URM', 'N', '1976', '163200', 'S', 'MIN', '', 'DC', 'SD', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '163200', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '', '', '', '', '', '', 'W', 'W', 'W', 'N', 'N', 'G', '', 'URM', '', 'SW', 'SW', '24.94', '2.0456', '1.30129', '2.66194', '434427.96875', '434427.96875', '0', '0', '0', '0', '0', '0', '0', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('1746', '1', '1', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'CARTER', 'TN', '3', 'S1', '2', '1', '8200', '1904', 'URM', 'N', '1976', '70800', 'S', 'MIN', '', 'DC', 'EW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '70800', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', 'W', 'W', 'N', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '8.63', '2.0456', '1.30129', '2.66194', '188465.078125', '188465.078125', '0', '0', '0', '0', '0', '0', '0', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('1747', '2', '8', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'CARTER', 'TN', '3', 'S1', '1', '1', '4365', '1905', 'URM', 'N', '1976', '71700', 'S', 'MIN', '', 'IO', 'EW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '71700', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '', '', '', '', '', '', 'W', '', 'W', 'N', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '16.43', '2.0456', '1.30129', '2.66194', '190860.828125', '190860.828125', '0', '0', '0', '0', '0', '0', '0', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('1748', '1', '9', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'CARTER', 'TN', '3', 'S1', '2', '1', '14044', '1904', 'URM', 'N', '1976', '425900', 'S', 'ADD', '', 'DC', 'EW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'NE', 'NE', 'NE', '389900', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', 'C', 'C', 'N', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '27.76', '2.0456', '1.30129', '2.66194', '1133718.625', '1037888.875', '0', '0', '0', '0', '0', '0', '0', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('1749', '1', '2', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'CARTER', 'TN', '3', 'S1', '2', '1', '53087', '1902', 'URM', 'N', '1976', '1033300', 'S', 'MIN', '', 'DC', 'SW', 'EW', 'SD', 'WT', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '1033300', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', 'W', 'W', 'N', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '19.46', '2.0456', '1.30129', '2.66194', '2750578.5', '2750578.5', '0', '0', '0', '0', '0', '0', '0', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('1750', '1', '2', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'CARTER', 'TN', '3', 'S1', '1', '1', '16600', '1905', 'URM', 'Y', '1976', '1040000', 'S', 'MIN', '', 'DC', 'BF', 'EW', 'SD', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'NE', 'NE', 'NE', '1040000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'TT', '', 'W', 'N', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '62.65', '2.0456', '1.30129', '2.66194', '2768413.5', '2768413.5', '0', '0', '0', '0', '0', '0', '0', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('1751', '2', '8', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'CARTER', 'TN', '3', 'S1', '2', '1', '30900', '1903', 'URM', 'N', '1976', '339100', 'S', 'MIN', '', 'IO', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '339100', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', 'W', 'W', 'N', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '10.97', '2.0456', '1.30129', '2.66194', '902662.5625', '902662.5625', '0', '0', '0', '0', '0', '0', '0', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('1752', '1', '2', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'CARTER', 'TN', '3', 'S1', '2', '1', '13910', '1903', 'URM', 'N', '1976', '216800', 'S', 'MIN', '', 'DC', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '216800', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', 'W', 'W', 'N', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '15.59', '2.0456', '1.30129', '2.66194', '577107.75', '577107.75', '0', '0', '0', '0', '0', '0', '0', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('1753', '1', '1', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'CARTER', 'TN', '3', 'S1', '1', '1', '3920', '1908', 'URM', 'N', '1976', '92800', 'S', 'MIN', '', 'DC', 'EW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '92800', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '23.67', '2.0456', '1.30129', '2.66194', '247027.671875', '247027.671875', '0', '0', '0', '0', '0', '0', '0', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('1754', '1', '2', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'CARTER', 'TN', '3', 'S1', '3', '1', '38138', '1905', 'URM', 'N', '1976', '167600', 'S', 'MIN', '', 'DC', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '167600', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', 'W', 'W', 'N', 'N', 'G', 'W', 'URM', 'SF', 'SW', 'SW', '4.39', '2.0456', '1.30129', '2.66194', '446140.5', '446140.5', '0', '0', '0', '0', '0', '0', '0', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('1755', '1', '2', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'CARTER', 'TN', '3', 'S1', '1', '0', '9500', '1905', 'URM', 'N', '1976', '89700', 'S', 'MIN', '', 'DC', 'EW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '89700', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', 'W', 'W', 'N', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '9.44', '2.0456', '1.30129', '2.66194', '238775.671875', '238775.671875', '0', '0', '0', '0', '0', '0', '0', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('1756', '1', '5', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'CARTER', 'TN', '3', 'S1', '3', '1', '18500', '1903', 'URM', 'N', '1976', '114910', 'S', 'MIN', '', 'DC', 'SD', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '114910', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', 'W', 'W', 'N', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '6.21', '2.0456', '1.30129', '2.66194', '305883.09375', '305883.09375', '0', '0', '0', '0', '0', '0', '0', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('1758', '12', '32', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'CARTER', 'TN', '3', 'S1', '2', '1', '22640', '1932', 'C3', 'N', '1976', '423400', 'S', 'MIN', '', 'DC', 'SW', 'EW', 'WT', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '423400', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', 'C', 'C', 'M', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '18.7', '2.0456', '1.30129', '2.66194', '1127063.75', '1127063.75', '0', '0', '0', '0', '0', '0', '0', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('1759', '1', '5', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'CARTER', 'TN', '3', 'S1', '3', '1', '28400', '1902', 'URM', 'N', '1976', '335000', 'S', 'MIN', '', 'DC', 'SD', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '335000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '', '', '', '', '', '', 'W', '', 'W', 'N', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '11.8', '2.0456', '1.30129', '2.66194', '891748.625', '891748.625', '0', '0', '0', '0', '0', '0', '0', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('1760', '11', '26', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'CARTER', 'TN', '3', 'S1', '2', '1', '27023', '1939', 'S5', 'N', '1976', '212565', 'S', 'MIN', '', 'DC', 'SW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'NE', 'NE', 'NE', '212565', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'S', 'C', 'W', 'M', 'N', 'G', 'S', '', 'SF', 'SW', 'SW', '7.87', '2.0456', '1.30129', '2.66194', '565834.4375', '565834.4375', '0', '0', '0', '0', '0', '0', '0', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('1761', '11', '11', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'CARTER', 'TN', '3', 'S1', '1', '0', '5387', '1941', 'S5', 'N', '1976', '18914', 'S', 'MIN', '', 'DC', 'SW', 'EW', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'NE', 'NE', 'NE', '18914', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'TT', '', 'W', 'M', 'N', 'G', 'S', '', 'SF', 'SW', 'SW', '3.51', '2.0456', '1.30129', '2.66194', '50347.859375', '50347.859375', '0', '0', '0', '0', '0', '0', '0', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('1762', '16', '55', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'HAMPSHIRE', 'MA', '3', 'S1', '2', '1', '171700', '1923', 'URM', 'N', '1977', '882000', 'S', 'ADD', '', 'IO', 'SW', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'I', 'NE', '810250', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '71750', 'OT', '', '', '', '', '', '', 'W', 'C', 'C', 'N', 'N', 'G', 'C', 'URM', 'SF', 'SW', 'SW', '4.72', '1.8867', '1.0137', '1.91258', '1686892.875', '1549665.5', '0', '0', '0', '0', '0', '0', '0', '137227.390625', '5', '', '', '');
INSERT INTO buildings VALUES ('1764', '16', '48', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'HAMPSHIRE', 'MA', '3', 'S1', '2', '1', '67500', '1938', 'URM', 'N', '1977', '467000', 'S', 'MIN', '', 'IO', 'SW', 'SF', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'NE', 'I', 'NE', '460100', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '6900', '', '', '', '', '', '', '', 'C', 'C', 'C', 'N', 'N', 'G', 'C', 'URM', 'SF', 'SW', 'SW', '6.82', '1.8867', '1.0137', '1.91258', '893173.4375', '879976.625', '0', '0', '0', '0', '0', '0', '0', '13196.78125', '5', '', '', '');
INSERT INTO buildings VALUES ('1765', '16', '46', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'HAMPSHIRE', 'MA', '3', 'S1', '2', '1', '31700', '1923', 'URM', 'N', '1977', '264420', 'S', 'MIN', '', 'IO', 'SW', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'NE', 'NE', 'NE', '264420', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '162', '70', '', '', '12', '', 'W', '', 'C', 'N', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '8.34', '1.8867', '1.0137', '1.91258', '505723.59375', '505723.59375', '0', '0', '0', '0', '0', '0', '0', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('1766', '9', '14', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'HAMPSHIRE', 'MA', '3', 'S1', '1', '1', '64800', '1923', 'URM', 'N', '1977', '317000', 'S', 'MIN', '', 'DC', 'SW', 'SF', 'PB', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'I', 'NE', '282500', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '34500', 'OT', '', '', '', '', '', '', 'C', '', 'C', 'N', 'N', 'G', 'C', 'URM', 'SF', 'SW', 'SW', '4.36', '1.8867', '1.0137', '1.91258', '606286.875', '540303', '0', '0', '0', '0', '0', '0', '0', '65983.90625', '5', '', '', '');
INSERT INTO buildings VALUES ('1767', '16', '46', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'HAMPSHIRE', 'MA', '3', 'S1', '2', '1', '22300', '1923', 'URM', 'N', '1977', '197800', 'S', 'MIN', '', 'IO', 'SW', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'NE', 'NE', 'NE', '197800', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '90.5', '64.5', '', '', '', '', 'W', '', 'C', 'N', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '8.87', '1.8867', '1.0137', '1.91258', '378307.71875', '378307.71875', '0', '0', '0', '0', '0', '0', '0', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('1768', '16', '46', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'HAMPSHIRE', 'MA', '3', 'S1', '1', '1', '30900', '1923', 'URM', 'N', '1977', '197700', 'S', 'MIN', '', 'IO', 'SW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'NE', 'NE', 'NE', '197700', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '312', '21', '312', '21', '', '', 'W', '', 'C', 'N', 'N', 'G', '', 'URM', 'SF', 'SW', 'SW', '6.4', '1.8867', '1.0137', '1.91258', '378116.46875', '378116.46875', '0', '0', '0', '0', '0', '0', '0', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('1770', '16', '48', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'HAMPSHIRE', 'MA', '3', 'S1', '2', '1', '47100', '1923', 'URM', 'N', '1977', '288500', 'S', 'MIN', '', 'IO', 'SW', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'I', 'NE', '267800', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '20700', '', '', '', '', '', '', '', 'W', 'C', 'C', 'N', 'N', 'G', 'C', 'URM', 'SF', 'SW', 'SW', '5.69', '1.8867', '1.0137', '1.91258', '551778.4375', '512188.09375', '0', '0', '0', '0', '0', '0', '0', '39590.34375', '5', '', '', '');
INSERT INTO buildings VALUES ('1771', '9', '37', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'HAMPSHIRE', 'MA', '3', 'S1', '1', '0', '7000', '1923', 'URM', 'N', '1977', '8500', 'S', 'MIN', '', 'DC', 'PB', 'WT', '', '', '', '', 'N', 'N', 'N', 'Y', 'IP', 'I', 'NE', 'I', 'NE', '7450', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '1050', 'R', '170', '34', '170', '34', '12', '12', 'C', '', 'C', 'N', 'N', 'P', '', 'URM', 'SF', 'SW', 'SW', '1.06', '1.8867', '1.0137', '1.91258', '16256.904296875', '14248.698242188', '0', '0', '0', '0', '0', '0', '0', '2008.20581054688', '5', '', '', '');
INSERT INTO buildings VALUES ('1772', '9', '37', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'HAMPSHIRE', 'MA', '3', 'S1', '1', '0', '20800', '1925', 'URM', 'N', '1977', '49700', 'S', 'MIN', '', 'DC', 'WT', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'NE', 'NE', 'NE', '49700', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '175', '61', '175', '61', '', '', 'C', '', 'C', 'N', 'N', 'P', 'C', 'URM', 'SF', 'SW', 'SW', '2.39', '1.8867', '1.0137', '1.91258', '95055.0703125', '95055.0703125', '0', '0', '0', '0', '0', '0', '0', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('1773', '9', '14', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'HAMPSHIRE', 'MA', '3', 'S1', '1', '0', '9500', '1923', 'URM', 'N', '1977', '134700', 'S', 'MIN', '', 'DC', 'SW', 'EW', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '134700', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '25.5', '', 'C', '', 'C', 'N', 'N', 'G', 'S', 'URM', 'SF', 'SW', 'SW', '14.18', '1.8867', '1.0137', '1.91258', '257624.109375', '257624.109375', '0', '0', '0', '0', '0', '0', '0', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('1774', '9', '14', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'HAMPSHIRE', 'MA', '3', 'S1', '2', '0', '9700', '1923', 'URM', 'N', '1977', '134700', 'S', 'MIN', '', 'DC', 'SW', 'EW', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '134700', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', 'N', 'N', 'G', 'C', 'URM', 'SF', 'SW', 'SW', '13.89', '1.8867', '1.0137', '1.91258', '257624.109375', '257624.109375', '0', '0', '0', '0', '0', '0', '0', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('1777', '19', '53', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'OKLAHOMA', 'OK', '3', 'S1', '9', '1', '146400', '1953', 'S5', 'N', '1978', '1435970', 'S', 'MIN', '', 'IO', 'SW', 'BF', 'EW', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '1435970', 'P', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '237', '116', '', '', '', '', 'S', 'S', 'C', 'N', '', '', 'S', '', 'P', 'SW', 'SW', '9.81', '1.7413', '1.27586', '2.22171', '3190305', '3190305', '0', '0', '0', '0', '0', '0', '0', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('1778', '19', '53', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'OKLAHOMA', 'OK', '3', 'S1', '10', '1', '296400', '1953', 'S5', 'N', '1978', '2907690', 'S', 'MIN', '', 'IO', 'SW', 'BF', 'SD', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '2907690', 'P', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '237', '196', '237', '196', '', '', 'S', 'S', 'C', 'N', '', '', 'S', '', 'P', 'SW', 'SW', '9.81', '1.7413', '1.27586', '2.22171', '6460036', '6460036', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1779', '11', '36', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'OKLAHOMA', 'OK', '3', 'S1', '1', '1', '4840', '1953', 'S5', 'N', '1978', '47470', 'S', 'MIN', '', 'DC', 'SW', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'NE', 'NE', '47470', 'P', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '22', 'S', '', 'C', 'N', '', '', 'S', '', 'SF', 'SW', 'SW', '9.81', '1.7413', '1.27586', '2.22171', '105464.4453125', '105464.4453125', '0', '0', '0', '0', '0', '0', '0', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('1780', '11', '26', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'OKLAHOMA', 'OK', '3', 'S1', '3', '1', '16900', '1953', 'S5', 'N', '1978', '165570', 'S', 'MIN', '', 'DC', 'SW', 'EW', 'PB', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'NE', 'NE', '165570', 'P', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', 'N', '', '', 'S', '', 'SF', 'SW', 'SW', '9.8', '1.7413', '1.27586', '2.22171', '367848.09375', '367848.09375', '0', '0', '0', '0', '0', '0', '0', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('1781', '12', '31', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'OKLAHOMA', 'OK', '3', 'S1', '4', '0', '26000', '1970', 'C3', 'N', '1978', '394250', 'S', 'MIN', '', 'DC', 'SW', 'EW', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'NE', 'NE', 'NE', '394250', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', 'C', 'N', '', '', 'C', '', 'P', 'SW', 'SW', '15.16', '1.7413', '1.27586', '2.22171', '875908.125', '875908.125', '0', '0', '0', '0', '0', '0', '0', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('1782', '18', '55', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', '', '6', '1', '102900', '1957', 'C3', 'N', '1984', '3615300', 'S', 'ADD', '', 'IO', 'SW', 'EW', 'SD', 'SF', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '3603300', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '179', '158', '', '', '', '', 'C', 'C', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '35.02', '1.206', '1', '1.20604', '4360198', '4345725.5', '0', '0', '0', '0', '0', '0', '0', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('1783', '18', '54', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', '', '6', '1', '41200', '1957', 'C3', 'N', '1984', '2524700', 'S', 'ADD', '', 'IO', 'SW', 'EW', 'SD', 'SF', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '2425700', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'L', '136', '104', '', '', '', '', 'C', 'C', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '58.88', '1.206', '1', '1.20604', '3044890.5', '2925492.5', '0', '0', '0', '0', '0', '0', '0', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('1785', '18', '47', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', '', '2', '1', '9260', '1957', 'C3', 'N', '1984', '424800', 'S', 'MIN', '', 'IO', 'SW', 'EW', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '424800', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', 'C', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '45.87', '1.206', '1', '1.20604', '512326', '512326', '0', '0', '0', '0', '0', '0', '0', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('1786', '18', '54', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', '', '4', '1', '28750', '1957', 'C3', 'N', '1984', '1064500', 'S', 'ADD', '', 'IO', 'SW', 'EW', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '1044700', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '145', '44', '', '', '', '', 'C', '', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '36.34', '1.206', '1', '1.20604', '1283830.125', '1259950.5', '0', '0', '0', '0', '0', '0', '0', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('1787', '18', '54', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', '', '6', '', '39700', '1968', 'C3', 'N', '1984', '1157100', 'S', 'ADD', '', 'IO', 'EW', 'SD', 'SF', 'SW', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '1144700', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '132.5', '51', '', '', '', '', 'C', '', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '28.83', '1.206', '1', '1.20604', '1395509.5', '1380554.5', '0', '0', '0', '0', '0', '0', '0', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('1788', '18', '54', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', '', '2', '1', '36000', '1957', 'C3', 'N', '1984', '1208800', 'S', 'ADD', '', 'IO', 'EW', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '1144000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '211', '151', '', '', '', '', 'C', 'C', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '31.78', '1.206', '1', '1.20604', '1457861.75', '1379710.375', '0', '0', '0', '0', '0', '0', '0', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('1789', '20', '56', 'DEGENKOLB', TO_DATE('08/10/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', 'S2', '1', '0', '35277', '1974', 'W1', 'N', '1993', '1699100', 'S', 'ADD', '', 'IO', 'SW', 'EW', 'SD', '', '', '', 'N', 'N', 'Y', 'N', 'V', 'I', 'NE', 'I', 'NE', '56600', 'G', 'F', 'F', '', '', '', '', '', '', '', '891400', '', 'L', '280.5', '200.5', '280.5', '200.5', '', '', 'W', '', 'W', 'S', 'N', 'G', 'S', 'W', 'SF', 'SW', 'SW', '1.6', '1', '1', '1', '1699100', '56600', '0', '0', '0', '0', '0', '0', '891400', '0', '8', 'TITLE 24', '', '');
INSERT INTO buildings VALUES ('1790', '18', '54', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', '', '3', '1', '18500', '1957', 'C3', 'N', '1984', '1251300', 'S', 'ADD', '', 'IO', 'EW', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '1201100', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '', '', '', '', '', '', 'C', 'C', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '64.92', '1.206', '1', '1.20604', '1509118.5', '1448575.25', '0', '0', '0', '0', '0', '0', '0', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('1791', '18', '54', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', '', '3', '1', '24700', '1957', 'C3', 'N', '1984', '1441700', 'S', 'ADD', '', 'IO', 'EW', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '1368750', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', '', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '55.41', '1.206', '1', '1.20604', '1738748.625', '1650767.875', '0', '0', '0', '0', '0', '0', '0', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('1792', '18', '54', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', '', '3', '1', '25000', '1984', 'C3', 'N', '1984', '1459300', 'S', 'ADD', '', 'IO', 'EW', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '1385450', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', 'C', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '55.42', '1.206', '1', '1.20604', '1759974.875', '1670908.875', '0', '0', '0', '0', '0', '0', '0', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('1793', '18', '54', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', '', '4', '1', '28500', '1957', 'C3', 'N', '1984', '1927850', 'S', 'ADD', '', 'IO', 'EW', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '1850500', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '98', '94', '', '', '', '', 'C', 'C', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '64.93', '1.206', '1', '1.20604', '2325065.25', '2231778', '0', '0', '0', '0', '0', '0', '0', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('1794', '20', '56', 'DEGENKOLB', TO_DATE('08/10/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', 'S2', '1', '0', '9099', '1974', 'W1', 'N', '1993', '632400', 'S', 'ADD', '', 'IO', 'SW', 'EW', 'PB', '', '', '', 'N', 'N', 'Y', 'N', 'V', 'I', 'I', 'I', 'NE', '43400', 'G', 'F', 'F', '', '', '', '', '', '', '', '295200', '', 'R', '180.5', '50.5', '180.5', '50.5', '32', '32', 'W', '', 'W', 'S', 'N', 'G', 'W', 'W', 'SF', 'SW', 'SW', '4.77', '1', '1', '1', '632400', '43400', '0', '0', '0', '0', '0', '0', '295200', '0', '8', 'TITLE 24', '', '');
INSERT INTO buildings VALUES ('1795', '12', '32', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', '', '3', '1', '19500', '1957', 'C3', 'N', '1984', '1318980', 'S', 'ADD', '', 'DC', 'EW', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '1266100', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', 'C', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '64.93', '1.206', '1', '1.20604', '1590743.25', '1526967.875', '0', '0', '0', '0', '0', '0', '0', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('1796', '12', '32', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', '', '3', '', '26170', '1957', 'C3', 'N', '1984', '1527550', 'S', 'ADD', '', 'DC', 'EW', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '1450250', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', 'C', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '55.42', '1.206', '1', '1.20604', '1842287.125', '1749060.25', '0', '0', '0', '0', '0', '0', '0', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('1797', '12', '32', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', '', '3', '', '23800', '1957', 'C3', 'N', '1984', '1389200', 'S', 'ADD', '', 'DC', 'EW', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '1318900', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', 'C', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '55.42', '1.206', '1', '1.20604', '1675431.5', '1590646.875', '0', '0', '0', '0', '0', '0', '0', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('1798', '18', '47', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', '', '1', '1', '18200', '1957', 'C3', 'N', '1984', '99300', 'S', 'MIN', '', 'IO', 'SW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '99300', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '175', '87', '175', '87', '', '', 'C', '', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '5.46', '1.206', '1', '1.20604', '119759.8203125', '119759.8203125', '0', '0', '0', '0', '0', '0', '0', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('1799', '20', '56', 'DEGENKOLB', TO_DATE('08/10/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', 'S2', '1', '0', '13485', '1974', 'W1', 'N', '1993', '1303600', 'S', 'ADD', '', 'IO', 'SW', 'EW', 'SD', 'PB', '', '', 'N', 'N', 'Y', 'N', 'V', 'I', 'I', 'I', 'NE', '31200', 'G', 'P', 'P', '', '', '', '', '', '', '', '505800', '', 'R', '146.5', '105.5', '146.5', '105.5', '18', '24', 'W', '', 'W', 'S', 'N', 'G', 'W', 'W', 'SF', 'SW', 'SW', '2.31', '1', '1', '1', '1303600', '31200', '0', '0', '0', '0', '0', '0', '505800', '0', '7', 'TITLE 24', '', '');
INSERT INTO buildings VALUES ('1800', '18', '54', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', '', '1', '1', '14400', '1957', 'C3', 'N', '1984', '278600', 'S', 'ADD', '', 'IO', 'EW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '274600', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '224', '135', '224', '135', '', '', 'C', '', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '19.07', '1.206', '1', '1.20604', '336002.875', '331178.71875', '0', '0', '0', '0', '0', '0', '0', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('1801', '12', '30', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', '', '1', '1', '19000', '1957', 'C3', 'N', '1984', '92100', 'S', 'MIN', '', 'DC', 'SW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '92100', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '182', '136', '182', '136', '', '', 'C', '', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '4.85', '1.206', '1', '1.20604', '111076.328125', '111076.328125', '0', '0', '0', '0', '0', '0', '0', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('1802', '12', '30', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', '', '1', '1', '19500', '1957', 'C3', 'N', '1984', '294550', 'S', 'ADD', '', 'DC', 'SW', 'EW', 'SD', 'SF', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '277000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', '', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '14.21', '1.206', '1', '1.20604', '355239.21875', '334073.21875', '0', '0', '0', '0', '0', '0', '0', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('1803', '12', '30', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', '', '1', '1', '15400', '1957', 'C3', 'N', '1984', '232700', 'S', 'ADD', '', 'DC', 'SW', 'EW', 'SD', 'SF', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '218800', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', '', '', '', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '14.21', '1.206', '1', '1.20604', '280645.625', '263881.65625', '0', '0', '0', '0', '0', '0', '0', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('1804', '12', '30', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', '', '1', '1', '28000', '1957', 'C3', 'N', '1984', '841750', 'S', 'ADD', '', 'DC', 'SW', 'EW', 'SD', 'SF', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '772000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '265', '121', '265', '121', '', '', 'C', '', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '27.57', '1.206', '1', '1.20604', '1015184.5625', '931063.25', '0', '0', '0', '0', '0', '0', '0', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('1805', '12', '30', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', '', '1', '0', '5414', '1957', 'C3', 'N', '1984', '204100', 'S', 'ADD', '', 'DC', 'SW', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '191950', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '82', '47', '82', '47', '', '35', 'C', '', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '35.45', '1.206', '1', '1.20604', '246152.859375', '231499.46875', '0', '0', '0', '0', '0', '0', '0', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('1806', '16', '48', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'BUTLER', 'MO', '5', 'S1', '5', '1', '208878', '1950', 'C3', 'N', '1976', '1055400', 'S', 'MIN', '', 'IO', 'SW', 'EW', 'PB', '', '', '', 'N', 'N', 'Y', 'N', 'IP', 'I', 'I', 'I', 'NE', '974100', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '81300', '', '', '', '', '', '', '', 'C', 'C', 'C', 'M', '', '', 'C', '', 'SF', 'SW', 'SW', '4.66', '2.0456', '1.12348', '2.29821', '2425530.75', '2238686.25', '0', '0', '0', '0', '0', '0', '0', '186844.46875', '5', '', '', '');
INSERT INTO buildings VALUES ('1807', '9', '14', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'BUTLER', 'MO', '5', 'S1', '1', '1', '6631', '1950', 'URM', 'N', '1976', '12000', 'S', 'MIN', '', 'DC', 'SW', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'I', 'NE', '11900', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '100', '', '', '', '', '', '', '', 'W', '', 'C', 'M', '', '', '', 'URM', 'SF', 'SW', 'SW', '1.79', '2.0456', '1.12348', '2.29821', '27578.51953125', '27348.69921875', '0', '0', '0', '0', '0', '0', '0', '229.820999145508', '5', '', '', '');
INSERT INTO buildings VALUES ('1808', '9', '36', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'BUTLER', 'MO', '5', 'S1', '1', '1', '4693', '1950', 'URM', 'N', '1976', '4100', 'S', 'MIN', '', 'DC', 'WT', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'NE', 'NE', 'NE', '4100', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'C', 'M', '', '', '', 'URM', 'SF', 'SW', 'SW', '0.87', '2.0456', '1.12348', '2.29821', '9422.6611328125', '9422.6611328125', '0', '0', '0', '0', '0', '0', '0', '0', '5', '', '', '');
INSERT INTO buildings VALUES ('1809', '11', '14', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'BUTLER', 'MO', '5', 'S1', '1', '0', '8505', '1950', 'S5', 'N', '1976', '97900', 'S', 'MIN', '', 'DC', 'EW', 'PB', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '97600', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '300', '', '120', '80', '120', '80', '', '', 'S', '', 'C', 'M', '', '', 'S', '', 'SF', 'SW', 'SW', '11.48', '2.0456', '1.12348', '2.29821', '224994.765625', '224305.296875', '0', '0', '0', '0', '0', '0', '0', '689.463012695313', '5', '', '', '');
INSERT INTO buildings VALUES ('1810', '16', '44', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'PROVIDENCE', 'RI', '3', 'S3', '7', '1', '283852', '1948', 'C3', 'N', '1976', '3026700', 'S', 'MIN', '', 'IO', 'SW', 'EW', 'SD', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'I', 'NE', '2960000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '66700', '', '', '', '', '', '12', '', 'C', 'C', 'C', 'M', '', '', 'C', '', '', 'SW', 'SW', '10.43', '2.0456', '1.02968', '2.10634', '6375250.5', '6234758', '0', '0', '0', '0', '0', '0', '0', '140492.6875', '5', '', '', '');
INSERT INTO buildings VALUES ('1811', '9', '36', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'PROVIDENCE', 'RI', '3', 'S3', '1', '0', '3780', '1948', 'URM', 'N', '1976', '14300', 'S', 'MIN', '', 'DC', 'SD', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'I', 'NE', '14100', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '200', 'R', '90', '42', '90', '42', '', '', 'S', '', 'W', 'N', '', '', '', 'URM', '', 'SW', 'SW', '3.73', '2.0456', '1.02968', '2.10634', '30120.62109375', '29699.353515625', '0', '0', '0', '0', '0', '0', '0', '421.267425537109', '5', '', '', '');
INSERT INTO buildings VALUES ('1812', '9', '36', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'PROVIDENCE', 'RI', '3', 'S3', '1', '1', '3997', '1948', 'URM', 'N', '1976', '14100', 'S', 'MIN', '', 'DC', 'SD', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'I', 'NE', '13900', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '200', 'R', '120', '42', '120', '42', '', '', 'S', '', 'W', '', '', '', '', 'URM', '', 'SW', 'SW', '3.48', '2.0456', '1.02968', '2.10634', '29699.353515625', '29278.0859375', '0', '0', '0', '0', '0', '0', '0', '421.267425537109', '5', '', '', '');
INSERT INTO buildings VALUES ('1813', '9', '37', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'PROVIDENCE', 'RI', '3', 'S3', '1', '1', '5827', '1948', 'URM', 'N', '1976', '17500', 'S', 'MIN', '', 'DC', 'SD', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'I', 'NE', '17300', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '200', '', '', '', '', '', '', '', 'S', '', 'W', 'N', '', '', '', 'URM', '', 'SW', 'SW', '2.97', '2.0456', '1.02968', '2.10634', '36860.8984375', '36439.6328125', '0', '0', '0', '0', '0', '0', '0', '421.267425537109', '5', '', '', '');
INSERT INTO buildings VALUES ('1814', '9', '37', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'PROVIDENCE', 'RI', '3', 'S3', '1', '1', '10069', '1948', 'URM', 'N', '1976', '19200', 'S', 'MIN', '', 'DC', 'SD', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'I', 'NE', '18500', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '700', '', '', '', '', '', '', '', 'W', '', 'W', 'N', '', '', '', 'URM', '', 'SW', 'SW', '1.84', '2.0456', '1.02968', '2.10634', '40441.671875', '38967.23828125', '0', '0', '0', '0', '0', '0', '0', '1474.43603515625', '5', '', '', '');
INSERT INTO buildings VALUES ('1815', '11', '36', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'PROVIDENCE', 'RI', '3', 'S3', '1', '0', '3110', '1948', 'S5', 'N', '1976', '18500', 'S', 'MIN', '', 'DC', 'EW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'I', 'NE', '15050', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '3450', 'R', '75', '40', '75', '40', '28', '', 'S', '', 'C', 'M', '', '', 'S', '', '', 'SW', 'SW', '4.84', '2.0456', '1.02968', '2.10634', '38967.23828125', '31700.373046875', '0', '0', '0', '0', '0', '0', '0', '7266.86328125', '5', '', '', '');
INSERT INTO buildings VALUES ('1816', '16', '49', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'HILLSBOROUGH', 'NH', '3', 'S1', '6', '1', '132000', '1950', 'C3', 'N', '1976', '1568000', 'S', 'MIN', '', 'IO', 'SW', 'SD', 'PB', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '1558400', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '9600', '', '340', '', '340', '', '12.5', '', 'C', 'C', 'C', 'M', '', 'G', 'C', '', 'SF', 'SW', 'SW', '11.81', '2.0456', '1.19099', '2.4363', '3820118.25', '3796729.75', '0', '0', '0', '0', '0', '0', '0', '23388.478515625', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1817', '9', '36', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'HILLSBOROUGH', 'NH', '3', 'S1', '1', '0', '2700', '1948', 'W2', 'N', '1976', '27600', 'S', 'MIN', '', 'DC', 'SW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'I', 'NE', '26650', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '950', 'R', '103', '33', '103', '33', '', '', 'W', '', 'W', 'M', '', '', 'W', 'W', 'SF', 'SW', 'SW', '9.87', '2.0456', '1.19099', '2.4363', '67241.875', '64927.39453125', '0', '0', '0', '0', '0', '0', '0', '2314.48486328125', '5', '', '', '');
INSERT INTO buildings VALUES ('1818', '9', '37', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'HILLSBOROUGH', 'NH', '3', 'S1', '1', '0', '7000', '1949', 'URM', 'N', '1976', '277900', 'S', 'MIN', '', 'DC', 'WT', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'I', 'NE', '66480', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '211420', 'R', '150', '50', '150', '50', '24', '', 'FS', '', 'C', 'N', '', '', '', 'URM', 'SF', 'SW', 'SW', '9.5', '2.0456', '1.19099', '2.4363', '677047.75', '161965.21875', '0', '0', '0', '0', '0', '0', '0', '515082.53125', '5', '', '', '');
INSERT INTO buildings VALUES ('1819', '16', '55', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'WILLIAMSON', 'IL', '4', 'S1', '4', '1', '79809', '1942', 'C3', 'N', '1976', '2761000', 'S', 'ADD', '', 'IO', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'NE', 'I', 'NE', '1543000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '702000', '', '', '', '', '', '', '', 'C', 'C', 'C', 'M', '', '', 'C', '', 'SF', 'SW', 'SW', '19.33', '2.0456', '1.13497', '2.32171', '6410239', '3582397.25', '0', '0', '0', '0', '0', '0', '0', '1629839.875', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1820', '12', '30', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'WILLIAMSON', 'IL', '4', 'S1', '3', '1', '23400', '1942', 'C3', 'N', '1976', '680000', 'S', 'ADD', '', 'DC', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'NE', 'I', 'NE', '535000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '14850', '', '', '', '', '', '', '', 'C', 'C', 'C', 'M', '', '', 'C', '', 'SF', 'SW', 'SW', '22.86', '2.0456', '1.13497', '2.32171', '1578762.25', '1242114.375', '0', '0', '0', '0', '0', '0', '0', '34477.3828125', '5', '', '', '');
INSERT INTO buildings VALUES ('1821', '12', '31', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'WILLIAMSON', 'IL', '4', 'S1', '1', '0', '1500', '1972', 'C3', 'N', '1976', '13500', 'S', 'ADD', '', 'DC', 'SW', 'EW', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'NE', 'I', 'NE', '7990', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '2950', 'R', '', '', '', '', '', '', 'C', '', 'C', 'M', '', '', 'C', '', 'SF', 'SW', 'SW', '5.33', '2.0456', '1.13497', '2.32171', '31343.07421875', '18550.45703125', '0', '0', '0', '0', '0', '0', '0', '6849.0419921875', '5', '', '', '');
INSERT INTO buildings VALUES ('1823', '12', '30', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'WILLIAMSON', 'IL', '4', 'S1', '2', '1', '9293', '1942', 'C3', 'N', '1976', '162000', 'S', 'ADD', '', 'DC', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'NE', 'I', 'NE', '117140', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '12450', 'R', '', '', '', '', '', '', 'C', 'C', 'C', 'M', '', '', 'C', '', 'SF', 'SW', 'SW', '12.61', '2.0456', '1.13497', '2.32171', '376116.90625', '271965.03125', '0', '0', '0', '0', '0', '0', '0', '28905.279296875', '5', '', '', '');
INSERT INTO buildings VALUES ('1824', '12', '30', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'WILLIAMSON', 'IL', '4', 'S1', '2', '1', '9200', '1942', 'C3', 'N', '1976', '161000', 'S', 'ADD', '', 'DC', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'NE', 'I', 'NE', '117200', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '8400', 'R', '', '', '', '', '', '', 'C', 'C', 'C', 'M', '', '', 'C', '', 'SF', 'SW', 'SW', '12.74', '2.0456', '1.13497', '2.32171', '373795.1875', '272104.3125', '0', '0', '0', '0', '0', '0', '0', '19502.357421875', '5', '', '', '');
INSERT INTO buildings VALUES ('1825', '11', '14', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'WILLIAMSON', 'IL', '4', 'S1', '1', '0', '8143', '1942', 'S5', 'N', '1976', '133000', 'S', 'ADD', '', 'DC', 'SW', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'I', 'NE', '105400', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '8300', 'R', '', '', '', '', '', '', 'S', '', 'C', 'M', '', '', 'S', '', 'SF', 'SW', 'SW', '12.94', '2.0456', '1.13497', '2.32171', '308787.3125', '244708.15625', '0', '0', '0', '0', '0', '0', '0', '19270.185546875', '5', '', '', '');
INSERT INTO buildings VALUES ('1826', '9', '13', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'WILLIAMSON', 'IL', '4', 'S1', '1', '0', '5222', '1942', 'URM', 'N', '1976', '37000', 'S', 'ADD', '', 'DC', 'EW', 'PB', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'I', 'NE', '21500', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '2710', 'R', '', '', '', '', '', '', 'S', '', 'C', 'N', '', '', '', 'URM', 'SF', 'SW', 'SW', '4.12', '2.0456', '1.13497', '2.32171', '85903.2421875', '49916.74609375', '0', '0', '0', '0', '0', '0', '0', '6291.83203125', '5', '', '', '');
INSERT INTO buildings VALUES ('1827', '9', '14', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'WILLIAMSON', 'IL', '4', 'S1', '1', '0', '5300', '1942', 'URM', 'N', '1976', '48000', 'S', 'ADD', '', 'DC', 'EW', 'PB', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'I', 'NE', '31900', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '1800', 'R', '', '', '', '', '', '', 'S', '', 'C', 'N', '', '', '', 'URM', 'SF', 'SW', 'SW', '6.02', '2.0456', '1.13497', '2.32171', '111442.0390625', '74062.5234375', '0', '0', '0', '0', '0', '0', '0', '4179.07666015625', '5', '', '', '');
INSERT INTO buildings VALUES ('1828', '18', '48', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'CONTRACOSTA', 'CA', '7', 'S1', '4', '1', '331650', '1960', 'C3', 'N', '1992', '15160000', 'S', 'MIN', '', 'IO', 'SW', 'EW', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '15160000', 'P', 'P', 'P', '', '', '', '60', '', '', '', '', '', '', '', '', '', '', '12', '', 'C', '', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '45.71', '1.0286', '1', '1.02858', '15593296', '15593296', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'VA H08', '', '');
INSERT INTO buildings VALUES ('1829', '20', '56', 'DEGENKOLB', TO_DATE('08/10/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', 'S2', '1', '0', '21346', '1974', 'W1', 'N', '1993', '1093600', 'S', 'ADD', '', 'IO', 'EW', '', '', '', '', '', 'N', 'N', 'Y', 'N', 'V', 'I', 'NE', 'I', 'NE', '46300', 'G', 'F', 'F', '', '', '', '', '', '', '', '533500', '', 'L', '185.5', '180.5', '185.5', '180.5', '', '', 'W', '', 'W', 'S', 'N', 'G', 'S', 'W', 'SF', 'SW', 'SW', '2.17', '1', '1', '1', '1093600', '46300', '0', '0', '0', '0', '0', '0', '533500', '0', '8', '', '', '');
INSERT INTO buildings VALUES ('1830', '12', '30', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'MULTNOMAH', 'OR', '2', 'S1', '1', '2', '19483', '1928', 'C3', 'N', '1976', '241800', 'S', 'MIN', '', 'DC', 'SW', 'EW', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'I', 'NE', '237300', 'G', 'P', 'P', '', '', '', '5', '', '', '', '', '4500', '', '117', '44', '117', '44', '48', '48', 'C', '', 'C', 'N', '', '', 'C', '', '', 'SW', 'SW', '12.18', '2.0456', '1.1269', '2.30521', '557399.6875', '547026.25', '0', '0', '0', '0', '0', '0', '0', '10373.443359375', '5', '', '', '');
INSERT INTO buildings VALUES ('1831', '12', '30', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'MULTNOMAH', 'OR', '2', 'S1', '3', '1', '24099', '1932', 'C3', 'N', '1976', '589100', 'S', 'MIN', '', 'DC', 'SW', 'EW', 'PB', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '483300', 'G', 'P', 'P', '', '', '', '8', '', '', '', '', '105800', 'R', '127', '41', '', '', '11', '37.5', 'C', 'C', '', 'M', '', '', 'C', '', '', 'SW', 'SW', '20.05', '2.0456', '1.1269', '2.30521', '1357999', '1114107.875', '0', '0', '0', '0', '0', '0', '0', '243891.1875', '5', '1970 UBC', '', '');
INSERT INTO buildings VALUES ('1832', '12', '30', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'MULTNOMAH', 'OR', '2', 'S1', '3', '0', '22028', '1928', 'C3', 'N', '1976', '677000', 'S', 'MIN', '', 'DC', 'SW', 'SD', 'PB', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '575800', 'G', 'P', 'P', '', '', '', '9', '', '', '', '', '101200', 'R', '216', '33', '', '', '10', '40', 'C', 'C', 'C', 'M', '', '', 'C', '', 'SF', 'SW', 'SW', '26.14', '2.0456', '1.1269', '2.30521', '1560626.875', '1327339.75', '0', '0', '0', '0', '0', '0', '0', '233287.21875', '5', '1970 UBC', '', '');
INSERT INTO buildings VALUES ('1833', '16', '48', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'MULTNOMAH', 'OR', '2', 'S1', '6', '1', '78495', '1928', 'C3', 'N', '1976', '2099500', 'S', 'MIN', '', 'IO', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'I', 'NE', '1980500', 'G', 'P', 'P', '', '', '', '19', '', '', '', '', '119000', 'R', '169', '40', '', '', '', '62', 'C', 'C', 'C', 'M', '', '', 'C', '', 'SF', 'SW', 'SW', '25.23', '2.0456', '1.1269', '2.30521', '4839787.5', '4565467.5', '0', '0', '0', '0', '0', '0', '0', '274319.9375', '5', '1970 UBC', '', '');
INSERT INTO buildings VALUES ('1834', '12', '37', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'MULTNOMAH', 'OR', '2', 'S1', '3', '1', '32526', '1928', 'C3', 'N', '1976', '601800', 'S', 'MIN', '', 'DC', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'I', 'NE', '523300', 'G', 'P', 'P', '', '', '', '8', '', '', '', '', '78500', 'R', '135', '52', '', '', '', '49', 'C', 'C', 'C', 'M', '', '', 'C', '', 'SF', 'SW', 'SW', '16.09', '2.0456', '1.1269', '2.30521', '1387275.125', '1206316.25', '0', '0', '0', '0', '0', '0', '0', '180958.953125', '5', '1970 UBC', '', '');
INSERT INTO buildings VALUES ('1835', '9', '12', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'MULTNOMAH', 'OR', '2', 'S1', '2', '0', '11015', '1928', 'URM', 'N', '1976', '434800', 'S', 'MIN', '', 'DC', 'SW', 'EW', 'SD', 'WT', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'I', 'NE', '407300', 'G', 'P', 'P', '', '', '', '7', '', '', '', '', '27500', 'R', '117', '39', '', '', '', '47', 'S', 'C', 'ST', 'M', '', '', '', 'URM', 'SF', 'SW', 'SW', '36.98', '2.0456', '1.1269', '2.30521', '1002305.125', '938911.875', '0', '0', '0', '0', '0', '0', '0', '63393.265625', '5', '1970 UBC', '', '');
INSERT INTO buildings VALUES ('1836', '16', '47', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'MULTNOMAH', 'OR', '2', 'S1', '3', '0', '19320', '1928', 'C3', 'N', '1976', '632300', 'S', 'MIN', '', 'IO', 'SW', 'PB', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'I', 'NE', '578700', 'G', 'P', 'P', '', '', '', '10', '', '', '', '', '53600', '', '157', '36', '', '', '', '38', 'C', 'C', 'C', 'M', '', '', 'C', '', 'SF', 'SW', 'SW', '29.95', '2.0456', '1.1269', '2.30521', '1457584', '1334024.875', '0', '0', '0', '0', '0', '0', '0', '123559.234375', '5', '1970 UBC', '', '');
INSERT INTO buildings VALUES ('1837', '16', '47', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'MULTNOMAH', 'OR', '2', 'S1', '3', '0', '18433', '1928', 'C3', 'N', '1976', '619700', 'S', 'MIN', '', 'IO', 'SW', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'I', 'NE', '486300', 'G', 'P', 'P', '', '', '', '9', '', '', '', '', '133400', '', '136', '40', '', '', '', '39', 'C', 'C', 'C', 'M', '', '', 'C', '', 'SF', 'SW', 'SW', '26.38', '2.0456', '1.1269', '2.30521', '1428538.375', '1121023.5', '0', '0', '0', '0', '0', '0', '0', '307514.96875', '5', '1970 UBC', '', '');
INSERT INTO buildings VALUES ('1838', '12', '30', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'MULTNOMAH', 'OR', '2', 'S1', '2', '0', '4744', '1928', 'C3', 'N', '1976', '58400', 'S', 'MIN', '', 'DC', 'SW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'I', 'NE', '49900', 'G', 'P', 'P', '', '', '', '3', '', '', '', '', '8500', '', '101', '21', '', '', '', '', 'C', 'C', 'C', 'M', '', '', 'C', '', '', 'SW', 'SW', '10.52', '2.0456', '1.1269', '2.30521', '134624.25', '115029.9609375', '0', '0', '0', '0', '0', '0', '0', '19594.28125', '5', '1970 UBC', '', '');
INSERT INTO buildings VALUES ('1843', '9', '14', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'MULTNOMAH', 'OR', '2', 'S1', '2', '0', '37664', '1928', 'URM', 'N', '1976', '278400', 'S', 'MIN', '', 'DC', 'EW', 'EF', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'I', 'NE', '272500', 'P', 'P', 'P', '', '', '', '4', '', '', '', '', '5900', '', '', '', '', '', '', '', 'W', 'C', 'C', 'N', '', '', 'W', 'URM', '', 'SW', 'SW', '7.24', '2.0456', '1.1269', '2.30521', '641770.375', '628169.625', '0', '0', '0', '0', '0', '0', '0', '13600.7373046875', '5', '', '', '');
INSERT INTO buildings VALUES ('1844', '9', '12', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'SANMATEO', 'CA', '7', '', '1', '0', '7600', '1959', 'C2', 'N', '1987', '86250', 'S', 'MIN', '', 'DC', 'BF', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'NE', 'NE', 'NE', '86250', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'S', '', 'MD', 'N', '', '', '', 'C', 'SF', 'SW', 'SW', '11.35', '1.1472', '1', '1.14719', '98944.8046875', '98944.8046875', '0', '0', '0', '0', '0', '0', '0', '0', '6', '', '', '');
INSERT INTO buildings VALUES ('1845', '12', '30', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'SANMATEO', 'CA', '7', '', '2', '1', '16907', '1929', 'C3', 'N', '1988', '813200', 'S', 'MIN', '', 'DC', 'SW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'NE', 'NE', 'NE', '343700', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '469500', '', '', '', '', '', '', '', 'C', 'C', 'C', 'N', '', '', 'C', '', '', 'SW', 'SW', '20.33', '1.122', '1', '1.12202', '912424.125', '385637.21875', '0', '0', '0', '0', '0', '0', '0', '526786.9375', '6', '', '', '');
INSERT INTO buildings VALUES ('1846', '9', '12', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'SANMATEO', 'CA', '7', '', '2', '0', '16284', '1929', 'C2', 'N', '1988', '741300', 'S', 'MIN', '', 'DC', 'EW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'NE', 'NE', 'NE', '741300', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', 'W', 'N', '', '', '', 'C', '', 'SW', 'SW', '45.52', '1.122', '1', '1.12202', '831751.125', '831751.125', '0', '0', '0', '0', '0', '0', '0', '0', '6', '', '', '');
INSERT INTO buildings VALUES ('1847', '9', '11', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'SANMATEO', 'CA', '7', '', '1', '0', '5224', '1959', 'URM', 'N', '1988', '114300', 'S', 'MIN', '', 'DC', 'SW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'NE', 'NE', 'NE', '114300', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'PC', 'N', '', '', '', 'URM', 'SF', 'SW', 'SW', '21.88', '1.122', '1', '1.12202', '128246.53125', '128246.53125', '0', '0', '0', '0', '0', '0', '0', '0', '6', '', '', '');
INSERT INTO buildings VALUES ('1848', '9', '23', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'SANMATEO', 'CA', '7', '', '1', '0', '79184', '1965', 'RM1', 'N', '1988', '665100', 'S', 'MIN', '', 'DC', 'BF', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'NE', 'NE', 'NE', '665100', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'S', '', 'MD', 'N', '', '', '', 'RM', '', 'SW', 'SW', '8.4', '1.122', '1', '1.12202', '746253.4375', '746253.4375', '0', '0', '0', '0', '0', '0', '0', '0', '6', '', '', '');
INSERT INTO buildings VALUES ('1849', '9', '12', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'SANMATEO', 'CA', '7', '', '1', '1', '27590', '1968', 'C2', 'N', '1988', '306500', 'S', 'MIN', '', 'DC', 'EW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'NE', 'NE', 'NE', '306500', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'S', '', 'MDF', 'N', '', '', '', 'C', 'SF', 'SW', 'SW', '11.11', '1.122', '1', '1.12202', '343898.1875', '343898.1875', '0', '0', '0', '0', '0', '0', '0', '0', '6', '', '', '');
INSERT INTO buildings VALUES ('1850', '7', '23', 'DEGENKOLB', TO_DATE('07/28/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S1', '2', '1', '33792', '1969', 'PC2', 'N', '1988', '2027013', 'S', 'MIN', '', 'LS', 'SW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'OK', 'NE', '2027013', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '176', '64', '176', '64', '12', '43', 'C', 'C', 'C', 'N', 'N', 'G', 'PC', '', '', 'SW', 'SW', '59.98', '1.122', '1', '1.12202', '2274342.75', '2274342.75', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('1851', '7', '12', 'DEGENKOLB', TO_DATE('08/05/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S1', '1', '0', '14520', '1949', 'S2', 'N', '1988', '83344', 'S', 'MIN', '', 'LS', 'BF', 'EF', 'SD', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'I', 'NE', '75144', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '8200', 'R', '242', '60', '242', '60', '17', '17', 'S', '', 'W', 'N', 'N', 'G', 'S', 'C', 'SF', 'BF', 'SW', '5.18', '1.122', '1', '1.12202', '93513.375', '84312.8359375', '0', '0', '0', '0', '0', '0', '0', '9200.5390625', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('1852', '7', '12', 'DEGENKOLB', TO_DATE('08/05/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S1', '1', '0', '14520', '1949', 'S3', 'N', '1988', '90000', 'S', 'MIN', '', 'LS', 'BF', 'EF', 'SD', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'I', 'NE', '80640', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '9360', 'R', '242', '60', '242', '60', '17', '17', 'S', '', 'W', 'CW', 'N', 'G', 'S', '', 'SF', 'BF', 'MF', '5.55', '1.122', '1', '1.12202', '100981.5234375', '90479.4453125', '0', '0', '0', '0', '0', '0', '0', '10502.078125', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('1853', '7', '12', 'DEGENKOLB', TO_DATE('08/05/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S1', '1', '0', '16376', '1949', 'S4', 'N', '1988', '76000', 'S', 'MIN', '', 'LS', 'EF', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'OK', 'NE', '76000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '280', '58', '280', '58', '14.5', '14.5', 'S', '', 'W', 'N', 'N', 'G', 'S', '', 'SF', 'SW', 'SW', '4.64', '1.122', '1', '1.12202', '85273.28125', '85273.28125', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('1854', '7', '12', 'DEGENKOLB', TO_DATE('08/05/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S1', '1', '0', '6600', '', 'S4', 'N', '1988', '28000', 'S', 'MIN', '', 'LS', 'SD', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'OK', 'NE', '28000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '220', '30', '220', '30', '16', '16', 'S', '', 'W', 'N', 'N', 'G', 'S', '', 'SF', 'SW', 'SW', '4.24', '1.122', '1', '1.12202', '31416.47265625', '31416.47265625', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('1855', '11', '25', 'DEGENKOLB', TO_DATE('08/05/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', '', '4', '1', '61780', '1932', 'S5', 'N', '1988', '3289308', 'S', 'MIN', '', 'LS', 'BF', 'EW', 'SD', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'I', 'NE', '3289308', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'C', '205', '118', '205', '118', '', '61', 'S', 'S', 'C', 'N', 'N', 'G', 'S', '', 'SF', 'SW', 'SW', '53.24', '1.122', '1', '1.12202', '3690659.25', '3690659.25', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('1856', '1', '3', 'DEGENKOLB', TO_DATE('08/05/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S2', '2', '0', '10700', '1915', 'C2', 'N', '1988', '569700', 'S', 'MIN', '', 'LS', 'BF', 'EW', 'SD', '', '', '', 'Y', 'N', 'N', 'N', '', 'I', 'OK', 'I', 'NE', '569700', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'C', '', '', '', '', '', '', 'S', 'S', 'C', 'M', 'N', 'G', 'C', 'C', 'SF', 'SW', 'SW', '53.24', '1.122', '1', '1.12202', '639213.0625', '639213.0625', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('1857', '7', '23', 'DEGENKOLB', TO_DATE('08/05/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S1', '1', '1', '57000', '1948', 'S4', 'N', '1988', '269621', 'S', 'MIN', '', 'LS', 'EW', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'I', 'NE', '269621', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'L', '212', '186', '212', '186', '12.25', '35', 'S', '', 'C', 'N', 'N', 'G', 'S', '', 'SF', 'SW', 'SW', '4.73', '1.122', '1', '1.12202', '302519.3125', '302519.3125', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('1858', '7', '12', 'DEGENKOLB', TO_DATE('08/05/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S1', '1', '0', '6897', '1949', 'S4', 'N', '1988', '33000', 'S', 'MIN', '', 'LS', 'SD', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'OK', 'NE', '33000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '242', '28.5', '242', '28.5', '14', '14', 'S', '', 'W', 'N', 'N', 'G', 'S', '', 'SF', 'SW', 'SW', '4.78', '1.122', '1', '1.12202', '37026.55859375', '37026.55859375', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('1859', '7', '12', 'DEGENKOLB', TO_DATE('08/05/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S1', '1', '0', '8580', '1949', 'S1', 'N', '1988', '40000', 'S', 'MIN', '', 'LS', 'BF', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'OK', 'NE', '40000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '66', '30', '66', '30', '14', '16', 'S', '', 'MDF', 'CW', 'N', 'G', 'S', 'C', '', 'MF', 'SW', '4.66', '1.122', '1', '1.12202', '44880.67578125', '44880.67578125', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('1860', '7', '11', 'DEGENKOLB', TO_DATE('08/05/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S1', '1', '0', '5100', '1949', 'S4', 'N', '1988', '22000', 'S', 'MIN', '', 'LS', 'SD', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'OK', 'NE', '22000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '176', '30', '176', '30', '16', '16', 'S', '', 'W', 'N', 'N', 'G', 'S', '', 'SF', 'SW', 'SW', '4.31', '1.122', '1', '1.12202', '24684.37109375', '24684.37109375', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('1861', '11', '25', 'DEGENKOLB', TO_DATE('08/05/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S1', '7', '0', '102700', '1934', 'S5', 'N', '1988', '5565832', 'S', 'MIN', '', 'LS', 'BF', 'PB', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'I', 'NE', '4810427', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '755400', 'OT', '195', '153', '', '', '12', '92', 'S', 'S', 'C', 'M', 'N', 'G', 'S', '', 'SF', 'SW', 'SW', '46.84', '1.122', '1', '1.12202', '6244957.5', '5397380.5', '0', '0', '0', '0', '0', '0', '0', '847571.5625', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('1862', '7', '23', 'DEGENKOLB', TO_DATE('08/05/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S1', '5', '1', '172000', '1959', 'C2', 'N', '1988', '6287238', 'S', 'MIN', '', 'LS', 'SW', 'BF', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'OK', 'NE', '6287238', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '208', '38', '208', '38', '14', '80', 'FS', 'FS', 'C', 'M', 'N', 'G', 'C', 'C', 'SF', 'SW', 'SW', '36.55', '1.122', '1', '1.12202', '7054387.5', '7054387.5', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('1863', '1', '4', 'DEGENKOLB', TO_DATE('08/05/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', '', '3', '1', '30800', '1909', 'S5', 'N', '1988', '1206676', 'S', 'MIN', '', 'LS', 'SW', 'PB', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '1206676', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '149', '85', '149', '85', '14', '47', 'C', 'S', 'C', 'N', 'N', 'G', 'S', '', 'SF', 'SW', 'SW', '39.18', '1.122', '1', '1.12202', '1353910.875', '1353910.875', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('1864', '1', '3', 'DEGENKOLB', TO_DATE('08/05/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', '', '2', '0', '9630', '1915', 'C3', 'N', '1988', '149000', 'S', 'MIN', '', 'LS', 'SW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'I', 'NE', '143060', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '5940', 'R', '91', '56', '91', '56', '28', '50', 'TT', 'S', 'W', 'N', 'N', 'G', 'C', '', '', 'SW', 'SW', '14.86', '1.122', '1', '1.12202', '167180.515625', '160515.734375', '0', '0', '0', '0', '0', '0', '0', '6664.7802734375', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('1865', '1', '4', 'DEGENKOLB', TO_DATE('08/04/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', '', '1', '1', '5950', '1916', 'URM', 'N', '1988', '143000', 'S', 'MIN', '', 'LS', 'EW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'I', 'NE', '137720', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '5280', 'OT', '86', '60', '86', '30', '28', '39', 'S', '', 'W', 'M', 'N', 'G', '', 'URM', '', 'SW', 'SW', '23.15', '1.122', '1', '1.12202', '160448.421875', '154524.171875', '0', '0', '0', '0', '0', '0', '0', '5924.2490234375', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('1866', '1', '5', 'DEGENKOLB', TO_DATE('08/04/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', '', '2', '0', '8810', '1909', 'URM', 'N', '1988', '127000', 'S', 'MIN', '', 'LS', 'EF', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'I', 'NE', '121200', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '5800', 'R', '102', '42', '102', '42', '11', '37', 'W', 'S', 'W', 'N', 'N', 'F', 'W', 'URM', '', 'SW', 'SW', '13.76', '1.122', '1', '1.12202', '142496.140625', '135988.453125', '0', '0', '0', '0', '0', '0', '0', '6507.6982421875', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('1867', '1', '5', 'DEGENKOLB', TO_DATE('08/04/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', '', '1', '1', '9719', '1914', 'C2', 'N', '1988', '83000', 'S', 'MIN', '', 'LS', 'SD', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'OK', 'NE', '83000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '81', '59', '81', '59', '30', '32', 'W', '', 'W', 'N', 'N', 'G', 'C', 'C', '', 'SW', 'SW', '8.54', '1.122', '1', '1.12202', '93127.40625', '93127.40625', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('1868', '12', '32', 'DEGENKOLB', TO_DATE('08/05/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', '', '2', '0', '8990', '1918', 'C3', 'N', '1988', '89000', 'S', 'MIN', '', 'LS', 'EW', 'SF', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'I', 'NE', '75800', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '13200', 'R', '82', '65', '82', '65', '24', '32', 'W', '', 'W', 'N', 'N', 'G', 'C', '', '', 'SW', 'SW', '8.43', '1.122', '1', '1.12202', '99859.5078125', '85048.8828125', '0', '0', '0', '0', '0', '0', '0', '14810.623046875', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('1869', '7', '29', 'DEGENKOLB', TO_DATE('08/05/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', '', '1', '1', '7300', '1919', 'URM', 'N', '1988', '195000', 'S', 'MIN', '', 'LS', 'SD', 'PB', 'WT', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'I', 'NE', '185360', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '9640', 'OT', '76', '69', '76', '69', '26', '29', 'W', '', 'W', 'N', 'N', 'G', 'C', 'URM', '', 'SW', 'SW', '25.39', '1.122', '1', '1.12202', '218793.296875', '207977.046875', '0', '0', '0', '0', '0', '0', '0', '10816.2431640625', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('1870', '1', '7', 'DEGENKOLB', TO_DATE('08/06/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', '', '4', '1', '336000', '1914', 'S5', 'N', '1988', '11445000', 'S', 'MIN', '', 'LS', 'SW', 'EW', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'OK', 'NE', '11445000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '400', '246', '400', '246', '', '120', 'C', 'S', 'C', 'M', 'N', 'G', 'S', '', 'SF', 'SW', 'SW', '34.06', '1.122', '1', '1.12202', '12841483', '12841483', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('1871', '7', '23', 'DEGENKOLB', TO_DATE('08/03/93','MM/DD/YY'), 'SANMATEO', 'CA', '7', 'S1', '6', '0', '145000', '1932', 'C2', 'N', '1988', '3238000', 'S', 'MIN', '', 'LS', 'BF', 'EW', '', '', '', '', 'N', 'N', 'N', 'Y', 'TR', 'I', 'OK', 'I', 'NE', '2643000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '407', '168', '407', '168', '12', '106', 'C', 'C', 'C', 'N', 'Y', 'G', 'C', 'C', 'SF', 'SW', 'SW', '18.23', '1.122', '1', '1.12202', '3633090.75', '2965490.75', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('1875', '1', '2', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'MARICOPA', 'AZ', '1', 'S2', '2', '0', '15000', '1903', 'URM', 'N', '1975', '227750', 'S', 'MIN', '', 'DC', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '227750', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', '', '', '', 'URM', 'SF', 'SW', 'SW', '15.18', '2.232', '1.23608', '2.75894', '628348.25', '628348.25', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1877', '1', '2', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'MARICOPA', 'AZ', '1', 'S2', '2', '0', '34000', '1903', 'URM', 'N', '1975', '463900', 'S', 'MIN', '', 'DC', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '463900', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', '', '', '', 'URM', 'SF', 'SW', 'SW', '13.64', '2.232', '1.23608', '2.75894', '1279871.5', '1279871.5', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1878', '1', '1', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'MARICOPA', 'AZ', '1', 'S2', '2', '0', '9000', '1903', 'URM', 'N', '1975', '145500', 'S', 'MIN', '', 'DC', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '145500', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', '', '', '', 'URM', 'SF', 'SW', 'SW', '16.17', '2.232', '1.23608', '2.75894', '401425.53125', '401425.53125', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1879', '1', '2', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'MARICOPA', 'AZ', '1', 'S2', '2', '0', '20000', '1903', 'URM', 'N', '1975', '309000', 'S', 'MIN', '', 'DC', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '309000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', '', '', '', 'URM', 'SF', 'SW', 'SW', '15.45', '2.232', '1.23608', '2.75894', '852512', '852512', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1880', '1', '1', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'MARICOPA', 'AZ', '1', 'S2', '2', '0', '3500', '1903', 'URM', 'N', '1975', '56250', 'S', 'MIN', '', 'DC', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '56250', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', '', '', '', 'URM', 'SF', 'SW', 'SW', '16.07', '2.232', '1.23608', '2.75894', '155190.28125', '155190.28125', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1881', '1', '1', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'MARICOPA', 'AZ', '1', 'S2', '2', '0', '4800', '1903', 'URM', 'N', '1975', '76000', 'S', 'MIN', '', 'DC', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '76000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', '', '', '', 'URM', 'SF', 'SW', 'SW', '15.83', '2.232', '1.23608', '2.75894', '209679.328125', '209679.328125', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1882', '1', '1', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'MARICOPA', 'AZ', '1', 'S2', '2', '0', '2100', '1903', 'URM', 'N', '1975', '21200', 'S', 'MIN', '', 'DC', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '21200', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', '', '', '', 'URM', 'SF', 'SW', 'SW', '10.1', '2.232', '1.23608', '2.75894', '58489.49609375', '58489.49609375', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1883', '1', '1', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'MARICOPA', 'AZ', '1', 'S2', '2', '0', '7800', '1903', 'URM', 'N', '1975', '69600', 'S', 'MIN', '', 'DC', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '69600', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', '', '', '', 'URM', 'SF', 'SW', 'SW', '8.92', '2.232', '1.23608', '2.75894', '192022.109375', '192022.109375', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1884', '1', '1', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'MARICOPA', 'AZ', '1', 'S2', '2', '0', '3900', '1903', 'URM', 'N', '1975', '48600', 'S', 'MIN', '', 'DC', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '48600', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', '', '', '', 'URM', 'SF', 'SW', 'SW', '12.46', '2.232', '1.23608', '2.75894', '134084.40625', '134084.40625', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1885', '9', '28', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'SANMATEO', 'CA', '7', '', '2', '0', '12642', '1922', 'URM', 'N', '1988', '966200', 'S', 'MIN', '', 'DC', 'SW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'NE', 'NE', 'NE', '966200', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', 'C', 'C', 'N', '', '', '', 'URM', 'SF', 'SW', 'SW', '76.43', '1.122', '1', '1.12202', '1084092.75', '1084092.75', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1888', '16', '46', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'WHEELER', 'OR', '1', '', '2', '0', '14292', '1942', 'URM', 'N', '1975', '85900', 'S', 'MIN', '', 'IO', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '85900', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', '', '', '', 'URM', 'SF', 'SW', 'SW', '6.01', '2.232', '1.1269', '2.51526', '216060.453125', '216060.453125', '0', '0', '0', '0', '0', '0', '0', '0', '5', '1970 UBC', '', '');
INSERT INTO buildings VALUES ('1889', '16', '46', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'WHEELER', 'OR', '1', '', '2', '0', '17088', '1942', 'URM', 'N', '1975', '125525', 'S', 'MIN', '', 'IO', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '125525', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', '', '', '', 'URM', 'SF', 'SW', 'SW', '7.35', '2.232', '1.1269', '2.51526', '315727.4375', '315727.4375', '0', '0', '0', '0', '0', '0', '0', '0', '5', '1970 UBC', '', '');
INSERT INTO buildings VALUES ('1890', '16', '46', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'WHEELER', 'OR', '1', '', '2', '0', '18280', '1942', 'URM', 'N', '1975', '135260', 'S', 'MIN', '', 'IO', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '135260', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', '', '', '', 'URM', 'SF', 'SW', 'SW', '7.4', '2.232', '1.1269', '2.51526', '340213.46875', '340213.46875', '0', '0', '0', '0', '0', '0', '0', '0', '5', '1970 UBC', '', '');
INSERT INTO buildings VALUES ('1891', '16', '46', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'WHEELER', 'OR', '1', '', '2', '0', '22256', '1942', 'URM', 'N', '1975', '187565', 'S', 'MIN', '', 'IO', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '187565', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', '', '', '', 'URM', 'SF', 'SW', 'SW', '8.43', '2.232', '1.1269', '2.51526', '471773.90625', '471773.90625', '0', '0', '0', '0', '0', '0', '0', '0', '5', '1970 UBC', '', '');
INSERT INTO buildings VALUES ('1892', '16', '46', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'WHEELER', 'OR', '1', '', '2', '0', '23127', '1942', 'URM', 'N', '1975', '192775', 'S', 'MIN', '', 'IO', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '192775', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', '', '', '', 'URM', 'SF', 'SW', 'SW', '8.34', '2.232', '1.1269', '2.51526', '484878.375', '484878.375', '0', '0', '0', '0', '0', '0', '0', '0', '5', '1970 UBC', '', '');
INSERT INTO buildings VALUES ('1893', '16', '46', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'WHEELER', 'OR', '1', '', '2', '0', '23681', '1942', 'URM', 'N', '1975', '176300', 'S', 'MIN', '', 'IO', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '176300', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', '', '', '', 'URM', 'SF', 'SW', 'SW', '7.44', '2.232', '1.1269', '2.51526', '443439.5625', '443439.5625', '0', '0', '0', '0', '0', '0', '0', '0', '5', '1970 UBC', '', '');
INSERT INTO buildings VALUES ('1894', '16', '46', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'WHEELER', 'OR', '1', '', '2', '0', '24862', '1942', 'URM', 'N', '1975', '176300', 'S', 'MIN', '', 'IO', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '176300', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', '', '', '', 'URM', 'SF', 'SW', 'SW', '7.09', '2.232', '1.1269', '2.51526', '443439.5625', '443439.5625', '0', '0', '0', '0', '0', '0', '0', '0', '5', '1970 UBC', '', '');
INSERT INTO buildings VALUES ('1896', '16', '46', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'WHEELER', 'OR', '1', '', '2', '0', '24147', '1942', 'URM', 'N', '1975', '184540', 'S', 'MIN', '', 'IO', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '184540', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', '', '', '', 'URM', 'SF', 'SW', 'SW', '7.64', '2.232', '1.1269', '2.51526', '464165.25', '464165.25', '0', '0', '0', '0', '0', '0', '0', '0', '5', '1970 UBC', '', '');
INSERT INTO buildings VALUES ('1897', '16', '46', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'WHEELER', 'OR', '1', '', '2', '0', '23988', '1942', 'URM', 'N', '1975', '236105', 'S', 'MIN', '', 'IO', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '236105', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', '', '', '', 'URM', 'SF', 'SW', 'SW', '9.84', '2.232', '1.1269', '2.51526', '593864.4375', '593864.4375', '0', '0', '0', '0', '0', '0', '0', '0', '5', '1970 UBC', '', '');
INSERT INTO buildings VALUES ('1900', '16', '46', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'WHEELER', 'OR', '1', '', '2', '0', '23711', '1942', 'URM', 'N', '1975', '201680', 'S', 'MIN', '', 'IO', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '201680', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', '', '', '', 'URM', 'SF', 'SW', 'SW', '8.51', '2.232', '1.1269', '2.51526', '507276.75', '507276.75', '0', '0', '0', '0', '0', '0', '0', '0', '5', '1970 UBC', '', '');
INSERT INTO buildings VALUES ('1901', '16', '46', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'WHEELER', 'OR', '1', '', '2', '0', '23155', '1942', 'URM', 'N', '1975', '187565', 'S', 'MIN', '', 'IO', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '187565', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', '', '', '', 'URM', 'SF', 'SW', 'SW', '8.1', '2.232', '1.1269', '2.51526', '471773.90625', '471773.90625', '0', '0', '0', '0', '0', '0', '0', '0', '5', '1970 UBC', '', '');
INSERT INTO buildings VALUES ('1902', '16', '46', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'WHEELER', 'OR', '1', '', '2', '0', '23876', '1942', 'URM', 'N', '1975', '187565', 'S', 'MIN', '', 'IO', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '187565', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', '', '', '', 'URM', 'SF', 'SW', 'SW', '7.86', '2.232', '1.1269', '2.51526', '471773.90625', '471773.90625', '0', '0', '0', '0', '0', '0', '0', '0', '5', '1970 UBC', '', '');
INSERT INTO buildings VALUES ('1903', '16', '46', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'WHEELER', 'OR', '1', '', '2', '0', '23196', '1942', 'URM', 'N', '1975', '203740', 'S', 'MIN', '', 'IO', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '203740', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', '', '', '', 'URM', 'SF', 'SW', 'SW', '8.78', '2.232', '1.1269', '2.51526', '512458.15625', '512458.15625', '0', '0', '0', '0', '0', '0', '0', '0', '5', '1970 UBC', '', '');
INSERT INTO buildings VALUES ('1904', '16', '46', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'WHEELER', 'OR', '1', '', '2', '0', '27066', '1942', 'URM', 'N', '1975', '187565', 'S', 'MIN', '', 'IO', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '187565', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', '', '', '', 'URM', 'SF', 'SW', 'SW', '6.93', '2.232', '1.1269', '2.51526', '471773.90625', '471773.90625', '0', '0', '0', '0', '0', '0', '0', '0', '5', '1970 UBC', '', '');
INSERT INTO buildings VALUES ('1905', '16', '46', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'WHEELER', 'OR', '1', '', '2', '0', '28221', '1942', 'URM', 'N', '1975', '187565', 'S', 'MIN', '', 'IO', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '187565', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', '', '', '', 'URM', 'SF', 'SW', 'SW', '6.65', '2.232', '1.1269', '2.51526', '471773.90625', '471773.90625', '0', '0', '0', '0', '0', '0', '0', '0', '5', '1970 UBC', '', '');
INSERT INTO buildings VALUES ('1906', '16', '46', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'WHEELER', 'OR', '1', '', '2', '0', '26834', '1942', 'URM', 'N', '1975', '208000', 'S', 'MIN', '', 'IO', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '208000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', '', '', '', 'URM', 'SF', 'SW', 'SW', '7.75', '2.232', '1.1269', '2.51526', '523173.15625', '523173.15625', '0', '0', '0', '0', '0', '0', '0', '0', '5', '1970 UBC', '', '');
INSERT INTO buildings VALUES ('1907', '16', '46', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'WHEELER', 'OR', '1', '', '2', '0', '21262', '1942', 'URM', 'N', '1975', '176300', 'S', 'MIN', '', 'IO', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '176300', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', '', '', '', 'URM', 'SF', 'SW', 'SW', '8.29', '2.232', '1.1269', '2.51526', '443439.5625', '443439.5625', '0', '0', '0', '0', '0', '0', '0', '0', '5', '1970 UBC', '', '');
INSERT INTO buildings VALUES ('1908', '16', '46', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'WHEELER', 'OR', '1', '', '2', '0', '26834', '1942', 'URM', 'N', '1975', '201645', 'S', 'MIN', '', 'IO', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '201645', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', '', '', '', 'URM', 'SF', 'SW', 'SW', '7.51', '2.232', '1.1269', '2.51526', '507188.6875', '507188.6875', '0', '0', '0', '0', '0', '0', '0', '0', '5', '1970 UBC', '', '');
INSERT INTO buildings VALUES ('1909', '16', '46', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'WHEELER', 'OR', '1', '', '2', '0', '26801', '1942', 'URM', 'N', '1975', '180525', 'S', 'MIN', '', 'IO', 'SW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '180525', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', '', '', '', 'URM', 'SF', 'SW', 'SW', '6.74', '2.232', '1.1269', '2.51526', '454066.5', '454066.5', '0', '0', '0', '0', '0', '0', '0', '0', '5', '1970 UBC', '', '');
INSERT INTO buildings VALUES ('1911', '17', '56', 'DEGENKOLB', TO_DATE('08/10/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', '', '1', '0', '16622', '1974', 'W2', 'N', '1993', '1484100', 'S', 'ADD', '', 'IO', 'EW', 'SD', 'PB', '', '', '', 'N', 'N', 'Y', 'N', 'V', 'I', 'I', 'I', 'NE', '81100', 'G', 'F', 'F', '', '', '', '', '', '', '', '753800', '', 'R', '160', '100.5', '160', '100.5', '16', '24', 'W', '', 'W', 'S', 'N', 'G', 'S', 'W', 'SF', 'SW', 'SW', '4.88', '1', '1', '1', '1484100', '81100', '0', '0', '0', '0', '0', '0', '753800', '0', '8', 'TITLE 24', '', '');
INSERT INTO buildings VALUES ('1912', '12', '32', 'VADC', TO_DATE('07/26/93','MM/DD/YY'), 'SALEMCITY', 'VA', '3', 'S2', '3', '1', '20119', '1933', 'C3', 'N', '1978', '316580', 'S', 'MIN', '', 'DC', 'EW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'NE', '316580', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '', '', '', '', '', '', 'C', 'C', 'C', 'M', '', '', 'C', '', '', 'SW', 'SW', '15.74', '1.7413', '1.33094', '2.31761', '733708.4375', '733708.4375', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1913', '16', '44', 'VADC', TO_DATE('07/26/93','MM/DD/YY'), 'SALEMCITY', 'VA', '3', 'S2', '4', '1', '100360', '1934', 'C3', 'N', '1978', '1359500', 'S', 'MIN', '', 'IO', 'EW', 'SF', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'NE', '1359500', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', 'C', 'C', 'M', '', '', 'C', '', '', 'SW', 'SW', '13.55', '1.7413', '1.33094', '2.31761', '3150788.5', '3150788.5', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1914', '12', '33', 'VADC', TO_DATE('07/26/93','MM/DD/YY'), 'SALEMCITY', 'VA', '3', 'S2', '3', '1', '55560', '1933', 'C3', 'N', '1978', '1220470', 'S', 'MIN', '', 'DC', 'SW', 'BF', 'EW', 'SD', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '1193200', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', 'C', 'C', 'M', '', '', 'C', '', '', 'SW', 'SW', '21.48', '1.7413', '1.33094', '2.31761', '2828571.5', '2765370.25', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1915', '12', '32', 'VADC', TO_DATE('07/26/93','MM/DD/YY'), 'SALEMCITY', 'VA', '3', 'S2', '3', '1', '23275', '1934', 'C3', 'N', '1978', '311820', 'S', 'MIN', '', 'DC', 'EW', 'SF', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '305000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', 'C', 'C', 'M', '', '', 'C', '', '', 'SW', 'SW', '13.1', '1.7413', '1.33094', '2.31761', '722676.625', '706870.5', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1916', '16', '44', 'VADC', TO_DATE('07/26/93','MM/DD/YY'), 'SALEMCITY', 'VA', '3', 'S2', '3', '1', '69586', '1934', 'C3', 'N', '1978', '773800', 'S', 'MIN', '', 'IO', 'SW', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'NE', '773800', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', 'C', 'C', 'M', '', '', 'C', '', '', 'SW', 'SW', '11.12', '1.7413', '1.33094', '2.31761', '1793365.25', '1793365.25', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1917', '16', '44', 'VADC', TO_DATE('07/26/93','MM/DD/YY'), 'SALEMCITY', 'VA', '3', 'S2', '3', '1', '58090', '1933', 'C3', 'N', '1978', '646000', 'S', 'MIN', '', 'IO', 'SW', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'NE', '646000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', 'C', 'C', 'M', '', '', 'C', '', '', 'SW', 'SW', '11.12', '1.7413', '1.33094', '2.31761', '1497175', '1497175', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1918', '16', '44', 'VADC', TO_DATE('07/26/93','MM/DD/YY'), 'SALEMCITY', 'VA', '3', 'S2', '3', '1', '51195', '1938', 'C3', 'N', '1978', '569000', 'S', 'MIN', '', 'IO', 'SW', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'NE', '569000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', 'C', 'C', 'M', '', '', 'C', '', '', 'SW', 'SW', '11.11', '1.7413', '1.33094', '2.31761', '1318719.125', '1318719.125', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1919', '16', '44', 'VADC', TO_DATE('07/26/93','MM/DD/YY'), 'SALEMCITY', 'VA', '3', 'S2', '3', '1', '46350', '1941', 'C3', 'N', '1978', '515400', 'S', 'MIN', '', 'IO', 'SW', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'OK', 'NE', '515400', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', 'C', 'C', 'M', '', '', 'C', '', '', 'SW', 'SW', '11.12', '1.7413', '1.33094', '2.31761', '1194495.25', '1194495.25', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1920', '16', '44', 'VADC', TO_DATE('07/26/93','MM/DD/YY'), 'SALEMCITY', 'VA', '3', 'S2', '3', '1', '47832', '1940', 'C3', 'N', '1978', '531900', 'S', 'MIN', '', 'IO', 'SW', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'NE', '531900', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', 'C', 'C', 'M', '', '', 'C', '', '', 'SW', 'SW', '11.12', '1.7413', '1.33094', '2.31761', '1232735.875', '1232735.875', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1921', '16', '44', 'VADC', TO_DATE('07/26/93','MM/DD/YY'), 'SALEMCITY', 'VA', '3', 'S2', '3', '1', '51635', '1938', 'C3', 'N', '1978', '574200', 'S', 'MIN', '', 'IO', 'SW', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'NE', '574200', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', 'C', 'C', 'M', '', '', 'C', '', '', 'SW', 'SW', '11.12', '1.7413', '1.33094', '2.31761', '1330770.625', '1330770.625', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1922', '16', '44', 'VADC', TO_DATE('07/26/93','MM/DD/YY'), 'SALEMCITY', 'VA', '3', 'S2', '3', '1', '60103', '1936', 'C3', 'N', '1978', '668350', 'S', 'MIN', '', 'IO', 'SW', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'NE', '668350', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', 'C', 'C', 'M', '', '', 'C', '', '', 'SW', 'SW', '11.12', '1.7413', '1.33094', '2.31761', '1548973.5', '1548973.5', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1924', '16', '44', 'VADC', TO_DATE('07/26/93','MM/DD/YY'), 'SALEMCITY', 'VA', '3', 'S2', '3', '1', '64061', '1944', 'C3', 'N', '1978', '710330', 'S', 'MIN', '', 'IO', 'SW', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'NE', '710330', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', 'C', 'C', 'M', '', '', 'C', '', 'SF', 'SW', 'SW', '11.09', '1.7413', '1.33094', '2.31761', '1646266.75', '1646266.75', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1928', '16', '44', 'VADC', TO_DATE('07/26/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', 'S2', '7', '0', '201113', '1950', 'C3', 'N', '1974', '1454400', 'S', 'MIN', '', 'IO', 'SW', 'EW', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '1412000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '42500', '', '', '', '', '', '', '', 'C', 'C', 'C', 'M', '', '', 'C', '', '', 'SW', 'SW', '7.02', '2.4191', '1.25993', '3.04789', '4432844', '4303614', '0', '0', '0', '0', '0', '0', '0', '129535.1171875', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1929', '16', '44', 'VADC', TO_DATE('07/26/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', 'S2', '3', '0', '100762', '1950', 'C3', 'N', '1974', '589500', 'S', 'MIN', '', 'IO', 'SW', 'EW', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '575500', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '14000', '', '', '', '', '', '', '', 'C', 'C', 'C', 'M', '', '', 'C', '', '', 'SW', 'SW', '5.71', '2.4191', '1.25993', '3.04789', '1796728.25', '1754057.875', '0', '0', '0', '0', '0', '0', '0', '42670.390625', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1930', '16', '44', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', 'S2', '3', '0', '72273', '1950', 'C3', 'N', '1974', '469900', 'S', 'MIN', '', 'IO', 'SW', 'EW', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '458400', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '11500', '', '', '', '', '', '', '', 'C', 'C', 'C', 'M', '', '', 'C', '', '', 'SW', 'SW', '6.34', '2.4191', '1.25993', '3.04789', '1432201.25', '1397150.5', '0', '0', '0', '0', '0', '0', '0', '35050.6796875', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1931', '16', '44', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', 'S2', '1', '1', '59030', '1950', 'URM', 'N', '1974', '157650', 'S', 'MIN', '', 'IO', 'EW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '149650', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '8000', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'URM', '', 'SW', 'SW', '2.54', '2.4191', '1.25993', '3.04789', '480499.09375', '456116', '0', '0', '0', '0', '0', '0', '0', '24383.08203125', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1932', '9', '28', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', 'S2', '1', '1', '41010', '1950', 'URM', 'N', '1974', '145000', 'S', 'MIN', '', 'DC', 'EW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '133500', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '11500', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'URM', '', 'SW', 'SW', '3.26', '2.4191', '1.25993', '3.04789', '441943.34375', '406892.65625', '0', '0', '0', '0', '0', '0', '0', '35050.6796875', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1933', '11', '26', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', 'S2', '1', '1', '24233', '1950', 'S5', 'N', '1974', '279300', 'S', 'MIN', '', 'DC', 'EW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '246300', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '33000', '', '', '', '', '', '', '', 'S', '', 'MDF', 'M', '', '', 'S', '', '', 'SW', 'SW', '10.16', '2.4191', '1.25993', '3.04789', '851274.3125', '750694.125', '0', '0', '0', '0', '0', '0', '0', '100580.2109375', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1934', '9', '28', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', 'S2', '1', '0', '22209', '1950', 'URM', 'N', '1974', '251150', 'S', 'MIN', '', 'DC', 'SW', 'EW', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '237150', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '14000', '', '', '', '', '', '', '', 'S', '', '', '', '', '', '', 'URM', '', 'SW', 'SW', '10.68', '2.4191', '1.25993', '3.04789', '765476.375', '722805.9375', '0', '0', '0', '0', '0', '0', '0', '42670.390625', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1935', '12', '33', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', 'S2', '2', '0', '52238', '1950', 'C3', 'N', '1974', '277000', 'S', 'MIN', '', 'DC', 'SW', 'EW', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '269500', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '7500', '', '', '', '', '', '', '', 'C', 'C', 'C', 'M', '', '', 'C', '', '', 'SW', 'SW', '5.16', '2.4191', '1.25993', '3.04789', '844264.1875', '821405.0625', '0', '0', '0', '0', '0', '0', '0', '22859.138671875', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1936', '12', '32', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'SALTLAKE', 'UT', '5', 'S2', '1', '0', '12864', '1950', 'C3', 'N', '1974', '154700', 'S', 'MIN', '', 'DC', 'SW', 'EW', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '152700', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '2000', '', '', '', '', '', '', '', 'C', '', 'C', 'M', '', '', 'C', '', '', 'SW', 'SW', '11.87', '2.4191', '1.25993', '3.04789', '471507.84375', '465412.0625', '0', '0', '0', '0', '0', '0', '0', '6095.7705078125', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1937', '9', '23', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S1', '4', '0', '38930', '1934', 'C2', 'Y', '1987', '1913200', 'S', 'MIN', '', 'DC', 'EW', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'I', 'NE', '984400', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'C', '', '', '', '', '', '', 'C', 'C', 'C', '', '', '', 'C', 'C', 'P', 'SW', 'SW', '25.29', '1.1472', '1', '1.14719', '2194796.5', '1129290', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1938', '9', '23', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S1', '4', '0', '38900', '1934', 'C2', 'Y', '1987', '2037400', 'S', 'MIN', '', 'DC', 'SW', 'EW', 'SF', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'I', 'NE', '1108600', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'C', '', '', '', '', '', '', 'C', 'C', 'C', '', '', '', 'C', 'C', 'P', 'SW', 'SW', '28.5', '1.1472', '1', '1.14719', '2337277', '1271770.625', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1939', '9', '23', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S1', '4', '0', '38900', '1934', 'C2', 'Y', '1987', '2186700', 'S', 'MIN', '', 'DC', 'SW', 'EW', 'SD', 'SF', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'I', 'NE', '1257900', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'C', '', '', '', '', '', '', 'C', 'C', 'C', '', '', '', 'C', 'C', 'P', 'SW', 'SW', '32.34', '1.1472', '1', '1.14719', '2508552', '1443045.5', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1940', '9', '23', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S1', '3', '1', '51143', '1934', 'C2', 'Y', '1987', '766300', 'S', 'MIN', '', 'DC', 'SW', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'I', 'NE', '480400', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '', '', '', '', '', '', 'S', 'C', 'C', 'M', '', '', 'C', 'C', 'P', 'SW', 'SW', '9.39', '1.1472', '1', '1.14719', '879088.75', '551108.25', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1941', '9', '23', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S1', '3', '1', '51143', '1934', 'C2', 'Y', '1987', '855080', 'S', 'MIN', '', 'DC', 'SW', 'EW', 'SF', 'SD', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'I', 'NE', '569180', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'S', 'C', 'C', 'M', '', '', 'C', 'C', 'P', 'SW', 'SW', '11.13', '1.1472', '1', '1.14719', '980935.9375', '652955.4375', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1942', '9', '23', 'VA', TO_DATE('07/28/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S1', '3', '1', '51143', '1934', 'C2', 'Y', '1987', '850740', 'S', 'MIN', '', 'DC', 'SW', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'I', 'NE', '564840', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '', '', '', '', '', '', 'S', 'C', 'C', 'M', '', '', 'C', 'C', 'P', 'SW', 'SW', '11.04', '1.1472', '1', '1.14719', '975957.125', '647976.625', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'VA H-08 ', '', '');
INSERT INTO buildings VALUES ('1943', '9', '23', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S1', '3', '0', '27279', '1934', 'C2', 'Y', '1987', '349100', 'S', 'MIN', '', 'DC', 'SW', 'EW', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'I', 'NE', '305000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', 'C', 'C', '', '', '', 'C', 'C', 'SF', 'SW', 'SW', '11.18', '1.1472', '1', '1.14719', '400482.6875', '349891.78125', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1944', '9', '23', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S1', '3', '0', '27279', '1934', 'C2', 'Y', '1987', '419000', 'S', 'MIN', '', 'DC', 'SW', 'EW', 'SF', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'I', 'NE', '374900', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', 'C', 'C', 'N', '', '', 'C', 'C', 'SF', 'SW', 'SW', '13.74', '1.1472', '1', '1.14719', '480671', '430080.09375', '0', '0', '0', '0', '0', '0', '0', '0', '6', '', '', '');
INSERT INTO buildings VALUES ('1945', '9', '23', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S1', '3', '1', '24806', '1934', 'C2', 'Y', '1987', '1052500', 'S', 'MIN', '', 'DC', 'SW', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'I', 'NE', '152500', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', 'C', 'C', 'N', '', '', 'C', 'C', 'P', 'SW', 'SW', '6.15', '1.1472', '1', '1.14719', '1207413.375', '174945.890625', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1946', '9', '23', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S1', '3', '1', '24806', '1934', 'C2', 'Y', '1987', '1154800', 'S', 'MIN', '', 'DC', 'SW', 'EW', 'SF', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'I', 'NE', '254800', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', 'C', 'C', 'N', '', '', 'C', 'C', 'P', 'SW', 'SW', '10.27', '1.1472', '1', '1.14719', '1324770.625', '292303.03125', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1947', '9', '23', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S1', '2', '1', '6200', '1934', 'C2', 'Y', '1987', '70060', 'S', 'MIN', '', 'DC', 'SW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'OK', 'NE', '70060', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', 'W', 'W', 'N', '', '', 'W', 'C', 'SF', 'SW', 'SW', '11.3', '1.1472', '1', '1.14719', '80371.859375', '80371.859375', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1948', '9', '23', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S1', '2', '1', '6200', '1934', 'C2', 'Y', '1987', '112900', 'S', 'MIN', '', 'DC', 'SW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'OK', 'NE', '112900', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', 'W', 'W', 'N', '', '', 'W', 'C', 'SF', 'SW', 'SW', '18.21', '1.1472', '1', '1.14719', '129517.3203125', '129517.3203125', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1949', '9', '23', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S1', '2', '1', '6200', '1934', 'C2', 'Y', '1987', '70060', 'S', 'MIN', '', 'DC', 'SW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'OK', 'NE', '70060', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', 'W', 'W', 'N', '', '', 'W', 'C', 'SF', 'SW', 'SW', '11.3', '1.1472', '1', '1.14719', '80371.859375', '80371.859375', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1951', '9', '23', 'VA-DC', TO_DATE('07/26/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S1', '2', '1', '4314', '1934', 'C2', 'Y', '1987', '53230', 'S', 'MIN', '', 'DC', 'SW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'OK', 'NE', '53230', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', 'W', 'W', 'N', '', '', 'W', 'C', 'SF', 'SW', 'SW', '12.34', '1.1472', '1', '1.14719', '61064.71875', '61064.71875', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1952', '9', '23', 'VA-DC', TO_DATE('07/26/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S1', '2', '1', '4314', '1934', 'C2', 'Y', '1987', '77725', 'S', 'MIN', '', 'DC', 'SW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'OK', 'NE', '77725', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', 'W', 'W', 'N', '', '', 'W', 'C', 'SF', 'SW', 'SW', '18.02', '1.1472', '1', '1.14719', '89165.046875', '89165.046875', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1953', '9', '23', 'VA-DC', TO_DATE('07/26/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S1', '2', '1', '9408', '1934', 'C2', 'Y', '1987', '381200', 'S', 'MIN', '', 'DC', 'SW', 'EF', 'SD', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'I', 'NE', '253400', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', 'C', 'C', 'N', '', '', 'RM', 'C', 'SF', 'SW', 'SW', '26.93', '1.1472', '1', '1.14719', '437307.375', '290696.96875', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1954', '9', '22', 'VA-DC', TO_DATE('07/26/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S1', '2', '1', '18326', '1967', 'C2', 'Y', '1987', '29120', 'S', 'MIN', '', 'DC', 'SD', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'OK', 'NE', '29120', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'L', '', '', '', '', '', '', 'C', 'C', 'C', 'N', '', '', '', 'C', 'P', 'SW', 'SW', '1.59', '1.1472', '1', '1.14719', '33406.0625', '33406.0625', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1955', '9', '23', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S1', '1', '0', '6400', '1934', 'C2', 'Y', '1987', '56460', 'S', 'MIN', '', 'DC', 'SW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'OK', 'NE', '56460', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'S', '', 'C', 'N', '', '', 'C', 'C', 'SF', 'SW', 'SW', '8.82', '1.1472', '1', '1.14719', '64770.12890625', '64770.12890625', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1956', '9', '23', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S1', '2', '1', '9420', '1934', 'W2', 'N', '1987', '311900', 'S', 'MIN', '', 'DC', 'SW', 'EW', 'SD', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'OK', 'NE', '311900', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'C', '', '', '', '', '', '', 'W', 'W', 'W', 'N', '', '', '', 'W', '', 'SW', 'SW', '33.11', '1.1472', '1', '1.14719', '357807.375', '357807.375', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1957', '16', '44', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'KING', 'WA', '5', 'S2', '9', '1', '215800', '1951', 'C3', 'N', '1976', '4236000', 'S', 'MIN', '', 'IO', 'SW', 'EW', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'NE', '3375500', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', 'C', 'C', 'M', '', '', 'C', '', 'SF', 'SW', 'SW', '15.64', '2.0456', '1.10228', '2.25485', '9551534', '7611237.5', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1958', '10', '24', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'KING', 'WA', '5', 'S2', '2', '0', '18100', '1972', 'S1', 'N', '1976', '214000', 'S', 'MIN', '', 'DC', 'BF', 'EF', 'SD', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'I', 'NE', '189700', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'S', 'S', 'MDF', 'MS', '', '', 'S', '', 'SF', 'MF', 'MF', '10.48', '2.0456', '1.10228', '2.25485', '482537.375', '427744.5625', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1959', '16', '55', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'STLOUIS', 'MO', '3', '', '3', '1', '129000', '1923', 'C3', 'N', '1977', '596726', 'S', 'ADD', '', 'IO', 'SW', 'EW', 'SF', 'PB', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'I', 'I', 'NE', '560000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', 'C', 'C', 'M', '', '', 'C', '', 'SF', 'SW', 'SW', '4.34', '1.8867', '1.12348', '2.11971', '1264885', '1187036.625', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1960', '12', '32', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'STLOUIS', 'MO', '3', '', '3', '1', '26000', '1923', 'C3', 'N', '1977', '84711', 'S', 'MIN', '', 'DC', 'EW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'NE', '84711', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', 'C', 'C', 'M', '', '', 'C', '', 'SF', 'SW', 'SW', '3.26', '1.8867', '1.12348', '2.11971', '179562.609375', '179562.609375', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1961', '9', '28', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'STLOUIS', 'MO', '3', '', '2', '1', '23590', '1923', 'URM', 'N', '1977', '285700', 'S', 'MIN', '', 'DC', 'EW', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '280100', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', 'C', 'C', 'N', '', '', 'C', 'URM', 'SF', 'SW', 'SW', '11.87', '1.8867', '1.12348', '2.11971', '605600.625', '593730.3125', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1962', '9', '28', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'STLOUIS', 'MO', '3', '', '2', '1', '34732', '1923', 'URM', 'N', '1977', '188950', 'S', 'MIN', '', 'DC', 'EW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'NE', '188950', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', 'C', 'C', 'N', '', '', '', 'URM', 'SF', 'SW', 'SW', '5.44', '1.8867', '1.12348', '2.11971', '400518.875', '400518.875', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1963', '9', '28', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'STLOUIS', 'MO', '3', '', '1', '0', '11000', '1923', 'URM', 'N', '1977', '79300', 'S', 'MIN', '', 'DC', 'EW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '78300', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', '', 'C', 'N', '', '', '', 'URM', 'SF', 'SW', 'SW', '7.12', '1.8867', '1.12348', '2.11971', '168092.859375', '165973.15625', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1964', '9', '28', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'STLOUIS', 'MO', '3', '', '1', '1', '5400', '1923', 'URM', 'N', '1977', '79300', 'S', 'MIN', '', 'DC', 'EW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '78300', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', '', 'C', 'N', '', '', 'C', 'URM', 'SF', 'SW', 'SW', '14.5', '1.8867', '1.12348', '2.11971', '168092.859375', '165973.15625', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1965', '12', '33', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'STLOUIS', 'MO', '3', '', '3', '1', '44475', '1939', 'C3', 'N', '1977', '276512', 'S', 'MIN', '', 'DC', 'EW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '275900', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', 'C', 'C', 'M', '', '', 'C', '', 'SF', 'SW', 'SW', '6.2', '1.8867', '1.12348', '2.11971', '586124.75', '584827.5', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1966', '12', '32', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'STLOUIS', 'MO', '3', '', '2', '1', '21358', '1936', 'C3', 'N', '1977', '223456', 'S', 'MIN', '', 'DC', 'EW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '222750', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', 'C', 'C', 'M', '', '', 'C', '', 'SF', 'SW', 'SW', '10.43', '1.8867', '1.12348', '2.11971', '473661.53125', '472165.03125', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1967', '12', '32', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'STLOUIS', 'MO', '3', '', '3', '1', '24418', '1929', 'C3', 'N', '1977', '115630', 'S', 'ADD', '', 'DC', 'EW', 'WT', '', '', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'I', 'OK', 'NE', '105000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', 'C', 'C', 'M', '', '', 'C', '', 'SF', 'SW', 'SW', '4.3', '1.8867', '1.12348', '2.11971', '245101.875', '222569.375', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1968', '12', '32', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'STLOUIS', 'MO', '3', '', '1', '1', '10669', '1952', 'C3', 'N', '1977', '88980', 'S', 'MIN', '', 'DC', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '87440', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', '', 'C', 'M', '', '', 'C', '', 'SF', 'SW', 'SW', '8.2', '1.8867', '1.12348', '2.11971', '188611.640625', '185347.296875', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1969', '16', '55', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'STLOUIS', 'MO', '3', '', '4', '0', '126828', '1953', 'C3', 'N', '1977', '672070', 'S', 'ADD', '', 'IO', 'EW', '', '', '', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'I', 'OK', 'NE', '626570', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '', '', '', '', '', '', 'C', 'C', 'C', 'M', '', '', 'C', '', 'SF', 'SW', 'SW', '4.94', '1.8867', '1.12348', '2.11971', '1424592.375', '1328145.625', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1970', '12', '33', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'STLOUIS', 'MO', '3', '', '1', '1', '56361', '1952', 'C3', 'N', '1977', '33400', 'S', 'ADD', '', 'DC', 'EW', '', '', '', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'I', 'OK', 'NE', '24500', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '', '', '', '', '', '', 'C', '', 'C', 'M', '', '', 'C', '', 'SF', 'SW', 'SW', '0.43', '1.8867', '1.12348', '2.11971', '70798.2578125', '51932.8515625', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1971', '16', '55', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'STLOUIS', 'MO', '3', '', '2', '1', '104873', '1953', 'C3', 'N', '1977', '491324', 'S', 'ADD', '', 'IO', 'EW', '', '', '', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'I', 'I', 'NE', '458630', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', 'C', 'C', 'M', '', '', 'C', '', 'SF', 'SW', 'SW', '4.37', '1.8867', '1.12348', '2.11971', '1041463.5625', '972161.8125', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1972', '16', '55', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'STLOUIS', 'MO', '3', '', '2', '1', '80080', '1953', 'C3', 'N', '1977', '402000', 'S', 'ADD', '', 'IO', 'EW', '', '', '', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'I', 'I', 'NE', '390500', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', 'C', 'C', 'M', '', '', 'C', '', 'SF', 'SW', 'SW', '4.88', '1.8867', '1.12348', '2.11971', '852122.75', '827746.0625', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1973', '12', '32', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'STLOUIS', 'MO', '3', '', '1', '0', '13397', '1952', 'C3', 'N', '1977', '61270', 'S', 'MIN', '', 'DC', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'NE', '61270', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', '', 'C', 'M', '', '', 'C', '', 'SF', 'SW', 'SW', '4.57', '1.8867', '1.12348', '2.11971', '129874.5234375', '129874.5234375', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1974', '11', '26', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'STLOUIS', 'MO', '3', '', '1', '1', '25000', '1952', 'S5', 'N', '1977', '130800', 'S', 'MIN', '', 'DC', 'EW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '129600', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'S', '', 'MD', 'M', '', '', 'S', '', 'SF', 'SW', 'SW', '5.18', '1.8867', '1.12348', '2.11971', '277257.84375', '274714.1875', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1975', '9', '28', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'STLOUIS', 'MO', '3', '', '1', '0', '4415', '1952', 'URM', 'N', '1977', '21300', 'S', 'MIN', '', 'DC', 'EW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'NE', '21300', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'S', '', 'PC', 'N', '', '', 'S', 'URM', 'SF', 'SW', 'SW', '4.82', '1.8867', '1.12348', '2.11971', '45149.78515625', '45149.78515625', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1976', '11', '26', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'STLOUIS', 'MO', '3', '', '1', '0', '36439', '1952', 'S5', 'N', '1977', '28542', 'S', 'ADD', '', 'DC', 'EW', '', '', '', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'I', 'I', 'NE', '13660', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'S', '', 'PC', 'M', '', '', 'S', '', 'SF', 'SW', 'SW', '0.37', '1.8867', '1.12348', '2.11971', '60500.71484375', '28955.21484375', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1977', '16', '48', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'KENNEBEC', 'MA', '3', 'S1', '7', '1', '135800', '1933', 'C3', 'N', '1976', '1168000', 'S', 'MIN', '', 'IO', 'SW', 'EW', 'SD', 'PB', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '1107000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '141', '63', '141', '63', '', '', 'C', 'C', 'C', 'M', '', '', 'C', '', 'SF', 'SW', 'SW', '8.15', '2.0456', '1.0137', '2.07364', '2422006.75', '2295515', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1978', '11', '25', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'KENNEBEC', 'MA', '3', 'S1', '1', '0', '9842', '1933', 'S5', 'N', '1976', '6900', 'S', 'MIN', '', 'DC', 'EW', 'PB', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '6650', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '97', '95', '97', '95', '', '', 'S', '', 'C', 'M', '', '', 'S', '', 'P', 'SW', 'SW', '0.68', '2.0456', '1.0137', '2.07364', '14308.088867188', '13789.6796875', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1979', '12', '32', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'KENNEBEC', 'MA', '3', 'S1', '2', '0', '21606', '1933', 'C3', 'N', '1977', '109400', 'S', 'MIN', '', 'DC', 'EW', 'SD', 'SF', 'PB', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '106600', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '176', '40.5', '176', '40.5', '', '', 'C', 'C', 'C', 'M', '', '', 'C', '', 'P', 'SW', 'SW', '4.93', '1.8867', '1.0137', '1.91258', '209235.921875', '203880.703125', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1980', '12', '32', 'VA', TO_DATE('07/26/93','MM/DD/YY'), 'KENNEBEC', 'MA', '3', 'S1', '3', '0', '24014', '1935', 'C3', 'N', '1976', '186900', 'S', 'MIN', '', 'DC', 'EW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'I', 'NE', '178200', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '103', '78', '103', '78', '', '', 'C', 'C', 'C', 'M', '', '', 'C', '', 'P', 'SW', 'SW', '7.42', '2.0456', '1.0137', '2.07364', '387562.5625', '369521.9375', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1981', '12', '33', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'KENNEBEC', 'MA', '3', 'S1', '2', '0', '49060', '1936', 'C3', 'N', '1976', '1196000', 'S', 'MIN', '', 'DC', 'SW', 'SD', 'SF', 'PB', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '1045500', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '152', '142', '152', '142', '', '', 'C', 'C', 'C', 'M', '', '', 'C', '', 'P', 'SW', 'SW', '21.31', '2.0456', '1.0137', '2.07364', '2480068.75', '2167986.5', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1982', '12', '33', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'KENNEBEC', 'MA', '3', 'S1', '3', '0', '80382', '1921', 'C3', 'N', '1976', '519300', 'S', 'MIN', '', 'DC', 'EW', 'PB', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '441900', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '266', '68.5', '266', '68.5', '', '', 'C', 'C', 'C', 'M', '', '', 'C', '', 'SF', 'SW', 'SW', '5.5', '2.0456', '1.0137', '2.07364', '1076839.125', '916339.75', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1985', '12', '32', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'KENNEBEC', 'MA', '3', 'S1', '2', '1', '23220', '1930', 'C3', 'N', '1976', '68000', 'S', 'MIN', '', 'DC', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'I', 'NE', '61100', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '184', '40', '184', '40', '', '', 'C', 'C', 'C', 'M', '', '', 'C', '', 'SF', 'SW', 'SW', '2.63', '2.0456', '1.0137', '2.07364', '141007.25', '126699.15625', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1986', '11', '26', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'KENNEBEC', 'MA', '3', 'S1', '3', '0', '33716', '1937', 'S5', 'N', '1976', '432800', 'S', 'MIN', '', 'DC', 'EW', 'SF', 'PB', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '391400', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '122', '88', '122', '88', '', '', 'S', 'S', 'C', 'M', '', '', 'S', '', 'P', 'SW', 'SW', '11.61', '2.0456', '1.0137', '2.07364', '897469.6875', '811621.125', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1987', '9', '27', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'KENNEBEC', 'MA', '3', 'S1', '1', '0', '3206', '1935', 'URM', 'N', '1976', '22200', 'S', 'MIN', '', 'DC', 'PB', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'NE', '22200', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '71', '43', '71', '43', '14', '14', 'S', '', 'C', 'N', '', '', '', 'URM', 'SF', 'SW', 'SW', '6.92', '2.0456', '1.0137', '2.07364', '46034.71875', '46034.71875', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1988', '9', '29', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'KENNEBEC', 'MA', '3', 'S1', '1', '0', '13247', '1936', 'URM', 'N', '1976', '121200', 'S', 'MIN', '', 'DC', 'SD', 'PB', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '118800', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '148', '42', '148', '42', '18', '18', 'S', '', 'C', 'N', '', '', '', 'URM', 'SF', 'SW', 'SW', '8.97', '2.0456', '1.0137', '2.07364', '251324.6875', '246347.953125', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1989', '9', '37', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'KENNEBEC', 'MA', '3', 'S1', '1', '0', '13378', '1947', 'URM', 'N', '1976', '12200', 'S', 'MIN', '', 'DC', 'SD', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'OK', 'NE', '12200', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '186', '31', '186', '31', '12', '12', 'S', '', 'W', 'N', '', '', '', 'URM', 'SF', 'SW', 'SW', '0.91', '2.0456', '1.0137', '2.07364', '25298.359375', '25298.359375', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1990', '9', '36', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'KENNEBEC', 'MA', '3', 'S1', '1', '0', '2338', '1950', 'URM', 'N', '1976', '9600', 'S', 'MIN', '', 'DC', 'PB', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'OK', 'I', 'OK', 'NE', '9600', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '', '', '', '', '', '', 'FS', '', 'C', 'N', '', '', '', 'URM', 'SF', 'SW', 'SW', '4.11', '2.0456', '1.0137', '2.07364', '19906.90625', '19906.90625', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1991', '4', '36', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'KENNEBEC', 'MA', '3', 'S1', '1', '1', '570', '1951', 'URM', 'N', '1976', '800', 'S', 'MIN', '', 'DC', 'WT', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'OK', 'NE', '800', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '', '', '', '', '', '', 'W', '', 'W', 'N', '', '', '', 'URM', 'P', 'SW', 'SW', '1.4', '2.0456', '1.0137', '2.07364', '1658.9088134766', '1658.9088134766', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1992', '9', '28', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'KENNEBEC', 'MA', '3', 'S1', '1', '0', '17956', '1956', 'URM', 'N', '1976', '157800', 'S', 'MIN', '', 'DC', 'EW', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'NE', '157800', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'MD', 'M', '', '', 'S', 'URM', 'P', 'SW', 'SW', '8.79', '2.0456', '1.0137', '2.07364', '327219.75', '327219.75', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1993', '11', '26', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'KENNEBEC', 'MA', '3', 'S1', '1', '0', '6856', '1960', 'S5', 'N', '1976', '37000', 'S', 'MIN', '', 'DC', 'SF', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '36500', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '108', '31', '108', '31', '', '', 'S', '', 'MDF', 'M', '', '', 'S', '', 'P', 'SW', 'SW', '5.32', '2.0456', '1.0137', '2.07364', '76724.53125', '75687.7109375', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1994', '11', '26', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'KENNEBEC', 'MA', '3', 'S1', '1', '0', '4746', '1965', 'S5', 'N', '1976', '28000', 'S', 'MIN', '', 'DC', 'EW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '22750', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '88', '43', '88', '43', '', '', 'S', '', 'MDF', 'M', '', '', 'S', '', 'P', 'SW', 'SW', '4.79', '2.0456', '1.0137', '2.07364', '58061.80859375', '47175.21875', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('1996', '9', '22', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'CLARK', 'WA', '3', 'S3', '1', '1', '14628', '1940', 'W2', 'N', '1974', '114300', 'S', 'MIN', '', 'DC', 'EF', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'I', 'NE', '77700', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', '', '', 'W', 'W', 'SF', 'SW', 'SW', '5.31', '2.4191', '1.10228', '2.66652', '304783.34375', '207188.671875', '0', '0', '0', '0', '0', '0', '0', '0', '5', '1970 UBC', '', '');
INSERT INTO buildings VALUES ('1997', '9', '27', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'CLARK', 'WA', '3', 'S3', '1', '0', '1462', '1941', 'URM', 'N', '1973', '14300', 'S', 'MIN', '', 'DC', 'EW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '12650', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'L', '51', '33', '51', '33', '', '12', 'FS', '', 'C', 'N', '', '', 'C', 'URM', 'SF', 'SW', 'SW', '8.65', '2.5615', '1.10228', '2.82351', '40376.23828125', '35717.44140625', '0', '0', '0', '0', '0', '0', '0', '0', '5', '1970 UBC', '', '');
INSERT INTO buildings VALUES ('1998', '9', '22', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'CLARK', 'WA', '3', 'S3', '1', '0', '9949', '1941', 'W2', 'N', '1973', '11711', 'S', 'MIN', '', 'DC', 'SD', '', '', '', '', '', 'N', 'N', 'N', 'Y', 'TR', 'I', 'OK', 'I', 'NE', '6150', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '112.5', '58.5', '112.5', '58.5', '', '30', 'TT', '', 'W', 'N', '', '', 'W', 'W', 'SF', 'SW', 'MF', '0.62', '2.5615', '1.10228', '2.82351', '33066.16015625', '17364.60546875', '0', '0', '0', '0', '0', '0', '0', '0', '5', '1970 UBC', '', '');
INSERT INTO buildings VALUES ('1999', '9', '22', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'CLARK', 'WA', '3', 'S3', '1', '1', '24484', '1941', 'W2', 'N', '1973', '31000', 'S', 'MIN', '', 'DC', 'EF', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'I', 'NE', '17200', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '153', '37', '153', '37', '', '', 'TT', '', 'W', 'N', '', '', 'W', 'W', 'SF', 'SW', 'MF', '0.7', '2.5615', '1.10228', '2.82351', '87528.90625', '48564.42578125', '0', '0', '0', '0', '0', '0', '0', '0', '5', '1970 UBC', '', '');
INSERT INTO buildings VALUES ('2000', '9', '22', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'CLARK', 'WA', '3', 'S3', '1', '0', '5250', '1941', 'W2', 'N', '1973', '31900', 'S', 'MIN', '', 'DC', 'EF', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'I', 'NE', '27500', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '150', '25', '150', '25', '', '', 'W', '', 'W', 'N', '', '', 'W', 'W', 'SF', 'SW', 'SW', '5.24', '2.5615', '1.10228', '2.82351', '90070.0625', '77646.609375', '0', '0', '0', '0', '0', '0', '0', '0', '5', '1970 UBC', '', '');
INSERT INTO buildings VALUES ('2002', '9', '22', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'CLARK', 'WA', '3', 'S3', '1', '0', '4821', '1941', 'S3', 'N', '1973', '23350', 'S', 'MIN', '', 'DC', 'EF', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'I', 'NE', '2000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '66', '48', '66', '48', '', '', 'S', '', 'MD', 'MS', '', '', 'S', '', 'SF', 'MF', 'MF', '0.41', '2.5615', '1.10228', '2.82351', '65929.03125', '5647.0258789063', '0', '0', '0', '0', '0', '0', '0', '0', '5', '1970 UBC', '', '');
INSERT INTO buildings VALUES ('2003', '9', '22', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'CLARK', 'WA', '3', 'S3', '1', '0', '11744', '1941', 'W2', 'N', '1973', '58300', 'S', 'MIN', '', 'DC', 'EF', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'I', 'NE', '53700', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', '', '', '', 'W', 'SF', 'SW', 'SW', '4.57', '2.5615', '1.10228', '2.82351', '164610.8125', '151622.65625', '0', '0', '0', '0', '0', '0', '0', '0', '5', '1970 UBC', '', '');
INSERT INTO buildings VALUES ('2005', '9', '22', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'CLARK', 'WA', '3', 'S3', '1', '0', '6086', '1941', 'W2', 'N', '1973', '37900', 'S', 'MIN', '', 'DC', 'EF', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'I', 'NE', '31300', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '160', '25', '160', '25', '', '', 'W', '', 'W', 'N', '', '', '', 'W', 'SF', 'SW', 'SW', '5.14', '2.5615', '1.10228', '2.82351', '107011.140625', '88375.9609375', '0', '0', '0', '0', '0', '0', '0', '0', '5', '1970 UBC', '', '');
INSERT INTO buildings VALUES ('2006', '9', '28', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'WALLAWALLA', 'WA', '2', 'S2', '1', '1', '11542', '1937', 'URM', 'N', '1974', '56600', 'S', 'MIN', '', 'DC', 'EW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'I', 'NE', '54500', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'S', '', 'W', 'N', '', '', 'S', 'URM', '', 'SW', 'SW', '4.72', '2.4191', '1.10228', '2.66652', '150925.09375', '145325.390625', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('2007', '2', '8', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'WALLAWALLA', 'WA', '2', 'S2', '2', '1', '49272', '1906', 'URM', 'Y', '1974', '1222400', 'S', 'MIN', '', 'IO', 'BF', 'EW', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '974900', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', 'W', 'W', 'N', '', '', 'S', 'URM', '', 'SW', 'SW', '19.79', '2.4191', '1.10228', '2.66652', '3259555.25', '2599591.25', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('2008', '2', '9', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'WALLAWALLA', 'WA', '2', 'S2', '2', '1', '47362', '1906', 'URM', 'Y', '1974', '1242400', 'S', 'ADD', '', 'IO', 'BF', 'EW', 'SF', '', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'I', 'I', 'NE', '974900', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', 'W', 'W', 'N', '', '', 'S', 'URM', '', 'SW', 'SW', '20.58', '2.4191', '1.10228', '2.66652', '3312885.75', '2599591.25', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('2009', '9', '28', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'WALLAWALLA', 'WA', '2', 'S2', '2', '1', '26758', '1922', 'URM', 'N', '1974', '246300', 'S', 'MIN', '', 'DC', 'SW', 'EW', 'SD', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '224800', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', 'W', 'W', 'N', '', '', 'W', 'URM', '', 'SW', 'SW', '8.4', '2.4191', '1.10228', '2.66652', '656764.125', '599433.9375', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('2010', '9', '28', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'WALLAWALLA', 'WA', '2', 'S2', '1', '0', '20506', '1922', 'URM', 'N', '1974', '60000', 'S', 'MIN', '', 'DC', 'SW', 'EW', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '52900', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', '', 'C', 'N', '', '', 'C', 'URM', '', 'SW', 'SW', '2.58', '2.4191', '1.10228', '2.66652', '159991.265625', '141058.953125', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('2011', '9', '28', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'WALLAWALLA', 'WA', '2', 'S2', '2', '0', '4695', '1921', 'URM', 'N', '1974', '46100', 'S', 'MIN', '', 'DC', 'EW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'I', 'NE', '42300', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', 'C', 'C', 'N', '', '', 'C', 'URM', '', 'SW', 'SW', '9.01', '2.4191', '1.10228', '2.66652', '122926.6171875', '112793.8359375', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('2012', '9', '27', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'WALLAWALLA', 'WA', '2', 'S2', '1', '0', '3600', '1929', 'URM', 'N', '1974', '99200', 'S', 'MIN', '', 'DC', 'EW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '72600', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', '', '', 'W', 'URM', '', 'SW', 'SW', '20.17', '2.4191', '1.10228', '2.66652', '264518.875', '193589.421875', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('2013', '9', '28', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'WALLAWALLA', 'WA', '2', 'S2', '2', '0', '16055', '1930', 'URM', 'N', '1974', '122000', 'S', 'MIN', '', 'DC', 'EW', 'EF', 'SD', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'NE', '122000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', 'C', 'C', 'N', '', '', 'C', 'URM', '', 'SW', 'SW', '7.6', '2.4191', '1.10228', '2.66652', '325315.5625', '325315.5625', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('2014', '12', '32', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'WALLAWALLA', 'WA', '2', 'S2', '2', '0', '22602', '1932', 'C3', 'N', '1974', '221300', 'S', 'MIN', '', 'DC', 'EW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '189650', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', 'C', 'C', 'M', '', '', 'C', '', '', 'SW', 'SW', '8.39', '2.4191', '1.10228', '2.66652', '590101.0625', '505705.6875', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('2015', '9', '28', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'WALLAWALLA', 'WA', '2', 'S2', '2', '0', '7860', '1932', 'URM', 'N', '1974', '95700', 'S', 'MIN', '', 'DC', 'EW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '83000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', 'C', 'W', 'N', '', '', 'C', 'URM', '', 'SW', 'SW', '10.56', '2.4191', '1.10228', '2.66652', '255186.0625', '221321.234375', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('2016', '16', '45', 'VA', TO_DATE('07/27/93','MM/DD/YY'), 'WALLAWALLA', 'WA', '2', 'S2', '3', '1', '47269', '1929', 'URM', 'N', '1974', '194900', 'S', 'MIN', '', 'IO', 'EW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '194900', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', 'C', 'C', 'N', '', '', 'C', 'URM', '', 'SW', 'SW', '4.12', '2.4191', '1.10228', '2.66652', '519704.9375', '519704.9375', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('2018', '1', '5', 'VA-DC', TO_DATE('07/27/93','MM/DD/YY'), 'WALLAWALLA', 'WA', '2', 'S2', '1', '0', '5158', '1880', 'URM', 'N', '1974', '2300', 'S', 'MIN', '', 'DC', 'SF', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'NE', 'NE', '2300', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', '', '', '', 'URM', 'SF', 'SW', 'SW', '0.45', '2.4191', '1.10228', '2.66652', '6132.998046875', '6132.998046875', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('2024', '1', '5', 'VA-DC', TO_DATE('07/27/93','MM/DD/YY'), 'WALLAWALLA', 'WA', '2', 'S2', '1', '0', '5116', '1858', 'URM', 'N', '1974', '6000', 'S', 'MIN', '', 'DC', 'SF', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'NE', 'NE', '6000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', '', '', '', 'URM', 'SF', 'SW', 'SW', '1.17', '2.4191', '1.10228', '2.66652', '15999.125976563', '15999.125976563', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('2025', '1', '5', 'VA-DC', TO_DATE('07/27/93','MM/DD/YY'), 'WALLAWALLA', 'WA', '2', 'S2', '1', '0', '6120', '1888', 'W1', 'N', '1974', '32200', 'S', 'MIN', '', 'DC', 'EW', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'NE', 'NE', '32200', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', '', '', '', 'W', 'SF', 'SW', 'SW', '5.26', '2.4191', '1.10228', '2.66652', '85861.9765625', '85861.9765625', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('2026', '1', '5', 'VA-DC', TO_DATE('07/27/93','MM/DD/YY'), 'WALLAWALLA', 'WA', '2', 'S2', '1', '1', '2200', '1904', 'W1', 'N', '1974', '18200', 'S', 'MIN', '', 'DC', 'EW', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'I', 'NE', '11850', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', '', '', '', 'W', 'SF', 'SW', 'SW', '5.39', '2.4191', '1.10228', '2.66652', '48530.68359375', '31598.2734375', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('2027', '1', '5', 'VA-DC', TO_DATE('07/28/93','MM/DD/YY'), 'WALLAWALLA', 'WA', '2', 'S2', '1', '0', '8680', '1904', 'W2', 'N', '1974', '24600', 'S', 'MIN', '', 'DC', 'EW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'I', 'NE', '14300', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', '', '', '', 'W', 'SF', 'SW', 'SW', '1.65', '2.4191', '1.10228', '2.66652', '65596.4140625', '38131.25', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('2028', '9', '36', 'VA-DC', TO_DATE('07/28/93','MM/DD/YY'), 'WALLAWALLA', 'WA', '2', 'S2', '1', '0', '1445', '1929', 'C2', 'N', '1974', '6000', 'S', 'MIN', '', 'DC', 'EW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'NE', 'NE', '6000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', '', 'C', 'N', '', '', '', 'C', 'SF', 'SW', 'SW', '4.15', '2.4191', '1.10228', '2.66652', '15999.125976563', '15999.125976563', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('2029', '9', '28', 'VA-DC', TO_DATE('07/28/93','MM/DD/YY'), 'WALLAWALLA', 'WA', '2', 'S2', '1', '0', '6282', '1928', 'URM', 'N', '1974', '42800', 'S', 'MIN', '', 'DC', 'EW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '41800', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', '', 'C', 'N', '', '', 'C', 'URM', 'SF', 'SW', 'SW', '6.65', '2.4191', '1.10228', '2.66652', '114127.1015625', '111460.578125', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('2030', '4', '35', 'VA-DC', TO_DATE('07/28/93','MM/DD/YY'), 'WALLAWALLA', 'WA', '2', 'S2', '1', '0', '408', '1959', 'URM', 'N', '1974', '2650', 'S', 'MIN', '', 'DC', 'EW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'OK', 'NE', '2650', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'S', '', 'W', 'N', '', '', '', 'URM', 'SF', 'SW', 'SW', '6.5', '2.4191', '1.10228', '2.66652', '7066.2807617188', '7066.2807617188', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('2031', '4', '35', 'VA-DC', TO_DATE('07/28/93','MM/DD/YY'), 'WALLAWALLA', 'WA', '2', 'S2', '1', '0', '152', '1959', 'URM', 'N', '1974', '987', 'S', 'MIN', '', 'DC', 'EW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'OK', 'NE', '987', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'S', '', 'W', 'N', '', '', '', 'URM', 'SF', 'SW', 'SW', '6.49', '2.4191', '1.10228', '2.66652', '2631.8562011719', '2631.8562011719', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('2035', '9', '23', 'VA-DC', TO_DATE('07/28/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '15195', '1929', 'C2', 'N', '1989', '32300', 'S', 'MIN', '', 'DC', 'EW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'OK', 'OK', 'NE', '32300', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', '', 'C', 'N', '', '', 'C', 'C', 'SF', 'SW', 'SW', '2.13', '1.1067', '1', '1.10668', '35745.82421875', '35745.82421875', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('2036', '9', '23', 'VA-DC', TO_DATE('07/28/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '2', '0', '19860', '1929', 'C2', 'N', '1989', '157000', 'S', 'MIN', '', 'DC', 'SW', 'EW', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'OK', 'OK', 'NE', '157000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', 'C', 'C', 'N', '', '', 'C', 'C', 'SF', 'SW', 'SW', '7.91', '1.1067', '1', '1.10668', '173749.046875', '173749.046875', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('2038', '1', '3', 'VA-DC', TO_DATE('07/28/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '2', '0', '8758', '1900', 'W1', 'N', '1989', '517000', 'S', 'MIN', '', 'DC', 'SW', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'OK', 'NE', 'NE', '517000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '110.5', '65', '110.5', '65', '', '', 'TT', '', 'W', 'N', '', '', '', 'W', 'SF', 'SW', 'SW', '59.03', '1.1067', '1', '1.10668', '572154.5', '572154.5', '0', '0', '0', '0', '0', '0', '0', '0', '6', '1985 UBC', '', '');
INSERT INTO buildings VALUES ('2040', '9', '23', 'VA-DC', TO_DATE('07/28/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '1', '0', '11034', '', 'S3', 'N', '1989', '59400', 'S', 'MIN', '', 'DC', 'BF', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'OK', 'NE', '59400', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '154', '73', '154', '73', '', '', 'S', '', 'MD', 'MS', '', '', 'S', '', 'SF', 'MF', 'MF', '5.38', '1.1067', '1', '1.10668', '65736.8984375', '65736.8984375', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('2041', '9', '28', 'VA-DC', TO_DATE('07/28/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '3', '0', '60921', '1929', 'URM', 'N', '1989', '645000', 'S', 'MIN', '', 'DC', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'I', 'NE', '591700', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '260', '75', '260', '75', '', '', 'C', 'C', 'C', 'N', '', '', 'C', 'URM', 'SF', 'SW', 'SW', '9.71', '1.1067', '1', '1.10668', '713809.75', '654823.625', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('2042', '9', '28', 'VA-DC', TO_DATE('07/28/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '3', '0', '60314', '1929', 'URM', 'N', '1989', '610300', 'S', 'MIN', '', 'DC', 'SW', 'EW', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'I', 'NE', '557000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '260', '75', '260', '75', '', '', 'C', 'C', 'C', 'N', '', '', 'C', 'URM', 'SF', 'SW', 'SW', '9.24', '1.1067', '1', '1.10668', '675407.9375', '616421.75', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('2043', '9', '28', 'VA-DC', TO_DATE('07/28/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '3', '0', '60309', '1929', 'URM', 'N', '1989', '842000', 'S', 'MIN', '', 'DC', 'SW', 'EW', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'I', 'NE', '790600', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '260', '75', '260', '75', '', '', 'C', 'C', 'C', 'N', '', '', 'C', 'URM', 'SF', 'SW', 'SW', '13.11', '1.1067', '1', '1.10668', '931826.125', '874942.625', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('2044', '17', '48', 'VA-DC', TO_DATE('07/28/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '3', '1', '53047', '1936', 'C2', 'N', '1989', '307700', 'S', 'MIN', '', 'IO', 'BF', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'I', 'NE', '184000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '184', '154', '184', '154', '', '', 'C', 'C', 'C', 'N', '', '', 'C', 'C', 'SF', 'SW', 'SW', '3.47', '1.1067', '1', '1.10668', '340526', '203629.453125', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('2045', '17', '48', 'VA-DC', TO_DATE('07/28/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '2', '1', '47099', '1938', 'C2', 'N', '1989', '296100', 'S', 'MIN', '', 'IO', 'EW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'I', 'NE', '181400', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '204', '153', '204', '153', '', '', 'C', 'C', 'C', 'N', '', '', 'C', 'C', 'SF', 'SW', 'SW', '3.85', '1.1067', '1', '1.10668', '327688.5', '200752.078125', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('2046', '17', '48', 'VA-DC', TO_DATE('07/28/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '3', '0', '47015', '1938', 'C2', 'N', '1989', '232600', 'S', 'MIN', '', 'IO', 'EW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'I', 'NE', '158900', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '204', '153', '204', '153', '', '', 'C', 'C', 'C', 'N', '', '', 'C', 'C', 'SF', 'SW', 'SW', '3.38', '1.1067', '1', '1.10668', '257414.1875', '175851.734375', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('2047', '17', '46', 'VA-DC', TO_DATE('07/28/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '2', '1', '39677', '1944', 'C2', 'N', '1989', '354800', 'S', 'MIN', '', 'IO', 'EW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'I', 'NE', '188600', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '289.5', '79', '289.5', '79', '', '', 'C', 'C', 'C', 'N', '', '', 'C', 'C', 'SF', 'SW', 'SW', '4.75', '1.1067', '1', '1.10668', '392650.71875', '208720.1875', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('2048', '9', '22', 'VA-DC', TO_DATE('07/28/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '3', '1', '75121', '1939', 'C2', 'N', '1989', '140500', 'S', 'MIN', '', 'DC', 'SD', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'OK', 'NE', '140500', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '320.5', '122', '320.5', '122', '', '', 'C', 'C', 'C', 'N', '', '', 'C', 'C', 'SF', 'SW', 'SW', '1.87', '1.1067', '1', '1.10668', '155488.796875', '155488.796875', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'VA H-08-8 ', '', '');
INSERT INTO buildings VALUES ('2049', '1', '5', 'DEGENKOLB', TO_DATE('08/05/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S1', '1', '1', '23820', '1914', 'C3', 'N', '1988', '928804', 'S', 'MIN', '', 'LS', 'EF', 'SF', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'OK', 'NE', '928804', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'C', '132', '59.5', '132', '59.5', '14', '40', 'C', '', 'C', 'S', 'N', 'F', 'C', '', '', 'SW', 'SW', '38.99', '1.122', '1', '1.12202', '1042133.8125', '1042133.8125', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('2050', '9', '22', 'VA-DC', TO_DATE('07/27/93','MM/DD/YY'), 'CLARK', 'WA', '3', 'S3', '1', '0', '4310', '1941', 'W2', 'N', '1973', '13710', 'S', 'MIN', '', 'DC', 'EF', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'I', 'NE', '8650', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', '', '', 'W', 'W', 'SF', 'SW', 'SW', '2.01', '2.5615', '1.10228', '2.82351', '38710.36328125', '24423.388671875', '0', '0', '0', '0', '0', '0', '0', '0', '5', '1970 UBC', '', '');
INSERT INTO buildings VALUES ('2052', '9', '22', 'VA-DC', TO_DATE('07/27/93','MM/DD/YY'), 'CLARK', 'WA', '3', 'S3', '1', '0', '5000', '1941', 'W2', 'N', '1973', '15880', 'S', 'MIN', '', 'DC', 'SF', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'I', 'NE', '10800', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', '', '', 'W', 'W', 'SF', 'SW', 'SW', '2.16', '2.5615', '1.10228', '2.82351', '44837.38671875', '30493.94140625', '0', '0', '0', '0', '0', '0', '0', '0', '5', '1970 UBC', '', '');
INSERT INTO buildings VALUES ('2070', '9', '22', 'VA-DC', TO_DATE('07/27/93','MM/DD/YY'), 'CLARK', 'WA', '3', 'S3', '1', '0', '4480', '1941', 'W2', 'N', '1973', '13710', 'S', 'MIN', '', 'DC', 'EF', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'I', 'NE', '8650', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', '', '', 'W', 'W', 'SF', 'SW', 'SW', '1.93', '2.5615', '1.10228', '2.82351', '38710.36328125', '24423.388671875', '0', '0', '0', '0', '0', '0', '0', '0', '5', '1970 UBC', '', '');
INSERT INTO buildings VALUES ('2084', '9', '22', 'VA-DC', TO_DATE('07/27/93','MM/DD/YY'), 'CLARK', 'WA', '3', 'S3', '1', '0', '4764', '1941', 'W2', 'N', '1973', '15880', 'S', 'MIN', '', 'DC', 'SF', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'I', 'NE', '10800', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', '', 'W', 'N', '', '', 'W', 'W', 'SF', 'SW', 'SW', '2.27', '2.5615', '1.10228', '2.82351', '44837.38671875', '30493.94140625', '0', '0', '0', '0', '0', '0', '0', '0', '5', '1970 UBC', '', '');
INSERT INTO buildings VALUES ('2107', '7', '28', 'DOUGMAGEE', TO_DATE('08/02/93','MM/DD/YY'), 'SANDIEGO', 'CA', '7', 'S3', '2', '0', '29000', '1920', 'URM', 'N', '1992', '1500000', 'AC', 'COM', '', 'LS', 'SW', 'SD', 'PB', 'WT', '', '', 'N', 'Y', 'Y', 'N', 'V', 'I', 'I', 'NE', 'NE', '370000', 'G', 'F', 'F', '0', '80000', '0', '24', '75000', '0', '75000', '375000', '75000', 'R', '140', '140', '140', '140', '14', '28', 'W', 'W', 'W', 'N', 'N', 'F', 'W', 'URM', 'SF', 'SW', 'SW', '12.76', '1.0286', '1', '1.02858', '1542872.25', '380575.15625', '0', '82286.5234375', '0', '77143.609375', '0', '77143.609375', '385718.0625', '77143.609375', '8', 'CITY S DCODE AMEND - DIV 88 ', '', '');
INSERT INTO buildings VALUES ('2108', '8', '19', 'TODDPERBIX', TO_DATE('05/21/93','MM/DD/YY'), 'KING', 'WA', '5', 'S2', '6', '2', '160000', '1924', 'C1', 'Y', '1993', '6784000', 'S', 'COM', '', 'LS', 'SW', '', '', '', '', '', 'N', 'Y', 'Y', 'Y', 'V', 'I', 'OK', 'I', 'OK', '1393000', 'G', 'F', 'F', '', '', '', '14', '301000', '0', '0', '2213000', '0', 'R', '175', '120', '175', '120', '', '83', 'C', 'C', 'C', 'M', 'N', 'F', 'C', '', 'SF', 'MF', 'MF', '8.71', '1', '1.10228', '1.10228', '7477894.5', '1535481.5', '0', '0', '0', '331787.46875', '0', '0', '2439354.5', '0', '8', 'ATC-22', '', '');
INSERT INTO buildings VALUES ('2109', '1', '2', 'TODDPERBIX', TO_DATE('05/21/93','MM/DD/YY'), 'KING', 'WA', '5', 'S2', '2', '1', '49000', '1892', 'URM', 'Y', '1988', '4248000', 'AC', 'COM', '', 'DC', 'SW', 'SD', 'WT', '', '', '', 'N', 'Y', 'Y', 'Y', 'V', 'I', 'I', 'I', 'I', '559000', 'G', 'F', 'F', '', '', '', '', '0', '0', '0', '1641000', '0', 'OT', '295', '93', '295', '93', '14', '47', 'TT', 'TT', 'W', 'M', 'N', 'F', '', 'URM', 'SF', 'SW', 'SW', '11.41', '1.122', '1.10228', '1.23678', '5253846.5', '691360.6875', '0', '0', '0', '0', '0', '0', '2029558', '0', '9', 'ATC-22 WITH UBC 1988 FORCES ', '', '');
INSERT INTO buildings VALUES ('2110', '5', '14', 'JOSEPHMARI CCIO', TO_DATE('08/03/93','MM/DD/YY'), 'OAKRIDGE', 'TN', '2', 'S1', '4', '1', '160000', '1969', 'PC2', 'N', '1992', '940000', 'S', 'MIN', '', 'LS', 'EF', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '940000', 'F', 'P', 'P', '', '56000', '', '12', '0', '0', '0', '0', '0', 'C', '120', '60', '120', '60', '12', '47.5', 'C', 'C', 'C', 'PC', 'N', 'G', 'PC', '', 'SF', 'MF', 'SW', '5.88', '1.0286', '1.30129', '1.33848', '1258173.375', '1258173.375', '0', '74955.015625', '0', '0', '0', '0', '0', '0', '5', '1991 UBC & NEHRP PROVISIONS ', '', '');
INSERT INTO buildings VALUES ('2111', '2', '8', 'JOSEPHMARI CCIO', TO_DATE('08/03/93','MM/DD/YY'), 'CHARLESTON', 'SC', '3', 'S3', '3', '1', '52680', '1840', 'URM', 'Y', '1993', '2850000', 'S', 'MIN', '', 'IO', 'IS', '', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'NE', 'NE', '2850000', 'F', 'P', 'P', '', '', '', '12', '', '', '', '', '', 'OT', '', '', '', '', '18', '60', 'S', 'S', 'C', 'M', 'N', 'F', 'URM', 'URM', 'P', 'SW', 'SW', '54.1', '1', '1.40863', '1.40863', '4014593.75', '4014593.75', '0', '0', '0', '0', '0', '0', '0', '0', '5', 'SITE SPECIFIC RESPONSE SPECTRA', '', '');
INSERT INTO buildings VALUES ('2112', '2', '8', 'JOSEPHMARI CCIO', TO_DATE('08/03/93','MM/DD/YY'), 'CHARLESTON', 'SC', '3', 'S3', '3', '1', '52200', '1880', 'S5', 'Y', '1993', '3250000', 'S', 'MIN', '', 'IO', 'IS', '', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'I', 'NE', 'NE', '3250000', 'F', 'P', 'P', '', '', '', '12', '0', '0', '0', '0', '0', 'R', '145', '90', '145', '90', '15', '45', 'S', 'S', 'C', 'M', 'N', 'F', 'S', '', 'P', 'SW', 'SW', '62.26', '1', '1.40863', '1.40863', '4578045.5', '4578045.5', '0', '0', '0', '0', '0', '0', '0', '0', '5', '1991 UBC & NEHRP PROVISIONS ', '', '');
INSERT INTO buildings VALUES ('2113', '8', '14', 'FORELL/ELSESSERENGR', TO_DATE('08/12/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '3', '0', '309000', '1968', 'C1', 'N', '1989', '2620000', 'S', 'MIN', '', 'LS', 'SW', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '2620000', 'G', 'F', 'F', '', '', '', '12', '', '', '', '', '', 'R', '363', '199', '363', '199', '22', '56', 'C', 'C', 'C', 'CW', 'N', 'G', 'C', '', 'SF', 'MF', 'MF', '8.48', '1.1067', '1', '1.10668', '2899506.5', '2899506.5', '0', '0', '0', '0', '0', '0', '0', '0', '8', '1988 UBC', '', '');
INSERT INTO buildings VALUES ('2114', '7', '38', 'FORELL/ELSESSERENGR', TO_DATE('08/12/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '2', '0', '202000', '1964', 'PC1', 'N', '1989', '2370000', 'S', 'MIN', '', 'LS', 'BF', 'SD', 'SF', 'WT', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'NE', 'NE', '2370000', 'G', 'F', 'F', '', '', '', '12', '', '', '', '', '', 'R', '425', '232', '', '', '', '', 'S', 'S', 'MDF', 'PC', '', '', 'C', 'PC', 'P', 'SW', 'SW', '11.73', '1.1067', '1', '1.10668', '2622836', '2622836', '0', '0', '0', '0', '0', '0', '0', '0', '8', '1988 UBC', '', '');
INSERT INTO buildings VALUES ('2116', '9', '14', 'FORELL/ELSESSERENGR', TO_DATE('08/12/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '3', '0', '264000', '1968', 'C1', 'N', '1989', '2370000', 'S', 'MIN', '', 'DC', 'SW', 'SF', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '2370000', 'G', 'F', 'F', '', '', '', '12', '', '', '', '', '', 'R', '363', '199', '363', '199', '22', '54', 'C', 'C', 'C', 'CW', 'N', 'G', 'C', '', 'SF', 'MF', 'MF', '8.98', '1.1067', '1', '1.10668', '2622836', '2622836', '0', '0', '0', '0', '0', '0', '0', '0', '8', '1988 UBC', '', '');
INSERT INTO buildings VALUES ('2117', '10', '12', 'FORELL/ELSESSERENGR', TO_DATE('08/12/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '2', '0', '86400', '1985', 'PC1', 'N', '1989', '512000', 'S', 'MIN', '', 'LS', 'BF', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '512000', 'G', 'F', 'F', '', '', '', '4', '', '', '', '', '', 'R', '216', '200', '216', '200', '15', '30', 'TT', 'TT', 'W', 'PC', 'N', 'G', '', 'PC', '', 'SW', 'SW', '5.93', '1.1067', '1', '1.10668', '566621.125', '566621.125', '0', '0', '0', '0', '0', '0', '0', '0', '8', '', '', '');
INSERT INTO buildings VALUES ('2118', '7', '14', 'FORELL/ELSESSERENGR', TO_DATE('08/12/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '5', '1', '124000', '1961', 'C2', 'N', '1989', '4925000', 'S', 'MIN', '', 'LS', 'SW', 'SF', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'OK', 'OK', '4925000', 'G', 'F', 'F', '', '', '', '18', '', '', '', '', '', 'R', '', '', '255', '81', '', '', 'WS', 'WS', 'C', 'CW', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '39.72', '1.1067', '1', '1.10668', '5450408', '5450408', '0', '0', '0', '0', '0', '0', '0', '0', '8', '1988 UBC', '', '');
INSERT INTO buildings VALUES ('2119', '7', '12', 'FORELL/ELSESSERENGR', TO_DATE('08/10/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '2', '0', '116500', '1961', 'PC1', 'N', '1989', '2250000', 'S', 'MIN', '', 'LS', 'SW', 'BF', 'SF', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '2250000', 'G', 'F', 'F', '', '', '', '12', '', '', '', '', '', 'R', '405', '248', '405', '248', '20', '40', 'S', 'S', 'MD', 'PC', 'N', 'G', 'C', 'PC', 'P', 'SW', 'SW', '19.31', '1.1067', '1', '1.10668', '2490034', '2490034', '0', '0', '0', '0', '0', '0', '0', '0', '8', '1988 UBC', '', '');
INSERT INTO buildings VALUES ('2120', '7', '12', 'FORELL/ELSESSERENGR', TO_DATE('08/10/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '1', '0', '35280', '1965', 'PC2', 'N', '1989', '3100000', 'S', 'MIN', '', 'LS', 'BF', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '3100000', 'G', 'F', 'G', '', '', '', '12', '', '', '', '', '', 'R', '336', '105', '336', '105', '85', '85', 'TT', '', 'ST', 'C', 'N', 'G', 'PC', '', 'P', 'SW', 'SW', '87.87', '1.1067', '1', '1.10668', '3430713.75', '3430713.75', '0', '0', '0', '0', '0', '0', '0', '0', '8', '', '', '');
INSERT INTO buildings VALUES ('2121', '8', '23', 'FORELL/ELSESSERENGR', TO_DATE('08/10/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '2', '0', '135660', '1965', 'C1', 'N', '1989', '2660000', 'S', 'MIN', '', 'LS', 'SW', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '2660000', 'G', 'F', 'F', '', '', '', '12', '', '', '', '', '', 'R', '510', '123', '510', '123', '12.5', '25', 'FS', 'S', 'MD', 'CW', 'N', 'G', 'C', '', 'P', 'MF', 'MF', '19.61', '1.1067', '1', '1.10668', '2943773.75', '2943773.75', '0', '0', '0', '0', '0', '0', '0', '0', '8', '1988 UBC', '', '');
INSERT INTO buildings VALUES ('2122', '8', '14', 'FORELL/ELSESSERENGR', TO_DATE('08/10/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '2', '0', '129000', '1965', 'C1', 'N', '1989', '2650000', 'S', 'MIN', '', 'LS', 'SW', 'SF', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '2650000', 'G', 'F', 'F', '', '', '', '12', '', '', '', '', '', 'R', '340', '185', '340', '185', '14', '28', 'FS', 'FS', 'C', 'CW', 'N', 'G', 'C', '', 'P', 'MF', 'MF', '20.54', '1.1067', '1', '1.10668', '2932706.75', '2932706.75', '0', '0', '0', '0', '0', '0', '0', '0', '8', '1988 UBC', '', '');
INSERT INTO buildings VALUES ('2123', '10', '37', 'FORELL/ELSESSERENGR', TO_DATE('08/10/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '2', '0', '99300', '1979', 'S2', 'N', '1989', '300000', 'S', 'MIN', '', 'LS', 'BF', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'NE', 'NE', '300000', 'G', 'F', 'F', '', '', '', '3', '', '', '', '', '', 'R', '391', '127', '391', '127', '16', '30', 'S', 'S', 'MDF', 'CW', 'N', 'G', 'S', '', 'SF', 'BF', 'BF', '3.02', '1.1067', '1', '1.10668', '332004.5625', '332004.5625', '0', '0', '0', '0', '0', '0', '0', '0', '8', '1988 UBC', '', '');
INSERT INTO buildings VALUES ('2124', '8', '14', 'FORELL/ELSESSERENGR', TO_DATE('08/10/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '2', '1', '200000', '1966', 'C1', 'N', '1989', '2380000', 'S', 'MIN', '', 'LS', 'SW', 'SF', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '2380000', 'G', 'F', 'F', '', '', '', '12', '', '', '', '', '', 'R', '343', '194', '343', '194', '13', '40', 'FS', 'FS', 'C', 'CW', 'N', 'G', 'C', '', 'SF', 'MF', 'MF', '11.9', '1.1067', '1', '1.10668', '2633902.75', '2633902.75', '0', '0', '0', '0', '0', '0', '0', '0', '8', '1988 UBC', '', '');
INSERT INTO buildings VALUES ('2125', '9', '39', 'FORELL/ELSESSERENGR', TO_DATE('08/10/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '2', '1', '136000', '', 'C1', 'N', '1989', '2660000', 'S', 'MIN', '', 'DC', 'MF', 'SF', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'NE', 'NE', '2660000', 'G', 'F', 'F', '', '', '', '9', '', '', '', '', '', 'R', '495', '125', '495', '125', '15', '30', 'FS', 'FS', 'C', 'CW', 'N', 'G', 'C', '', 'P', 'MF', 'SW', '19.56', '1.1067', '1', '1.10668', '2943773.75', '2943773.75', '0', '0', '0', '0', '0', '0', '0', '0', '8', '1988 UBC', '', '');
INSERT INTO buildings VALUES ('2126', '10', '12', 'FORELL/ELSESSERENGR', TO_DATE('08/10/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '2', '0', '107000', '1986', 'PC1', 'N', '1989', '760000', 'S', 'MIN', '', 'LS', 'BF', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '760000', 'G', 'F', 'F', '', '', '', '4', '', '', '', '', '', 'L', '372', '216', '372', '144', '14', '28', 'W', 'W', 'W', 'N', 'N', 'G', '', 'PC', 'SF', 'SW', 'SW', '7.1', '1.1067', '1', '1.10668', '841078.1875', '841078.1875', '0', '0', '0', '0', '0', '0', '0', '0', '8', '1988 UBC', '', '');
INSERT INTO buildings VALUES ('2127', '10', '12', 'FORELL/ELSESSERENGR', TO_DATE('08/10/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '2', '0', '99840', '1985', 'PC1', 'N', '1989', '825000', 'S', 'MIN', '', 'LS', 'BF', 'SD', 'SF', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '825000', 'G', 'F', 'F', '', '', '', '4', '', '', '', '', '', 'R', '384', '130', '384', '130', '14', '28', 'W', 'W', 'W', 'N', 'N', 'G', 'S', 'PC', 'SF', 'SW', 'SW', '8.26', '1.1067', '1', '1.10668', '913012.5', '913012.5', '0', '0', '0', '0', '0', '0', '0', '0', '8', '1988 UBC', '', '');
INSERT INTO buildings VALUES ('2128', '1', '5', 'SOHA/JONPKILAND', TO_DATE('6/1/1993','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S1', '3', '0', '27583', '1912', 'URM', 'N', '1993', '750000', 'AC', 'MIN', '', 'LS', 'BF', 'EW', 'SD', 'PB', 'WT', 'SS', 'N', 'Y', 'N', 'Y', 'IP', 'I', 'I', 'I', 'NE', '700000', 'G', 'G', 'G', '', '115000', '', '', '', '', '', '', '', 'R', '130', '80', '130', '80', '17', '46', 'S', 'S', 'W', 'N', 'N', 'G', 'S', 'URM', 'SF', 'BF', 'SW', '25.38', '1', '1', '1', '750000', '700000', '0', '115000', '0', '0', '0', '0', '0', '0', '9', 'SFBC GENERAL PROCEDURE ', '', '');
INSERT INTO buildings VALUES ('2129', '7', '37', 'SOHA/JONPKILAND', TO_DATE('06/24/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S1', '5', '0', '60000', '1949', 'C2', 'N', '1992', '100000', 'S', 'MIN', '', 'LS', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'OK', 'OK', '100000', 'G', 'F', 'F', '', '', '', '', '0', '0', '0', '0', '0', 'R', '120', '100', '120', '100', '12', '60', 'FS', 'FS', 'C', 'N', 'N', 'G', 'C', 'C', 'SF', 'SW', 'SW', '1.67', '1.0286', '1', '1.02858', '102858.1484375', '102858.1484375', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'ATC-14', '', '');
INSERT INTO buildings VALUES ('2130', '7', '18', 'SOHA/JONPKILAND', TO_DATE('07/14/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S1', '3', '1', '9600', '1920', 'URM', 'N', '1990', '9000000', 'AC', 'COM', '', 'LS', 'BF', 'SD', 'SF', 'PB', 'WT', '', 'N', 'Y', 'Y', 'Y', 'V', 'I', 'OK', 'OK', 'OK', '500000', 'G', 'G', 'F', '0', '180000', '0', '8', '180000', '0', '0', '3600000', '0', 'R', '80', '30', '80', '30', '', '', 'TT', 'W', 'W', 'N', '', '', 'W', 'URM', 'SF', 'SW', 'SW', '52.08', '1.0788', '1', '1.07883', '9709474', '539415.25', '0', '194189.484375', '0', '194189.484375', '0', '0', '3883789.75', '0', '8', 'SFBC 104(F) ', '', '');
INSERT INTO buildings VALUES ('2131', '3', '8', 'SOHA/JONPKILAND', TO_DATE('06/24/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S1', '5', '1', '45348', '1909', 'S5', 'Y', '1993', '5082060', 'S', 'MIN', '', 'IO', 'BF', 'SF', '', '', '', '', 'N', 'N', 'N', 'Y', 'V', 'I', 'I', 'I', 'I', '3655421', 'G', 'F', 'F', '', '813130', '203282', '18', '0', '', '', '', '40623', 'R', '215', '38', '215', '38', '14', '78', 'S', 'S', 'C', 'M', 'N', 'F', 'S', '', 'SF', 'SW', 'SW', '80.61', '1', '1', '1', '5082060', '3655421', '0', '813130', '203282', '0', '0', '0', '0', '40623', '7', '1991 UBC (I=1 25) ', '', '');
INSERT INTO buildings VALUES ('2135', '8', '37', 'FORELL/ELSESSERENGR', TO_DATE('08/10/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '11', '1', '168000', '1966', 'C1', 'N', '1989', '10175000', 'S', 'MIN', '', 'LS', 'MF', 'SF', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'OK', 'OK', '10175000', 'G', 'F', 'F', '', '', '', '', '', '', '', '', '', 'R', '200', '90', '200', '90', '22', '165', 'C', 'C', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'MF', 'MF', '60.57', '1.1067', '1', '1.10668', '11260488', '11260488', '0', '0', '0', '0', '0', '0', '0', '0', '8', '1988 UBC', '', '');
INSERT INTO buildings VALUES ('2136', '9', '12', 'FORELL/ELSESSERENGR', TO_DATE('08/11/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '2', '0', '133900', '1965', 'PC1', 'N', '1989', '2260000', 'S', 'MIN', '', 'DC', 'SW', 'SD', 'SF', 'WT', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '2260000', 'G', 'F', 'F', '', '', '', '12', '', '', '', '', '', 'R', '380', '214', '380', '158', '16.5', '33', 'S', 'S', 'MDF', 'N', 'N', 'G', 'S', 'PC', 'P', 'SW', 'SW', '16.88', '1.1067', '1', '1.10668', '2501101', '2501101', '0', '0', '0', '0', '0', '0', '0', '0', '8', '1988 UBC', '', '');
INSERT INTO buildings VALUES ('2137', '10', '12', 'FORELL/ELSESSERENGR', TO_DATE('08/10/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '2', '0', '216000', '1981', 'S1', 'N', '1989', '1630000', 'S', 'MIN', '', 'DC', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '1630000', 'G', 'F', 'F', '', '', '', '6', '', '', '', '', '', 'R', '', '', '', '', '30', '56', 'S', 'WS', 'MD', 'PC', 'N', 'G', 'S', '', 'SF', 'MF', 'MF', '7.55', '1.1067', '1', '1.10668', '1803891.375', '1803891.375', '0', '0', '0', '0', '0', '0', '0', '0', '8', '1988 UBC', '', '');
INSERT INTO buildings VALUES ('2138', '3', '9', 'SOHA/JONPKILAND', TO_DATE('07/14/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S1', '3', '1', '38900', '1909', 'S5', 'N', '1992', '3218242', 'S', 'ADD', '', 'IO', 'SW', 'BF', 'SF', 'PB', '', '', 'N', 'N', 'N', 'Y', 'TR', 'I', 'I', 'I', 'I', '3144500', 'G', 'F', 'F', '', '400000', '100000', '24', '32182', '', '', '', '64365', 'R', '209', '48', '209', '48', '12', '42', 'S', 'S', 'C', 'M', '', '', 'S', '', 'SF', 'SW', 'SW', '80.84', '1.0286', '1', '1.02858', '3310224.25', '3234374.5', '0', '411432.59375', '102858.1484375', '33101.80859375', '0', '0', '0', '66204.6484375', '7', '1991 UBC (I=1 25) ', '', '');
INSERT INTO buildings VALUES ('2139', '3', '8', 'SOHA/JONPKILAND', TO_DATE('07/14/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S1', '2', '1', '6600', '1909', 'S5', 'N', '1993', '770724', 'S', 'MIN', '', 'IO', 'SW', 'BF', 'SF', 'PB', '', '', 'N', 'N', 'N', 'Y', 'TR', 'I', 'I', 'I', 'I', '541416', 'G', 'F', 'F', '', '123316', '30829', '16', '', '', '', '', '19110', 'R', '69', '32', '69', '32', '18', '36', 'FS', 'FS', 'C', 'M', 'N', 'F', 'S', '', 'SF', 'SW', 'SW', '82.03', '1', '1', '1', '770724', '541416', '0', '123316', '30829', '0', '0', '0', '0', '19110', '7', '1991 UBC (I=1 25) ', '', '');
INSERT INTO buildings VALUES ('2141', '3', '8', 'SOHA/JONPKILAND', TO_DATE('07/14/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S1', '2', '1', '13216', '1909', 'S5', 'N', '1993', '1102209', 'S', 'MIN', '', 'IO', 'SW', 'BF', 'SF', 'PB', '', '', 'N', 'N', 'N', 'Y', 'TR', 'I', 'I', 'I', 'I', '779911', 'G', 'F', 'F', '', '176353', '44088', '16', '', '', '', '', '22000', 'R', '62', '48', '62', '48', '18', '36', 'S', 'S', 'C', 'M', 'N', 'F', 'S', '', 'SF', 'SW', 'SW', '59.01', '1', '1', '1', '1102209', '779911', '0', '176353', '44088', '0', '0', '0', '0', '22000', '7', '1991 UBC (I=1 25) ', '', '');
INSERT INTO buildings VALUES ('2142', '13', '11', 'NCTENGINEERINGINC', TO_DATE('08/09/93','MM/DD/YY'), 'CONTRACOSTA', 'CA', '7', 'S3', '1', '0', '2400', '1940', 'URM', 'N', '1992', '90000', 'AC', 'MIN', '', 'RR', 'EW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'Y', 'TR', 'I', 'NE', 'NE', 'NE', '85500', 'G', 'G', 'F', '', '10000', '', '4', '4500', '0', '0', '0', '0', 'R', '73', '33', '73', '33', '9', '13', 'W', '', 'W', 'N', 'Y', 'G', '', 'URM', 'SF', 'SW', 'SW', '35.63', '1.0286', '1', '1.02858', '92572.3359375', '87943.71875', '0', '10285.815429688', '0', '4628.61669921875', '0', '0', '0', '0', '8', 'W CEQ SAFETY ORDI NCE 1744 ', '', '');
INSERT INTO buildings VALUES ('2143', '5', '23', 'TRA', TO_DATE('07/26/93','MM/DD/YY'), 'WHATCOM', 'WA', '5', '', '2', '1', '13500', '', 'RM1', 'N', '1992', '188000', 'S', 'MIN', '', 'LS', 'EW', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'NE', 'NE', 'NE', '188000', 'P', 'P', 'P', '', '36000', '', '', '', '', '', '', '', 'L', '', '', '', '', '', '', 'W', 'C', 'W', 'N', 'N', 'G', 'RM', 'RM', 'SF', 'SW', 'SW', '13.93', '1.0286', '1.10228', '1.13379', '213152.3125', '213152.3125', '0', '40816.3984375', '0', '0', '0', '0', '0', '0', '5', 'ATC 22', '', '');
INSERT INTO buildings VALUES ('2144', '1', '5', 'TRA', TO_DATE('07/26/93','MM/DD/YY'), 'WHATCOM', 'WA', '5', '', '2', '1', '59650', '1911', 'URM', 'N', '1992', '95000', 'S', 'MIN', '', 'LS', '', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'OK', 'I', 'NE', 'NE', '95000', 'P', 'P', 'P', '', '22000', '', '', '', '', '', '', '', '', '225', '125', '', '', '14', '', '', '', '', '', '', '', '', '', '', '', '', '1.59', '1.0286', '1.10228', '1.13379', '107709.9453125', '107709.9453125', '0', '24943.35546875', '0', '0', '0', '0', '0', '0', '5', 'ATC 22', '', '');
INSERT INTO buildings VALUES ('2145', '11', '25', 'TRA', TO_DATE('07/26/93','MM/DD/YY'), 'WHATCOM', 'WA', '5', '', '2', '0', '32900', '1935', 'S5', 'N', '1992', '792000', 'S', 'MIN', '', 'LS', 'SW', 'EF', 'SD', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'NE', 'NE', 'NE', '792000', 'G', 'P', 'P', '', '85000', '', '', '', '', '', '', '', '', '180', '145', '180', '145', '', '', 'S', 'C', 'MDF', 'N', '', '', 'S', '', 'SF', 'SW', 'SW', '24.07', '1.0286', '1.10228', '1.13379', '897960.8125', '897960.8125', '0', '96372.0546875', '0', '0', '0', '0', '0', '0', '5', 'ATC 22', '', '');
INSERT INTO buildings VALUES ('2146', '5', '23', 'TRA', TO_DATE('07/26/93','MM/DD/YY'), 'WHATCOM', 'WA', '5', '', '1', '0', '55500', '1959', 'PC1', 'N', '1992', '429000', 'S', 'MIN', '', 'LS', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'NE', 'NE', 'NE', '429000', 'P', 'P', 'P', '', '45000', '', '', '', '', '', '', '', '', '278', '230', '278', '230', '', '', 'C', '', 'C', '', '', '', 'C', 'PC', 'P', 'SW', 'SW', '7.73', '1.0286', '1.10228', '1.13379', '486395.4375', '486395.4375', '0', '51020.5', '0', '0', '0', '0', '0', '0', '5', 'ATC 22', '', '');
INSERT INTO buildings VALUES ('2147', '12', '33', 'TRA', TO_DATE('07/26/93','MM/DD/YY'), 'WHATCOM', 'WA', '5', '', '2', '1', '59360', '1948', 'C3', 'N', '1992', '466000', 'S', 'MIN', '', 'LS', 'EW', 'EF', 'WT', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'NE', 'NE', 'NE', '466800', 'G', 'P', 'P', '', '74000', '', '', '', '', '', '', '', 'OT', '', '', '', '', '', '', 'C', 'C', 'C', 'N', 'N', 'G', 'C', '', 'P', 'SW', 'SW', '7.86', '1.0286', '1.10228', '1.13379', '528345.625', '529252.625', '0', '83900.375', '0', '0', '0', '0', '0', '0', '5', 'ATC 22', '', '');
INSERT INTO buildings VALUES ('2148', '8', '22', 'TRA', TO_DATE('07/26/93','MM/DD/YY'), 'WHATCOM', 'WA', '5', '', '3', '0', '104212', '1958', 'C1', 'N', '1992', '45000', 'S', 'MIN', '', 'LS', 'EF', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'NE', 'NE', 'NE', '45000', 'G', 'P', 'P', '', '12000', '', '', '', '', '', '', '', 'R', '240', '142', '240', '124', '', '', 'C', 'C', 'C', 'N', 'N', 'G', 'C', 'C', 'SF', 'MF', 'MF', '0.43', '1.0286', '1.10228', '1.13379', '51020.5', '51020.5', '0', '13605.466796875', '0', '0', '0', '0', '0', '0', '5', 'ATC 22', '', '');
INSERT INTO buildings VALUES ('2149', '5', '22', 'TRA', TO_DATE('07/27/93','MM/DD/YY'), 'WHATCOM', 'WA', '5', '', '3', '0', '33342', '1961', 'C2', 'N', '1992', '98000', 'S', 'MIN', '', 'LS', 'SD', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'NE', 'NE', 'NE', '98000', 'G', 'P', 'P', '', '19000', '', '', '', '', '', '', '', '', '155', '76', '155', '76', '', '', 'W', 'C', 'W', 'M', 'N', '', 'C', '', '', 'SW', 'SW', '2.94', '1.0286', '1.10228', '1.13379', '111111.3125', '111111.3125', '0', '21541.98828125', '0', '0', '0', '0', '0', '0', '5', 'ATC-22', '', '');
INSERT INTO buildings VALUES ('2150', '1', '7', 'TRA', TO_DATE('07/27/93','MM/DD/YY'), 'WHATCOM', 'WA', '5', '', '3', '0', '145474', '1896', 'URM', 'N', '1992', '744000', 'S', 'MIN', '', 'LS', 'SW', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'NE', 'NE', 'NE', '744000', 'G', 'P', 'P', '', '99000', '', '', '', '', '', '', '', 'OT', '', '', '', '', '', '', 'W', 'W', 'W', 'N', 'N', 'F', '', 'URM', 'SF', 'SW', 'SW', '5.11', '1.0286', '1.10228', '1.13379', '843538.9375', '843538.9375', '0', '112245.1015625', '0', '0', '0', '0', '0', '0', '5', 'ATC-22', '', '');
INSERT INTO buildings VALUES ('2151', '5', '22', 'TRA', TO_DATE('07/27/93','MM/DD/YY'), 'WHATCOM', 'WA', '5', '', '2', '0', '128649', '1949', 'C2', 'N', '1992', '132000', 'S', 'MIN', '', 'LS', 'EF', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'NE', 'NE', 'NE', '132000', 'G', 'P', 'P', '', '25000', '', '', '', '', '', '', '', '', '220', '110', '220', '110', '', '', 'W', '', '', '', 'Y', 'G', 'C', 'C', 'SF', 'SW', 'SW', '1.03', '1.0286', '1.10228', '1.13379', '149660.125', '149660.125', '0', '28344.72265625', '0', '0', '0', '0', '0', '0', '5', 'ATC-22', '', '');
INSERT INTO buildings VALUES ('2152', '12', '33', 'DEGENKOLB', TO_DATE('07/27/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', '', '3', '0', '232000', '1964', 'C3', 'N', '1984', '1400000', 'S', 'MIN', '', 'LS', 'BF', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'NE', 'NE', 'NE', '1400000', 'P', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '388', '200', '388', '200', '16', '52', 'C', 'C', 'C', 'M', '', '', 'C', '', 'P', 'SW', 'SW', '6.03', '1.206', '1', '1.20604', '1688456.75', '1688456.75', '0', '0', '0', '0', '0', '0', '0', '0', '6', '', '', '');
INSERT INTO buildings VALUES ('2153', '12', '30', 'DAMESandMOORE', TO_DATE('07/22/93','MM/DD/YY'), 'WHATCOM', 'WA', '5', '', '2', '1', '17896', '1960', 'C3', 'N', '1992', '143000', 'S', 'MIN', '', 'LS', 'EF', '', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'NE', 'NE', 'NE', '143000', 'G', 'P', 'P', '', '39000', '', '', '', '', '', '', '', 'OT', '70', '44', '70', '44', '', '', 'C', 'C', 'PC', 'N', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '7.99', '1.0286', '1.10228', '1.13379', '162131.8125', '162131.8125', '0', '44217.765625', '0', '0', '0', '0', '0', '0', '7', '', '', '');
INSERT INTO buildings VALUES ('2154', '5', '12', 'DAMESandMOORE', TO_DATE('07/22/93','MM/DD/YY'), 'WHATCOM', 'WA', '5', '', '8', '0', '101095', '1969', 'S2', 'N', '1992', '137000', 'S', 'MIN', '', 'LS', 'EF', '', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'NE', 'NE', 'NE', '137000', 'G', 'P', 'P', '', '34000', '', '', '', '', '', '', '', 'L', '', '', '', '', '9.5', '78.5', 'S', 'S', 'MDF', 'N', 'N', '', 'S', '', 'SF', 'BF', 'BF', '1.36', '1.0286', '1.10228', '1.13379', '155329.078125', '155329.078125', '0', '38548.8203125', '0', '0', '0', '0', '0', '0', '7', '', '', '');
INSERT INTO buildings VALUES ('2155', '5', '12', 'DAMESandMOORE', TO_DATE('07/22/93','MM/DD/YY'), 'WHATCOM', 'WA', '5', '', '1', '0', '37121', '1967', 'RM1', 'N', '1992', '49800', 'S', 'MIN', '', 'LS', 'EF', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'NE', 'NE', 'NE', '49800', 'G', 'P', 'P', '', '13000', '', '', '', '', '', '', '', 'R', '193', '193', '193', '193', '', '', 'W', '', 'W', 'M', '', '', 'C', 'RM', 'SF', 'SW', 'SW', '1.34', '1.0286', '1.10228', '1.13379', '56462.6875', '56462.6875', '0', '14739.255859375', '0', '0', '0', '0', '0', '0', '7', '', '', '');
INSERT INTO buildings VALUES ('2156', '12', '30', 'DAMESandMOORE', TO_DATE('07/22/93','MM/DD/YY'), 'WHATCOM', 'WA', '5', '', '5', '0', '26432', '1954', 'C3', 'N', '1992', '91000', 'S', 'MIN', '', 'LS', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'NE', 'NE', 'NE', '91000', 'G', 'P', 'P', '', '25000', '', '', '', '', '', '', '', 'OT', '181', '50', '181', '50', '8.5', '45', '', '', '', 'CW', 'N', '', 'C', '', '', 'SW', 'SW', '3.44', '1.0286', '1.10228', '1.13379', '103174.7890625', '103174.7890625', '0', '28344.72265625', '0', '0', '0', '0', '0', '0', '7', '', '', '');
INSERT INTO buildings VALUES ('2158', '5', '12', 'DAMESandMOORE', TO_DATE('07/22/93','MM/DD/YY'), 'WHATCOM', 'WA', '5', '', '5', '0', '47421', '1959', 'C2', 'N', '1992', '484000', 'S', 'MIN', '', 'LS', 'SW', 'EF', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'NE', 'NE', 'NE', '484000', 'G', 'P', 'P', '', '46000', '', '', '', '', '', '', '', 'L', '140', '94', '', '', '', '', '', 'C', '', '', 'N', '', 'C', 'C', 'SF', 'SW', 'SW', '10.21', '1.0286', '1.10228', '1.13379', '548753.8125', '548753.8125', '0', '52154.2890625', '0', '0', '0', '0', '0', '0', '7', '', '', '');
INSERT INTO buildings VALUES ('2160', '5', '12', 'DAMESandMOORE', TO_DATE('07/22/93','MM/DD/YY'), 'WHATCOM', 'WA', '5', '', '2', '0', '12600', '1955', 'W2', 'N', '1992', '59400', 'S', 'MIN', '', 'LS', 'EW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'NE', 'NE', 'NE', '59400', 'P', 'P', 'P', '', '15000', '', '', '', '', '', '', '', 'R', '96', '32', '96', '32', '', '', 'W', 'W', 'W', 'N', 'N', 'F', '', 'W', 'SF', 'SW', 'SW', '4.71', '1.0286', '1.10228', '1.13379', '67347.0625', '67347.0625', '0', '17006.833984375', '0', '0', '0', '0', '0', '0', '7', '', '', '');
INSERT INTO buildings VALUES ('2163', '5', '12', 'DAMESandMOORE', TO_DATE('07/22/93','MM/DD/YY'), 'WHATCOM', 'WA', '5', '', '4', '0', '80000', '1958', 'PC2', 'N', '1992', '290700', 'S', 'MIN', '', 'LS', 'SD', '', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'NE', 'NE', 'NE', '290700', 'P', 'P', 'P', '', '70000', '', '', '', '', '', '', '', '', '170', '38', '170', '38', '', '', 'W', '', 'W', 'N', '', '', 'PC', '', 'SF', 'SW', 'SW', '3.63', '1.0286', '1.10228', '1.13379', '329592.4375', '329592.4375', '0', '79365.21875', '0', '0', '0', '0', '0', '0', '7', '', '', '');
INSERT INTO buildings VALUES ('2164', '13', '12', 'DAMESandMOORE', TO_DATE('07/22/93','MM/DD/YY'), 'WHATCOM', 'WA', '5', '', '4', '0', '87500', '1965', 'RM1', 'N', '1992', '167000', 'S', 'MIN', '', 'RR', 'WT', '', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'NE', 'NE', 'NE', '167000', 'P', 'P', 'P', '', '35000', '', '', '', '', '', '', '', 'R', '36', '33', '', '', '9', '', 'W', 'C', 'W', 'N', 'N', '', '', 'RM', 'SF', 'SW', 'SW', '1.91', '1.0286', '1.10228', '1.13379', '189342.75', '189342.75', '0', '39682.609375', '0', '0', '0', '0', '0', '0', '7', '', '', '');
INSERT INTO buildings VALUES ('2165', '13', '12', 'DAMESandMOORE', TO_DATE('07/22/93','MM/DD/YY'), 'WHATCOM', 'WA', '5', '', '2', '0', '32900', '1964', 'URM', 'N', '1992', '112000', 'S', 'MIN', '', 'RR', 'WT', '', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'NE', 'NE', 'NE', '112000', 'G', 'P', 'P', '', '24000', '', '', '', '', '', '', '', '', '', '', '', '', '11', '23', 'TT', '', 'W', 'M', 'N', '', 'PC', '', '', 'SW', 'SW', '3.4', '1.0286', '1.10228', '1.13379', '126984.3515625', '126984.3515625', '0', '27210.93359375', '0', '0', '0', '0', '0', '0', '7', '', '', '');
INSERT INTO buildings VALUES ('2166', '12', '33', 'DAMESandMOORE', TO_DATE('07/22/93','MM/DD/YY'), 'WHATCOM', 'WA', '5', '', '4', '0', '40000', '1962', 'C3', 'N', '1992', '72000', 'S', 'MIN', '', 'LS', '', '', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'NE', 'NE', 'NE', '72000', 'P', 'P', 'P', '', '14000', '', '', '', '', '', '', '', 'L', '', '', '', '', '', '8.5', 'W', 'C', 'W', 'M', 'N', '', 'C', '', '', 'SW', 'SW', '1.8', '1.0286', '1.10228', '1.13379', '81632.796875', '81632.796875', '0', '15873.043945313', '0', '0', '0', '0', '0', '0', '7', '', '', '');
INSERT INTO buildings VALUES ('2167', '8', '14', 'DAMESandMOORE', TO_DATE('07/22/93','MM/DD/YY'), 'WHATCOM', 'WA', '5', '', '4', '1', '40000', '1967', 'C1', 'N', '1992', '95000', 'S', 'MIN', '', 'LS', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'NE', 'NE', 'NE', '95000', 'P', 'P', 'P', '', '15000', '', '', '', '', '', '', '', '', '115', '83', '115', '83', '12', '', 'C', 'C', 'C', 'M', 'N', '', 'C', '', 'SF', 'MF', 'MF', '2.38', '1.0286', '1.10228', '1.13379', '107709.9453125', '107709.9453125', '0', '17006.833984375', '0', '0', '0', '0', '0', '0', '7', '', '', '');
INSERT INTO buildings VALUES ('2168', '12', '30', 'DAMESandMOORE', TO_DATE('07/22/93','MM/DD/YY'), 'WHATCOM', 'WA', '5', '', '3', '1', '25000', '1958', 'C3', 'N', '1992', '139000', 'S', 'MIN', '', 'LS', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'NE', 'NE', 'NE', '139000', 'P', 'P', 'P', '', '22000', '', '', '', '', '', '', '', '', '116', '88', '116', '88', '12', '', 'C', 'C', 'C', 'M', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '5.56', '1.0286', '1.10228', '1.13379', '157596.65625', '157596.65625', '0', '24943.35546875', '0', '0', '0', '0', '0', '0', '7', '', '', '');
INSERT INTO buildings VALUES ('2169', '5', '11', 'TRA', TO_DATE('07/22/93','MM/DD/YY'), 'WHATCOM', 'WA', '5', '', '2', '0', '4876', '1925', 'W2', 'N', '1992', '39200', 'S', 'MIN', '', 'LS', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'NE', 'NE', 'NE', '39200', 'P', 'P', 'P', '', '10000', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', 'W', 'W', 'CW', 'N', '', 'W', 'W', '', 'SW', 'SW', '8.04', '1.0286', '1.10228', '1.13379', '44444.5234375', '44444.5234375', '0', '11337.888671875', '0', '0', '0', '0', '0', '0', '5', 'ATC-22', '', '');
INSERT INTO buildings VALUES ('2170', '5', '11', 'TRA', TO_DATE('07/22/93','MM/DD/YY'), 'WHATCOM', 'WA', '5', '', '2', '0', '1996', '1962', 'W2', 'N', '1992', '18100', 'S', 'MIN', '', 'LS', 'BF', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'NE', 'NE', 'NE', '18100', 'P', 'P', 'P', '', '3000', '', '', '', '', '', '', '', 'R', '30', '30', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '9.07', '1.0286', '1.10228', '1.13379', '20521.578125', '20521.578125', '0', '3401.3666992188', '0', '0', '0', '0', '0', '0', '5', 'ATC-22', '', '');
INSERT INTO buildings VALUES ('2171', '13', '12', 'TRA', TO_DATE('07/22/93','MM/DD/YY'), 'WHATCOM', 'WA', '5', '', '1', '0', '7200', '1962', 'RM1', 'N', '1992', '11000', 'S', 'MIN', '', 'RR', 'WT', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'NE', 'NE', 'OK', '11000', 'P', 'P', 'P', '', '2000', '', '', '', '', '', '', '', '', '100', '40', '100', '40', '', '', 'W', '', 'W', 'N', '', '', '', 'RM', '', 'SW', 'SW', '1.53', '1.0286', '1.10228', '1.13379', '12471.677734375', '12471.677734375', '0', '2267.5778808594', '0', '0', '0', '0', '0', '0', '5', 'ATC-22', '', '');
INSERT INTO buildings VALUES ('2172', '5', '11', 'TRA', TO_DATE('07/22/93','MM/DD/YY'), 'WHATCOM', 'WA', '5', '', '2', '0', '1600', '1962', 'S1', 'N', '1992', '28600', 'S', 'MIN', '', 'LS', 'EF', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'NE', 'NE', 'OK', '28600', 'P', 'P', 'P', '', '7000', '', '', '', '', '', '', '', 'R', '50', '32', '50', '32', '', '', 'S', '', 'MD', 'MS', 'N', '', 'S', '', '', 'MF', 'MF', '17.88', '1.0286', '1.10228', '1.13379', '32426.361328125', '32426.361328125', '0', '7936.5219726563', '0', '0', '0', '0', '0', '0', '5', 'ATC-22', '', '');
INSERT INTO buildings VALUES ('2175', '10', '13', 'DAZIGANT', TO_DATE('08/19/93','MM/DD/YY'), 'FALLON', 'NV', '7', 'S2', '3', '0', '15600', '1973', 'RM2', 'N', '1986', '216000', 'S', 'MIN', '', 'LS', 'EW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '216000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '92', '38', '92', '38', '9', '26', 'FS', 'FS', 'C', 'M', '', 'G', '', 'RM', 'SF', 'SW', 'SW', '13.85', '1.174', '1.08717', '1.27632', '275684.8125', '275684.8125', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'DOD TRISERVICE ', '', '');
INSERT INTO buildings VALUES ('2176', '11', '13', 'DAZIGANT', TO_DATE('08/19/93','MM/DD/YY'), 'FALLON', 'NV', '7', 'S2', '3', '0', '45400', '1972', 'S5', 'N', '1986', '323750', 'S', 'MIN', '', 'LS', 'EW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '323750', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '315', '48', '315', '48', '10', '28', 'FS', 'FS', 'C', 'M', '', 'G', 'S', '', 'SF', 'SW', 'SW', '7.13', '1.174', '1.08717', '1.27632', '413208.125', '413208.125', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'DOD TRISERVICE ', '', '');
INSERT INTO buildings VALUES ('2177', '7', '11', 'DAZIGANT', TO_DATE('08/19/93','MM/DD/YY'), 'FALLON', 'NV', '7', 'S2', '1', '0', '5600', '1944', 'W2', 'N', '1986', '87486', 'S', 'MIN', '', 'LS', 'EW', 'EF', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '87486', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '112', '50', '112', '50', '17', '17', 'W', '', 'W', 'MS', 'N', 'G', '', 'W', '', 'SW', 'SW', '15.62', '1.174', '1.08717', '1.27632', '111660', '111660', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'DOD TRISERVICE ', '', '');
INSERT INTO buildings VALUES ('2178', '7', '12', 'DAZIGANT', TO_DATE('08/19/93','MM/DD/YY'), 'FALLON', 'NV', '7', 'S2', '2', '0', '29250', '1944', 'W2', 'N', '1986', '194000', 'S', 'MIN', '', 'LS', 'EF', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '194000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '180', '120', '180', '120', '15', '30', 'W', 'W', 'W', 'N', '', 'F', 'W', '', '', 'BF', 'MF', '6.63', '1.174', '1.08717', '1.27632', '247605.796875', '247605.796875', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'DOD TRISERVICE ', '', '');
INSERT INTO buildings VALUES ('2179', '12', '33', 'DAZIGANT', TO_DATE('08/19/93','MM/DD/YY'), 'FALLON', 'NV', '7', 'S2', '3', '0', '37600', '1957', 'C3', 'N', '1986', '371570', 'S', 'MIN', '', 'LS', 'EW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '371570', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '330', '38', '330', '38', '10', '30', 'C', 'C', 'C', 'M', '', 'G', 'C', '', 'SF', 'SW', 'SW', '9.88', '1.174', '1.08717', '1.27632', '474241.65625', '474241.65625', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'DOD TRISERVICE ', '', '');
INSERT INTO buildings VALUES ('2180', '7', '12', 'DAZIGANT', TO_DATE('08/19/93','MM/DD/YY'), 'FALLON', 'NV', '7', 'S2', '1', '0', '31800', '1957', 'RM2', 'N', '1986', '38760', 'S', 'MIN', '', 'LS', 'EW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '38760', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '482', '201', '200', '55', '11', '24', 'S', '', 'PC', 'M', '', 'G', '', 'RM', 'SF', 'SW', 'SW', '1.22', '1.174', '1.08717', '1.27632', '49470.10546875', '49470.10546875', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'DOD TRISERVICE ', '', '');
INSERT INTO buildings VALUES ('2181', '12', '32', 'DAZIGANT', TO_DATE('08/19/93','MM/DD/YY'), 'FALLON', 'NV', '7', 'S2', '3', '0', '8100', '1957', 'C3', 'N', '1986', '205600', 'S', 'MIN', '', 'LS', 'EW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '205600', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '252', '32', '252', '32', '10', '31', 'C', 'C', 'C', 'M', '', 'G', 'C', '', 'SF', 'SW', 'SW', '25.38', '1.174', '1.08717', '1.27632', '262411.09375', '262411.09375', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'DOD TRISERVICE ', '', '');
INSERT INTO buildings VALUES ('2182', '10', '12', 'DAZIGANT', TO_DATE('08/19/93','MM/DD/YY'), 'CHURCHHILL', 'NV', '7', 'S2', '3', '0', '59200', '1984', 'S2', 'N', '1986', '36995', 'S', 'MIN', '', 'LS', 'EF', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '36995', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '368', '161', '368', '161', '15', '46', 'S', '', 'W', 'N', '', 'G', 'S', '', 'SF', 'BF', 'BF', '0.62', '1.174', '1.08717', '1.27632', '47217.40234375', '47217.40234375', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'DOD TRISERVICE ', '', '');
INSERT INTO buildings VALUES ('2183', '7', '12', 'DAZIGANT', TO_DATE('08/19/93','MM/DD/YY'), 'CONCORD', 'CA', '7', 'S3', '1', '0', '10800', '1968', 'S2', 'N', '1985', '56000', 'S', 'MIN', '', 'LS', 'EF', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '56000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '483', '57', '483', '57', '20', '20', 'S', '', 'ST', '', '', 'G', 'S', '', 'SF', 'BF', 'BF', '5.19', '1.2006', '1', '1.20058', '67232.296875', '67232.296875', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'DOD TRISERVICE ', '', '');
INSERT INTO buildings VALUES ('2184', '7', '12', 'DAZIGANT', TO_DATE('08/19/93','MM/DD/YY'), 'CONCORD', 'CA', '7', 'S3', '1', '0', '9000', '1944', 'C2', 'N', '1985', '166000', 'S', 'MIN', '', 'LS', 'EW', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '166000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '300', '30', '300', '30', '20', '20', 'S', '', 'ST', '', '', 'G', '', 'C', 'P', 'SW', 'SW', '18.44', '1.2006', '1', '1.20058', '199295.71875', '199295.71875', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'DOD TRISERVICE ', '', '');
INSERT INTO buildings VALUES ('2185', '7', '12', 'DAZIGANT', TO_DATE('08/19/93','MM/DD/YY'), 'CONCORD', 'CA', '7', 'S3', '1', '0', '7060', '1966', 'C2', 'N', '1985', '43000', 'S', 'MIN', '', 'LS', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '43000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '120', '80', '120', '80', '14', '14', 'S', '', 'MD', '', '', 'G', '', 'C', 'SF', 'SW', 'SW', '6.09', '1.2006', '1', '1.20058', '51624.796875', '51624.796875', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'DOD TRISERVICE ', '', '');
INSERT INTO buildings VALUES ('2186', '7', '12', 'DAZIGANT', TO_DATE('08/19/93','MM/DD/YY'), 'CONCORD', 'CA', '7', 'S3', '1', '0', '13800', '1966', 'S4', 'N', '1985', '96000', 'S', 'MIN', '', 'LS', 'EW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '96000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '197', '69', '197', '69', '24', '24', 'S', '', 'ST', 'N', '', 'G', 'S', '', 'SF', 'SW', 'SW', '6.96', '1.2006', '1', '1.20058', '115255.359375', '115255.359375', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'DOD TRISERVICE ', '', '');
INSERT INTO buildings VALUES ('2187', '7', '12', 'DAZIGANT', TO_DATE('08/19/93','MM/DD/YY'), 'CONCORD', 'CA', '7', 'S2', '1', '0', '14200', '1960', 'PC2', 'N', '1985', '185000', 'S', 'MIN', '', 'LS', 'EW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '185000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '588', '75', '588', '75', '19', '19', 'S', '', 'MD', 'N', '', 'G', 'PC', '', 'SF', 'SW', 'SW', '13.03', '1.2006', '1', '1.20058', '222106.6875', '222106.6875', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'DOD TRISERVICE ', '', '');
INSERT INTO buildings VALUES ('2188', '7', '12', 'DAZIGANT', TO_DATE('08/19/93','MM/DD/YY'), 'CONCORD', 'CA', '7', 'S2', '1', '0', '22270', '1959', 'S4', 'N', '1985', '167000', 'S', 'MIN', '', 'LS', 'SD', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '167000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '204', '107', '204', '107', '18', '18', 'S', '', 'ST', 'N', '', 'G', 'S', '', 'SF', 'SW', 'SW', '7.5', '1.2006', '1', '1.20058', '200496.296875', '200496.296875', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'DOD TRISERVICE ', '', '');
INSERT INTO buildings VALUES ('2189', '7', '37', 'DAZIGANT', TO_DATE('08/19/93','MM/DD/YY'), 'CONCORD', 'CA', '7', 'S3', '1', '0', '13450', '1945', 'S2', 'N', '1985', '31000', 'S', 'MIN', '', 'LS', 'BF', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'NE', 'NE', 'NE', '31000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'L', '202', '80', '202', '80', '24', '24', 'S', '', 'C', 'N', '', 'G', 'S', '', 'SF', 'BF', 'BF', '2.3', '1.2006', '1', '1.20058', '37217.875', '37217.875', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'DOD TRISERVICE ', '', '');
INSERT INTO buildings VALUES ('2190', '7', '12', 'DAZIGANT', TO_DATE('08/19/93','MM/DD/YY'), 'CONCORD', 'CA', '7', 'S3', '1', '0', '12960', '1945', 'C2', 'N', '1985', '226000', 'S', 'MIN', '', 'LS', 'SW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '226000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '162', '80', '162', '80', '20', '20', 'S', '', 'ST', 'N', '', 'G', '', 'C', 'SF', 'SW', 'SW', '17.44', '1.2006', '1', '1.20058', '271330.3125', '271330.3125', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'DOD TRISERVICE ', '', '');
INSERT INTO buildings VALUES ('2191', '7', '12', 'DAZIGANT', TO_DATE('08/19/93','MM/DD/YY'), 'CONCORD', 'CA', '7', 'S3', '1', '0', '10340', '1961', 'S2', 'N', '1985', '87000', 'S', 'MIN', '', 'LS', 'EW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '87000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '136', '76', '136', '73', '16', '16', 'S', '', 'ST', 'CW', 'G', '', 'S', '', 'SF', 'BF', 'BF', '8.41', '1.2006', '1', '1.20058', '104450.171875', '104450.171875', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'DOD TRISERVICE ', '', '');
INSERT INTO buildings VALUES ('2192', '7', '14', 'DAZIGANT', TO_DATE('08/19/93','MM/DD/YY'), 'CONCORD', 'CA', '7', '', '1', '0', '8000', '1945', 'C2', 'N', '1985', '94000', 'S', 'MIN', '', 'LS', 'EW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '94000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '204', '77', '204', '36', '14', '18', 'C', '', 'C', 'N', '', 'G', '', 'C', 'SF', 'SW', 'SW', '11.75', '1.2006', '1', '1.20058', '112854.203125', '112854.203125', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'DOD TRISERVICE ', '', '');
INSERT INTO buildings VALUES ('2193', '7', '37', 'DAZIGANT', TO_DATE('08/19/93','MM/DD/YY'), 'CONCORD', 'CA', '7', '', '1', '0', '33610', '1945', 'S2', 'N', '1988', '18000', 'S', 'MIN', '', 'LS', 'EF', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'NE', 'NE', 'NE', '18000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '218', '135', '218', '135', '30', '30', 'S', '', 'ST', 'N', '', 'G', 'S', 'C', '', 'BF', 'SW', '0.54', '1.122', '1', '1.12202', '20196.3046875', '20196.3046875', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'DOD TRISERVICE ', '', '');
INSERT INTO buildings VALUES ('2194', '7', '12', 'DAZIGANT', TO_DATE('08/19/93','MM/DD/YY'), 'CONCORD', 'CA', '7', '', '1', '0', '13130', '1945', 'S2', 'N', '1985', '56000', 'S', 'MIN', '', 'LS', 'EW', 'EF', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '56000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '152', '101', '152', '101', '35', '35', 'S', '', 'ST', 'N', '', 'G', 'S', 'C', '', 'BF', 'SW', '4.27', '1.2006', '1', '1.20058', '67232.296875', '67232.296875', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'DOD TRISERVICE ', '', '');
INSERT INTO buildings VALUES ('2195', '7', '13', 'DAZIGANT', TO_DATE('08/19/93','MM/DD/YY'), 'CONCORD', 'CA', '7', '', '3', '0', '60500', '1945', 'C2', 'N', '1985', '128000', 'S', 'MIN', '', 'LS', 'EW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '128000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '233', '50', '', '', '11', '33', 'C', 'C', 'C', 'N', '', 'G', '', 'C', 'SF', 'SW', 'SW', '2.12', '1.2006', '1', '1.20058', '153673.8125', '153673.8125', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'DOD TRISERVICE ', '', '');
INSERT INTO buildings VALUES ('2196', '7', '37', 'DAZIGANT', TO_DATE('08/19/93','MM/DD/YY'), 'CONCORD', 'CA', '7', '', '2', '0', '6930', '1945', 'C2', 'N', '1985', '62000', 'S', 'MIN', '', 'LS', 'EW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'NE', 'NE', 'NE', '62000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '69', '50', '69', '50', '14', '26', 'C', 'C', 'C', 'N', '', 'G', '', 'C', 'SF', 'SW', 'SW', '8.95', '1.2006', '1', '1.20058', '74435.75', '74435.75', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'DOD TRISERVICE ', '', '');
INSERT INTO buildings VALUES ('2197', '7', '12', 'DAZIGANT', TO_DATE('08/19/93','MM/DD/YY'), 'CONCORD', 'CA', '7', '', '1', '0', '10300', '1945', 'C2', 'N', '1985', '93000', 'S', 'MIN', '', 'LS', 'SW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '93000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '202', '51', '202', '51', '15', '20', 'S', '', 'ST', 'N', '', 'G', '', 'C', 'SF', 'SW', 'SW', '9.03', '1.2006', '1', '1.20058', '111653.6328125', '111653.6328125', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'DOD TRISERVICE ', '', '');
INSERT INTO buildings VALUES ('2198', '7', '14', 'DAZIGANT', TO_DATE('08/19/93','MM/DD/YY'), 'CONCORD', 'CA', '7', '', '1', '0', '12000', '1945', 'C2', 'N', '1985', '119000', 'S', 'MIN', '', 'LS', 'EW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '119000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'O', '170', '105', '170', '105', '12', '12', 'C', '', 'C', 'N', '', 'G', '', 'C', 'SF', 'SW', 'SW', '9.92', '1.2006', '1', '1.20058', '142868.625', '142868.625', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'DOD TRISERVICE ', '', '');
INSERT INTO buildings VALUES ('2199', '7', '15', 'DAZIGANT', TO_DATE('08/19/93','MM/DD/YY'), 'CONCORD', 'CA', '7', 'S3', '1', '0', '36040', '1917', 'S1', 'N', '1983', '271000', 'S', 'MIN', '', 'LS', 'BF', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '271000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '340', '106', '340', '106', '78', '83', 'S', '', 'C', 'N', 'N', 'G', 'S', '', 'P', 'BF', 'MF', '7.52', '1.2227', '1', '1.22273', '331361.15625', '331361.15625', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'DOD TRISERVICE ', '', '');
INSERT INTO buildings VALUES ('2200', '7', '15', 'DAZIGANT', TO_DATE('08/19/93','MM/DD/YY'), 'VALLEJO', 'CA', '7', 'S3', '1', '0', '208800', '1922', 'S1', 'N', '1983', '446000', 'S', 'MIN', '', 'LS', 'BF', 'EF', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '446000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '696', '300', '696', '300', '80', '80', 'S', '', 'C', 'N', 'N', 'G', 'S', '', 'P', 'BF', 'MF', '2.14', '1.2227', '1', '1.22273', '545339.75', '545339.75', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'DOD TRISERVICE ', '', '');
INSERT INTO buildings VALUES ('2202', '17', '48', 'JONKILAND', TO_DATE('7/1/1993','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S1', '6', '1', '514200', '1924', 'C2', 'N', '1993', '8314089', 'S', 'MIN', '', 'IO', 'SW', 'SF', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'I', '4841003', 'G', 'P', 'P', '', '1330254', '332564', '54', '', '', '', '', '812879', 'OT', '1000', '600', '', '', '12', '58', 'C', 'C', 'C', 'N', '', '', 'C', 'C', 'SF', 'SW', 'SW', '9.41', '1', '1', '1', '8314089', '4841003', '0', '1330254', '332564', '0', '0', '0', '0', '812879', '6', '', '', '');
INSERT INTO buildings VALUES ('2203', '12', '32', 'FEMA-SF', TO_DATE('08/10/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', '', '3', '0', '16471', '', 'C3', 'N', '1993', '490280', 'AC', 'MIN', '', 'LS', 'EW', 'SF', '', '', '', '', 'Y', 'Y', 'N', 'Y', 'TR', 'I', 'OK', 'NE', 'NE', '45200', 'G', 'G', 'F', '', '160000', '', '', '', '2554', '59045', '', '', 'R', '121', '46', '121', '46', '14', '49', 'S', 'C', 'C', 'N', '', 'F', 'C', '', 'SF', 'SW', 'SW', '2.74', '1', '1', '1', '490280', '45200', '0', '160000', '0', '0', '2554', '59045', '0', '0', '7', '', '', '');
INSERT INTO buildings VALUES ('2204', '3', '8', 'FEMA-SF', TO_DATE('08/10/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S2', '5', '0', '519220', '1914', 'S5', 'Y', '1993', '118372000', 'S', 'MIN', '', 'IO', 'SW', 'BF', 'EW', 'EF', 'IS', '', 'N', 'N', 'N', 'Y', 'TR', 'I', 'OK', 'I', 'NE', '91194000', 'G', 'P', 'P', '', '8371000', '', '54', '4834000', '0', '0', '0', '22344000', 'R', '408', '309', '408', '309', '15', '300', 'S', 'S', 'C', 'M', '', 'F', 'S', '', 'SF', 'SW', 'SW', '175.64', '1', '1', '1', '118372000', '91194000', '0', '8371000', '0', '4834000', '0', '0', '0', '22344000', '5', 'UCBC', '', '');
INSERT INTO buildings VALUES ('2205', '1', '7', 'FEMA-SF', TO_DATE('08/10/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S2', '5', '0', '519220', '1914', 'S5', 'Y', '1993', '132831000', 'S', 'MIN', '', 'LS', 'SW', 'BF', 'EW', 'SD', 'SF', 'PB', 'N', 'N', 'N', 'Y', 'TR', 'I', 'I', 'I', 'NE', '94136000', 'G', 'P', 'P', '', '', '', '', '4834000', '0', '0', '0', '33861000', 'R', '408', '309', '408', '309', '15', '300', 'S', 'S', 'C', 'M', '', 'F', 'S', '', 'SF', 'SW', 'SW', '181.3', '1', '1', '1', '132831000', '94136000', '0', '0', '0', '4834000', '0', '0', '0', '33861000', '5', 'UCBC', '', '');
INSERT INTO buildings VALUES ('2206', '1', '9', 'FEMA-SF', TO_DATE('08/10/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', '', '2', '0', '10300', '1905', 'URM', 'Y', '1993', '1899000', 'AC', 'ADD', '', 'LS', 'EW', 'SD', 'SF', 'WT', '', '', 'N', 'Y', 'Y', 'Y', 'V', 'I', 'I', 'NE', 'NE', '454000', 'G', 'G', 'F', '', '150300', '', '', '', '', '', '', '', 'L', '110', '40', '', '', '', '', 'W', 'W', 'W', 'N', '', 'P', 'W', 'URM', 'SF', 'SW', 'SW', '44.08', '1', '1', '1', '1899000', '454000', '0', '150300', '0', '0', '0', '0', '0', '0', '7', 'UCBC', '', '');
INSERT INTO buildings VALUES ('2207', '2', '8', 'LEOARGIRIS/WEISKOPF', TO_DATE('08/26/93','MM/DD/YY'), 'HUDSONCOUNTY', 'NJ', '3', 'S3', '12', '0', '145000', '1899', 'S1', 'N', '1993', '12000000', 'AC', 'COM', '35000', 'IO', 'MF', '', '', '', '', '', 'Y', 'Y', 'Y', 'Y', 'V', 'I', 'I', 'I', 'I', '2500000', 'G', 'F', 'F', '', '700000', '', '', '', '', '', '', '', 'L', '160', '88', '160', '88', '12', '160', 'S', 'S', '', 'M', 'N', 'F', 'S', '', 'P', 'MF', 'MF', '17.24', '1', '0.98143', '0.98143', '11777189', '2453581', '0', '687002.6875', '0', '0', '0', '0', '0', '0', '7', 'BOCA 1987 ', '', '');
INSERT INTO buildings VALUES ('2208', '13', '41', 'LEOARGIRIS/WEISKOPF', TO_DATE('08/26/93','MM/DD/YY'), 'SUFFOLK', 'MA', '3', 'S3', '7', '2', '579000', '1971', 'PC2', 'N', '1989', '2000000', 'S', 'MIN', '54000', 'RR', 'EW', 'SD', '', '', '', '', 'N', 'N', 'Y', 'N', 'IP', 'I', 'OK', 'OK', 'OK', '2000000', 'G', 'P', 'P', '', '20000', '', '', '', '', '', '', '', 'R', '273', '210', '273', '210', '10', '75', 'C', 'C', 'PC', 'PC', 'N', 'G', 'PC', 'C', 'P', 'SW', 'SW', '3.45', '1.1067', '1.0137', '1.12184', '2243683.5', '2243683.5', '0', '22436.8359375', '0', '0', '0', '0', '0', '0', '5', 'MASSACHUSETTS STATE BLDG CODE ', '', '');
INSERT INTO buildings VALUES ('2209', '16', '54', 'BUILDINGTECHNOLOGY', TO_DATE('08/06/93','MM/DD/YY'), 'SHELBY', 'TN', '5', 'S2', '1', '0', '27416', '1960', 'C3', 'N', '1992', '1250000', 'AC', 'ADD', '', 'IO', 'SW', 'EW', 'SD', 'WT', '', '', 'Y', 'Y', 'Y', 'Y', 'IP', 'I', 'I', 'I', 'I', '330000', 'G', 'G', 'G', '0', '145000', '145000', '8', '16094', '16000', '85000', '320203', '382703', 'R', '248', '117', '248', '117', '14.5', '14.5', 'FS', '', 'C', 'M', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '12.04', '1.0286', '1.30129', '1.33848', '1673103', '441699.1875', '0', '194079.9375', '194079.9375', '21541.53515625', '21415.71875', '113771', '428586.0625', '512241.21875', '8', 'STANDARD BLDG CODE AND UBC', '', '');
INSERT INTO buildings VALUES ('2210', '16', '55', 'BUILDINGTECHNOLOGY', TO_DATE('08/06/93','MM/DD/YY'), 'ANDERSON', 'TN', '2', 'S3', '2', '1', '61916', '1941', 'C3', 'N', '1991', '1925000', 'AC', 'ADD', '', 'IO', 'SW', 'EW', 'SD', 'PB', 'WT', '', 'Y', 'N', 'Y', 'Y', 'IP', 'I', 'I', 'I', 'I', '595425', 'G', 'G', 'G', '0', '185000', '190000', '10', '91421', '36000', '0', '699252', '502902', 'R', '260', '92', '260', '92', '16.1000003814697', '42', 'FS', 'FS', 'C', 'M', 'N', 'G', 'C', '', 'SF', 'SW', 'SW', '9.62', '1.0596', '1.30129', '1.37887', '2654316', '821011', '0', '255090.109375', '261984.4375', '126057.265625', '49639.15625', '0', '964174.4375', '693434.1875', '8', 'STANDARD BLDG CODE AND UBC', '', '');
INSERT INTO buildings VALUES ('2211', '5', '23', 'CSU', TO_DATE('08/13/93','MM/DD/YY'), 'HUMBOLDT', 'CA', '5', '', '2', '0', '43500', '1958', 'C2', 'N', '1993', '509809', 'S', 'MIN', '', 'LS', 'SW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '509809', 'G', 'P', 'P', '', '55000', '', '', '', '', '', '', '', 'L', '216.5', '115', '216.5', '115', '12.5', '', 'C', 'C', 'C', 'M', 'N', 'G', 'C', 'C', '', 'SW', 'SW', '11.72', '1', '1', '1', '509809', '509809', '0', '55000', '0', '0', '0', '0', '0', '0', '7', 'GUIDELINES-CSU RETROFIT PROG', '', '');
INSERT INTO buildings VALUES ('2212', '5', '23', 'CSU', TO_DATE('08/13/93','MM/DD/YY'), 'HUMBOLDT', 'CA', '5', 'S3', '2', '0', '27500', '1952', 'C2', 'N', '1993', '474795', 'S', 'MIN', '', 'LS', 'SW', 'BF', 'EW', 'SD', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '474795', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'L', '179', '58', '179', '58', '13', '', 'C', '', 'C', 'M', 'N', 'G', 'C', 'C', '', 'SW', 'SW', '17.27', '1', '1', '1', '474795', '474795', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'GUIDELINES-CSU RETROFIT PROG', '', '');
INSERT INTO buildings VALUES ('2213', '5', '12', 'CSU', TO_DATE('08/13/93','MM/DD/YY'), 'HUMBOLDT', 'CA', '5', 'S1', '1', '0', '28800', '1959', 'W2', 'N', '1993', '574000', 'S', 'MIN', '', 'LS', 'EW', 'SD', 'PB', '', '', '', 'Y', 'N', 'N', 'Y', 'TR', 'I', 'I', 'NE', 'NE', '574000', 'G', 'P', 'P', '', '118700', '', '', '', '', '', '', '', 'R', '220', '160', '220', '160', '', '54', 'W', '', 'W', 'PC', 'N', 'F', 'C', 'W', 'SF', 'SW', 'SW', '19.93', '1', '1', '1', '574000', '574000', '0', '118700', '0', '0', '0', '0', '0', '0', '7', 'GUIDELINES-CSU RETROFIT PROG', '', '');
INSERT INTO buildings VALUES ('2214', '5', '12', 'CSU', TO_DATE('08/13/93','MM/DD/YY'), 'HUMBOLDT', 'CA', '5', 'S1', '2', '0', '32900', '1957', 'C2', 'N', '1993', '411000', 'S', 'MIN', '', 'LS', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'I', 'NE', '408750', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '2250', 'R', '142', '136', '142', '136', '', '', 'W', 'C', 'W', 'N', 'N', 'G', 'C', 'C', 'SF', 'SW', 'SW', '12.42', '1', '1', '1', '411000', '408750', '0', '0', '0', '0', '0', '0', '0', '2250', '7', 'GUIDELINES-CSU RETROFIT PROG', '', '');
INSERT INTO buildings VALUES ('2215', '8', '14', 'CSU', TO_DATE('08/11/93','MM/DD/YY'), 'HUMBOLDT', 'CA', '5', 'S2', '3', '0', '44500', '1967', 'C1', 'N', '1993', '1561041', 'S', 'MIN', '', 'LS', 'SW', 'EF', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '1561041', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '125', '80', '148', '103', '16', '78', 'S', 'S', 'C', 'N', 'N', 'G', 'C', 'C', 'P', 'MF', 'MF', '35.08', '1', '1', '1', '1561041', '1561041', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'GUIDELINES-CSU RETROFIT PROG', '', '');
INSERT INTO buildings VALUES ('2216', '10', '12', 'CSU', TO_DATE('08/11/93','MM/DD/YY'), 'HUMBOLDT', 'CA', '5', 'S1', '1', '0', '51830', '1972', 'C1', 'N', '1993', '593102', 'S', 'MIN', '', 'LS', 'BF', 'EW', 'PB', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '593102', 'G', 'P', 'P', '', '67271', '', '', '', '', '', '', '', 'R', '170', '166', '170', '166', '27', '49', 'C', '', 'W', 'PC', 'N', 'G', 'S', 'C', 'P', 'SW', 'MF', '11.44', '1', '1', '1', '593102', '593102', '0', '67271', '0', '0', '0', '0', '0', '0', '7', 'GUIDELINES-CSU RETROFIT PROG', '', '');
INSERT INTO buildings VALUES ('2217', '4', '11', 'CSU', TO_DATE('08/11/93','MM/DD/YY'), 'HUMBOLDT', 'CA', '5', 'S1', '1', '0', '1008', '1967', 'W1', 'N', '1993', '35750', 'S', 'MIN', '', 'LS', 'SW', 'EF', 'SF', '', '', '', 'N', 'N', 'N', 'Y', 'TR', 'I', 'OK', 'NE', 'NE', '35750', 'G', 'P', 'P', '', '6845', '', '', '', '', '', '', '', 'R', '84', '12', '84', '12', '12', '23', 'W', 'W', 'W', 'N', 'N', 'P', 'W', '', 'SF', 'BF', 'BF', '35.47', '1', '1', '1', '35750', '35750', '0', '6845', '0', '0', '0', '0', '0', '0', '7', 'GUIDELINES-CSU RETROFIT PROG', '', '');
INSERT INTO buildings VALUES ('2218', '5', '11', 'CSU', TO_DATE('08/11/93','MM/DD/YY'), 'HUMBOLDT', 'CA', '5', 'S1', '1', '0', '3390', '1964', 'PC1', 'N', '1993', '58000', 'S', 'MIN', '', 'LS', 'EW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '58000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '83', '40', '83', '40', '', '21', 'W', '', 'W', 'N', 'N', 'G', '', 'PC', 'SF', 'SW', 'SW', '17.11', '1', '1', '1', '58000', '58000', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'GUIDELINES-CSU RETROFIT PROG', '', '');
INSERT INTO buildings VALUES ('2219', '5', '14', 'CSU', TO_DATE('08/11/93','MM/DD/YY'), 'HUMBOLDT', 'CA', '5', 'S1', '3', '1', '85800', '1961', 'C2', 'N', '1993', '52855', 'S', 'MIN', '', 'LS', 'EF', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '52855', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'L', '276', '166', '276', '166', '13', '', 'FS', 'FS', 'C', 'N', 'N', 'G', 'C', 'C', 'SF', 'SW', 'SW', '0.62', '1', '1', '1', '52855', '52855', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'GUIDELINES-CSU RETROFIT PROG', '', '');
INSERT INTO buildings VALUES ('2220', '5', '11', 'CSU', TO_DATE('08/11/93','MM/DD/YY'), 'HUMBOLDT', 'CA', '5', 'S3', '2', '0', '3136', '1965', 'W2', 'N', '1993', '5000', 'S', 'MIN', '', 'LS', 'MF', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '5000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '56', '28', '56', '28', '9', '', 'W', 'W', 'W', 'N', 'N', 'G', 'W', 'W', 'SF', 'SW', 'SW', '1.59', '1', '1', '1', '5000', '5000', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'GUIDELINES-CSU RETROFIT PROG', '', '');
INSERT INTO buildings VALUES ('2226', '7', '23', 'CSU', TO_DATE('08/13/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '8', '0', '71760', '1963', 'C2', 'N', '1993', '730000', 'S', 'MIN', '', 'LS', 'SW', 'EF', 'PB', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '730000', 'F', 'P', 'P', '', '60000', '', '', '', '', '', '', '', 'R', '230', '39', '230', '39', '', '', 'S', 'S', 'C', 'N', 'N', 'G', 'C', 'C', '', 'SW', 'SW', '10.17', '1', '1', '1', '730000', '730000', '0', '60000', '0', '0', '0', '0', '0', '0', '7', 'GUIDELINES-CSU RETROFIT PROG', '', '');
INSERT INTO buildings VALUES ('2227', '5', '12', 'CSU', TO_DATE('08/13/93','MM/DD/YY'), 'BUTTE', 'CA', '5', '', '1', '0', '29000', '1930', 'S3', 'N', '1993', '52000', 'S', 'MIN', '', 'LS', 'BF', 'EW', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'I', 'NE', '49000', 'G', 'P', 'P', '', '15000', '', '', '', '', '', '', '', '', '164', '128', '164', '128', '', '', 'S', '', 'MD', 'MS', 'N', 'F', 'S', '', 'SF', 'MF', 'SW', '1.69', '1', '1', '1', '52000', '49000', '0', '15000', '0', '0', '0', '0', '0', '0', '7', 'GUIDELINES-CSU RETROFIT PROG', '', '');
INSERT INTO buildings VALUES ('2228', '5', '12', 'CSU', TO_DATE('08/13/93','MM/DD/YY'), 'BUTTE', 'CA', '5', '', '1', '0', '34000', '1950', 'PC1', 'N', '1993', '107000', 'S', 'MIN', '', 'LS', 'SD', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '92000', 'G', 'P', 'P', '', '20000', '', '', '', '', '', '', '', 'OT', '246', '191', '246', '191', '22.5', '26', 'W', '', 'W', 'N', 'N', 'G', 'W', 'PC', 'SF', 'SW', 'SW', '2.71', '1', '1', '1', '107000', '92000', '0', '20000', '0', '0', '0', '0', '0', '0', '7', 'GUIDELINES-CSU RETROFIT PROG', '', '');
INSERT INTO buildings VALUES ('2229', '5', '16', 'CSU', TO_DATE('08/13/93','MM/DD/YY'), 'BUTTE', 'CA', '5', '', '9', '1', '101310', '1967', 'C2', 'N', '1993', '765456', 'S', 'MIN', '', 'LS', 'SW', 'EW', 'SD', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '765456', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '160', '160', '160', '160', '', '', 'FS', 'FS', 'C', 'M', 'N', 'G', 'C', 'C', 'P', 'SW', 'SW', '7.56', '1', '1', '1', '765456', '765456', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'GUIDELINES-CSU RETROFIT PROG', '', '');
INSERT INTO buildings VALUES ('2230', '13', '22', 'CSU', TO_DATE('08/13/93','MM/DD/YY'), 'BUTTE', 'CA', '5', '', '2', '0', '7700', '1948', 'C2', 'N', '1993', '35700', 'S', 'MIN', '', 'RR', 'PB', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'OK', 'I', 'NE', 'NE', '35700', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', 'S', 'C', 'N', 'N', 'G', 'C', 'C', 'SF', 'SW', 'SW', '4.64', '1', '1', '1', '35700', '35700', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'GUIDELINES-CSU RETROFIT PROG', '', '');
INSERT INTO buildings VALUES ('2231', '6', '28', 'CSU', TO_DATE('08/13/93','MM/DD/YY'), 'BUTTE', 'CA', '5', '', '1', '0', '12720', '1920', 'URM', 'N', '1993', '713226', 'S', 'ADD', '', 'LS', 'EW', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'I', 'NE', '578400', 'G', 'P', 'P', '', '', '', '', '', '', '', '134790', '', 'R', '159', '80', '159', '80', '', '', 'W', '', 'W', 'N', 'N', 'F', 'S', 'URM', '', 'SW', 'SW', '45.47', '1', '1', '1', '713226', '578400', '0', '0', '0', '0', '0', '0', '134790', '0', '7', 'GUIDELINES-CSU RETROFIT PROG', '', '');
INSERT INTO buildings VALUES ('2232', '12', '33', 'CSU', TO_DATE('08/13/93','MM/DD/YY'), 'BUTTE', 'CA', '5', '', '2', '1', '59600', '1967', 'C3', 'N', '1993', '461041', 'S', 'MIN', '', 'LS', 'EW', 'EF', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '461014', 'F', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '146', '136', '146', '136', '', '', 'WS', 'WS', 'C', 'M', 'N', 'G', 'C', 'C', 'P', 'SW', 'SW', '7.74', '1', '1', '1', '461041', '461014', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'GUIDELINES-CSU RETROFIT PROG', '', '');
INSERT INTO buildings VALUES ('2233', '5', '12', 'CSU', TO_DATE('08/13/93','MM/DD/YY'), 'BUTTE', 'CA', '5', '', '1', '0', '24000', '1955', 'PC1', 'N', '1993', '14630', 'S', 'MIN', '', 'LS', 'SD', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '14630', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '158', '120', '158', '120', '', '', 'S', '', 'W', 'N', 'N', 'G', 'S', 'PC', 'P', 'SW', 'SW', '0.61', '1', '1', '1', '14630', '14630', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'GUIDELINES-CSU RETROFIT PROG', '', '');
INSERT INTO buildings VALUES ('2234', '13', '41', 'CSU', TO_DATE('08/13/93','MM/DD/YY'), 'BUTTE', 'CA', '5', '', '2', '0', '20650', '1933', 'URM', 'N', '1993', '65100', 'S', 'MIN', '', 'RR', 'PB', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'NE', 'I', 'NE', 'NE', '65100', 'P', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '3.15', '1', '1', '1', '65100', '65100', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'GUIDELINES-CSU RETROFIT PROG', '', '');
INSERT INTO buildings VALUES ('2235', '13', '35', 'CSU', TO_DATE('08/13/93','MM/DD/YY'), 'BUTTE', 'CA', '5', '', '2', '0', '360', '1973', 'W1', 'N', '1993', '7359', 'S', 'MIN', '', 'RR', 'SF', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'NE', 'I', 'NE', 'NE', '7359', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'W', 'W', 'W', 'N', '', '', 'W', '', 'SF', 'BF', 'BF', '20.44', '1', '1', '1', '7359', '7359', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'GUIDELINES-CSU RETROFIT PROG', '', '');
INSERT INTO buildings VALUES ('2236', '13', '23', 'CSU', TO_DATE('08/13/93','MM/DD/YY'), 'BUTTE', 'CA', '5', '', '2', '0', '30300', '1961', 'C2', 'N', '1993', '17264', 'S', 'MIN', '', 'RR', 'EW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'NE', 'I', 'NE', 'NE', '17264', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'FS', 'FS', 'C', 'N', '', '', 'C', 'C', 'P', 'SW', 'SW', '0.57', '1', '1', '1', '17264', '17264', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'GUIDELINES-CSU RETROFIT PROG', '', '');
INSERT INTO buildings VALUES ('2237', '13', '41', 'CSU', TO_DATE('08/13/93','MM/DD/YY'), 'BUTTE', 'CA', '5', '', '1', '0', '15675', '1932', 'URM', 'N', '1993', '90300', 'S', 'MIN', '', 'RR', 'PB', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'NE', 'I', 'NE', 'NE', '90300', 'P', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '176', '111.5', '', '', '', '', '', '', '', 'M', '', '', '', '', '', '', '', '5.76', '1', '1', '1', '90300', '90300', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'GUIDELINES-CSU RETROFIT PROG', '', '');
INSERT INTO buildings VALUES ('2238', '13', '41', 'CSU', TO_DATE('08/13/93','MM/DD/YY'), 'BUTTE', 'CA', '5', '', '2', '0', '45130', '1929', 'URM', 'N', '1993', '140700', 'S', 'MIN', '', 'RR', 'PB', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'NE', 'I', 'NE', 'NE', '140700', 'P', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '320', '67', '320', '67', '', '', '', '', '', '', '', '', '', '', '', '', '', '3.12', '1', '1', '1', '140700', '140700', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'GUIDELINES-CSU RETROFIT PROG', '', '');
INSERT INTO buildings VALUES ('2239', '13', '41', 'CSU', TO_DATE('08/13/93','MM/DD/YY'), 'BUTTE', 'CA', '5', '', '2', '0', '53000', '1951', 'URM', 'N', '1993', '88900', 'S', 'MIN', '', 'RR', 'PB', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'NE', 'I', 'NE', 'NE', '88900', 'P', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '251', '151.5', '251', '151', '', '', '', '', '', '', '', '', '', '', '', '', '', '1.68', '1', '1', '1', '88900', '88900', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'GUIDELINES-CSU RETROFIT PROG', '', '');
INSERT INTO buildings VALUES ('2240', '8', '23', 'CSU', TO_DATE('08/13/93','MM/DD/YY'), 'ORANGE', 'CA', '7', 'S2', '6', '1', '193300', '1964', 'C1', 'N', '1993', '3519000', 'S', 'MIN', '', 'LS', 'SW', 'EW', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '3519000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '207', '193', '198', '153', '13.5', '83.5', 'C', 'C', 'C', 'PC', '', '', 'C', '', 'P', 'MF', 'MF', '18.2', '1', '1', '1', '3519000', '3519000', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'GUIDELINES-CSU RETROFIT PROG', '', '');
INSERT INTO buildings VALUES ('2241', '7', '23', 'CSU', TO_DATE('08/13/93','MM/DD/YY'), 'ORANGE', 'CA', '7', 'S2', '9', '1', '138520', '1969', 'C2', 'N', '1993', '2384000', 'S', 'MIN', '', 'LS', 'SW', 'EW', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '2384000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '242', '120', '120', '100', '16', '126', 'C', 'C', 'C', 'PC', '', '', 'C', '', 'P', 'SW', 'SW', '17.21', '1', '1', '1', '2384000', '2384000', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'GUIDELINES-CSU RETROFIT PROG', '', '');
INSERT INTO buildings VALUES ('2242', '8', '14', 'CSU', TO_DATE('08/13/93','MM/DD/YY'), 'ORANGE', 'CA', '7', 'S2', '2', '0', '42000', '1965', 'C1', 'N', '1993', '59500', 'S', 'MIN', '', 'LS', 'WT', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'OK', 'I', 'NE', 'NE', '59500', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '140', '140', '140', '140', '14', '28', 'FS', 'FS', 'C', 'PC', '', 'G', 'C', '', 'P', 'MF', 'MF', '1.42', '1', '1', '1', '59500', '59500', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'GUIDELINES-CSU RETROFIT PROG', '', '');
INSERT INTO buildings VALUES ('2243', '7', '23', 'CSU', TO_DATE('08/13/93','MM/DD/YY'), 'ORANGE', 'CA', '7', 'S2', '8', '0', '147000', '1966', 'C2', 'N', '1993', '387000', 'S', 'MIN', '', 'LS', 'SW', 'SF', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '387000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '199.5', '112.5', '199.5', '67.5', '13.5', '107', 'C', 'C', 'C', 'N', '', 'G', 'C', 'C', 'P', 'SW', 'SW', '2.63', '1', '1', '1', '387000', '387000', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'GUIDELINES-CSU RETROFIT PROG', '', '');
INSERT INTO buildings VALUES ('2244', '7', '38', 'CSU', TO_DATE('08/13/93','MM/DD/YY'), 'ORANGE', 'CA', '7', 'S2', '8', '0', '147000', '1966', 'C2', 'N', '1993', '167000', 'S', 'MIN', '', 'LS', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'NE', 'NE', '167000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '199.5', '112.5', '199.5', '67.5', '13.5', '107', 'C', 'C', 'C', 'N', '', 'G', 'C', 'C', 'P', 'SW', 'SW', '1.14', '1', '1', '1', '167000', '167000', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'GUIDELINES-CSU RETROFIT PROG', '', '');
INSERT INTO buildings VALUES ('2245', '7', '23', 'CSU', TO_DATE('08/13/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '4', '0', '87360', '1957', 'C2', 'N', '1993', '1200000', 'S', 'MIN', '', 'LS', 'SW', 'EF', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'OK', 'NE', 'NE', '1200000', 'F', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '182', '120', '182', '120', '13', '', 'FS', 'FS', 'C', 'N', 'N', 'G', 'C', 'C', 'SF', 'SW', 'SW', '13.74', '1', '1', '1', '1200000', '1200000', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'GUIDELINES-CSU RETROFIT PROG', '', '');
INSERT INTO buildings VALUES ('2246', '13', '22', 'CSU', TO_DATE('08/13/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', '', '3', '2', '256000', '1967', 'C2', 'N', '1993', '752000', 'S', 'MIN', '', 'RR', 'PB', '', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'NE', 'I', 'NE', 'NE', '752000', 'P', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '277', '185', '277', '185', '13.5', '67', 'FS', 'FS', 'C', 'PC', 'N', 'G', '', 'C', 'SF', 'SW', 'SW', '2.94', '1', '1', '1', '752000', '752000', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'GUIDELINES-CSU RETROFIT PROG', '', '');
INSERT INTO buildings VALUES ('2247', '7', '23', 'CSU', TO_DATE('08/13/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '2', '0', '48920', '1969', 'C2', 'N', '1993', '4054115', 'S', 'ADD', '', 'LS', 'EW', 'SD', 'SF', 'PB', '', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'I', 'I', 'I', '814400', 'G', 'P', 'P', '', '', '', '', '', '', '', '3239700', '', 'OT', '97', '87', '', '', '', '', 'C', 'C', 'C', 'N', 'N', 'F', '', 'C', 'SF', 'SW', 'SW', '16.65', '1', '1', '1', '4054115', '814400', '0', '0', '0', '0', '0', '0', '3239700', '0', '7', 'GUIDELINES-CSU RETROFIT PROG', '', '');
INSERT INTO buildings VALUES ('2248', '7', '12', 'CSU', TO_DATE('08/13/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', 'S2', '1', '0', '14400', '1963', 'PC1', 'N', '1993', '16600', 'S', 'MIN', '', 'LS', 'WT', '', '', '', '', '', 'N', 'N', 'N', 'N', 'OK', 'OK', 'I', 'NE', 'NE', '16600', 'F', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '180', '80', '', '', '18', '18', 'W', '', 'W', 'N', 'N', 'G', 'C', 'PC', 'SF', 'SW', 'SW', '1.15', '1', '1', '1', '16600', '16600', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'GUIDELINES-CSU RETROFIT PROG', '', '');
INSERT INTO buildings VALUES ('2249', '7', '11', 'CSU', TO_DATE('08/13/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', 'S2', '1', '0', '4550', '1962', 'S3', 'N', '1993', '204500', 'S', 'MIN', '', 'LS', 'BF', 'EF', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '204500', 'F', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '80.5', '56.5', '', '', '28', '28', 'S', '', 'MD', 'PC', 'N', 'G', 'S', '', 'SF', 'MF', 'MF', '44.95', '1', '1', '1', '204500', '204500', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'GUIDELINES-CSU RETROFIT PROG', '', '');
INSERT INTO buildings VALUES ('2250', '7', '37', 'CSU', TO_DATE('08/13/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', 'S2', '2', '0', '15756', '1969', 'PC1', 'N', '1993', '31452', 'S', 'MIN', '', 'LS', 'WT', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'OK', 'NE', 'NE', 'NE', '31452', 'P', 'P', 'P', '', '', '', '', '', '', '', '', '', 'L', '189', '35', '189', '35', '13', '24', 'W', 'C', 'W', 'PC', 'N', 'G', '', 'PC', 'SF', 'SW', 'SW', '2', '1', '1', '1', '31452', '31452', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'GUIDELINES-CSU RETROFIT PROG', '', '');
INSERT INTO buildings VALUES ('2251', '7', '38', 'CSU', TO_DATE('08/13/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', 'S2', '1', '0', '78500', '1965', 'C2', 'N', '1993', '151400', 'S', 'MIN', '', 'LS', 'SD', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'NE', 'NE', '151400', 'P', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '337', '300', '337', '300', '52', '52', 'S', '', 'ST', 'PC', 'N', 'G', 'C', 'C', 'P', 'SW', 'SW', '1.93', '1', '1', '1', '151400', '151400', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'GUIDELINES-CSU RETROFIT PROG', '', '');
INSERT INTO buildings VALUES ('2252', '7', '14', 'CSU', TO_DATE('08/25/93','MM/DD/YY'), 'SONOMA', 'CA', '7', 'S2', '1', '0', '8000', '', 'PC1', 'N', '1993', '9900', 'S', 'MIN', '', 'LS', 'SD', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '9900', 'F', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '200', '41', '', '', '14', '14', 'C', '', 'C', 'N', 'M', 'G', '', 'PC', '', 'SW', 'SW', '1.24', '1', '1', '1', '9900', '9900', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'UBC 1991 & TITLE 24 ', '', '');
INSERT INTO buildings VALUES ('2253', '7', '12', 'CSU', TO_DATE('08/25/93','MM/DD/YY'), 'SONOMA', 'CA', '7', 'S2', '1', '0', '9288', '1965', 'S2', 'N', '1993', '22700', 'S', 'MIN', '', 'LS', 'EF', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '22700', 'P', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '108', '86', '', '', '', '28', 'S', '', 'ST', 'PC', 'N', 'G', 'S', '', 'SF', 'BF', 'BF', '2.44', '1', '1', '1', '22700', '22700', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'GUIDELINES-CSU RETROFIT PROG', '', '');
INSERT INTO buildings VALUES ('2254', '7', '22', 'CSU', TO_DATE('08/25/93','MM/DD/YY'), 'SONOMA', 'CA', '7', 'S2', '1', '0', '15460', '1963', 'S2', 'N', '1993', '81732', 'S', 'MIN', '', 'LS', 'EF', 'SD', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'OK', 'OK', '65600', 'G', 'P', 'P', '', '', '', '3', '', '', '', '', '', 'R', '161', '101', '161', '101', '22', '22', 'W', '', 'W', 'PC', 'N', 'G', 'S', 'PC', 'SF', 'BF', 'BF', '4.24', '1', '1', '1', '81732', '65600', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'GUIDELINES-CSU RETROFIT PROG', '', '');
INSERT INTO buildings VALUES ('2256', '1', '4', 'CSU', TO_DATE('08/25/93','MM/DD/YY'), 'ORANGE', 'CA', '7', 'S2', '1', '1', '1850', '1890', 'URM', 'N', '1993', '61500', 'S', 'MIN', '', 'LS', 'SD', 'WT', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '61500', 'F', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '44', '43', '44', '43', '', '', 'W', '', 'W', 'N', 'N', 'F', '', 'URM', '', 'SW', 'SW', '33.24', '1', '1', '1', '61500', '61500', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'DIV 88 - LA BUILDING CODE ', '', '');
INSERT INTO buildings VALUES ('2257', '7', '23', 'CSU', TO_DATE('08/25/93','MM/DD/YY'), 'SANDIEGO', 'CA', '7', '', '9', '1', '114500', '1968', 'C2', 'N', '1993', '1564250', 'S', 'MIN', '', 'LS', 'SW', 'EW', 'SD', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '1564250', 'F', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '', '', '', '', '', '', 'C', 'C', 'C', 'N', '', '', 'C', 'C', 'SF', 'SW', 'SW', '13.66', '1', '1', '1', '1564250', '1564250', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'CSU GUIDELINES', '', '');
INSERT INTO buildings VALUES ('2258', '7', '22', 'CSU', TO_DATE('08/25/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S2', '3', '1', '61900', '1963', 'C2', 'N', '1993', '18000', 'S', 'MIN', '', 'LS', 'EF', 'SF', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '18000', 'F', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '240', '154', '240', '154', '11.5', '34', 'C', 'C', 'C', 'N', '', '', 'C', 'C', 'SF', 'SW', 'SW', '0.29', '1', '1', '1', '18000', '18000', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'CSU GUIDELINES', '', '');
INSERT INTO buildings VALUES ('2259', '7', '23', 'CSU', TO_DATE('08/25/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S2', '3', '0', '178100', '1956', 'C2', 'N', '1993', '799000', 'S', 'MIN', '', 'LS', 'SW', 'EF', 'SD', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '799000', 'F', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '293', '178', '293', '178', '11.5', '34', 'C', 'C', 'C', 'N', '', '', 'S', 'C', 'SF', 'SW', 'SW', '4.49', '1', '1', '1', '799000', '799000', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'CSU GUIDELINES', '', '');
INSERT INTO buildings VALUES ('2260', '7', '23', 'CSU', TO_DATE('08/25/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S1', '2', '1', '74400', '1951', 'C2', 'N', '1993', '534000', 'S', 'MIN', '', 'LS', 'SW', 'EW', 'SF', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '534000', 'G', 'P', 'P', '', '58000', '', '', '', '', '', '', '', 'OT', '273', '212', '273', '212', '', '', 'C', 'C', 'C', 'N', '', '', 'C', 'C', 'SF', 'SW', 'SW', '7.18', '1', '1', '1', '534000', '534000', '0', '58000', '0', '0', '0', '0', '0', '0', '7', 'CSU CRITERIA', '', '');
INSERT INTO buildings VALUES ('2261', '8', '12', 'CSU', TO_DATE('08/25/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S2', '2', '0', '11300', '1968', 'C1', 'N', '1993', '223400', 'S', 'MIN', '', 'LS', 'BF', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'I', 'NE', 'NE', '223400', 'F', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '108', '59', '108', '59', '', '', 'S', 'C', 'MD', 'N', '', '', 'C', 'C', 'SF', 'MF', 'MF', '19.77', '1', '1', '1', '223400', '223400', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'CSU GUIDELINES', '', '');
INSERT INTO buildings VALUES ('2262', '7', '23', 'CSU', TO_DATE('08/25/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', 'S2', '4', '0', '105000', '', 'C2', 'N', '1993', '344600', 'S', 'MIN', '', 'LS', 'EW', 'SF', '', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'I', 'NE', 'NE', '344600', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'O', '212', '200', '212', '200', '', '', 'C', 'C', 'C', 'N', '', '', 'C', 'C', 'P', 'SW', 'SW', '3.28', '1', '1', '1', '344600', '344600', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'CSU GUIDELINES', '', '');
INSERT INTO buildings VALUES ('2263', '7', '23', 'CSU', TO_DATE('08/25/93','MM/DD/YY'), 'FRESNO', 'CA', '7', '', '3', '0', '61000', '1967', 'C2', 'N', '1993', '203000', 'S', 'MIN', '', 'LS', 'SW', 'EF', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '203000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '260', '145', '124', '124', '', '', 'C', 'C', 'C', 'N', '', '', 'C', 'C', 'SF', 'SW', 'SW', '3.33', '1', '1', '1', '203000', '203000', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'CSU GUIDELINES', '', '');
INSERT INTO buildings VALUES ('2264', '9', '23', 'CSU', TO_DATE('08/25/93','MM/DD/YY'), 'FRESNO', 'CA', '7', '', '3', '0', '61000', '1967', 'C2', 'N', '1993', '483000', 'S', 'MIN', '', 'DC', 'SW', 'EW', 'EF', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '483000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '260', '145', '124', '124', '', '', 'C', 'C', 'C', 'N', '', '', 'C', 'C', 'SF', 'SW', 'SW', '7.92', '1', '1', '1', '483000', '483000', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'CSU GUIDELINES', '', '');
INSERT INTO buildings VALUES ('2265', '10', '23', 'CSU', TO_DATE('08/25/93','MM/DD/YY'), 'FRESNO', 'CA', '7', '', '5', '0', '49000', '1973', 'C2', 'N', '1993', '153100', 'S', 'MIN', '', 'LS', 'BF', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '153100', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'C', 'C', 'C', 'N', '', '', 'C', 'C', 'SF', 'SW', 'SW', '3.12', '1', '1', '1', '153100', '153100', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'CSU GUIDELINES', '', '');
INSERT INTO buildings VALUES ('2266', '10', '40', 'EQE', TO_DATE('08/12/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', 'S4', '4', '0', '64000', '1979', 'RM1', 'N', '1991', '1400000', 'AC', 'ADD', '', 'DC', 'BF', '', '', '', '', '', 'N', 'N', 'Y', 'N', 'IP', 'I', 'OK', 'NE', 'NE', '1300000', 'G', 'G', 'F', '', '', '', '8', '', '', '', '', '', 'OT', '304', '144', '', '', '', '', 'W', 'W', 'W', 'N', 'N', 'F', 'S', 'RM', 'P', 'SW', 'SW', '20.31', '1.0596', '1', '1.05961', '1483460.5', '1377499', '0', '0', '0', '0', '0', '0', '0', '0', '9', '1979 UBC', '', '');
INSERT INTO buildings VALUES ('2267', '10', '40', 'EQE', TO_DATE('08/12/93','MM/DD/YY'), 'KING', 'WA', '5', 'S2', '1', '0', '152000', '1981', 'PC1', 'N', '1989', '200000', 'S', 'MIN', '', 'DC', 'SD', 'WT', '', '', '', '', 'N', 'N', 'Y', 'N', 'IP', 'I', 'NE', 'I', 'I', '151000', 'P', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '', '', '', '', '', '', 'W', '', 'W', 'N', 'N', 'F', 'S', 'PC', 'SF', 'SW', 'SW', '0.99', '1.1067', '1.10228', '1.21988', '243975.515625', '184201.515625', '0', '0', '0', '0', '0', '0', '0', '0', '7', '1988', '', '');
INSERT INTO buildings VALUES ('2268', '13', '41', 'EQE', TO_DATE('08/12/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', 'S2', '1', '0', '35000', '1980', 'PC1', 'N', '1992', '20000', 'S', 'MIN', '', 'RR', 'WT', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'NE', 'I', 'NE', 'NE', '20000', 'F', 'P', 'P', '', '4000', '', '1', '0', '0', '0', '0', '0', 'R', '200', '175', '200', '175', '1', '24', 'W', '', 'W', 'N', 'N', 'G', 'S', 'PC', 'SF', 'SW', 'SW', '0.57', '1.0286', '1', '1.02858', '20571.630859375', '20571.630859375', '0', '4114.326171875', '0', '0', '0', '0', '0', '0', '7', '1991 UBC', '', '');
INSERT INTO buildings VALUES ('2269', '13', '41', 'EQE', TO_DATE('08/12/93','MM/DD/YY'), 'SANFRANCISCO', 'CA', '7', 'S3', '2', '0', '9100', '1935', 'C2', 'N', '1993', '19000', 'AC', 'MIN', '', 'RR', 'PB', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'NE', 'I', 'NE', 'NE', '19000', 'F', 'F', 'F', '0', '15000', '0', '1', '0', '0', '0', '0', '0', 'R', '94', '82', '94', '82', '2', '28', 'W', 'W', 'W', 'N', 'N', 'F', 'W', 'C', 'SF', 'SW', 'SW', '2.09', '1', '1', '1', '19000', '19000', '0', '15000', '0', '0', '0', '0', '0', '0', '9', 'SFBC (UBC 1991) ', '', '');
INSERT INTO buildings VALUES ('2270', '13', '41', 'EQE', TO_DATE('08/12/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', 'S3', '2', '0', '10000', '1935', 'URM', 'N', '1992', '110000', 'S', 'MIN', '', 'RR', 'SW', 'BF', 'EW', 'SD', '', '', 'N', 'N', 'N', 'Y', 'IP', 'I', 'I', 'NE', 'NE', '110000', 'P', 'P', 'P', '', '25000', '', '4', '0', '0', '0', '0', '0', 'OT', '120', '120', '', '', '11', '28', 'W', '', 'W', 'N', '', 'F', 'W', 'URM', 'SF', 'SW', 'SW', '11', '1.0286', '1', '1.02858', '113143.96875', '113143.96875', '0', '25714.537109375', '0', '0', '0', '0', '0', '0', '7', 'UBC 1991', '', '');
INSERT INTO buildings VALUES ('2271', '8', '19', 'DAZIGANT', TO_DATE('08/24/93','MM/DD/YY'), 'SANDIEGO', 'CA', '7', 'S1', '1', '0', '125840', '1952', 'C1', 'N', '1983', '4900000', 'S', 'MIN', '', 'LS', 'SW', 'EW', 'EF', 'SD', 'SF', '', 'N', 'N', 'Y', 'N', 'TR', 'I', 'NE', 'I', 'I', '3900000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '484', '260', '', '', '', '69', 'C', 'FS', 'C', 'CW', 'N', 'G', 'C', '', 'SF', 'MF', 'MF', '30.99', '1.2227', '1', '1.22273', '5991401', '4768666', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'DOD TRISERVICE ', '', '');
INSERT INTO buildings VALUES ('2272', '13', '12', 'DAZIGANT', TO_DATE('08/24/93','MM/DD/YY'), 'SANDIEGO', 'CA', '7', 'S1', '1', '0', '169000', '1956', 'S1', 'N', '1983', '686000', 'S', 'MIN', '', 'RR', 'EF', 'SD', 'SF', '', '', '', 'N', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '686000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '520', '242', '520', '242', '33', '33', 'S', '', 'MD', 'CW', 'N', 'G', 'S', '', 'SF', 'BF', 'MF', '4.06', '1.2227', '1', '1.22273', '838796.1875', '838796.1875', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'DOD TRISERVICE ', '', '');
INSERT INTO buildings VALUES ('2273', '13', '41', 'DAZIGANT', TO_DATE('08/24/93','MM/DD/YY'), 'SANDIEGO', 'CA', '7', 'S1', '1', '0', '57000', '1964', 'S1', 'N', '1983', '32000', 'S', 'MIN', '', 'RR', 'EF', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'NE', 'NE', 'NE', '32000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '480', '90', '480', '90', '30', '30', 'W', 'FS', 'ST', 'N', 'N', 'G', 'S', '', 'SF', 'BF', 'MF', '0.56', '1.2227', '1', '1.22273', '39127.51953125', '39127.51953125', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'DOD TRISERVICE ', '', '');
INSERT INTO buildings VALUES ('2274', '8', '18', 'DAZIGANT', TO_DATE('08/24/93','MM/DD/YY'), 'SANDIEGO', 'CA', '7', 'S1', '1', '0', '13000', '1952', 'C1', 'N', '1983', '135000', 'S', 'MIN', '', 'LS', 'EW', 'EF', 'SD', 'SF', '', '', 'N', 'N', 'Y', 'N', 'V', 'I', 'NE', 'NE', 'I', '134000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '267', '50', '267', '50', '12', '12', 'C', '', 'PC', 'N', 'N', 'F', 'C', '', 'SF', 'SW', 'MF', '10.31', '1.2227', '1', '1.22273', '165069.21875', '163846.484375', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'DOD TRISERVICE ', '', '');
INSERT INTO buildings VALUES ('2275', '7', '18', 'DAZIGANT', TO_DATE('08/24/93','MM/DD/YY'), 'SANDIEGO', 'CA', '7', 'S1', '1', '0', '24000', '1944', 'W2', 'N', '1983', '257000', 'S', 'MIN', '', 'LS', 'SW', 'EW', 'SD', '', '', '', 'N', 'N', 'Y', 'N', 'V', 'I', 'NE', 'I', 'NE', '250000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '202', '118', '202', '108', '12', '65', 'W', '', 'W', 'S', '', '', 'W', '', 'SF', 'SW', 'MF', '10.42', '1.2227', '1', '1.22273', '314242.875', '305683.71875', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'DOD TRI-SERVICE ', '', '');
INSERT INTO buildings VALUES ('2277', '7', '20', 'DAZIGANT', TO_DATE('08/24/93','MM/DD/YY'), 'SANDIEGO', 'CA', '7', 'S1', '2', '0', '74000', '1954', 'PC1', 'N', '1983', '2165000', 'S', 'MIN', '', 'LS', 'SW', 'EW', 'SF', '', '', '', 'N', 'N', 'Y', 'N', 'V', 'I', 'NE', 'I', 'I', '2100000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '572', '234', '', '', '10', '26', '', 'FS', 'C', 'N', 'N', 'F', '', 'PC', 'SF', 'SW', 'SW', '28.38', '1.2227', '1', '1.22273', '2647221', '2567743.25', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'DOD TRI-SERVICE ', '', '');
INSERT INTO buildings VALUES ('2278', '7', '20', 'DAZIGANT', TO_DATE('08/23/93','MM/DD/YY'), 'SANDIEGO', 'CA', '7', 'S1', '1', '0', '60000', '1952', 'C2', 'N', '1983', '1886000', 'S', 'MIN', '', 'LS', 'SW', 'EW', '', '', '', '', 'N', 'N', 'Y', 'N', 'V', 'I', 'NE', 'I', 'I', '1500000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '', '', '', '', '8', '8', 'FS', '', 'PC', 'N', 'Y', 'P', '', 'C', 'SF', 'SW', 'SW', '25', '1.2227', '1', '1.22273', '2306078', '1834102.375', '0', '0', '0', '0', '0', '0', '0', '0', '6', 'DOD TRI-SERVICE ', '', '');
INSERT INTO buildings VALUES ('2282', '13', '41', 'CSU', TO_DATE('08/24/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', 'S2', '12', '1', '153250', '', 'S1', 'N', '1993', '158565', 'S', 'MIN', '', 'RR', '', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'NE', 'I', 'NE', 'NE', '158565', 'P', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '113', '113', '113', '113', '13', '162', 'S', 'S', 'MDF', 'PC', 'N', 'G', 'S', '', '', 'MF', 'MF', '1.03', '1', '1', '1', '158565', '158565', '0', '0', '0', '0', '0', '0', '0', '0', '7', '', '', '');
INSERT INTO buildings VALUES ('2284', '13', '22', 'CSU', TO_DATE('08/24/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', 'S2', '3', '1', '174500', '', 'RM2', 'N', '1993', '244678', 'S', 'MIN', '', 'RR', '', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'NE', 'I', 'NE', 'NE', '244678', 'P', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '209', '209', '209', '209', '13', '39', 'C', 'C', 'C', 'M', 'N', 'G', 'C', 'RM', '', 'SW', 'SW', '1.4', '1', '1', '1', '244678', '244678', '0', '0', '0', '0', '0', '0', '0', '0', '7', '', '', '');
INSERT INTO buildings VALUES ('2287', '13', '22', 'CSU', TO_DATE('08/24/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', 'S2', '2', '0', '63000', '1965', 'C2', 'N', '1993', '126676', 'S', 'MIN', '', 'RR', '', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'NE', 'I', 'NE', 'NE', '126676', 'P', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '100', '100', '', '', '13', '29', 'C', 'C', 'C', 'N', 'N', 'G', 'C', 'C', '', 'SW', 'SW', '2.01', '1', '1', '1', '126676', '126676', '0', '0', '0', '0', '0', '0', '0', '0', '7', '', '', '');
INSERT INTO buildings VALUES ('2288', '13', '41', 'CSU', TO_DATE('08/24/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', 'S2', '3', '0', '200000', '1965', 'C2', 'N', '1993', '76911', 'S', 'MIN', '', 'RR', 'EW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'NE', 'I', 'NE', 'NE', '76911', 'P', 'P', 'P', '', '', '', '', '', '', '', '', '', 'L', '369', '305', '', '', '12.5', '38', 'C', 'C', 'C', 'N', 'N', 'G', 'C', 'C', '', 'SW', 'SW', '0.38', '1', '1', '1', '76911', '76911', '0', '0', '0', '0', '0', '0', '0', '0', '7', '', '', '');
INSERT INTO buildings VALUES ('2289', '13', '41', 'CSU', TO_DATE('08/24/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', 'S2', '3', '0', '135378', '1960', 'C2', 'N', '1993', '62130', 'S', 'MIN', '', 'RR', '', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'NE', 'I', 'NE', 'NE', '62130', 'P', 'P', 'P', '', '', '', '', '', '', '', '', '', '', '654', '69', '654', '69', '12.5', '38', 'C', 'C', 'C', 'PC', 'N', 'G', '', 'C', '', 'SW', 'SW', '0.46', '1', '1', '1', '62130', '62130', '0', '0', '0', '0', '0', '0', '0', '0', '7', '', '', '');
INSERT INTO buildings VALUES ('2291', '9', '13', 'KPFF', TO_DATE('05/26/93','MM/DD/YY'), 'MULTNOMAH', 'OR', '2', 'S2', '3', '0', '64800', '1958', 'C2', 'N', '1990', '40500', 'AC', 'MIN', '', 'DC', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'OK', 'NE', 'NE', '40500', 'F', 'G', 'G', '', '', '', '1', '', '', '', '', '', 'OT', '200', '120', '200', '120', '10', '30', 'C', 'C', 'C', 'N', '', '', 'C', 'C', 'SF', 'SW', 'SW', '0.63', '1.0788', '1.1269', '1.21574', '49237.3828125', '49237.3828125', '0', '0', '0', '0', '0', '0', '0', '0', '9', '1988 UBC', '', '');
INSERT INTO buildings VALUES ('2292', '5', '17', 'KPFF', TO_DATE('05/26/93','MM/DD/YY'), 'MULTNOMAH', 'OR', '2', 'S2', '1', '0', '8700', '1948', 'C2', 'N', '1988', '308000', 'AC', 'COM', '', 'LS', 'SD', '', '', '', '', '', 'N', 'Y', 'Y', 'Y', 'V', 'I', 'OK', 'NE', 'NE', '18700', 'F', 'F', 'F', '', '', '', '7', '', '', '', '', '', 'OT', '100', '90', '100', '90', '13', '13', 'W', '', 'W', 'CW', 'N', 'F', 'W', 'C', 'SF', 'SW', 'SW', '2.15', '1.122', '1.1269', '1.2644', '389436.6875', '23644.369140625', '0', '0', '0', '0', '0', '0', '0', '0', '8', '1988 UBC', '', '');
INSERT INTO buildings VALUES ('2293', '6', '17', 'KPFF', TO_DATE('06/01/93','MM/DD/YY'), 'MULTNOMAH', 'OR', '2', 'S2', '4', '1', '25000', '1920', 'URM', 'Y', '1986', '700000', 'AC', 'COM', '', 'LS', 'BF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'Y', 'Y', 'V', 'I', 'I', 'NE', 'NE', '115000', 'G', 'F', 'P', '', '', '', '6', '', '', '', '', '', 'R', '100', '50', '100', '50', '14', '56', 'W', 'W', 'W', 'N', '', '', 'W', 'URM', 'SF', 'SW', 'SW', '4.6', '1.174', '1.1269', '1.32297', '926076', '152141.0625', '0', '0', '0', '0', '0', '0', '0', '0', '6', '1982 UBC', '', '');
INSERT INTO buildings VALUES ('2294', '6', '17', 'KPFF', TO_DATE('06/01/93','MM/DD/YY'), 'MULTNOMAH', 'OR', '2', '', '4', '2', '112000', '1923', 'URM', 'Y', '1986', '4500000', 'AC', 'COM', '', 'LS', 'BF', 'SD', 'PB', 'WT', '', '', 'N', 'N', 'Y', 'Y', 'V', 'I', 'I', 'I', 'NE', '475000', 'G', 'F', 'P', '', '', '', '11', '', '', '', '', '', 'R', '200', '100', '200', '100', '23', '73', 'S', 'S', 'C', 'M', 'N', 'G', 'S', 'URM', 'SF', 'SW', 'SW', '4.24', '1.174', '1.1269', '1.32297', '5953345.5', '628408.6875', '0', '0', '0', '0', '0', '0', '0', '0', '6', '1982 UBC', '', '');
INSERT INTO buildings VALUES ('2295', '1', '2', 'KPFF', TO_DATE('06/14/93','MM/DD/YY'), 'MULTNOMAH', 'OR', '2', 'S2', '6', '0', '55000', '1909', 'URM', 'Y', '1989', '7000000', 'AC', 'COM', '', 'LS', 'SW', 'SD', 'PB', 'WT', '', '', 'N', 'Y', 'Y', 'Y', 'V', 'I', 'I', 'NE', 'NE', '620000', 'G', 'F', 'P', '', '', '', '36', '', '', '', '', '', 'R', '100', '100', '100', '100', '22', '81', 'W', 'W', 'W', 'N', 'N', 'F', 'W', 'URM', 'SF', 'SW', 'SW', '11.27', '1.1067', '1.1269', '1.24712', '8729866', '773216.6875', '0', '0', '0', '0', '0', '0', '0', '0', '7', '1985 UBC', '', '');
INSERT INTO buildings VALUES ('2296', '6', '17', 'KPFF', TO_DATE('06/01/93','MM/DD/YY'), 'MULTNOMAH', 'OR', '2', '', '4', '1', '50000', '', 'URM', 'Y', '1980', '1500000', 'AC', 'COM', '', 'LS', 'MF', 'PB', 'WT', '', '', '', 'N', 'Y', 'Y', 'Y', 'V', 'I', 'I', 'NE', 'NE', '170000', 'G', 'F', 'P', '', '', '', '8', '', '', '', '', '', 'R', '100', '100', '100', '100', '12', '53', 'W', 'W', 'W', 'N', '', '', 'W', 'URM', 'SF', 'SW', 'SW', '3.4', '1.5018', '1.1269', '1.69239', '2538581', '287705.84375', '0', '0', '0', '0', '0', '0', '0', '0', '6', '1979 UBC', '', '');
INSERT INTO buildings VALUES ('2297', '9', '17', 'KPFF', TO_DATE('08/26/93','MM/DD/YY'), 'MULTNOMAH', 'OR', '2', 'S3', '2', '0', '20500', '1940', 'RM1', 'N', '1993', '850000', 'S', 'COM', '', 'DC', 'SW', 'EW', 'SD', 'PB', '', '', 'N', 'N', 'Y', 'Y', 'V', 'I', 'I', '', 'I', '125000', 'G', 'P', 'P', '', '', '', '9', '', '', '', '', '', 'R', '205', '50', '205', '50', '12', '25', 'W', 'W', 'W', 'M', 'Y', 'F', 'S', 'RM', 'SF', 'SW', 'SW', '6.1', '1', '1.1269', '1.1269', '957868', '140862.9375', '0', '0', '0', '0', '0', '0', '0', '0', '6', '1991 UBC', '', '');
INSERT INTO buildings VALUES ('2298', '12', '34', 'KPFF', TO_DATE('06/14/93','MM/DD/YY'), 'MARION', 'OR', '2', 'S2', '4', '1', '196000', '', 'C3', 'Y', '1992', '13000000', 'S', 'COM', '', 'DC', 'SW', 'IS', 'SF', 'PB', '', '', 'N', 'N', 'N', 'Y', 'TR', 'I', 'I', 'I', 'I', '6600000', 'F', 'F', 'F', '', '', '', '', '', '', '', '', '', 'R', '200', '100', '200', '100', '12', '48', 'C', 'C', 'C', 'M', 'N', 'F', 'C', '', 'SF', 'SW', 'SW', '33.67', '1.0286', '1.1269', '1.15911', '15068458', '7650140', '0', '0', '0', '0', '0', '0', '0', '0', '7', '', '', '');
INSERT INTO buildings VALUES ('2299', '9', '14', 'KPFF', TO_DATE('05/28/93','MM/DD/YY'), 'MULTNOMAH', 'OR', '2', 'S2', '0', '1', '52000', '1956', 'C2', 'N', '1992', '130000', 'S', 'MIN', '', 'DC', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'V', 'I', 'NE', 'NE', 'NE', '130000', 'G', 'G', 'G', '', '', '', '', '', '', '', '', '', 'R', '345', '195', '345', '195', '20', '20', 'C', 'FS', 'C', 'N', '', '', 'C', 'C', 'SF', 'SW', 'SW', '2.5', '1.0286', '1.1269', '1.15911', '150684.578125', '150684.578125', '0', '0', '0', '0', '0', '0', '0', '0', '7', '1991 UBC', '', '');
INSERT INTO buildings VALUES ('2300', '9', '17', 'KPFF', TO_DATE('06/01/93','MM/DD/YY'), 'MULTNOMAH', 'OR', '2', 'S2', '8', '1', '250000', '1950', 'S4', 'N', '1987', '12100000', 'AC', 'COM', '', 'DC', 'BF', '', '', '', '', '', 'N', 'Y', 'Y', 'Y', 'V', 'I', 'OK', 'I', 'I', '2400000', 'G', 'G', 'G', '', '', '', '14', '', '', '', '', '', 'R', '400', '200', '336', '50', '11', '97', 'S', 'S', 'MDF', 'CW', 'N', 'G', 'S', '', 'SF', 'SW', 'SW', '9.6', '1.1472', '1.1269', '1.29277', '15642494', '3102643.5', '0', '0', '0', '0', '0', '0', '0', '0', '9', '1985 UBC', '', '');
INSERT INTO buildings VALUES ('2301', '13', '41', 'KPFF', TO_DATE('06/14/93','MM/DD/YY'), 'MULTNOMAH', 'OR', '2', 'S3', '2', '0', '10000', '1950', 'C2', 'N', '1991', '16500', 'AC', 'MIN', '', 'RR', 'SD', 'PB', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'NE', 'NE', '16500', 'G', 'P', 'P', '', '', '', '2', '', '', '', '', '', 'R', '100', '50', '100', '50', '14.5', '31', 'W', '', 'W', 'N', 'N', 'F', 'C', 'C', 'SF', 'SW', 'SW', '1.65', '1.0596', '1.1269', '1.19408', '19702.376953125', '19702.376953125', '0', '0', '0', '0', '0', '0', '0', '0', '7', '1988 UBC', '', '');
INSERT INTO buildings VALUES ('2302', '13', '41', 'KPFF', TO_DATE('06/14/93','MM/DD/YY'), 'MULTNOMAH', 'OR', '2', 'S3', '3', '0', '30000', '1930', 'C2', 'N', '1992', '24000', 'AC', 'MIN', '', 'RR', 'SD', 'PB', 'WT', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'I', 'NE', 'NE', '24000', 'G', 'P', 'P', '', '', '', '1', '', '', '', '', '', 'R', '', '', '100', '100', '12', '39', 'W', '', 'W', 'M', 'N', 'P', 'C', 'C', 'SF', 'SW', 'SW', '0.8', '1.0286', '1.1269', '1.15911', '27818.69140625', '27818.69140625', '0', '0', '0', '0', '0', '0', '0', '0', '7', '1988 UBC', '', '');
INSERT INTO buildings VALUES ('2303', '1', '6', 'KPFF', TO_DATE('06/14/93','MM/DD/YY'), 'MULTNOMAH', 'OR', '2', 'S3', '2', '0', '20000', '1916', 'URM', 'N', '1991', '80000', 'AC', 'MIN', '', 'LS', 'PB', 'WT', 'SS', '', '', '', 'N', 'Y', 'Y', 'N', 'V', 'I', 'I', 'NE', 'NE', '36000', 'G', 'P', 'F', '', '', '', '3', '', '', '', '', '', 'R', '100', '100', '100', '100', '14', '30', '', 'C', 'W', 'N', 'N', 'F', 'C', 'URM', 'SF', 'SW', 'SW', '1.8', '1.0596', '1.1269', '1.19408', '95526.6796875', '42987.0078125', '0', '0', '0', '0', '0', '0', '0', '0', '8', '1988 UBC', '', '');
INSERT INTO buildings VALUES ('2304', '16', '51', 'KPFF', TO_DATE('06/14/93','MM/DD/YY'), 'MULTNOMAH', 'OR', '2', 'S1', '6', '6', '135000', '1969', 'S4', 'N', '1992', '2150000', 'S', 'COM', '', 'IO', 'SW', 'SD', '', '', '', '', 'N', 'Y', 'Y', 'N', 'IP', 'I', 'OK', 'NE', 'NE', '2150000', 'F', '', 'F', '', '', '', '', '', '', '', '', '', 'R', '200', '75', '200', '75', '12.5', '150', 'S', 'S', 'MDF', 'M', 'N', 'G', 'S', 'C', 'SF', 'SW', 'SW', '15.93', '1.0286', '1.1269', '1.15911', '2492091', '2492091', '0', '0', '0', '0', '0', '0', '0', '0', '7', '1991 UBC', '', '');
INSERT INTO buildings VALUES ('2305', '1', '2', 'KPFF', TO_DATE('05/26/93','MM/DD/YY'), 'MULTNOMAH', 'OR', '2', 'S2', '3', '1', '35000', '1903', 'C3', 'Y', '1991', '2000000', 'AC', 'COM', '', 'DC', 'SW', 'SF', 'PB', '', '', '', '', '', '', '', 'V', 'I', 'I', 'I', 'OK', '650000', 'P', 'F', 'F', '', '', '', '3', '', '', '', '', '', 'R', '364', '32', '364', '32', '11', '48', 'C', 'C', 'C', 'M', 'N', 'F', 'C', '', 'SF', 'SW', 'SW', '18.57', '1.0596', '1.1269', '1.19408', '2388167', '776154.25', '0', '0', '0', '0', '0', '0', '0', '0', '8', '1991 UBC', '', '');
INSERT INTO buildings VALUES ('2306', '10', '37', 'KPFF', TO_DATE('05/26/93','MM/DD/YY'), 'MULTNOMAH', 'OR', '2', 'S3', '9', '0', '300000', '1978', 'C1', 'N', '1993', '335000', 'S', 'MIN', '', 'DC', 'EF', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'NE', 'NE', '335000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'O', '200', '200', '200', '200', '10', '90', 'C', 'C', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'MF', 'MF', '1.12', '1', '1.1269', '1.1269', '377512.6875', '377512.6875', '0', '0', '0', '0', '0', '0', '0', '0', '6', '1991 UBC', '', '');
INSERT INTO buildings VALUES ('2307', '9', '22', 'KPFF', TO_DATE('06/14/93','MM/DD/YY'), 'WASHINGTON', 'OR', '2', 'S2', '2', '0', '35000', '1965', 'W2', 'N', '1993', '70000', 'S', 'MIN', '', 'DC', 'SD', '', '', '', '', '', 'N', 'N', 'Y', 'Y', 'TR', 'I', 'I', 'OK', 'OK', '50000', 'G', 'F', 'G', '', '', '', '3', '', '', '', '', '', 'R', '140', '130', '140', '130', '14', '30', 'W', 'W', 'W', 'M', 'N', 'G', 'W', 'W', 'SF', 'SW', 'SW', '1.43', '1', '1.1269', '1.1269', '78883.25', '56345.17578125', '0', '0', '0', '0', '0', '0', '0', '0', '7', '1991 UBC', '', '');
INSERT INTO buildings VALUES ('2308', '6', '28', 'KPFF', TO_DATE('05/26/93','MM/DD/YY'), 'YAMHILL', 'OR', '2', 'S3', '2', '0', '29250', '1920', 'URM', 'N', '1989', '750000', 'AC', 'COM', '', 'LS', 'BF', 'SD', '', '', '', '', 'Y', 'Y', 'Y', 'Y', 'TR', 'I', 'I', 'I', 'NE', '120000', 'G', 'F', 'F', '', '', '', '7', '', '', '', '', '', 'R', '', '', '130', '75', '15', '38', 'W', 'W', 'W', 'N', 'N', 'F', 'W', 'URM', 'SF', 'SW', 'SW', '4.1', '1.1067', '1.1269', '1.24712', '935342.75', '149654.84375', '0', '0', '0', '0', '0', '0', '0', '0', '8', '1988 UBC', '', '');
INSERT INTO buildings VALUES ('2309', '16', '51', 'KPFF', TO_DATE('06/14/93','MM/DD/YY'), 'MULTNOMAH', 'OR', '2', 'S1', '7', '2', '500000', '1973', 'S4', 'N', '1993', '6900000', 'AC', 'MIN', '', 'IO', 'SW', 'EW', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'NE', 'NE', '6400000', 'G', 'G', 'G', '', '750000', '0', '14', '0', '0', '0', '0', '0', 'R', '380', '220', '275', '185', '15', '100', 'S', 'S', 'MDF', 'ST', 'N', 'G', 'S', '', 'P', 'SW', 'SW', '12.8', '1', '1.1269', '1.1269', '7775634.5', '7212182.5', '0', '845177.625', '0', '0', '0', '0', '0', '0', '9', '1991 UBC', '', '');
INSERT INTO buildings VALUES ('2310', '16', '48', 'KPFF', TO_DATE('06/14/93','MM/DD/YY'), 'MULTNOMAH', 'OR', '2', 'S1', '12', '2', '225000', '1953', 'S4', 'N', '1993', '1000000', 'S', 'MIN', '', 'IO', 'BF', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'NE', 'NE', '1000000', 'G', 'P', 'P', '', '', '', '16', '', '', '', '', '', 'R', '225', '71', '225', '71', '12', '170', 'S', 'S', 'MDF', 'M', 'N', 'G', 'S', '', 'SF', 'SW', 'SW', '4.44', '1', '1.1269', '1.1269', '1126903.5', '1126903.5', '0', '0', '0', '0', '0', '0', '0', '0', '6', '1991 UBC', '', '');
INSERT INTO buildings VALUES ('2312', '1', '6', 'KPFF', TO_DATE('05/28/93','MM/DD/YY'), 'YAKIMA', 'WA', '3', 'S3', '5', '0', '20000', '1893', 'URM', 'Y', '1991', '1500000', 'AC', 'COM', '800', 'DC', 'SW', 'SD', 'WT', '', '', '', 'Y', 'Y', 'Y', 'Y', 'V', 'I', 'I', 'I', 'OK', '275000', 'G', 'G', 'F', '', '', '', '18', '', '', '', '', '', 'R', '76', '56', '76', '56', '14', '50', 'W', 'W', 'W', 'N', 'Y', 'G', 'W', 'URM', 'SF', 'SW', 'SW', '13.75', '1.0596', '1.10228', '1.168', '1751994.375', '321198.96875', '0', '0', '0', '0', '0', '0', '0', '0', '8', '1988 UBC', '', '');
INSERT INTO buildings VALUES ('2313', '10', '17', 'KPFF', TO_DATE('07/14/93','MM/DD/YY'), 'MARION', 'OR', '2', 'S3', '5', '0', '129000', '1972', 'C2', 'N', '1993', '1220000', 'S', 'ADD', '', 'DC', 'SW', '', '', '', '', '', 'N', 'Y', 'Y', 'Y', 'TR', 'I', 'OK', 'I', 'NE', '450000', 'G', 'G', 'G', '', '', '', '', '', '', '', '', '', 'L', '214', '210', '214', '90', '13', '65', 'C', 'C', 'C', 'PC', 'N', 'G', 'C', 'C', 'SF', 'SW', 'SW', '3.49', '1', '1.1269', '1.1269', '1374822.25', '507106.59375', '0', '0', '0', '0', '0', '0', '0', '0', '7', '1991 UBC', '', '');
INSERT INTO buildings VALUES ('2314', '12', '40', 'KPFF', TO_DATE('06/14/93','MM/DD/YY'), 'MULTNOMAH', 'OR', '2', 'S3', '3', '0', '67000', '1967', 'C3', 'N', '1993', '1200000', 'S', 'ADD', '20000', 'DC', 'SW', 'EW', '', '', '', '', 'N', 'Y', 'Y', 'Y', 'IP', 'I', 'OK', '', 'I', '200000', 'F', 'P', 'P', '', '', '', '13', '', '', '', '', '', 'O', '200', '90', '200', '90', '12', '40', 'FS', 'FS', 'C', 'CW', 'N', 'G', 'C', '', 'P', 'SW', 'SW', '2.99', '1', '1.1269', '1.1269', '1352284.25', '225380.703125', '0', '0', '0', '0', '0', '0', '0', '0', '6', '1991 UBC', '', '');
INSERT INTO buildings VALUES ('2315', '10', '17', 'KPFF', TO_DATE('06/14/93','MM/DD/YY'), 'MARION', 'OR', '2', 'S3', '4', '0', '224000', '1974', 'C1', 'N', '1993', '1573000', 'S', 'ADD', '', 'DC', 'SW', '', '', '', '', '', 'N', 'Y', 'Y', 'Y', 'TR', 'I', 'OK', 'I', 'NE', '300000', 'G', 'G', 'G', '', '', '', '', '', '', '', '', '', 'R', '306', '183', '306', '183', '11', '53', 'C', 'C', 'C', 'N', 'N', 'G', 'C', '', 'SF', 'MF', 'SW', '1.34', '1', '1.1269', '1.1269', '1772619.25', '338071.0625', '0', '0', '0', '0', '0', '0', '0', '0', '7', '', '', '');
INSERT INTO buildings VALUES ('2316', '11', '40', 'KPFF', TO_DATE('06/14/93','MM/DD/YY'), 'MULTNOMAH', 'OR', '2', 'S3', '1', '0', '11000', '1929', 'S5', 'Y', '1993', '2000000', 'S', 'COM', '', 'DC', 'SW', 'SD', '', '', '', '', 'Y', 'Y', 'Y', 'Y', 'IP', 'I', 'I', 'I', 'I', '300000', 'G', 'P', 'F', '', '', '', '', '', '', '', '', '', 'R', '170', '60', '170', '60', '30', '30', 'S', '', 'W', 'N', 'N', 'G', 'S', '', 'SF', 'SW', 'SW', '27.27', '1', '1.1269', '1.1269', '2253807', '338071.0625', '0', '0', '0', '0', '0', '0', '0', '0', '7', '1991 UBC AND 1991 UCBC', '', '');
INSERT INTO buildings VALUES ('2317', '1', '7', 'KPFF', TO_DATE('05/26/93','MM/DD/YY'), 'MULTNOMAH', 'OR', '2', 'S4', '2', '1', '200000', '1910', 'C2', 'Y', '1991', '32000000', 'AC', 'COM', '160000', 'DC', 'EW', 'SD', '', '', '', '', 'Y', 'Y', 'Y', 'Y', 'V', 'I', 'I', '', 'I', '100000', 'G', 'G', 'P', '', '', '', '21', '', '', '', '', '', 'OT', '600', '240', '600', '240', '25', '50', 'C', 'C', 'C', 'M', 'Y', 'F', 'C', 'C', 'SF', 'SW', 'SW', '0.5', '1.0596', '1.1269', '1.19408', '38210672', '119408.3515625', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'UBC ', '', '');
INSERT INTO buildings VALUES ('2318', '9', '17', 'KPFF', TO_DATE('08/26/93','MM/DD/YY'), 'MULTNOMAH', 'OR', '2', 'S2', '11', '1', '162700', '1950', 'C1', 'N', '1993', '8991000', 'S', 'COM', '', 'DC', 'SW', '', '', '', '', '', 'Y', 'Y', 'Y', 'Y', 'V', 'I', 'OK', '', 'I', '820000', 'G', 'F', 'F', '', '', '', '14', '', '', '', '', '', 'C', '200', '115', '200', '115', '11', '126', 'FS', 'FS', 'C', 'CW', 'N', 'G', 'C', '', 'SF', 'MF', 'MF', '5.04', '1', '1.1269', '1.1269', '10131990', '924060.875', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'UBC ', '', '');
INSERT INTO buildings VALUES ('2319', '12', '40', 'KPFF', TO_DATE('06/04/93','MM/DD/YY'), 'MULTNOMAH', 'OR', '2', 'S3', '9', '0', '93000', '1956', 'C3', 'N', '1993', '3500000', 'S', 'ADD', '', 'DC', 'SW', '', '', '', '', '', 'N', 'Y', 'Y', 'N', 'IP', 'I', 'OK', 'I', 'NE', '745000', 'G', 'P', 'P', '', '', '', '12', '', '', '', '', '', 'R', '220', '160', '220', '160', '15', '90', 'C', 'C', 'C', 'CW', 'N', 'G', 'C', '', 'P', 'SW', 'SW', '8.01', '1', '1.1269', '1.1269', '3944162.25', '839543.125', '0', '0', '0', '0', '0', '0', '0', '0', '6', '1991 UBC', '', '');
INSERT INTO buildings VALUES ('2320', '9', '17', 'KPFF', TO_DATE('06/01/93','MM/DD/YY'), 'MULTNOMAH', 'OR', '2', 'S2', '12', '2', '243000', '', 'S1', 'Y', '1992', '14560000', 'S', 'COM', '', 'DC', 'SW', 'SD', 'SF', '', '', '', 'N', 'Y', 'Y', 'Y', 'V', 'I', 'OK', '', 'I', '1700000', 'G', 'F', 'F', '', '', '', '15', '', '', '', '', '', 'R', '200', '100', '200', '100', '12.5', '147', 'S', 'S', 'C', 'M', 'N', 'G', 'S', '', '', 'MF', 'MF', '7', '1.0286', '1.1269', '1.15911', '16876672', '1970490.625', '0', '0', '0', '0', '0', '0', '0', '0', '7', '1991 UBC', '', '');
INSERT INTO buildings VALUES ('2321', '9', '37', 'KPFF', TO_DATE('06/01/93','MM/DD/YY'), 'LINN', 'OR', '2', '', '6', '0', '270500', '1968', 'PC2', 'N', '1993', '1680000', 'S', 'MIN', '90100', 'DC', 'SW', 'SF', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'I', 'NE', '1480000', 'G', 'F', 'G', '', '', '', '4', '', '', '', '', '', 'R', '382', '118', '382', '118', '10', '60', 'C', 'C', 'PC', 'PC', 'N', 'G', 'PC', 'C', 'SF', 'SW', 'SW', '5.47', '1', '1.1269', '1.1269', '1893197.875', '1667817.25', '0', '0', '0', '0', '0', '0', '0', '0', '7', '1991 UBC', '', '');
INSERT INTO buildings VALUES ('2322', '10', '17', 'KPFF', TO_DATE('06/01/93','MM/DD/YY'), 'MULTNOMAH', 'OR', '2', '', '13', '2', '155000', '1978', 'C2', 'N', '1992', '5600000', 'S', 'COM', '', 'DC', 'SW', '', '', '', '', '', 'N', 'Y', 'Y', 'Y', 'V', 'I', 'I', 'I', 'I', '375000', 'G', 'P', 'F', '', '', '', '', '', '', '', '', '', 'R', '100', '100', '100', '100', '12', '158', 'FS', 'FS', 'C', 'CW', '', 'P', 'C', 'C', 'M', 'SW', 'SW', '2.42', '1.0286', '1.1269', '1.15911', '6491028', '434667.0625', '0', '0', '0', '0', '0', '0', '0', '0', '7', '1991 UBC', '', '');
INSERT INTO buildings VALUES ('2323', '9', '12', 'KPFF', TO_DATE('05/26/93','MM/DD/YY'), 'MULTNOMAH', 'OR', '2', 'S2', '2', '2', '160000', '', 'PC1', 'N', '1993', '375000', 'AC', 'MIN', '', 'DC', 'BF', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '195000', 'G', 'G', 'G', '', '', '', '5', '', '', '', '', '', 'R', '200', '200', '200', '200', '19', '37', 'C', 'S', 'PC', 'PC', 'N', 'G', 'C', 'PC', 'SF', 'SW', 'SW', '1.22', '1', '1.1269', '1.1269', '422588.8125', '219746.1875', '0', '0', '0', '0', '0', '0', '0', '0', '9', '1993 UBC', '', '');
INSERT INTO buildings VALUES ('2329', '6', '37', 'GLENNRBELL-S6H', TO_DATE('08/15/93','MM/DD/YY'), 'NEWMADRID', 'MO', '5', 'S2', '1', '0', '47040', '1968', 'URM', 'N', '1993', '844000', 'S', 'MIN', '', 'LS', 'BF', 'EF', 'SD', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'I', '', '675200', 'G', 'P', 'P', '', '126000', '', '', '0', '0', '0', '0', '168800', 'R', '294', '160', '294', '160', '23', '23', 'S', '', 'ST', 'M', 'N', 'G', 'S', 'URM', 'SF', 'SW', 'SW', '14.35', '1', '1.12348', '1.12348', '948218.625', '758574.875', '0', '141558.703125', '0', '0', '0', '0', '0', '189643.71875', '7', 'UBC FOR GEN REQUIREMENTS', '', '');
INSERT INTO buildings VALUES ('2330', '10', '37', 'GLENNRBELL-S6H', TO_DATE('08/15/93','MM/DD/YY'), 'NEWMADRID', 'MO', '5', 'S2', '1', '0', '74106', '1978', 'PC1', 'N', '1993', '587000', 'S', 'MIN', '', 'LS', 'EW', 'SD', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'I', '', '469600', 'G', 'P', 'P', '', '88000', '', '', '0', '0', '0', '0', '1174000', 'R', '414', '179', '414', '179', '29', '29', 'S', '', 'MD', 'PC', 'N', 'G', 'S', 'PC', 'SF', 'SW', 'SW', '6.34', '1', '1.12348', '1.12348', '659483.8125', '527587', '0', '98866.390625', '0', '0', '0', '0', '0', '1318967.625', '7', 'UBC FOR GEN REQUIREMENTS', '', '');
INSERT INTO buildings VALUES ('2331', '10', '37', 'GLENNRBELL-S6H', TO_DATE('08/15/93','MM/DD/YY'), 'NEWMADRID', 'MO', '5', 'S2', '1', '0', '89938', '1975', 'S1', 'N', '1993', '2545000', 'S', 'MIN', '', 'LS', 'BF', 'EF', 'SD', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'I', '', '2036000', 'G', 'P', 'P', '', '380000', '', '', '0', '0', '0', '0', '509000', 'R', '386', '233', '386', '233', '33', '33', 'S', '', 'MD', 'CW', 'N', 'G', 'S', '', 'SF', 'MF', 'MF', '22.64', '1', '1.12348', '1.12348', '2859261', '2287408.75', '0', '426923.0625', '0', '0', '0', '0', '0', '571852.1875', '7', 'UBC FOR GEN REQUIREMENTS', '', '');
INSERT INTO buildings VALUES ('2332', '10', '37', 'GLENNRBELL-S6H', TO_DATE('08/15/93','MM/DD/YY'), 'NEWMADRID', 'MO', '5', 'S2', '1', '0', '97290', '1978', 'RM1', 'N', '1993', '1470000', 'S', 'MIN', '', 'LS', 'BF', 'EW', 'EF', 'SD', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'I', '', '1176000', 'G', 'P', 'P', '', '220000', '', '', '0', '0', '0', '0', '294000', 'R', '414', '235', '414', '235', '29', '29', 'S', '', 'ST', 'M', 'N', 'G', 'S', 'RM', 'SF', 'SW', 'SW', '12.09', '1', '1.12348', '1.12348', '1651518.125', '1321214.5', '0', '247165.984375', '0', '0', '0', '0', '0', '330303.625', '7', 'UBC FOR GEN REQUIREMENTS', '', '');
INSERT INTO buildings VALUES ('2333', '5', '37', 'GLENNRBELL-S6H', TO_DATE('08/15/93','MM/DD/YY'), 'NEWMADRID', 'MO', '5', 'S2', '1', '0', '51129', '1968', 'S1', 'N', '1993', '283000', 'S', 'MIN', '', 'LS', 'BF', 'EF', 'SD', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'I', '', '226400', 'G', 'P', 'P', '', '117000', '', '', '0', '0', '0', '0', '56600', 'R', '247', '207', '247', '207', '', '', 'S', '', 'ST', 'CW', 'N', 'G', 'S', '', 'SF', 'MF', 'MF', '4.43', '1', '1.12348', '1.12348', '317945.34375', '254356.265625', '0', '131447.359375', '0', '0', '0', '0', '0', '63589.06640625', '7', 'UBC FOR GEN REQUIREMENTS', '', '');
INSERT INTO buildings VALUES ('2334', '10', '37', 'GLENNRBELL-S6H', TO_DATE('08/15/93','MM/DD/YY'), 'NEWMADRID', 'MO', '5', 'S2', '1', '0', '56990', '1974', 'S1', 'N', '1993', '391000', 'S', 'MIN', '', 'LS', 'BF', 'EF', 'SD', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'I', '', '312800', 'G', 'P', 'P', '', '59000', '', '', '0', '0', '0', '0', '58200', 'R', '278', '205', '278', '205', '25', '25', 'S', '', 'ST', 'M', 'N', 'G', 'S', '', 'SF', 'MF', 'MF', '5.49', '1', '1.12348', '1.12348', '439281.375', '351425.09375', '0', '66285.421875', '0', '0', '0', '0', '0', '65386.63671875', '7', 'UBC FOR GEN REQUIREMENTS', '', '');
INSERT INTO buildings VALUES ('2335', '5', '37', 'GLENNRBELL-S6H', TO_DATE('08/15/93','MM/DD/YY'), 'NEWMADRID', 'MO', '5', 'S2', '1', '0', '26600', '1968', 'S2', 'N', '1993', '61000', 'S', 'MIN', '', 'LS', 'BF', 'EF', 'SD', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'I', '', '48800', 'G', 'P', 'P', '', '9000', '', '', '0', '0', '0', '0', '12200', 'R', '186', '143', '186', '143', '29', '29', 'S', '', 'ST', 'M', 'N', 'G', 'S', '', 'SF', 'BF', 'BF', '1.83', '1', '1.12348', '1.12348', '68532.390625', '54825.91015625', '0', '10111.3359375', '0', '0', '0', '0', '0', '13706.4775390625', '7', 'UBC FOR GEN REQUIREMENTS', '', '');
INSERT INTO buildings VALUES ('2336', '10', '37', 'GLENNRBELL-S6H', TO_DATE('08/15/93','MM/DD/YY'), 'NEWMADRID', 'MO', '5', 'S2', '1', '0', '82950', '1972', 'S2', 'N', '1993', '296000', 'S', 'MIN', '', 'LS', 'BF', 'EF', 'SD', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'I', '', '236800', 'G', 'P', 'P', '', '44000', '', '', '0', '0', '0', '0', '59200', 'R', '395', '210', '295', '210', '29', '29', 'S', '', 'ST', 'M', 'N', 'G', 'S', '', 'SF', 'BF', 'BF', '2.85', '1', '1.12348', '1.12348', '332550.59375', '266040.46875', '0', '49433.1953125', '0', '0', '0', '0', '0', '66510.1171875', '7', 'UBC FOR GEN REQUIREMENTS', '', '');
INSERT INTO buildings VALUES ('2337', '10', '37', 'GLENNRBELL-S6H', TO_DATE('08/15/93','MM/DD/YY'), 'NEWMADRID', 'MO', '5', 'S2', '1', '0', '103062', '1975', 'S1', 'N', '1993', '587000', 'S', 'MIN', '', 'LS', 'BF', 'EF', 'SD', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'I', '', '469600', 'G', 'P', 'P', '', '88000', '', '', '0', '0', '0', '0', '117400', 'R', '386', '267', '386', '267', '27', '27', 'S', '', 'MD', 'CW', 'N', 'G', 'S', '', 'SF', 'MF', 'MF', '4.56', '1', '1.12348', '1.12348', '659483.8125', '527587', '0', '98866.390625', '0', '0', '0', '0', '0', '131896.75', '7', 'UBC FOR GEN REQUIREMENTS', '', '');
INSERT INTO buildings VALUES ('2338', '10', '37', 'GLENNRBELL-S6H', TO_DATE('08/15/93','MM/DD/YY'), 'NEWMADRID', 'MO', '5', 'S2', '1', '0', '146940', '1972', 'S2', 'N', '1993', '766000', 'S', 'MIN', '', 'LS', 'BF', 'EF', 'SD', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'I', '', '612800', 'G', 'P', 'P', '', '114000', '', '', '0', '0', '0', '0', '153200', 'R', '395', '372', '395', '372', '29', '29', 'S', '', 'ST', 'CW', 'N', 'G', 'S', '', 'SF', 'BF', 'BF', '4.17', '1', '1.12348', '1.12348', '860587', '688469.625', '0', '128076.921875', '0', '0', '0', '0', '0', '172117.40625', '7', 'UBC FOR GEN REQUIREMENTS', '', '');
INSERT INTO buildings VALUES ('2339', '10', '37', 'GLENNRBELL-S6H', TO_DATE('08/15/93','MM/DD/YY'), 'NEWMADRID', 'MO', '5', 'S2', '1', '0', '31450', '1975', 'S2', 'N', '1993', '900000', 'S', 'MIN', '', 'LS', 'BF', 'EF', 'SD', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'I', '', '720000', 'G', 'P', 'P', '', '23000', '', '', '0', '0', '0', '0', '80000', 'R', '370', '85', '370', '85', '13', '13', 'S', '', 'MD', 'CW', 'N', 'G', 'S', '', 'SF', 'BF', 'BF', '22.89', '1', '1.12348', '1.12348', '1011133.5625', '808906.875', '0', '25840.080078125', '0', '0', '0', '0', '0', '89878.5390625', '7', 'UBC FOR GEN REQUIREMENTS', '', '');
INSERT INTO buildings VALUES ('2340', '5', '37', 'GLENNRBELL-S6H', TO_DATE('08/15/93','MM/DD/YY'), 'NEWMADRID', 'MO', '5', 'S2', '1', '0', '73470', '1968', 'S1', 'N', '1993', '370000', 'S', 'MIN', '', 'LS', 'BF', 'EF', 'SD', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'I', '', '296000', 'G', 'P', 'P', '', '55000', '', '', '0', '0', '0', '0', '74000', 'R', '395', '186', '395', '186', '29', '29', 'S', '', 'ST', 'CW', 'N', 'G', 'S', '', 'SF', 'MF', 'MF', '4.03', '1', '1.12348', '1.12348', '415688.25', '332550.59375', '0', '61791.49609375', '0', '0', '0', '0', '0', '83137.6484375', '7', 'UBC FOR GEN REQUIREMENTS', '', '');
INSERT INTO buildings VALUES ('2341', '10', '37', 'GLENNRBELL-S6H', TO_DATE('08/15/93','MM/DD/YY'), 'NEWMADRID', 'MO', '5', 'S2', '1', '0', '107440', '1972', 'S2', 'N', '1993', '565000', 'S', 'MIN', '', 'LS', 'BF', 'EF', 'SD', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'I', '', '452000', 'G', 'P', 'P', '', '85000', '', '', '0', '0', '0', '0', '113000', 'R', '395', '272', '395', '272', '29', '29', 'S', '', 'ST', 'CW', 'N', 'G', 'S', '', 'SF', 'BF', 'BF', '4.21', '1', '1.12348', '1.12348', '634767.1875', '507813.75', '0', '95495.9453125', '0', '0', '0', '0', '0', '126953.4375', '7', 'UBC FOR GEN REQUIREMENTS', '', '');
INSERT INTO buildings VALUES ('2342', '10', '37', 'GLENNRBELL-S6H', TO_DATE('08/15/93','MM/DD/YY'), 'NEWMADRID', 'MO', '5', 'S2', '1', '0', '106764', '1972', 'S2', 'N', '1993', '274000', 'S', 'MIN', '', 'LS', 'BF', 'EF', 'SD', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'I', '', '219200', 'G', 'P', 'P', '', '41000', '', '', '0', '0', '0', '0', '54800', 'R', '372', '287', '372', '287', '29', '29', 'S', '', 'ST', 'M', 'N', 'G', 'S', '', 'SF', 'BF', 'BF', '2.05', '1', '1.12348', '1.12348', '307834', '246267.203125', '0', '46062.75', '0', '0', '0', '0', '0', '61566.80078125', '7', 'UBC FOR GEN REQUIREMENTS', '', '');
INSERT INTO buildings VALUES ('2343', '10', '37', 'GLENNRBELL-S6H', TO_DATE('08/15/93','MM/DD/YY'), 'NEWMADRID', 'MO', '5', 'S2', '1', '0', '111930', '1972', 'S2', 'N', '1993', '487000', 'S', 'MIN', '', 'LS', 'BF', 'EF', 'SD', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'I', '', '389600', 'G', 'P', 'P', '', '73000', '', '', '0', '0', '0', '0', '97400', 'R', '390', '287', '390', '287', '29', '29', 'S', '', 'ST', 'M', 'N', 'G', 'S', '', 'SF', 'BF', 'BF', '3.48', '1', '1.12348', '1.12348', '547135.625', '437708.5', '0', '82014.1640625', '0', '0', '0', '0', '0', '109427.125', '7', 'UBC FOR GEN REQUIREMENTS', '', '');
INSERT INTO buildings VALUES ('2346', '13', '22', 'CSU', TO_DATE('08/25/93','MM/DD/YY'), 'SONOMA', 'CA', '7', '', '1', '0', '15800', '1963', 'C2', 'N', '1993', '12500', 'S', 'MIN', '', 'RR', 'WT', '', '', '', '', '', 'N', 'N', 'N', 'N', '', 'NE', 'I', 'OK', 'NE', '12500', 'P', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '', '', '', '', '', '', 'W', '', 'W', 'PC', 'N', 'G', '', 'C', 'SF', 'SW', 'SW', '0.79', '1', '1', '1', '12500', '12500', '0', '0', '0', '0', '0', '0', '0', '0', '7', '', '', '');
INSERT INTO buildings VALUES ('2348', '13', '41', 'EQE', TO_DATE('08/16/93','MM/DD/YY'), 'SOLANO', 'CA', '7', 'S2', '1', '0', '101000', '', 'PC1', 'N', '1993', '40000', 'AC', 'MIN', '', 'RR', 'WT', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'NE', 'NE', '40000', 'G', 'F', 'F', '', '5000', '', '1', '0', '0', '0', '0', '0', 'R', '477', '213', '477', '213', '28', '28', 'W', '', 'W', 'N', 'N', 'F', 'S', 'PC', 'SF', 'SW', 'SW', '0.4', '1', '1', '1', '40000', '40000', '0', '5000', '0', '0', '0', '0', '0', '0', '9', '1991 UBC', '', '');
INSERT INTO buildings VALUES ('2349', '13', '12', 'EQE', TO_DATE('08/16/93','MM/DD/YY'), 'SOLANO', 'CA', '7', 'S1', '1', '0', '40000', '', 'RM1', 'N', '1993', '66667', 'AC', 'MIN', '', 'RR', 'BF', 'EW', 'SD', '', '', '', 'N', 'N', 'N', 'N', '', 'I', 'OK', 'NE', 'NE', '66667', 'G', 'F', 'F', '', '5000', '', '2', '0', '0', '0', '0', '0', 'R', '200', '200', '200', '200', '28', '28', 'S', '', '', '', 'N', 'F', 'S', 'RM', 'SF', 'SW', 'SW', '1.67', '1', '1', '1', '66667', '66667', '0', '5000', '0', '0', '0', '0', '0', '0', '9', '1991 UBC', '', '');
INSERT INTO buildings VALUES ('2350', '17', '54', 'EQE', TO_DATE('08/16/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', 'S3', '1', '0', '19250', '1939', 'C2', 'N', '1991', '845000', 'AC', 'ADD', '', 'IO', 'EW', 'SD', '', '', '', '', 'N', 'N', 'Y', 'N', 'IP', 'I', 'OK', 'I', 'NE', '600000', 'G', 'G', 'G', '', '', '', '6', '0', '0', '0', '100000', '100000', 'OT', '350', '55', '350', '55', '40', '42', 'C', '', 'C', 'N', 'N', 'F', 'C', 'C', 'P', 'SW', 'SW', '31.17', '1.0596', '1', '1.05961', '895374.375', '635768.8125', '0', '0', '0', '0', '0', '0', '105961.46875', '105961.46875', '10', ' VFAC P-355/UBC 1991 ', '', '');
INSERT INTO buildings VALUES ('2351', '9', '14', 'EQE', TO_DATE('08/16/93','MM/DD/YY'), 'SANTACLARA', 'CA', '7', 'S3', '2', '1', '6900', '1940', 'C2', 'N', '1991', '289400', 'S', 'MIN', '', 'DC', 'SW', 'EW', 'SD', '', '', '', 'Y', 'N', 'N', 'N', 'TR', 'I', 'NE', 'NE', 'NE', '286500', 'G', 'G', 'G', '', '', '', '6', '0', '2900', '0', '0', '0', 'R', '55', '31', '255', '31', '12', '24', 'FS', 'FS', 'C', 'N', '', '', 'C', 'C', 'SF', 'SW', 'SW', '41.52', '1.0596', '1', '1.05961', '306652.46875', '303579.59375', '0', '0', '0', '0', '3072.88256835938', '0', '0', '0', '8', ' VFAC P-355/UBC 1991 ', '', '');
INSERT INTO buildings VALUES ('2359', '10', '37', 'EQE', TO_DATE('08/16/93','MM/DD/YY'), 'ALAMEDA', 'CA', '7', 'S2', '2', '0', '210500', '1972', 'PC1', 'N', '1992', '740000', 'S', 'MIN', '', 'DC', 'SW', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'NE', 'NE', 'NE', '740000', 'P', 'P', 'P', '', '', '', '', '', '', '', '', '', 'OT', '575', '254', '575', '254', '12', '24', 'W', 'W', 'W', 'N', 'N', 'G', 'C', 'PC', 'SF', 'SW', 'SW', '3.52', '1.0286', '1', '1.02858', '761150.3125', '761150.3125', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'UBC 1991', '', '');
INSERT INTO buildings VALUES ('2360', '7', '39', 'BRANDOWandJOHNSTON', TO_DATE('08/26/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '8', '0', '78250', '1967', 'C2', 'N', '1993', '1692000', 'S', 'MIN', '', 'LS', 'AD', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'NE', 'NE', '1692000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '154', '63', '154', '63', '13', '114', 'C', 'C', 'C', 'CW', 'N', 'F', 'C', '', 'P', 'SW', 'SW', '21.62', '1', '1', '1', '1692000', '1692000', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'SITE SPECIFIC RESPONSE - LS ', '', '');
INSERT INTO buildings VALUES ('2361', '7', '39', 'BRANDOWandJOHNSTON', TO_DATE('08/26/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '9', '2', '80300', '1967', 'S1', 'N', '1993', '2200000', 'S', 'MIN', '', 'LS', 'MF', '', '', '', '', '', 'N', 'N', 'N', 'N', 'IP', 'I', 'OK', 'NE', 'NE', '2200000', 'G', 'P', 'P', '', '', '', '', '', '', '', '', '', 'R', '120', '63', '120', '63', '12.5', '115', 'S', 'S', 'MDF', 'CW', 'N', 'F', 'S', '', 'P', 'BF', 'MF', '27.4', '1', '1', '1', '2200000', '2200000', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'SITE SPECIFIC RESPONSE - LS ', '', '');
INSERT INTO buildings VALUES ('2362', '7', '40', 'HARTCONSULTANT', TO_DATE('08/25/93','MM/DD/YY'), 'LOSANGELES', 'CA', '7', 'S2', '7', '0', '60000', '1924', 'URM', 'Y', '1992', '1050000', 'S', 'MIN', '', 'LS', 'IS', 'SF', '', '', '', '', 'N', 'N', 'Y', 'N', 'IP', 'I', 'OK', 'NE', 'NE', '1050000', 'G', 'G', 'G', '', '', '', '', '', '', '', '', '', 'R', '156', '73', '', '', '10.5', '81', 'W', 'W', 'W', 'N', 'N', 'G', 'W', 'URM', 'SF', 'SW', 'SW', '17.5', '1.0286', '1', '1.02858', '1080010.625', '1080010.625', '0', '0', '0', '0', '0', '0', '0', '0', '7', 'UBC APPENDIX DIV III(SITE SP)', '', '');